#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fdh0(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fd|h0) integrals */

void d1hrr_order_fdh0(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][5][11] = int_stack + 0;
 Libderiv->deriv_classes[4][5][11] = int_stack + 210;
 Libderiv->deriv_classes[5][5][11] = int_stack + 525;
 Libderiv->deriv_classes[3][5][10] = int_stack + 966;
 Libderiv->deriv_classes[4][5][10] = int_stack + 1176;
 Libderiv->deriv_classes[5][5][10] = int_stack + 1491;
 Libderiv->deriv_classes[3][5][9] = int_stack + 1932;
 Libderiv->deriv_classes[4][5][9] = int_stack + 2142;
 Libderiv->deriv_classes[5][5][9] = int_stack + 2457;
 Libderiv->deriv_classes[3][5][8] = int_stack + 2898;
 Libderiv->deriv_classes[4][5][8] = int_stack + 3108;
 Libderiv->deriv_classes[5][5][8] = int_stack + 3423;
 Libderiv->deriv_classes[3][5][7] = int_stack + 3864;
 Libderiv->deriv_classes[4][5][7] = int_stack + 4074;
 Libderiv->deriv_classes[5][5][7] = int_stack + 4389;
 Libderiv->deriv_classes[3][5][6] = int_stack + 4830;
 Libderiv->deriv_classes[4][5][6] = int_stack + 5040;
 Libderiv->deriv_classes[5][5][6] = int_stack + 5355;
 Libderiv->deriv_classes[3][5][2] = int_stack + 5796;
 Libderiv->deriv_classes[4][5][2] = int_stack + 6006;
 Libderiv->deriv_classes[5][5][2] = int_stack + 6321;
 Libderiv->deriv_classes[3][5][1] = int_stack + 6762;
 Libderiv->deriv_classes[4][5][1] = int_stack + 6972;
 Libderiv->deriv_classes[5][5][1] = int_stack + 7287;
 Libderiv->dvrr_classes[3][5] = int_stack + 7728;
 Libderiv->deriv_classes[3][5][0] = int_stack + 7938;
 Libderiv->dvrr_classes[4][5] = int_stack + 8148;
 Libderiv->deriv_classes[4][5][0] = int_stack + 8463;
 Libderiv->deriv_classes[5][5][0] = int_stack + 8778;
 memset(int_stack,0,73752);

 Libderiv->dvrr_stack = int_stack + 16149;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fdh0(Libderiv, Data);
   Data++;
 }

 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+9219,int_stack+210,int_stack+0,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+9849,int_stack+525,int_stack+210,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+1176,int_stack+966,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+10794,int_stack+1491,int_stack+1176,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+630,int_stack+2142,int_stack+1932,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+11739,int_stack+2457,int_stack+2142,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+1260,int_stack+3108,int_stack+2898,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+1890,int_stack+3423,int_stack+3108,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+2835,int_stack+4074,int_stack+3864,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+12684,int_stack+4389,int_stack+4074,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+3465,int_stack+5040,int_stack+4830,21);
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+4095,int_stack+5355,int_stack+5040,21);
 /*--- compute (fp|h0) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+5040,int_stack+8148,int_stack+7728,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+13629,int_stack+6006,int_stack+5796, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+7728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+14259,int_stack+6321,int_stack+6006, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+8148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+5670,int_stack+6972,int_stack+6762, 0.0, zero_stack, 1.0, int_stack+7728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+15204,int_stack+7287,int_stack+6972, 0.0, zero_stack, 1.0, int_stack+8148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fp|h0) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+6300,int_stack+8463,int_stack+7938, 1.0, int_stack+7728, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+6930,int_stack+8778,int_stack+8463, 1.0, int_stack+8148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+7875,int_stack+9849,int_stack+9219,21);
     Libderiv->ABCD[11] = int_stack + 7875;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+9135,int_stack+10794,int_stack+0,21);
     Libderiv->ABCD[10] = int_stack + 9135;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+10395,int_stack+11739,int_stack+630,21);
     Libderiv->ABCD[9] = int_stack + 10395;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+0,int_stack+1890,int_stack+1260,21);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+1260,int_stack+12684,int_stack+2835,21);
     Libderiv->ABCD[7] = int_stack + 1260;
 /*--- compute (fd|h0) ---*/
   hrr1_build_fd(Libderiv->AB,int_stack+11655,int_stack+4095,int_stack+3465,21);
     Libderiv->ABCD[6] = int_stack + 11655;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+2520,int_stack+14259,int_stack+13629, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[2] = int_stack + 2520;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+3780,int_stack+15204,int_stack+5670, 0.0, zero_stack, 1.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[1] = int_stack + 3780;
 /*--- compute (fd|h0) ---*/
   d1hrr1_build_fd(Libderiv->AB,int_stack+12915,int_stack+6930,int_stack+6300, 1.0, int_stack+5040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[0] = int_stack + 12915;

}
