#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_h0hf(Libderiv_t *, prim_data *);

  /* Computes derivatives of (h0|hf) integrals */

void d1hrr_order_h0hf(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][6][11] = int_stack + 441;
 Libderiv->deriv_classes[5][7][11] = int_stack + 1029;
 Libderiv->deriv_classes[5][8][11] = int_stack + 1785;
 Libderiv->deriv_classes[5][5][10] = int_stack + 2730;
 Libderiv->deriv_classes[5][6][10] = int_stack + 3171;
 Libderiv->deriv_classes[5][7][10] = int_stack + 3759;
 Libderiv->deriv_classes[5][8][10] = int_stack + 4515;
 Libderiv->deriv_classes[5][5][9] = int_stack + 5460;
 Libderiv->deriv_classes[5][6][9] = int_stack + 5901;
 Libderiv->deriv_classes[5][7][9] = int_stack + 6489;
 Libderiv->deriv_classes[5][8][9] = int_stack + 7245;
 Libderiv->deriv_classes[5][5][8] = int_stack + 8190;
 Libderiv->deriv_classes[5][6][8] = int_stack + 8631;
 Libderiv->deriv_classes[5][7][8] = int_stack + 9219;
 Libderiv->deriv_classes[5][8][8] = int_stack + 9975;
 Libderiv->deriv_classes[5][5][7] = int_stack + 10920;
 Libderiv->deriv_classes[5][6][7] = int_stack + 11361;
 Libderiv->deriv_classes[5][7][7] = int_stack + 11949;
 Libderiv->deriv_classes[5][8][7] = int_stack + 12705;
 Libderiv->dvrr_classes[5][5] = int_stack + 13650;
 Libderiv->deriv_classes[5][5][6] = int_stack + 14091;
 Libderiv->dvrr_classes[5][6] = int_stack + 14532;
 Libderiv->deriv_classes[5][6][6] = int_stack + 15120;
 Libderiv->dvrr_classes[5][7] = int_stack + 15708;
 Libderiv->deriv_classes[5][7][6] = int_stack + 16464;
 Libderiv->deriv_classes[5][8][6] = int_stack + 17220;
 Libderiv->deriv_classes[5][5][2] = int_stack + 18165;
 Libderiv->deriv_classes[5][6][2] = int_stack + 18606;
 Libderiv->deriv_classes[5][7][2] = int_stack + 19194;
 Libderiv->deriv_classes[5][8][2] = int_stack + 19950;
 Libderiv->deriv_classes[5][5][1] = int_stack + 20895;
 Libderiv->deriv_classes[5][6][1] = int_stack + 21336;
 Libderiv->deriv_classes[5][7][1] = int_stack + 21924;
 Libderiv->deriv_classes[5][8][1] = int_stack + 22680;
 Libderiv->deriv_classes[5][5][0] = int_stack + 23625;
 Libderiv->deriv_classes[5][6][0] = int_stack + 24066;
 Libderiv->deriv_classes[5][7][0] = int_stack + 24654;
 Libderiv->deriv_classes[5][8][0] = int_stack + 25410;
 memset(int_stack,0,210840);

 Libderiv->dvrr_stack = int_stack + 71841;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_h0hf(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+26355,int_stack+14532,int_stack+13650,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+27678,int_stack+15708,int_stack+14532,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+29442,int_stack+27678,int_stack+26355,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32088,int_stack+441,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13650,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33411,int_stack+1029,int_stack+441, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14532,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+35175,int_stack+33411,int_stack+32088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26355,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+37821,int_stack+1785,int_stack+1029, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15708,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+40089,int_stack+37821,int_stack+33411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27678,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37821,int_stack+3171,int_stack+2730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13650, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32088,int_stack+3759,int_stack+3171, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14532, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+32088,int_stack+37821, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26355, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+37821,int_stack+4515,int_stack+3759, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15708, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+43617,int_stack+37821,int_stack+32088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27678, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32088,int_stack+5901,int_stack+5460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13650, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33411,int_stack+6489,int_stack+5901, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14532, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+2646,int_stack+33411,int_stack+32088, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26355, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+37821,int_stack+7245,int_stack+6489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15708, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+47145,int_stack+37821,int_stack+33411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27678, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37821,int_stack+8631,int_stack+8190, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32088,int_stack+9219,int_stack+8631, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+5292,int_stack+32088,int_stack+37821, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+37821,int_stack+9975,int_stack+9219, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+50673,int_stack+37821,int_stack+32088, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+32088,int_stack+11361,int_stack+10920, 0.0, zero_stack, 1.0, int_stack+13650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+33411,int_stack+11949,int_stack+11361, 0.0, zero_stack, 1.0, int_stack+14532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7938,int_stack+33411,int_stack+32088, 0.0, zero_stack, 1.0, int_stack+26355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+37821,int_stack+12705,int_stack+11949, 0.0, zero_stack, 1.0, int_stack+15708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+54201,int_stack+37821,int_stack+33411, 0.0, zero_stack, 1.0, int_stack+27678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+37821,int_stack+15120,int_stack+14091, 1.0, int_stack+13650, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+32088,int_stack+16464,int_stack+15120, 1.0, int_stack+14532, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+10584,int_stack+32088,int_stack+37821, 1.0, int_stack+26355, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+37821,int_stack+17220,int_stack+16464, 1.0, int_stack+15708, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+13230,int_stack+37821,int_stack+32088, 1.0, int_stack+27678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+32088,int_stack+18606,int_stack+18165,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+33411,int_stack+19194,int_stack+18606,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+26355,int_stack+33411,int_stack+32088,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+37821,int_stack+19950,int_stack+19194,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+16758,int_stack+37821,int_stack+33411,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+37821,int_stack+21336,int_stack+20895,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+32088,int_stack+21924,int_stack+21336,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+57729,int_stack+32088,int_stack+37821,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+37821,int_stack+22680,int_stack+21924,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+60375,int_stack+37821,int_stack+32088,21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+32088,int_stack+24066,int_stack+23625,21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+33411,int_stack+24654,int_stack+24066,21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+20286,int_stack+33411,int_stack+32088,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+37821,int_stack+25410,int_stack+24654,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+63903,int_stack+37821,int_stack+33411,21);
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+67431,int_stack+40089,int_stack+35175, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29442,21);
     Libderiv->ABCD[11] = int_stack + 67431;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+32088,int_stack+43617,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29442, 0.0, zero_stack,21);
     Libderiv->ABCD[10] = int_stack + 32088;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+36498,int_stack+47145,int_stack+2646, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29442, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[9] = int_stack + 36498;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+0,int_stack+50673,int_stack+5292, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+40908,int_stack+54201,int_stack+7938, 0.0, zero_stack, 1.0, int_stack+29442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[7] = int_stack + 40908;
 /*--- compute (h0|hf) ---*/
   d1hrr3_build_hf(Libderiv->CD,int_stack+4410,int_stack+13230,int_stack+10584, 1.0, int_stack+29442, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[6] = int_stack + 4410;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+8820,int_stack+16758,int_stack+26355,21);
     Libderiv->ABCD[2] = int_stack + 8820;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+13230,int_stack+60375,int_stack+57729,21);
     Libderiv->ABCD[1] = int_stack + 13230;
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libderiv->CD,int_stack+45318,int_stack+63903,int_stack+20286,21);
     Libderiv->ABCD[0] = int_stack + 45318;

}
