#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idki(Libint_t*, prim_data*);

  /* Computes quartets of (id|ki) integrals */

REALTYPE *hrr_order_idki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 Libint->vrr_classes[6][12] = int_stack + 7840;
 Libint->vrr_classes[6][13] = int_stack + 10388;
 Libint->vrr_classes[7][7] = int_stack + 13328;
 Libint->vrr_classes[7][8] = int_stack + 14624;
 Libint->vrr_classes[7][9] = int_stack + 16244;
 Libint->vrr_classes[7][10] = int_stack + 18224;
 Libint->vrr_classes[7][11] = int_stack + 20600;
 Libint->vrr_classes[7][12] = int_stack + 23408;
 Libint->vrr_classes[7][13] = int_stack + 26684;
 Libint->vrr_classes[8][7] = int_stack + 30464;
 Libint->vrr_classes[8][8] = int_stack + 32084;
 Libint->vrr_classes[8][9] = int_stack + 34109;
 Libint->vrr_classes[8][10] = int_stack + 36584;
 Libint->vrr_classes[8][11] = int_stack + 39554;
 Libint->vrr_classes[8][12] = int_stack + 43064;
 Libint->vrr_classes[8][13] = int_stack + 47159;
 memset(int_stack,0,51884*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 51884;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idki(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+51884,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+54908,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+58688,int_stack+54908,int_stack+51884,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+64736,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+69356,int_stack+64736,int_stack+54908,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+76916,int_stack+69356,int_stack+58688,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51884,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+86996,int_stack+51884,int_stack+64736,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+96236,int_stack+86996,int_stack+69356,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+57428,int_stack+96236,int_stack+76916,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+72548,int_stack+7840,int_stack+5656,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+108836,int_stack+72548,int_stack+51884,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+119924,int_stack+108836,int_stack+86996,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+135324,int_stack+119924,int_stack+96236,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+79100,int_stack+135324,int_stack+57428,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+51884,int_stack+10388,int_stack+7840,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+51884,int_stack+72548,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+51884,int_stack+0,int_stack+108836,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+154224,int_stack+51884,int_stack+119924,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+51884,int_stack+154224,int_stack+135324,28);
 /*--- compute (i0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+100268,int_stack+51884,int_stack+79100,28);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+51884,int_stack+14624,int_stack+13328,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+55772,int_stack+16244,int_stack+14624,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+60632,int_stack+55772,int_stack+51884,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+68408,int_stack+18224,int_stack+16244,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+74348,int_stack+68408,int_stack+55772,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+84068,int_stack+74348,int_stack+60632,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51884,int_stack+20600,int_stack+18224,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+51884,int_stack+68408,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+128492,int_stack+0,int_stack+74348,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+59012,int_stack+128492,int_stack+84068,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+78452,int_stack+23408,int_stack+20600,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+144692,int_stack+78452,int_stack+51884,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+158948,int_stack+144692,int_stack+0,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+178748,int_stack+158948,int_stack+128492,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+203048,int_stack+178748,int_stack+59012,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+128492,int_stack+26684,int_stack+23408,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+128492,int_stack+78452,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+51884,int_stack+0,int_stack+144692,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+51884,int_stack+158948,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+51884,int_stack+0,int_stack+178748,36);
 /*--- compute (k0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+128492,int_stack+51884,int_stack+203048,36);
 /*--- compute (ip|ki) ---*/
 hrr1_build_ip(Libint->AB,int_stack+164780,int_stack+128492,int_stack+100268,1008);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+51884,int_stack+32084,int_stack+30464,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+56744,int_stack+34109,int_stack+32084,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+62819,int_stack+56744,int_stack+51884,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+72539,int_stack+36584,int_stack+34109,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+79964,int_stack+72539,int_stack+56744,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+92114,int_stack+79964,int_stack+62819,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51884,int_stack+39554,int_stack+36584,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+108314,int_stack+51884,int_stack+72539,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+108314,int_stack+79964,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+60794,int_stack+0,int_stack+92114,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+85094,int_stack+43064,int_stack+39554,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+20250,int_stack+85094,int_stack+51884,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+249452,int_stack+20250,int_stack+108314,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+95624,int_stack+249452,int_stack+0,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+274202,int_stack+95624,int_stack+60794,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+47159,int_stack+43064,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+38070,int_stack+0,int_stack+85094,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+59130,int_stack+38070,int_stack+20250,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+59130,int_stack+249452,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+37125,int_stack+0,int_stack+95624,45);
 /*--- compute (l0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+79650,int_stack+37125,int_stack+274202,45);
 /*--- compute (kp|ki) ---*/
 hrr1_build_kp(Libint->AB,int_stack+249452,int_stack+79650,int_stack+128492,1008);
 /*--- compute (id|ki) ---*/
 hrr1_build_id(Libint->AB,int_stack+358316,int_stack+249452,int_stack+164780,1008);
 return int_stack+358316;}
