#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kdkg(Libint_t*, prim_data*);

  /* Computes quartets of (kd|kg) integrals */

REALTYPE *hrr_order_kdkg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[8][7] = int_stack + 10080;
 Libint->vrr_classes[8][8] = int_stack + 11700;
 Libint->vrr_classes[8][9] = int_stack + 13725;
 Libint->vrr_classes[8][10] = int_stack + 16200;
 Libint->vrr_classes[8][11] = int_stack + 19170;
 Libint->vrr_classes[9][7] = int_stack + 22680;
 Libint->vrr_classes[9][8] = int_stack + 24660;
 Libint->vrr_classes[9][9] = int_stack + 27135;
 Libint->vrr_classes[9][10] = int_stack + 30160;
 Libint->vrr_classes[9][11] = int_stack + 33790;
 memset(int_stack,0,38080*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 38080;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kdkg(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+38080,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+41968,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+46828,int_stack+41968,int_stack+38080,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+54604,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+60544,int_stack+54604,int_stack+41968,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+70264,int_stack+60544,int_stack+46828,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38080,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+83224,int_stack+38080,int_stack+54604,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+38080,int_stack+83224,int_stack+60544,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+83224,int_stack+38080,int_stack+70264,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+38080,int_stack+11700,int_stack+10080,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+42940,int_stack+13725,int_stack+11700,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+49015,int_stack+42940,int_stack+38080,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+58735,int_stack+16200,int_stack+13725,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+66160,int_stack+58735,int_stack+42940,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+66160,int_stack+49015,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38080,int_stack+19170,int_stack+16200,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+102664,int_stack+38080,int_stack+58735,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+38080,int_stack+102664,int_stack+66160,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+58330,int_stack+38080,int_stack+0,45);
 /*--- compute (kp|kg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+102664,int_stack+58330,int_stack+83224,540);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+24660,int_stack+22680,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5940,int_stack+27135,int_stack+24660,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+13365,int_stack+5940,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+38080,int_stack+30160,int_stack+27135,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+82630,int_stack+38080,int_stack+5940,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+160984,int_stack+82630,int_stack+13365,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+33790,int_stack+30160,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+10890,int_stack+0,int_stack+38080,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+29040,int_stack+10890,int_stack+82630,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+180784,int_stack+29040,int_stack+160984,55);
 /*--- compute (lp|kg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+210484,int_stack+180784,int_stack+58330,540);
 /*--- compute (kd|kg) ---*/
 hrr1_build_kd(Libint->AB,int_stack+283384,int_stack+210484,int_stack+102664,540);
 return int_stack+283384;}
