#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfkg(Libint_t*, prim_data*);

  /* Computes quartets of (kf|kg) integrals */

REALTYPE *hrr_order_kfkg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[8][7] = int_stack + 10080;
 Libint->vrr_classes[8][8] = int_stack + 11700;
 Libint->vrr_classes[8][9] = int_stack + 13725;
 Libint->vrr_classes[8][10] = int_stack + 16200;
 Libint->vrr_classes[8][11] = int_stack + 19170;
 Libint->vrr_classes[9][7] = int_stack + 22680;
 Libint->vrr_classes[9][8] = int_stack + 24660;
 Libint->vrr_classes[9][9] = int_stack + 27135;
 Libint->vrr_classes[9][10] = int_stack + 30160;
 Libint->vrr_classes[9][11] = int_stack + 33790;
 Libint->vrr_classes[10][7] = int_stack + 38080;
 Libint->vrr_classes[10][8] = int_stack + 40456;
 Libint->vrr_classes[10][9] = int_stack + 43426;
 Libint->vrr_classes[10][10] = int_stack + 47056;
 Libint->vrr_classes[10][11] = int_stack + 51412;
 memset(int_stack,0,56560*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 56560;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfkg(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+56560,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+60448,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+65308,int_stack+60448,int_stack+56560,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+73084,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+79024,int_stack+73084,int_stack+60448,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+88744,int_stack+79024,int_stack+65308,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+56560,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+101704,int_stack+56560,int_stack+73084,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+56560,int_stack+101704,int_stack+79024,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+101704,int_stack+56560,int_stack+88744,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+56560,int_stack+11700,int_stack+10080,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+61420,int_stack+13725,int_stack+11700,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+67495,int_stack+61420,int_stack+56560,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+77215,int_stack+16200,int_stack+13725,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+84640,int_stack+77215,int_stack+61420,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+84640,int_stack+67495,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+56560,int_stack+19170,int_stack+16200,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+121144,int_stack+56560,int_stack+77215,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+56560,int_stack+121144,int_stack+84640,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+76810,int_stack+56560,int_stack+0,45);
 /*--- compute (kp|kg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+121144,int_stack+76810,int_stack+101704,540);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+24660,int_stack+22680,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5940,int_stack+27135,int_stack+24660,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+13365,int_stack+5940,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+56560,int_stack+30160,int_stack+27135,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+101110,int_stack+56560,int_stack+5940,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+179464,int_stack+101110,int_stack+13365,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+33790,int_stack+30160,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+10890,int_stack+0,int_stack+56560,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+199264,int_stack+10890,int_stack+101110,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+199264,int_stack+179464,55);
 /*--- compute (lp|kg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+179464,int_stack+0,int_stack+76810,540);
 /*--- compute (kd|kg) ---*/
 hrr1_build_kd(Libint->AB,int_stack+252364,int_stack+179464,int_stack+121144,540);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+56560,int_stack+40456,int_stack+38080,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+63688,int_stack+43426,int_stack+40456,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+72598,int_stack+63688,int_stack+56560,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+86854,int_stack+47056,int_stack+43426,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+97744,int_stack+86854,int_stack+63688,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+115564,int_stack+97744,int_stack+72598,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+56560,int_stack+51412,int_stack+47056,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+139324,int_stack+56560,int_stack+86854,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+29700,int_stack+139324,int_stack+97744,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+139324,int_stack+29700,int_stack+115564,66);
 /*--- compute (mp|kg) ---*/
 hrr1_build_mp(Libint->AB,int_stack+29700,int_stack+139324,int_stack+0,540);
 /*--- compute (ld|kg) ---*/
 hrr1_build_ld(Libint->AB,int_stack+369004,int_stack+29700,int_stack+179464,540);
 /*--- compute (kf|kg) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+369004,int_stack+252364,540);
 return int_stack+0;}
