#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfkh(Libint_t*, prim_data*);

  /* Computes quartets of (kf|kh) integrals */

REALTYPE *hrr_order_kfkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][7] = int_stack + 0;
 Libint->vrr_classes[7][8] = int_stack + 1296;
 Libint->vrr_classes[7][9] = int_stack + 2916;
 Libint->vrr_classes[7][10] = int_stack + 4896;
 Libint->vrr_classes[7][11] = int_stack + 7272;
 Libint->vrr_classes[7][12] = int_stack + 10080;
 Libint->vrr_classes[8][7] = int_stack + 13356;
 Libint->vrr_classes[8][8] = int_stack + 14976;
 Libint->vrr_classes[8][9] = int_stack + 17001;
 Libint->vrr_classes[8][10] = int_stack + 19476;
 Libint->vrr_classes[8][11] = int_stack + 22446;
 Libint->vrr_classes[8][12] = int_stack + 25956;
 Libint->vrr_classes[9][7] = int_stack + 30051;
 Libint->vrr_classes[9][8] = int_stack + 32031;
 Libint->vrr_classes[9][9] = int_stack + 34506;
 Libint->vrr_classes[9][10] = int_stack + 37531;
 Libint->vrr_classes[9][11] = int_stack + 41161;
 Libint->vrr_classes[9][12] = int_stack + 45451;
 Libint->vrr_classes[10][7] = int_stack + 50456;
 Libint->vrr_classes[10][8] = int_stack + 52832;
 Libint->vrr_classes[10][9] = int_stack + 55802;
 Libint->vrr_classes[10][10] = int_stack + 59432;
 Libint->vrr_classes[10][11] = int_stack + 63788;
 Libint->vrr_classes[10][12] = int_stack + 68936;
 memset(int_stack,0,74942*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 74942;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfkh(Libint, Data);
   Data++;
 }
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+74942,int_stack+1296,int_stack+0,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+78830,int_stack+2916,int_stack+1296,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+83690,int_stack+78830,int_stack+74942,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+91466,int_stack+4896,int_stack+2916,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+97406,int_stack+91466,int_stack+78830,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+107126,int_stack+97406,int_stack+83690,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74942,int_stack+7272,int_stack+4896,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+120086,int_stack+74942,int_stack+91466,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+131966,int_stack+120086,int_stack+97406,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+82070,int_stack+131966,int_stack+107126,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+101510,int_stack+10080,int_stack+7272,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+148166,int_stack+101510,int_stack+74942,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+162422,int_stack+148166,int_stack+120086,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+101510,int_stack+162422,int_stack+131966,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+125810,int_stack+101510,int_stack+82070,36);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+74942,int_stack+14976,int_stack+13356,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+79802,int_stack+17001,int_stack+14976,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+85877,int_stack+79802,int_stack+74942,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+95597,int_stack+19476,int_stack+17001,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+103022,int_stack+95597,int_stack+79802,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+153026,int_stack+103022,int_stack+85877,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74942,int_stack+22446,int_stack+19476,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+74942,int_stack+95597,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+169226,int_stack+0,int_stack+103022,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+83852,int_stack+169226,int_stack+153026,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+153026,int_stack+25956,int_stack+22446,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+189476,int_stack+153026,int_stack+74942,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+207296,int_stack+189476,int_stack+0,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+232046,int_stack+207296,int_stack+169226,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+153026,int_stack+232046,int_stack+83852,45);
 /*--- compute (kp|kh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+187046,int_stack+153026,int_stack+125810,756);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+32031,int_stack+30051,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5940,int_stack+34506,int_stack+32031,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+13365,int_stack+5940,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25245,int_stack+37531,int_stack+34506,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+74942,int_stack+25245,int_stack+5940,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+89792,int_stack+74942,int_stack+13365,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+41161,int_stack+37531,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+109592,int_stack+0,int_stack+25245,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+10890,int_stack+109592,int_stack+74942,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+268694,int_stack+10890,int_stack+89792,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+74942,int_stack+45451,int_stack+41161,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+87812,int_stack+74942,int_stack+0,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+298394,int_stack+87812,int_stack+109592,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+74942,int_stack+298394,int_stack+10890,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+74942,int_stack+268694,55);
 /*--- compute (lp|kh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+268694,int_stack+0,int_stack+153026,756);
 /*--- compute (kd|kh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+370754,int_stack+268694,int_stack+187046,756);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+74942,int_stack+52832,int_stack+50456,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+82070,int_stack+55802,int_stack+52832,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+90980,int_stack+82070,int_stack+74942,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+105236,int_stack+59432,int_stack+55802,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+116126,int_stack+105236,int_stack+82070,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+133946,int_stack+116126,int_stack+90980,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74942,int_stack+63788,int_stack+59432,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+157706,int_stack+74942,int_stack+105236,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+179486,int_stack+157706,int_stack+116126,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+88010,int_stack+179486,int_stack+133946,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+123650,int_stack+68936,int_stack+63788,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+209186,int_stack+123650,int_stack+74942,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+41580,int_stack+209186,int_stack+157706,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+209186,int_stack+41580,int_stack+179486,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+123650,int_stack+209186,int_stack+88010,66);
 /*--- compute (mp|kh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+534050,int_stack+123650,int_stack+0,756);
 /*--- compute (ld|kh) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+534050,int_stack+268694,756);
 /*--- compute (kf|kh) ---*/
 hrr1_build_kf(Libint->AB,int_stack+534050,int_stack+0,int_stack+370754,756);
 return int_stack+534050;}
