#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00hf(Libr12_t *, prim_data *);

  /* Computes (00|hf) integrals for linear R12-methods */

void hrr_grt_order_00hf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][5] = int_stack + 0;
 Libr12->t2vrr_classes[0][5] = int_stack + 63;
 Libr12->gvrr_classes[1][6] = int_stack + 84;
 Libr12->t2vrr_classes[0][6] = int_stack + 168;
 Libr12->gvrr_classes[1][7] = int_stack + 196;
 Libr12->t2vrr_classes[0][7] = int_stack + 304;
 Libr12->t2vrr_classes[0][8] = int_stack + 340;
 Libr12->t1vrr_classes[0][5] = int_stack + 385;
 Libr12->t1vrr_classes[0][6] = int_stack + 406;
 Libr12->t1vrr_classes[0][7] = int_stack + 434;
 Libr12->t1vrr_classes[0][8] = int_stack + 470;
 Libr12->rvrr_classes[0][5] = int_stack + 515;
 Libr12->rvrr_classes[0][6] = int_stack + 536;
 Libr12->rvrr_classes[0][7] = int_stack + 564;
 Libr12->rvrr_classes[0][8] = int_stack + 600;
 Libr12->gvrr_classes[0][5] = int_stack + 645;
 Libr12->gvrr_classes[0][6] = int_stack + 666;
 Libr12->gvrr_classes[0][7] = int_stack + 694;
 Libr12->gvrr_classes[0][8] = int_stack + 730;
 memset(int_stack,0,775*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 775;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00hf(Libr12, Data);
   Data++;
 }

 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+775, int_stack+666, int_stack+645, 1);
 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+838, int_stack+694, int_stack+666, 1);
 /*--- compute (00|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+922, int_stack+838, int_stack+775, 1);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1048, int_stack+84, int_stack+0, 3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1237, int_stack+196, int_stack+84, 3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1489, int_stack+1237, int_stack+1048, 3);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1867, int_stack+730, int_stack+694, 1);
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1975, int_stack+1867, int_stack+838, 1);
 /*--- compute (00|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2143, int_stack+168, int_stack+63, int_stack+666, int_stack+0, int_stack+645, 0, 0);
 /*--- compute (00|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+304, int_stack+168, int_stack+694, int_stack+84, int_stack+666, 0, 0);
 /*--- compute (00|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2206, int_stack+0, int_stack+2143, int_stack+838, int_stack+1048, int_stack+775, 0, 0);
 /*--- compute (00|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1048, int_stack+340, int_stack+304, int_stack+730, int_stack+196, int_stack+694, 0, 0);
 /*--- compute (00|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84, int_stack+1048, int_stack+0, int_stack+1867, int_stack+1237, int_stack+838, 0, 0);
 /*--- compute (00|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+2143, int_stack+406, int_stack+385, 1);
 /*--- compute (00|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+434, int_stack+406, 1);
 /*--- compute (00|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1048, int_stack+0, int_stack+2143, 1);
 /*--- compute (00|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1867, int_stack+470, int_stack+434, 1);
 /*--- compute (00|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1174, int_stack+1867, int_stack+0, 1);
 /*--- compute (00||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+2143, int_stack+536, int_stack+515, 1);
 /*--- compute (00||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+564, int_stack+536, 1);
 /*--- compute (00||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1342, int_stack+0, int_stack+2143, 1);
 /*--- compute (00||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1867, int_stack+600, int_stack+564, 1);
 /*--- compute (00||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+252, int_stack+1867, int_stack+0, 1);
 /*--- compute (00|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420, int_stack+84, int_stack+2206, int_stack+1975, int_stack+1489, int_stack+922, 0, 0);
     Libr12->te_ptr[3] = int_stack + 420;
 /*--- compute (00|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1174, int_stack+1048, 1);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (00||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+1048, int_stack+252, int_stack+1342, 1);
     Libr12->te_ptr[1] = int_stack + 1048;
 /*--- compute (00|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+210, int_stack+1975, int_stack+922, 1);
     Libr12->te_ptr[0] = int_stack + 210;

}
