#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00hh(Libr12_t *, prim_data *);

  /* Computes (00|hh) integrals for linear R12-methods */

void hrr_grt_order_00hh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][5] = int_stack + 0;
 Libr12->t2vrr_classes[0][5] = int_stack + 63;
 Libr12->gvrr_classes[1][6] = int_stack + 84;
 Libr12->t2vrr_classes[0][6] = int_stack + 168;
 Libr12->gvrr_classes[1][7] = int_stack + 196;
 Libr12->t2vrr_classes[0][7] = int_stack + 304;
 Libr12->gvrr_classes[1][8] = int_stack + 340;
 Libr12->t2vrr_classes[0][8] = int_stack + 475;
 Libr12->gvrr_classes[1][9] = int_stack + 520;
 Libr12->t2vrr_classes[0][9] = int_stack + 685;
 Libr12->t2vrr_classes[0][10] = int_stack + 740;
 Libr12->t1vrr_classes[0][5] = int_stack + 806;
 Libr12->t1vrr_classes[0][6] = int_stack + 827;
 Libr12->t1vrr_classes[0][7] = int_stack + 855;
 Libr12->t1vrr_classes[0][8] = int_stack + 891;
 Libr12->t1vrr_classes[0][9] = int_stack + 936;
 Libr12->t1vrr_classes[0][10] = int_stack + 991;
 Libr12->rvrr_classes[0][5] = int_stack + 1057;
 Libr12->rvrr_classes[0][6] = int_stack + 1078;
 Libr12->rvrr_classes[0][7] = int_stack + 1106;
 Libr12->rvrr_classes[0][8] = int_stack + 1142;
 Libr12->rvrr_classes[0][9] = int_stack + 1187;
 Libr12->rvrr_classes[0][10] = int_stack + 1242;
 Libr12->gvrr_classes[0][5] = int_stack + 1308;
 Libr12->gvrr_classes[0][6] = int_stack + 1329;
 Libr12->gvrr_classes[0][7] = int_stack + 1357;
 Libr12->gvrr_classes[0][8] = int_stack + 1393;
 Libr12->gvrr_classes[0][9] = int_stack + 1438;
 Libr12->gvrr_classes[0][10] = int_stack + 1493;
 memset(int_stack,0,1559*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1559;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00hh(Libr12, Data);
   Data++;
 }

 /*--- compute (00|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1559, int_stack+1329, int_stack+1308, 1);
 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1622, int_stack+1357, int_stack+1329, 1);
 /*--- compute (00|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1706, int_stack+1622, int_stack+1559, 1);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1832, int_stack+1393, int_stack+1357, 1);
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1940, int_stack+1832, int_stack+1622, 1);
 /*--- compute (00|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+2108, int_stack+1940, int_stack+1706, 1);
 /*--- compute (00|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2318, int_stack+1438, int_stack+1393, 1);
 /*--- compute (00|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2453, int_stack+2318, int_stack+1832, 1);
 /*--- compute (00|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2669, int_stack+2453, int_stack+1940, 1);
 /*--- compute (00|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+2949, int_stack+2669, int_stack+2108, 1);
 /*--- compute (p0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3264, int_stack+84, int_stack+0, 3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3453, int_stack+196, int_stack+84, 3);
 /*--- compute (p0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3705, int_stack+3453, int_stack+3264, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4083, int_stack+340, int_stack+196, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4407, int_stack+4083, int_stack+3453, 3);
 /*--- compute (p0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+4911, int_stack+4407, int_stack+3705, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5541, int_stack+520, int_stack+340, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5946, int_stack+5541, int_stack+4083, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+6594, int_stack+5946, int_stack+4407, 3);
 /*--- compute (p0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+7434, int_stack+6594, int_stack+4911, 3);
 /*--- compute (00|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+8379, int_stack+1493, int_stack+1438, 1);
 /*--- compute (00|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+8544, int_stack+8379, int_stack+2318, 1);
 /*--- compute (00|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+8814, int_stack+8544, int_stack+2453, 1);
 /*--- compute (00|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+9174, int_stack+8814, int_stack+2669, 1);
 /*--- compute (00|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9594, int_stack+168, int_stack+63, int_stack+1329, int_stack+0, int_stack+1308, 0, 0);
 /*--- compute (00|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+304, int_stack+168, int_stack+1357, int_stack+84, int_stack+1329, 0, 0);
 /*--- compute (00|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9657, int_stack+0, int_stack+9594, int_stack+1622, int_stack+3264, int_stack+1559, 0, 0);
 /*--- compute (00|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3264, int_stack+475, int_stack+304, int_stack+1393, int_stack+196, int_stack+1357, 0, 0);
 /*--- compute (00|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84, int_stack+3264, int_stack+0, int_stack+1832, int_stack+3453, int_stack+1622, 0, 0);
 /*--- compute (00|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3372, int_stack+84, int_stack+9657, int_stack+1940, int_stack+3705, int_stack+1706, 0, 0);
 /*--- compute (00|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1559, int_stack+685, int_stack+475, int_stack+1438, int_stack+340, int_stack+1393, 0, 0);
 /*--- compute (00|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3582, int_stack+1559, int_stack+3264, int_stack+2318, int_stack+4083, int_stack+1832, 0, 0);
 /*--- compute (00|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3798, int_stack+3582, int_stack+84, int_stack+2453, int_stack+4407, int_stack+1940, 0, 0);
 /*--- compute (00|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3798, int_stack+3372, int_stack+2669, int_stack+4911, int_stack+2108, 0, 0);
 /*--- compute (00|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3264, int_stack+740, int_stack+685, int_stack+1493, int_stack+520, int_stack+1438, 0, 0);
 /*--- compute (00|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315, int_stack+3264, int_stack+1559, int_stack+8379, int_stack+5541, int_stack+2318, 0, 0);
 /*--- compute (00|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4078, int_stack+315, int_stack+3582, int_stack+8544, int_stack+5946, int_stack+2453, 0, 0);
 /*--- compute (00|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315, int_stack+4078, int_stack+3798, int_stack+8814, int_stack+6594, int_stack+2669, 0, 0);
 /*--- compute (00|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+735, int_stack+827, int_stack+806, 1);
 /*--- compute (00|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8379, int_stack+855, int_stack+827, 1);
 /*--- compute (00|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+8463, int_stack+8379, int_stack+735, 1);
 /*--- compute (00|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+735, int_stack+891, int_stack+855, 1);
 /*--- compute (00|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8589, int_stack+735, int_stack+8379, 1);
 /*--- compute (00|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+8757, int_stack+8589, int_stack+8463, 1);
 /*--- compute (00|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8379, int_stack+936, int_stack+891, 1);
 /*--- compute (00|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3264, int_stack+8379, int_stack+735, 1);
 /*--- compute (00|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3480, int_stack+3264, int_stack+8589, 1);
 /*--- compute (00|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+3760, int_stack+3480, int_stack+8757, 1);
 /*--- compute (00|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+735, int_stack+991, int_stack+936, 1);
 /*--- compute (00|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+8514, int_stack+735, int_stack+8379, 1);
 /*--- compute (00|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+8784, int_stack+8514, int_stack+3264, 1);
 /*--- compute (00|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+4075, int_stack+8784, int_stack+3480, 1);
 /*--- compute (00||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3264, int_stack+1078, int_stack+1057, 1);
 /*--- compute (00||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3327, int_stack+1106, int_stack+1078, 1);
 /*--- compute (00||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3411, int_stack+3327, int_stack+3264, 1);
 /*--- compute (00||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3537, int_stack+1142, int_stack+1106, 1);
 /*--- compute (00||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8379, int_stack+3537, int_stack+3327, 1);
 /*--- compute (00||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+8547, int_stack+8379, int_stack+3411, 1);
 /*--- compute (00||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3264, int_stack+1187, int_stack+1142, 1);
 /*--- compute (00||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+8757, int_stack+3264, int_stack+3537, 1);
 /*--- compute (00||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3399, int_stack+8757, int_stack+8379, 1);
 /*--- compute (00||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+735, int_stack+3399, int_stack+8547, 1);
 /*--- compute (00||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+8379, int_stack+1242, int_stack+1187, 1);
 /*--- compute (00||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1050, int_stack+8379, int_stack+3264, 1);
 /*--- compute (00||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+8379, int_stack+1050, int_stack+8757, 1);
 /*--- compute (00||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1050, int_stack+8379, int_stack+3399, 1);
 /*--- compute (00|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8379, int_stack+315, int_stack+0, int_stack+9174, int_stack+7434, int_stack+2949, 0, 0);
     Libr12->te_ptr[3] = int_stack + 8379;
 /*--- compute (00|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4075, int_stack+3760, 1);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (00||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1470, int_stack+1050, int_stack+735, 1);
     Libr12->te_ptr[1] = int_stack + 1470;
 /*--- compute (00|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+441, int_stack+9174, int_stack+2949, 1);
     Libr12->te_ptr[0] = int_stack + 441;

}
