#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00if(Libr12_t *, prim_data *);

  /* Computes (00|if) integrals for linear R12-methods */

void hrr_grt_order_00if(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[0][6] = int_stack + 84;
 Libr12->gvrr_classes[1][7] = int_stack + 112;
 Libr12->t2vrr_classes[0][7] = int_stack + 220;
 Libr12->gvrr_classes[1][8] = int_stack + 256;
 Libr12->t2vrr_classes[0][8] = int_stack + 391;
 Libr12->t2vrr_classes[0][9] = int_stack + 436;
 Libr12->t1vrr_classes[0][6] = int_stack + 491;
 Libr12->t1vrr_classes[0][7] = int_stack + 519;
 Libr12->t1vrr_classes[0][8] = int_stack + 555;
 Libr12->t1vrr_classes[0][9] = int_stack + 600;
 Libr12->rvrr_classes[0][6] = int_stack + 655;
 Libr12->rvrr_classes[0][7] = int_stack + 683;
 Libr12->rvrr_classes[0][8] = int_stack + 719;
 Libr12->rvrr_classes[0][9] = int_stack + 764;
 Libr12->gvrr_classes[0][6] = int_stack + 819;
 Libr12->gvrr_classes[0][7] = int_stack + 847;
 Libr12->gvrr_classes[0][8] = int_stack + 883;
 Libr12->gvrr_classes[0][9] = int_stack + 928;
 memset(int_stack,0,983*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 983;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00if(Libr12, Data);
   Data++;
 }

 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+983, int_stack+847, int_stack+819, 1);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1067, int_stack+883, int_stack+847, 1);
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1175, int_stack+1067, int_stack+983, 1);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1343, int_stack+112, int_stack+0, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1595, int_stack+256, int_stack+112, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1919, int_stack+1595, int_stack+1343, 3);
 /*--- compute (00|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2423, int_stack+928, int_stack+883, 1);
 /*--- compute (00|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2558, int_stack+2423, int_stack+1067, 1);
 /*--- compute (00|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2774, int_stack+220, int_stack+84, int_stack+847, int_stack+0, int_stack+819, 0, 0);
 /*--- compute (00|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+391, int_stack+220, int_stack+883, int_stack+112, int_stack+847, 0, 0);
 /*--- compute (00|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2858, int_stack+0, int_stack+2774, int_stack+1067, int_stack+1343, int_stack+983, 0, 0);
 /*--- compute (00|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1343, int_stack+436, int_stack+391, int_stack+928, int_stack+256, int_stack+883, 0, 0);
 /*--- compute (00|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+819, int_stack+1343, int_stack+0, int_stack+2423, int_stack+1595, int_stack+1067, 0, 0);
 /*--- compute (00|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2774, int_stack+519, int_stack+491, 1);
 /*--- compute (00|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2423, int_stack+555, int_stack+519, 1);
 /*--- compute (00|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2423, int_stack+2774, 1);
 /*--- compute (00|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+168, int_stack+600, int_stack+555, 1);
 /*--- compute (00|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+303, int_stack+168, int_stack+2423, 1);
 /*--- compute (00||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2774, int_stack+683, int_stack+655, 1);
 /*--- compute (00||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2423, int_stack+719, int_stack+683, 1);
 /*--- compute (00||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+519, int_stack+2423, int_stack+2774, 1);
 /*--- compute (00||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+168, int_stack+764, int_stack+719, 1);
 /*--- compute (00||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1343, int_stack+168, int_stack+2423, 1);
 /*--- compute (00|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1559, int_stack+819, int_stack+2858, int_stack+2558, int_stack+1919, int_stack+1175, 0, 0);
     Libr12->te_ptr[3] = int_stack + 1559;
 /*--- compute (00|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2774, int_stack+303, int_stack+0, 1);
     Libr12->te_ptr[2] = int_stack + 2774;
 /*--- compute (00||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1343, int_stack+519, 1);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (00|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+280, int_stack+2558, int_stack+1175, 1);
     Libr12->te_ptr[0] = int_stack + 280;

}
