#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00ig(Libr12_t *, prim_data *);

  /* Computes (00|ig) integrals for linear R12-methods */

void hrr_grt_order_00ig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[0][6] = int_stack + 84;
 Libr12->gvrr_classes[1][7] = int_stack + 112;
 Libr12->t2vrr_classes[0][7] = int_stack + 220;
 Libr12->gvrr_classes[1][8] = int_stack + 256;
 Libr12->t2vrr_classes[0][8] = int_stack + 391;
 Libr12->gvrr_classes[1][9] = int_stack + 436;
 Libr12->t2vrr_classes[0][9] = int_stack + 601;
 Libr12->t2vrr_classes[0][10] = int_stack + 656;
 Libr12->t1vrr_classes[0][6] = int_stack + 722;
 Libr12->t1vrr_classes[0][7] = int_stack + 750;
 Libr12->t1vrr_classes[0][8] = int_stack + 786;
 Libr12->t1vrr_classes[0][9] = int_stack + 831;
 Libr12->t1vrr_classes[0][10] = int_stack + 886;
 Libr12->rvrr_classes[0][6] = int_stack + 952;
 Libr12->rvrr_classes[0][7] = int_stack + 980;
 Libr12->rvrr_classes[0][8] = int_stack + 1016;
 Libr12->rvrr_classes[0][9] = int_stack + 1061;
 Libr12->rvrr_classes[0][10] = int_stack + 1116;
 Libr12->gvrr_classes[0][6] = int_stack + 1182;
 Libr12->gvrr_classes[0][7] = int_stack + 1210;
 Libr12->gvrr_classes[0][8] = int_stack + 1246;
 Libr12->gvrr_classes[0][9] = int_stack + 1291;
 Libr12->gvrr_classes[0][10] = int_stack + 1346;
 memset(int_stack,0,1412*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1412;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00ig(Libr12, Data);
   Data++;
 }

 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1412, int_stack+1210, int_stack+1182, 1);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1496, int_stack+1246, int_stack+1210, 1);
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1604, int_stack+1496, int_stack+1412, 1);
 /*--- compute (00|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1772, int_stack+1291, int_stack+1246, 1);
 /*--- compute (00|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1907, int_stack+1772, int_stack+1496, 1);
 /*--- compute (00|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2123, int_stack+1907, int_stack+1604, 1);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2403, int_stack+112, int_stack+0, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2655, int_stack+256, int_stack+112, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2979, int_stack+2655, int_stack+2403, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3483, int_stack+436, int_stack+256, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3888, int_stack+3483, int_stack+2655, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4536, int_stack+3888, int_stack+2979, 3);
 /*--- compute (00|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+1346, int_stack+1291, 1);
 /*--- compute (00|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5541, int_stack+5376, int_stack+1772, 1);
 /*--- compute (00|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+5811, int_stack+5541, int_stack+1907, 1);
 /*--- compute (00|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6171, int_stack+220, int_stack+84, int_stack+1210, int_stack+0, int_stack+1182, 0, 0);
 /*--- compute (00|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+391, int_stack+220, int_stack+1246, int_stack+112, int_stack+1210, 0, 0);
 /*--- compute (00|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6255, int_stack+0, int_stack+6171, int_stack+1496, int_stack+2403, int_stack+1412, 0, 0);
 /*--- compute (00|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2403, int_stack+601, int_stack+391, int_stack+1291, int_stack+256, int_stack+1246, 0, 0);
 /*--- compute (00|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108, int_stack+2403, int_stack+0, int_stack+1772, int_stack+2655, int_stack+1496, 0, 0);
 /*--- compute (00|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2538, int_stack+108, int_stack+6255, int_stack+1907, int_stack+2979, int_stack+1604, 0, 0);
 /*--- compute (00|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1412, int_stack+656, int_stack+601, int_stack+1346, int_stack+436, int_stack+1291, 0, 0);
 /*--- compute (00|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2818, int_stack+1412, int_stack+2403, int_stack+5376, int_stack+3483, int_stack+1772, 0, 0);
 /*--- compute (00|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3088, int_stack+2818, int_stack+108, int_stack+5541, int_stack+3888, int_stack+1907, 0, 0);
 /*--- compute (00|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2818, int_stack+750, int_stack+722, 1);
 /*--- compute (00|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2902, int_stack+786, int_stack+750, 1);
 /*--- compute (00|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2902, int_stack+2818, 1);
 /*--- compute (00|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2403, int_stack+831, int_stack+786, 1);
 /*--- compute (00|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5544, int_stack+2403, int_stack+2902, 1);
 /*--- compute (00|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5544, int_stack+5376, 1);
 /*--- compute (00|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+886, int_stack+831, 1);
 /*--- compute (00|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2818, int_stack+5376, int_stack+2403, 1);
 /*--- compute (00|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+280, int_stack+2818, int_stack+5544, 1);
 /*--- compute (00||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2818, int_stack+980, int_stack+952, 1);
 /*--- compute (00||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2902, int_stack+1016, int_stack+980, 1);
 /*--- compute (00||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2902, int_stack+2818, 1);
 /*--- compute (00||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2403, int_stack+1061, int_stack+1016, 1);
 /*--- compute (00||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5544, int_stack+2403, int_stack+2902, 1);
 /*--- compute (00||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+640, int_stack+5544, int_stack+5376, 1);
 /*--- compute (00||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+1116, int_stack+1061, 1);
 /*--- compute (00||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2818, int_stack+5376, int_stack+2403, 1);
 /*--- compute (00||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+920, int_stack+2818, int_stack+5544, 1);
 /*--- compute (00|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5376, int_stack+3088, int_stack+2538, int_stack+5811, int_stack+4536, int_stack+2123, 0, 0);
     Libr12->te_ptr[3] = int_stack + 5376;
 /*--- compute (00|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2403, int_stack+280, int_stack+0, 1);
     Libr12->te_ptr[2] = int_stack + 2403;
 /*--- compute (00||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+920, int_stack+640, 1);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (00|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+420, int_stack+5811, int_stack+2123, 1);
     Libr12->te_ptr[0] = int_stack + 420;

}
