#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00ih(Libr12_t *, prim_data *);

  /* Computes (00|ih) integrals for linear R12-methods */

void hrr_grt_order_00ih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[0][6] = int_stack + 84;
 Libr12->gvrr_classes[1][7] = int_stack + 112;
 Libr12->t2vrr_classes[0][7] = int_stack + 220;
 Libr12->gvrr_classes[1][8] = int_stack + 256;
 Libr12->t2vrr_classes[0][8] = int_stack + 391;
 Libr12->gvrr_classes[1][9] = int_stack + 436;
 Libr12->t2vrr_classes[0][9] = int_stack + 601;
 Libr12->gvrr_classes[1][10] = int_stack + 656;
 Libr12->t2vrr_classes[0][10] = int_stack + 854;
 Libr12->t2vrr_classes[0][11] = int_stack + 920;
 Libr12->t1vrr_classes[0][6] = int_stack + 998;
 Libr12->t1vrr_classes[0][7] = int_stack + 1026;
 Libr12->t1vrr_classes[0][8] = int_stack + 1062;
 Libr12->t1vrr_classes[0][9] = int_stack + 1107;
 Libr12->t1vrr_classes[0][10] = int_stack + 1162;
 Libr12->t1vrr_classes[0][11] = int_stack + 1228;
 Libr12->rvrr_classes[0][6] = int_stack + 1306;
 Libr12->rvrr_classes[0][7] = int_stack + 1334;
 Libr12->rvrr_classes[0][8] = int_stack + 1370;
 Libr12->rvrr_classes[0][9] = int_stack + 1415;
 Libr12->rvrr_classes[0][10] = int_stack + 1470;
 Libr12->rvrr_classes[0][11] = int_stack + 1536;
 Libr12->gvrr_classes[0][6] = int_stack + 1614;
 Libr12->gvrr_classes[0][7] = int_stack + 1642;
 Libr12->gvrr_classes[0][8] = int_stack + 1678;
 Libr12->gvrr_classes[0][9] = int_stack + 1723;
 Libr12->gvrr_classes[0][10] = int_stack + 1778;
 Libr12->gvrr_classes[0][11] = int_stack + 1844;
 memset(int_stack,0,1922*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1922;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00ih(Libr12, Data);
   Data++;
 }

 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1922, int_stack+1642, int_stack+1614, 1);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2006, int_stack+1678, int_stack+1642, 1);
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2114, int_stack+2006, int_stack+1922, 1);
 /*--- compute (00|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2282, int_stack+1723, int_stack+1678, 1);
 /*--- compute (00|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2417, int_stack+2282, int_stack+2006, 1);
 /*--- compute (00|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2633, int_stack+2417, int_stack+2114, 1);
 /*--- compute (00|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2913, int_stack+1778, int_stack+1723, 1);
 /*--- compute (00|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3078, int_stack+2913, int_stack+2282, 1);
 /*--- compute (00|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3348, int_stack+3078, int_stack+2417, 1);
 /*--- compute (00|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3708, int_stack+3348, int_stack+2633, 1);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4128, int_stack+112, int_stack+0, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4380, int_stack+256, int_stack+112, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4704, int_stack+4380, int_stack+4128, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5208, int_stack+436, int_stack+256, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5613, int_stack+5208, int_stack+4380, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+6261, int_stack+5613, int_stack+4704, 3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+7101, int_stack+656, int_stack+436, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+7596, int_stack+7101, int_stack+5208, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+8406, int_stack+7596, int_stack+5613, 3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+9486, int_stack+8406, int_stack+6261, 3);
 /*--- compute (00|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+10746, int_stack+1844, int_stack+1778, 1);
 /*--- compute (00|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+10944, int_stack+10746, int_stack+2913, 1);
 /*--- compute (00|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+11274, int_stack+10944, int_stack+3078, 1);
 /*--- compute (00|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+11724, int_stack+11274, int_stack+3348, 1);
 /*--- compute (00|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12264, int_stack+220, int_stack+84, int_stack+1642, int_stack+0, int_stack+1614, 0, 0);
 /*--- compute (00|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+391, int_stack+220, int_stack+1678, int_stack+112, int_stack+1642, 0, 0);
 /*--- compute (00|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12348, int_stack+0, int_stack+12264, int_stack+2006, int_stack+4128, int_stack+1922, 0, 0);
 /*--- compute (00|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4128, int_stack+601, int_stack+391, int_stack+1723, int_stack+256, int_stack+1678, 0, 0);
 /*--- compute (00|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108, int_stack+4128, int_stack+0, int_stack+2282, int_stack+4380, int_stack+2006, 0, 0);
 /*--- compute (00|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4263, int_stack+108, int_stack+12348, int_stack+2417, int_stack+4704, int_stack+2114, 0, 0);
 /*--- compute (00|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1922, int_stack+854, int_stack+601, int_stack+1778, int_stack+436, int_stack+1723, 0, 0);
 /*--- compute (00|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4543, int_stack+1922, int_stack+4128, int_stack+2913, int_stack+5208, int_stack+2282, 0, 0);
 /*--- compute (00|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4813, int_stack+4543, int_stack+108, int_stack+3078, int_stack+5613, int_stack+2417, 0, 0);
 /*--- compute (00|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4813, int_stack+4263, int_stack+3348, int_stack+6261, int_stack+2633, 0, 0);
 /*--- compute (00|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4128, int_stack+920, int_stack+854, int_stack+1844, int_stack+656, int_stack+1778, 0, 0);
 /*--- compute (00|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420, int_stack+4128, int_stack+1922, int_stack+10746, int_stack+7101, int_stack+2913, 0, 0);
 /*--- compute (00|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5173, int_stack+420, int_stack+4543, int_stack+10944, int_stack+7596, int_stack+3078, 0, 0);
 /*--- compute (00|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420, int_stack+5173, int_stack+4813, int_stack+11274, int_stack+8406, int_stack+3348, 0, 0);
 /*--- compute (00|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10746, int_stack+1026, int_stack+998, 1);
 /*--- compute (00|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10830, int_stack+1062, int_stack+1026, 1);
 /*--- compute (00|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10938, int_stack+10830, int_stack+10746, 1);
 /*--- compute (00|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+11106, int_stack+1107, int_stack+1062, 1);
 /*--- compute (00|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+11241, int_stack+11106, int_stack+10830, 1);
 /*--- compute (00|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4128, int_stack+11241, int_stack+10938, 1);
 /*--- compute (00|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+10746, int_stack+1162, int_stack+1107, 1);
 /*--- compute (00|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+4408, int_stack+10746, int_stack+11106, 1);
 /*--- compute (00|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+4678, int_stack+4408, int_stack+11241, 1);
 /*--- compute (00|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10911, int_stack+4678, int_stack+4128, 1);
 /*--- compute (00|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+4128, int_stack+1228, int_stack+1162, 1);
 /*--- compute (00|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+11331, int_stack+4128, int_stack+10746, 1);
 /*--- compute (00|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+5038, int_stack+11331, int_stack+4408, 1);
 /*--- compute (00|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+4128, int_stack+5038, int_stack+4678, 1);
 /*--- compute (00||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11331, int_stack+1334, int_stack+1306, 1);
 /*--- compute (00||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+11415, int_stack+1370, int_stack+1334, 1);
 /*--- compute (00||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+11523, int_stack+11415, int_stack+11331, 1);
 /*--- compute (00||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10746, int_stack+1415, int_stack+1370, 1);
 /*--- compute (00||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4668, int_stack+10746, int_stack+11415, 1);
 /*--- compute (00||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4884, int_stack+4668, int_stack+11523, 1);
 /*--- compute (00||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+11331, int_stack+1470, int_stack+1415, 1);
 /*--- compute (00||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5164, int_stack+11331, int_stack+10746, 1);
 /*--- compute (00||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+5434, int_stack+5164, int_stack+4668, 1);
 /*--- compute (00||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+5794, int_stack+5434, int_stack+4884, 1);
 /*--- compute (00||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+4668, int_stack+1536, int_stack+1470, 1);
 /*--- compute (00||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+6214, int_stack+4668, int_stack+11331, 1);
 /*--- compute (00||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+4668, int_stack+6214, int_stack+5164, 1);
 /*--- compute (00||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+6214, int_stack+4668, int_stack+5434, 1);
 /*--- compute (00|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4668, int_stack+420, int_stack+0, int_stack+11724, int_stack+9486, int_stack+3708, 0, 0);
     Libr12->te_ptr[3] = int_stack + 4668;
 /*--- compute (00|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4128, int_stack+10911, 1);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (00||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+588, int_stack+6214, int_stack+5794, 1);
     Libr12->te_ptr[1] = int_stack + 588;
 /*--- compute (00|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1176, int_stack+11724, int_stack+3708, 1);
     Libr12->te_ptr[0] = int_stack + 1176;

}
