#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00ii(Libr12_t *, prim_data *);

  /* Computes (00|ii) integrals for linear R12-methods */

void hrr_grt_order_00ii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[0][6] = int_stack + 84;
 Libr12->gvrr_classes[1][7] = int_stack + 112;
 Libr12->t2vrr_classes[0][7] = int_stack + 220;
 Libr12->gvrr_classes[1][8] = int_stack + 256;
 Libr12->t2vrr_classes[0][8] = int_stack + 391;
 Libr12->gvrr_classes[1][9] = int_stack + 436;
 Libr12->t2vrr_classes[0][9] = int_stack + 601;
 Libr12->gvrr_classes[1][10] = int_stack + 656;
 Libr12->t2vrr_classes[0][10] = int_stack + 854;
 Libr12->gvrr_classes[1][11] = int_stack + 920;
 Libr12->t2vrr_classes[0][11] = int_stack + 1154;
 Libr12->t2vrr_classes[0][12] = int_stack + 1232;
 Libr12->t1vrr_classes[0][6] = int_stack + 1323;
 Libr12->t1vrr_classes[0][7] = int_stack + 1351;
 Libr12->t1vrr_classes[0][8] = int_stack + 1387;
 Libr12->t1vrr_classes[0][9] = int_stack + 1432;
 Libr12->t1vrr_classes[0][10] = int_stack + 1487;
 Libr12->t1vrr_classes[0][11] = int_stack + 1553;
 Libr12->t1vrr_classes[0][12] = int_stack + 1631;
 Libr12->rvrr_classes[0][6] = int_stack + 1722;
 Libr12->rvrr_classes[0][7] = int_stack + 1750;
 Libr12->rvrr_classes[0][8] = int_stack + 1786;
 Libr12->rvrr_classes[0][9] = int_stack + 1831;
 Libr12->rvrr_classes[0][10] = int_stack + 1886;
 Libr12->rvrr_classes[0][11] = int_stack + 1952;
 Libr12->rvrr_classes[0][12] = int_stack + 2030;
 Libr12->gvrr_classes[0][6] = int_stack + 2121;
 Libr12->gvrr_classes[0][7] = int_stack + 2149;
 Libr12->gvrr_classes[0][8] = int_stack + 2185;
 Libr12->gvrr_classes[0][9] = int_stack + 2230;
 Libr12->gvrr_classes[0][10] = int_stack + 2285;
 Libr12->gvrr_classes[0][11] = int_stack + 2351;
 Libr12->gvrr_classes[0][12] = int_stack + 2429;
 memset(int_stack,0,2520*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 2520;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00ii(Libr12, Data);
   Data++;
 }

 /*--- compute (00|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2520, int_stack+2149, int_stack+2121, 1);
 /*--- compute (00|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2604, int_stack+2185, int_stack+2149, 1);
 /*--- compute (00|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2712, int_stack+2604, int_stack+2520, 1);
 /*--- compute (00|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2880, int_stack+2230, int_stack+2185, 1);
 /*--- compute (00|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3015, int_stack+2880, int_stack+2604, 1);
 /*--- compute (00|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3231, int_stack+3015, int_stack+2712, 1);
 /*--- compute (00|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3511, int_stack+2285, int_stack+2230, 1);
 /*--- compute (00|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3676, int_stack+3511, int_stack+2880, 1);
 /*--- compute (00|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3946, int_stack+3676, int_stack+3015, 1);
 /*--- compute (00|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+4306, int_stack+3946, int_stack+3231, 1);
 /*--- compute (00|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+4726, int_stack+2351, int_stack+2285, 1);
 /*--- compute (00|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+4924, int_stack+4726, int_stack+3511, 1);
 /*--- compute (00|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+5254, int_stack+4924, int_stack+3676, 1);
 /*--- compute (00|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+5704, int_stack+5254, int_stack+3946, 1);
 /*--- compute (00|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+6244, int_stack+5704, int_stack+4306, 1);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6832, int_stack+112, int_stack+0, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7084, int_stack+256, int_stack+112, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7408, int_stack+7084, int_stack+6832, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7912, int_stack+436, int_stack+256, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+8317, int_stack+7912, int_stack+7084, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+8965, int_stack+8317, int_stack+7408, 3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+9805, int_stack+656, int_stack+436, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10300, int_stack+9805, int_stack+7912, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+11110, int_stack+10300, int_stack+8317, 3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+12190, int_stack+11110, int_stack+8965, 3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+13450, int_stack+920, int_stack+656, 3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+14044, int_stack+13450, int_stack+9805, 3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+15034, int_stack+14044, int_stack+10300, 3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+16384, int_stack+15034, int_stack+11110, 3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+18004, int_stack+16384, int_stack+12190, 3);
 /*--- compute (00|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+19768, int_stack+2429, int_stack+2351, 1);
 /*--- compute (00|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+20002, int_stack+19768, int_stack+4726, 1);
 /*--- compute (00|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+20398, int_stack+20002, int_stack+4924, 1);
 /*--- compute (00|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+20948, int_stack+20398, int_stack+5254, 1);
 /*--- compute (00|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+21623, int_stack+20948, int_stack+5704, 1);
 /*--- compute (00|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22379, int_stack+220, int_stack+84, int_stack+2149, int_stack+0, int_stack+2121, 0, 0);
 /*--- compute (00|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+391, int_stack+220, int_stack+2185, int_stack+112, int_stack+2149, 0, 0);
 /*--- compute (00|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22463, int_stack+0, int_stack+22379, int_stack+2604, int_stack+6832, int_stack+2520, 0, 0);
 /*--- compute (00|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6832, int_stack+601, int_stack+391, int_stack+2230, int_stack+256, int_stack+2185, 0, 0);
 /*--- compute (00|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108, int_stack+6832, int_stack+0, int_stack+2880, int_stack+7084, int_stack+2604, 0, 0);
 /*--- compute (00|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6967, int_stack+108, int_stack+22463, int_stack+3015, int_stack+7408, int_stack+2712, 0, 0);
 /*--- compute (00|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2520, int_stack+854, int_stack+601, int_stack+2285, int_stack+436, int_stack+2230, 0, 0);
 /*--- compute (00|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7247, int_stack+2520, int_stack+6832, int_stack+3511, int_stack+7912, int_stack+2880, 0, 0);
 /*--- compute (00|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7517, int_stack+7247, int_stack+108, int_stack+3676, int_stack+8317, int_stack+3015, 0, 0);
 /*--- compute (00|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+7517, int_stack+6967, int_stack+3946, int_stack+8965, int_stack+3231, 0, 0);
 /*--- compute (00|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6832, int_stack+1154, int_stack+854, int_stack+2351, int_stack+656, int_stack+2285, 0, 0);
 /*--- compute (00|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420, int_stack+6832, int_stack+2520, int_stack+4726, int_stack+9805, int_stack+3511, 0, 0);
 /*--- compute (00|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2520, int_stack+420, int_stack+7247, int_stack+4924, int_stack+10300, int_stack+3676, 0, 0);
 /*--- compute (00|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2970, int_stack+2520, int_stack+7517, int_stack+5254, int_stack+11110, int_stack+3946, 0, 0);
 /*--- compute (00|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3510, int_stack+2970, int_stack+0, int_stack+5704, int_stack+12190, int_stack+4306, 0, 0);
 /*--- compute (00|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1232, int_stack+1154, int_stack+2429, int_stack+920, int_stack+2351, 0, 0);
 /*--- compute (00|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4098, int_stack+0, int_stack+6832, int_stack+19768, int_stack+13450, int_stack+4726, 0, 0);
 /*--- compute (00|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6832, int_stack+4098, int_stack+420, int_stack+20002, int_stack+14044, int_stack+4924, 0, 0);
 /*--- compute (00|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4098, int_stack+6832, int_stack+2520, int_stack+20398, int_stack+15034, int_stack+5254, 0, 0);
 /*--- compute (00|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6832, int_stack+4098, int_stack+2970, int_stack+20948, int_stack+16384, int_stack+5704, 0, 0);
 /*--- compute (00|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4098, int_stack+1351, int_stack+1323, 1);
 /*--- compute (00|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4182, int_stack+1387, int_stack+1351, 1);
 /*--- compute (00|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4290, int_stack+4182, int_stack+4098, 1);
 /*--- compute (00|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4458, int_stack+1432, int_stack+1387, 1);
 /*--- compute (00|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4593, int_stack+4458, int_stack+4182, 1);
 /*--- compute (00|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4809, int_stack+4593, int_stack+4290, 1);
 /*--- compute (00|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+4098, int_stack+1487, int_stack+1432, 1);
 /*--- compute (00|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5089, int_stack+4098, int_stack+4458, 1);
 /*--- compute (00|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+5359, int_stack+5089, int_stack+4593, 1);
 /*--- compute (00|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+4263, int_stack+5359, int_stack+4809, 1);
 /*--- compute (00|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+4683, int_stack+1553, int_stack+1487, 1);
 /*--- compute (00|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+5719, int_stack+4683, int_stack+4098, 1);
 /*--- compute (00|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+7588, int_stack+5719, int_stack+5089, 1);
 /*--- compute (00|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+8038, int_stack+7588, int_stack+5359, 1);
 /*--- compute (00|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+4881, int_stack+8038, int_stack+4263, 1);
 /*--- compute (00|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+4098, int_stack+1631, int_stack+1553, 1);
 /*--- compute (00|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+8578, int_stack+4098, int_stack+4683, 1);
 /*--- compute (00|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+4098, int_stack+8578, int_stack+5719, 1);
 /*--- compute (00|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+8578, int_stack+4098, int_stack+7588, 1);
 /*--- compute (00|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+4098, int_stack+8578, int_stack+8038, 1);
 /*--- compute (00||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7588, int_stack+1750, int_stack+1722, 1);
 /*--- compute (00||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7672, int_stack+1786, int_stack+1750, 1);
 /*--- compute (00||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7780, int_stack+7672, int_stack+7588, 1);
 /*--- compute (00||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7948, int_stack+1831, int_stack+1786, 1);
 /*--- compute (00||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+8083, int_stack+7948, int_stack+7672, 1);
 /*--- compute (00||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+8299, int_stack+8083, int_stack+7780, 1);
 /*--- compute (00||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+7588, int_stack+1886, int_stack+1831, 1);
 /*--- compute (00||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+8579, int_stack+7588, int_stack+7948, 1);
 /*--- compute (00||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+8849, int_stack+8579, int_stack+8083, 1);
 /*--- compute (00||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+7753, int_stack+8849, int_stack+8299, 1);
 /*--- compute (00||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+8173, int_stack+1952, int_stack+1886, 1);
 /*--- compute (00||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+9209, int_stack+8173, int_stack+7588, 1);
 /*--- compute (00||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+9539, int_stack+9209, int_stack+8579, 1);
 /*--- compute (00||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+9989, int_stack+9539, int_stack+8849, 1);
 /*--- compute (00||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+8371, int_stack+9989, int_stack+7753, 1);
 /*--- compute (00||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+7588, int_stack+2030, int_stack+1952, 1);
 /*--- compute (00||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+10529, int_stack+7588, int_stack+8173, 1);
 /*--- compute (00||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+7588, int_stack+10529, int_stack+9209, 1);
 /*--- compute (00||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+10529, int_stack+7588, int_stack+9539, 1);
 /*--- compute (00||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+7588, int_stack+10529, int_stack+9989, 1);
 /*--- compute (00|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8959, int_stack+6832, int_stack+3510, int_stack+21623, int_stack+18004, int_stack+6244, 0, 0);
     Libr12->te_ptr[3] = int_stack + 8959;
 /*--- compute (00|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+9743, int_stack+4098, int_stack+4881, 1);
     Libr12->te_ptr[2] = int_stack + 9743;
 /*--- compute (00||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+10527, int_stack+7588, int_stack+8371, 1);
     Libr12->te_ptr[1] = int_stack + 10527;
 /*--- compute (00|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+6832, int_stack+21623, int_stack+6244, 1);
     Libr12->te_ptr[0] = int_stack + 6832;

}
