#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_d0hf(Libr12_t *, prim_data *);

  /* Computes (d0|hf) integrals for linear R12-methods */

void hrr_grt_order_d0hf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[3][5] = int_stack + 0;
 Libr12->t2vrr_classes[2][5] = int_stack + 210;
 Libr12->gvrr_classes[3][6] = int_stack + 336;
 Libr12->t2vrr_classes[2][6] = int_stack + 616;
 Libr12->gvrr_classes[3][7] = int_stack + 784;
 Libr12->t2vrr_classes[2][7] = int_stack + 1144;
 Libr12->t2vrr_classes[2][8] = int_stack + 1360;
 Libr12->t1vrr_classes[2][5] = int_stack + 1630;
 Libr12->t1vrr_classes[2][6] = int_stack + 1756;
 Libr12->t1vrr_classes[2][7] = int_stack + 1924;
 Libr12->t1vrr_classes[2][8] = int_stack + 2140;
 Libr12->rvrr_classes[2][5] = int_stack + 2410;
 Libr12->rvrr_classes[2][6] = int_stack + 2536;
 Libr12->rvrr_classes[2][7] = int_stack + 2704;
 Libr12->rvrr_classes[2][8] = int_stack + 2920;
 Libr12->gvrr_classes[2][5] = int_stack + 3190;
 Libr12->gvrr_classes[2][6] = int_stack + 3316;
 Libr12->gvrr_classes[2][7] = int_stack + 3484;
 Libr12->gvrr_classes[2][8] = int_stack + 3700;
 memset(int_stack,0,3970*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3970;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_d0hf(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3970, int_stack+3316, int_stack+3190, 6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4348, int_stack+3484, int_stack+3316, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4852, int_stack+4348, int_stack+3970, 6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5608, int_stack+336, int_stack+0, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6238, int_stack+784, int_stack+336, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+7078, int_stack+6238, int_stack+5608, 10);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+8338, int_stack+3700, int_stack+3484, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8986, int_stack+8338, int_stack+4348, 6);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9994, int_stack+616, int_stack+210, int_stack+3316, int_stack+0, int_stack+3190, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10372, int_stack+1144, int_stack+616, int_stack+3484, int_stack+336, int_stack+3316, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+10372, int_stack+9994, int_stack+4348, int_stack+5608, int_stack+3970, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10876, int_stack+1360, int_stack+1144, int_stack+3700, int_stack+784, int_stack+3484, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3190, int_stack+10876, int_stack+10372, int_stack+8338, int_stack+6238, int_stack+4348, 2, 0);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8338, int_stack+1756, int_stack+1630, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5608, int_stack+1924, int_stack+1756, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6112, int_stack+5608, int_stack+8338, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+8338, int_stack+2140, int_stack+1924, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+9994, int_stack+8338, int_stack+5608, 6);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5608, int_stack+2536, int_stack+2410, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8338, int_stack+2704, int_stack+2536, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11002, int_stack+8338, int_stack+5608, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4198, int_stack+2920, int_stack+2704, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+756, int_stack+4198, int_stack+8338, 6);
 /*--- compute (d0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1764, int_stack+3190, int_stack+0, int_stack+8986, int_stack+7078, int_stack+4852, 2, 0);
     Libr12->te_ptr[3] = int_stack + 1764;
 /*--- compute (d0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+6868, int_stack+9994, int_stack+6112, 6);
     Libr12->te_ptr[2] = int_stack + 6868;
 /*--- compute (d0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+5608, int_stack+756, int_stack+11002, 6);
     Libr12->te_ptr[1] = int_stack + 5608;
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+9994, int_stack+8986, int_stack+4852, 6);
     Libr12->te_ptr[0] = int_stack + 9994;

}
