#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_d0id(Libr12_t *, prim_data *);

  /* Computes (d0|id) integrals for linear R12-methods */

void hrr_grt_order_d0id(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 280;
 Libr12->gvrr_classes[3][7] = int_stack + 448;
 Libr12->t2vrr_classes[2][7] = int_stack + 808;
 Libr12->t2vrr_classes[2][8] = int_stack + 1024;
 Libr12->t1vrr_classes[2][6] = int_stack + 1294;
 Libr12->t1vrr_classes[2][7] = int_stack + 1462;
 Libr12->t1vrr_classes[2][8] = int_stack + 1678;
 Libr12->rvrr_classes[2][6] = int_stack + 1948;
 Libr12->rvrr_classes[2][7] = int_stack + 2116;
 Libr12->rvrr_classes[2][8] = int_stack + 2332;
 Libr12->gvrr_classes[2][6] = int_stack + 2602;
 Libr12->gvrr_classes[2][7] = int_stack + 2770;
 Libr12->gvrr_classes[2][8] = int_stack + 2986;
 memset(int_stack,0,3256*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3256;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_d0id(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3256, int_stack+2770, int_stack+2602, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3760, int_stack+448, int_stack+0, 10);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4600, int_stack+2986, int_stack+2770, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5248, int_stack+808, int_stack+280, int_stack+2770, int_stack+0, int_stack+2602, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5752, int_stack+1024, int_stack+808, int_stack+2986, int_stack+448, int_stack+2770, 2, 0);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2602, int_stack+1462, int_stack+1294, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1678, int_stack+1462, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+648, int_stack+2116, int_stack+1948, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1152, int_stack+2332, int_stack+2116, 6);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6400, int_stack+5752, int_stack+5248, int_stack+4600, int_stack+3760, int_stack+3256, 2, 0);
     Libr12->te_ptr[3] = int_stack + 6400;
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5248, int_stack+0, int_stack+2602, 6);
     Libr12->te_ptr[2] = int_stack + 5248;
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1800, int_stack+1152, int_stack+648, 6);
     Libr12->te_ptr[1] = int_stack + 1800;
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4600, int_stack+3256, 6);
     Libr12->te_ptr[0] = int_stack + 0;

}
