#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_d0if(Libr12_t *, prim_data *);

  /* Computes (d0|if) integrals for linear R12-methods */

void hrr_grt_order_d0if(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 280;
 Libr12->gvrr_classes[3][7] = int_stack + 448;
 Libr12->t2vrr_classes[2][7] = int_stack + 808;
 Libr12->gvrr_classes[3][8] = int_stack + 1024;
 Libr12->t2vrr_classes[2][8] = int_stack + 1474;
 Libr12->t2vrr_classes[2][9] = int_stack + 1744;
 Libr12->t1vrr_classes[2][6] = int_stack + 2074;
 Libr12->t1vrr_classes[2][7] = int_stack + 2242;
 Libr12->t1vrr_classes[2][8] = int_stack + 2458;
 Libr12->t1vrr_classes[2][9] = int_stack + 2728;
 Libr12->rvrr_classes[2][6] = int_stack + 3058;
 Libr12->rvrr_classes[2][7] = int_stack + 3226;
 Libr12->rvrr_classes[2][8] = int_stack + 3442;
 Libr12->rvrr_classes[2][9] = int_stack + 3712;
 Libr12->gvrr_classes[2][6] = int_stack + 4042;
 Libr12->gvrr_classes[2][7] = int_stack + 4210;
 Libr12->gvrr_classes[2][8] = int_stack + 4426;
 Libr12->gvrr_classes[2][9] = int_stack + 4696;
 memset(int_stack,0,5026*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 5026;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_d0if(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5026, int_stack+4210, int_stack+4042, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5530, int_stack+4426, int_stack+4210, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6178, int_stack+5530, int_stack+5026, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7186, int_stack+448, int_stack+0, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+8026, int_stack+1024, int_stack+448, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+9106, int_stack+8026, int_stack+7186, 10);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10786, int_stack+4696, int_stack+4426, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+11596, int_stack+10786, int_stack+5530, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12892, int_stack+808, int_stack+280, int_stack+4210, int_stack+0, int_stack+4042, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13396, int_stack+1474, int_stack+808, int_stack+4426, int_stack+448, int_stack+4210, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+13396, int_stack+12892, int_stack+5530, int_stack+7186, int_stack+5026, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7186, int_stack+1744, int_stack+1474, int_stack+4696, int_stack+1024, int_stack+4426, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4042, int_stack+7186, int_stack+13396, int_stack+10786, int_stack+8026, int_stack+5530, 2, 0);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10786, int_stack+2242, int_stack+2074, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7186, int_stack+2458, int_stack+2242, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7834, int_stack+7186, int_stack+10786, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10786, int_stack+2728, int_stack+2458, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+12892, int_stack+10786, int_stack+7186, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7186, int_stack+3226, int_stack+3058, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10786, int_stack+3442, int_stack+3226, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1008, int_stack+10786, int_stack+7186, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+14188, int_stack+3712, int_stack+3442, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2016, int_stack+14188, int_stack+10786, 6);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14188, int_stack+4042, int_stack+0, int_stack+11596, int_stack+9106, int_stack+6178, 2, 0);
     Libr12->te_ptr[3] = int_stack + 14188;
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+8842, int_stack+12892, int_stack+7834, 6);
     Libr12->te_ptr[2] = int_stack + 8842;
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3312, int_stack+2016, int_stack+1008, 6);
     Libr12->te_ptr[1] = int_stack + 3312;
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11596, int_stack+6178, 6);
     Libr12->te_ptr[0] = int_stack + 0;

}
