#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_d0ig(Libr12_t *, prim_data *);

  /* Computes (d0|ig) integrals for linear R12-methods */

void hrr_grt_order_d0ig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 280;
 Libr12->gvrr_classes[3][7] = int_stack + 448;
 Libr12->t2vrr_classes[2][7] = int_stack + 808;
 Libr12->gvrr_classes[3][8] = int_stack + 1024;
 Libr12->t2vrr_classes[2][8] = int_stack + 1474;
 Libr12->gvrr_classes[3][9] = int_stack + 1744;
 Libr12->t2vrr_classes[2][9] = int_stack + 2294;
 Libr12->t2vrr_classes[2][10] = int_stack + 2624;
 Libr12->t1vrr_classes[2][6] = int_stack + 3020;
 Libr12->t1vrr_classes[2][7] = int_stack + 3188;
 Libr12->t1vrr_classes[2][8] = int_stack + 3404;
 Libr12->t1vrr_classes[2][9] = int_stack + 3674;
 Libr12->t1vrr_classes[2][10] = int_stack + 4004;
 Libr12->rvrr_classes[2][6] = int_stack + 4400;
 Libr12->rvrr_classes[2][7] = int_stack + 4568;
 Libr12->rvrr_classes[2][8] = int_stack + 4784;
 Libr12->rvrr_classes[2][9] = int_stack + 5054;
 Libr12->rvrr_classes[2][10] = int_stack + 5384;
 Libr12->gvrr_classes[2][6] = int_stack + 5780;
 Libr12->gvrr_classes[2][7] = int_stack + 5948;
 Libr12->gvrr_classes[2][8] = int_stack + 6164;
 Libr12->gvrr_classes[2][9] = int_stack + 6434;
 Libr12->gvrr_classes[2][10] = int_stack + 6764;
 memset(int_stack,0,7160*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 7160;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_d0ig(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7160, int_stack+5948, int_stack+5780, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7664, int_stack+6164, int_stack+5948, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8312, int_stack+7664, int_stack+7160, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+9320, int_stack+6434, int_stack+6164, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10130, int_stack+9320, int_stack+7664, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+11426, int_stack+10130, int_stack+8312, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13106, int_stack+448, int_stack+0, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13946, int_stack+1024, int_stack+448, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+15026, int_stack+13946, int_stack+13106, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16706, int_stack+1744, int_stack+1024, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+18056, int_stack+16706, int_stack+13946, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+20216, int_stack+18056, int_stack+15026, 10);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+23016, int_stack+6764, int_stack+6434, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+24006, int_stack+23016, int_stack+9320, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+25626, int_stack+24006, int_stack+10130, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27786, int_stack+808, int_stack+280, int_stack+5948, int_stack+0, int_stack+5780, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28290, int_stack+1474, int_stack+808, int_stack+6164, int_stack+448, int_stack+5948, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+28290, int_stack+27786, int_stack+7664, int_stack+13106, int_stack+7160, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13106, int_stack+2294, int_stack+1474, int_stack+6434, int_stack+1024, int_stack+6164, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28938, int_stack+13106, int_stack+28290, int_stack+9320, int_stack+13946, int_stack+7664, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30234, int_stack+28938, int_stack+0, int_stack+10130, int_stack+15026, int_stack+8312, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2624, int_stack+2294, int_stack+6764, int_stack+1744, int_stack+6434, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+990, int_stack+0, int_stack+13106, int_stack+23016, int_stack+16706, int_stack+9320, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13106, int_stack+990, int_stack+28938, int_stack+24006, int_stack+18056, int_stack+10130, 2, 0);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23016, int_stack+3188, int_stack+3020, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+23520, int_stack+3404, int_stack+3188, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+24168, int_stack+23520, int_stack+23016, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+15266, int_stack+3674, int_stack+3404, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+16076, int_stack+15266, int_stack+23520, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+17372, int_stack+16076, int_stack+24168, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+23016, int_stack+4004, int_stack+3674, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+24006, int_stack+23016, int_stack+15266, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+24006, int_stack+16076, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15266, int_stack+4568, int_stack+4400, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+15770, int_stack+4784, int_stack+4568, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+23016, int_stack+15770, int_stack+15266, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16418, int_stack+5054, int_stack+4784, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+24024, int_stack+16418, int_stack+15770, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2160, int_stack+24024, int_stack+23016, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+23016, int_stack+5384, int_stack+5054, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3840, int_stack+23016, int_stack+16418, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+5460, int_stack+3840, int_stack+24024, 6);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23016, int_stack+13106, int_stack+30234, int_stack+25626, int_stack+20216, int_stack+11426, 2, 0);
     Libr12->te_ptr[3] = int_stack + 23016;
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+13106, int_stack+0, int_stack+17372, 6);
     Libr12->te_ptr[2] = int_stack + 13106;
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+15626, int_stack+5460, int_stack+2160, 6);
     Libr12->te_ptr[1] = int_stack + 15626;
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+25626, int_stack+11426, 6);
     Libr12->te_ptr[0] = int_stack + 0;

}
