#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_d0ih(Libr12_t *, prim_data *);

  /* Computes (d0|ih) integrals for linear R12-methods */

void hrr_grt_order_d0ih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 280;
 Libr12->gvrr_classes[3][7] = int_stack + 448;
 Libr12->t2vrr_classes[2][7] = int_stack + 808;
 Libr12->gvrr_classes[3][8] = int_stack + 1024;
 Libr12->t2vrr_classes[2][8] = int_stack + 1474;
 Libr12->gvrr_classes[3][9] = int_stack + 1744;
 Libr12->t2vrr_classes[2][9] = int_stack + 2294;
 Libr12->gvrr_classes[3][10] = int_stack + 2624;
 Libr12->t2vrr_classes[2][10] = int_stack + 3284;
 Libr12->t2vrr_classes[2][11] = int_stack + 3680;
 Libr12->t1vrr_classes[2][6] = int_stack + 4148;
 Libr12->t1vrr_classes[2][7] = int_stack + 4316;
 Libr12->t1vrr_classes[2][8] = int_stack + 4532;
 Libr12->t1vrr_classes[2][9] = int_stack + 4802;
 Libr12->t1vrr_classes[2][10] = int_stack + 5132;
 Libr12->t1vrr_classes[2][11] = int_stack + 5528;
 Libr12->rvrr_classes[2][6] = int_stack + 5996;
 Libr12->rvrr_classes[2][7] = int_stack + 6164;
 Libr12->rvrr_classes[2][8] = int_stack + 6380;
 Libr12->rvrr_classes[2][9] = int_stack + 6650;
 Libr12->rvrr_classes[2][10] = int_stack + 6980;
 Libr12->rvrr_classes[2][11] = int_stack + 7376;
 Libr12->gvrr_classes[2][6] = int_stack + 7844;
 Libr12->gvrr_classes[2][7] = int_stack + 8012;
 Libr12->gvrr_classes[2][8] = int_stack + 8228;
 Libr12->gvrr_classes[2][9] = int_stack + 8498;
 Libr12->gvrr_classes[2][10] = int_stack + 8828;
 Libr12->gvrr_classes[2][11] = int_stack + 9224;
 memset(int_stack,0,9692*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 9692;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_d0ih(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+9692, int_stack+8012, int_stack+7844, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10196, int_stack+8228, int_stack+8012, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10844, int_stack+10196, int_stack+9692, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+11852, int_stack+8498, int_stack+8228, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+12662, int_stack+11852, int_stack+10196, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+13958, int_stack+12662, int_stack+10844, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+15638, int_stack+8828, int_stack+8498, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+16628, int_stack+15638, int_stack+11852, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+18248, int_stack+16628, int_stack+12662, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+20408, int_stack+18248, int_stack+13958, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+22928, int_stack+448, int_stack+0, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+23768, int_stack+1024, int_stack+448, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+24848, int_stack+23768, int_stack+22928, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+26528, int_stack+1744, int_stack+1024, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+27878, int_stack+26528, int_stack+23768, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+30038, int_stack+27878, int_stack+24848, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+32838, int_stack+2624, int_stack+1744, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+34488, int_stack+32838, int_stack+26528, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+37188, int_stack+34488, int_stack+27878, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+40788, int_stack+37188, int_stack+30038, 10);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+44988, int_stack+9224, int_stack+8828, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+46176, int_stack+44988, int_stack+15638, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+48156, int_stack+46176, int_stack+16628, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+50856, int_stack+48156, int_stack+18248, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54096, int_stack+808, int_stack+280, int_stack+8012, int_stack+0, int_stack+7844, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54600, int_stack+1474, int_stack+808, int_stack+8228, int_stack+448, int_stack+8012, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+54600, int_stack+54096, int_stack+10196, int_stack+22928, int_stack+9692, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22928, int_stack+2294, int_stack+1474, int_stack+8498, int_stack+1024, int_stack+8228, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55248, int_stack+22928, int_stack+54600, int_stack+11852, int_stack+23768, int_stack+10196, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56544, int_stack+55248, int_stack+0, int_stack+12662, int_stack+24848, int_stack+10844, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3284, int_stack+2294, int_stack+8828, int_stack+1744, int_stack+8498, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+990, int_stack+0, int_stack+22928, int_stack+15638, int_stack+26528, int_stack+11852, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22928, int_stack+990, int_stack+55248, int_stack+16628, int_stack+27878, int_stack+12662, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25088, int_stack+22928, int_stack+56544, int_stack+18248, int_stack+30038, int_stack+13958, 2, 0);
 /*--- compute (d0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27608, int_stack+3680, int_stack+3284, int_stack+9224, int_stack+2624, int_stack+8828, 2, 0);
 /*--- compute (d0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28796, int_stack+27608, int_stack+0, int_stack+44988, int_stack+32838, int_stack+15638, 2, 0);
 /*--- compute (d0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30776, int_stack+28796, int_stack+990, int_stack+46176, int_stack+34488, int_stack+16628, 2, 0);
 /*--- compute (d0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+30776, int_stack+22928, int_stack+48156, int_stack+37188, int_stack+18248, 2, 0);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+22928, int_stack+4316, int_stack+4148, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+23432, int_stack+4532, int_stack+4316, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+24080, int_stack+23432, int_stack+22928, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+44988, int_stack+4802, int_stack+4532, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+45798, int_stack+44988, int_stack+23432, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47094, int_stack+45798, int_stack+24080, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+22928, int_stack+5132, int_stack+4802, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+48774, int_stack+22928, int_stack+44988, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+27608, int_stack+48774, int_stack+45798, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+29768, int_stack+27608, int_stack+47094, 6);
 /*--- compute (d0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+44988, int_stack+5528, int_stack+5132, 6);
 /*--- compute (d0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+46176, int_stack+44988, int_stack+22928, 6);
 /*--- compute (d0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3240, int_stack+46176, int_stack+48774, 6);
 /*--- compute (d0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+44988, int_stack+3240, int_stack+27608, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27608, int_stack+6164, int_stack+5996, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28112, int_stack+6380, int_stack+6164, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+28760, int_stack+28112, int_stack+27608, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3240, int_stack+6650, int_stack+6380, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4050, int_stack+3240, int_stack+28112, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+22928, int_stack+4050, int_stack+28760, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+27608, int_stack+6980, int_stack+6650, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5346, int_stack+27608, int_stack+3240, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+48228, int_stack+5346, int_stack+4050, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+32288, int_stack+48228, int_stack+22928, 6);
 /*--- compute (d0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+22928, int_stack+7376, int_stack+6980, 6);
 /*--- compute (d0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3240, int_stack+22928, int_stack+27608, 6);
 /*--- compute (d0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+6966, int_stack+3240, int_stack+5346, 6);
 /*--- compute (d0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3240, int_stack+6966, int_stack+48228, 6);
 /*--- compute (d0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6480, int_stack+0, int_stack+25088, int_stack+50856, int_stack+40788, int_stack+20408, 2, 0);
     Libr12->te_ptr[3] = int_stack + 6480;
 /*--- compute (d0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+10008, int_stack+44988, int_stack+29768, 6);
     Libr12->te_ptr[2] = int_stack + 10008;
 /*--- compute (d0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+13536, int_stack+3240, int_stack+32288, 6);
     Libr12->te_ptr[1] = int_stack + 13536;
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+50856, int_stack+20408, 6);
     Libr12->te_ptr[0] = int_stack + 0;

}
