#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_d0ii(Libr12_t *, prim_data *);

  /* Computes (d0|ii) integrals for linear R12-methods */

void hrr_grt_order_d0ii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 280;
 Libr12->gvrr_classes[3][7] = int_stack + 448;
 Libr12->t2vrr_classes[2][7] = int_stack + 808;
 Libr12->gvrr_classes[3][8] = int_stack + 1024;
 Libr12->t2vrr_classes[2][8] = int_stack + 1474;
 Libr12->gvrr_classes[3][9] = int_stack + 1744;
 Libr12->t2vrr_classes[2][9] = int_stack + 2294;
 Libr12->gvrr_classes[3][10] = int_stack + 2624;
 Libr12->t2vrr_classes[2][10] = int_stack + 3284;
 Libr12->gvrr_classes[3][11] = int_stack + 3680;
 Libr12->t2vrr_classes[2][11] = int_stack + 4460;
 Libr12->t2vrr_classes[2][12] = int_stack + 4928;
 Libr12->t1vrr_classes[2][6] = int_stack + 5474;
 Libr12->t1vrr_classes[2][7] = int_stack + 5642;
 Libr12->t1vrr_classes[2][8] = int_stack + 5858;
 Libr12->t1vrr_classes[2][9] = int_stack + 6128;
 Libr12->t1vrr_classes[2][10] = int_stack + 6458;
 Libr12->t1vrr_classes[2][11] = int_stack + 6854;
 Libr12->t1vrr_classes[2][12] = int_stack + 7322;
 Libr12->rvrr_classes[2][6] = int_stack + 7868;
 Libr12->rvrr_classes[2][7] = int_stack + 8036;
 Libr12->rvrr_classes[2][8] = int_stack + 8252;
 Libr12->rvrr_classes[2][9] = int_stack + 8522;
 Libr12->rvrr_classes[2][10] = int_stack + 8852;
 Libr12->rvrr_classes[2][11] = int_stack + 9248;
 Libr12->rvrr_classes[2][12] = int_stack + 9716;
 Libr12->gvrr_classes[2][6] = int_stack + 10262;
 Libr12->gvrr_classes[2][7] = int_stack + 10430;
 Libr12->gvrr_classes[2][8] = int_stack + 10646;
 Libr12->gvrr_classes[2][9] = int_stack + 10916;
 Libr12->gvrr_classes[2][10] = int_stack + 11246;
 Libr12->gvrr_classes[2][11] = int_stack + 11642;
 Libr12->gvrr_classes[2][12] = int_stack + 12110;
 memset(int_stack,0,12656*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 12656;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_d0ii(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12656, int_stack+10430, int_stack+10262, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13160, int_stack+10646, int_stack+10430, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13808, int_stack+13160, int_stack+12656, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+14816, int_stack+10916, int_stack+10646, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+15626, int_stack+14816, int_stack+13160, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+16922, int_stack+15626, int_stack+13808, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+18602, int_stack+11246, int_stack+10916, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+19592, int_stack+18602, int_stack+14816, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+21212, int_stack+19592, int_stack+15626, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+23372, int_stack+21212, int_stack+16922, 6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+25892, int_stack+11642, int_stack+11246, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+27080, int_stack+25892, int_stack+18602, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+29060, int_stack+27080, int_stack+19592, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+31760, int_stack+29060, int_stack+21212, 6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+35000, int_stack+31760, int_stack+23372, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+38528, int_stack+448, int_stack+0, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39368, int_stack+1024, int_stack+448, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+40448, int_stack+39368, int_stack+38528, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+42128, int_stack+1744, int_stack+1024, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+43478, int_stack+42128, int_stack+39368, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+45638, int_stack+43478, int_stack+40448, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+48438, int_stack+2624, int_stack+1744, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+50088, int_stack+48438, int_stack+42128, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+52788, int_stack+50088, int_stack+43478, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+56388, int_stack+52788, int_stack+45638, 10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+60588, int_stack+3680, int_stack+2624, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+62568, int_stack+60588, int_stack+48438, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+65868, int_stack+62568, int_stack+50088, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+70368, int_stack+65868, int_stack+52788, 10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+75768, int_stack+70368, int_stack+56388, 10);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+81648, int_stack+12110, int_stack+11642, 6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+83052, int_stack+81648, int_stack+25892, 6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+85428, int_stack+83052, int_stack+27080, 6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+88728, int_stack+85428, int_stack+29060, 6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+92778, int_stack+88728, int_stack+31760, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97314, int_stack+808, int_stack+280, int_stack+10430, int_stack+0, int_stack+10262, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97818, int_stack+1474, int_stack+808, int_stack+10646, int_stack+448, int_stack+10430, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+97818, int_stack+97314, int_stack+13160, int_stack+38528, int_stack+12656, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38528, int_stack+2294, int_stack+1474, int_stack+10916, int_stack+1024, int_stack+10646, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+98466, int_stack+38528, int_stack+97818, int_stack+14816, int_stack+39368, int_stack+13160, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99762, int_stack+98466, int_stack+0, int_stack+15626, int_stack+40448, int_stack+13808, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3284, int_stack+2294, int_stack+11246, int_stack+1744, int_stack+10916, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+990, int_stack+0, int_stack+38528, int_stack+18602, int_stack+42128, int_stack+14816, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38528, int_stack+990, int_stack+98466, int_stack+19592, int_stack+43478, int_stack+15626, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40688, int_stack+38528, int_stack+99762, int_stack+21212, int_stack+45638, int_stack+16922, 2, 0);
 /*--- compute (d0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43208, int_stack+4460, int_stack+3284, int_stack+11642, int_stack+2624, int_stack+11246, 2, 0);
 /*--- compute (d0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44396, int_stack+43208, int_stack+0, int_stack+25892, int_stack+48438, int_stack+18602, 2, 0);
 /*--- compute (d0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46376, int_stack+44396, int_stack+990, int_stack+27080, int_stack+50088, int_stack+19592, 2, 0);
 /*--- compute (d0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+46376, int_stack+38528, int_stack+29060, int_stack+52788, int_stack+21212, 2, 0);
 /*--- compute (d0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49076, int_stack+0, int_stack+40688, int_stack+31760, int_stack+56388, int_stack+23372, 2, 0);
 /*--- compute (d0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38528, int_stack+4928, int_stack+4460, int_stack+12110, int_stack+3680, int_stack+11642, 2, 0);
 /*--- compute (d0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39932, int_stack+38528, int_stack+43208, int_stack+81648, int_stack+60588, int_stack+25892, 2, 0);
 /*--- compute (d0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52604, int_stack+39932, int_stack+44396, int_stack+83052, int_stack+62568, int_stack+27080, 2, 0);
 /*--- compute (d0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38528, int_stack+52604, int_stack+46376, int_stack+85428, int_stack+65868, int_stack+29060, 2, 0);
 /*--- compute (d0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52604, int_stack+38528, int_stack+0, int_stack+88728, int_stack+70368, int_stack+31760, 2, 0);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5642, int_stack+5474, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+504, int_stack+5858, int_stack+5642, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1152, int_stack+504, int_stack+0, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2160, int_stack+6128, int_stack+5858, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2970, int_stack+2160, int_stack+504, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4266, int_stack+2970, int_stack+1152, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+6458, int_stack+6128, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+38528, int_stack+0, int_stack+2160, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+40148, int_stack+38528, int_stack+2970, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+990, int_stack+40148, int_stack+4266, 6);
 /*--- compute (d0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3510, int_stack+6854, int_stack+6458, 6);
 /*--- compute (d0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+4698, int_stack+3510, int_stack+0, 6);
 /*--- compute (d0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+42308, int_stack+4698, int_stack+38528, 6);
 /*--- compute (d0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+45008, int_stack+42308, int_stack+40148, 6);
 /*--- compute (d0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+38528, int_stack+45008, int_stack+990, 6);
 /*--- compute (d0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+7322, int_stack+6854, 6);
 /*--- compute (d0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+57140, int_stack+0, int_stack+3510, 6);
 /*--- compute (d0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+57140, int_stack+4698, 6);
 /*--- compute (d0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+57140, int_stack+0, int_stack+42308, 6);
 /*--- compute (d0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+57140, int_stack+45008, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+57140, int_stack+8036, int_stack+7868, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+57644, int_stack+8252, int_stack+8036, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+58292, int_stack+57644, int_stack+57140, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+59300, int_stack+8522, int_stack+8252, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+60110, int_stack+59300, int_stack+57644, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+61406, int_stack+60110, int_stack+58292, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+57140, int_stack+8852, int_stack+8522, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+63086, int_stack+57140, int_stack+59300, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+64706, int_stack+63086, int_stack+60110, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+58130, int_stack+64706, int_stack+61406, 6);
 /*--- compute (d0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+60650, int_stack+9248, int_stack+8852, 6);
 /*--- compute (d0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+66866, int_stack+60650, int_stack+57140, 6);
 /*--- compute (d0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+68846, int_stack+66866, int_stack+63086, 6);
 /*--- compute (d0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+71546, int_stack+68846, int_stack+64706, 6);
 /*--- compute (d0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+61838, int_stack+71546, int_stack+58130, 6);
 /*--- compute (d0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+57140, int_stack+9716, int_stack+9248, 6);
 /*--- compute (d0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+4536, int_stack+57140, int_stack+60650, 6);
 /*--- compute (d0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+57140, int_stack+4536, int_stack+66866, 6);
 /*--- compute (d0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+4536, int_stack+57140, int_stack+68846, 6);
 /*--- compute (d0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+57140, int_stack+4536, int_stack+71546, 6);
 /*--- compute (d0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4536, int_stack+52604, int_stack+49076, int_stack+92778, int_stack+75768, int_stack+35000, 2, 0);
     Libr12->te_ptr[3] = int_stack + 4536;
 /*--- compute (d0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+9240, int_stack+0, int_stack+38528, 6);
     Libr12->te_ptr[2] = int_stack + 9240;
 /*--- compute (d0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+38528, int_stack+57140, int_stack+61838, 6);
     Libr12->te_ptr[1] = int_stack + 38528;
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+43232, int_stack+92778, int_stack+35000, 6);
     Libr12->te_ptr[0] = int_stack + 43232;

}
