#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddgf(Libr12_t *, prim_data *);

  /* Computes (dd|gf) integrals for linear R12-methods */

void hrr_grt_order_ddgf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][4] = int_stack + 0;
 Libr12->t2vrr_classes[2][5] = int_stack + 90;
 Libr12->t2vrr_classes[2][6] = int_stack + 216;
 Libr12->t2vrr_classes[2][7] = int_stack + 384;
 Libr12->t2vrr_classes[3][4] = int_stack + 600;
 Libr12->t2vrr_classes[3][5] = int_stack + 750;
 Libr12->t2vrr_classes[3][6] = int_stack + 960;
 Libr12->t2vrr_classes[3][7] = int_stack + 1240;
 Libr12->gvrr_classes[5][4] = int_stack + 1600;
 Libr12->t2vrr_classes[4][4] = int_stack + 1915;
 Libr12->gvrr_classes[5][5] = int_stack + 2140;
 Libr12->t2vrr_classes[4][5] = int_stack + 2581;
 Libr12->gvrr_classes[5][6] = int_stack + 2896;
 Libr12->t2vrr_classes[4][6] = int_stack + 3484;
 Libr12->t2vrr_classes[4][7] = int_stack + 3904;
 Libr12->gvrr_classes[2][8] = int_stack + 4444;
 Libr12->t1vrr_classes[2][4] = int_stack + 4714;
 Libr12->t1vrr_classes[2][5] = int_stack + 4804;
 Libr12->t1vrr_classes[2][6] = int_stack + 4930;
 Libr12->t1vrr_classes[2][7] = int_stack + 5098;
 Libr12->gvrr_classes[3][8] = int_stack + 5314;
 Libr12->t1vrr_classes[3][4] = int_stack + 5764;
 Libr12->t1vrr_classes[3][5] = int_stack + 5914;
 Libr12->t1vrr_classes[3][6] = int_stack + 6124;
 Libr12->t1vrr_classes[3][7] = int_stack + 6404;
 Libr12->t1vrr_classes[4][4] = int_stack + 6764;
 Libr12->t1vrr_classes[4][5] = int_stack + 6989;
 Libr12->t1vrr_classes[4][6] = int_stack + 7304;
 Libr12->t1vrr_classes[4][7] = int_stack + 7724;
 Libr12->rvrr_classes[2][4] = int_stack + 8264;
 Libr12->rvrr_classes[2][5] = int_stack + 8354;
 Libr12->rvrr_classes[2][6] = int_stack + 8480;
 Libr12->rvrr_classes[2][7] = int_stack + 8648;
 Libr12->rvrr_classes[3][4] = int_stack + 8864;
 Libr12->rvrr_classes[3][5] = int_stack + 9014;
 Libr12->rvrr_classes[3][6] = int_stack + 9224;
 Libr12->rvrr_classes[3][7] = int_stack + 9504;
 Libr12->rvrr_classes[4][4] = int_stack + 9864;
 Libr12->rvrr_classes[4][5] = int_stack + 10089;
 Libr12->rvrr_classes[4][6] = int_stack + 10404;
 Libr12->rvrr_classes[4][7] = int_stack + 10824;
 Libr12->gvrr_classes[2][4] = int_stack + 11364;
 Libr12->gvrr_classes[2][5] = int_stack + 11454;
 Libr12->gvrr_classes[2][6] = int_stack + 11580;
 Libr12->gvrr_classes[2][7] = int_stack + 11748;
 Libr12->gvrr_classes[3][4] = int_stack + 11964;
 Libr12->gvrr_classes[3][5] = int_stack + 12114;
 Libr12->gvrr_classes[3][6] = int_stack + 12324;
 Libr12->gvrr_classes[3][7] = int_stack + 12604;
 Libr12->gvrr_classes[4][4] = int_stack + 12964;
 Libr12->gvrr_classes[4][5] = int_stack + 13189;
 Libr12->gvrr_classes[4][6] = int_stack + 13504;
 Libr12->gvrr_classes[4][7] = int_stack + 13924;
 memset(int_stack,0,14464*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 14464;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddgf(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14464, int_stack+11454, int_stack+11364, 6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14734, int_stack+11580, int_stack+11454, 6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+15112, int_stack+14734, int_stack+14464, 6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+15652, int_stack+12114, int_stack+11964, 10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+16102, int_stack+12324, int_stack+12114, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+16732, int_stack+16102, int_stack+15652, 10);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17632, int_stack+11748, int_stack+11580, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+18136, int_stack+17632, int_stack+14734, 6);
 /*--- compute (d0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18892, int_stack+90, int_stack+0, int_stack+11454, int_stack+11964, int_stack+11364, 2, 0);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19162, int_stack+216, int_stack+90, int_stack+11580, int_stack+12114, int_stack+11454, 2, 0);
 /*--- compute (d0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19540, int_stack+19162, int_stack+18892, int_stack+14734, int_stack+15652, int_stack+14464, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20080, int_stack+384, int_stack+216, int_stack+11748, int_stack+12324, int_stack+11580, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20584, int_stack+20080, int_stack+19162, int_stack+17632, int_stack+16102, int_stack+14734, 2, 0);
 /*--- compute (d0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21340, int_stack+20584, int_stack+19540, int_stack+18136, int_stack+16732, int_stack+15112, 2, 0);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+18892, int_stack+13189, int_stack+12964, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+19567, int_stack+13504, int_stack+13189, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+22240, int_stack+19567, int_stack+18892, 15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23590, int_stack+12604, int_stack+12324, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+24430, int_stack+23590, int_stack+16102, 10);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14464, int_stack+750, int_stack+600, int_stack+12114, int_stack+12964, int_stack+11964, 3, 0);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20512, int_stack+960, int_stack+750, int_stack+12324, int_stack+13189, int_stack+12114, 3, 0);
 /*--- compute (f0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+20512, int_stack+14464, int_stack+16102, int_stack+18892, int_stack+15652, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25690, int_stack+1240, int_stack+960, int_stack+12604, int_stack+13504, int_stack+12324, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26530, int_stack+25690, int_stack+20512, int_stack+23590, int_stack+19567, int_stack+16102, 3, 0);
 /*--- compute (f0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27790, int_stack+26530, int_stack+0, int_stack+24430, int_stack+22240, int_stack+16732, 3, 0);
 /*--- compute (dp|[r12,T2]|gf) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+29290, int_stack+27790, int_stack+21340, 150);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2140, int_stack+1600, 21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+20512, int_stack+2896, int_stack+2140, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+25690, int_stack+20512, int_stack+0, 21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+31990, int_stack+13924, int_stack+13504, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+33250, int_stack+31990, int_stack+19567, 15);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15652, int_stack+2581, int_stack+1915, int_stack+13189, int_stack+1600, int_stack+12964, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+945, int_stack+3484, int_stack+2581, int_stack+13504, int_stack+2140, int_stack+13189, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35140, int_stack+945, int_stack+15652, int_stack+19567, int_stack+0, int_stack+18892, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36490, int_stack+3904, int_stack+3484, int_stack+13924, int_stack+2896, int_stack+13504, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12964, int_stack+36490, int_stack+945, int_stack+31990, int_stack+20512, int_stack+19567, 4, 0);
 /*--- compute (g0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18892, int_stack+12964, int_stack+35140, int_stack+33250, int_stack+25690, int_stack+22240, 4, 0);
 /*--- compute (fp|[r12,T2]|gf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+35140, int_stack+18892, int_stack+27790, 150);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+18892, int_stack+18136, int_stack+15112, 6);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+19792, int_stack+24430, int_stack+16732, 10);
 /*--- compute (dp|gf) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+25690, int_stack+19792, int_stack+18892, 150);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+21292, int_stack+4444, int_stack+11748, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12964, int_stack+21292, int_stack+17632, 6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+31990, int_stack+12964, int_stack+18136, 6);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12964, int_stack+5314, int_stack+12604, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14044, int_stack+12964, int_stack+23590, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+15724, int_stack+14044, int_stack+24430, 10);
 /*--- compute (dp|hf) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+15724, int_stack+31990, 210);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+11364, int_stack+33250, int_stack+22240, 15);
 /*--- compute (fp|gf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+39640, int_stack+11364, int_stack+19792, 150);
 /*--- compute (d0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+33250, int_stack+4804, int_stack+4714, 6);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+33520, int_stack+4930, int_stack+4804, 6);
 /*--- compute (d0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+33898, int_stack+33520, int_stack+33250, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+34438, int_stack+5098, int_stack+4930, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+17824, int_stack+34438, int_stack+33520, 6);
 /*--- compute (d0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+28390, int_stack+17824, int_stack+33898, 6);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+17824, int_stack+5914, int_stack+5764, 10);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+33250, int_stack+6124, int_stack+5914, 10);
 /*--- compute (f0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+33880, int_stack+33250, int_stack+17824, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17824, int_stack+6404, int_stack+6124, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+21292, int_stack+17824, int_stack+33250, 10);
 /*--- compute (f0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+22552, int_stack+21292, int_stack+33880, 10);
 /*--- compute (dp|[r12,T1]|gf) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3780, int_stack+22552, int_stack+28390, int_stack+19792, int_stack+31990, int_stack+18892, 4, 3);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+31990, int_stack+6989, int_stack+6764, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+32665, int_stack+7304, int_stack+6989, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+33610, int_stack+32665, int_stack+31990, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21292, int_stack+7724, int_stack+7304, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+17824, int_stack+21292, int_stack+32665, 15);
 /*--- compute (g0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+44140, int_stack+17824, int_stack+33610, 15);
 /*--- compute (fp|[r12,T1]|gf) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+46390, int_stack+44140, int_stack+22552, int_stack+11364, int_stack+15724, int_stack+19792, 4, 3);
 /*--- compute (d0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+11364, int_stack+8354, int_stack+8264, 6);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+11634, int_stack+8480, int_stack+8354, 6);
 /*--- compute (d0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+12012, int_stack+11634, int_stack+11364, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12552, int_stack+8648, int_stack+8480, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+13056, int_stack+12552, int_stack+11634, 6);
 /*--- compute (d0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+28390, int_stack+13056, int_stack+12012, 6);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+11364, int_stack+9014, int_stack+8864, 10);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+11814, int_stack+9224, int_stack+9014, 10);
 /*--- compute (f0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+12444, int_stack+11814, int_stack+11364, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13344, int_stack+9504, int_stack+9224, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+14184, int_stack+13344, int_stack+11814, 10);
 /*--- compute (f0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+15444, int_stack+14184, int_stack+12444, 10);
 /*--- compute (dp||gf) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+11364, int_stack+15444, int_stack+28390, 150);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+28390, int_stack+10089, int_stack+9864, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14064, int_stack+10404, int_stack+10089, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+16944, int_stack+14064, int_stack+28390, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18294, int_stack+10824, int_stack+10404, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+19554, int_stack+18294, int_stack+14064, 15);
 /*--- compute (g0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+44140, int_stack+19554, int_stack+16944, 15);
 /*--- compute (fp||gf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+16944, int_stack+44140, int_stack+15444, 150);
 /*--- compute (dd|[r12,T2]|gf) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+50890, int_stack+35140, int_stack+29290, 150);
     Libr12->te_ptr[3] = int_stack + 50890;
 /*--- compute (dd|[r12,T1]|gf) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+28390, int_stack+46390, int_stack+3780, int_stack+39640, int_stack+0, int_stack+25690, 4, 3);
     Libr12->te_ptr[2] = int_stack + 28390;
 /*--- compute (dd||gf) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+16944, int_stack+11364, 150);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (dd|gf) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+5400, int_stack+39640, int_stack+25690, 150);
     Libr12->te_ptr[0] = int_stack + 5400;

}
