#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddhh(Libr12_t *, prim_data *);

  /* Computes (dd|hh) integrals for linear R12-methods */

void hrr_grt_order_ddhh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][5] = int_stack + 0;
 Libr12->t2vrr_classes[2][6] = int_stack + 126;
 Libr12->t2vrr_classes[2][7] = int_stack + 294;
 Libr12->t2vrr_classes[2][8] = int_stack + 510;
 Libr12->t2vrr_classes[2][9] = int_stack + 780;
 Libr12->t2vrr_classes[2][10] = int_stack + 1110;
 Libr12->t2vrr_classes[3][5] = int_stack + 1506;
 Libr12->t2vrr_classes[3][6] = int_stack + 1716;
 Libr12->t2vrr_classes[3][7] = int_stack + 1996;
 Libr12->t2vrr_classes[3][8] = int_stack + 2356;
 Libr12->t2vrr_classes[3][9] = int_stack + 2806;
 Libr12->t2vrr_classes[3][10] = int_stack + 3356;
 Libr12->gvrr_classes[5][5] = int_stack + 4016;
 Libr12->t2vrr_classes[4][5] = int_stack + 4457;
 Libr12->gvrr_classes[5][6] = int_stack + 4772;
 Libr12->t2vrr_classes[4][6] = int_stack + 5360;
 Libr12->gvrr_classes[5][7] = int_stack + 5780;
 Libr12->t2vrr_classes[4][7] = int_stack + 6536;
 Libr12->gvrr_classes[5][8] = int_stack + 7076;
 Libr12->t2vrr_classes[4][8] = int_stack + 8021;
 Libr12->gvrr_classes[5][9] = int_stack + 8696;
 Libr12->t2vrr_classes[4][9] = int_stack + 9851;
 Libr12->t2vrr_classes[4][10] = int_stack + 10676;
 Libr12->gvrr_classes[2][11] = int_stack + 11666;
 Libr12->t1vrr_classes[2][5] = int_stack + 12134;
 Libr12->t1vrr_classes[2][6] = int_stack + 12260;
 Libr12->t1vrr_classes[2][7] = int_stack + 12428;
 Libr12->t1vrr_classes[2][8] = int_stack + 12644;
 Libr12->t1vrr_classes[2][9] = int_stack + 12914;
 Libr12->t1vrr_classes[2][10] = int_stack + 13244;
 Libr12->gvrr_classes[3][11] = int_stack + 13640;
 Libr12->t1vrr_classes[3][5] = int_stack + 14420;
 Libr12->t1vrr_classes[3][6] = int_stack + 14630;
 Libr12->t1vrr_classes[3][7] = int_stack + 14910;
 Libr12->t1vrr_classes[3][8] = int_stack + 15270;
 Libr12->t1vrr_classes[3][9] = int_stack + 15720;
 Libr12->t1vrr_classes[3][10] = int_stack + 16270;
 Libr12->t1vrr_classes[4][5] = int_stack + 16930;
 Libr12->t1vrr_classes[4][6] = int_stack + 17245;
 Libr12->t1vrr_classes[4][7] = int_stack + 17665;
 Libr12->t1vrr_classes[4][8] = int_stack + 18205;
 Libr12->t1vrr_classes[4][9] = int_stack + 18880;
 Libr12->t1vrr_classes[4][10] = int_stack + 19705;
 Libr12->rvrr_classes[2][5] = int_stack + 20695;
 Libr12->rvrr_classes[2][6] = int_stack + 20821;
 Libr12->rvrr_classes[2][7] = int_stack + 20989;
 Libr12->rvrr_classes[2][8] = int_stack + 21205;
 Libr12->rvrr_classes[2][9] = int_stack + 21475;
 Libr12->rvrr_classes[2][10] = int_stack + 21805;
 Libr12->rvrr_classes[3][5] = int_stack + 22201;
 Libr12->rvrr_classes[3][6] = int_stack + 22411;
 Libr12->rvrr_classes[3][7] = int_stack + 22691;
 Libr12->rvrr_classes[3][8] = int_stack + 23051;
 Libr12->rvrr_classes[3][9] = int_stack + 23501;
 Libr12->rvrr_classes[3][10] = int_stack + 24051;
 Libr12->rvrr_classes[4][5] = int_stack + 24711;
 Libr12->rvrr_classes[4][6] = int_stack + 25026;
 Libr12->rvrr_classes[4][7] = int_stack + 25446;
 Libr12->rvrr_classes[4][8] = int_stack + 25986;
 Libr12->rvrr_classes[4][9] = int_stack + 26661;
 Libr12->rvrr_classes[4][10] = int_stack + 27486;
 Libr12->gvrr_classes[2][5] = int_stack + 28476;
 Libr12->gvrr_classes[2][6] = int_stack + 28602;
 Libr12->gvrr_classes[2][7] = int_stack + 28770;
 Libr12->gvrr_classes[2][8] = int_stack + 28986;
 Libr12->gvrr_classes[2][9] = int_stack + 29256;
 Libr12->gvrr_classes[2][10] = int_stack + 29586;
 Libr12->gvrr_classes[3][5] = int_stack + 29982;
 Libr12->gvrr_classes[3][6] = int_stack + 30192;
 Libr12->gvrr_classes[3][7] = int_stack + 30472;
 Libr12->gvrr_classes[3][8] = int_stack + 30832;
 Libr12->gvrr_classes[3][9] = int_stack + 31282;
 Libr12->gvrr_classes[3][10] = int_stack + 31832;
 Libr12->gvrr_classes[4][5] = int_stack + 32492;
 Libr12->gvrr_classes[4][6] = int_stack + 32807;
 Libr12->gvrr_classes[4][7] = int_stack + 33227;
 Libr12->gvrr_classes[4][8] = int_stack + 33767;
 Libr12->gvrr_classes[4][9] = int_stack + 34442;
 Libr12->gvrr_classes[4][10] = int_stack + 35267;
 memset(int_stack,0,36257*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 36257;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddhh(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+36257, int_stack+28602, int_stack+28476, 6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36635, int_stack+28770, int_stack+28602, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+37139, int_stack+36635, int_stack+36257, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+37895, int_stack+28986, int_stack+28770, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+38543, int_stack+37895, int_stack+36635, 6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+39551, int_stack+38543, int_stack+37139, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+40811, int_stack+29256, int_stack+28986, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+41621, int_stack+40811, int_stack+37895, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+42917, int_stack+41621, int_stack+38543, 6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+44597, int_stack+42917, int_stack+39551, 6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+46487, int_stack+30192, int_stack+29982, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+47117, int_stack+30472, int_stack+30192, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+47957, int_stack+47117, int_stack+46487, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+49217, int_stack+30832, int_stack+30472, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+50297, int_stack+49217, int_stack+47117, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+51977, int_stack+50297, int_stack+47957, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+54077, int_stack+31282, int_stack+30832, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+55427, int_stack+54077, int_stack+49217, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+57587, int_stack+55427, int_stack+50297, 10);
 /*--- compute (f0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+60387, int_stack+57587, int_stack+51977, 10);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+63537, int_stack+29586, int_stack+29256, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+64527, int_stack+63537, int_stack+40811, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+66147, int_stack+64527, int_stack+41621, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+68307, int_stack+66147, int_stack+42917, 6);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70827, int_stack+126, int_stack+0, int_stack+28602, int_stack+29982, int_stack+28476, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71205, int_stack+294, int_stack+126, int_stack+28770, int_stack+30192, int_stack+28602, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71709, int_stack+71205, int_stack+70827, int_stack+36635, int_stack+46487, int_stack+36257, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72465, int_stack+510, int_stack+294, int_stack+28986, int_stack+30472, int_stack+28770, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73113, int_stack+72465, int_stack+71205, int_stack+37895, int_stack+47117, int_stack+36635, 2, 0);
 /*--- compute (d0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74121, int_stack+73113, int_stack+71709, int_stack+38543, int_stack+47957, int_stack+37139, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36257, int_stack+780, int_stack+510, int_stack+29256, int_stack+30832, int_stack+28986, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70827, int_stack+36257, int_stack+72465, int_stack+40811, int_stack+49217, int_stack+37895, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+75381, int_stack+70827, int_stack+73113, int_stack+41621, int_stack+50297, int_stack+38543, 2, 0);
 /*--- compute (d0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37067, int_stack+75381, int_stack+74121, int_stack+42917, int_stack+51977, int_stack+39551, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38957, int_stack+1110, int_stack+780, int_stack+29586, int_stack+31282, int_stack+29256, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72123, int_stack+38957, int_stack+36257, int_stack+63537, int_stack+54077, int_stack+40811, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38957, int_stack+72123, int_stack+70827, int_stack+64527, int_stack+55427, int_stack+41621, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70827, int_stack+38957, int_stack+75381, int_stack+66147, int_stack+57587, int_stack+42917, 2, 0);
 /*--- compute (d0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38957, int_stack+70827, int_stack+37067, int_stack+68307, int_stack+60387, int_stack+44597, 2, 0);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+70827, int_stack+32807, int_stack+32492, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+71772, int_stack+33227, int_stack+32807, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+73032, int_stack+71772, int_stack+70827, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+74922, int_stack+33767, int_stack+33227, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+41603, int_stack+74922, int_stack+71772, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+76542, int_stack+41603, int_stack+73032, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+36257, int_stack+34442, int_stack+33767, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+79692, int_stack+36257, int_stack+74922, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+82932, int_stack+79692, int_stack+41603, 15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+87132, int_stack+82932, int_stack+76542, 15);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+91857, int_stack+31832, int_stack+31282, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+93507, int_stack+91857, int_stack+54077, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+96207, int_stack+93507, int_stack+55427, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+99807, int_stack+96207, int_stack+57587, 10);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104007, int_stack+1716, int_stack+1506, int_stack+30192, int_stack+32492, int_stack+29982, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28476, int_stack+1996, int_stack+1716, int_stack+30472, int_stack+32807, int_stack+30192, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+28476, int_stack+104007, int_stack+47117, int_stack+70827, int_stack+46487, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104007, int_stack+2356, int_stack+1996, int_stack+30832, int_stack+33227, int_stack+30472, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105087, int_stack+104007, int_stack+28476, int_stack+49217, int_stack+71772, int_stack+47117, 3, 0);
 /*--- compute (f0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+106767, int_stack+105087, int_stack+0, int_stack+50297, int_stack+73032, int_stack+47957, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2806, int_stack+2356, int_stack+31282, int_stack+33767, int_stack+30832, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46487, int_stack+0, int_stack+104007, int_stack+54077, int_stack+74922, int_stack+49217, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108867, int_stack+46487, int_stack+105087, int_stack+55427, int_stack+41603, int_stack+50297, 3, 0);
 /*--- compute (f0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48647, int_stack+108867, int_stack+106767, int_stack+57587, int_stack+76542, int_stack+51977, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104007, int_stack+3356, int_stack+2806, int_stack+31832, int_stack+34442, int_stack+31282, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105657, int_stack+104007, int_stack+0, int_stack+91857, int_stack+36257, int_stack+54077, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+105657, int_stack+46487, int_stack+93507, int_stack+79692, int_stack+55427, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104007, int_stack+0, int_stack+108867, int_stack+96207, int_stack+82932, int_stack+57587, 3, 0);
 /*--- compute (f0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51797, int_stack+104007, int_stack+48647, int_stack+99807, int_stack+87132, int_stack+60387, 3, 0);
 /*--- compute (dp|[r12,T2]|hh) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+104007, int_stack+51797, int_stack+38957, 441);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4772, int_stack+4016, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1323, int_stack+5780, int_stack+4772, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+46487, int_stack+1323, int_stack+0, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+49133, int_stack+7076, int_stack+5780, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+56207, int_stack+49133, int_stack+1323, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+111945, int_stack+56207, int_stack+46487, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+38282, int_stack+8696, int_stack+7076, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+116355, int_stack+38282, int_stack+49133, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+120891, int_stack+116355, int_stack+56207, 21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+126771, int_stack+120891, int_stack+111945, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+133386, int_stack+35267, int_stack+34442, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+135861, int_stack+133386, int_stack+36257, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+139911, int_stack+135861, int_stack+79692, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+145311, int_stack+139911, int_stack+82932, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28476, int_stack+5360, int_stack+4457, int_stack+32807, int_stack+4016, int_stack+32492, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3087, int_stack+6536, int_stack+5360, int_stack+33227, int_stack+4772, int_stack+32807, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+151611, int_stack+3087, int_stack+28476, int_stack+71772, int_stack+0, int_stack+70827, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29982, int_stack+8021, int_stack+6536, int_stack+33767, int_stack+5780, int_stack+33227, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4347, int_stack+29982, int_stack+3087, int_stack+74922, int_stack+1323, int_stack+71772, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4347, int_stack+151611, int_stack+41603, int_stack+46487, int_stack+73032, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46487, int_stack+9851, int_stack+8021, int_stack+34442, int_stack+7076, int_stack+33767, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70827, int_stack+46487, int_stack+29982, int_stack+36257, int_stack+49133, int_stack+74922, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+151611, int_stack+70827, int_stack+4347, int_stack+79692, int_stack+56207, int_stack+41603, 4, 0);
 /*--- compute (g0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3150, int_stack+151611, int_stack+0, int_stack+82932, int_stack+111945, int_stack+76542, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+111945, int_stack+10676, int_stack+9851, int_stack+35267, int_stack+8696, int_stack+34442, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56207, int_stack+111945, int_stack+46487, int_stack+133386, int_stack+38282, int_stack+36257, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74067, int_stack+56207, int_stack+70827, int_stack+135861, int_stack+116355, int_stack+79692, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+133386, int_stack+74067, int_stack+151611, int_stack+139911, int_stack+120891, int_stack+82932, 4, 0);
 /*--- compute (g0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70827, int_stack+133386, int_stack+3150, int_stack+145311, int_stack+126771, int_stack+87132, 4, 0);
 /*--- compute (fp|[r12,T2]|hh) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+111945, int_stack+70827, int_stack+51797, 441);
 /*--- compute (d0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+70827, int_stack+68307, int_stack+44597, 6);
 /*--- compute (f0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+73473, int_stack+99807, int_stack+60387, 10);
 /*--- compute (dp|hh) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+77883, int_stack+73473, int_stack+70827, 441);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+85821, int_stack+11666, int_stack+29586, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+151611, int_stack+85821, int_stack+63537, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+125175, int_stack+151611, int_stack+64527, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+151611, int_stack+125175, int_stack+66147, 6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+125175, int_stack+151611, int_stack+68307, 6);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+151611, int_stack+13640, int_stack+31832, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+128703, int_stack+151611, int_stack+91857, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+132003, int_stack+128703, int_stack+93507, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+136503, int_stack+132003, int_stack+96207, 10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+128703, int_stack+136503, int_stack+99807, 10);
 /*--- compute (dp|ih) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+134583, int_stack+128703, int_stack+125175, 588);
 /*--- compute (g0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+91857, int_stack+145311, int_stack+87132, 15);
 /*--- compute (fp|hh) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+28476, int_stack+91857, int_stack+73473, 441);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+145167, int_stack+12260, int_stack+12134, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+145545, int_stack+12428, int_stack+12260, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+146049, int_stack+145545, int_stack+145167, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+146805, int_stack+12644, int_stack+12428, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+147453, int_stack+146805, int_stack+145545, 6);
 /*--- compute (d0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+148461, int_stack+147453, int_stack+146049, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+145167, int_stack+12914, int_stack+12644, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+149721, int_stack+145167, int_stack+146805, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+151017, int_stack+149721, int_stack+147453, 6);
 /*--- compute (d0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+145977, int_stack+151017, int_stack+148461, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+147867, int_stack+13244, int_stack+12914, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+152697, int_stack+147867, int_stack+145167, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+98472, int_stack+152697, int_stack+149721, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+152697, int_stack+98472, int_stack+151017, 6);
 /*--- compute (d0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+98472, int_stack+152697, int_stack+145977, 6);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+101118, int_stack+14630, int_stack+14420, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+101748, int_stack+14910, int_stack+14630, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+102588, int_stack+101748, int_stack+101118, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+145167, int_stack+15270, int_stack+14910, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+146247, int_stack+145167, int_stack+101748, 10);
 /*--- compute (f0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+147927, int_stack+146247, int_stack+102588, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+101118, int_stack+15720, int_stack+15270, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+150027, int_stack+101118, int_stack+145167, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+152187, int_stack+150027, int_stack+146247, 10);
 /*--- compute (f0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+85821, int_stack+152187, int_stack+147927, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+145167, int_stack+16270, int_stack+15720, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+146817, int_stack+145167, int_stack+101118, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+146817, int_stack+150027, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+145167, int_stack+0, int_stack+152187, 10);
 /*--- compute (f0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+145167, int_stack+85821, 10);
 /*--- compute (dp|[r12,T1]|hh) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+145167, int_stack+0, int_stack+98472, int_stack+73473, int_stack+125175, int_stack+70827, 5, 5);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+125175, int_stack+17245, int_stack+16930, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+126120, int_stack+17665, int_stack+17245, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+98472, int_stack+126120, int_stack+125175, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+100362, int_stack+18205, int_stack+17665, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+85821, int_stack+100362, int_stack+126120, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+125175, int_stack+85821, int_stack+98472, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+101982, int_stack+18880, int_stack+18205, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+88341, int_stack+101982, int_stack+100362, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4410, int_stack+88341, int_stack+85821, 15);
 /*--- compute (g0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+8610, int_stack+4410, int_stack+125175, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+125175, int_stack+19705, int_stack+18880, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+13335, int_stack+125175, int_stack+101982, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+98472, int_stack+13335, int_stack+88341, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+13335, int_stack+98472, int_stack+4410, 15);
 /*--- compute (g0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+41706, int_stack+13335, int_stack+8610, 15);
 /*--- compute (fp|[r12,T1]|hh) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4410, int_stack+41706, int_stack+0, int_stack+91857, int_stack+128703, int_stack+73473, 5, 5);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+20821, int_stack+20695, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+378, int_stack+20989, int_stack+20821, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+882, int_stack+378, int_stack+0, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1638, int_stack+21205, int_stack+20989, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2286, int_stack+1638, int_stack+378, 6);
 /*--- compute (d0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+41706, int_stack+2286, int_stack+882, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+21475, int_stack+21205, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+42966, int_stack+0, int_stack+1638, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+44262, int_stack+42966, int_stack+2286, 6);
 /*--- compute (d0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+810, int_stack+44262, int_stack+41706, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+41706, int_stack+21805, int_stack+21475, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2700, int_stack+41706, int_stack+0, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+45942, int_stack+2700, int_stack+42966, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+41706, int_stack+45942, int_stack+44262, 6);
 /*--- compute (d0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+44226, int_stack+41706, int_stack+810, 6);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+41706, int_stack+22411, int_stack+22201, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+42336, int_stack+22691, int_stack+22411, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+42336, int_stack+41706, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+23051, int_stack+22691, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2340, int_stack+1260, int_stack+42336, 10);
 /*--- compute (f0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+41706, int_stack+2340, int_stack+0, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+46872, int_stack+23501, int_stack+23051, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+48222, int_stack+46872, int_stack+1260, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+50382, int_stack+48222, int_stack+2340, 10);
 /*--- compute (f0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+50382, int_stack+41706, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+41706, int_stack+24051, int_stack+23501, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+53182, int_stack+41706, int_stack+46872, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+55882, int_stack+53182, int_stack+48222, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+59482, int_stack+55882, int_stack+50382, 10);
 /*--- compute (f0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+46872, int_stack+59482, int_stack+0, 10);
 /*--- compute (dp||hh) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+51282, int_stack+46872, int_stack+44226, 441);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+25026, int_stack+24711, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+945, int_stack+25446, int_stack+25026, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2205, int_stack+945, int_stack+0, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+59220, int_stack+25986, int_stack+25446, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+60840, int_stack+59220, int_stack+945, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+63360, int_stack+60840, int_stack+2205, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+26661, int_stack+25986, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+66510, int_stack+0, int_stack+59220, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+69750, int_stack+66510, int_stack+60840, 15);
 /*--- compute (g0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+41706, int_stack+69750, int_stack+63360, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+59220, int_stack+27486, int_stack+26661, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+61695, int_stack+59220, int_stack+0, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+17640, int_stack+61695, int_stack+66510, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+59220, int_stack+17640, int_stack+69750, 15);
 /*--- compute (g0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+17640, int_stack+59220, int_stack+41706, 15);
 /*--- compute (fp||hh) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+59220, int_stack+17640, int_stack+46872, 441);
 /*--- compute (dd|[r12,T2]|hh) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+85821, int_stack+111945, int_stack+104007, 441);
     Libr12->te_ptr[3] = int_stack + 85821;
 /*--- compute (dd|[r12,T1]|hh) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+101697, int_stack+4410, int_stack+145167, int_stack+28476, int_stack+134583, int_stack+77883, 5, 5);
     Libr12->te_ptr[2] = int_stack + 101697;
 /*--- compute (dd||hh) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+59220, int_stack+51282, 441);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (dd|hh) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+41706, int_stack+28476, int_stack+77883, 441);
     Libr12->te_ptr[0] = int_stack + 41706;

}
