#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddi0(Libr12_t *, prim_data *);

  /* Computes (dd|i0) integrals for linear R12-methods */

void hrr_grt_order_ddi0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 168;
 Libr12->t2vrr_classes[4][6] = int_stack + 448;
 Libr12->gvrr_classes[2][7] = int_stack + 868;
 Libr12->t1vrr_classes[2][6] = int_stack + 1084;
 Libr12->gvrr_classes[3][7] = int_stack + 1252;
 Libr12->t1vrr_classes[3][6] = int_stack + 1612;
 Libr12->t1vrr_classes[4][6] = int_stack + 1892;
 Libr12->rvrr_classes[2][6] = int_stack + 2312;
 Libr12->rvrr_classes[3][6] = int_stack + 2480;
 Libr12->rvrr_classes[4][6] = int_stack + 2760;
 Libr12->gvrr_classes[2][6] = int_stack + 3180;
 Libr12->gvrr_classes[3][6] = int_stack + 3348;
 Libr12->gvrr_classes[4][6] = int_stack + 3628;
 memset(int_stack,0,4048*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 4048;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddi0(Libr12, Data);
   Data++;
 }

 /*--- compute (dp|[r12,T2]|i0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+4048, int_stack+168, int_stack+0, 28);
 /*--- compute (fp|[r12,T2]|i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+4552, int_stack+448, int_stack+168, 28);
 /*--- compute (dp|i0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+3348, int_stack+3180, 28);
 /*--- compute (dp|k0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+5392, int_stack+1252, int_stack+868, 36);
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+6040, int_stack+3628, int_stack+3348, 28);
 /*--- compute (dp|[r12,T1]|i0) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6880, int_stack+1612, int_stack+1084, int_stack+3348, int_stack+868, int_stack+3180, 6, 0);
 /*--- compute (fp|[r12,T1]|i0) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+7384, int_stack+1892, int_stack+1612, int_stack+3628, int_stack+1252, int_stack+3348, 6, 0);
 /*--- compute (dp||i0) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+3180, int_stack+2480, int_stack+2312, 28);
 /*--- compute (fp||i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+504, int_stack+2760, int_stack+2480, 28);
 /*--- compute (dd|[r12,T2]|i0) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+1344, int_stack+4552, int_stack+4048, 28);
     Libr12->te_ptr[3] = int_stack + 1344;
 /*--- compute (dd|[r12,T1]|i0) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3684, int_stack+7384, int_stack+6880, int_stack+6040, int_stack+5392, int_stack+0, 6, 0);
     Libr12->te_ptr[2] = int_stack + 3684;
 /*--- compute (dd||i0) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+6880, int_stack+504, int_stack+3180, 28);
     Libr12->te_ptr[1] = int_stack + 6880;
 /*--- compute (dd|i0) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+7888, int_stack+6040, int_stack+0, 28);
     Libr12->te_ptr[0] = int_stack + 7888;

}
