#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddid(Libr12_t *, prim_data *);

  /* Computes (dd|id) integrals for linear R12-methods */

void hrr_grt_order_ddid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[2][8] = int_stack + 384;
 Libr12->t2vrr_classes[3][6] = int_stack + 654;
 Libr12->t2vrr_classes[3][7] = int_stack + 934;
 Libr12->t2vrr_classes[3][8] = int_stack + 1294;
 Libr12->gvrr_classes[5][6] = int_stack + 1744;
 Libr12->t2vrr_classes[4][6] = int_stack + 2332;
 Libr12->gvrr_classes[5][7] = int_stack + 2752;
 Libr12->t2vrr_classes[4][7] = int_stack + 3508;
 Libr12->t2vrr_classes[4][8] = int_stack + 4048;
 Libr12->gvrr_classes[2][9] = int_stack + 4723;
 Libr12->t1vrr_classes[2][6] = int_stack + 5053;
 Libr12->t1vrr_classes[2][7] = int_stack + 5221;
 Libr12->t1vrr_classes[2][8] = int_stack + 5437;
 Libr12->gvrr_classes[3][9] = int_stack + 5707;
 Libr12->t1vrr_classes[3][6] = int_stack + 6257;
 Libr12->t1vrr_classes[3][7] = int_stack + 6537;
 Libr12->t1vrr_classes[3][8] = int_stack + 6897;
 Libr12->t1vrr_classes[4][6] = int_stack + 7347;
 Libr12->t1vrr_classes[4][7] = int_stack + 7767;
 Libr12->t1vrr_classes[4][8] = int_stack + 8307;
 Libr12->rvrr_classes[2][6] = int_stack + 8982;
 Libr12->rvrr_classes[2][7] = int_stack + 9150;
 Libr12->rvrr_classes[2][8] = int_stack + 9366;
 Libr12->rvrr_classes[3][6] = int_stack + 9636;
 Libr12->rvrr_classes[3][7] = int_stack + 9916;
 Libr12->rvrr_classes[3][8] = int_stack + 10276;
 Libr12->rvrr_classes[4][6] = int_stack + 10726;
 Libr12->rvrr_classes[4][7] = int_stack + 11146;
 Libr12->rvrr_classes[4][8] = int_stack + 11686;
 Libr12->gvrr_classes[2][6] = int_stack + 12361;
 Libr12->gvrr_classes[2][7] = int_stack + 12529;
 Libr12->gvrr_classes[2][8] = int_stack + 12745;
 Libr12->gvrr_classes[3][6] = int_stack + 13015;
 Libr12->gvrr_classes[3][7] = int_stack + 13295;
 Libr12->gvrr_classes[3][8] = int_stack + 13655;
 Libr12->gvrr_classes[4][6] = int_stack + 14105;
 Libr12->gvrr_classes[4][7] = int_stack + 14525;
 Libr12->gvrr_classes[4][8] = int_stack + 15065;
 memset(int_stack,0,15740*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 15740;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddid(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15740, int_stack+12529, int_stack+12361, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16244, int_stack+13295, int_stack+13015, 10);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+17084, int_stack+12745, int_stack+12529, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17732, int_stack+168, int_stack+0, int_stack+12529, int_stack+13015, int_stack+12361, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18236, int_stack+384, int_stack+168, int_stack+12745, int_stack+13295, int_stack+12529, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18884, int_stack+18236, int_stack+17732, int_stack+17084, int_stack+16244, int_stack+15740, 2, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19892, int_stack+14525, int_stack+14105, 15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+17732, int_stack+13655, int_stack+13295, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21152, int_stack+934, int_stack+654, int_stack+13295, int_stack+14105, int_stack+13015, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21992, int_stack+1294, int_stack+934, int_stack+13655, int_stack+14525, int_stack+13295, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+21992, int_stack+21152, int_stack+17732, int_stack+19892, int_stack+16244, 3, 0);
 /*--- compute (dp|[r12,T2]|id) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+21152, int_stack+0, int_stack+18884, 168);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24176, int_stack+2752, int_stack+1744, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+25940, int_stack+15065, int_stack+14525, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27560, int_stack+3508, int_stack+2332, int_stack+14525, int_stack+1744, int_stack+14105, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28820, int_stack+4048, int_stack+3508, int_stack+15065, int_stack+2752, int_stack+14525, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1680, int_stack+28820, int_stack+27560, int_stack+25940, int_stack+24176, int_stack+19892, 4, 0);
 /*--- compute (fp|[r12,T2]|id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+27560, int_stack+1680, int_stack+0, 168);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17084, int_stack+15740, 6);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1008, int_stack+17732, int_stack+16244, 10);
 /*--- compute (dp|id) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+32600, int_stack+1008, int_stack+0, 168);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2688, int_stack+4723, int_stack+12745, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3498, int_stack+2688, int_stack+17084, 6);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+24176, int_stack+5707, int_stack+13655, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+12361, int_stack+24176, int_stack+17732, 10);
 /*--- compute (dp|kd) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+14521, int_stack+12361, int_stack+3498, 216);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+35624, int_stack+25940, int_stack+19892, 15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+38144, int_stack+35624, int_stack+1008, 168);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24176, int_stack+5221, int_stack+5053, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24680, int_stack+5437, int_stack+5221, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+25328, int_stack+24680, int_stack+24176, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24176, int_stack+6537, int_stack+6257, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+26336, int_stack+6897, int_stack+6537, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4794, int_stack+26336, int_stack+24176, 10);
 /*--- compute (dp|[r12,T1]|id) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+43184, int_stack+4794, int_stack+25328, int_stack+1008, int_stack+3498, int_stack+0, 6, 2);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24176, int_stack+7767, int_stack+7347, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+25436, int_stack+8307, int_stack+7767, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18409, int_stack+25436, int_stack+24176, 15);
 /*--- compute (fp|[r12,T1]|id) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+46208, int_stack+18409, int_stack+4794, int_stack+35624, int_stack+12361, int_stack+1008, 6, 2);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12361, int_stack+9150, int_stack+8982, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12865, int_stack+9366, int_stack+9150, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13513, int_stack+12865, int_stack+12361, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12361, int_stack+9916, int_stack+9636, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+35624, int_stack+10276, int_stack+9916, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18409, int_stack+35624, int_stack+12361, 10);
 /*--- compute (dp||id) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+24176, int_stack+18409, int_stack+13513, 168);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12361, int_stack+11146, int_stack+10726, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+35624, int_stack+11686, int_stack+11146, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+35624, int_stack+12361, 15);
 /*--- compute (fp||id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+2520, int_stack+0, int_stack+18409, 168);
 /*--- compute (dd|[r12,T2]|id) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+7560, int_stack+27560, int_stack+21152, 168);
     Libr12->te_ptr[3] = int_stack + 7560;
 /*--- compute (dd|[r12,T1]|id) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+51248, int_stack+46208, int_stack+43184, int_stack+38144, int_stack+14521, int_stack+32600, 6, 2);
     Libr12->te_ptr[2] = int_stack + 51248;
 /*--- compute (dd||id) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+43184, int_stack+2520, int_stack+24176, 168);
     Libr12->te_ptr[1] = int_stack + 43184;
 /*--- compute (dd|id) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+38144, int_stack+32600, 168);
     Libr12->te_ptr[0] = int_stack + 0;

}
