#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddif(Libr12_t *, prim_data *);

  /* Computes (dd|if) integrals for linear R12-methods */

void hrr_grt_order_ddif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[2][8] = int_stack + 384;
 Libr12->t2vrr_classes[2][9] = int_stack + 654;
 Libr12->t2vrr_classes[3][6] = int_stack + 984;
 Libr12->t2vrr_classes[3][7] = int_stack + 1264;
 Libr12->t2vrr_classes[3][8] = int_stack + 1624;
 Libr12->t2vrr_classes[3][9] = int_stack + 2074;
 Libr12->gvrr_classes[5][6] = int_stack + 2624;
 Libr12->t2vrr_classes[4][6] = int_stack + 3212;
 Libr12->gvrr_classes[5][7] = int_stack + 3632;
 Libr12->t2vrr_classes[4][7] = int_stack + 4388;
 Libr12->gvrr_classes[5][8] = int_stack + 4928;
 Libr12->t2vrr_classes[4][8] = int_stack + 5873;
 Libr12->t2vrr_classes[4][9] = int_stack + 6548;
 Libr12->gvrr_classes[2][10] = int_stack + 7373;
 Libr12->t1vrr_classes[2][6] = int_stack + 7769;
 Libr12->t1vrr_classes[2][7] = int_stack + 7937;
 Libr12->t1vrr_classes[2][8] = int_stack + 8153;
 Libr12->t1vrr_classes[2][9] = int_stack + 8423;
 Libr12->gvrr_classes[3][10] = int_stack + 8753;
 Libr12->t1vrr_classes[3][6] = int_stack + 9413;
 Libr12->t1vrr_classes[3][7] = int_stack + 9693;
 Libr12->t1vrr_classes[3][8] = int_stack + 10053;
 Libr12->t1vrr_classes[3][9] = int_stack + 10503;
 Libr12->t1vrr_classes[4][6] = int_stack + 11053;
 Libr12->t1vrr_classes[4][7] = int_stack + 11473;
 Libr12->t1vrr_classes[4][8] = int_stack + 12013;
 Libr12->t1vrr_classes[4][9] = int_stack + 12688;
 Libr12->rvrr_classes[2][6] = int_stack + 13513;
 Libr12->rvrr_classes[2][7] = int_stack + 13681;
 Libr12->rvrr_classes[2][8] = int_stack + 13897;
 Libr12->rvrr_classes[2][9] = int_stack + 14167;
 Libr12->rvrr_classes[3][6] = int_stack + 14497;
 Libr12->rvrr_classes[3][7] = int_stack + 14777;
 Libr12->rvrr_classes[3][8] = int_stack + 15137;
 Libr12->rvrr_classes[3][9] = int_stack + 15587;
 Libr12->rvrr_classes[4][6] = int_stack + 16137;
 Libr12->rvrr_classes[4][7] = int_stack + 16557;
 Libr12->rvrr_classes[4][8] = int_stack + 17097;
 Libr12->rvrr_classes[4][9] = int_stack + 17772;
 Libr12->gvrr_classes[2][6] = int_stack + 18597;
 Libr12->gvrr_classes[2][7] = int_stack + 18765;
 Libr12->gvrr_classes[2][8] = int_stack + 18981;
 Libr12->gvrr_classes[2][9] = int_stack + 19251;
 Libr12->gvrr_classes[3][6] = int_stack + 19581;
 Libr12->gvrr_classes[3][7] = int_stack + 19861;
 Libr12->gvrr_classes[3][8] = int_stack + 20221;
 Libr12->gvrr_classes[3][9] = int_stack + 20671;
 Libr12->gvrr_classes[4][6] = int_stack + 21221;
 Libr12->gvrr_classes[4][7] = int_stack + 21641;
 Libr12->gvrr_classes[4][8] = int_stack + 22181;
 Libr12->gvrr_classes[4][9] = int_stack + 22856;
 memset(int_stack,0,23681*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 23681;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddif(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23681, int_stack+18765, int_stack+18597, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24185, int_stack+18981, int_stack+18765, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+24833, int_stack+24185, int_stack+23681, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+25841, int_stack+19861, int_stack+19581, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+26681, int_stack+20221, int_stack+19861, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+27761, int_stack+26681, int_stack+25841, 10);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+29441, int_stack+19251, int_stack+18981, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+30251, int_stack+29441, int_stack+24185, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31547, int_stack+168, int_stack+0, int_stack+18765, int_stack+19581, int_stack+18597, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32051, int_stack+384, int_stack+168, int_stack+18981, int_stack+19861, int_stack+18765, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32699, int_stack+32051, int_stack+31547, int_stack+24185, int_stack+25841, int_stack+23681, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33707, int_stack+654, int_stack+384, int_stack+19251, int_stack+20221, int_stack+18981, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+34517, int_stack+33707, int_stack+32051, int_stack+29441, int_stack+26681, int_stack+24185, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35813, int_stack+34517, int_stack+32699, int_stack+30251, int_stack+27761, int_stack+24833, 2, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+31547, int_stack+21641, int_stack+21221, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+32807, int_stack+22181, int_stack+21641, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+37493, int_stack+32807, int_stack+31547, 15);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+34427, int_stack+20671, int_stack+20221, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+40013, int_stack+34427, int_stack+26681, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23681, int_stack+1264, int_stack+984, int_stack+19861, int_stack+21221, int_stack+19581, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1624, int_stack+1264, int_stack+20221, int_stack+21641, int_stack+19861, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42173, int_stack+0, int_stack+23681, int_stack+26681, int_stack+31547, int_stack+25841, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43853, int_stack+2074, int_stack+1624, int_stack+20671, int_stack+22181, int_stack+20221, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45203, int_stack+43853, int_stack+0, int_stack+34427, int_stack+32807, int_stack+26681, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47363, int_stack+45203, int_stack+42173, int_stack+40013, int_stack+37493, int_stack+27761, 3, 0);
 /*--- compute (dp|[r12,T2]|if) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+42173, int_stack+47363, int_stack+35813, 280);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3632, int_stack+2624, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+50163, int_stack+4928, int_stack+3632, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+52431, int_stack+50163, int_stack+0, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+55959, int_stack+22856, int_stack+22181, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+57984, int_stack+55959, int_stack+32807, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25841, int_stack+4388, int_stack+3212, int_stack+21641, int_stack+2624, int_stack+21221, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1764, int_stack+5873, int_stack+4388, int_stack+22181, int_stack+3632, int_stack+21641, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+61224, int_stack+1764, int_stack+25841, int_stack+32807, int_stack+0, int_stack+31547, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+63744, int_stack+6548, int_stack+5873, int_stack+22856, int_stack+4928, int_stack+22181, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21221, int_stack+63744, int_stack+1764, int_stack+55959, int_stack+50163, int_stack+32807, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+21221, int_stack+61224, int_stack+57984, int_stack+52431, int_stack+37493, 4, 0);
 /*--- compute (fp|[r12,T2]|if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+61224, int_stack+0, int_stack+47363, 280);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+30251, int_stack+24833, 6);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1680, int_stack+40013, int_stack+27761, 10);
 /*--- compute (dp|if) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+21221, int_stack+1680, int_stack+0, 280);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+4480, int_stack+7373, int_stack+19251, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5470, int_stack+4480, int_stack+29441, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+26261, int_stack+5470, int_stack+30251, 6);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+4480, int_stack+8753, int_stack+20671, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+28421, int_stack+4480, int_stack+34427, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+31121, int_stack+28421, int_stack+40013, 10);
 /*--- compute (dp|kf) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+47213, int_stack+31121, int_stack+26261, 360);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+53693, int_stack+57984, int_stack+37493, 15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+69624, int_stack+53693, int_stack+1680, 280);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28421, int_stack+7937, int_stack+7769, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28925, int_stack+8153, int_stack+7937, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+29573, int_stack+28925, int_stack+28421, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4480, int_stack+8423, int_stack+8153, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5290, int_stack+4480, int_stack+28925, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+6586, int_stack+5290, int_stack+29573, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4480, int_stack+9693, int_stack+9413, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5320, int_stack+10053, int_stack+9693, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+28421, int_stack+5320, int_stack+4480, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8266, int_stack+10503, int_stack+10053, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+34721, int_stack+8266, int_stack+5320, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+36881, int_stack+34721, int_stack+28421, 10);
 /*--- compute (dp|[r12,T1]|if) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+78024, int_stack+36881, int_stack+6586, int_stack+1680, int_stack+26261, int_stack+0, 6, 3);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11473, int_stack+11053, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+26261, int_stack+12013, int_stack+11473, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+27881, int_stack+26261, int_stack+0, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+34721, int_stack+12688, int_stack+12013, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4480, int_stack+34721, int_stack+26261, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7720, int_stack+4480, int_stack+27881, 15);
 /*--- compute (fp|[r12,T1]|if) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+83064, int_stack+7720, int_stack+36881, int_stack+53693, int_stack+31121, int_stack+1680, 6, 3);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+53693, int_stack+13681, int_stack+13513, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+54197, int_stack+13897, int_stack+13681, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+54845, int_stack+54197, int_stack+53693, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+55853, int_stack+14167, int_stack+13897, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+56663, int_stack+55853, int_stack+54197, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+57959, int_stack+56663, int_stack+54845, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+53693, int_stack+14777, int_stack+14497, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+54533, int_stack+15137, int_stack+14777, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+55613, int_stack+54533, int_stack+53693, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+59639, int_stack+15587, int_stack+15137, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+26261, int_stack+59639, int_stack+54533, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+28421, int_stack+26261, int_stack+55613, 10);
 /*--- compute (dp||if) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+31221, int_stack+28421, int_stack+57959, 280);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+26261, int_stack+16557, int_stack+16137, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+53693, int_stack+17097, int_stack+16557, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+55313, int_stack+53693, int_stack+26261, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+26261, int_stack+17772, int_stack+17097, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+57833, int_stack+26261, int_stack+53693, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+36261, int_stack+57833, int_stack+55313, 15);
 /*--- compute (fp||if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+36261, int_stack+28421, 280);
 /*--- compute (dd|[r12,T2]|if) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+8400, int_stack+61224, int_stack+42173, 280);
     Libr12->te_ptr[3] = int_stack + 8400;
 /*--- compute (dd|[r12,T1]|if) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+36261, int_stack+83064, int_stack+78024, int_stack+69624, int_stack+47213, int_stack+21221, 6, 3);
     Libr12->te_ptr[2] = int_stack + 36261;
 /*--- compute (dd||if) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+78024, int_stack+0, int_stack+31221, 280);
     Libr12->te_ptr[1] = int_stack + 78024;
 /*--- compute (dd|if) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+46341, int_stack+69624, int_stack+21221, 280);
     Libr12->te_ptr[0] = int_stack + 46341;

}
