#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddig(Libr12_t *, prim_data *);

  /* Computes (dd|ig) integrals for linear R12-methods */

void hrr_grt_order_ddig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[2][8] = int_stack + 384;
 Libr12->t2vrr_classes[2][9] = int_stack + 654;
 Libr12->t2vrr_classes[2][10] = int_stack + 984;
 Libr12->t2vrr_classes[3][6] = int_stack + 1380;
 Libr12->t2vrr_classes[3][7] = int_stack + 1660;
 Libr12->t2vrr_classes[3][8] = int_stack + 2020;
 Libr12->t2vrr_classes[3][9] = int_stack + 2470;
 Libr12->t2vrr_classes[3][10] = int_stack + 3020;
 Libr12->gvrr_classes[5][6] = int_stack + 3680;
 Libr12->t2vrr_classes[4][6] = int_stack + 4268;
 Libr12->gvrr_classes[5][7] = int_stack + 4688;
 Libr12->t2vrr_classes[4][7] = int_stack + 5444;
 Libr12->gvrr_classes[5][8] = int_stack + 5984;
 Libr12->t2vrr_classes[4][8] = int_stack + 6929;
 Libr12->gvrr_classes[5][9] = int_stack + 7604;
 Libr12->t2vrr_classes[4][9] = int_stack + 8759;
 Libr12->t2vrr_classes[4][10] = int_stack + 9584;
 Libr12->gvrr_classes[2][11] = int_stack + 10574;
 Libr12->t1vrr_classes[2][6] = int_stack + 11042;
 Libr12->t1vrr_classes[2][7] = int_stack + 11210;
 Libr12->t1vrr_classes[2][8] = int_stack + 11426;
 Libr12->t1vrr_classes[2][9] = int_stack + 11696;
 Libr12->t1vrr_classes[2][10] = int_stack + 12026;
 Libr12->gvrr_classes[3][11] = int_stack + 12422;
 Libr12->t1vrr_classes[3][6] = int_stack + 13202;
 Libr12->t1vrr_classes[3][7] = int_stack + 13482;
 Libr12->t1vrr_classes[3][8] = int_stack + 13842;
 Libr12->t1vrr_classes[3][9] = int_stack + 14292;
 Libr12->t1vrr_classes[3][10] = int_stack + 14842;
 Libr12->t1vrr_classes[4][6] = int_stack + 15502;
 Libr12->t1vrr_classes[4][7] = int_stack + 15922;
 Libr12->t1vrr_classes[4][8] = int_stack + 16462;
 Libr12->t1vrr_classes[4][9] = int_stack + 17137;
 Libr12->t1vrr_classes[4][10] = int_stack + 17962;
 Libr12->rvrr_classes[2][6] = int_stack + 18952;
 Libr12->rvrr_classes[2][7] = int_stack + 19120;
 Libr12->rvrr_classes[2][8] = int_stack + 19336;
 Libr12->rvrr_classes[2][9] = int_stack + 19606;
 Libr12->rvrr_classes[2][10] = int_stack + 19936;
 Libr12->rvrr_classes[3][6] = int_stack + 20332;
 Libr12->rvrr_classes[3][7] = int_stack + 20612;
 Libr12->rvrr_classes[3][8] = int_stack + 20972;
 Libr12->rvrr_classes[3][9] = int_stack + 21422;
 Libr12->rvrr_classes[3][10] = int_stack + 21972;
 Libr12->rvrr_classes[4][6] = int_stack + 22632;
 Libr12->rvrr_classes[4][7] = int_stack + 23052;
 Libr12->rvrr_classes[4][8] = int_stack + 23592;
 Libr12->rvrr_classes[4][9] = int_stack + 24267;
 Libr12->rvrr_classes[4][10] = int_stack + 25092;
 Libr12->gvrr_classes[2][6] = int_stack + 26082;
 Libr12->gvrr_classes[2][7] = int_stack + 26250;
 Libr12->gvrr_classes[2][8] = int_stack + 26466;
 Libr12->gvrr_classes[2][9] = int_stack + 26736;
 Libr12->gvrr_classes[2][10] = int_stack + 27066;
 Libr12->gvrr_classes[3][6] = int_stack + 27462;
 Libr12->gvrr_classes[3][7] = int_stack + 27742;
 Libr12->gvrr_classes[3][8] = int_stack + 28102;
 Libr12->gvrr_classes[3][9] = int_stack + 28552;
 Libr12->gvrr_classes[3][10] = int_stack + 29102;
 Libr12->gvrr_classes[4][6] = int_stack + 29762;
 Libr12->gvrr_classes[4][7] = int_stack + 30182;
 Libr12->gvrr_classes[4][8] = int_stack + 30722;
 Libr12->gvrr_classes[4][9] = int_stack + 31397;
 Libr12->gvrr_classes[4][10] = int_stack + 32222;
 memset(int_stack,0,33212*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 33212;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddig(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+33212, int_stack+26250, int_stack+26082, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+33716, int_stack+26466, int_stack+26250, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+34364, int_stack+33716, int_stack+33212, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+35372, int_stack+26736, int_stack+26466, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+36182, int_stack+35372, int_stack+33716, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+37478, int_stack+36182, int_stack+34364, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+39158, int_stack+27742, int_stack+27462, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39998, int_stack+28102, int_stack+27742, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+41078, int_stack+39998, int_stack+39158, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+42758, int_stack+28552, int_stack+28102, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+44108, int_stack+42758, int_stack+39998, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+46268, int_stack+44108, int_stack+41078, 10);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+49068, int_stack+27066, int_stack+26736, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+50058, int_stack+49068, int_stack+35372, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+51678, int_stack+50058, int_stack+36182, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53838, int_stack+168, int_stack+0, int_stack+26250, int_stack+27462, int_stack+26082, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54342, int_stack+384, int_stack+168, int_stack+26466, int_stack+27742, int_stack+26250, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54990, int_stack+54342, int_stack+53838, int_stack+33716, int_stack+39158, int_stack+33212, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55998, int_stack+654, int_stack+384, int_stack+26736, int_stack+28102, int_stack+26466, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56808, int_stack+55998, int_stack+54342, int_stack+35372, int_stack+39998, int_stack+33716, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58104, int_stack+56808, int_stack+54990, int_stack+36182, int_stack+41078, int_stack+34364, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33212, int_stack+984, int_stack+654, int_stack+27066, int_stack+28552, int_stack+26736, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53838, int_stack+33212, int_stack+55998, int_stack+49068, int_stack+42758, int_stack+35372, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33212, int_stack+53838, int_stack+56808, int_stack+50058, int_stack+44108, int_stack+36182, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53838, int_stack+33212, int_stack+58104, int_stack+51678, int_stack+46268, int_stack+37478, 2, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+33212, int_stack+30182, int_stack+29762, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+34472, int_stack+30722, int_stack+30182, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+56358, int_stack+34472, int_stack+33212, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+58878, int_stack+31397, int_stack+30722, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+60903, int_stack+58878, int_stack+34472, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+64143, int_stack+60903, int_stack+56358, 15);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+68343, int_stack+29102, int_stack+28552, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+69993, int_stack+68343, int_stack+42758, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+72693, int_stack+69993, int_stack+44108, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36092, int_stack+1660, int_stack+1380, int_stack+27742, int_stack+29762, int_stack+27462, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2020, int_stack+1660, int_stack+28102, int_stack+30182, int_stack+27742, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+76293, int_stack+0, int_stack+36092, int_stack+39998, int_stack+33212, int_stack+39158, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36092, int_stack+2470, int_stack+2020, int_stack+28552, int_stack+30722, int_stack+28102, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77973, int_stack+36092, int_stack+0, int_stack+42758, int_stack+34472, int_stack+39998, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+80133, int_stack+77973, int_stack+76293, int_stack+44108, int_stack+56358, int_stack+41078, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+76293, int_stack+3020, int_stack+2470, int_stack+29102, int_stack+31397, int_stack+28552, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+76293, int_stack+36092, int_stack+68343, int_stack+58878, int_stack+42758, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39158, int_stack+0, int_stack+77973, int_stack+69993, int_stack+60903, int_stack+44108, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82933, int_stack+39158, int_stack+80133, int_stack+72693, int_stack+64143, int_stack+46268, 3, 0);
 /*--- compute (dp|[r12,T2]|ig) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+87133, int_stack+82933, int_stack+53838, 420);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+53838, int_stack+4688, int_stack+3680, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39158, int_stack+5984, int_stack+4688, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+41426, int_stack+39158, int_stack+53838, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+7604, int_stack+5984, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+76293, int_stack+0, int_stack+39158, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+94693, int_stack+76293, int_stack+41426, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+100573, int_stack+32222, int_stack+31397, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+103048, int_stack+100573, int_stack+58878, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+107098, int_stack+103048, int_stack+60903, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44954, int_stack+5444, int_stack+4268, int_stack+30182, int_stack+3680, int_stack+29762, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2835, int_stack+6929, int_stack+5444, int_stack+30722, int_stack+4688, int_stack+30182, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112498, int_stack+2835, int_stack+44954, int_stack+34472, int_stack+53838, int_stack+33212, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53838, int_stack+8759, int_stack+6929, int_stack+31397, int_stack+5984, int_stack+30722, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115018, int_stack+53838, int_stack+2835, int_stack+58878, int_stack+39158, int_stack+34472, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2835, int_stack+115018, int_stack+112498, int_stack+60903, int_stack+41426, int_stack+56358, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112498, int_stack+9584, int_stack+8759, int_stack+32222, int_stack+7604, int_stack+31397, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39158, int_stack+112498, int_stack+53838, int_stack+100573, int_stack+0, int_stack+58878, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53838, int_stack+39158, int_stack+115018, int_stack+103048, int_stack+76293, int_stack+60903, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+76293, int_stack+53838, int_stack+2835, int_stack+107098, int_stack+94693, int_stack+64143, 4, 0);
 /*--- compute (fp|[r12,T2]|ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+112498, int_stack+76293, int_stack+82933, 420);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+76293, int_stack+51678, int_stack+37478, 6);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+78813, int_stack+72693, int_stack+46268, 10);
 /*--- compute (dp|ig) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+94693, int_stack+78813, int_stack+76293, 420);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+83013, int_stack+10574, int_stack+27066, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+84201, int_stack+83013, int_stack+49068, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+84201, int_stack+50058, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+83013, int_stack+102253, int_stack+51678, 6);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+12422, int_stack+29102, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+0, int_stack+102253, int_stack+68343, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+0, int_stack+69993, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+102253, int_stack+72693, 10);
 /*--- compute (dp|kg) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+26082, int_stack+0, int_stack+83013, 540);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+68343, int_stack+107098, int_stack+64143, 15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+35802, int_stack+68343, int_stack+78813, 420);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+11210, int_stack+11042, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+102757, int_stack+11426, int_stack+11210, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+103405, int_stack+102757, int_stack+102253, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+104413, int_stack+11696, int_stack+11426, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+105223, int_stack+104413, int_stack+102757, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+106519, int_stack+105223, int_stack+103405, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+12026, int_stack+11696, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+108199, int_stack+102253, int_stack+104413, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+108199, int_stack+105223, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+108199, int_stack+102253, int_stack+106519, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+13482, int_stack+13202, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+103093, int_stack+13842, int_stack+13482, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+104173, int_stack+103093, int_stack+102253, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+105853, int_stack+14292, int_stack+13842, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+105853, int_stack+103093, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+5400, int_stack+104173, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+74643, int_stack+14842, int_stack+14292, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+74643, int_stack+105853, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+10360, int_stack+102253, int_stack+5400, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+10360, int_stack+7560, 10);
 /*--- compute (dp|[r12,T1]|ig) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5400, int_stack+102253, int_stack+108199, int_stack+78813, int_stack+83013, int_stack+76293, 6, 4);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+83013, int_stack+15922, int_stack+15502, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+84273, int_stack+16462, int_stack+15922, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12960, int_stack+84273, int_stack+83013, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+106453, int_stack+17137, int_stack+16462, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+108478, int_stack+106453, int_stack+84273, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+48402, int_stack+108478, int_stack+12960, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+12960, int_stack+17962, int_stack+17137, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+83013, int_stack+12960, int_stack+106453, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+12960, int_stack+83013, int_stack+108478, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+52602, int_stack+12960, int_stack+48402, 15);
 /*--- compute (fp|[r12,T1]|ig) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+125098, int_stack+52602, int_stack+102253, int_stack+68343, int_stack+0, int_stack+78813, 6, 4);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+19120, int_stack+18952, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+504, int_stack+19336, int_stack+19120, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1152, int_stack+504, int_stack+0, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2160, int_stack+19606, int_stack+19336, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2970, int_stack+2160, int_stack+504, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+2970, int_stack+1152, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+19936, int_stack+19606, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+103933, int_stack+0, int_stack+2160, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+103933, int_stack+2970, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+103933, int_stack+0, int_stack+102253, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+20612, int_stack+20332, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+20972, int_stack+20612, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1080, int_stack+0, int_stack+102253, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+102253, int_stack+21422, int_stack+20972, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2760, int_stack+102253, int_stack+0, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+106453, int_stack+2760, int_stack+1080, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+21972, int_stack+21422, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+109253, int_stack+0, int_stack+102253, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+48402, int_stack+109253, int_stack+2760, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+48402, int_stack+106453, 10);
 /*--- compute (dp||ig) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+48402, int_stack+0, int_stack+103933, 420);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55962, int_stack+23052, int_stack+22632, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+57222, int_stack+23592, int_stack+23052, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+58842, int_stack+57222, int_stack+55962, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+61362, int_stack+24267, int_stack+23592, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+63387, int_stack+61362, int_stack+57222, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+66627, int_stack+63387, int_stack+58842, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+55962, int_stack+25092, int_stack+24267, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+70827, int_stack+55962, int_stack+61362, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+55962, int_stack+70827, int_stack+63387, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+70827, int_stack+55962, int_stack+66627, 15);
 /*--- compute (fp||ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+55962, int_stack+70827, int_stack+0, 420);
 /*--- compute (dd|[r12,T2]|ig) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+68562, int_stack+112498, int_stack+87133, 420);
     Libr12->te_ptr[3] = int_stack + 68562;
 /*--- compute (dd|[r12,T1]|ig) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+102253, int_stack+125098, int_stack+5400, int_stack+35802, int_stack+26082, int_stack+94693, 6, 4);
     Libr12->te_ptr[2] = int_stack + 102253;
 /*--- compute (dd||ig) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+55962, int_stack+48402, 420);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (dd|ig) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+48402, int_stack+35802, int_stack+94693, 420);
     Libr12->te_ptr[0] = int_stack + 48402;

}
