#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddih(Libr12_t *, prim_data *);

  /* Computes (dd|ih) integrals for linear R12-methods */

void hrr_grt_order_ddih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[2][8] = int_stack + 384;
 Libr12->t2vrr_classes[2][9] = int_stack + 654;
 Libr12->t2vrr_classes[2][10] = int_stack + 984;
 Libr12->t2vrr_classes[2][11] = int_stack + 1380;
 Libr12->t2vrr_classes[3][6] = int_stack + 1848;
 Libr12->t2vrr_classes[3][7] = int_stack + 2128;
 Libr12->t2vrr_classes[3][8] = int_stack + 2488;
 Libr12->t2vrr_classes[3][9] = int_stack + 2938;
 Libr12->t2vrr_classes[3][10] = int_stack + 3488;
 Libr12->t2vrr_classes[3][11] = int_stack + 4148;
 Libr12->gvrr_classes[5][6] = int_stack + 4928;
 Libr12->t2vrr_classes[4][6] = int_stack + 5516;
 Libr12->gvrr_classes[5][7] = int_stack + 5936;
 Libr12->t2vrr_classes[4][7] = int_stack + 6692;
 Libr12->gvrr_classes[5][8] = int_stack + 7232;
 Libr12->t2vrr_classes[4][8] = int_stack + 8177;
 Libr12->gvrr_classes[5][9] = int_stack + 8852;
 Libr12->t2vrr_classes[4][9] = int_stack + 10007;
 Libr12->gvrr_classes[5][10] = int_stack + 10832;
 Libr12->t2vrr_classes[4][10] = int_stack + 12218;
 Libr12->t2vrr_classes[4][11] = int_stack + 13208;
 Libr12->gvrr_classes[2][12] = int_stack + 14378;
 Libr12->t1vrr_classes[2][6] = int_stack + 14924;
 Libr12->t1vrr_classes[2][7] = int_stack + 15092;
 Libr12->t1vrr_classes[2][8] = int_stack + 15308;
 Libr12->t1vrr_classes[2][9] = int_stack + 15578;
 Libr12->t1vrr_classes[2][10] = int_stack + 15908;
 Libr12->t1vrr_classes[2][11] = int_stack + 16304;
 Libr12->gvrr_classes[3][12] = int_stack + 16772;
 Libr12->t1vrr_classes[3][6] = int_stack + 17682;
 Libr12->t1vrr_classes[3][7] = int_stack + 17962;
 Libr12->t1vrr_classes[3][8] = int_stack + 18322;
 Libr12->t1vrr_classes[3][9] = int_stack + 18772;
 Libr12->t1vrr_classes[3][10] = int_stack + 19322;
 Libr12->t1vrr_classes[3][11] = int_stack + 19982;
 Libr12->t1vrr_classes[4][6] = int_stack + 20762;
 Libr12->t1vrr_classes[4][7] = int_stack + 21182;
 Libr12->t1vrr_classes[4][8] = int_stack + 21722;
 Libr12->t1vrr_classes[4][9] = int_stack + 22397;
 Libr12->t1vrr_classes[4][10] = int_stack + 23222;
 Libr12->t1vrr_classes[4][11] = int_stack + 24212;
 Libr12->rvrr_classes[2][6] = int_stack + 25382;
 Libr12->rvrr_classes[2][7] = int_stack + 25550;
 Libr12->rvrr_classes[2][8] = int_stack + 25766;
 Libr12->rvrr_classes[2][9] = int_stack + 26036;
 Libr12->rvrr_classes[2][10] = int_stack + 26366;
 Libr12->rvrr_classes[2][11] = int_stack + 26762;
 Libr12->rvrr_classes[3][6] = int_stack + 27230;
 Libr12->rvrr_classes[3][7] = int_stack + 27510;
 Libr12->rvrr_classes[3][8] = int_stack + 27870;
 Libr12->rvrr_classes[3][9] = int_stack + 28320;
 Libr12->rvrr_classes[3][10] = int_stack + 28870;
 Libr12->rvrr_classes[3][11] = int_stack + 29530;
 Libr12->rvrr_classes[4][6] = int_stack + 30310;
 Libr12->rvrr_classes[4][7] = int_stack + 30730;
 Libr12->rvrr_classes[4][8] = int_stack + 31270;
 Libr12->rvrr_classes[4][9] = int_stack + 31945;
 Libr12->rvrr_classes[4][10] = int_stack + 32770;
 Libr12->rvrr_classes[4][11] = int_stack + 33760;
 Libr12->gvrr_classes[2][6] = int_stack + 34930;
 Libr12->gvrr_classes[2][7] = int_stack + 35098;
 Libr12->gvrr_classes[2][8] = int_stack + 35314;
 Libr12->gvrr_classes[2][9] = int_stack + 35584;
 Libr12->gvrr_classes[2][10] = int_stack + 35914;
 Libr12->gvrr_classes[2][11] = int_stack + 36310;
 Libr12->gvrr_classes[3][6] = int_stack + 36778;
 Libr12->gvrr_classes[3][7] = int_stack + 37058;
 Libr12->gvrr_classes[3][8] = int_stack + 37418;
 Libr12->gvrr_classes[3][9] = int_stack + 37868;
 Libr12->gvrr_classes[3][10] = int_stack + 38418;
 Libr12->gvrr_classes[3][11] = int_stack + 39078;
 Libr12->gvrr_classes[4][6] = int_stack + 39858;
 Libr12->gvrr_classes[4][7] = int_stack + 40278;
 Libr12->gvrr_classes[4][8] = int_stack + 40818;
 Libr12->gvrr_classes[4][9] = int_stack + 41493;
 Libr12->gvrr_classes[4][10] = int_stack + 42318;
 Libr12->gvrr_classes[4][11] = int_stack + 43308;
 memset(int_stack,0,44478*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 44478;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddih(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+44478, int_stack+35098, int_stack+34930, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+44982, int_stack+35314, int_stack+35098, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+45630, int_stack+44982, int_stack+44478, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+46638, int_stack+35584, int_stack+35314, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+47448, int_stack+46638, int_stack+44982, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+48744, int_stack+47448, int_stack+45630, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+50424, int_stack+35914, int_stack+35584, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+51414, int_stack+50424, int_stack+46638, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+53034, int_stack+51414, int_stack+47448, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+55194, int_stack+53034, int_stack+48744, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+57714, int_stack+37058, int_stack+36778, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+58554, int_stack+37418, int_stack+37058, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+59634, int_stack+58554, int_stack+57714, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+61314, int_stack+37868, int_stack+37418, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+62664, int_stack+61314, int_stack+58554, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+64824, int_stack+62664, int_stack+59634, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+67624, int_stack+38418, int_stack+37868, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+69274, int_stack+67624, int_stack+61314, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+71974, int_stack+69274, int_stack+62664, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+75574, int_stack+71974, int_stack+64824, 10);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+79774, int_stack+36310, int_stack+35914, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+80962, int_stack+79774, int_stack+50424, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+82942, int_stack+80962, int_stack+51414, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+85642, int_stack+82942, int_stack+53034, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88882, int_stack+168, int_stack+0, int_stack+35098, int_stack+36778, int_stack+34930, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89386, int_stack+384, int_stack+168, int_stack+35314, int_stack+37058, int_stack+35098, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90034, int_stack+89386, int_stack+88882, int_stack+44982, int_stack+57714, int_stack+44478, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91042, int_stack+654, int_stack+384, int_stack+35584, int_stack+37418, int_stack+35314, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91852, int_stack+91042, int_stack+89386, int_stack+46638, int_stack+58554, int_stack+44982, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93148, int_stack+91852, int_stack+90034, int_stack+47448, int_stack+59634, int_stack+45630, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44478, int_stack+984, int_stack+654, int_stack+35914, int_stack+37868, int_stack+35584, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88882, int_stack+44478, int_stack+91042, int_stack+50424, int_stack+61314, int_stack+46638, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94828, int_stack+88882, int_stack+91852, int_stack+51414, int_stack+62664, int_stack+47448, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45468, int_stack+94828, int_stack+93148, int_stack+53034, int_stack+64824, int_stack+48744, 2, 0);
 /*--- compute (d0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47988, int_stack+1380, int_stack+984, int_stack+36310, int_stack+38418, int_stack+35914, 2, 0);
 /*--- compute (d0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90502, int_stack+47988, int_stack+44478, int_stack+79774, int_stack+67624, int_stack+50424, 2, 0);
 /*--- compute (d0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47988, int_stack+90502, int_stack+88882, int_stack+80962, int_stack+69274, int_stack+51414, 2, 0);
 /*--- compute (d0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88882, int_stack+47988, int_stack+94828, int_stack+82942, int_stack+71974, int_stack+53034, 2, 0);
 /*--- compute (d0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47988, int_stack+88882, int_stack+45468, int_stack+85642, int_stack+75574, int_stack+55194, 2, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+88882, int_stack+40278, int_stack+39858, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+90142, int_stack+40818, int_stack+40278, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+91762, int_stack+90142, int_stack+88882, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+94282, int_stack+41493, int_stack+40818, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+51516, int_stack+94282, int_stack+90142, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+96307, int_stack+51516, int_stack+91762, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+44478, int_stack+42318, int_stack+41493, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+100507, int_stack+44478, int_stack+94282, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+104557, int_stack+100507, int_stack+51516, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+109957, int_stack+104557, int_stack+96307, 15);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+116257, int_stack+39078, int_stack+38418, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+118237, int_stack+116257, int_stack+67624, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+121537, int_stack+118237, int_stack+69274, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+126037, int_stack+121537, int_stack+71974, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46953, int_stack+2128, int_stack+1848, int_stack+37058, int_stack+39858, int_stack+36778, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+34930, int_stack+2488, int_stack+2128, int_stack+37418, int_stack+40278, int_stack+37058, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+34930, int_stack+46953, int_stack+58554, int_stack+88882, int_stack+57714, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131437, int_stack+2938, int_stack+2488, int_stack+37868, int_stack+40818, int_stack+37418, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132787, int_stack+131437, int_stack+34930, int_stack+61314, int_stack+90142, int_stack+58554, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+134947, int_stack+132787, int_stack+0, int_stack+62664, int_stack+91762, int_stack+59634, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3488, int_stack+2938, int_stack+38418, int_stack+41493, int_stack+37868, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57714, int_stack+0, int_stack+131437, int_stack+67624, int_stack+94282, int_stack+61314, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137747, int_stack+57714, int_stack+132787, int_stack+69274, int_stack+51516, int_stack+62664, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60414, int_stack+137747, int_stack+134947, int_stack+71974, int_stack+96307, int_stack+64824, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131437, int_stack+4148, int_stack+3488, int_stack+39078, int_stack+42318, int_stack+38418, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+133417, int_stack+131437, int_stack+0, int_stack+116257, int_stack+44478, int_stack+67624, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+133417, int_stack+57714, int_stack+118237, int_stack+100507, int_stack+69274, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131437, int_stack+0, int_stack+137747, int_stack+121537, int_stack+104557, int_stack+71974, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64614, int_stack+131437, int_stack+60414, int_stack+126037, int_stack+109957, int_stack+75574, 3, 0);
 /*--- compute (dp|[r12,T2]|ih) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+131437, int_stack+64614, int_stack+47988, 588);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5936, int_stack+4928, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+7232, int_stack+5936, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+57714, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+61242, int_stack+8852, int_stack+7232, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+70494, int_stack+61242, int_stack+1764, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+142021, int_stack+70494, int_stack+57714, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+46953, int_stack+10832, int_stack+8852, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+147901, int_stack+46953, int_stack+61242, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+153571, int_stack+147901, int_stack+70494, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+161131, int_stack+153571, int_stack+142021, 21);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+169951, int_stack+43308, int_stack+42318, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+172921, int_stack+169951, int_stack+44478, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+177871, int_stack+172921, int_stack+100507, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+184621, int_stack+177871, int_stack+104557, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+34930, int_stack+6692, int_stack+5516, int_stack+40278, int_stack+4928, int_stack+39858, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4032, int_stack+8177, int_stack+6692, int_stack+40818, int_stack+5936, int_stack+40278, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192721, int_stack+4032, int_stack+34930, int_stack+90142, int_stack+0, int_stack+88882, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36778, int_stack+10007, int_stack+8177, int_stack+41493, int_stack+7232, int_stack+40818, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+195241, int_stack+36778, int_stack+4032, int_stack+94282, int_stack+1764, int_stack+90142, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+195241, int_stack+192721, int_stack+51516, int_stack+57714, int_stack+91762, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57714, int_stack+12218, int_stack+10007, int_stack+42318, int_stack+8852, int_stack+41493, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88882, int_stack+57714, int_stack+36778, int_stack+44478, int_stack+61242, int_stack+94282, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4200, int_stack+88882, int_stack+195241, int_stack+100507, int_stack+70494, int_stack+51516, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192721, int_stack+4200, int_stack+0, int_stack+104557, int_stack+142021, int_stack+96307, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142021, int_stack+13208, int_stack+12218, int_stack+43308, int_stack+10832, int_stack+42318, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70494, int_stack+142021, int_stack+57714, int_stack+169951, int_stack+46953, int_stack+44478, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57714, int_stack+70494, int_stack+88882, int_stack+172921, int_stack+147901, int_stack+100507, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88882, int_stack+57714, int_stack+4200, int_stack+177871, int_stack+153571, int_stack+104557, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+96982, int_stack+88882, int_stack+192721, int_stack+184621, int_stack+161131, int_stack+109957, 4, 0);
 /*--- compute (fp|[r12,T2]|ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+142021, int_stack+96982, int_stack+64614, 588);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+192721, int_stack+85642, int_stack+55194, 6);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+88882, int_stack+126037, int_stack+75574, 10);
 /*--- compute (dp|ih) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+94762, int_stack+88882, int_stack+192721, 588);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+196249, int_stack+14378, int_stack+36310, 6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+105346, int_stack+196249, int_stack+79774, 6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+196249, int_stack+105346, int_stack+80962, 6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+105346, int_stack+196249, int_stack+82942, 6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+159661, int_stack+105346, int_stack+85642, 6);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+105346, int_stack+16772, int_stack+39078, 10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+164197, int_stack+105346, int_stack+116257, 10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+168157, int_stack+164197, int_stack+118237, 10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+173657, int_stack+168157, int_stack+121537, 10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+164197, int_stack+173657, int_stack+126037, 10);
 /*--- compute (dp|kh) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+116257, int_stack+164197, int_stack+159661, 756);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+171757, int_stack+184621, int_stack+109957, 15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+34930, int_stack+171757, int_stack+88882, 588);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+180577, int_stack+15092, int_stack+14924, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+181081, int_stack+15308, int_stack+15092, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+181729, int_stack+181081, int_stack+180577, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+182737, int_stack+15578, int_stack+15308, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+183547, int_stack+182737, int_stack+181081, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+184843, int_stack+183547, int_stack+181729, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+180577, int_stack+15908, int_stack+15578, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+186523, int_stack+180577, int_stack+182737, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+188143, int_stack+186523, int_stack+183547, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+181567, int_stack+188143, int_stack+184843, 6);
 /*--- compute (d0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+184087, int_stack+16304, int_stack+15908, 6);
 /*--- compute (d0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+190303, int_stack+184087, int_stack+180577, 6);
 /*--- compute (d0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+105346, int_stack+190303, int_stack+186523, 6);
 /*--- compute (d0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+184087, int_stack+105346, int_stack+188143, 6);
 /*--- compute (d0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+105346, int_stack+184087, int_stack+181567, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+108874, int_stack+17962, int_stack+17682, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+109714, int_stack+18322, int_stack+17962, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+110794, int_stack+109714, int_stack+108874, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+112474, int_stack+18772, int_stack+18322, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+113824, int_stack+112474, int_stack+109714, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+180577, int_stack+113824, int_stack+110794, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+108874, int_stack+19322, int_stack+18772, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+183377, int_stack+108874, int_stack+112474, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+186077, int_stack+183377, int_stack+113824, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+110524, int_stack+186077, int_stack+180577, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+180577, int_stack+19982, int_stack+19322, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+196249, int_stack+180577, int_stack+108874, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+196249, int_stack+183377, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+180577, int_stack+0, int_stack+186077, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+180577, int_stack+110524, 10);
 /*--- compute (dp|[r12,T1]|ih) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+180577, int_stack+0, int_stack+105346, int_stack+88882, int_stack+159661, int_stack+192721, 6, 5);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+159661, int_stack+21182, int_stack+20762, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+160921, int_stack+21722, int_stack+21182, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+105346, int_stack+160921, int_stack+159661, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+107866, int_stack+22397, int_stack+21722, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+109891, int_stack+107866, int_stack+160921, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+159661, int_stack+109891, int_stack+105346, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+105346, int_stack+23222, int_stack+22397, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+191161, int_stack+105346, int_stack+107866, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+191161, int_stack+109891, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+107821, int_stack+5880, int_stack+159661, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+159661, int_stack+24212, int_stack+23222, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+11280, int_stack+159661, int_stack+105346, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+16230, int_stack+11280, int_stack+191161, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+191161, int_stack+16230, int_stack+5880, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+191161, int_stack+107821, 15);
 /*--- compute (fp|[r12,T1]|ih) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+52570, int_stack+5880, int_stack+0, int_stack+171757, int_stack+164197, int_stack+88882, 6, 5);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+25550, int_stack+25382, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+504, int_stack+25766, int_stack+25550, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1152, int_stack+504, int_stack+0, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2160, int_stack+26036, int_stack+25766, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2970, int_stack+2160, int_stack+504, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4266, int_stack+2970, int_stack+1152, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+26366, int_stack+26036, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5946, int_stack+0, int_stack+2160, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+7566, int_stack+5946, int_stack+2970, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+990, int_stack+7566, int_stack+4266, 6);
 /*--- compute (d0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3510, int_stack+26762, int_stack+26366, 6);
 /*--- compute (d0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+9726, int_stack+3510, int_stack+0, 6);
 /*--- compute (d0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+11706, int_stack+9726, int_stack+5946, 6);
 /*--- compute (d0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3510, int_stack+11706, int_stack+7566, 6);
 /*--- compute (d0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+6750, int_stack+3510, int_stack+990, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+27510, int_stack+27230, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+840, int_stack+27870, int_stack+27510, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1920, int_stack+840, int_stack+0, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3600, int_stack+28320, int_stack+27870, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10278, int_stack+3600, int_stack+840, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+12438, int_stack+10278, int_stack+1920, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+28870, int_stack+28320, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+15238, int_stack+0, int_stack+3600, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1650, int_stack+15238, int_stack+10278, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+17938, int_stack+1650, int_stack+12438, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+10278, int_stack+29530, int_stack+28870, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+22138, int_stack+10278, int_stack+0, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+10278, int_stack+22138, int_stack+15238, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+22138, int_stack+10278, int_stack+1650, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+10278, int_stack+22138, int_stack+17938, 10);
 /*--- compute (dp||ih) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+16158, int_stack+10278, int_stack+6750, 588);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+26742, int_stack+30730, int_stack+30310, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28002, int_stack+31270, int_stack+30730, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+28002, int_stack+26742, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2520, int_stack+31945, int_stack+31270, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4545, int_stack+2520, int_stack+28002, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+26742, int_stack+4545, int_stack+0, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+32770, int_stack+31945, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+191161, int_stack+0, int_stack+2520, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+105346, int_stack+191161, int_stack+4545, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2475, int_stack+105346, int_stack+26742, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+26742, int_stack+33760, int_stack+32770, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+29712, int_stack+26742, int_stack+0, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+159661, int_stack+29712, int_stack+191161, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+191161, int_stack+159661, int_stack+105346, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+105346, int_stack+191161, int_stack+2475, 15);
 /*--- compute (fp||ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+159661, int_stack+105346, int_stack+10278, 588);
 /*--- compute (dd|[r12,T2]|ih) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+70210, int_stack+142021, int_stack+131437, 588);
     Libr12->te_ptr[3] = int_stack + 70210;
 /*--- compute (dd|[r12,T1]|ih) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+129865, int_stack+52570, int_stack+180577, int_stack+34930, int_stack+116257, int_stack+94762, 6, 5);
     Libr12->te_ptr[2] = int_stack + 129865;
 /*--- compute (dd||ih) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+105346, int_stack+159661, int_stack+16158, 588);
     Libr12->te_ptr[1] = int_stack + 105346;
 /*--- compute (dd|ih) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+34930, int_stack+94762, 588);
     Libr12->te_ptr[0] = int_stack + 0;

}
