#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddii(Libr12_t *, prim_data *);

  /* Computes (dd|ii) integrals for linear R12-methods */

void hrr_grt_order_ddii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[2][8] = int_stack + 384;
 Libr12->t2vrr_classes[2][9] = int_stack + 654;
 Libr12->t2vrr_classes[2][10] = int_stack + 984;
 Libr12->t2vrr_classes[2][11] = int_stack + 1380;
 Libr12->t2vrr_classes[2][12] = int_stack + 1848;
 Libr12->t2vrr_classes[3][6] = int_stack + 2394;
 Libr12->t2vrr_classes[3][7] = int_stack + 2674;
 Libr12->t2vrr_classes[3][8] = int_stack + 3034;
 Libr12->t2vrr_classes[3][9] = int_stack + 3484;
 Libr12->t2vrr_classes[3][10] = int_stack + 4034;
 Libr12->t2vrr_classes[3][11] = int_stack + 4694;
 Libr12->t2vrr_classes[3][12] = int_stack + 5474;
 Libr12->gvrr_classes[5][6] = int_stack + 6384;
 Libr12->t2vrr_classes[4][6] = int_stack + 6972;
 Libr12->gvrr_classes[5][7] = int_stack + 7392;
 Libr12->t2vrr_classes[4][7] = int_stack + 8148;
 Libr12->gvrr_classes[5][8] = int_stack + 8688;
 Libr12->t2vrr_classes[4][8] = int_stack + 9633;
 Libr12->gvrr_classes[5][9] = int_stack + 10308;
 Libr12->t2vrr_classes[4][9] = int_stack + 11463;
 Libr12->gvrr_classes[5][10] = int_stack + 12288;
 Libr12->t2vrr_classes[4][10] = int_stack + 13674;
 Libr12->gvrr_classes[5][11] = int_stack + 14664;
 Libr12->t2vrr_classes[4][11] = int_stack + 16302;
 Libr12->t2vrr_classes[4][12] = int_stack + 17472;
 Libr12->gvrr_classes[2][13] = int_stack + 18837;
 Libr12->t1vrr_classes[2][6] = int_stack + 19467;
 Libr12->t1vrr_classes[2][7] = int_stack + 19635;
 Libr12->t1vrr_classes[2][8] = int_stack + 19851;
 Libr12->t1vrr_classes[2][9] = int_stack + 20121;
 Libr12->t1vrr_classes[2][10] = int_stack + 20451;
 Libr12->t1vrr_classes[2][11] = int_stack + 20847;
 Libr12->t1vrr_classes[2][12] = int_stack + 21315;
 Libr12->gvrr_classes[3][13] = int_stack + 21861;
 Libr12->t1vrr_classes[3][6] = int_stack + 22911;
 Libr12->t1vrr_classes[3][7] = int_stack + 23191;
 Libr12->t1vrr_classes[3][8] = int_stack + 23551;
 Libr12->t1vrr_classes[3][9] = int_stack + 24001;
 Libr12->t1vrr_classes[3][10] = int_stack + 24551;
 Libr12->t1vrr_classes[3][11] = int_stack + 25211;
 Libr12->t1vrr_classes[3][12] = int_stack + 25991;
 Libr12->t1vrr_classes[4][6] = int_stack + 26901;
 Libr12->t1vrr_classes[4][7] = int_stack + 27321;
 Libr12->t1vrr_classes[4][8] = int_stack + 27861;
 Libr12->t1vrr_classes[4][9] = int_stack + 28536;
 Libr12->t1vrr_classes[4][10] = int_stack + 29361;
 Libr12->t1vrr_classes[4][11] = int_stack + 30351;
 Libr12->t1vrr_classes[4][12] = int_stack + 31521;
 Libr12->rvrr_classes[2][6] = int_stack + 32886;
 Libr12->rvrr_classes[2][7] = int_stack + 33054;
 Libr12->rvrr_classes[2][8] = int_stack + 33270;
 Libr12->rvrr_classes[2][9] = int_stack + 33540;
 Libr12->rvrr_classes[2][10] = int_stack + 33870;
 Libr12->rvrr_classes[2][11] = int_stack + 34266;
 Libr12->rvrr_classes[2][12] = int_stack + 34734;
 Libr12->rvrr_classes[3][6] = int_stack + 35280;
 Libr12->rvrr_classes[3][7] = int_stack + 35560;
 Libr12->rvrr_classes[3][8] = int_stack + 35920;
 Libr12->rvrr_classes[3][9] = int_stack + 36370;
 Libr12->rvrr_classes[3][10] = int_stack + 36920;
 Libr12->rvrr_classes[3][11] = int_stack + 37580;
 Libr12->rvrr_classes[3][12] = int_stack + 38360;
 Libr12->rvrr_classes[4][6] = int_stack + 39270;
 Libr12->rvrr_classes[4][7] = int_stack + 39690;
 Libr12->rvrr_classes[4][8] = int_stack + 40230;
 Libr12->rvrr_classes[4][9] = int_stack + 40905;
 Libr12->rvrr_classes[4][10] = int_stack + 41730;
 Libr12->rvrr_classes[4][11] = int_stack + 42720;
 Libr12->rvrr_classes[4][12] = int_stack + 43890;
 Libr12->gvrr_classes[2][6] = int_stack + 45255;
 Libr12->gvrr_classes[2][7] = int_stack + 45423;
 Libr12->gvrr_classes[2][8] = int_stack + 45639;
 Libr12->gvrr_classes[2][9] = int_stack + 45909;
 Libr12->gvrr_classes[2][10] = int_stack + 46239;
 Libr12->gvrr_classes[2][11] = int_stack + 46635;
 Libr12->gvrr_classes[2][12] = int_stack + 47103;
 Libr12->gvrr_classes[3][6] = int_stack + 47649;
 Libr12->gvrr_classes[3][7] = int_stack + 47929;
 Libr12->gvrr_classes[3][8] = int_stack + 48289;
 Libr12->gvrr_classes[3][9] = int_stack + 48739;
 Libr12->gvrr_classes[3][10] = int_stack + 49289;
 Libr12->gvrr_classes[3][11] = int_stack + 49949;
 Libr12->gvrr_classes[3][12] = int_stack + 50729;
 Libr12->gvrr_classes[4][6] = int_stack + 51639;
 Libr12->gvrr_classes[4][7] = int_stack + 52059;
 Libr12->gvrr_classes[4][8] = int_stack + 52599;
 Libr12->gvrr_classes[4][9] = int_stack + 53274;
 Libr12->gvrr_classes[4][10] = int_stack + 54099;
 Libr12->gvrr_classes[4][11] = int_stack + 55089;
 Libr12->gvrr_classes[4][12] = int_stack + 56259;
 memset(int_stack,0,57624*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 57624;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddii(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+57624, int_stack+45423, int_stack+45255, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+58128, int_stack+45639, int_stack+45423, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+58776, int_stack+58128, int_stack+57624, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+59784, int_stack+45909, int_stack+45639, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+60594, int_stack+59784, int_stack+58128, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+61890, int_stack+60594, int_stack+58776, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+63570, int_stack+46239, int_stack+45909, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+64560, int_stack+63570, int_stack+59784, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+66180, int_stack+64560, int_stack+60594, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+68340, int_stack+66180, int_stack+61890, 6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+70860, int_stack+46635, int_stack+46239, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+72048, int_stack+70860, int_stack+63570, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+74028, int_stack+72048, int_stack+64560, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+76728, int_stack+74028, int_stack+66180, 6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+79968, int_stack+76728, int_stack+68340, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+83496, int_stack+47929, int_stack+47649, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+84336, int_stack+48289, int_stack+47929, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+85416, int_stack+84336, int_stack+83496, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+87096, int_stack+48739, int_stack+48289, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+88446, int_stack+87096, int_stack+84336, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+90606, int_stack+88446, int_stack+85416, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+93406, int_stack+49289, int_stack+48739, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+95056, int_stack+93406, int_stack+87096, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+97756, int_stack+95056, int_stack+88446, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+101356, int_stack+97756, int_stack+90606, 10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+105556, int_stack+49949, int_stack+49289, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+107536, int_stack+105556, int_stack+93406, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+110836, int_stack+107536, int_stack+95056, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+115336, int_stack+110836, int_stack+97756, 10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+120736, int_stack+115336, int_stack+101356, 10);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+126616, int_stack+47103, int_stack+46635, 6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+128020, int_stack+126616, int_stack+70860, 6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+130396, int_stack+128020, int_stack+72048, 6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+133696, int_stack+130396, int_stack+74028, 6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+137746, int_stack+133696, int_stack+76728, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142282, int_stack+168, int_stack+0, int_stack+45423, int_stack+47649, int_stack+45255, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142786, int_stack+384, int_stack+168, int_stack+45639, int_stack+47929, int_stack+45423, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+143434, int_stack+142786, int_stack+142282, int_stack+58128, int_stack+83496, int_stack+57624, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+144442, int_stack+654, int_stack+384, int_stack+45909, int_stack+48289, int_stack+45639, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+145252, int_stack+144442, int_stack+142786, int_stack+59784, int_stack+84336, int_stack+58128, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146548, int_stack+145252, int_stack+143434, int_stack+60594, int_stack+85416, int_stack+58776, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57624, int_stack+984, int_stack+654, int_stack+46239, int_stack+48739, int_stack+45909, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142282, int_stack+57624, int_stack+144442, int_stack+63570, int_stack+87096, int_stack+59784, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+148228, int_stack+142282, int_stack+145252, int_stack+64560, int_stack+88446, int_stack+60594, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58614, int_stack+148228, int_stack+146548, int_stack+66180, int_stack+90606, int_stack+61890, 2, 0);
 /*--- compute (d0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+61134, int_stack+1380, int_stack+984, int_stack+46635, int_stack+49289, int_stack+46239, 2, 0);
 /*--- compute (d0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+143902, int_stack+61134, int_stack+57624, int_stack+70860, int_stack+93406, int_stack+63570, 2, 0);
 /*--- compute (d0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150388, int_stack+143902, int_stack+142282, int_stack+72048, int_stack+95056, int_stack+64560, 2, 0);
 /*--- compute (d0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62322, int_stack+150388, int_stack+148228, int_stack+74028, int_stack+97756, int_stack+66180, 2, 0);
 /*--- compute (d0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+145882, int_stack+62322, int_stack+58614, int_stack+76728, int_stack+101356, int_stack+68340, 2, 0);
 /*--- compute (d0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142282, int_stack+1848, int_stack+1380, int_stack+47103, int_stack+49949, int_stack+46635, 2, 0);
 /*--- compute (d0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57624, int_stack+142282, int_stack+61134, int_stack+126616, int_stack+105556, int_stack+70860, 2, 0);
 /*--- compute (d0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65562, int_stack+57624, int_stack+143902, int_stack+128020, int_stack+107536, int_stack+72048, 2, 0);
 /*--- compute (d0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57624, int_stack+65562, int_stack+150388, int_stack+130396, int_stack+110836, int_stack+74028, 2, 0);
 /*--- compute (d0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65562, int_stack+57624, int_stack+62322, int_stack+133696, int_stack+115336, int_stack+76728, 2, 0);
 /*--- compute (d0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57624, int_stack+65562, int_stack+145882, int_stack+137746, int_stack+120736, int_stack+79968, 2, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+62328, int_stack+52059, int_stack+51639, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+63588, int_stack+52599, int_stack+52059, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+65208, int_stack+63588, int_stack+62328, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+67728, int_stack+53274, int_stack+52599, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+69753, int_stack+67728, int_stack+63588, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+72993, int_stack+69753, int_stack+65208, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+77193, int_stack+54099, int_stack+53274, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+142282, int_stack+77193, int_stack+67728, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+146332, int_stack+142282, int_stack+69753, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+151732, int_stack+146332, int_stack+72993, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+158032, int_stack+55089, int_stack+54099, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+161002, int_stack+158032, int_stack+77193, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+165952, int_stack+161002, int_stack+142282, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+172702, int_stack+165952, int_stack+146332, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+180802, int_stack+172702, int_stack+151732, 15);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+50729, int_stack+49949, 10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+189622, int_stack+0, int_stack+105556, 10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+193582, int_stack+189622, int_stack+107536, 10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+199082, int_stack+193582, int_stack+110836, 10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+205832, int_stack+199082, int_stack+115336, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45255, int_stack+2674, int_stack+2394, int_stack+47929, int_stack+51639, int_stack+47649, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+213392, int_stack+3034, int_stack+2674, int_stack+48289, int_stack+52059, int_stack+47929, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+214472, int_stack+213392, int_stack+45255, int_stack+84336, int_stack+62328, int_stack+83496, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45255, int_stack+3484, int_stack+3034, int_stack+48739, int_stack+52599, int_stack+48289, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+216152, int_stack+45255, int_stack+213392, int_stack+87096, int_stack+63588, int_stack+84336, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+218312, int_stack+216152, int_stack+214472, int_stack+88446, int_stack+65208, int_stack+85416, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+213392, int_stack+4034, int_stack+3484, int_stack+49289, int_stack+53274, int_stack+48739, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83496, int_stack+213392, int_stack+45255, int_stack+93406, int_stack+67728, int_stack+87096, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+221112, int_stack+83496, int_stack+216152, int_stack+95056, int_stack+69753, int_stack+88446, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86196, int_stack+221112, int_stack+218312, int_stack+97756, int_stack+72993, int_stack+90606, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+215042, int_stack+4694, int_stack+4034, int_stack+49949, int_stack+54099, int_stack+49289, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+217022, int_stack+215042, int_stack+213392, int_stack+105556, int_stack+77193, int_stack+93406, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90396, int_stack+217022, int_stack+83496, int_stack+107536, int_stack+142282, int_stack+95056, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+224712, int_stack+90396, int_stack+221112, int_stack+110836, int_stack+146332, int_stack+97756, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94896, int_stack+224712, int_stack+86196, int_stack+115336, int_stack+151732, int_stack+101356, 3, 0);
 /*--- compute (f0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83496, int_stack+5474, int_stack+4694, int_stack+50729, int_stack+55089, int_stack+49949, 3, 0);
 /*--- compute (f0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+85836, int_stack+83496, int_stack+215042, int_stack+0, int_stack+158032, int_stack+105556, 3, 0);
 /*--- compute (f0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100776, int_stack+85836, int_stack+217022, int_stack+189622, int_stack+161002, int_stack+107536, 3, 0);
 /*--- compute (f0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83496, int_stack+100776, int_stack+90396, int_stack+193582, int_stack+165952, int_stack+110836, 3, 0);
 /*--- compute (f0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100776, int_stack+83496, int_stack+224712, int_stack+199082, int_stack+172702, int_stack+115336, 3, 0);
 /*--- compute (f0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83496, int_stack+100776, int_stack+94896, int_stack+205832, int_stack+180802, int_stack+120736, 3, 0);
 /*--- compute (dp|[r12,T2]|ii) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+91336, int_stack+83496, int_stack+57624, 784);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+57624, int_stack+7392, int_stack+6384, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+59388, int_stack+8688, int_stack+7392, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+59388, int_stack+57624, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+108976, int_stack+10308, int_stack+8688, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+111811, int_stack+108976, int_stack+59388, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+213392, int_stack+111811, int_stack+105448, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+116347, int_stack+12288, int_stack+10308, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+219272, int_stack+116347, int_stack+108976, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+224942, int_stack+219272, int_stack+111811, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+232502, int_stack+224942, int_stack+213392, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+241322, int_stack+14664, int_stack+12288, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+245480, int_stack+241322, int_stack+116347, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+252410, int_stack+245480, int_stack+219272, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+261860, int_stack+252410, int_stack+224942, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+273200, int_stack+261860, int_stack+232502, 21);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+2340, int_stack+56259, int_stack+55089, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+285548, int_stack+2340, int_stack+158032, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+291488, int_stack+285548, int_stack+161002, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+299738, int_stack+291488, int_stack+165952, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+309863, int_stack+299738, int_stack+172702, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45255, int_stack+8148, int_stack+6972, int_stack+52059, int_stack+6384, int_stack+51639, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47649, int_stack+9633, int_stack+8148, int_stack+52599, int_stack+7392, int_stack+52059, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5850, int_stack+47649, int_stack+45255, int_stack+63588, int_stack+57624, int_stack+62328, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+321203, int_stack+11463, int_stack+9633, int_stack+53274, int_stack+8688, int_stack+52599, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+323228, int_stack+321203, int_stack+47649, int_stack+67728, int_stack+59388, int_stack+63588, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57624, int_stack+323228, int_stack+5850, int_stack+69753, int_stack+105448, int_stack+65208, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105448, int_stack+13674, int_stack+11463, int_stack+54099, int_stack+10308, int_stack+53274, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5850, int_stack+105448, int_stack+321203, int_stack+77193, int_stack+108976, int_stack+67728, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+61824, int_stack+5850, int_stack+323228, int_stack+142282, int_stack+111811, int_stack+69753, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+107923, int_stack+61824, int_stack+57624, int_stack+146332, int_stack+213392, int_stack+72993, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+213392, int_stack+16302, int_stack+13674, int_stack+55089, int_stack+12288, int_stack+54099, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+321203, int_stack+213392, int_stack+105448, int_stack+158032, int_stack+116347, int_stack+77193, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67224, int_stack+321203, int_stack+5850, int_stack+161002, int_stack+219272, int_stack+142282, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5850, int_stack+67224, int_stack+61824, int_stack+165952, int_stack+224942, int_stack+146332, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142282, int_stack+5850, int_stack+107923, int_stack+172702, int_stack+232502, int_stack+151732, 4, 0);
 /*--- compute (g0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+151102, int_stack+17472, int_stack+16302, int_stack+56259, int_stack+14664, int_stack+55089, 4, 0);
 /*--- compute (g0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105448, int_stack+151102, int_stack+213392, int_stack+2340, int_stack+241322, int_stack+158032, 4, 0);
 /*--- compute (g0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+213392, int_stack+105448, int_stack+321203, int_stack+285548, int_stack+245480, int_stack+161002, 4, 0);
 /*--- compute (g0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105448, int_stack+213392, int_stack+67224, int_stack+291488, int_stack+252410, int_stack+165952, 4, 0);
 /*--- compute (g0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+213392, int_stack+105448, int_stack+5850, int_stack+299738, int_stack+261860, int_stack+172702, 4, 0);
 /*--- compute (g0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105448, int_stack+213392, int_stack+142282, int_stack+309863, int_stack+273200, int_stack+180802, 4, 0);
 /*--- compute (fp|[r12,T2]|ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+142282, int_stack+105448, int_stack+83496, 784);
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+83496, int_stack+137746, int_stack+79968, 6);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+205832, int_stack+120736, 10);
 /*--- compute (dp|ii) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+165802, int_stack+105448, int_stack+83496, 784);
 /*--- compute (d0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+88200, int_stack+18837, int_stack+47103, 6);
 /*--- compute (d0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+113288, int_stack+88200, int_stack+126616, 6);
 /*--- compute (d0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+116096, int_stack+113288, int_stack+128020, 6);
 /*--- compute (d0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+120056, int_stack+116096, int_stack+130396, 6);
 /*--- compute (d0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+113288, int_stack+120056, int_stack+133696, 6);
 /*--- compute (d0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+118958, int_stack+113288, int_stack+137746, 6);
 /*--- compute (f0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+113288, int_stack+21861, int_stack+50729, 10);
 /*--- compute (f0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+125006, int_stack+113288, int_stack+0, 10);
 /*--- compute (f0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+125006, int_stack+189622, 10);
 /*--- compute (f0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+125006, int_stack+0, int_stack+193582, 10);
 /*--- compute (f0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+125006, int_stack+199082, 10);
 /*--- compute (f0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+125006, int_stack+0, int_stack+205832, 10);
 /*--- compute (dp|ki) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+125006, int_stack+118958, 1008);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+189622, int_stack+309863, int_stack+180802, 15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+201382, int_stack+189622, int_stack+105448, 784);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18144, int_stack+19635, int_stack+19467, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+18648, int_stack+19851, int_stack+19635, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+135086, int_stack+18648, int_stack+18144, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+136094, int_stack+20121, int_stack+19851, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+136904, int_stack+136094, int_stack+18648, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+18144, int_stack+136904, int_stack+135086, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+135086, int_stack+20451, int_stack+20121, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+138200, int_stack+135086, int_stack+136094, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+139820, int_stack+138200, int_stack+136904, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+139820, int_stack+18144, 6);
 /*--- compute (d0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+18144, int_stack+20847, int_stack+20451, 6);
 /*--- compute (d0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+136076, int_stack+18144, int_stack+135086, 6);
 /*--- compute (d0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+227422, int_stack+136076, int_stack+138200, 6);
 /*--- compute (d0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+230122, int_stack+227422, int_stack+139820, 6);
 /*--- compute (d0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+138056, int_stack+230122, int_stack+224902, 6);
 /*--- compute (d0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+21315, int_stack+20847, 6);
 /*--- compute (d0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+19332, int_stack+224902, int_stack+18144, 6);
 /*--- compute (d0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+233362, int_stack+19332, int_stack+136076, 6);
 /*--- compute (d0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+18144, int_stack+233362, int_stack+227422, 6);
 /*--- compute (d0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+233362, int_stack+18144, int_stack+230122, 6);
 /*--- compute (d0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+18144, int_stack+233362, int_stack+138056, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+23191, int_stack+22911, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+225742, int_stack+23551, int_stack+23191, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+226822, int_stack+225742, int_stack+224902, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+228502, int_stack+24001, int_stack+23551, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+229852, int_stack+228502, int_stack+225742, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+232012, int_stack+229852, int_stack+226822, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+24551, int_stack+24001, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+234812, int_stack+224902, int_stack+228502, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+237512, int_stack+234812, int_stack+229852, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+226552, int_stack+237512, int_stack+232012, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+230752, int_stack+25211, int_stack+24551, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+241112, int_stack+230752, int_stack+224902, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+244412, int_stack+241112, int_stack+234812, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+248912, int_stack+244412, int_stack+237512, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+232732, int_stack+248912, int_stack+226552, 10);
 /*--- compute (f0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+25991, int_stack+25211, 10);
 /*--- compute (f0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+22848, int_stack+224902, int_stack+230752, 10);
 /*--- compute (f0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+22848, int_stack+241112, 10);
 /*--- compute (f0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+254312, int_stack+224902, int_stack+244412, 10);
 /*--- compute (f0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+254312, int_stack+248912, 10);
 /*--- compute (f0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+238612, int_stack+224902, int_stack+232732, 10);
 /*--- compute (dp|[r12,T1]|ii) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+246452, int_stack+238612, int_stack+18144, int_stack+105448, int_stack+118958, int_stack+83496, 6, 6);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18144, int_stack+27321, int_stack+26901, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+19404, int_stack+27861, int_stack+27321, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+21024, int_stack+19404, int_stack+18144, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+23544, int_stack+28536, int_stack+27861, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+23544, int_stack+19404, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+228142, int_stack+224902, int_stack+21024, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+18144, int_stack+29361, int_stack+28536, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+232342, int_stack+18144, int_stack+23544, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+20619, int_stack+232342, int_stack+224902, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+260564, int_stack+20619, int_stack+228142, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+30351, int_stack+29361, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+266864, int_stack+224902, int_stack+18144, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+271814, int_stack+266864, int_stack+232342, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+227872, int_stack+271814, int_stack+20619, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+18144, int_stack+227872, int_stack+260564, 15);
 /*--- compute (g0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+260564, int_stack+31521, int_stack+30351, 15);
 /*--- compute (g0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+278564, int_stack+260564, int_stack+224902, 15);
 /*--- compute (g0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+284504, int_stack+278564, int_stack+266864, 15);
 /*--- compute (g0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+260564, int_stack+284504, int_stack+271814, 15);
 /*--- compute (g0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+270689, int_stack+260564, int_stack+227872, 15);
 /*--- compute (g0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+270689, int_stack+18144, 15);
 /*--- compute (fp|[r12,T1]|ii) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+260564, int_stack+224902, int_stack+238612, int_stack+189622, int_stack+125006, int_stack+105448, 6, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+33054, int_stack+32886, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+105952, int_stack+33270, int_stack+33054, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+106600, int_stack+105952, int_stack+105448, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+107608, int_stack+33540, int_stack+33270, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+108418, int_stack+107608, int_stack+105952, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+109714, int_stack+108418, int_stack+106600, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+33870, int_stack+33540, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+111394, int_stack+105448, int_stack+107608, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+113014, int_stack+111394, int_stack+108418, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+106438, int_stack+113014, int_stack+109714, 6);
 /*--- compute (d0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+108958, int_stack+34266, int_stack+33870, 6);
 /*--- compute (d0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+115174, int_stack+108958, int_stack+105448, 6);
 /*--- compute (d0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+117154, int_stack+115174, int_stack+111394, 6);
 /*--- compute (d0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+119854, int_stack+117154, int_stack+113014, 6);
 /*--- compute (d0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+110146, int_stack+119854, int_stack+106438, 6);
 /*--- compute (d0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+34734, int_stack+34266, 6);
 /*--- compute (d0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+123094, int_stack+105448, int_stack+108958, 6);
 /*--- compute (d0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+123094, int_stack+115174, 6);
 /*--- compute (d0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+123094, int_stack+105448, int_stack+117154, 6);
 /*--- compute (d0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+123094, int_stack+119854, 6);
 /*--- compute (d0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+113674, int_stack+105448, int_stack+110146, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+35560, int_stack+35280, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+106288, int_stack+35920, int_stack+35560, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+107368, int_stack+106288, int_stack+105448, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+109048, int_stack+36370, int_stack+35920, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+110398, int_stack+109048, int_stack+106288, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+118378, int_stack+110398, int_stack+107368, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+36920, int_stack+36370, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+121178, int_stack+105448, int_stack+109048, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+123878, int_stack+121178, int_stack+110398, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+107098, int_stack+123878, int_stack+118378, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+118378, int_stack+37580, int_stack+36920, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+127478, int_stack+118378, int_stack+105448, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+130778, int_stack+127478, int_stack+121178, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+135278, int_stack+130778, int_stack+123878, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+120358, int_stack+135278, int_stack+107098, 10);
 /*--- compute (f0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+38360, int_stack+37580, 10);
 /*--- compute (f0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+107788, int_stack+105448, int_stack+118378, 10);
 /*--- compute (f0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+107788, int_stack+127478, 10);
 /*--- compute (f0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+224902, int_stack+130778, 10);
 /*--- compute (f0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+105448, int_stack+135278, 10);
 /*--- compute (f0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+105448, int_stack+224902, int_stack+120358, 10);
 /*--- compute (dp||ii) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+224902, int_stack+105448, int_stack+113674, 784);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+239014, int_stack+39690, int_stack+39270, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+240274, int_stack+40230, int_stack+39690, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+241894, int_stack+240274, int_stack+239014, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+244414, int_stack+40905, int_stack+40230, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+113288, int_stack+244414, int_stack+240274, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+116528, int_stack+113288, int_stack+241894, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+239014, int_stack+41730, int_stack+40905, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+120728, int_stack+239014, int_stack+244414, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+124778, int_stack+120728, int_stack+113288, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+130178, int_stack+124778, int_stack+116528, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+113288, int_stack+42720, int_stack+41730, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+241489, int_stack+113288, int_stack+239014, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+18144, int_stack+241489, int_stack+120728, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+116258, int_stack+18144, int_stack+124778, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+24894, int_stack+116258, int_stack+130178, 15);
 /*--- compute (g0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+124358, int_stack+43890, int_stack+42720, 15);
 /*--- compute (g0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+127868, int_stack+124358, int_stack+113288, 15);
 /*--- compute (g0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+133808, int_stack+127868, int_stack+241489, 15);
 /*--- compute (g0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+33714, int_stack+133808, int_stack+18144, 15);
 /*--- compute (g0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+124358, int_stack+33714, int_stack+116258, 15);
 /*--- compute (g0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+33714, int_stack+124358, int_stack+24894, 15);
 /*--- compute (fp||ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+45474, int_stack+33714, int_stack+105448, 784);
 /*--- compute (dd|[r12,T2]|ii) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+105448, int_stack+142282, int_stack+91336, 784);
     Libr12->te_ptr[3] = int_stack + 105448;
 /*--- compute (dd|[r12,T1]|ii) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+133672, int_stack+260564, int_stack+246452, int_stack+201382, int_stack+0, int_stack+165802, 6, 6);
     Libr12->te_ptr[2] = int_stack + 133672;
 /*--- compute (dd||ii) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+45474, int_stack+224902, 784);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (dd|ii) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+224902, int_stack+201382, int_stack+165802, 784);
     Libr12->te_ptr[0] = int_stack + 224902;

}
