#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ddip(Libr12_t *, prim_data *);

  /* Computes (dd|ip) integrals for linear R12-methods */

void hrr_grt_order_ddip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[3][6] = int_stack + 384;
 Libr12->t2vrr_classes[3][7] = int_stack + 664;
 Libr12->gvrr_classes[5][6] = int_stack + 1024;
 Libr12->t2vrr_classes[4][6] = int_stack + 1612;
 Libr12->t2vrr_classes[4][7] = int_stack + 2032;
 Libr12->gvrr_classes[2][8] = int_stack + 2572;
 Libr12->t1vrr_classes[2][6] = int_stack + 2842;
 Libr12->t1vrr_classes[2][7] = int_stack + 3010;
 Libr12->gvrr_classes[3][8] = int_stack + 3226;
 Libr12->t1vrr_classes[3][6] = int_stack + 3676;
 Libr12->t1vrr_classes[3][7] = int_stack + 3956;
 Libr12->t1vrr_classes[4][6] = int_stack + 4316;
 Libr12->t1vrr_classes[4][7] = int_stack + 4736;
 Libr12->rvrr_classes[2][6] = int_stack + 5276;
 Libr12->rvrr_classes[2][7] = int_stack + 5444;
 Libr12->rvrr_classes[3][6] = int_stack + 5660;
 Libr12->rvrr_classes[3][7] = int_stack + 5940;
 Libr12->rvrr_classes[4][6] = int_stack + 6300;
 Libr12->rvrr_classes[4][7] = int_stack + 6720;
 Libr12->gvrr_classes[2][6] = int_stack + 7260;
 Libr12->gvrr_classes[2][7] = int_stack + 7428;
 Libr12->gvrr_classes[3][6] = int_stack + 7644;
 Libr12->gvrr_classes[3][7] = int_stack + 7924;
 Libr12->gvrr_classes[4][6] = int_stack + 8284;
 Libr12->gvrr_classes[4][7] = int_stack + 8704;
 memset(int_stack,0,9244*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 9244;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ddip(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9244, int_stack+168, int_stack+0, int_stack+7428, int_stack+7644, int_stack+7260, 2, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9748, int_stack+664, int_stack+384, int_stack+7924, int_stack+8284, int_stack+7644, 3, 0);
 /*--- compute (dp|[r12,T2]|ip) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+10588, int_stack+9748, int_stack+9244, 84);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12100, int_stack+2032, int_stack+1612, int_stack+8704, int_stack+1024, int_stack+8284, 4, 0);
 /*--- compute (fp|[r12,T2]|ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+12100, int_stack+9748, 84);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12100, int_stack+7428, int_stack+7260, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12604, int_stack+7924, int_stack+7644, 10);
 /*--- compute (dp|ip) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+13444, int_stack+12604, int_stack+12100, 84);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+9244, int_stack+2572, int_stack+7428, 6);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+14956, int_stack+3226, int_stack+7924, 10);
 /*--- compute (dp|kp) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+16036, int_stack+14956, int_stack+9244, 108);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17980, int_stack+8704, int_stack+8284, 15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+19240, int_stack+17980, int_stack+12604, 84);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7260, int_stack+3010, int_stack+2842, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7764, int_stack+3956, int_stack+3676, 10);
 /*--- compute (dp|[r12,T1]|ip) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2520, int_stack+7764, int_stack+7260, int_stack+12604, int_stack+9244, int_stack+12100, 6, 1);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8604, int_stack+4736, int_stack+4316, 15);
 /*--- compute (fp|[r12,T1]|ip) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+21760, int_stack+8604, int_stack+7764, int_stack+17980, int_stack+14956, int_stack+12604, 6, 1);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14956, int_stack+5444, int_stack+5276, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17980, int_stack+5940, int_stack+5660, 10);
 /*--- compute (dp||ip) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+7260, int_stack+17980, int_stack+14956, 84);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12100, int_stack+6720, int_stack+6300, 15);
 /*--- compute (fp||ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+4032, int_stack+12100, int_stack+17980, 84);
 /*--- compute (dd|[r12,T2]|ip) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+24280, int_stack+0, int_stack+10588, 84);
     Libr12->te_ptr[3] = int_stack + 24280;
 /*--- compute (dd|[r12,T1]|ip) ---*/
   t1hrr1_build_dd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+8772, int_stack+21760, int_stack+2520, int_stack+19240, int_stack+16036, int_stack+13444, 6, 1);
     Libr12->te_ptr[2] = int_stack + 8772;
 /*--- compute (dd||ip) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+4032, int_stack+7260, 84);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (dd|ip) ---*/
   hrr1_build_dd(Libr12->ShellQuartet.AB,int_stack+3024, int_stack+19240, int_stack+13444, 84);
     Libr12->te_ptr[0] = int_stack + 3024;

}
