#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dpgg(Libr12_t *, prim_data *);

  /* Computes (dp|gg) integrals for linear R12-methods */

void hrr_grt_order_dpgg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][4] = int_stack + 0;
 Libr12->t2vrr_classes[2][5] = int_stack + 90;
 Libr12->t2vrr_classes[2][6] = int_stack + 216;
 Libr12->t2vrr_classes[2][7] = int_stack + 384;
 Libr12->t2vrr_classes[2][8] = int_stack + 600;
 Libr12->gvrr_classes[4][4] = int_stack + 870;
 Libr12->t2vrr_classes[3][4] = int_stack + 1095;
 Libr12->gvrr_classes[4][5] = int_stack + 1245;
 Libr12->t2vrr_classes[3][5] = int_stack + 1560;
 Libr12->gvrr_classes[4][6] = int_stack + 1770;
 Libr12->t2vrr_classes[3][6] = int_stack + 2190;
 Libr12->gvrr_classes[4][7] = int_stack + 2470;
 Libr12->t2vrr_classes[3][7] = int_stack + 3010;
 Libr12->t2vrr_classes[3][8] = int_stack + 3370;
 Libr12->gvrr_classes[2][9] = int_stack + 3820;
 Libr12->t1vrr_classes[2][4] = int_stack + 4150;
 Libr12->t1vrr_classes[2][5] = int_stack + 4240;
 Libr12->t1vrr_classes[2][6] = int_stack + 4366;
 Libr12->t1vrr_classes[2][7] = int_stack + 4534;
 Libr12->t1vrr_classes[2][8] = int_stack + 4750;
 Libr12->t1vrr_classes[3][4] = int_stack + 5020;
 Libr12->t1vrr_classes[3][5] = int_stack + 5170;
 Libr12->t1vrr_classes[3][6] = int_stack + 5380;
 Libr12->t1vrr_classes[3][7] = int_stack + 5660;
 Libr12->t1vrr_classes[3][8] = int_stack + 6020;
 Libr12->rvrr_classes[2][4] = int_stack + 6470;
 Libr12->rvrr_classes[2][5] = int_stack + 6560;
 Libr12->rvrr_classes[2][6] = int_stack + 6686;
 Libr12->rvrr_classes[2][7] = int_stack + 6854;
 Libr12->rvrr_classes[2][8] = int_stack + 7070;
 Libr12->rvrr_classes[3][4] = int_stack + 7340;
 Libr12->rvrr_classes[3][5] = int_stack + 7490;
 Libr12->rvrr_classes[3][6] = int_stack + 7700;
 Libr12->rvrr_classes[3][7] = int_stack + 7980;
 Libr12->rvrr_classes[3][8] = int_stack + 8340;
 Libr12->gvrr_classes[2][4] = int_stack + 8790;
 Libr12->gvrr_classes[2][5] = int_stack + 8880;
 Libr12->gvrr_classes[2][6] = int_stack + 9006;
 Libr12->gvrr_classes[2][7] = int_stack + 9174;
 Libr12->gvrr_classes[2][8] = int_stack + 9390;
 Libr12->gvrr_classes[3][4] = int_stack + 9660;
 Libr12->gvrr_classes[3][5] = int_stack + 9810;
 Libr12->gvrr_classes[3][6] = int_stack + 10020;
 Libr12->gvrr_classes[3][7] = int_stack + 10300;
 Libr12->gvrr_classes[3][8] = int_stack + 10660;
 memset(int_stack,0,11110*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 11110;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dpgg(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+11110, int_stack+8880, int_stack+8790, 6);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+11380, int_stack+9006, int_stack+8880, 6);
 /*--- compute (d0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+11758, int_stack+11380, int_stack+11110, 6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12298, int_stack+9174, int_stack+9006, 6);
 /*--- compute (d0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+12802, int_stack+12298, int_stack+11380, 6);
 /*--- compute (d0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+13558, int_stack+12802, int_stack+11758, 6);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14458, int_stack+9810, int_stack+9660, 10);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14908, int_stack+10020, int_stack+9810, 10);
 /*--- compute (f0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+15538, int_stack+14908, int_stack+14458, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16438, int_stack+10300, int_stack+10020, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+17278, int_stack+16438, int_stack+14908, 10);
 /*--- compute (f0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+18538, int_stack+17278, int_stack+15538, 10);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+20038, int_stack+9390, int_stack+9174, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+20686, int_stack+20038, int_stack+12298, 6);
 /*--- compute (d0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+21694, int_stack+20686, int_stack+12802, 6);
 /*--- compute (d0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22954, int_stack+90, int_stack+0, int_stack+8880, int_stack+9660, int_stack+8790, 2, 0);
 /*--- compute (d0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23224, int_stack+216, int_stack+90, int_stack+9006, int_stack+9810, int_stack+8880, 2, 0);
 /*--- compute (d0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23602, int_stack+23224, int_stack+22954, int_stack+11380, int_stack+14458, int_stack+11110, 2, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24142, int_stack+384, int_stack+216, int_stack+9174, int_stack+10020, int_stack+9006, 2, 0);
 /*--- compute (d0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24646, int_stack+24142, int_stack+23224, int_stack+12298, int_stack+14908, int_stack+11380, 2, 0);
 /*--- compute (d0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25402, int_stack+24646, int_stack+23602, int_stack+12802, int_stack+15538, int_stack+11758, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11110, int_stack+600, int_stack+384, int_stack+9390, int_stack+10300, int_stack+9174, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22954, int_stack+11110, int_stack+24142, int_stack+20038, int_stack+16438, int_stack+12298, 2, 0);
 /*--- compute (d0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11110, int_stack+22954, int_stack+24646, int_stack+20686, int_stack+17278, int_stack+12802, 2, 0);
 /*--- compute (d0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22954, int_stack+11110, int_stack+25402, int_stack+21694, int_stack+18538, int_stack+13558, 2, 0);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+11110, int_stack+1245, int_stack+870, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+11785, int_stack+1770, int_stack+1245, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+24304, int_stack+11785, int_stack+11110, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+25654, int_stack+2470, int_stack+1770, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+26914, int_stack+25654, int_stack+11785, 15);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+28804, int_stack+26914, int_stack+24304, 15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+31054, int_stack+10660, int_stack+10300, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+32134, int_stack+31054, int_stack+16438, 10);
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+33814, int_stack+32134, int_stack+17278, 10);
 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12730, int_stack+1560, int_stack+1095, int_stack+9810, int_stack+870, int_stack+9660, 3, 0);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2190, int_stack+1560, int_stack+10020, int_stack+1245, int_stack+9810, 3, 0);
 /*--- compute (f0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+630, int_stack+0, int_stack+12730, int_stack+14908, int_stack+11110, int_stack+14458, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35914, int_stack+3010, int_stack+2190, int_stack+10300, int_stack+1770, int_stack+10020, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36754, int_stack+35914, int_stack+0, int_stack+16438, int_stack+11785, int_stack+14908, 3, 0);
 /*--- compute (f0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11110, int_stack+36754, int_stack+630, int_stack+17278, int_stack+24304, int_stack+15538, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24304, int_stack+3370, int_stack+3010, int_stack+10660, int_stack+2470, int_stack+10300, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+24304, int_stack+35914, int_stack+31054, int_stack+25654, int_stack+16438, 3, 0);
 /*--- compute (f0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24304, int_stack+0, int_stack+36754, int_stack+32134, int_stack+26914, int_stack+17278, 3, 0);
 /*--- compute (f0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+24304, int_stack+11110, int_stack+33814, int_stack+28804, int_stack+18538, 3, 0);
 /*--- compute (d0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+24304, int_stack+21694, int_stack+13558, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+25654, int_stack+3820, int_stack+9390, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+26464, int_stack+25654, int_stack+20038, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+27760, int_stack+26464, int_stack+20686, 6);
 /*--- compute (d0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+25654, int_stack+27760, int_stack+21694, 6);
 /*--- compute (f0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+20038, int_stack+33814, int_stack+18538, 10);
 /*--- compute (d0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+22288, int_stack+4240, int_stack+4150, 6);
 /*--- compute (d0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+22558, int_stack+4366, int_stack+4240, 6);
 /*--- compute (d0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+27544, int_stack+22558, int_stack+22288, 6);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28084, int_stack+4534, int_stack+4366, 6);
 /*--- compute (d0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+28588, int_stack+28084, int_stack+22558, 6);
 /*--- compute (d0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+29344, int_stack+28588, int_stack+27544, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+22288, int_stack+4750, int_stack+4534, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+30244, int_stack+22288, int_stack+28084, 6);
 /*--- compute (d0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+31252, int_stack+30244, int_stack+28588, 6);
 /*--- compute (d0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+27544, int_stack+31252, int_stack+29344, 6);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+22288, int_stack+5170, int_stack+5020, 10);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+28894, int_stack+5380, int_stack+5170, 10);
 /*--- compute (f0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+29524, int_stack+28894, int_stack+22288, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30424, int_stack+5660, int_stack+5380, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+31264, int_stack+30424, int_stack+28894, 10);
 /*--- compute (f0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+32524, int_stack+31264, int_stack+29524, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28894, int_stack+6020, int_stack+5660, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+34024, int_stack+28894, int_stack+30424, 10);
 /*--- compute (f0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+28894, int_stack+34024, int_stack+31264, 10);
 /*--- compute (f0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+34024, int_stack+28894, int_stack+32524, 10);
 /*--- compute (d0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+28894, int_stack+6560, int_stack+6470, 6);
 /*--- compute (d0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+29164, int_stack+6686, int_stack+6560, 6);
 /*--- compute (d0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+29542, int_stack+29164, int_stack+28894, 6);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30082, int_stack+6854, int_stack+6686, 6);
 /*--- compute (d0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+30586, int_stack+30082, int_stack+29164, 6);
 /*--- compute (d0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+31342, int_stack+30586, int_stack+29542, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28894, int_stack+7070, int_stack+6854, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+32242, int_stack+28894, int_stack+30082, 6);
 /*--- compute (d0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+28894, int_stack+32242, int_stack+30586, 6);
 /*--- compute (d0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+32242, int_stack+28894, int_stack+31342, 6);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+28894, int_stack+7490, int_stack+7340, 10);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+29344, int_stack+7700, int_stack+7490, 10);
 /*--- compute (f0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+29974, int_stack+29344, int_stack+28894, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30874, int_stack+7980, int_stack+7700, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+36274, int_stack+30874, int_stack+29344, 10);
 /*--- compute (f0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+2250, int_stack+36274, int_stack+29974, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28894, int_stack+8340, int_stack+7980, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3750, int_stack+28894, int_stack+30874, 10);
 /*--- compute (f0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+28894, int_stack+3750, int_stack+36274, 10);
 /*--- compute (f0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+36274, int_stack+28894, int_stack+2250, 10);
 /*--- compute (dp|[r12,T2]|gg) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+2250, int_stack+0, int_stack+22954, 225);
     Libr12->te_ptr[3] = int_stack + 2250;
 /*--- compute (dp|[r12,T1]|gg) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6300, int_stack+34024, int_stack+27544, int_stack+20038, int_stack+25654, int_stack+24304, 4, 4);
     Libr12->te_ptr[2] = int_stack + 6300;
 /*--- compute (dp||gg) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+25654, int_stack+36274, int_stack+32242, 225);
     Libr12->te_ptr[1] = int_stack + 25654;
 /*--- compute (dp|gg) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+29704, int_stack+20038, int_stack+24304, 225);
     Libr12->te_ptr[0] = int_stack + 29704;

}
