#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dpid(Libr12_t *, prim_data *);

  /* Computes (dp|id) integrals for linear R12-methods */

void hrr_grt_order_dpid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[2][8] = int_stack + 384;
 Libr12->gvrr_classes[4][6] = int_stack + 654;
 Libr12->t2vrr_classes[3][6] = int_stack + 1074;
 Libr12->gvrr_classes[4][7] = int_stack + 1354;
 Libr12->t2vrr_classes[3][7] = int_stack + 1894;
 Libr12->t2vrr_classes[3][8] = int_stack + 2254;
 Libr12->gvrr_classes[2][9] = int_stack + 2704;
 Libr12->t1vrr_classes[2][6] = int_stack + 3034;
 Libr12->t1vrr_classes[2][7] = int_stack + 3202;
 Libr12->t1vrr_classes[2][8] = int_stack + 3418;
 Libr12->t1vrr_classes[3][6] = int_stack + 3688;
 Libr12->t1vrr_classes[3][7] = int_stack + 3968;
 Libr12->t1vrr_classes[3][8] = int_stack + 4328;
 Libr12->rvrr_classes[2][6] = int_stack + 4778;
 Libr12->rvrr_classes[2][7] = int_stack + 4946;
 Libr12->rvrr_classes[2][8] = int_stack + 5162;
 Libr12->rvrr_classes[3][6] = int_stack + 5432;
 Libr12->rvrr_classes[3][7] = int_stack + 5712;
 Libr12->rvrr_classes[3][8] = int_stack + 6072;
 Libr12->gvrr_classes[2][6] = int_stack + 6522;
 Libr12->gvrr_classes[2][7] = int_stack + 6690;
 Libr12->gvrr_classes[2][8] = int_stack + 6906;
 Libr12->gvrr_classes[3][6] = int_stack + 7176;
 Libr12->gvrr_classes[3][7] = int_stack + 7456;
 Libr12->gvrr_classes[3][8] = int_stack + 7816;
 memset(int_stack,0,8266*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 8266;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dpid(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8266, int_stack+6690, int_stack+6522, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8770, int_stack+7456, int_stack+7176, 10);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+9610, int_stack+6906, int_stack+6690, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10258, int_stack+168, int_stack+0, int_stack+6690, int_stack+7176, int_stack+6522, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10762, int_stack+384, int_stack+168, int_stack+6906, int_stack+7456, int_stack+6690, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11410, int_stack+10762, int_stack+10258, int_stack+9610, int_stack+8770, int_stack+8266, 2, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12418, int_stack+1354, int_stack+654, 15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10258, int_stack+7816, int_stack+7456, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13678, int_stack+1894, int_stack+1074, int_stack+7456, int_stack+654, int_stack+7176, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2254, int_stack+1894, int_stack+7816, int_stack+1354, int_stack+7456, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14518, int_stack+0, int_stack+13678, int_stack+10258, int_stack+12418, int_stack+8770, 3, 0);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12418, int_stack+9610, int_stack+8266, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+13426, int_stack+2704, int_stack+6906, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13426, int_stack+9610, 6);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1296, int_stack+10258, int_stack+8770, 10);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13426, int_stack+3202, int_stack+3034, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+6522, int_stack+3418, int_stack+3202, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7170, int_stack+6522, int_stack+13426, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13426, int_stack+3968, int_stack+3688, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+8178, int_stack+4328, int_stack+3968, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2976, int_stack+8178, int_stack+13426, 10);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13426, int_stack+4946, int_stack+4778, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+6522, int_stack+5162, int_stack+4946, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8178, int_stack+6522, int_stack+13426, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13426, int_stack+5712, int_stack+5432, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+9186, int_stack+6072, int_stack+5712, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4656, int_stack+9186, int_stack+13426, 10);
 /*--- compute (dp|[r12,T2]|id) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+16198, int_stack+14518, int_stack+11410, 168);
     Libr12->te_ptr[3] = int_stack + 16198;
 /*--- compute (dp|[r12,T1]|id) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+9186, int_stack+2976, int_stack+7170, int_stack+1296, int_stack+0, int_stack+12418, 6, 2);
     Libr12->te_ptr[2] = int_stack + 9186;
 /*--- compute (dp||id) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+19222, int_stack+4656, int_stack+8178, 168);
     Libr12->te_ptr[1] = int_stack + 19222;
 /*--- compute (dp|id) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+2976, int_stack+1296, int_stack+12418, 168);
     Libr12->te_ptr[0] = int_stack + 2976;

}
