#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dpif(Libr12_t *, prim_data *);

  /* Computes (dp|if) integrals for linear R12-methods */

void hrr_grt_order_dpif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[2][8] = int_stack + 384;
 Libr12->t2vrr_classes[2][9] = int_stack + 654;
 Libr12->gvrr_classes[4][6] = int_stack + 984;
 Libr12->t2vrr_classes[3][6] = int_stack + 1404;
 Libr12->gvrr_classes[4][7] = int_stack + 1684;
 Libr12->t2vrr_classes[3][7] = int_stack + 2224;
 Libr12->gvrr_classes[4][8] = int_stack + 2584;
 Libr12->t2vrr_classes[3][8] = int_stack + 3259;
 Libr12->t2vrr_classes[3][9] = int_stack + 3709;
 Libr12->gvrr_classes[2][10] = int_stack + 4259;
 Libr12->t1vrr_classes[2][6] = int_stack + 4655;
 Libr12->t1vrr_classes[2][7] = int_stack + 4823;
 Libr12->t1vrr_classes[2][8] = int_stack + 5039;
 Libr12->t1vrr_classes[2][9] = int_stack + 5309;
 Libr12->t1vrr_classes[3][6] = int_stack + 5639;
 Libr12->t1vrr_classes[3][7] = int_stack + 5919;
 Libr12->t1vrr_classes[3][8] = int_stack + 6279;
 Libr12->t1vrr_classes[3][9] = int_stack + 6729;
 Libr12->rvrr_classes[2][6] = int_stack + 7279;
 Libr12->rvrr_classes[2][7] = int_stack + 7447;
 Libr12->rvrr_classes[2][8] = int_stack + 7663;
 Libr12->rvrr_classes[2][9] = int_stack + 7933;
 Libr12->rvrr_classes[3][6] = int_stack + 8263;
 Libr12->rvrr_classes[3][7] = int_stack + 8543;
 Libr12->rvrr_classes[3][8] = int_stack + 8903;
 Libr12->rvrr_classes[3][9] = int_stack + 9353;
 Libr12->gvrr_classes[2][6] = int_stack + 9903;
 Libr12->gvrr_classes[2][7] = int_stack + 10071;
 Libr12->gvrr_classes[2][8] = int_stack + 10287;
 Libr12->gvrr_classes[2][9] = int_stack + 10557;
 Libr12->gvrr_classes[3][6] = int_stack + 10887;
 Libr12->gvrr_classes[3][7] = int_stack + 11167;
 Libr12->gvrr_classes[3][8] = int_stack + 11527;
 Libr12->gvrr_classes[3][9] = int_stack + 11977;
 memset(int_stack,0,12527*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 12527;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dpif(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12527, int_stack+10071, int_stack+9903, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13031, int_stack+10287, int_stack+10071, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13679, int_stack+13031, int_stack+12527, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14687, int_stack+11167, int_stack+10887, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+15527, int_stack+11527, int_stack+11167, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+16607, int_stack+15527, int_stack+14687, 10);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+18287, int_stack+10557, int_stack+10287, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+19097, int_stack+18287, int_stack+13031, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20393, int_stack+168, int_stack+0, int_stack+10071, int_stack+10887, int_stack+9903, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20897, int_stack+384, int_stack+168, int_stack+10287, int_stack+11167, int_stack+10071, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21545, int_stack+20897, int_stack+20393, int_stack+13031, int_stack+14687, int_stack+12527, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22553, int_stack+654, int_stack+384, int_stack+10557, int_stack+11527, int_stack+10287, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23363, int_stack+22553, int_stack+20897, int_stack+18287, int_stack+15527, int_stack+13031, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24659, int_stack+23363, int_stack+21545, int_stack+19097, int_stack+16607, int_stack+13679, 2, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20393, int_stack+1684, int_stack+984, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+21653, int_stack+2584, int_stack+1684, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+26339, int_stack+21653, int_stack+20393, 15);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+23273, int_stack+11977, int_stack+11527, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+28859, int_stack+23273, int_stack+15527, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12527, int_stack+2224, int_stack+1404, int_stack+11167, int_stack+984, int_stack+10887, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3259, int_stack+2224, int_stack+11527, int_stack+1684, int_stack+11167, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31019, int_stack+0, int_stack+12527, int_stack+15527, int_stack+20393, int_stack+14687, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1080, int_stack+3709, int_stack+3259, int_stack+11977, int_stack+2584, int_stack+11527, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10887, int_stack+1080, int_stack+0, int_stack+23273, int_stack+21653, int_stack+15527, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+10887, int_stack+31019, int_stack+28859, int_stack+26339, int_stack+16607, 3, 0);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+26339, int_stack+19097, int_stack+13679, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+31019, int_stack+4259, int_stack+10557, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2800, int_stack+31019, int_stack+18287, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+20393, int_stack+2800, int_stack+19097, 6);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+9903, int_stack+28859, int_stack+16607, 10);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2800, int_stack+4823, int_stack+4655, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3304, int_stack+5039, int_stack+4823, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3952, int_stack+3304, int_stack+2800, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+28019, int_stack+5309, int_stack+5039, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+28829, int_stack+28019, int_stack+3304, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+30125, int_stack+28829, int_stack+3952, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28019, int_stack+5919, int_stack+5639, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28859, int_stack+6279, int_stack+5919, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2800, int_stack+28859, int_stack+28019, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4480, int_stack+6729, int_stack+6279, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+12703, int_stack+4480, int_stack+28859, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+14863, int_stack+12703, int_stack+2800, 10);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2800, int_stack+7447, int_stack+7279, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3304, int_stack+7663, int_stack+7447, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3952, int_stack+3304, int_stack+2800, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4960, int_stack+7933, int_stack+7663, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5770, int_stack+4960, int_stack+3304, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+12703, int_stack+5770, int_stack+3952, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2800, int_stack+8543, int_stack+8263, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3640, int_stack+8903, int_stack+8543, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4720, int_stack+3640, int_stack+2800, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6400, int_stack+9353, int_stack+8903, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17663, int_stack+6400, int_stack+3640, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+6400, int_stack+17663, int_stack+4720, 10);
 /*--- compute (dp|[r12,T2]|if) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+31805, int_stack+0, int_stack+24659, 280);
     Libr12->te_ptr[3] = int_stack + 31805;
 /*--- compute (dp|[r12,T1]|if) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+14863, int_stack+30125, int_stack+9903, int_stack+20393, int_stack+26339, 6, 3);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (dp||if) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+14383, int_stack+6400, int_stack+12703, 280);
     Libr12->te_ptr[1] = int_stack + 14383;
 /*--- compute (dp|if) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+19423, int_stack+9903, int_stack+26339, 280);
     Libr12->te_ptr[0] = int_stack + 19423;

}
