#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dpig(Libr12_t *, prim_data *);

  /* Computes (dp|ig) integrals for linear R12-methods */

void hrr_grt_order_dpig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[2][8] = int_stack + 384;
 Libr12->t2vrr_classes[2][9] = int_stack + 654;
 Libr12->t2vrr_classes[2][10] = int_stack + 984;
 Libr12->gvrr_classes[4][6] = int_stack + 1380;
 Libr12->t2vrr_classes[3][6] = int_stack + 1800;
 Libr12->gvrr_classes[4][7] = int_stack + 2080;
 Libr12->t2vrr_classes[3][7] = int_stack + 2620;
 Libr12->gvrr_classes[4][8] = int_stack + 2980;
 Libr12->t2vrr_classes[3][8] = int_stack + 3655;
 Libr12->gvrr_classes[4][9] = int_stack + 4105;
 Libr12->t2vrr_classes[3][9] = int_stack + 4930;
 Libr12->t2vrr_classes[3][10] = int_stack + 5480;
 Libr12->gvrr_classes[2][11] = int_stack + 6140;
 Libr12->t1vrr_classes[2][6] = int_stack + 6608;
 Libr12->t1vrr_classes[2][7] = int_stack + 6776;
 Libr12->t1vrr_classes[2][8] = int_stack + 6992;
 Libr12->t1vrr_classes[2][9] = int_stack + 7262;
 Libr12->t1vrr_classes[2][10] = int_stack + 7592;
 Libr12->t1vrr_classes[3][6] = int_stack + 7988;
 Libr12->t1vrr_classes[3][7] = int_stack + 8268;
 Libr12->t1vrr_classes[3][8] = int_stack + 8628;
 Libr12->t1vrr_classes[3][9] = int_stack + 9078;
 Libr12->t1vrr_classes[3][10] = int_stack + 9628;
 Libr12->rvrr_classes[2][6] = int_stack + 10288;
 Libr12->rvrr_classes[2][7] = int_stack + 10456;
 Libr12->rvrr_classes[2][8] = int_stack + 10672;
 Libr12->rvrr_classes[2][9] = int_stack + 10942;
 Libr12->rvrr_classes[2][10] = int_stack + 11272;
 Libr12->rvrr_classes[3][6] = int_stack + 11668;
 Libr12->rvrr_classes[3][7] = int_stack + 11948;
 Libr12->rvrr_classes[3][8] = int_stack + 12308;
 Libr12->rvrr_classes[3][9] = int_stack + 12758;
 Libr12->rvrr_classes[3][10] = int_stack + 13308;
 Libr12->gvrr_classes[2][6] = int_stack + 13968;
 Libr12->gvrr_classes[2][7] = int_stack + 14136;
 Libr12->gvrr_classes[2][8] = int_stack + 14352;
 Libr12->gvrr_classes[2][9] = int_stack + 14622;
 Libr12->gvrr_classes[2][10] = int_stack + 14952;
 Libr12->gvrr_classes[3][6] = int_stack + 15348;
 Libr12->gvrr_classes[3][7] = int_stack + 15628;
 Libr12->gvrr_classes[3][8] = int_stack + 15988;
 Libr12->gvrr_classes[3][9] = int_stack + 16438;
 Libr12->gvrr_classes[3][10] = int_stack + 16988;
 memset(int_stack,0,17648*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 17648;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dpig(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17648, int_stack+14136, int_stack+13968, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+18152, int_stack+14352, int_stack+14136, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18800, int_stack+18152, int_stack+17648, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+19808, int_stack+14622, int_stack+14352, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+20618, int_stack+19808, int_stack+18152, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+21914, int_stack+20618, int_stack+18800, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23594, int_stack+15628, int_stack+15348, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24434, int_stack+15988, int_stack+15628, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+25514, int_stack+24434, int_stack+23594, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+27194, int_stack+16438, int_stack+15988, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+28544, int_stack+27194, int_stack+24434, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+30704, int_stack+28544, int_stack+25514, 10);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+33504, int_stack+14952, int_stack+14622, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+34494, int_stack+33504, int_stack+19808, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+36114, int_stack+34494, int_stack+20618, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38274, int_stack+168, int_stack+0, int_stack+14136, int_stack+15348, int_stack+13968, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38778, int_stack+384, int_stack+168, int_stack+14352, int_stack+15628, int_stack+14136, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39426, int_stack+38778, int_stack+38274, int_stack+18152, int_stack+23594, int_stack+17648, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40434, int_stack+654, int_stack+384, int_stack+14622, int_stack+15988, int_stack+14352, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41244, int_stack+40434, int_stack+38778, int_stack+19808, int_stack+24434, int_stack+18152, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42540, int_stack+41244, int_stack+39426, int_stack+20618, int_stack+25514, int_stack+18800, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17648, int_stack+984, int_stack+654, int_stack+14952, int_stack+16438, int_stack+14622, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38274, int_stack+17648, int_stack+40434, int_stack+33504, int_stack+27194, int_stack+19808, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17648, int_stack+38274, int_stack+41244, int_stack+34494, int_stack+28544, int_stack+20618, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38274, int_stack+17648, int_stack+42540, int_stack+36114, int_stack+30704, int_stack+21914, 2, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17648, int_stack+2080, int_stack+1380, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+18908, int_stack+2980, int_stack+2080, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+40794, int_stack+18908, int_stack+17648, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+4105, int_stack+2980, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+45339, int_stack+43314, int_stack+18908, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+48579, int_stack+45339, int_stack+40794, 15);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+52779, int_stack+16988, int_stack+16438, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+54429, int_stack+52779, int_stack+27194, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+57129, int_stack+54429, int_stack+28544, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20528, int_stack+2620, int_stack+1800, int_stack+15628, int_stack+1380, int_stack+15348, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3655, int_stack+2620, int_stack+15988, int_stack+2080, int_stack+15628, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1080, int_stack+0, int_stack+20528, int_stack+24434, int_stack+17648, int_stack+23594, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20528, int_stack+4930, int_stack+3655, int_stack+16438, int_stack+2980, int_stack+15988, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60729, int_stack+20528, int_stack+0, int_stack+27194, int_stack+18908, int_stack+24434, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17648, int_stack+60729, int_stack+1080, int_stack+28544, int_stack+40794, int_stack+25514, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40794, int_stack+5480, int_stack+4930, int_stack+16988, int_stack+4105, int_stack+16438, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+40794, int_stack+20528, int_stack+52779, int_stack+43314, int_stack+27194, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40794, int_stack+0, int_stack+60729, int_stack+54429, int_stack+45339, int_stack+28544, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+40794, int_stack+17648, int_stack+57129, int_stack+48579, int_stack+30704, 3, 0);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+40794, int_stack+36114, int_stack+21914, 6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+6140, int_stack+14952, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+44502, int_stack+43314, int_stack+33504, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+46482, int_stack+44502, int_stack+34494, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+49182, int_stack+46482, int_stack+36114, 6);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+33504, int_stack+57129, int_stack+30704, 10);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37704, int_stack+6776, int_stack+6608, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+6992, int_stack+6776, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+43962, int_stack+43314, int_stack+37704, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+44970, int_stack+7262, int_stack+6992, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+45780, int_stack+44970, int_stack+43314, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47076, int_stack+45780, int_stack+43962, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+7592, int_stack+7262, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+52422, int_stack+43314, int_stack+44970, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+52422, int_stack+45780, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+52422, int_stack+43314, int_stack+47076, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+8268, int_stack+7988, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+44154, int_stack+8628, int_stack+8268, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+45234, int_stack+44154, int_stack+43314, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+46914, int_stack+9078, int_stack+8628, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+54942, int_stack+46914, int_stack+44154, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+57102, int_stack+54942, int_stack+45234, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+9628, int_stack+9078, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+59902, int_stack+43314, int_stack+46914, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+59902, int_stack+54942, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+43314, int_stack+57102, 10);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+10456, int_stack+10288, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+43818, int_stack+10672, int_stack+10456, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+44466, int_stack+43818, int_stack+43314, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+45474, int_stack+10942, int_stack+10672, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+46284, int_stack+45474, int_stack+43818, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+54942, int_stack+46284, int_stack+44466, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+11272, int_stack+10942, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+56622, int_stack+43314, int_stack+45474, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+56622, int_stack+46284, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+56622, int_stack+43314, int_stack+54942, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+54942, int_stack+11948, int_stack+11668, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+12308, int_stack+11948, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+44394, int_stack+43314, int_stack+54942, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+54942, int_stack+12758, int_stack+12308, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+46074, int_stack+54942, int_stack+43314, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+59142, int_stack+46074, int_stack+44394, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+13308, int_stack+12758, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+8400, int_stack+43314, int_stack+54942, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+11100, int_stack+8400, int_stack+46074, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+11100, int_stack+59142, 10);
 /*--- compute (dp|[r12,T2]|ig) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+8400, int_stack+0, int_stack+38274, 420);
     Libr12->te_ptr[3] = int_stack + 8400;
 /*--- compute (dp|[r12,T1]|ig) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+15960, int_stack+4200, int_stack+52422, int_stack+33504, int_stack+49182, int_stack+40794, 6, 4);
     Libr12->te_ptr[2] = int_stack + 15960;
 /*--- compute (dp||ig) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+43314, int_stack+56622, 420);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (dp|ig) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+43314, int_stack+33504, int_stack+40794, 420);
     Libr12->te_ptr[0] = int_stack + 43314;

}
