#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dpih(Libr12_t *, prim_data *);

  /* Computes (dp|ih) integrals for linear R12-methods */

void hrr_grt_order_dpih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[2][8] = int_stack + 384;
 Libr12->t2vrr_classes[2][9] = int_stack + 654;
 Libr12->t2vrr_classes[2][10] = int_stack + 984;
 Libr12->t2vrr_classes[2][11] = int_stack + 1380;
 Libr12->gvrr_classes[4][6] = int_stack + 1848;
 Libr12->t2vrr_classes[3][6] = int_stack + 2268;
 Libr12->gvrr_classes[4][7] = int_stack + 2548;
 Libr12->t2vrr_classes[3][7] = int_stack + 3088;
 Libr12->gvrr_classes[4][8] = int_stack + 3448;
 Libr12->t2vrr_classes[3][8] = int_stack + 4123;
 Libr12->gvrr_classes[4][9] = int_stack + 4573;
 Libr12->t2vrr_classes[3][9] = int_stack + 5398;
 Libr12->gvrr_classes[4][10] = int_stack + 5948;
 Libr12->t2vrr_classes[3][10] = int_stack + 6938;
 Libr12->t2vrr_classes[3][11] = int_stack + 7598;
 Libr12->gvrr_classes[2][12] = int_stack + 8378;
 Libr12->t1vrr_classes[2][6] = int_stack + 8924;
 Libr12->t1vrr_classes[2][7] = int_stack + 9092;
 Libr12->t1vrr_classes[2][8] = int_stack + 9308;
 Libr12->t1vrr_classes[2][9] = int_stack + 9578;
 Libr12->t1vrr_classes[2][10] = int_stack + 9908;
 Libr12->t1vrr_classes[2][11] = int_stack + 10304;
 Libr12->t1vrr_classes[3][6] = int_stack + 10772;
 Libr12->t1vrr_classes[3][7] = int_stack + 11052;
 Libr12->t1vrr_classes[3][8] = int_stack + 11412;
 Libr12->t1vrr_classes[3][9] = int_stack + 11862;
 Libr12->t1vrr_classes[3][10] = int_stack + 12412;
 Libr12->t1vrr_classes[3][11] = int_stack + 13072;
 Libr12->rvrr_classes[2][6] = int_stack + 13852;
 Libr12->rvrr_classes[2][7] = int_stack + 14020;
 Libr12->rvrr_classes[2][8] = int_stack + 14236;
 Libr12->rvrr_classes[2][9] = int_stack + 14506;
 Libr12->rvrr_classes[2][10] = int_stack + 14836;
 Libr12->rvrr_classes[2][11] = int_stack + 15232;
 Libr12->rvrr_classes[3][6] = int_stack + 15700;
 Libr12->rvrr_classes[3][7] = int_stack + 15980;
 Libr12->rvrr_classes[3][8] = int_stack + 16340;
 Libr12->rvrr_classes[3][9] = int_stack + 16790;
 Libr12->rvrr_classes[3][10] = int_stack + 17340;
 Libr12->rvrr_classes[3][11] = int_stack + 18000;
 Libr12->gvrr_classes[2][6] = int_stack + 18780;
 Libr12->gvrr_classes[2][7] = int_stack + 18948;
 Libr12->gvrr_classes[2][8] = int_stack + 19164;
 Libr12->gvrr_classes[2][9] = int_stack + 19434;
 Libr12->gvrr_classes[2][10] = int_stack + 19764;
 Libr12->gvrr_classes[2][11] = int_stack + 20160;
 Libr12->gvrr_classes[3][6] = int_stack + 20628;
 Libr12->gvrr_classes[3][7] = int_stack + 20908;
 Libr12->gvrr_classes[3][8] = int_stack + 21268;
 Libr12->gvrr_classes[3][9] = int_stack + 21718;
 Libr12->gvrr_classes[3][10] = int_stack + 22268;
 Libr12->gvrr_classes[3][11] = int_stack + 22928;
 memset(int_stack,0,23708*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 23708;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dpih(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23708, int_stack+18948, int_stack+18780, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24212, int_stack+19164, int_stack+18948, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+24860, int_stack+24212, int_stack+23708, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+25868, int_stack+19434, int_stack+19164, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+26678, int_stack+25868, int_stack+24212, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+27974, int_stack+26678, int_stack+24860, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+29654, int_stack+19764, int_stack+19434, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+30644, int_stack+29654, int_stack+25868, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+32264, int_stack+30644, int_stack+26678, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+34424, int_stack+32264, int_stack+27974, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36944, int_stack+20908, int_stack+20628, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+37784, int_stack+21268, int_stack+20908, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+38864, int_stack+37784, int_stack+36944, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+40544, int_stack+21718, int_stack+21268, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+41894, int_stack+40544, int_stack+37784, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+44054, int_stack+41894, int_stack+38864, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+46854, int_stack+22268, int_stack+21718, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+48504, int_stack+46854, int_stack+40544, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+51204, int_stack+48504, int_stack+41894, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+54804, int_stack+51204, int_stack+44054, 10);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+59004, int_stack+20160, int_stack+19764, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+60192, int_stack+59004, int_stack+29654, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+62172, int_stack+60192, int_stack+30644, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+64872, int_stack+62172, int_stack+32264, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68112, int_stack+168, int_stack+0, int_stack+18948, int_stack+20628, int_stack+18780, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68616, int_stack+384, int_stack+168, int_stack+19164, int_stack+20908, int_stack+18948, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69264, int_stack+68616, int_stack+68112, int_stack+24212, int_stack+36944, int_stack+23708, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70272, int_stack+654, int_stack+384, int_stack+19434, int_stack+21268, int_stack+19164, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71082, int_stack+70272, int_stack+68616, int_stack+25868, int_stack+37784, int_stack+24212, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72378, int_stack+71082, int_stack+69264, int_stack+26678, int_stack+38864, int_stack+24860, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23708, int_stack+984, int_stack+654, int_stack+19764, int_stack+21718, int_stack+19434, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68112, int_stack+23708, int_stack+70272, int_stack+29654, int_stack+40544, int_stack+25868, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74058, int_stack+68112, int_stack+71082, int_stack+30644, int_stack+41894, int_stack+26678, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24698, int_stack+74058, int_stack+72378, int_stack+32264, int_stack+44054, int_stack+27974, 2, 0);
 /*--- compute (d0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27218, int_stack+1380, int_stack+984, int_stack+20160, int_stack+22268, int_stack+19764, 2, 0);
 /*--- compute (d0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69732, int_stack+27218, int_stack+23708, int_stack+59004, int_stack+46854, int_stack+29654, 2, 0);
 /*--- compute (d0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27218, int_stack+69732, int_stack+68112, int_stack+60192, int_stack+48504, int_stack+30644, 2, 0);
 /*--- compute (d0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68112, int_stack+27218, int_stack+74058, int_stack+62172, int_stack+51204, int_stack+32264, 2, 0);
 /*--- compute (d0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27218, int_stack+68112, int_stack+24698, int_stack+64872, int_stack+54804, int_stack+34424, 2, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+68112, int_stack+2548, int_stack+1848, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+69372, int_stack+3448, int_stack+2548, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+70992, int_stack+69372, int_stack+68112, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+73512, int_stack+4573, int_stack+3448, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+30746, int_stack+73512, int_stack+69372, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+75537, int_stack+30746, int_stack+70992, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+23708, int_stack+5948, int_stack+4573, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+79737, int_stack+23708, int_stack+73512, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+83787, int_stack+79737, int_stack+30746, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+89187, int_stack+83787, int_stack+75537, 15);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+95487, int_stack+22928, int_stack+22268, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+97467, int_stack+95487, int_stack+46854, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+100767, int_stack+97467, int_stack+48504, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+105267, int_stack+100767, int_stack+51204, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26183, int_stack+3088, int_stack+2268, int_stack+20908, int_stack+1848, int_stack+20628, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18780, int_stack+4123, int_stack+3088, int_stack+21268, int_stack+2548, int_stack+20908, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+18780, int_stack+26183, int_stack+37784, int_stack+68112, int_stack+36944, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1680, int_stack+5398, int_stack+4123, int_stack+21718, int_stack+3448, int_stack+21268, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+110667, int_stack+1680, int_stack+18780, int_stack+40544, int_stack+69372, int_stack+37784, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68112, int_stack+110667, int_stack+0, int_stack+41894, int_stack+70992, int_stack+38864, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6938, int_stack+5398, int_stack+22268, int_stack+4573, int_stack+21718, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36944, int_stack+0, int_stack+1680, int_stack+46854, int_stack+73512, int_stack+40544, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1650, int_stack+36944, int_stack+110667, int_stack+48504, int_stack+30746, int_stack+41894, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39644, int_stack+1650, int_stack+68112, int_stack+51204, int_stack+75537, int_stack+44054, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68112, int_stack+7598, int_stack+6938, int_stack+22928, int_stack+5948, int_stack+22268, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70092, int_stack+68112, int_stack+0, int_stack+95487, int_stack+23708, int_stack+46854, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73392, int_stack+70092, int_stack+36944, int_stack+97467, int_stack+79737, int_stack+48504, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77892, int_stack+73392, int_stack+1650, int_stack+100767, int_stack+83787, int_stack+51204, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95487, int_stack+77892, int_stack+39644, int_stack+105267, int_stack+89187, int_stack+54804, 3, 0);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+36944, int_stack+64872, int_stack+34424, 6);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+40472, int_stack+8378, int_stack+20160, 6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+41876, int_stack+40472, int_stack+59004, 6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+44252, int_stack+41876, int_stack+60192, 6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+47552, int_stack+44252, int_stack+62172, 6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+59004, int_stack+47552, int_stack+64872, 6);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+63540, int_stack+105267, int_stack+54804, 10);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+69420, int_stack+9092, int_stack+8924, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+69924, int_stack+9308, int_stack+9092, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+70572, int_stack+69924, int_stack+69420, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+71580, int_stack+9578, int_stack+9308, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+72390, int_stack+71580, int_stack+69924, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+73686, int_stack+72390, int_stack+70572, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+69420, int_stack+9908, int_stack+9578, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+75366, int_stack+69420, int_stack+71580, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+76986, int_stack+75366, int_stack+72390, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+70410, int_stack+76986, int_stack+73686, 6);
 /*--- compute (d0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+72930, int_stack+10304, int_stack+9908, 6);
 /*--- compute (d0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+79146, int_stack+72930, int_stack+69420, 6);
 /*--- compute (d0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+81126, int_stack+79146, int_stack+75366, 6);
 /*--- compute (d0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+72930, int_stack+81126, int_stack+76986, 6);
 /*--- compute (d0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+76170, int_stack+72930, int_stack+70410, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+69420, int_stack+11052, int_stack+10772, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+70260, int_stack+11412, int_stack+11052, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+71340, int_stack+70260, int_stack+69420, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+73020, int_stack+11862, int_stack+11412, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+79698, int_stack+73020, int_stack+70260, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+81858, int_stack+79698, int_stack+71340, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+69420, int_stack+12412, int_stack+11862, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+84658, int_stack+69420, int_stack+73020, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+71070, int_stack+84658, int_stack+79698, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+87358, int_stack+71070, int_stack+81858, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+79698, int_stack+13072, int_stack+12412, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+91558, int_stack+79698, int_stack+69420, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+79698, int_stack+91558, int_stack+84658, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+40472, int_stack+79698, int_stack+71070, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+79698, int_stack+40472, int_stack+87358, 10);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+40472, int_stack+14020, int_stack+13852, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+40976, int_stack+14236, int_stack+14020, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+41624, int_stack+40976, int_stack+40472, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+42632, int_stack+14506, int_stack+14236, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+43442, int_stack+42632, int_stack+40976, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+44738, int_stack+43442, int_stack+41624, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+40472, int_stack+14836, int_stack+14506, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+46418, int_stack+40472, int_stack+42632, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+48038, int_stack+46418, int_stack+43442, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+41462, int_stack+48038, int_stack+44738, 6);
 /*--- compute (d0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+43982, int_stack+15232, int_stack+14836, 6);
 /*--- compute (d0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+50198, int_stack+43982, int_stack+40472, 6);
 /*--- compute (d0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+52178, int_stack+50198, int_stack+46418, 6);
 /*--- compute (d0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+43982, int_stack+52178, int_stack+48038, 6);
 /*--- compute (d0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+47222, int_stack+43982, int_stack+41462, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+40472, int_stack+15980, int_stack+15700, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+41312, int_stack+16340, int_stack+15980, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+42392, int_stack+41312, int_stack+40472, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+44072, int_stack+16790, int_stack+16340, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+50750, int_stack+44072, int_stack+41312, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+52910, int_stack+50750, int_stack+42392, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+40472, int_stack+17340, int_stack+16790, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+55710, int_stack+40472, int_stack+44072, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+42122, int_stack+55710, int_stack+50750, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+85578, int_stack+42122, int_stack+52910, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+50750, int_stack+18000, int_stack+17340, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+89778, int_stack+50750, int_stack+40472, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+50750, int_stack+89778, int_stack+55710, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+89778, int_stack+50750, int_stack+42122, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+50750, int_stack+89778, int_stack+85578, 10);
 /*--- compute (dp|[r12,T2]|ih) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+101367, int_stack+95487, int_stack+27218, 588);
     Libr12->te_ptr[3] = int_stack + 101367;
 /*--- compute (dp|[r12,T1]|ih) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+85578, int_stack+79698, int_stack+76170, int_stack+63540, int_stack+59004, int_stack+36944, 6, 5);
     Libr12->te_ptr[2] = int_stack + 85578;
 /*--- compute (dp||ih) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+69420, int_stack+50750, int_stack+47222, 588);
     Libr12->te_ptr[1] = int_stack + 69420;
 /*--- compute (dp|ih) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+40472, int_stack+63540, int_stack+36944, 588);
     Libr12->te_ptr[0] = int_stack + 40472;

}
