#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dpii(Libr12_t *, prim_data *);

  /* Computes (dp|ii) integrals for linear R12-methods */

void hrr_grt_order_dpii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->t2vrr_classes[2][8] = int_stack + 384;
 Libr12->t2vrr_classes[2][9] = int_stack + 654;
 Libr12->t2vrr_classes[2][10] = int_stack + 984;
 Libr12->t2vrr_classes[2][11] = int_stack + 1380;
 Libr12->t2vrr_classes[2][12] = int_stack + 1848;
 Libr12->gvrr_classes[4][6] = int_stack + 2394;
 Libr12->t2vrr_classes[3][6] = int_stack + 2814;
 Libr12->gvrr_classes[4][7] = int_stack + 3094;
 Libr12->t2vrr_classes[3][7] = int_stack + 3634;
 Libr12->gvrr_classes[4][8] = int_stack + 3994;
 Libr12->t2vrr_classes[3][8] = int_stack + 4669;
 Libr12->gvrr_classes[4][9] = int_stack + 5119;
 Libr12->t2vrr_classes[3][9] = int_stack + 5944;
 Libr12->gvrr_classes[4][10] = int_stack + 6494;
 Libr12->t2vrr_classes[3][10] = int_stack + 7484;
 Libr12->gvrr_classes[4][11] = int_stack + 8144;
 Libr12->t2vrr_classes[3][11] = int_stack + 9314;
 Libr12->t2vrr_classes[3][12] = int_stack + 10094;
 Libr12->gvrr_classes[2][13] = int_stack + 11004;
 Libr12->t1vrr_classes[2][6] = int_stack + 11634;
 Libr12->t1vrr_classes[2][7] = int_stack + 11802;
 Libr12->t1vrr_classes[2][8] = int_stack + 12018;
 Libr12->t1vrr_classes[2][9] = int_stack + 12288;
 Libr12->t1vrr_classes[2][10] = int_stack + 12618;
 Libr12->t1vrr_classes[2][11] = int_stack + 13014;
 Libr12->t1vrr_classes[2][12] = int_stack + 13482;
 Libr12->t1vrr_classes[3][6] = int_stack + 14028;
 Libr12->t1vrr_classes[3][7] = int_stack + 14308;
 Libr12->t1vrr_classes[3][8] = int_stack + 14668;
 Libr12->t1vrr_classes[3][9] = int_stack + 15118;
 Libr12->t1vrr_classes[3][10] = int_stack + 15668;
 Libr12->t1vrr_classes[3][11] = int_stack + 16328;
 Libr12->t1vrr_classes[3][12] = int_stack + 17108;
 Libr12->rvrr_classes[2][6] = int_stack + 18018;
 Libr12->rvrr_classes[2][7] = int_stack + 18186;
 Libr12->rvrr_classes[2][8] = int_stack + 18402;
 Libr12->rvrr_classes[2][9] = int_stack + 18672;
 Libr12->rvrr_classes[2][10] = int_stack + 19002;
 Libr12->rvrr_classes[2][11] = int_stack + 19398;
 Libr12->rvrr_classes[2][12] = int_stack + 19866;
 Libr12->rvrr_classes[3][6] = int_stack + 20412;
 Libr12->rvrr_classes[3][7] = int_stack + 20692;
 Libr12->rvrr_classes[3][8] = int_stack + 21052;
 Libr12->rvrr_classes[3][9] = int_stack + 21502;
 Libr12->rvrr_classes[3][10] = int_stack + 22052;
 Libr12->rvrr_classes[3][11] = int_stack + 22712;
 Libr12->rvrr_classes[3][12] = int_stack + 23492;
 Libr12->gvrr_classes[2][6] = int_stack + 24402;
 Libr12->gvrr_classes[2][7] = int_stack + 24570;
 Libr12->gvrr_classes[2][8] = int_stack + 24786;
 Libr12->gvrr_classes[2][9] = int_stack + 25056;
 Libr12->gvrr_classes[2][10] = int_stack + 25386;
 Libr12->gvrr_classes[2][11] = int_stack + 25782;
 Libr12->gvrr_classes[2][12] = int_stack + 26250;
 Libr12->gvrr_classes[3][6] = int_stack + 26796;
 Libr12->gvrr_classes[3][7] = int_stack + 27076;
 Libr12->gvrr_classes[3][8] = int_stack + 27436;
 Libr12->gvrr_classes[3][9] = int_stack + 27886;
 Libr12->gvrr_classes[3][10] = int_stack + 28436;
 Libr12->gvrr_classes[3][11] = int_stack + 29096;
 Libr12->gvrr_classes[3][12] = int_stack + 29876;
 memset(int_stack,0,30786*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 30786;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dpii(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30786, int_stack+24570, int_stack+24402, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+31290, int_stack+24786, int_stack+24570, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+31938, int_stack+31290, int_stack+30786, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+32946, int_stack+25056, int_stack+24786, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+33756, int_stack+32946, int_stack+31290, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+35052, int_stack+33756, int_stack+31938, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+36732, int_stack+25386, int_stack+25056, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+37722, int_stack+36732, int_stack+32946, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+39342, int_stack+37722, int_stack+33756, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+41502, int_stack+39342, int_stack+35052, 6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+44022, int_stack+25782, int_stack+25386, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+45210, int_stack+44022, int_stack+36732, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+47190, int_stack+45210, int_stack+37722, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+49890, int_stack+47190, int_stack+39342, 6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+53130, int_stack+49890, int_stack+41502, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+56658, int_stack+27076, int_stack+26796, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+57498, int_stack+27436, int_stack+27076, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+58578, int_stack+57498, int_stack+56658, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+60258, int_stack+27886, int_stack+27436, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+61608, int_stack+60258, int_stack+57498, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+63768, int_stack+61608, int_stack+58578, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+66568, int_stack+28436, int_stack+27886, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+68218, int_stack+66568, int_stack+60258, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+70918, int_stack+68218, int_stack+61608, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+74518, int_stack+70918, int_stack+63768, 10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+78718, int_stack+29096, int_stack+28436, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+80698, int_stack+78718, int_stack+66568, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+83998, int_stack+80698, int_stack+68218, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+88498, int_stack+83998, int_stack+70918, 10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+93898, int_stack+88498, int_stack+74518, 10);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+99778, int_stack+26250, int_stack+25782, 6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+101182, int_stack+99778, int_stack+44022, 6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+103558, int_stack+101182, int_stack+45210, 6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+106858, int_stack+103558, int_stack+47190, 6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+110908, int_stack+106858, int_stack+49890, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115444, int_stack+168, int_stack+0, int_stack+24570, int_stack+26796, int_stack+24402, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115948, int_stack+384, int_stack+168, int_stack+24786, int_stack+27076, int_stack+24570, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+116596, int_stack+115948, int_stack+115444, int_stack+31290, int_stack+56658, int_stack+30786, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117604, int_stack+654, int_stack+384, int_stack+25056, int_stack+27436, int_stack+24786, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118414, int_stack+117604, int_stack+115948, int_stack+32946, int_stack+57498, int_stack+31290, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119710, int_stack+118414, int_stack+116596, int_stack+33756, int_stack+58578, int_stack+31938, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30786, int_stack+984, int_stack+654, int_stack+25386, int_stack+27886, int_stack+25056, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115444, int_stack+30786, int_stack+117604, int_stack+36732, int_stack+60258, int_stack+32946, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121390, int_stack+115444, int_stack+118414, int_stack+37722, int_stack+61608, int_stack+33756, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31776, int_stack+121390, int_stack+119710, int_stack+39342, int_stack+63768, int_stack+35052, 2, 0);
 /*--- compute (d0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+34296, int_stack+1380, int_stack+984, int_stack+25782, int_stack+28436, int_stack+25386, 2, 0);
 /*--- compute (d0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117064, int_stack+34296, int_stack+30786, int_stack+44022, int_stack+66568, int_stack+36732, 2, 0);
 /*--- compute (d0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123550, int_stack+117064, int_stack+115444, int_stack+45210, int_stack+68218, int_stack+37722, 2, 0);
 /*--- compute (d0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35484, int_stack+123550, int_stack+121390, int_stack+47190, int_stack+70918, int_stack+39342, 2, 0);
 /*--- compute (d0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119044, int_stack+35484, int_stack+31776, int_stack+49890, int_stack+74518, int_stack+41502, 2, 0);
 /*--- compute (d0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115444, int_stack+1848, int_stack+1380, int_stack+26250, int_stack+29096, int_stack+25782, 2, 0);
 /*--- compute (d0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30786, int_stack+115444, int_stack+34296, int_stack+99778, int_stack+78718, int_stack+44022, 2, 0);
 /*--- compute (d0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38724, int_stack+30786, int_stack+117064, int_stack+101182, int_stack+80698, int_stack+45210, 2, 0);
 /*--- compute (d0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30786, int_stack+38724, int_stack+123550, int_stack+103558, int_stack+83998, int_stack+47190, 2, 0);
 /*--- compute (d0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38724, int_stack+30786, int_stack+35484, int_stack+106858, int_stack+88498, int_stack+49890, 2, 0);
 /*--- compute (d0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30786, int_stack+38724, int_stack+119044, int_stack+110908, int_stack+93898, int_stack+53130, 2, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+35490, int_stack+3094, int_stack+2394, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+36750, int_stack+3994, int_stack+3094, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+38370, int_stack+36750, int_stack+35490, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+40890, int_stack+5119, int_stack+3994, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+42915, int_stack+40890, int_stack+36750, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+46155, int_stack+42915, int_stack+38370, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+50355, int_stack+6494, int_stack+5119, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+115444, int_stack+50355, int_stack+40890, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+119494, int_stack+115444, int_stack+42915, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+124894, int_stack+119494, int_stack+46155, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+131194, int_stack+8144, int_stack+6494, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+134164, int_stack+131194, int_stack+50355, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+139114, int_stack+134164, int_stack+115444, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+145864, int_stack+139114, int_stack+119494, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+153964, int_stack+145864, int_stack+124894, 15);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+29876, int_stack+29096, 10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+162784, int_stack+0, int_stack+78718, 10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+166744, int_stack+162784, int_stack+80698, 10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+172244, int_stack+166744, int_stack+83998, 10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+178994, int_stack+172244, int_stack+88498, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24402, int_stack+3634, int_stack+2814, int_stack+27076, int_stack+2394, int_stack+26796, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+186554, int_stack+4669, int_stack+3634, int_stack+27436, int_stack+3094, int_stack+27076, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187634, int_stack+186554, int_stack+24402, int_stack+57498, int_stack+35490, int_stack+56658, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24402, int_stack+5944, int_stack+4669, int_stack+27886, int_stack+3994, int_stack+27436, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2340, int_stack+24402, int_stack+186554, int_stack+60258, int_stack+36750, int_stack+57498, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35490, int_stack+2340, int_stack+187634, int_stack+61608, int_stack+38370, int_stack+58578, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+186554, int_stack+7484, int_stack+5944, int_stack+28436, int_stack+5119, int_stack+27886, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56658, int_stack+186554, int_stack+24402, int_stack+66568, int_stack+40890, int_stack+60258, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38290, int_stack+56658, int_stack+2340, int_stack+68218, int_stack+42915, int_stack+61608, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59358, int_stack+38290, int_stack+35490, int_stack+70918, int_stack+46155, int_stack+63768, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35490, int_stack+9314, int_stack+7484, int_stack+29096, int_stack+6494, int_stack+28436, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2340, int_stack+35490, int_stack+186554, int_stack+78718, int_stack+50355, int_stack+66568, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+63558, int_stack+2340, int_stack+56658, int_stack+80698, int_stack+115444, int_stack+68218, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41890, int_stack+63558, int_stack+38290, int_stack+83998, int_stack+119494, int_stack+70918, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115444, int_stack+41890, int_stack+59358, int_stack+88498, int_stack+124894, int_stack+74518, 3, 0);
 /*--- compute (f0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121324, int_stack+10094, int_stack+9314, int_stack+29876, int_stack+8144, int_stack+29096, 3, 0);
 /*--- compute (f0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123664, int_stack+121324, int_stack+35490, int_stack+0, int_stack+131194, int_stack+78718, 3, 0);
 /*--- compute (f0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35490, int_stack+123664, int_stack+2340, int_stack+162784, int_stack+134164, int_stack+80698, 3, 0);
 /*--- compute (f0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+35490, int_stack+63558, int_stack+166744, int_stack+139114, int_stack+83998, 3, 0);
 /*--- compute (f0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+162784, int_stack+0, int_stack+41890, int_stack+172244, int_stack+145864, int_stack+88498, 3, 0);
 /*--- compute (f0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+162784, int_stack+115444, int_stack+178994, int_stack+153964, int_stack+93898, 3, 0);
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+115444, int_stack+110908, int_stack+53130, 6);
 /*--- compute (d0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+120148, int_stack+11004, int_stack+26250, 6);
 /*--- compute (d0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+121786, int_stack+120148, int_stack+99778, 6);
 /*--- compute (d0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+124594, int_stack+121786, int_stack+101182, 6);
 /*--- compute (d0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+128554, int_stack+124594, int_stack+103558, 6);
 /*--- compute (d0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+99778, int_stack+128554, int_stack+106858, 6);
 /*--- compute (d0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+120148, int_stack+99778, int_stack+110908, 6);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+99778, int_stack+178994, int_stack+93898, 10);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+11802, int_stack+11634, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+108122, int_stack+12018, int_stack+11802, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+108770, int_stack+108122, int_stack+107618, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+109778, int_stack+12288, int_stack+12018, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+110588, int_stack+109778, int_stack+108122, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+111884, int_stack+110588, int_stack+108770, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+12618, int_stack+12288, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+113564, int_stack+107618, int_stack+109778, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+126196, int_stack+113564, int_stack+110588, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+108608, int_stack+126196, int_stack+111884, 6);
 /*--- compute (d0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+111128, int_stack+13014, int_stack+12618, 6);
 /*--- compute (d0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+128356, int_stack+111128, int_stack+107618, 6);
 /*--- compute (d0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+130336, int_stack+128356, int_stack+113564, 6);
 /*--- compute (d0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+133036, int_stack+130336, int_stack+126196, 6);
 /*--- compute (d0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+136276, int_stack+133036, int_stack+108608, 6);
 /*--- compute (d0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+126196, int_stack+13482, int_stack+13014, 6);
 /*--- compute (d0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+126196, int_stack+111128, 6);
 /*--- compute (d0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+109994, int_stack+107618, int_stack+128356, 6);
 /*--- compute (d0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+126196, int_stack+109994, int_stack+130336, 6);
 /*--- compute (d0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+126196, int_stack+133036, 6);
 /*--- compute (d0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+126196, int_stack+107618, int_stack+136276, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+14308, int_stack+14028, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+108458, int_stack+14668, int_stack+14308, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+109538, int_stack+108458, int_stack+107618, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+111218, int_stack+15118, int_stack+14668, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+112568, int_stack+111218, int_stack+108458, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+130900, int_stack+112568, int_stack+109538, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+15668, int_stack+15118, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+133700, int_stack+107618, int_stack+111218, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+136400, int_stack+133700, int_stack+112568, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+109268, int_stack+136400, int_stack+130900, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+130900, int_stack+16328, int_stack+15668, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+140000, int_stack+130900, int_stack+107618, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+143300, int_stack+140000, int_stack+133700, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+147800, int_stack+143300, int_stack+136400, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+132880, int_stack+147800, int_stack+109268, 10);
 /*--- compute (f0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+17108, int_stack+16328, 10);
 /*--- compute (f0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+109958, int_stack+107618, int_stack+130900, 10);
 /*--- compute (f0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+153200, int_stack+109958, int_stack+140000, 10);
 /*--- compute (f0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+153200, int_stack+143300, 10);
 /*--- compute (f0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+153200, int_stack+107618, int_stack+147800, 10);
 /*--- compute (f0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+160760, int_stack+153200, int_stack+132880, 10);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+18186, int_stack+18018, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+108122, int_stack+18402, int_stack+18186, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+108770, int_stack+108122, int_stack+107618, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+109778, int_stack+18672, int_stack+18402, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+110588, int_stack+109778, int_stack+108122, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+111884, int_stack+110588, int_stack+108770, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+19002, int_stack+18672, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+113564, int_stack+107618, int_stack+109778, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+168600, int_stack+113564, int_stack+110588, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+108608, int_stack+168600, int_stack+111884, 6);
 /*--- compute (d0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+111128, int_stack+19398, int_stack+19002, 6);
 /*--- compute (d0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+170760, int_stack+111128, int_stack+107618, 6);
 /*--- compute (d0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+172740, int_stack+170760, int_stack+113564, 6);
 /*--- compute (d0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+175440, int_stack+172740, int_stack+168600, 6);
 /*--- compute (d0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+178680, int_stack+175440, int_stack+108608, 6);
 /*--- compute (d0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+168600, int_stack+19866, int_stack+19398, 6);
 /*--- compute (d0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+168600, int_stack+111128, 6);
 /*--- compute (d0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+109994, int_stack+107618, int_stack+170760, 6);
 /*--- compute (d0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+168600, int_stack+109994, int_stack+172740, 6);
 /*--- compute (d0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+168600, int_stack+175440, 6);
 /*--- compute (d0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+168600, int_stack+107618, int_stack+178680, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+20692, int_stack+20412, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+108458, int_stack+21052, int_stack+20692, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+109538, int_stack+108458, int_stack+107618, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+111218, int_stack+21502, int_stack+21052, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+112568, int_stack+111218, int_stack+108458, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+173304, int_stack+112568, int_stack+109538, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+22052, int_stack+21502, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+176104, int_stack+107618, int_stack+111218, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+178804, int_stack+176104, int_stack+112568, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+109268, int_stack+178804, int_stack+173304, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+173304, int_stack+22712, int_stack+22052, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+182404, int_stack+173304, int_stack+107618, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+130900, int_stack+182404, int_stack+176104, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+135400, int_stack+130900, int_stack+178804, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+175284, int_stack+135400, int_stack+109268, 10);
 /*--- compute (f0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+23492, int_stack+22712, 10);
 /*--- compute (f0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+109958, int_stack+107618, int_stack+173304, 10);
 /*--- compute (f0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+140800, int_stack+109958, int_stack+182404, 10);
 /*--- compute (f0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+107618, int_stack+140800, int_stack+130900, 10);
 /*--- compute (f0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+140800, int_stack+107618, int_stack+135400, 10);
 /*--- compute (f0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+130900, int_stack+140800, int_stack+175284, 10);
 /*--- compute (dp|[r12,T2]|ii) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+138740, int_stack+0, int_stack+30786, 784);
     Libr12->te_ptr[3] = int_stack + 138740;
 /*--- compute (dp|[r12,T1]|ii) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+160760, int_stack+126196, int_stack+99778, int_stack+120148, int_stack+115444, 6, 6);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (dp||ii) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+14112, int_stack+130900, int_stack+168600, 784);
     Libr12->te_ptr[1] = int_stack + 14112;
 /*--- compute (dp|ii) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+120148, int_stack+99778, int_stack+115444, 784);
     Libr12->te_ptr[0] = int_stack + 120148;

}
