#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_dpip(Libr12_t *, prim_data *);

  /* Computes (dp|ip) integrals for linear R12-methods */

void hrr_grt_order_dpip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[2][7] = int_stack + 168;
 Libr12->gvrr_classes[4][6] = int_stack + 384;
 Libr12->t2vrr_classes[3][6] = int_stack + 804;
 Libr12->t2vrr_classes[3][7] = int_stack + 1084;
 Libr12->gvrr_classes[2][8] = int_stack + 1444;
 Libr12->t1vrr_classes[2][6] = int_stack + 1714;
 Libr12->t1vrr_classes[2][7] = int_stack + 1882;
 Libr12->t1vrr_classes[3][6] = int_stack + 2098;
 Libr12->t1vrr_classes[3][7] = int_stack + 2378;
 Libr12->rvrr_classes[2][6] = int_stack + 2738;
 Libr12->rvrr_classes[2][7] = int_stack + 2906;
 Libr12->rvrr_classes[3][6] = int_stack + 3122;
 Libr12->rvrr_classes[3][7] = int_stack + 3402;
 Libr12->gvrr_classes[2][6] = int_stack + 3762;
 Libr12->gvrr_classes[2][7] = int_stack + 3930;
 Libr12->gvrr_classes[3][6] = int_stack + 4146;
 Libr12->gvrr_classes[3][7] = int_stack + 4426;
 memset(int_stack,0,4786*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 4786;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_dpip(Libr12, Data);
   Data++;
 }

 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4786, int_stack+168, int_stack+0, int_stack+3930, int_stack+4146, int_stack+3762, 2, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5290, int_stack+1084, int_stack+804, int_stack+4426, int_stack+384, int_stack+4146, 3, 0);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3930, int_stack+3762, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+504, int_stack+1444, int_stack+3930, 6);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6130, int_stack+4426, int_stack+4146, 10);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3762, int_stack+1882, int_stack+1714, 6);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1152, int_stack+2378, int_stack+2098, 10);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4266, int_stack+2906, int_stack+2738, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1992, int_stack+3402, int_stack+3122, 10);
 /*--- compute (dp|[r12,T2]|ip) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+6970, int_stack+5290, int_stack+4786, 84);
     Libr12->te_ptr[3] = int_stack + 6970;
 /*--- compute (dp|[r12,T1]|ip) ---*/
   t1hrr1_build_dp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+8482, int_stack+1152, int_stack+3762, int_stack+6130, int_stack+504, int_stack+0, 6, 1);
     Libr12->te_ptr[2] = int_stack + 8482;
 /*--- compute (dp||ip) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+9994, int_stack+1992, int_stack+4266, 84);
     Libr12->te_ptr[1] = int_stack + 9994;
 /*--- compute (dp|ip) ---*/
   hrr1_build_dp(Libr12->ShellQuartet.AB,int_stack+504, int_stack+6130, int_stack+0, 84);
     Libr12->te_ptr[0] = int_stack + 504;

}
