#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0hf(Libr12_t *, prim_data *);

  /* Computes (f0|hf) integrals for linear R12-methods */

void hrr_grt_order_f0hf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[3][5] = int_stack + 315;
 Libr12->gvrr_classes[4][6] = int_stack + 525;
 Libr12->t2vrr_classes[3][6] = int_stack + 945;
 Libr12->gvrr_classes[4][7] = int_stack + 1225;
 Libr12->t2vrr_classes[3][7] = int_stack + 1765;
 Libr12->t2vrr_classes[3][8] = int_stack + 2125;
 Libr12->t1vrr_classes[3][5] = int_stack + 2575;
 Libr12->t1vrr_classes[3][6] = int_stack + 2785;
 Libr12->t1vrr_classes[3][7] = int_stack + 3065;
 Libr12->t1vrr_classes[3][8] = int_stack + 3425;
 Libr12->rvrr_classes[3][5] = int_stack + 3875;
 Libr12->rvrr_classes[3][6] = int_stack + 4085;
 Libr12->rvrr_classes[3][7] = int_stack + 4365;
 Libr12->rvrr_classes[3][8] = int_stack + 4725;
 Libr12->gvrr_classes[3][5] = int_stack + 5175;
 Libr12->gvrr_classes[3][6] = int_stack + 5385;
 Libr12->gvrr_classes[3][7] = int_stack + 5665;
 Libr12->gvrr_classes[3][8] = int_stack + 6025;
 memset(int_stack,0,6475*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 6475;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0hf(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6475, int_stack+5385, int_stack+5175, 10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7105, int_stack+5665, int_stack+5385, 10);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+7945, int_stack+7105, int_stack+6475, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+9205, int_stack+525, int_stack+0, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10150, int_stack+1225, int_stack+525, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11410, int_stack+10150, int_stack+9205, 15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13300, int_stack+6025, int_stack+5665, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14380, int_stack+13300, int_stack+7105, 10);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16060, int_stack+945, int_stack+315, int_stack+5385, int_stack+0, int_stack+5175, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16690, int_stack+1765, int_stack+945, int_stack+5665, int_stack+525, int_stack+5385, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17530, int_stack+16690, int_stack+16060, int_stack+7105, int_stack+9205, int_stack+6475, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2125, int_stack+1765, int_stack+6025, int_stack+1225, int_stack+5665, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5175, int_stack+0, int_stack+16690, int_stack+13300, int_stack+10150, int_stack+7105, 3, 0);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13300, int_stack+2785, int_stack+2575, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3065, int_stack+2785, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+840, int_stack+0, int_stack+13300, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13300, int_stack+3425, int_stack+3065, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2100, int_stack+13300, int_stack+0, 10);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4085, int_stack+3875, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13300, int_stack+4365, int_stack+4085, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+9205, int_stack+13300, int_stack+0, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+16060, int_stack+4725, int_stack+4365, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18790, int_stack+16060, int_stack+13300, 10);
 /*--- compute (f0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20470, int_stack+5175, int_stack+17530, int_stack+14380, int_stack+11410, int_stack+7945, 3, 0);
     Libr12->te_ptr[3] = int_stack + 20470;
 /*--- compute (f0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+16060, int_stack+2100, int_stack+840, 10);
     Libr12->te_ptr[2] = int_stack + 16060;
 /*--- compute (f0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+18790, int_stack+9205, 10);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (f0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+9205, int_stack+14380, int_stack+7945, 10);
     Libr12->te_ptr[0] = int_stack + 9205;

}
