#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0i0(Libr12_t *, prim_data *);

  /* Computes (f0|i0) integrals for linear R12-methods */

void hrr_grt_order_f0i0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t1vrr_classes[3][6] = int_stack + 280;
 Libr12->rvrr_classes[3][6] = int_stack + 560;
 Libr12->gvrr_classes[3][6] = int_stack + 840;
 memset(int_stack,0,1120*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1120;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0i0(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|i0) ---*/
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (f0|[r12,T1]|i0) ---*/
     Libr12->te_ptr[2] = int_stack + 280;
 /*--- compute (f0||i0) ---*/
     Libr12->te_ptr[1] = int_stack + 560;
 /*--- compute (f0|i0) ---*/
     Libr12->te_ptr[0] = int_stack + 840;

}
