#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0id(Libr12_t *, prim_data *);

  /* Computes (f0|id) integrals for linear R12-methods */

void hrr_grt_order_f0id(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 420;
 Libr12->gvrr_classes[4][7] = int_stack + 700;
 Libr12->t2vrr_classes[3][7] = int_stack + 1240;
 Libr12->t2vrr_classes[3][8] = int_stack + 1600;
 Libr12->t1vrr_classes[3][6] = int_stack + 2050;
 Libr12->t1vrr_classes[3][7] = int_stack + 2330;
 Libr12->t1vrr_classes[3][8] = int_stack + 2690;
 Libr12->rvrr_classes[3][6] = int_stack + 3140;
 Libr12->rvrr_classes[3][7] = int_stack + 3420;
 Libr12->rvrr_classes[3][8] = int_stack + 3780;
 Libr12->gvrr_classes[3][6] = int_stack + 4230;
 Libr12->gvrr_classes[3][7] = int_stack + 4510;
 Libr12->gvrr_classes[3][8] = int_stack + 4870;
 memset(int_stack,0,5320*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 5320;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0id(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5320, int_stack+4510, int_stack+4230, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6160, int_stack+700, int_stack+0, 15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7420, int_stack+4870, int_stack+4510, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8500, int_stack+1240, int_stack+420, int_stack+4510, int_stack+0, int_stack+4230, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9340, int_stack+1600, int_stack+1240, int_stack+4870, int_stack+700, int_stack+4510, 3, 0);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4230, int_stack+2330, int_stack+2050, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2690, int_stack+2330, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1080, int_stack+3420, int_stack+3140, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1920, int_stack+3780, int_stack+3420, 10);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10420, int_stack+9340, int_stack+8500, int_stack+7420, int_stack+6160, int_stack+5320, 3, 0);
     Libr12->te_ptr[3] = int_stack + 10420;
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8500, int_stack+0, int_stack+4230, 10);
     Libr12->te_ptr[2] = int_stack + 8500;
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3000, int_stack+1920, int_stack+1080, 10);
     Libr12->te_ptr[1] = int_stack + 3000;
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+7420, int_stack+5320, 10);
     Libr12->te_ptr[0] = int_stack + 0;

}
