#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0if(Libr12_t *, prim_data *);

  /* Computes (f0|if) integrals for linear R12-methods */

void hrr_grt_order_f0if(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 420;
 Libr12->gvrr_classes[4][7] = int_stack + 700;
 Libr12->t2vrr_classes[3][7] = int_stack + 1240;
 Libr12->gvrr_classes[4][8] = int_stack + 1600;
 Libr12->t2vrr_classes[3][8] = int_stack + 2275;
 Libr12->t2vrr_classes[3][9] = int_stack + 2725;
 Libr12->t1vrr_classes[3][6] = int_stack + 3275;
 Libr12->t1vrr_classes[3][7] = int_stack + 3555;
 Libr12->t1vrr_classes[3][8] = int_stack + 3915;
 Libr12->t1vrr_classes[3][9] = int_stack + 4365;
 Libr12->rvrr_classes[3][6] = int_stack + 4915;
 Libr12->rvrr_classes[3][7] = int_stack + 5195;
 Libr12->rvrr_classes[3][8] = int_stack + 5555;
 Libr12->rvrr_classes[3][9] = int_stack + 6005;
 Libr12->gvrr_classes[3][6] = int_stack + 6555;
 Libr12->gvrr_classes[3][7] = int_stack + 6835;
 Libr12->gvrr_classes[3][8] = int_stack + 7195;
 Libr12->gvrr_classes[3][9] = int_stack + 7645;
 memset(int_stack,0,8195*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 8195;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0if(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8195, int_stack+6835, int_stack+6555, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+9035, int_stack+7195, int_stack+6835, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10115, int_stack+9035, int_stack+8195, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11795, int_stack+700, int_stack+0, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13055, int_stack+1600, int_stack+700, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14675, int_stack+13055, int_stack+11795, 15);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+17195, int_stack+7645, int_stack+7195, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+18545, int_stack+17195, int_stack+9035, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20705, int_stack+1240, int_stack+420, int_stack+6835, int_stack+0, int_stack+6555, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21545, int_stack+2275, int_stack+1240, int_stack+7195, int_stack+700, int_stack+6835, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22625, int_stack+21545, int_stack+20705, int_stack+9035, int_stack+11795, int_stack+8195, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2725, int_stack+2275, int_stack+7645, int_stack+1600, int_stack+7195, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6555, int_stack+0, int_stack+21545, int_stack+17195, int_stack+13055, int_stack+9035, 3, 0);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17195, int_stack+3555, int_stack+3275, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3915, int_stack+3555, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1080, int_stack+0, int_stack+17195, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+17195, int_stack+4365, int_stack+3915, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+11795, int_stack+17195, int_stack+0, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5195, int_stack+4915, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+17195, int_stack+5555, int_stack+5195, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2760, int_stack+17195, int_stack+0, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+20705, int_stack+6005, int_stack+5555, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+24305, int_stack+20705, int_stack+17195, 10);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26465, int_stack+6555, int_stack+22625, int_stack+18545, int_stack+14675, int_stack+10115, 3, 0);
     Libr12->te_ptr[3] = int_stack + 26465;
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+20705, int_stack+11795, int_stack+1080, 10);
     Libr12->te_ptr[2] = int_stack + 20705;
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+11795, int_stack+24305, int_stack+2760, 10);
     Libr12->te_ptr[1] = int_stack + 11795;
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+14595, int_stack+18545, int_stack+10115, 10);
     Libr12->te_ptr[0] = int_stack + 14595;

}
