#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0ig(Libr12_t *, prim_data *);

  /* Computes (f0|ig) integrals for linear R12-methods */

void hrr_grt_order_f0ig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 420;
 Libr12->gvrr_classes[4][7] = int_stack + 700;
 Libr12->t2vrr_classes[3][7] = int_stack + 1240;
 Libr12->gvrr_classes[4][8] = int_stack + 1600;
 Libr12->t2vrr_classes[3][8] = int_stack + 2275;
 Libr12->gvrr_classes[4][9] = int_stack + 2725;
 Libr12->t2vrr_classes[3][9] = int_stack + 3550;
 Libr12->t2vrr_classes[3][10] = int_stack + 4100;
 Libr12->t1vrr_classes[3][6] = int_stack + 4760;
 Libr12->t1vrr_classes[3][7] = int_stack + 5040;
 Libr12->t1vrr_classes[3][8] = int_stack + 5400;
 Libr12->t1vrr_classes[3][9] = int_stack + 5850;
 Libr12->t1vrr_classes[3][10] = int_stack + 6400;
 Libr12->rvrr_classes[3][6] = int_stack + 7060;
 Libr12->rvrr_classes[3][7] = int_stack + 7340;
 Libr12->rvrr_classes[3][8] = int_stack + 7700;
 Libr12->rvrr_classes[3][9] = int_stack + 8150;
 Libr12->rvrr_classes[3][10] = int_stack + 8700;
 Libr12->gvrr_classes[3][6] = int_stack + 9360;
 Libr12->gvrr_classes[3][7] = int_stack + 9640;
 Libr12->gvrr_classes[3][8] = int_stack + 10000;
 Libr12->gvrr_classes[3][9] = int_stack + 10450;
 Libr12->gvrr_classes[3][10] = int_stack + 11000;
 memset(int_stack,0,11660*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 11660;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0ig(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11660, int_stack+9640, int_stack+9360, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12500, int_stack+10000, int_stack+9640, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13580, int_stack+12500, int_stack+11660, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+15260, int_stack+10450, int_stack+10000, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+16610, int_stack+15260, int_stack+12500, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+18770, int_stack+16610, int_stack+13580, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21570, int_stack+700, int_stack+0, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+22830, int_stack+1600, int_stack+700, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+24450, int_stack+22830, int_stack+21570, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+26970, int_stack+2725, int_stack+1600, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+28995, int_stack+26970, int_stack+22830, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+32235, int_stack+28995, int_stack+24450, 15);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+36435, int_stack+11000, int_stack+10450, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+38085, int_stack+36435, int_stack+15260, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+40785, int_stack+38085, int_stack+16610, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44385, int_stack+1240, int_stack+420, int_stack+9640, int_stack+0, int_stack+9360, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45225, int_stack+2275, int_stack+1240, int_stack+10000, int_stack+700, int_stack+9640, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46305, int_stack+45225, int_stack+44385, int_stack+12500, int_stack+21570, int_stack+11660, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3550, int_stack+2275, int_stack+10450, int_stack+1600, int_stack+10000, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47985, int_stack+0, int_stack+45225, int_stack+15260, int_stack+22830, int_stack+12500, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21570, int_stack+47985, int_stack+46305, int_stack+16610, int_stack+24450, int_stack+13580, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11660, int_stack+4100, int_stack+3550, int_stack+11000, int_stack+2725, int_stack+10450, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44385, int_stack+11660, int_stack+0, int_stack+36435, int_stack+26970, int_stack+15260, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+44385, int_stack+47985, int_stack+38085, int_stack+28995, int_stack+16610, 3, 0);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+44385, int_stack+5040, int_stack+4760, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+45225, int_stack+5400, int_stack+5040, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+46305, int_stack+45225, int_stack+44385, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+47985, int_stack+5850, int_stack+5400, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+36435, int_stack+47985, int_stack+45225, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+24370, int_stack+36435, int_stack+46305, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+44385, int_stack+6400, int_stack+5850, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3600, int_stack+44385, int_stack+47985, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+44385, int_stack+3600, int_stack+36435, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36435, int_stack+7340, int_stack+7060, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+37275, int_stack+7700, int_stack+7340, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+38355, int_stack+37275, int_stack+36435, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3600, int_stack+8150, int_stack+7700, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4950, int_stack+3600, int_stack+37275, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47985, int_stack+4950, int_stack+38355, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+36435, int_stack+8700, int_stack+8150, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+38085, int_stack+36435, int_stack+3600, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+7110, int_stack+38085, int_stack+4950, 10);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36435, int_stack+0, int_stack+21570, int_stack+40785, int_stack+32235, int_stack+18770, 3, 0);
     Libr12->te_ptr[3] = int_stack + 36435;
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+44385, int_stack+24370, 10);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+21570, int_stack+7110, int_stack+47985, 10);
     Libr12->te_ptr[1] = int_stack + 21570;
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+44385, int_stack+40785, int_stack+18770, 10);
     Libr12->te_ptr[0] = int_stack + 44385;

}
