#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0ih(Libr12_t *, prim_data *);

  /* Computes (f0|ih) integrals for linear R12-methods */

void hrr_grt_order_f0ih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 420;
 Libr12->gvrr_classes[4][7] = int_stack + 700;
 Libr12->t2vrr_classes[3][7] = int_stack + 1240;
 Libr12->gvrr_classes[4][8] = int_stack + 1600;
 Libr12->t2vrr_classes[3][8] = int_stack + 2275;
 Libr12->gvrr_classes[4][9] = int_stack + 2725;
 Libr12->t2vrr_classes[3][9] = int_stack + 3550;
 Libr12->gvrr_classes[4][10] = int_stack + 4100;
 Libr12->t2vrr_classes[3][10] = int_stack + 5090;
 Libr12->t2vrr_classes[3][11] = int_stack + 5750;
 Libr12->t1vrr_classes[3][6] = int_stack + 6530;
 Libr12->t1vrr_classes[3][7] = int_stack + 6810;
 Libr12->t1vrr_classes[3][8] = int_stack + 7170;
 Libr12->t1vrr_classes[3][9] = int_stack + 7620;
 Libr12->t1vrr_classes[3][10] = int_stack + 8170;
 Libr12->t1vrr_classes[3][11] = int_stack + 8830;
 Libr12->rvrr_classes[3][6] = int_stack + 9610;
 Libr12->rvrr_classes[3][7] = int_stack + 9890;
 Libr12->rvrr_classes[3][8] = int_stack + 10250;
 Libr12->rvrr_classes[3][9] = int_stack + 10700;
 Libr12->rvrr_classes[3][10] = int_stack + 11250;
 Libr12->rvrr_classes[3][11] = int_stack + 11910;
 Libr12->gvrr_classes[3][6] = int_stack + 12690;
 Libr12->gvrr_classes[3][7] = int_stack + 12970;
 Libr12->gvrr_classes[3][8] = int_stack + 13330;
 Libr12->gvrr_classes[3][9] = int_stack + 13780;
 Libr12->gvrr_classes[3][10] = int_stack + 14330;
 Libr12->gvrr_classes[3][11] = int_stack + 14990;
 memset(int_stack,0,15770*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 15770;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0ih(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15770, int_stack+12970, int_stack+12690, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+16610, int_stack+13330, int_stack+12970, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+17690, int_stack+16610, int_stack+15770, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+19370, int_stack+13780, int_stack+13330, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+20720, int_stack+19370, int_stack+16610, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+22880, int_stack+20720, int_stack+17690, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+25680, int_stack+14330, int_stack+13780, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+27330, int_stack+25680, int_stack+19370, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+30030, int_stack+27330, int_stack+20720, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+33630, int_stack+30030, int_stack+22880, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37830, int_stack+700, int_stack+0, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39090, int_stack+1600, int_stack+700, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+40710, int_stack+39090, int_stack+37830, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+43230, int_stack+2725, int_stack+1600, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+45255, int_stack+43230, int_stack+39090, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+48495, int_stack+45255, int_stack+40710, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+52695, int_stack+4100, int_stack+2725, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+55170, int_stack+52695, int_stack+43230, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+59220, int_stack+55170, int_stack+45255, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+64620, int_stack+59220, int_stack+48495, 15);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+70920, int_stack+14990, int_stack+14330, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+72900, int_stack+70920, int_stack+25680, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+76200, int_stack+72900, int_stack+27330, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+80700, int_stack+76200, int_stack+30030, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86100, int_stack+1240, int_stack+420, int_stack+12970, int_stack+0, int_stack+12690, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86940, int_stack+2275, int_stack+1240, int_stack+13330, int_stack+700, int_stack+12970, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88020, int_stack+86940, int_stack+86100, int_stack+16610, int_stack+37830, int_stack+15770, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3550, int_stack+2275, int_stack+13780, int_stack+1600, int_stack+13330, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89700, int_stack+0, int_stack+86940, int_stack+19370, int_stack+39090, int_stack+16610, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37830, int_stack+89700, int_stack+88020, int_stack+20720, int_stack+40710, int_stack+17690, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15770, int_stack+5090, int_stack+3550, int_stack+14330, int_stack+2725, int_stack+13780, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86100, int_stack+15770, int_stack+0, int_stack+25680, int_stack+43230, int_stack+19370, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+86100, int_stack+89700, int_stack+27330, int_stack+45255, int_stack+20720, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17420, int_stack+0, int_stack+37830, int_stack+30030, int_stack+48495, int_stack+22880, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37830, int_stack+5750, int_stack+5090, int_stack+14990, int_stack+4100, int_stack+14330, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39810, int_stack+37830, int_stack+15770, int_stack+70920, int_stack+52695, int_stack+25680, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43110, int_stack+39810, int_stack+86100, int_stack+72900, int_stack+55170, int_stack+27330, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86100, int_stack+43110, int_stack+0, int_stack+76200, int_stack+59220, int_stack+30030, 3, 0);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+6810, int_stack+6530, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+840, int_stack+7170, int_stack+6810, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1920, int_stack+840, int_stack+0, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3600, int_stack+7620, int_stack+7170, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4950, int_stack+3600, int_stack+840, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+70920, int_stack+4950, int_stack+1920, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+8170, int_stack+7620, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+73720, int_stack+0, int_stack+3600, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+76420, int_stack+73720, int_stack+4950, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1650, int_stack+76420, int_stack+70920, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+70920, int_stack+8830, int_stack+8170, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+5850, int_stack+70920, int_stack+0, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+37830, int_stack+5850, int_stack+73720, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+70920, int_stack+37830, int_stack+76420, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37830, int_stack+9890, int_stack+9610, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+38670, int_stack+10250, int_stack+9890, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+39750, int_stack+38670, int_stack+37830, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+41430, int_stack+10700, int_stack+10250, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+42780, int_stack+41430, int_stack+38670, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+44940, int_stack+42780, int_stack+39750, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11250, int_stack+10700, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+37830, int_stack+0, int_stack+41430, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+47740, int_stack+37830, int_stack+42780, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+40530, int_stack+47740, int_stack+44940, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+44730, int_stack+11910, int_stack+11250, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+51340, int_stack+44730, int_stack+0, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+54640, int_stack+51340, int_stack+37830, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+59140, int_stack+54640, int_stack+47740, 10);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44730, int_stack+86100, int_stack+17420, int_stack+80700, int_stack+64620, int_stack+33630, 3, 0);
     Libr12->te_ptr[3] = int_stack + 44730;
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+86100, int_stack+70920, int_stack+1650, 10);
     Libr12->te_ptr[2] = int_stack + 86100;
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+59140, int_stack+40530, 10);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+37830, int_stack+80700, int_stack+33630, 10);
     Libr12->te_ptr[0] = int_stack + 37830;

}
