#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0ii(Libr12_t *, prim_data *);

  /* Computes (f0|ii) integrals for linear R12-methods */

void hrr_grt_order_f0ii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 420;
 Libr12->gvrr_classes[4][7] = int_stack + 700;
 Libr12->t2vrr_classes[3][7] = int_stack + 1240;
 Libr12->gvrr_classes[4][8] = int_stack + 1600;
 Libr12->t2vrr_classes[3][8] = int_stack + 2275;
 Libr12->gvrr_classes[4][9] = int_stack + 2725;
 Libr12->t2vrr_classes[3][9] = int_stack + 3550;
 Libr12->gvrr_classes[4][10] = int_stack + 4100;
 Libr12->t2vrr_classes[3][10] = int_stack + 5090;
 Libr12->gvrr_classes[4][11] = int_stack + 5750;
 Libr12->t2vrr_classes[3][11] = int_stack + 6920;
 Libr12->t2vrr_classes[3][12] = int_stack + 7700;
 Libr12->t1vrr_classes[3][6] = int_stack + 8610;
 Libr12->t1vrr_classes[3][7] = int_stack + 8890;
 Libr12->t1vrr_classes[3][8] = int_stack + 9250;
 Libr12->t1vrr_classes[3][9] = int_stack + 9700;
 Libr12->t1vrr_classes[3][10] = int_stack + 10250;
 Libr12->t1vrr_classes[3][11] = int_stack + 10910;
 Libr12->t1vrr_classes[3][12] = int_stack + 11690;
 Libr12->rvrr_classes[3][6] = int_stack + 12600;
 Libr12->rvrr_classes[3][7] = int_stack + 12880;
 Libr12->rvrr_classes[3][8] = int_stack + 13240;
 Libr12->rvrr_classes[3][9] = int_stack + 13690;
 Libr12->rvrr_classes[3][10] = int_stack + 14240;
 Libr12->rvrr_classes[3][11] = int_stack + 14900;
 Libr12->rvrr_classes[3][12] = int_stack + 15680;
 Libr12->gvrr_classes[3][6] = int_stack + 16590;
 Libr12->gvrr_classes[3][7] = int_stack + 16870;
 Libr12->gvrr_classes[3][8] = int_stack + 17230;
 Libr12->gvrr_classes[3][9] = int_stack + 17680;
 Libr12->gvrr_classes[3][10] = int_stack + 18230;
 Libr12->gvrr_classes[3][11] = int_stack + 18890;
 Libr12->gvrr_classes[3][12] = int_stack + 19670;
 memset(int_stack,0,20580*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 20580;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0ii(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20580, int_stack+16870, int_stack+16590, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+21420, int_stack+17230, int_stack+16870, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+22500, int_stack+21420, int_stack+20580, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+24180, int_stack+17680, int_stack+17230, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+25530, int_stack+24180, int_stack+21420, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+27690, int_stack+25530, int_stack+22500, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+30490, int_stack+18230, int_stack+17680, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+32140, int_stack+30490, int_stack+24180, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+34840, int_stack+32140, int_stack+25530, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+38440, int_stack+34840, int_stack+27690, 10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+42640, int_stack+18890, int_stack+18230, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+44620, int_stack+42640, int_stack+30490, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+47920, int_stack+44620, int_stack+32140, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+52420, int_stack+47920, int_stack+34840, 10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+57820, int_stack+52420, int_stack+38440, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+63700, int_stack+700, int_stack+0, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+64960, int_stack+1600, int_stack+700, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+66580, int_stack+64960, int_stack+63700, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+69100, int_stack+2725, int_stack+1600, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+71125, int_stack+69100, int_stack+64960, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+74365, int_stack+71125, int_stack+66580, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+78565, int_stack+4100, int_stack+2725, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+81040, int_stack+78565, int_stack+69100, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+85090, int_stack+81040, int_stack+71125, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+90490, int_stack+85090, int_stack+74365, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+96790, int_stack+5750, int_stack+4100, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+99760, int_stack+96790, int_stack+78565, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+104710, int_stack+99760, int_stack+81040, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+111460, int_stack+104710, int_stack+85090, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+119560, int_stack+111460, int_stack+90490, 15);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+128380, int_stack+19670, int_stack+18890, 10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+130720, int_stack+128380, int_stack+42640, 10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+134680, int_stack+130720, int_stack+44620, 10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+140180, int_stack+134680, int_stack+47920, 10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+146930, int_stack+140180, int_stack+52420, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154490, int_stack+1240, int_stack+420, int_stack+16870, int_stack+0, int_stack+16590, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155330, int_stack+2275, int_stack+1240, int_stack+17230, int_stack+700, int_stack+16870, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+156410, int_stack+155330, int_stack+154490, int_stack+21420, int_stack+63700, int_stack+20580, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3550, int_stack+2275, int_stack+17680, int_stack+1600, int_stack+17230, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158090, int_stack+0, int_stack+155330, int_stack+24180, int_stack+64960, int_stack+21420, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+63700, int_stack+158090, int_stack+156410, int_stack+25530, int_stack+66580, int_stack+22500, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20580, int_stack+5090, int_stack+3550, int_stack+18230, int_stack+2725, int_stack+17680, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154490, int_stack+20580, int_stack+0, int_stack+30490, int_stack+69100, int_stack+24180, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+154490, int_stack+158090, int_stack+32140, int_stack+71125, int_stack+25530, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22230, int_stack+0, int_stack+63700, int_stack+34840, int_stack+74365, int_stack+27690, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+63700, int_stack+6920, int_stack+5090, int_stack+18890, int_stack+4100, int_stack+18230, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65680, int_stack+63700, int_stack+20580, int_stack+42640, int_stack+78565, int_stack+30490, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68980, int_stack+65680, int_stack+154490, int_stack+44620, int_stack+81040, int_stack+32140, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154490, int_stack+68980, int_stack+0, int_stack+47920, int_stack+85090, int_stack+34840, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73480, int_stack+154490, int_stack+22230, int_stack+52420, int_stack+90490, int_stack+38440, 3, 0);
 /*--- compute (f0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+7700, int_stack+6920, int_stack+19670, int_stack+5750, int_stack+18890, 3, 0);
 /*--- compute (f0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2340, int_stack+0, int_stack+63700, int_stack+128380, int_stack+96790, int_stack+42640, 3, 0);
 /*--- compute (f0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+79360, int_stack+2340, int_stack+65680, int_stack+130720, int_stack+99760, int_stack+44620, 3, 0);
 /*--- compute (f0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+79360, int_stack+68980, int_stack+134680, int_stack+104710, int_stack+47920, 3, 0);
 /*--- compute (f0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+79360, int_stack+0, int_stack+154490, int_stack+140180, int_stack+111460, int_stack+52420, 3, 0);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+154490, int_stack+8890, int_stack+8610, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+155330, int_stack+9250, int_stack+8890, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+156410, int_stack+155330, int_stack+154490, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+158090, int_stack+9700, int_stack+9250, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+158090, int_stack+155330, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2160, int_stack+0, int_stack+156410, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+154490, int_stack+10250, int_stack+9700, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+4960, int_stack+154490, int_stack+158090, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+156140, int_stack+4960, int_stack+0, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+86920, int_stack+156140, int_stack+2160, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10910, int_stack+10250, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+91120, int_stack+0, int_stack+154490, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+94420, int_stack+91120, int_stack+4960, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1980, int_stack+94420, int_stack+156140, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+154490, int_stack+1980, int_stack+86920, 10);
 /*--- compute (f0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+86920, int_stack+11690, int_stack+10910, 10);
 /*--- compute (f0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+7380, int_stack+86920, int_stack+0, 10);
 /*--- compute (f0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+98920, int_stack+7380, int_stack+91120, 10);
 /*--- compute (f0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+86920, int_stack+98920, int_stack+94420, 10);
 /*--- compute (f0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+93670, int_stack+86920, int_stack+1980, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+86920, int_stack+12880, int_stack+12600, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+87760, int_stack+13240, int_stack+12880, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+88840, int_stack+87760, int_stack+86920, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+90520, int_stack+13690, int_stack+13240, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+90520, int_stack+87760, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2160, int_stack+0, int_stack+88840, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+86920, int_stack+14240, int_stack+13690, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+4960, int_stack+86920, int_stack+90520, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+88570, int_stack+4960, int_stack+0, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+7660, int_stack+88570, int_stack+2160, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+14900, int_stack+14240, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+101230, int_stack+0, int_stack+86920, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+104530, int_stack+101230, int_stack+4960, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1980, int_stack+104530, int_stack+88570, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+86920, int_stack+1980, int_stack+7660, 10);
 /*--- compute (f0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+7380, int_stack+15680, int_stack+14900, 10);
 /*--- compute (f0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+9720, int_stack+7380, int_stack+0, 10);
 /*--- compute (f0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+13680, int_stack+9720, int_stack+101230, 10);
 /*--- compute (f0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+19180, int_stack+13680, int_stack+104530, 10);
 /*--- compute (f0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+101230, int_stack+19180, int_stack+1980, 10);
 /*--- compute (f0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108790, int_stack+79360, int_stack+73480, int_stack+146930, int_stack+119560, int_stack+57820, 3, 0);
     Libr12->te_ptr[3] = int_stack + 108790;
 /*--- compute (f0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+116630, int_stack+93670, int_stack+154490, 10);
     Libr12->te_ptr[2] = int_stack + 116630;
 /*--- compute (f0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+124470, int_stack+101230, int_stack+86920, 10);
     Libr12->te_ptr[1] = int_stack + 124470;
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+132310, int_stack+146930, int_stack+57820, 10);
     Libr12->te_ptr[0] = int_stack + 132310;

}
