#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_f0ip(Libr12_t *, prim_data *);

  /* Computes (f0|ip) integrals for linear R12-methods */

void hrr_grt_order_f0ip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 420;
 Libr12->t2vrr_classes[3][7] = int_stack + 700;
 Libr12->t1vrr_classes[3][6] = int_stack + 1060;
 Libr12->t1vrr_classes[3][7] = int_stack + 1340;
 Libr12->rvrr_classes[3][6] = int_stack + 1700;
 Libr12->rvrr_classes[3][7] = int_stack + 1980;
 Libr12->gvrr_classes[3][6] = int_stack + 2340;
 Libr12->gvrr_classes[3][7] = int_stack + 2620;
 memset(int_stack,0,2980*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 2980;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_f0ip(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2980, int_stack+700, int_stack+420, int_stack+2620, int_stack+0, int_stack+2340, 3, 0);
     Libr12->te_ptr[3] = int_stack + 2980;
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1340, int_stack+1060, 10);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+840, int_stack+1980, int_stack+1700, 10);
     Libr12->te_ptr[1] = int_stack + 840;
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3820, int_stack+2620, int_stack+2340, 10);
     Libr12->te_ptr[0] = int_stack + 3820;

}
