#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdgp(Libr12_t *, prim_data *);

  /* Computes (fd|gp) integrals for linear R12-methods */

void hrr_grt_order_fdgp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][4] = int_stack + 0;
 Libr12->t2vrr_classes[3][5] = int_stack + 150;
 Libr12->t2vrr_classes[4][4] = int_stack + 360;
 Libr12->t2vrr_classes[4][5] = int_stack + 585;
 Libr12->gvrr_classes[6][4] = int_stack + 900;
 Libr12->t2vrr_classes[5][4] = int_stack + 1320;
 Libr12->t2vrr_classes[5][5] = int_stack + 1635;
 Libr12->gvrr_classes[3][6] = int_stack + 2076;
 Libr12->t1vrr_classes[3][4] = int_stack + 2356;
 Libr12->t1vrr_classes[3][5] = int_stack + 2506;
 Libr12->gvrr_classes[4][6] = int_stack + 2716;
 Libr12->t1vrr_classes[4][4] = int_stack + 3136;
 Libr12->t1vrr_classes[4][5] = int_stack + 3361;
 Libr12->t1vrr_classes[5][4] = int_stack + 3676;
 Libr12->t1vrr_classes[5][5] = int_stack + 3991;
 Libr12->rvrr_classes[3][4] = int_stack + 4432;
 Libr12->rvrr_classes[3][5] = int_stack + 4582;
 Libr12->rvrr_classes[4][4] = int_stack + 4792;
 Libr12->rvrr_classes[4][5] = int_stack + 5017;
 Libr12->rvrr_classes[5][4] = int_stack + 5332;
 Libr12->rvrr_classes[5][5] = int_stack + 5647;
 Libr12->gvrr_classes[3][4] = int_stack + 6088;
 Libr12->gvrr_classes[3][5] = int_stack + 6238;
 Libr12->gvrr_classes[4][4] = int_stack + 6448;
 Libr12->gvrr_classes[4][5] = int_stack + 6673;
 Libr12->gvrr_classes[5][4] = int_stack + 6988;
 Libr12->gvrr_classes[5][5] = int_stack + 7303;
 memset(int_stack,0,7744*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 7744;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdgp(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7744, int_stack+150, int_stack+0, int_stack+6238, int_stack+6448, int_stack+6088, 3, 0);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8194, int_stack+585, int_stack+360, int_stack+6673, int_stack+6988, int_stack+6448, 4, 0);
 /*--- compute (fp|[r12,T2]|gp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+8869, int_stack+8194, int_stack+7744, 45);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10219, int_stack+1635, int_stack+1320, int_stack+7303, int_stack+900, int_stack+6988, 5, 0);
 /*--- compute (gp|[r12,T2]|gp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+10219, int_stack+8194, 45);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+10219, int_stack+6238, int_stack+6088, 10);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+10669, int_stack+6673, int_stack+6448, 15);
 /*--- compute (fp|gp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+11344, int_stack+10669, int_stack+10219, 45);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+7744, int_stack+2076, int_stack+6238, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12694, int_stack+2716, int_stack+6673, 15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+13639, int_stack+12694, int_stack+7744, 63);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+15529, int_stack+7303, int_stack+6988, 21);
 /*--- compute (gp|gp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+16474, int_stack+15529, int_stack+10669, 45);
 /*--- compute (f0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+6088, int_stack+2506, int_stack+2356, 10);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+6538, int_stack+3361, int_stack+3136, 15);
 /*--- compute (fp|[r12,T1]|gp) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2025, int_stack+6538, int_stack+6088, int_stack+10669, int_stack+7744, int_stack+10219, 4, 1);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7213, int_stack+3991, int_stack+3676, 21);
 /*--- compute (gp|[r12,T1]|gp) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+18499, int_stack+7213, int_stack+6538, int_stack+15529, int_stack+12694, int_stack+10669, 4, 1);
 /*--- compute (f0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+12694, int_stack+4582, int_stack+4432, 10);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+15529, int_stack+5017, int_stack+4792, 15);
 /*--- compute (fp||gp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+6088, int_stack+15529, int_stack+12694, 45);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+12694, int_stack+5647, int_stack+5332, 21);
 /*--- compute (gp||gp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+3375, int_stack+12694, int_stack+15529, 45);
 /*--- compute (fd|[r12,T2]|gp) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+20524, int_stack+0, int_stack+8869, 45);
     Libr12->te_ptr[3] = int_stack + 20524;
 /*--- compute (fd|[r12,T1]|gp) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+7438, int_stack+18499, int_stack+2025, int_stack+16474, int_stack+13639, int_stack+11344, 4, 1);
     Libr12->te_ptr[2] = int_stack + 7438;
 /*--- compute (fd||gp) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+3375, int_stack+6088, 45);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (fd|gp) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+2700, int_stack+16474, int_stack+11344, 45);
     Libr12->te_ptr[0] = int_stack + 2700;

}
