#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdhd(Libr12_t *, prim_data *);

  /* Computes (fd|hd) integrals for linear R12-methods */

void hrr_grt_order_fdhd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][5] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 210;
 Libr12->t2vrr_classes[3][7] = int_stack + 490;
 Libr12->t2vrr_classes[4][5] = int_stack + 850;
 Libr12->t2vrr_classes[4][6] = int_stack + 1165;
 Libr12->t2vrr_classes[4][7] = int_stack + 1585;
 Libr12->gvrr_classes[6][5] = int_stack + 2125;
 Libr12->t2vrr_classes[5][5] = int_stack + 2713;
 Libr12->gvrr_classes[6][6] = int_stack + 3154;
 Libr12->t2vrr_classes[5][6] = int_stack + 3938;
 Libr12->t2vrr_classes[5][7] = int_stack + 4526;
 Libr12->gvrr_classes[3][8] = int_stack + 5282;
 Libr12->t1vrr_classes[3][5] = int_stack + 5732;
 Libr12->t1vrr_classes[3][6] = int_stack + 5942;
 Libr12->t1vrr_classes[3][7] = int_stack + 6222;
 Libr12->gvrr_classes[4][8] = int_stack + 6582;
 Libr12->t1vrr_classes[4][5] = int_stack + 7257;
 Libr12->t1vrr_classes[4][6] = int_stack + 7572;
 Libr12->t1vrr_classes[4][7] = int_stack + 7992;
 Libr12->t1vrr_classes[5][5] = int_stack + 8532;
 Libr12->t1vrr_classes[5][6] = int_stack + 8973;
 Libr12->t1vrr_classes[5][7] = int_stack + 9561;
 Libr12->rvrr_classes[3][5] = int_stack + 10317;
 Libr12->rvrr_classes[3][6] = int_stack + 10527;
 Libr12->rvrr_classes[3][7] = int_stack + 10807;
 Libr12->rvrr_classes[4][5] = int_stack + 11167;
 Libr12->rvrr_classes[4][6] = int_stack + 11482;
 Libr12->rvrr_classes[4][7] = int_stack + 11902;
 Libr12->rvrr_classes[5][5] = int_stack + 12442;
 Libr12->rvrr_classes[5][6] = int_stack + 12883;
 Libr12->rvrr_classes[5][7] = int_stack + 13471;
 Libr12->gvrr_classes[3][5] = int_stack + 14227;
 Libr12->gvrr_classes[3][6] = int_stack + 14437;
 Libr12->gvrr_classes[3][7] = int_stack + 14717;
 Libr12->gvrr_classes[4][5] = int_stack + 15077;
 Libr12->gvrr_classes[4][6] = int_stack + 15392;
 Libr12->gvrr_classes[4][7] = int_stack + 15812;
 Libr12->gvrr_classes[5][5] = int_stack + 16352;
 Libr12->gvrr_classes[5][6] = int_stack + 16793;
 Libr12->gvrr_classes[5][7] = int_stack + 17381;
 memset(int_stack,0,18137*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 18137;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdhd(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+18137, int_stack+14437, int_stack+14227, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+18767, int_stack+15392, int_stack+15077, 15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19712, int_stack+14717, int_stack+14437, 10);
 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20552, int_stack+210, int_stack+0, int_stack+14437, int_stack+15077, int_stack+14227, 3, 0);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21182, int_stack+490, int_stack+210, int_stack+14717, int_stack+15392, int_stack+14437, 3, 0);
 /*--- compute (f0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22022, int_stack+21182, int_stack+20552, int_stack+19712, int_stack+18767, int_stack+18137, 3, 0);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+20552, int_stack+16793, int_stack+16352, 21);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23282, int_stack+15812, int_stack+15392, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24542, int_stack+1165, int_stack+850, int_stack+15392, int_stack+16352, int_stack+15077, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25487, int_stack+1585, int_stack+1165, int_stack+15812, int_stack+16793, int_stack+15392, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+25487, int_stack+24542, int_stack+23282, int_stack+20552, int_stack+18767, 4, 0);
 /*--- compute (fp|[r12,T2]|hd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+24542, int_stack+0, int_stack+22022, 126);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+28322, int_stack+3154, int_stack+2125, 28);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30086, int_stack+17381, int_stack+16793, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21875, int_stack+3938, int_stack+2713, int_stack+16793, int_stack+2125, int_stack+16352, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31850, int_stack+4526, int_stack+3938, int_stack+17381, int_stack+3154, int_stack+16793, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1890, int_stack+31850, int_stack+21875, int_stack+30086, int_stack+28322, int_stack+20552, 5, 0);
 /*--- compute (gp|[r12,T2]|hd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+31850, int_stack+1890, int_stack+0, 126);
 /*--- compute (f0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+19712, int_stack+18137, 10);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+23282, int_stack+18767, 15);
 /*--- compute (fp|hd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+37520, int_stack+1260, int_stack+0, 126);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3150, int_stack+5282, int_stack+14717, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+28322, int_stack+3150, int_stack+19712, 10);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3150, int_stack+6582, int_stack+15812, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14227, int_stack+3150, int_stack+23282, 15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+41300, int_stack+14227, int_stack+28322, 168);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+21875, int_stack+30086, int_stack+20552, 21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+46340, int_stack+21875, int_stack+1260, 126);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3150, int_stack+5942, int_stack+5732, 10);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+6222, int_stack+5942, 10);
 /*--- compute (f0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+3780, int_stack+3150, 10);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3150, int_stack+7572, int_stack+7257, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+7992, int_stack+7572, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+16747, int_stack+5880, int_stack+3150, 15);
 /*--- compute (fp|[r12,T1]|hd) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+52010, int_stack+16747, int_stack+4620, int_stack+1260, int_stack+28322, int_stack+0, 5, 2);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+28322, int_stack+8973, int_stack+8532, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+29645, int_stack+9561, int_stack+8973, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3150, int_stack+29645, int_stack+28322, 21);
 /*--- compute (gp|[r12,T1]|hd) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+55790, int_stack+3150, int_stack+16747, int_stack+21875, int_stack+14227, int_stack+1260, 5, 2);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14227, int_stack+10527, int_stack+10317, 10);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14857, int_stack+10807, int_stack+10527, 10);
 /*--- compute (f0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+15697, int_stack+14857, int_stack+14227, 10);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14227, int_stack+11482, int_stack+11167, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16957, int_stack+11902, int_stack+11482, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+18217, int_stack+16957, int_stack+14227, 15);
 /*--- compute (fp||hd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+20107, int_stack+18217, int_stack+15697, 126);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14227, int_stack+12883, int_stack+12442, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15550, int_stack+13471, int_stack+12883, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+28322, int_stack+15550, int_stack+14227, 21);
 /*--- compute (gp||hd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+28322, int_stack+18217, 126);
 /*--- compute (fd|[r12,T2]|hd) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+5670, int_stack+31850, int_stack+24542, 126);
     Libr12->te_ptr[3] = int_stack + 5670;
 /*--- compute (fd|[r12,T1]|hd) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+23887, int_stack+55790, int_stack+52010, int_stack+46340, int_stack+41300, int_stack+37520, 5, 2);
     Libr12->te_ptr[2] = int_stack + 23887;
 /*--- compute (fd||hd) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+52010, int_stack+0, int_stack+20107, 126);
     Libr12->te_ptr[1] = int_stack + 52010;
 /*--- compute (fd|hd) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+13230, int_stack+46340, int_stack+37520, 126);
     Libr12->te_ptr[0] = int_stack + 13230;

}
