#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdi0(Libr12_t *, prim_data *);

  /* Computes (fd|i0) integrals for linear R12-methods */

void hrr_grt_order_fdi0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 280;
 Libr12->t2vrr_classes[5][6] = int_stack + 700;
 Libr12->gvrr_classes[3][7] = int_stack + 1288;
 Libr12->t1vrr_classes[3][6] = int_stack + 1648;
 Libr12->gvrr_classes[4][7] = int_stack + 1928;
 Libr12->t1vrr_classes[4][6] = int_stack + 2468;
 Libr12->t1vrr_classes[5][6] = int_stack + 2888;
 Libr12->rvrr_classes[3][6] = int_stack + 3476;
 Libr12->rvrr_classes[4][6] = int_stack + 3756;
 Libr12->rvrr_classes[5][6] = int_stack + 4176;
 Libr12->gvrr_classes[3][6] = int_stack + 4764;
 Libr12->gvrr_classes[4][6] = int_stack + 5044;
 Libr12->gvrr_classes[5][6] = int_stack + 5464;
 memset(int_stack,0,6052*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 6052;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdi0(Libr12, Data);
   Data++;
 }

 /*--- compute (fp|[r12,T2]|i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+6052, int_stack+280, int_stack+0, 28);
 /*--- compute (gp|[r12,T2]|i0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+6892, int_stack+700, int_stack+280, 28);
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+5044, int_stack+4764, 28);
 /*--- compute (fp|k0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+8152, int_stack+1928, int_stack+1288, 36);
 /*--- compute (gp|i0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+9232, int_stack+5464, int_stack+5044, 28);
 /*--- compute (fp|[r12,T1]|i0) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+10492, int_stack+2468, int_stack+1648, int_stack+5044, int_stack+1288, int_stack+4764, 6, 0);
 /*--- compute (gp|[r12,T1]|i0) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+11332, int_stack+2888, int_stack+2468, int_stack+5464, int_stack+1928, int_stack+5044, 6, 0);
 /*--- compute (fp||i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+4764, int_stack+3756, int_stack+3476, 28);
 /*--- compute (gp||i0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+840, int_stack+4176, int_stack+3756, 28);
 /*--- compute (fd|[r12,T2]|i0) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+2100, int_stack+6892, int_stack+6052, 28);
     Libr12->te_ptr[3] = int_stack + 2100;
 /*--- compute (fd|[r12,T1]|i0) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5604, int_stack+11332, int_stack+10492, int_stack+9232, int_stack+8152, int_stack+0, 6, 0);
     Libr12->te_ptr[2] = int_stack + 5604;
 /*--- compute (fd||i0) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+10492, int_stack+840, int_stack+4764, 28);
     Libr12->te_ptr[1] = int_stack + 10492;
 /*--- compute (fd|i0) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+7284, int_stack+9232, int_stack+0, 28);
     Libr12->te_ptr[0] = int_stack + 7284;

}
