#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdid(Libr12_t *, prim_data *);

  /* Computes (fd|id) integrals for linear R12-methods */

void hrr_grt_order_fdid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[4][6] = int_stack + 1090;
 Libr12->t2vrr_classes[4][7] = int_stack + 1510;
 Libr12->t2vrr_classes[4][8] = int_stack + 2050;
 Libr12->gvrr_classes[6][6] = int_stack + 2725;
 Libr12->t2vrr_classes[5][6] = int_stack + 3509;
 Libr12->gvrr_classes[6][7] = int_stack + 4097;
 Libr12->t2vrr_classes[5][7] = int_stack + 5105;
 Libr12->t2vrr_classes[5][8] = int_stack + 5861;
 Libr12->gvrr_classes[3][9] = int_stack + 6806;
 Libr12->t1vrr_classes[3][6] = int_stack + 7356;
 Libr12->t1vrr_classes[3][7] = int_stack + 7636;
 Libr12->t1vrr_classes[3][8] = int_stack + 7996;
 Libr12->gvrr_classes[4][9] = int_stack + 8446;
 Libr12->t1vrr_classes[4][6] = int_stack + 9271;
 Libr12->t1vrr_classes[4][7] = int_stack + 9691;
 Libr12->t1vrr_classes[4][8] = int_stack + 10231;
 Libr12->t1vrr_classes[5][6] = int_stack + 10906;
 Libr12->t1vrr_classes[5][7] = int_stack + 11494;
 Libr12->t1vrr_classes[5][8] = int_stack + 12250;
 Libr12->rvrr_classes[3][6] = int_stack + 13195;
 Libr12->rvrr_classes[3][7] = int_stack + 13475;
 Libr12->rvrr_classes[3][8] = int_stack + 13835;
 Libr12->rvrr_classes[4][6] = int_stack + 14285;
 Libr12->rvrr_classes[4][7] = int_stack + 14705;
 Libr12->rvrr_classes[4][8] = int_stack + 15245;
 Libr12->rvrr_classes[5][6] = int_stack + 15920;
 Libr12->rvrr_classes[5][7] = int_stack + 16508;
 Libr12->rvrr_classes[5][8] = int_stack + 17264;
 Libr12->gvrr_classes[3][6] = int_stack + 18209;
 Libr12->gvrr_classes[3][7] = int_stack + 18489;
 Libr12->gvrr_classes[3][8] = int_stack + 18849;
 Libr12->gvrr_classes[4][6] = int_stack + 19299;
 Libr12->gvrr_classes[4][7] = int_stack + 19719;
 Libr12->gvrr_classes[4][8] = int_stack + 20259;
 Libr12->gvrr_classes[5][6] = int_stack + 20934;
 Libr12->gvrr_classes[5][7] = int_stack + 21522;
 Libr12->gvrr_classes[5][8] = int_stack + 22278;
 memset(int_stack,0,23223*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 23223;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdid(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23223, int_stack+18489, int_stack+18209, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24063, int_stack+19719, int_stack+19299, 15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+25323, int_stack+18849, int_stack+18489, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26403, int_stack+280, int_stack+0, int_stack+18489, int_stack+19299, int_stack+18209, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27243, int_stack+640, int_stack+280, int_stack+18849, int_stack+19719, int_stack+18489, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28323, int_stack+27243, int_stack+26403, int_stack+25323, int_stack+24063, int_stack+23223, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+26403, int_stack+21522, int_stack+20934, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+30003, int_stack+20259, int_stack+19719, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31623, int_stack+1510, int_stack+1090, int_stack+19719, int_stack+20934, int_stack+19299, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32883, int_stack+2050, int_stack+1510, int_stack+20259, int_stack+21522, int_stack+19719, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+32883, int_stack+31623, int_stack+30003, int_stack+26403, int_stack+24063, 4, 0);
 /*--- compute (fp|[r12,T2]|id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+31623, int_stack+0, int_stack+28323, 168);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36663, int_stack+4097, int_stack+2725, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39015, int_stack+22278, int_stack+21522, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28167, int_stack+5105, int_stack+3509, int_stack+21522, int_stack+2725, int_stack+20934, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41283, int_stack+5861, int_stack+5105, int_stack+22278, int_stack+4097, int_stack+21522, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2520, int_stack+41283, int_stack+28167, int_stack+39015, int_stack+36663, int_stack+26403, 5, 0);
 /*--- compute (gp|[r12,T2]|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+41283, int_stack+2520, int_stack+0, 168);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+25323, int_stack+23223, 10);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1680, int_stack+30003, int_stack+24063, 15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+48843, int_stack+1680, int_stack+0, 168);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+6806, int_stack+18849, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+36663, int_stack+4200, int_stack+25323, 10);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+8446, int_stack+20259, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+18209, int_stack+4200, int_stack+30003, 15);
 /*--- compute (fp|kd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+53883, int_stack+18209, int_stack+36663, 216);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+21449, int_stack+39015, int_stack+26403, 21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+60363, int_stack+21449, int_stack+1680, 168);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+7636, int_stack+7356, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5040, int_stack+7996, int_stack+7636, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6120, int_stack+5040, int_stack+4200, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+9691, int_stack+9271, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7800, int_stack+10231, int_stack+9691, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+24977, int_stack+7800, int_stack+4200, 15);
 /*--- compute (fp|[r12,T1]|id) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+67923, int_stack+24977, int_stack+6120, int_stack+1680, int_stack+36663, int_stack+0, 6, 2);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36663, int_stack+11494, int_stack+10906, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+38427, int_stack+12250, int_stack+11494, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+38427, int_stack+36663, 21);
 /*--- compute (gp|[r12,T1]|id) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+72963, int_stack+4200, int_stack+24977, int_stack+21449, int_stack+18209, int_stack+1680, 6, 2);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18209, int_stack+13475, int_stack+13195, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+19049, int_stack+13835, int_stack+13475, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+20129, int_stack+19049, int_stack+18209, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18209, int_stack+14705, int_stack+14285, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+21809, int_stack+15245, int_stack+14705, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+23429, int_stack+21809, int_stack+18209, 15);
 /*--- compute (fp||id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+25949, int_stack+23429, int_stack+20129, 168);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18209, int_stack+16508, int_stack+15920, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+19973, int_stack+17264, int_stack+16508, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+36663, int_stack+19973, int_stack+18209, 21);
 /*--- compute (gp||id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+36663, int_stack+23429, 168);
 /*--- compute (fd|[r12,T2]|id) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+7560, int_stack+41283, int_stack+31623, 168);
     Libr12->te_ptr[3] = int_stack + 7560;
 /*--- compute (fd|[r12,T1]|id) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+30989, int_stack+72963, int_stack+67923, int_stack+60363, int_stack+53883, int_stack+48843, 6, 2);
     Libr12->te_ptr[2] = int_stack + 30989;
 /*--- compute (fd||id) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+67923, int_stack+0, int_stack+25949, 168);
     Libr12->te_ptr[1] = int_stack + 67923;
 /*--- compute (fd|id) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+17640, int_stack+60363, int_stack+48843, 168);
     Libr12->te_ptr[0] = int_stack + 17640;

}
