#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdif(Libr12_t *, prim_data *);

  /* Computes (fd|if) integrals for linear R12-methods */

void hrr_grt_order_fdif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[4][6] = int_stack + 1640;
 Libr12->t2vrr_classes[4][7] = int_stack + 2060;
 Libr12->t2vrr_classes[4][8] = int_stack + 2600;
 Libr12->t2vrr_classes[4][9] = int_stack + 3275;
 Libr12->gvrr_classes[6][6] = int_stack + 4100;
 Libr12->t2vrr_classes[5][6] = int_stack + 4884;
 Libr12->gvrr_classes[6][7] = int_stack + 5472;
 Libr12->t2vrr_classes[5][7] = int_stack + 6480;
 Libr12->gvrr_classes[6][8] = int_stack + 7236;
 Libr12->t2vrr_classes[5][8] = int_stack + 8496;
 Libr12->t2vrr_classes[5][9] = int_stack + 9441;
 Libr12->gvrr_classes[3][10] = int_stack + 10596;
 Libr12->t1vrr_classes[3][6] = int_stack + 11256;
 Libr12->t1vrr_classes[3][7] = int_stack + 11536;
 Libr12->t1vrr_classes[3][8] = int_stack + 11896;
 Libr12->t1vrr_classes[3][9] = int_stack + 12346;
 Libr12->gvrr_classes[4][10] = int_stack + 12896;
 Libr12->t1vrr_classes[4][6] = int_stack + 13886;
 Libr12->t1vrr_classes[4][7] = int_stack + 14306;
 Libr12->t1vrr_classes[4][8] = int_stack + 14846;
 Libr12->t1vrr_classes[4][9] = int_stack + 15521;
 Libr12->t1vrr_classes[5][6] = int_stack + 16346;
 Libr12->t1vrr_classes[5][7] = int_stack + 16934;
 Libr12->t1vrr_classes[5][8] = int_stack + 17690;
 Libr12->t1vrr_classes[5][9] = int_stack + 18635;
 Libr12->rvrr_classes[3][6] = int_stack + 19790;
 Libr12->rvrr_classes[3][7] = int_stack + 20070;
 Libr12->rvrr_classes[3][8] = int_stack + 20430;
 Libr12->rvrr_classes[3][9] = int_stack + 20880;
 Libr12->rvrr_classes[4][6] = int_stack + 21430;
 Libr12->rvrr_classes[4][7] = int_stack + 21850;
 Libr12->rvrr_classes[4][8] = int_stack + 22390;
 Libr12->rvrr_classes[4][9] = int_stack + 23065;
 Libr12->rvrr_classes[5][6] = int_stack + 23890;
 Libr12->rvrr_classes[5][7] = int_stack + 24478;
 Libr12->rvrr_classes[5][8] = int_stack + 25234;
 Libr12->rvrr_classes[5][9] = int_stack + 26179;
 Libr12->gvrr_classes[3][6] = int_stack + 27334;
 Libr12->gvrr_classes[3][7] = int_stack + 27614;
 Libr12->gvrr_classes[3][8] = int_stack + 27974;
 Libr12->gvrr_classes[3][9] = int_stack + 28424;
 Libr12->gvrr_classes[4][6] = int_stack + 28974;
 Libr12->gvrr_classes[4][7] = int_stack + 29394;
 Libr12->gvrr_classes[4][8] = int_stack + 29934;
 Libr12->gvrr_classes[4][9] = int_stack + 30609;
 Libr12->gvrr_classes[5][6] = int_stack + 31434;
 Libr12->gvrr_classes[5][7] = int_stack + 32022;
 Libr12->gvrr_classes[5][8] = int_stack + 32778;
 Libr12->gvrr_classes[5][9] = int_stack + 33723;
 memset(int_stack,0,34878*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 34878;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdif(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+34878, int_stack+27614, int_stack+27334, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+35718, int_stack+27974, int_stack+27614, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+36798, int_stack+35718, int_stack+34878, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+38478, int_stack+29394, int_stack+28974, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39738, int_stack+29934, int_stack+29394, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+41358, int_stack+39738, int_stack+38478, 15);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+43878, int_stack+28424, int_stack+27974, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+45228, int_stack+43878, int_stack+35718, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47388, int_stack+280, int_stack+0, int_stack+27614, int_stack+28974, int_stack+27334, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48228, int_stack+640, int_stack+280, int_stack+27974, int_stack+29394, int_stack+27614, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49308, int_stack+48228, int_stack+47388, int_stack+35718, int_stack+38478, int_stack+34878, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50988, int_stack+1090, int_stack+640, int_stack+28424, int_stack+29934, int_stack+27974, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52338, int_stack+50988, int_stack+48228, int_stack+43878, int_stack+39738, int_stack+35718, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54498, int_stack+52338, int_stack+49308, int_stack+45228, int_stack+41358, int_stack+36798, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+34878, int_stack+32022, int_stack+31434, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+47388, int_stack+32778, int_stack+32022, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+49656, int_stack+47388, int_stack+34878, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+57298, int_stack+30609, int_stack+29934, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+59323, int_stack+57298, int_stack+39738, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53184, int_stack+2060, int_stack+1640, int_stack+29394, int_stack+31434, int_stack+28974, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2600, int_stack+2060, int_stack+29934, int_stack+32022, int_stack+29394, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62563, int_stack+0, int_stack+53184, int_stack+39738, int_stack+34878, int_stack+38478, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65083, int_stack+3275, int_stack+2600, int_stack+30609, int_stack+32778, int_stack+29934, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67108, int_stack+65083, int_stack+0, int_stack+57298, int_stack+47388, int_stack+39738, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70348, int_stack+67108, int_stack+62563, int_stack+59323, int_stack+49656, int_stack+41358, 4, 0);
 /*--- compute (fp|[r12,T2]|if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+74548, int_stack+70348, int_stack+54498, 280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+62563, int_stack+5472, int_stack+4100, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+64915, int_stack+7236, int_stack+5472, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+82948, int_stack+64915, int_stack+62563, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+33723, int_stack+32778, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+87652, int_stack+0, int_stack+47388, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67939, int_stack+6480, int_stack+4884, int_stack+32022, int_stack+4100, int_stack+31434, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2835, int_stack+8496, int_stack+6480, int_stack+32778, int_stack+5472, int_stack+32022, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53184, int_stack+2835, int_stack+67939, int_stack+47388, int_stack+62563, int_stack+34878, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38478, int_stack+9441, int_stack+8496, int_stack+33723, int_stack+7236, int_stack+32778, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31434, int_stack+38478, int_stack+2835, int_stack+0, int_stack+64915, int_stack+47388, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+31434, int_stack+53184, int_stack+87652, int_stack+82948, int_stack+49656, 5, 0);
 /*--- compute (gp|[r12,T2]|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+92188, int_stack+0, int_stack+70348, 280);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+45228, int_stack+36798, 10);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2800, int_stack+59323, int_stack+41358, 15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+31434, int_stack+2800, int_stack+0, 280);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+7000, int_stack+10596, int_stack+28424, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+82948, int_stack+7000, int_stack+43878, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+7000, int_stack+82948, int_stack+45228, 10);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+82948, int_stack+12896, int_stack+30609, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+53184, int_stack+82948, int_stack+57298, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+39834, int_stack+53184, int_stack+59323, 15);
 /*--- compute (fp|kf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+53184, int_stack+39834, int_stack+7000, 360);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+63984, int_stack+87652, int_stack+49656, 21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+104788, int_stack+63984, int_stack+2800, 280);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+69864, int_stack+11536, int_stack+11256, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+70704, int_stack+11896, int_stack+11536, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+71784, int_stack+70704, int_stack+69864, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+82948, int_stack+12346, int_stack+11896, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+84298, int_stack+82948, int_stack+70704, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+86458, int_stack+84298, int_stack+71784, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+82948, int_stack+14306, int_stack+13886, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+84208, int_stack+14846, int_stack+14306, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+69864, int_stack+84208, int_stack+82948, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+72384, int_stack+15521, int_stack+14846, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10600, int_stack+72384, int_stack+84208, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+45234, int_stack+10600, int_stack+69864, 15);
 /*--- compute (fp|[r12,T1]|if) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+117388, int_stack+45234, int_stack+86458, int_stack+2800, int_stack+7000, int_stack+0, 6, 3);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+16934, int_stack+16346, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7000, int_stack+17690, int_stack+16934, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+9268, int_stack+7000, int_stack+0, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+12796, int_stack+18635, int_stack+17690, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+69864, int_stack+12796, int_stack+7000, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+12796, int_stack+69864, int_stack+9268, 21);
 /*--- compute (gp|[r12,T1]|if) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+125788, int_stack+12796, int_stack+45234, int_stack+63984, int_stack+39834, int_stack+2800, 6, 3);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+39834, int_stack+20070, int_stack+19790, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+40674, int_stack+20430, int_stack+20070, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+41754, int_stack+40674, int_stack+39834, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+43434, int_stack+20880, int_stack+20430, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+44784, int_stack+43434, int_stack+40674, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+46944, int_stack+44784, int_stack+41754, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+39834, int_stack+21850, int_stack+21430, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+41094, int_stack+22390, int_stack+21850, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+42714, int_stack+41094, int_stack+39834, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+49744, int_stack+23065, int_stack+22390, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+63984, int_stack+49744, int_stack+41094, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+67224, int_stack+63984, int_stack+42714, 15);
 /*--- compute (fp||if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+67224, int_stack+46944, 280);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+63984, int_stack+24478, int_stack+23890, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39834, int_stack+25234, int_stack+24478, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+42102, int_stack+39834, int_stack+63984, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+63984, int_stack+26179, int_stack+25234, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+45630, int_stack+63984, int_stack+39834, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+8400, int_stack+45630, int_stack+42102, 21);
 /*--- compute (gp||if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+39834, int_stack+8400, int_stack+67224, 280);
 /*--- compute (fd|[r12,T2]|if) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+8400, int_stack+92188, int_stack+74548, 280);
     Libr12->te_ptr[3] = int_stack + 8400;
 /*--- compute (fd|[r12,T1]|if) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+63984, int_stack+125788, int_stack+117388, int_stack+104788, int_stack+53184, int_stack+31434, 6, 3);
     Libr12->te_ptr[2] = int_stack + 63984;
 /*--- compute (fd||if) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+117388, int_stack+39834, int_stack+0, 280);
     Libr12->te_ptr[1] = int_stack + 117388;
 /*--- compute (fd|if) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+39834, int_stack+104788, int_stack+31434, 280);
     Libr12->te_ptr[0] = int_stack + 39834;

}
