#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdig(Libr12_t *, prim_data *);

  /* Computes (fd|ig) integrals for linear R12-methods */

void hrr_grt_order_fdig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[3][10] = int_stack + 1640;
 Libr12->t2vrr_classes[4][6] = int_stack + 2300;
 Libr12->t2vrr_classes[4][7] = int_stack + 2720;
 Libr12->t2vrr_classes[4][8] = int_stack + 3260;
 Libr12->t2vrr_classes[4][9] = int_stack + 3935;
 Libr12->t2vrr_classes[4][10] = int_stack + 4760;
 Libr12->gvrr_classes[6][6] = int_stack + 5750;
 Libr12->t2vrr_classes[5][6] = int_stack + 6534;
 Libr12->gvrr_classes[6][7] = int_stack + 7122;
 Libr12->t2vrr_classes[5][7] = int_stack + 8130;
 Libr12->gvrr_classes[6][8] = int_stack + 8886;
 Libr12->t2vrr_classes[5][8] = int_stack + 10146;
 Libr12->gvrr_classes[6][9] = int_stack + 11091;
 Libr12->t2vrr_classes[5][9] = int_stack + 12631;
 Libr12->t2vrr_classes[5][10] = int_stack + 13786;
 Libr12->gvrr_classes[3][11] = int_stack + 15172;
 Libr12->t1vrr_classes[3][6] = int_stack + 15952;
 Libr12->t1vrr_classes[3][7] = int_stack + 16232;
 Libr12->t1vrr_classes[3][8] = int_stack + 16592;
 Libr12->t1vrr_classes[3][9] = int_stack + 17042;
 Libr12->t1vrr_classes[3][10] = int_stack + 17592;
 Libr12->gvrr_classes[4][11] = int_stack + 18252;
 Libr12->t1vrr_classes[4][6] = int_stack + 19422;
 Libr12->t1vrr_classes[4][7] = int_stack + 19842;
 Libr12->t1vrr_classes[4][8] = int_stack + 20382;
 Libr12->t1vrr_classes[4][9] = int_stack + 21057;
 Libr12->t1vrr_classes[4][10] = int_stack + 21882;
 Libr12->t1vrr_classes[5][6] = int_stack + 22872;
 Libr12->t1vrr_classes[5][7] = int_stack + 23460;
 Libr12->t1vrr_classes[5][8] = int_stack + 24216;
 Libr12->t1vrr_classes[5][9] = int_stack + 25161;
 Libr12->t1vrr_classes[5][10] = int_stack + 26316;
 Libr12->rvrr_classes[3][6] = int_stack + 27702;
 Libr12->rvrr_classes[3][7] = int_stack + 27982;
 Libr12->rvrr_classes[3][8] = int_stack + 28342;
 Libr12->rvrr_classes[3][9] = int_stack + 28792;
 Libr12->rvrr_classes[3][10] = int_stack + 29342;
 Libr12->rvrr_classes[4][6] = int_stack + 30002;
 Libr12->rvrr_classes[4][7] = int_stack + 30422;
 Libr12->rvrr_classes[4][8] = int_stack + 30962;
 Libr12->rvrr_classes[4][9] = int_stack + 31637;
 Libr12->rvrr_classes[4][10] = int_stack + 32462;
 Libr12->rvrr_classes[5][6] = int_stack + 33452;
 Libr12->rvrr_classes[5][7] = int_stack + 34040;
 Libr12->rvrr_classes[5][8] = int_stack + 34796;
 Libr12->rvrr_classes[5][9] = int_stack + 35741;
 Libr12->rvrr_classes[5][10] = int_stack + 36896;
 Libr12->gvrr_classes[3][6] = int_stack + 38282;
 Libr12->gvrr_classes[3][7] = int_stack + 38562;
 Libr12->gvrr_classes[3][8] = int_stack + 38922;
 Libr12->gvrr_classes[3][9] = int_stack + 39372;
 Libr12->gvrr_classes[3][10] = int_stack + 39922;
 Libr12->gvrr_classes[4][6] = int_stack + 40582;
 Libr12->gvrr_classes[4][7] = int_stack + 41002;
 Libr12->gvrr_classes[4][8] = int_stack + 41542;
 Libr12->gvrr_classes[4][9] = int_stack + 42217;
 Libr12->gvrr_classes[4][10] = int_stack + 43042;
 Libr12->gvrr_classes[5][6] = int_stack + 44032;
 Libr12->gvrr_classes[5][7] = int_stack + 44620;
 Libr12->gvrr_classes[5][8] = int_stack + 45376;
 Libr12->gvrr_classes[5][9] = int_stack + 46321;
 Libr12->gvrr_classes[5][10] = int_stack + 47476;
 memset(int_stack,0,48862*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 48862;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdig(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48862, int_stack+38562, int_stack+38282, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+49702, int_stack+38922, int_stack+38562, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+50782, int_stack+49702, int_stack+48862, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+52462, int_stack+39372, int_stack+38922, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+53812, int_stack+52462, int_stack+49702, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+55972, int_stack+53812, int_stack+50782, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+58772, int_stack+41002, int_stack+40582, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+60032, int_stack+41542, int_stack+41002, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61652, int_stack+60032, int_stack+58772, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+64172, int_stack+42217, int_stack+41542, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+66197, int_stack+64172, int_stack+60032, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+69437, int_stack+66197, int_stack+61652, 15);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+73637, int_stack+39922, int_stack+39372, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+75287, int_stack+73637, int_stack+52462, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+77987, int_stack+75287, int_stack+53812, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81587, int_stack+280, int_stack+0, int_stack+38562, int_stack+40582, int_stack+38282, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82427, int_stack+640, int_stack+280, int_stack+38922, int_stack+41002, int_stack+38562, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83507, int_stack+82427, int_stack+81587, int_stack+49702, int_stack+58772, int_stack+48862, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+85187, int_stack+1090, int_stack+640, int_stack+39372, int_stack+41542, int_stack+38922, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86537, int_stack+85187, int_stack+82427, int_stack+52462, int_stack+60032, int_stack+49702, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88697, int_stack+86537, int_stack+83507, int_stack+53812, int_stack+61652, int_stack+50782, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48862, int_stack+1640, int_stack+1090, int_stack+39922, int_stack+42217, int_stack+39372, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81587, int_stack+48862, int_stack+85187, int_stack+73637, int_stack+64172, int_stack+52462, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48862, int_stack+81587, int_stack+86537, int_stack+75287, int_stack+66197, int_stack+53812, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81587, int_stack+48862, int_stack+88697, int_stack+77987, int_stack+69437, int_stack+55972, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48862, int_stack+44620, int_stack+44032, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+50626, int_stack+45376, int_stack+44620, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+85787, int_stack+50626, int_stack+48862, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+52894, int_stack+46321, int_stack+45376, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+89315, int_stack+52894, int_stack+50626, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+93851, int_stack+89315, int_stack+85787, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+99731, int_stack+43042, int_stack+42217, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+102206, int_stack+99731, int_stack+64172, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+106256, int_stack+102206, int_stack+66197, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38282, int_stack+2720, int_stack+2300, int_stack+41002, int_stack+44032, int_stack+40582, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3260, int_stack+2720, int_stack+41542, int_stack+44620, int_stack+41002, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+111656, int_stack+0, int_stack+38282, int_stack+60032, int_stack+48862, int_stack+58772, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114176, int_stack+3935, int_stack+3260, int_stack+42217, int_stack+45376, int_stack+41542, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+116201, int_stack+114176, int_stack+0, int_stack+64172, int_stack+50626, int_stack+60032, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119441, int_stack+116201, int_stack+111656, int_stack+66197, int_stack+85787, int_stack+61652, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+111656, int_stack+4760, int_stack+3935, int_stack+43042, int_stack+46321, int_stack+42217, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+111656, int_stack+114176, int_stack+99731, int_stack+52894, int_stack+64172, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58772, int_stack+0, int_stack+116201, int_stack+102206, int_stack+89315, int_stack+66197, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+111656, int_stack+58772, int_stack+119441, int_stack+106256, int_stack+93851, int_stack+69437, 4, 0);
 /*--- compute (fp|[r12,T2]|ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+117956, int_stack+111656, int_stack+81587, 420);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+81587, int_stack+7122, int_stack+5750, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+58772, int_stack+8886, int_stack+7122, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61796, int_stack+58772, int_stack+81587, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11091, int_stack+8886, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+130556, int_stack+0, int_stack+58772, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+136604, int_stack+130556, int_stack+61796, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+144444, int_stack+47476, int_stack+46321, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+147909, int_stack+144444, int_stack+52894, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+153579, int_stack+147909, int_stack+89315, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83939, int_stack+8130, int_stack+6534, int_stack+44620, int_stack+5750, int_stack+44032, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66500, int_stack+10146, int_stack+8130, int_stack+45376, int_stack+7122, int_stack+44620, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3780, int_stack+66500, int_stack+83939, int_stack+50626, int_stack+81587, int_stack+48862, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81587, int_stack+12631, int_stack+10146, int_stack+46321, int_stack+8886, int_stack+45376, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+161139, int_stack+81587, int_stack+66500, int_stack+52894, int_stack+58772, int_stack+50626, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165675, int_stack+161139, int_stack+3780, int_stack+89315, int_stack+61796, int_stack+85787, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3780, int_stack+13786, int_stack+12631, int_stack+47476, int_stack+11091, int_stack+46321, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7245, int_stack+3780, int_stack+81587, int_stack+144444, int_stack+0, int_stack+52894, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81587, int_stack+7245, int_stack+161139, int_stack+147909, int_stack+130556, int_stack+89315, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+81587, int_stack+165675, int_stack+153579, int_stack+136604, int_stack+93851, 5, 0);
 /*--- compute (gp|[r12,T2]|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+130556, int_stack+0, int_stack+111656, 420);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+111656, int_stack+77987, int_stack+55972, 10);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+106256, int_stack+69437, 15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+44032, int_stack+0, int_stack+111656, 420);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+115856, int_stack+15172, int_stack+39922, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+115856, int_stack+73637, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+9600, int_stack+6300, int_stack+75287, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+81587, int_stack+9600, int_stack+77987, 10);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+18252, int_stack+43042, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+9270, int_stack+6300, int_stack+99731, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+86987, int_stack+9270, int_stack+102206, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+86987, int_stack+106256, 15);
 /*--- compute (fp|kg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+56632, int_stack+6300, int_stack+81587, 540);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+99731, int_stack+153579, int_stack+93851, 21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+149456, int_stack+99731, int_stack+0, 420);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+86987, int_stack+16232, int_stack+15952, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+87827, int_stack+16592, int_stack+16232, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+88907, int_stack+87827, int_stack+86987, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+90587, int_stack+17042, int_stack+16592, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+91937, int_stack+90587, int_stack+87827, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+94097, int_stack+91937, int_stack+88907, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+86987, int_stack+17592, int_stack+17042, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+96897, int_stack+86987, int_stack+90587, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+86987, int_stack+96897, int_stack+91937, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+86987, int_stack+94097, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+86987, int_stack+19842, int_stack+19422, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+88247, int_stack+20382, int_stack+19842, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+89867, int_stack+88247, int_stack+86987, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+92387, int_stack+21057, int_stack+20382, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+94412, int_stack+92387, int_stack+88247, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+72832, int_stack+94412, int_stack+89867, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+86987, int_stack+21882, int_stack+21057, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+18600, int_stack+86987, int_stack+92387, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+86987, int_stack+18600, int_stack+94412, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+92387, int_stack+86987, int_stack+72832, 15);
 /*--- compute (fp|[r12,T1]|ig) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+168356, int_stack+92387, int_stack+14400, int_stack+0, int_stack+81587, int_stack+111656, 6, 4);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+23460, int_stack+22872, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+16164, int_stack+24216, int_stack+23460, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18432, int_stack+16164, int_stack+14400, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+72832, int_stack+25161, int_stack+24216, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+75667, int_stack+72832, int_stack+16164, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+80203, int_stack+75667, int_stack+18432, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+26316, int_stack+25161, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+17865, int_stack+14400, int_stack+72832, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+108551, int_stack+17865, int_stack+75667, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+108551, int_stack+80203, 21);
 /*--- compute (gp|[r12,T1]|ig) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+72832, int_stack+14400, int_stack+92387, int_stack+99731, int_stack+6300, int_stack+0, 6, 4);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+27982, int_stack+27702, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+840, int_stack+28342, int_stack+27982, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1920, int_stack+840, int_stack+0, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3600, int_stack+28792, int_stack+28342, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4950, int_stack+3600, int_stack+840, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7110, int_stack+4950, int_stack+1920, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+29342, int_stack+28792, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+9910, int_stack+0, int_stack+3600, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+9910, int_stack+4950, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+9910, int_stack+0, int_stack+7110, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+30422, int_stack+30002, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+30962, int_stack+30422, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2880, int_stack+1260, int_stack+0, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+31637, int_stack+30962, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+14110, int_stack+5400, int_stack+1260, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+17350, int_stack+14110, int_stack+2880, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+32462, int_stack+31637, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+21550, int_stack+0, int_stack+5400, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+21550, int_stack+14110, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+21550, int_stack+0, int_stack+17350, 15);
 /*--- compute (fp||ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+91732, int_stack+21550, int_stack+9910, 420);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+34040, int_stack+33452, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+34796, int_stack+34040, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+35741, int_stack+34796, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10395, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+14931, int_stack+10395, int_stack+4032, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+36896, int_stack+35741, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+27850, int_stack+0, int_stack+7560, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+27850, int_stack+10395, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+27850, int_stack+0, int_stack+14931, 21);
 /*--- compute (gp||ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+27850, int_stack+21550, 420);
 /*--- compute (fd|[r12,T2]|ig) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+180956, int_stack+130556, int_stack+117956, 420);
     Libr12->te_ptr[3] = int_stack + 180956;
 /*--- compute (fd|[r12,T1]|ig) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+104332, int_stack+72832, int_stack+168356, int_stack+149456, int_stack+56632, int_stack+44032, 6, 4);
     Libr12->te_ptr[2] = int_stack + 104332;
 /*--- compute (fd||ig) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+56632, int_stack+0, int_stack+91732, 420);
     Libr12->te_ptr[1] = int_stack + 56632;
 /*--- compute (fd|ig) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+149456, int_stack+44032, 420);
     Libr12->te_ptr[0] = int_stack + 0;

}
