#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdih(Libr12_t *, prim_data *);

  /* Computes (fd|ih) integrals for linear R12-methods */

void hrr_grt_order_fdih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[3][10] = int_stack + 1640;
 Libr12->t2vrr_classes[3][11] = int_stack + 2300;
 Libr12->t2vrr_classes[4][6] = int_stack + 3080;
 Libr12->t2vrr_classes[4][7] = int_stack + 3500;
 Libr12->t2vrr_classes[4][8] = int_stack + 4040;
 Libr12->t2vrr_classes[4][9] = int_stack + 4715;
 Libr12->t2vrr_classes[4][10] = int_stack + 5540;
 Libr12->t2vrr_classes[4][11] = int_stack + 6530;
 Libr12->gvrr_classes[6][6] = int_stack + 7700;
 Libr12->t2vrr_classes[5][6] = int_stack + 8484;
 Libr12->gvrr_classes[6][7] = int_stack + 9072;
 Libr12->t2vrr_classes[5][7] = int_stack + 10080;
 Libr12->gvrr_classes[6][8] = int_stack + 10836;
 Libr12->t2vrr_classes[5][8] = int_stack + 12096;
 Libr12->gvrr_classes[6][9] = int_stack + 13041;
 Libr12->t2vrr_classes[5][9] = int_stack + 14581;
 Libr12->gvrr_classes[6][10] = int_stack + 15736;
 Libr12->t2vrr_classes[5][10] = int_stack + 17584;
 Libr12->t2vrr_classes[5][11] = int_stack + 18970;
 Libr12->gvrr_classes[3][12] = int_stack + 20608;
 Libr12->t1vrr_classes[3][6] = int_stack + 21518;
 Libr12->t1vrr_classes[3][7] = int_stack + 21798;
 Libr12->t1vrr_classes[3][8] = int_stack + 22158;
 Libr12->t1vrr_classes[3][9] = int_stack + 22608;
 Libr12->t1vrr_classes[3][10] = int_stack + 23158;
 Libr12->t1vrr_classes[3][11] = int_stack + 23818;
 Libr12->gvrr_classes[4][12] = int_stack + 24598;
 Libr12->t1vrr_classes[4][6] = int_stack + 25963;
 Libr12->t1vrr_classes[4][7] = int_stack + 26383;
 Libr12->t1vrr_classes[4][8] = int_stack + 26923;
 Libr12->t1vrr_classes[4][9] = int_stack + 27598;
 Libr12->t1vrr_classes[4][10] = int_stack + 28423;
 Libr12->t1vrr_classes[4][11] = int_stack + 29413;
 Libr12->t1vrr_classes[5][6] = int_stack + 30583;
 Libr12->t1vrr_classes[5][7] = int_stack + 31171;
 Libr12->t1vrr_classes[5][8] = int_stack + 31927;
 Libr12->t1vrr_classes[5][9] = int_stack + 32872;
 Libr12->t1vrr_classes[5][10] = int_stack + 34027;
 Libr12->t1vrr_classes[5][11] = int_stack + 35413;
 Libr12->rvrr_classes[3][6] = int_stack + 37051;
 Libr12->rvrr_classes[3][7] = int_stack + 37331;
 Libr12->rvrr_classes[3][8] = int_stack + 37691;
 Libr12->rvrr_classes[3][9] = int_stack + 38141;
 Libr12->rvrr_classes[3][10] = int_stack + 38691;
 Libr12->rvrr_classes[3][11] = int_stack + 39351;
 Libr12->rvrr_classes[4][6] = int_stack + 40131;
 Libr12->rvrr_classes[4][7] = int_stack + 40551;
 Libr12->rvrr_classes[4][8] = int_stack + 41091;
 Libr12->rvrr_classes[4][9] = int_stack + 41766;
 Libr12->rvrr_classes[4][10] = int_stack + 42591;
 Libr12->rvrr_classes[4][11] = int_stack + 43581;
 Libr12->rvrr_classes[5][6] = int_stack + 44751;
 Libr12->rvrr_classes[5][7] = int_stack + 45339;
 Libr12->rvrr_classes[5][8] = int_stack + 46095;
 Libr12->rvrr_classes[5][9] = int_stack + 47040;
 Libr12->rvrr_classes[5][10] = int_stack + 48195;
 Libr12->rvrr_classes[5][11] = int_stack + 49581;
 Libr12->gvrr_classes[3][6] = int_stack + 51219;
 Libr12->gvrr_classes[3][7] = int_stack + 51499;
 Libr12->gvrr_classes[3][8] = int_stack + 51859;
 Libr12->gvrr_classes[3][9] = int_stack + 52309;
 Libr12->gvrr_classes[3][10] = int_stack + 52859;
 Libr12->gvrr_classes[3][11] = int_stack + 53519;
 Libr12->gvrr_classes[4][6] = int_stack + 54299;
 Libr12->gvrr_classes[4][7] = int_stack + 54719;
 Libr12->gvrr_classes[4][8] = int_stack + 55259;
 Libr12->gvrr_classes[4][9] = int_stack + 55934;
 Libr12->gvrr_classes[4][10] = int_stack + 56759;
 Libr12->gvrr_classes[4][11] = int_stack + 57749;
 Libr12->gvrr_classes[5][6] = int_stack + 58919;
 Libr12->gvrr_classes[5][7] = int_stack + 59507;
 Libr12->gvrr_classes[5][8] = int_stack + 60263;
 Libr12->gvrr_classes[5][9] = int_stack + 61208;
 Libr12->gvrr_classes[5][10] = int_stack + 62363;
 Libr12->gvrr_classes[5][11] = int_stack + 63749;
 memset(int_stack,0,65387*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 65387;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdih(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+65387, int_stack+51499, int_stack+51219, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+66227, int_stack+51859, int_stack+51499, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+67307, int_stack+66227, int_stack+65387, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+68987, int_stack+52309, int_stack+51859, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+70337, int_stack+68987, int_stack+66227, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+72497, int_stack+70337, int_stack+67307, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+75297, int_stack+52859, int_stack+52309, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+76947, int_stack+75297, int_stack+68987, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+79647, int_stack+76947, int_stack+70337, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+83247, int_stack+79647, int_stack+72497, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+87447, int_stack+54719, int_stack+54299, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+88707, int_stack+55259, int_stack+54719, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+90327, int_stack+88707, int_stack+87447, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+92847, int_stack+55934, int_stack+55259, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+94872, int_stack+92847, int_stack+88707, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+98112, int_stack+94872, int_stack+90327, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+102312, int_stack+56759, int_stack+55934, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+104787, int_stack+102312, int_stack+92847, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+108837, int_stack+104787, int_stack+94872, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+114237, int_stack+108837, int_stack+98112, 15);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+120537, int_stack+53519, int_stack+52859, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+122517, int_stack+120537, int_stack+75297, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+125817, int_stack+122517, int_stack+76947, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+130317, int_stack+125817, int_stack+79647, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+135717, int_stack+280, int_stack+0, int_stack+51499, int_stack+54299, int_stack+51219, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136557, int_stack+640, int_stack+280, int_stack+51859, int_stack+54719, int_stack+51499, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137637, int_stack+136557, int_stack+135717, int_stack+66227, int_stack+87447, int_stack+65387, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139317, int_stack+1090, int_stack+640, int_stack+52309, int_stack+55259, int_stack+51859, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140667, int_stack+139317, int_stack+136557, int_stack+68987, int_stack+88707, int_stack+66227, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142827, int_stack+140667, int_stack+137637, int_stack+70337, int_stack+90327, int_stack+67307, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65387, int_stack+1640, int_stack+1090, int_stack+52859, int_stack+55934, int_stack+52309, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+135717, int_stack+65387, int_stack+139317, int_stack+75297, int_stack+92847, int_stack+68987, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+145627, int_stack+135717, int_stack+140667, int_stack+76947, int_stack+94872, int_stack+70337, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67037, int_stack+145627, int_stack+142827, int_stack+79647, int_stack+98112, int_stack+72497, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71237, int_stack+2300, int_stack+1640, int_stack+53519, int_stack+56759, int_stack+52859, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+138417, int_stack+71237, int_stack+65387, int_stack+120537, int_stack+102312, int_stack+75297, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71237, int_stack+138417, int_stack+135717, int_stack+122517, int_stack+104787, int_stack+76947, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+135717, int_stack+71237, int_stack+145627, int_stack+125817, int_stack+108837, int_stack+79647, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71237, int_stack+135717, int_stack+67037, int_stack+130317, int_stack+114237, int_stack+83247, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+135717, int_stack+59507, int_stack+58919, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+137481, int_stack+60263, int_stack+59507, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+139749, int_stack+137481, int_stack+135717, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+143277, int_stack+61208, int_stack+60263, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+77117, int_stack+143277, int_stack+137481, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+146112, int_stack+77117, int_stack+139749, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+65387, int_stack+62363, int_stack+61208, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+151992, int_stack+65387, int_stack+143277, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+157662, int_stack+151992, int_stack+77117, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+165222, int_stack+157662, int_stack+146112, 21);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+57749, int_stack+56759, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+174042, int_stack+0, int_stack+102312, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+178992, int_stack+174042, int_stack+104787, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+185742, int_stack+178992, int_stack+108837, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81653, int_stack+3500, int_stack+3080, int_stack+54719, int_stack+58919, int_stack+54299, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68852, int_stack+4040, int_stack+3500, int_stack+55259, int_stack+59507, int_stack+54719, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193842, int_stack+68852, int_stack+81653, int_stack+88707, int_stack+135717, int_stack+87447, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51219, int_stack+4715, int_stack+4040, int_stack+55934, int_stack+60263, int_stack+55259, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+196362, int_stack+51219, int_stack+68852, int_stack+92847, int_stack+137481, int_stack+88707, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199602, int_stack+196362, int_stack+193842, int_stack+94872, int_stack+139749, int_stack+90327, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193842, int_stack+5540, int_stack+4715, int_stack+56759, int_stack+61208, int_stack+55934, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87447, int_stack+193842, int_stack+51219, int_stack+102312, int_stack+143277, int_stack+92847, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203802, int_stack+87447, int_stack+196362, int_stack+104787, int_stack+77117, int_stack+94872, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91497, int_stack+203802, int_stack+199602, int_stack+108837, int_stack+146112, int_stack+98112, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+196317, int_stack+6530, int_stack+5540, int_stack+57749, int_stack+62363, int_stack+56759, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+209202, int_stack+196317, int_stack+193842, int_stack+0, int_stack+65387, int_stack+102312, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193842, int_stack+209202, int_stack+87447, int_stack+174042, int_stack+151992, int_stack+104787, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97797, int_stack+193842, int_stack+203802, int_stack+178992, int_stack+157662, int_stack+108837, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193842, int_stack+97797, int_stack+91497, int_stack+185742, int_stack+165222, int_stack+114237, 4, 0);
 /*--- compute (fp|[r12,T2]|ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+87447, int_stack+193842, int_stack+71237, 588);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+202662, int_stack+9072, int_stack+7700, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+205014, int_stack+10836, int_stack+9072, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+208038, int_stack+205014, int_stack+202662, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+105087, int_stack+13041, int_stack+10836, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+68852, int_stack+105087, int_stack+205014, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+212742, int_stack+68852, int_stack+208038, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+108867, int_stack+15736, int_stack+13041, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+220582, int_stack+108867, int_stack+105087, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+228142, int_stack+220582, int_stack+68852, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+238222, int_stack+228142, int_stack+212742, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2970, int_stack+63749, int_stack+62363, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+249982, int_stack+2970, int_stack+65387, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+256912, int_stack+249982, int_stack+151992, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+266362, int_stack+256912, int_stack+157662, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51219, int_stack+10080, int_stack+8484, int_stack+59507, int_stack+7700, int_stack+58919, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54299, int_stack+12096, int_stack+10080, int_stack+60263, int_stack+9072, int_stack+59507, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7128, int_stack+54299, int_stack+51219, int_stack+137481, int_stack+202662, int_stack+135717, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+277702, int_stack+14581, int_stack+12096, int_stack+61208, int_stack+10836, int_stack+60263, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+280537, int_stack+277702, int_stack+54299, int_stack+143277, int_stack+205014, int_stack+137481, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+285073, int_stack+280537, int_stack+7128, int_stack+77117, int_stack+208038, int_stack+139749, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7128, int_stack+17584, int_stack+14581, int_stack+62363, int_stack+13041, int_stack+61208, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+135717, int_stack+7128, int_stack+277702, int_stack+65387, int_stack+105087, int_stack+143277, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+202662, int_stack+135717, int_stack+280537, int_stack+151992, int_stack+68852, int_stack+77117, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68852, int_stack+202662, int_stack+285073, int_stack+157662, int_stack+212742, int_stack+146112, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77672, int_stack+18970, int_stack+17584, int_stack+63749, int_stack+15736, int_stack+62363, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+277702, int_stack+77672, int_stack+7128, int_stack+2970, int_stack+108867, int_stack+65387, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2970, int_stack+277702, int_stack+135717, int_stack+249982, int_stack+220582, int_stack+151992, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+135717, int_stack+2970, int_stack+202662, int_stack+256912, int_stack+228142, int_stack+157662, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+202662, int_stack+135717, int_stack+68852, int_stack+266362, int_stack+238222, int_stack+165222, 5, 0);
 /*--- compute (gp|[r12,T2]|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+135717, int_stack+202662, int_stack+193842, 588);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+193842, int_stack+130317, int_stack+83247, 10);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+199722, int_stack+185742, int_stack+114237, 15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+208542, int_stack+199722, int_stack+193842, 588);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+226182, int_stack+20608, int_stack+53519, 10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+228522, int_stack+226182, int_stack+120537, 10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+232482, int_stack+228522, int_stack+122517, 10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+237982, int_stack+232482, int_stack+125817, 10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+226182, int_stack+237982, int_stack+130317, 10);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+233742, int_stack+24598, int_stack+57749, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+237252, int_stack+233742, int_stack+0, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+237252, int_stack+174042, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+8250, int_stack+0, int_stack+178992, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+174042, int_stack+8250, int_stack+185742, 15);
 /*--- compute (fp|kh) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+233742, int_stack+174042, int_stack+226182, 756);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+266362, int_stack+165222, 21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+256422, int_stack+0, int_stack+199722, 588);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+21798, int_stack+21518, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13188, int_stack+22158, int_stack+21798, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14268, int_stack+13188, int_stack+12348, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+15948, int_stack+22608, int_stack+22158, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17298, int_stack+15948, int_stack+13188, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+19458, int_stack+17298, int_stack+14268, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+23158, int_stack+22608, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+185382, int_stack+12348, int_stack+15948, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+188082, int_stack+185382, int_stack+17298, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+13998, int_stack+188082, int_stack+19458, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+18198, int_stack+23818, int_stack+23158, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+20178, int_stack+18198, int_stack+12348, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+282882, int_stack+20178, int_stack+185382, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+18198, int_stack+282882, int_stack+188082, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+282882, int_stack+18198, int_stack+13998, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+288762, int_stack+26383, int_stack+25963, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+185382, int_stack+26923, int_stack+26383, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+187002, int_stack+185382, int_stack+288762, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+288762, int_stack+27598, int_stack+26923, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+189522, int_stack+288762, int_stack+185382, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+189522, int_stack+187002, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+185382, int_stack+28423, int_stack+27598, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+16548, int_stack+185382, int_stack+288762, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+20598, int_stack+16548, int_stack+189522, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+162177, int_stack+20598, int_stack+12348, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+29413, int_stack+28423, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+187857, int_stack+12348, int_stack+185382, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+105087, int_stack+187857, int_stack+16548, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+185382, int_stack+105087, int_stack+20598, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+105087, int_stack+185382, int_stack+162177, 15);
 /*--- compute (fp|[r12,T1]|ih) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+113907, int_stack+105087, int_stack+282882, int_stack+199722, int_stack+226182, int_stack+193842, 6, 5);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+226182, int_stack+31171, int_stack+30583, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+227946, int_stack+31927, int_stack+31171, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+230214, int_stack+227946, int_stack+226182, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+282882, int_stack+32872, int_stack+31927, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+285717, int_stack+282882, int_stack+227946, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+162177, int_stack+285717, int_stack+230214, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+226182, int_stack+34027, int_stack+32872, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+168057, int_stack+226182, int_stack+282882, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+185382, int_stack+168057, int_stack+285717, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+185382, int_stack+162177, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+162177, int_stack+35413, int_stack+34027, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+282882, int_stack+162177, int_stack+226182, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+282882, int_stack+168057, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+162177, int_stack+21168, int_stack+185382, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+185382, int_stack+162177, int_stack+12348, 21);
 /*--- compute (gp|[r12,T1]|ih) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+51219, int_stack+185382, int_stack+105087, int_stack+0, int_stack+174042, int_stack+199722, 6, 5);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+37331, int_stack+37051, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+840, int_stack+37691, int_stack+37331, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1920, int_stack+840, int_stack+0, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3600, int_stack+38141, int_stack+37691, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4950, int_stack+3600, int_stack+840, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7110, int_stack+4950, int_stack+1920, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+38691, int_stack+38141, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+9910, int_stack+0, int_stack+3600, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+12610, int_stack+9910, int_stack+4950, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1650, int_stack+12610, int_stack+7110, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+5850, int_stack+39351, int_stack+38691, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+16210, int_stack+5850, int_stack+0, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+19510, int_stack+16210, int_stack+9910, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+5850, int_stack+19510, int_stack+12610, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+11250, int_stack+5850, int_stack+1650, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+40551, int_stack+40131, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+41091, int_stack+40551, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2880, int_stack+1260, int_stack+0, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+41766, int_stack+41091, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+7425, int_stack+5400, int_stack+1260, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+17130, int_stack+7425, int_stack+2880, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+42591, int_stack+41766, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+21330, int_stack+0, int_stack+5400, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+25380, int_stack+21330, int_stack+7425, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2475, int_stack+25380, int_stack+17130, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+17130, int_stack+43581, int_stack+42591, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+30780, int_stack+17130, int_stack+0, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+35730, int_stack+30780, int_stack+21330, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+17130, int_stack+35730, int_stack+25380, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+105087, int_stack+17130, int_stack+2475, 15);
 /*--- compute (fp||ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+17130, int_stack+105087, int_stack+11250, 588);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+34770, int_stack+45339, int_stack+44751, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+36534, int_stack+46095, int_stack+45339, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+38802, int_stack+36534, int_stack+34770, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+42330, int_stack+47040, int_stack+46095, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+42330, int_stack+36534, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4536, int_stack+0, int_stack+38802, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+34770, int_stack+48195, int_stack+47040, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10416, int_stack+34770, int_stack+42330, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+226182, int_stack+10416, int_stack+0, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+38235, int_stack+226182, int_stack+4536, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+49581, int_stack+48195, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+162177, int_stack+0, int_stack+34770, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+162177, int_stack+10416, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+162177, int_stack+0, int_stack+226182, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+162177, int_stack+38235, 21);
 /*--- compute (gp||ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+162177, int_stack+0, int_stack+105087, 588);
 /*--- compute (fd|[r12,T2]|ih) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+282882, int_stack+135717, int_stack+87447, 588);
     Libr12->te_ptr[3] = int_stack + 282882;
 /*--- compute (fd|[r12,T1]|ih) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+77679, int_stack+51219, int_stack+113907, int_stack+256422, int_stack+233742, int_stack+208542, 6, 5);
     Libr12->te_ptr[2] = int_stack + 77679;
 /*--- compute (fd||ih) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+34770, int_stack+162177, int_stack+17130, 588);
     Libr12->te_ptr[1] = int_stack + 34770;
 /*--- compute (fd|ih) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+112959, int_stack+256422, int_stack+208542, 588);
     Libr12->te_ptr[0] = int_stack + 112959;

}
