#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdii(Libr12_t *, prim_data *);

  /* Computes (fd|ii) integrals for linear R12-methods */

void hrr_grt_order_fdii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[3][10] = int_stack + 1640;
 Libr12->t2vrr_classes[3][11] = int_stack + 2300;
 Libr12->t2vrr_classes[3][12] = int_stack + 3080;
 Libr12->t2vrr_classes[4][6] = int_stack + 3990;
 Libr12->t2vrr_classes[4][7] = int_stack + 4410;
 Libr12->t2vrr_classes[4][8] = int_stack + 4950;
 Libr12->t2vrr_classes[4][9] = int_stack + 5625;
 Libr12->t2vrr_classes[4][10] = int_stack + 6450;
 Libr12->t2vrr_classes[4][11] = int_stack + 7440;
 Libr12->t2vrr_classes[4][12] = int_stack + 8610;
 Libr12->gvrr_classes[6][6] = int_stack + 9975;
 Libr12->t2vrr_classes[5][6] = int_stack + 10759;
 Libr12->gvrr_classes[6][7] = int_stack + 11347;
 Libr12->t2vrr_classes[5][7] = int_stack + 12355;
 Libr12->gvrr_classes[6][8] = int_stack + 13111;
 Libr12->t2vrr_classes[5][8] = int_stack + 14371;
 Libr12->gvrr_classes[6][9] = int_stack + 15316;
 Libr12->t2vrr_classes[5][9] = int_stack + 16856;
 Libr12->gvrr_classes[6][10] = int_stack + 18011;
 Libr12->t2vrr_classes[5][10] = int_stack + 19859;
 Libr12->gvrr_classes[6][11] = int_stack + 21245;
 Libr12->t2vrr_classes[5][11] = int_stack + 23429;
 Libr12->t2vrr_classes[5][12] = int_stack + 25067;
 Libr12->gvrr_classes[3][13] = int_stack + 26978;
 Libr12->t1vrr_classes[3][6] = int_stack + 28028;
 Libr12->t1vrr_classes[3][7] = int_stack + 28308;
 Libr12->t1vrr_classes[3][8] = int_stack + 28668;
 Libr12->t1vrr_classes[3][9] = int_stack + 29118;
 Libr12->t1vrr_classes[3][10] = int_stack + 29668;
 Libr12->t1vrr_classes[3][11] = int_stack + 30328;
 Libr12->t1vrr_classes[3][12] = int_stack + 31108;
 Libr12->gvrr_classes[4][13] = int_stack + 32018;
 Libr12->t1vrr_classes[4][6] = int_stack + 33593;
 Libr12->t1vrr_classes[4][7] = int_stack + 34013;
 Libr12->t1vrr_classes[4][8] = int_stack + 34553;
 Libr12->t1vrr_classes[4][9] = int_stack + 35228;
 Libr12->t1vrr_classes[4][10] = int_stack + 36053;
 Libr12->t1vrr_classes[4][11] = int_stack + 37043;
 Libr12->t1vrr_classes[4][12] = int_stack + 38213;
 Libr12->t1vrr_classes[5][6] = int_stack + 39578;
 Libr12->t1vrr_classes[5][7] = int_stack + 40166;
 Libr12->t1vrr_classes[5][8] = int_stack + 40922;
 Libr12->t1vrr_classes[5][9] = int_stack + 41867;
 Libr12->t1vrr_classes[5][10] = int_stack + 43022;
 Libr12->t1vrr_classes[5][11] = int_stack + 44408;
 Libr12->t1vrr_classes[5][12] = int_stack + 46046;
 Libr12->rvrr_classes[3][6] = int_stack + 47957;
 Libr12->rvrr_classes[3][7] = int_stack + 48237;
 Libr12->rvrr_classes[3][8] = int_stack + 48597;
 Libr12->rvrr_classes[3][9] = int_stack + 49047;
 Libr12->rvrr_classes[3][10] = int_stack + 49597;
 Libr12->rvrr_classes[3][11] = int_stack + 50257;
 Libr12->rvrr_classes[3][12] = int_stack + 51037;
 Libr12->rvrr_classes[4][6] = int_stack + 51947;
 Libr12->rvrr_classes[4][7] = int_stack + 52367;
 Libr12->rvrr_classes[4][8] = int_stack + 52907;
 Libr12->rvrr_classes[4][9] = int_stack + 53582;
 Libr12->rvrr_classes[4][10] = int_stack + 54407;
 Libr12->rvrr_classes[4][11] = int_stack + 55397;
 Libr12->rvrr_classes[4][12] = int_stack + 56567;
 Libr12->rvrr_classes[5][6] = int_stack + 57932;
 Libr12->rvrr_classes[5][7] = int_stack + 58520;
 Libr12->rvrr_classes[5][8] = int_stack + 59276;
 Libr12->rvrr_classes[5][9] = int_stack + 60221;
 Libr12->rvrr_classes[5][10] = int_stack + 61376;
 Libr12->rvrr_classes[5][11] = int_stack + 62762;
 Libr12->rvrr_classes[5][12] = int_stack + 64400;
 Libr12->gvrr_classes[3][6] = int_stack + 66311;
 Libr12->gvrr_classes[3][7] = int_stack + 66591;
 Libr12->gvrr_classes[3][8] = int_stack + 66951;
 Libr12->gvrr_classes[3][9] = int_stack + 67401;
 Libr12->gvrr_classes[3][10] = int_stack + 67951;
 Libr12->gvrr_classes[3][11] = int_stack + 68611;
 Libr12->gvrr_classes[3][12] = int_stack + 69391;
 Libr12->gvrr_classes[4][6] = int_stack + 70301;
 Libr12->gvrr_classes[4][7] = int_stack + 70721;
 Libr12->gvrr_classes[4][8] = int_stack + 71261;
 Libr12->gvrr_classes[4][9] = int_stack + 71936;
 Libr12->gvrr_classes[4][10] = int_stack + 72761;
 Libr12->gvrr_classes[4][11] = int_stack + 73751;
 Libr12->gvrr_classes[4][12] = int_stack + 74921;
 Libr12->gvrr_classes[5][6] = int_stack + 76286;
 Libr12->gvrr_classes[5][7] = int_stack + 76874;
 Libr12->gvrr_classes[5][8] = int_stack + 77630;
 Libr12->gvrr_classes[5][9] = int_stack + 78575;
 Libr12->gvrr_classes[5][10] = int_stack + 79730;
 Libr12->gvrr_classes[5][11] = int_stack + 81116;
 Libr12->gvrr_classes[5][12] = int_stack + 82754;
 memset(int_stack,0,84665*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 84665;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdii(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+84665, int_stack+66591, int_stack+66311, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+85505, int_stack+66951, int_stack+66591, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+86585, int_stack+85505, int_stack+84665, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+88265, int_stack+67401, int_stack+66951, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+89615, int_stack+88265, int_stack+85505, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+91775, int_stack+89615, int_stack+86585, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+94575, int_stack+67951, int_stack+67401, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+96225, int_stack+94575, int_stack+88265, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+98925, int_stack+96225, int_stack+89615, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+102525, int_stack+98925, int_stack+91775, 10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+106725, int_stack+68611, int_stack+67951, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+108705, int_stack+106725, int_stack+94575, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+112005, int_stack+108705, int_stack+96225, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+116505, int_stack+112005, int_stack+98925, 10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+121905, int_stack+116505, int_stack+102525, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+127785, int_stack+70721, int_stack+70301, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+129045, int_stack+71261, int_stack+70721, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+130665, int_stack+129045, int_stack+127785, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+133185, int_stack+71936, int_stack+71261, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+135210, int_stack+133185, int_stack+129045, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+138450, int_stack+135210, int_stack+130665, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+142650, int_stack+72761, int_stack+71936, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+145125, int_stack+142650, int_stack+133185, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+149175, int_stack+145125, int_stack+135210, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+154575, int_stack+149175, int_stack+138450, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+160875, int_stack+73751, int_stack+72761, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+163845, int_stack+160875, int_stack+142650, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+168795, int_stack+163845, int_stack+145125, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+175545, int_stack+168795, int_stack+149175, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+183645, int_stack+175545, int_stack+154575, 15);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+192465, int_stack+69391, int_stack+68611, 10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+194805, int_stack+192465, int_stack+106725, 10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+198765, int_stack+194805, int_stack+108705, 10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+204265, int_stack+198765, int_stack+112005, 10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+211015, int_stack+204265, int_stack+116505, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+218575, int_stack+280, int_stack+0, int_stack+66591, int_stack+70301, int_stack+66311, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+219415, int_stack+640, int_stack+280, int_stack+66951, int_stack+70721, int_stack+66591, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+220495, int_stack+219415, int_stack+218575, int_stack+85505, int_stack+127785, int_stack+84665, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+222175, int_stack+1090, int_stack+640, int_stack+67401, int_stack+71261, int_stack+66951, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+223525, int_stack+222175, int_stack+219415, int_stack+88265, int_stack+129045, int_stack+85505, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+225685, int_stack+223525, int_stack+220495, int_stack+89615, int_stack+130665, int_stack+86585, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84665, int_stack+1640, int_stack+1090, int_stack+67951, int_stack+71936, int_stack+67401, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+218575, int_stack+84665, int_stack+222175, int_stack+94575, int_stack+133185, int_stack+88265, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+228485, int_stack+218575, int_stack+223525, int_stack+96225, int_stack+135210, int_stack+89615, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86315, int_stack+228485, int_stack+225685, int_stack+98925, int_stack+138450, int_stack+91775, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90515, int_stack+2300, int_stack+1640, int_stack+68611, int_stack+72761, int_stack+67951, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+221275, int_stack+90515, int_stack+84665, int_stack+106725, int_stack+142650, int_stack+94575, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+232085, int_stack+221275, int_stack+218575, int_stack+108705, int_stack+145125, int_stack+96225, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92495, int_stack+232085, int_stack+228485, int_stack+112005, int_stack+149175, int_stack+98925, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+224575, int_stack+92495, int_stack+86315, int_stack+116505, int_stack+154575, int_stack+102525, 3, 0);
 /*--- compute (f0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+218575, int_stack+3080, int_stack+2300, int_stack+69391, int_stack+73751, int_stack+68611, 3, 0);
 /*--- compute (f0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84665, int_stack+218575, int_stack+90515, int_stack+192465, int_stack+160875, int_stack+106725, 3, 0);
 /*--- compute (f0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97895, int_stack+84665, int_stack+221275, int_stack+194805, int_stack+163845, int_stack+108705, 3, 0);
 /*--- compute (f0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84665, int_stack+97895, int_stack+232085, int_stack+198765, int_stack+168795, int_stack+112005, 3, 0);
 /*--- compute (f0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97895, int_stack+84665, int_stack+92495, int_stack+204265, int_stack+175545, int_stack+116505, 3, 0);
 /*--- compute (f0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84665, int_stack+97895, int_stack+224575, int_stack+211015, int_stack+183645, int_stack+121905, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+92505, int_stack+76874, int_stack+76286, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+94269, int_stack+77630, int_stack+76874, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+96537, int_stack+94269, int_stack+92505, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+100065, int_stack+78575, int_stack+77630, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+102900, int_stack+100065, int_stack+94269, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+107436, int_stack+102900, int_stack+96537, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+113316, int_stack+79730, int_stack+78575, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+218575, int_stack+113316, int_stack+100065, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+224245, int_stack+218575, int_stack+102900, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+231805, int_stack+224245, int_stack+107436, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+116781, int_stack+81116, int_stack+79730, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+240625, int_stack+116781, int_stack+113316, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+247555, int_stack+240625, int_stack+218575, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+257005, int_stack+247555, int_stack+224245, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+268345, int_stack+257005, int_stack+231805, 21);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+74921, int_stack+73751, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+280693, int_stack+0, int_stack+160875, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+286633, int_stack+280693, int_stack+163845, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+294883, int_stack+286633, int_stack+168795, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+305008, int_stack+294883, int_stack+175545, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66311, int_stack+4410, int_stack+3990, int_stack+70721, int_stack+76286, int_stack+70301, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67571, int_stack+4950, int_stack+4410, int_stack+71261, int_stack+76874, int_stack+70721, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316348, int_stack+67571, int_stack+66311, int_stack+129045, int_stack+92505, int_stack+127785, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318868, int_stack+5625, int_stack+4950, int_stack+71936, int_stack+77630, int_stack+71261, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320893, int_stack+318868, int_stack+67571, int_stack+133185, int_stack+94269, int_stack+129045, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+324133, int_stack+320893, int_stack+316348, int_stack+135210, int_stack+96537, int_stack+130665, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316348, int_stack+6450, int_stack+5625, int_stack+72761, int_stack+78575, int_stack+71936, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127785, int_stack+316348, int_stack+318868, int_stack+142650, int_stack+100065, int_stack+133185, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+328333, int_stack+127785, int_stack+320893, int_stack+145125, int_stack+102900, int_stack+135210, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131835, int_stack+328333, int_stack+324133, int_stack+149175, int_stack+107436, int_stack+138450, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318823, int_stack+7440, int_stack+6450, int_stack+73751, int_stack+79730, int_stack+72761, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+321793, int_stack+318823, int_stack+316348, int_stack+160875, int_stack+113316, int_stack+142650, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+138135, int_stack+321793, int_stack+127785, int_stack+163845, int_stack+218575, int_stack+145125, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+333733, int_stack+138135, int_stack+328333, int_stack+168795, int_stack+224245, int_stack+149175, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+144885, int_stack+333733, int_stack+131835, int_stack+175545, int_stack+231805, int_stack+154575, 4, 0);
 /*--- compute (g0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127785, int_stack+8610, int_stack+7440, int_stack+74921, int_stack+81116, int_stack+73751, 4, 0);
 /*--- compute (g0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131295, int_stack+127785, int_stack+318823, int_stack+0, int_stack+116781, int_stack+160875, 4, 0);
 /*--- compute (g0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+153705, int_stack+131295, int_stack+321793, int_stack+280693, int_stack+240625, int_stack+163845, 4, 0);
 /*--- compute (g0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127785, int_stack+153705, int_stack+138135, int_stack+286633, int_stack+247555, int_stack+168795, 4, 0);
 /*--- compute (g0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+153705, int_stack+127785, int_stack+333733, int_stack+294883, int_stack+257005, int_stack+175545, 4, 0);
 /*--- compute (g0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127785, int_stack+153705, int_stack+144885, int_stack+305008, int_stack+268345, int_stack+183645, 4, 0);
 /*--- compute (fp|[r12,T2]|ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+139545, int_stack+127785, int_stack+84665, 784);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+84665, int_stack+11347, int_stack+9975, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+87017, int_stack+13111, int_stack+11347, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+163065, int_stack+87017, int_stack+84665, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+167769, int_stack+15316, int_stack+13111, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+171549, int_stack+167769, int_stack+87017, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+316348, int_stack+171549, int_stack+163065, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+70301, int_stack+18011, int_stack+15316, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+324188, int_stack+70301, int_stack+167769, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+331748, int_stack+324188, int_stack+171549, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+341828, int_stack+331748, int_stack+316348, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+177597, int_stack+21245, int_stack+18011, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+353588, int_stack+177597, int_stack+70301, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+362828, int_stack+353588, int_stack+324188, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+375428, int_stack+362828, int_stack+331748, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+390548, int_stack+375428, int_stack+341828, 28);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3510, int_stack+82754, int_stack+81116, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+407012, int_stack+3510, int_stack+116781, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+415328, int_stack+407012, int_stack+240625, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+426878, int_stack+415328, int_stack+247555, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+441053, int_stack+426878, int_stack+257005, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90041, int_stack+12355, int_stack+10759, int_stack+76874, int_stack+9975, int_stack+76286, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66311, int_stack+14371, int_stack+12355, int_stack+77630, int_stack+11347, int_stack+76874, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8424, int_stack+66311, int_stack+90041, int_stack+94269, int_stack+84665, int_stack+92505, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90041, int_stack+16856, int_stack+14371, int_stack+78575, int_stack+13111, int_stack+77630, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+456929, int_stack+90041, int_stack+66311, int_stack+100065, int_stack+87017, int_stack+94269, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+461465, int_stack+456929, int_stack+8424, int_stack+102900, int_stack+163065, int_stack+96537, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+163065, int_stack+19859, int_stack+16856, int_stack+79730, int_stack+15316, int_stack+78575, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8424, int_stack+163065, int_stack+90041, int_stack+113316, int_stack+167769, int_stack+100065, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84665, int_stack+8424, int_stack+456929, int_stack+218575, int_stack+171549, int_stack+102900, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+166530, int_stack+84665, int_stack+461465, int_stack+224245, int_stack+316348, int_stack+107436, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316348, int_stack+23429, int_stack+19859, int_stack+81116, int_stack+18011, int_stack+79730, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+456929, int_stack+316348, int_stack+163065, int_stack+116781, int_stack+70301, int_stack+113316, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92225, int_stack+456929, int_stack+8424, int_stack+240625, int_stack+324188, int_stack+218575, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8424, int_stack+92225, int_stack+84665, int_stack+247555, int_stack+331748, int_stack+224245, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+218575, int_stack+8424, int_stack+166530, int_stack+257005, int_stack+341828, int_stack+231805, 5, 0);
 /*--- compute (h0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84665, int_stack+25067, int_stack+23429, int_stack+82754, int_stack+21245, int_stack+81116, 5, 0);
 /*--- compute (h0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+230923, int_stack+84665, int_stack+316348, int_stack+3510, int_stack+177597, int_stack+116781, 5, 0);
 /*--- compute (h0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316348, int_stack+230923, int_stack+456929, int_stack+407012, int_stack+353588, int_stack+240625, 5, 0);
 /*--- compute (h0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+230923, int_stack+316348, int_stack+92225, int_stack+415328, int_stack+362828, int_stack+247555, 5, 0);
 /*--- compute (h0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316348, int_stack+230923, int_stack+8424, int_stack+426878, int_stack+375428, int_stack+257005, 5, 0);
 /*--- compute (h0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+230923, int_stack+316348, int_stack+218575, int_stack+441053, int_stack+390548, int_stack+268345, 5, 0);
 /*--- compute (gp|[r12,T2]|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+316348, int_stack+230923, int_stack+127785, 784);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+127785, int_stack+211015, int_stack+121905, 10);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+218575, int_stack+305008, int_stack+183645, 15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+230335, int_stack+218575, int_stack+127785, 784);
 /*--- compute (f0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+135625, int_stack+26978, int_stack+69391, 10);
 /*--- compute (f0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+135625, int_stack+192465, 10);
 /*--- compute (f0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+258535, int_stack+253855, int_stack+194805, 10);
 /*--- compute (f0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+351628, int_stack+258535, int_stack+198765, 10);
 /*--- compute (f0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+351628, int_stack+204265, 10);
 /*--- compute (f0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+351628, int_stack+253855, int_stack+211015, 10);
 /*--- compute (g0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+32018, int_stack+74921, 15);
 /*--- compute (g0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+257950, int_stack+253855, int_stack+0, 15);
 /*--- compute (g0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+257950, int_stack+280693, 15);
 /*--- compute (g0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+9900, int_stack+0, int_stack+286633, 15);
 /*--- compute (g0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+280693, int_stack+9900, int_stack+294883, 15);
 /*--- compute (g0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+0, int_stack+280693, int_stack+305008, 15);
 /*--- compute (fp|ki) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+280693, int_stack+0, int_stack+351628, 1008);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+361708, int_stack+441053, int_stack+268345, 21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+378172, int_stack+361708, int_stack+218575, 784);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+310933, int_stack+28308, int_stack+28028, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+311773, int_stack+28668, int_stack+28308, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+312853, int_stack+311773, int_stack+310933, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+314533, int_stack+29118, int_stack+28668, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+15120, int_stack+314533, int_stack+311773, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+17280, int_stack+15120, int_stack+312853, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+310933, int_stack+29668, int_stack+29118, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+20080, int_stack+310933, int_stack+314533, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+312583, int_stack+20080, int_stack+15120, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+22780, int_stack+312583, int_stack+17280, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+15120, int_stack+30328, int_stack+29668, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+26980, int_stack+15120, int_stack+310933, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+26980, int_stack+20080, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+17100, int_stack+253855, int_stack+312583, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+258355, int_stack+17100, int_stack+22780, 10);
 /*--- compute (f0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+310933, int_stack+31108, int_stack+30328, 10);
 /*--- compute (f0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+22500, int_stack+310933, int_stack+15120, 10);
 /*--- compute (f0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+264235, int_stack+22500, int_stack+26980, 10);
 /*--- compute (f0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+22500, int_stack+264235, int_stack+253855, 10);
 /*--- compute (f0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+264235, int_stack+22500, int_stack+17100, 10);
 /*--- compute (f0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+271795, int_stack+264235, int_stack+258355, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+34013, int_stack+33593, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+255115, int_stack+34553, int_stack+34013, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+256735, int_stack+255115, int_stack+253855, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+259255, int_stack+35228, int_stack+34553, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+261280, int_stack+259255, int_stack+255115, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+264520, int_stack+261280, int_stack+256735, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+36053, int_stack+35228, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+15120, int_stack+253855, int_stack+259255, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+19170, int_stack+15120, int_stack+261280, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+256330, int_stack+19170, int_stack+264520, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+262630, int_stack+37043, int_stack+36053, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+265600, int_stack+262630, int_stack+253855, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+24570, int_stack+265600, int_stack+15120, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+413452, int_stack+24570, int_stack+19170, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+15120, int_stack+413452, int_stack+256330, 15);
 /*--- compute (g0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+38213, int_stack+37043, 15);
 /*--- compute (g0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+31320, int_stack+253855, int_stack+262630, 15);
 /*--- compute (g0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+31320, int_stack+265600, 15);
 /*--- compute (g0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+421552, int_stack+253855, int_stack+24570, 15);
 /*--- compute (g0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+421552, int_stack+413452, 15);
 /*--- compute (g0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+413452, int_stack+253855, int_stack+15120, 15);
 /*--- compute (fp|[r12,T1]|ii) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+15120, int_stack+413452, int_stack+271795, int_stack+218575, int_stack+351628, int_stack+127785, 6, 6);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+351628, int_stack+40166, int_stack+39578, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+353392, int_stack+40922, int_stack+40166, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+355660, int_stack+353392, int_stack+351628, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+41867, int_stack+40922, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+256690, int_stack+253855, int_stack+353392, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+261226, int_stack+256690, int_stack+355660, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+351628, int_stack+43022, int_stack+41867, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+355093, int_stack+351628, int_stack+253855, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+267106, int_stack+355093, int_stack+256690, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+425212, int_stack+267106, int_stack+261226, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+253855, int_stack+44408, int_stack+43022, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+258013, int_stack+253855, int_stack+351628, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+434032, int_stack+258013, int_stack+355093, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+443482, int_stack+434032, int_stack+267106, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+264943, int_stack+443482, int_stack+425212, 21);
 /*--- compute (h0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+425212, int_stack+46046, int_stack+44408, 21);
 /*--- compute (h0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+351628, int_stack+425212, int_stack+253855, 21);
 /*--- compute (h0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+454822, int_stack+351628, int_stack+258013, 21);
 /*--- compute (h0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+163065, int_stack+454822, int_stack+434032, 21);
 /*--- compute (h0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+425212, int_stack+163065, int_stack+443482, 21);
 /*--- compute (h0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+163065, int_stack+425212, int_stack+264943, 21);
 /*--- compute (gp|[r12,T1]|ii) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+425212, int_stack+163065, int_stack+413452, int_stack+361708, int_stack+0, int_stack+218575, 6, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+48237, int_stack+47957, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+840, int_stack+48597, int_stack+48237, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1920, int_stack+840, int_stack+0, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3600, int_stack+49047, int_stack+48597, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4950, int_stack+3600, int_stack+840, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7110, int_stack+4950, int_stack+1920, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+49597, int_stack+49047, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+9910, int_stack+0, int_stack+3600, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+413452, int_stack+9910, int_stack+4950, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1650, int_stack+413452, int_stack+7110, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+5850, int_stack+50257, int_stack+49597, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+417052, int_stack+5850, int_stack+0, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+420352, int_stack+417052, int_stack+9910, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+7830, int_stack+420352, int_stack+413452, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+163065, int_stack+7830, int_stack+1650, 10);
 /*--- compute (f0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+413452, int_stack+51037, int_stack+50257, 10);
 /*--- compute (f0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+413452, int_stack+5850, 10);
 /*--- compute (f0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+168945, int_stack+0, int_stack+417052, 10);
 /*--- compute (f0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+168945, int_stack+420352, 10);
 /*--- compute (f0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+168945, int_stack+0, int_stack+7830, 10);
 /*--- compute (f0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+0, int_stack+168945, int_stack+163065, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+163065, int_stack+52367, int_stack+51947, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+164325, int_stack+52907, int_stack+52367, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+165945, int_stack+164325, int_stack+163065, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+168465, int_stack+53582, int_stack+52907, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+170490, int_stack+168465, int_stack+164325, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+173730, int_stack+170490, int_stack+165945, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+163065, int_stack+54407, int_stack+53582, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+177930, int_stack+163065, int_stack+168465, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+181980, int_stack+177930, int_stack+170490, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+165540, int_stack+181980, int_stack+173730, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+171840, int_stack+55397, int_stack+54407, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+187380, int_stack+171840, int_stack+163065, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+192330, int_stack+187380, int_stack+177930, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+199080, int_stack+192330, int_stack+181980, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+174810, int_stack+199080, int_stack+165540, 15);
 /*--- compute (g0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+163065, int_stack+56567, int_stack+55397, 15);
 /*--- compute (g0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+207180, int_stack+163065, int_stack+171840, 15);
 /*--- compute (g0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+163065, int_stack+207180, int_stack+187380, 15);
 /*--- compute (g0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+207180, int_stack+163065, int_stack+192330, 15);
 /*--- compute (g0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+163065, int_stack+207180, int_stack+199080, 15);
 /*--- compute (g0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+413452, int_stack+163065, int_stack+174810, 15);
 /*--- compute (fp||ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+163065, int_stack+413452, int_stack+0, 784);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+58520, int_stack+57932, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+59276, int_stack+58520, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+60221, int_stack+59276, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10395, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+186585, int_stack+10395, int_stack+4032, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+61376, int_stack+60221, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+192465, int_stack+0, int_stack+7560, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+198135, int_stack+192465, int_stack+10395, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3465, int_stack+198135, int_stack+186585, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+186585, int_stack+62762, int_stack+61376, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+205695, int_stack+186585, int_stack+0, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+212625, int_stack+205695, int_stack+192465, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+351628, int_stack+212625, int_stack+198135, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+190743, int_stack+351628, int_stack+3465, 21);
 /*--- compute (h0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+64400, int_stack+62762, 21);
 /*--- compute (h0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+4914, int_stack+0, int_stack+186585, 21);
 /*--- compute (h0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+362968, int_stack+4914, int_stack+205695, 21);
 /*--- compute (h0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+362968, int_stack+212625, 21);
 /*--- compute (h0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+203091, int_stack+0, int_stack+351628, 21);
 /*--- compute (h0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+351628, int_stack+203091, int_stack+190743, 21);
 /*--- compute (gp||ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+186585, int_stack+351628, int_stack+413452, 784);
 /*--- compute (fd|[r12,T2]|ii) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+38640, int_stack+316348, int_stack+139545, 784);
     Libr12->te_ptr[3] = int_stack + 38640;
 /*--- compute (fd|[r12,T1]|ii) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+85680, int_stack+425212, int_stack+15120, int_stack+378172, int_stack+280693, int_stack+230335, 6, 6);
     Libr12->te_ptr[2] = int_stack + 85680;
 /*--- compute (fd||ii) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+413452, int_stack+186585, int_stack+163065, 784);
     Libr12->te_ptr[1] = int_stack + 413452;
 /*--- compute (fd|ii) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+253855, int_stack+378172, int_stack+230335, 784);
     Libr12->te_ptr[0] = int_stack + 253855;

}
