#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fdip(Libr12_t *, prim_data *);

  /* Computes (fd|ip) integrals for linear R12-methods */

void hrr_grt_order_fdip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[4][6] = int_stack + 640;
 Libr12->t2vrr_classes[4][7] = int_stack + 1060;
 Libr12->gvrr_classes[6][6] = int_stack + 1600;
 Libr12->t2vrr_classes[5][6] = int_stack + 2384;
 Libr12->t2vrr_classes[5][7] = int_stack + 2972;
 Libr12->gvrr_classes[3][8] = int_stack + 3728;
 Libr12->t1vrr_classes[3][6] = int_stack + 4178;
 Libr12->t1vrr_classes[3][7] = int_stack + 4458;
 Libr12->gvrr_classes[4][8] = int_stack + 4818;
 Libr12->t1vrr_classes[4][6] = int_stack + 5493;
 Libr12->t1vrr_classes[4][7] = int_stack + 5913;
 Libr12->t1vrr_classes[5][6] = int_stack + 6453;
 Libr12->t1vrr_classes[5][7] = int_stack + 7041;
 Libr12->rvrr_classes[3][6] = int_stack + 7797;
 Libr12->rvrr_classes[3][7] = int_stack + 8077;
 Libr12->rvrr_classes[4][6] = int_stack + 8437;
 Libr12->rvrr_classes[4][7] = int_stack + 8857;
 Libr12->rvrr_classes[5][6] = int_stack + 9397;
 Libr12->rvrr_classes[5][7] = int_stack + 9985;
 Libr12->gvrr_classes[3][6] = int_stack + 10741;
 Libr12->gvrr_classes[3][7] = int_stack + 11021;
 Libr12->gvrr_classes[4][6] = int_stack + 11381;
 Libr12->gvrr_classes[4][7] = int_stack + 11801;
 Libr12->gvrr_classes[5][6] = int_stack + 12341;
 Libr12->gvrr_classes[5][7] = int_stack + 12929;
 memset(int_stack,0,13685*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 13685;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fdip(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13685, int_stack+280, int_stack+0, int_stack+11021, int_stack+11381, int_stack+10741, 3, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14525, int_stack+1060, int_stack+640, int_stack+11801, int_stack+12341, int_stack+11381, 4, 0);
 /*--- compute (fp|[r12,T2]|ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+15785, int_stack+14525, int_stack+13685, 84);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18305, int_stack+2972, int_stack+2384, int_stack+12929, int_stack+1600, int_stack+12341, 5, 0);
 /*--- compute (gp|[r12,T2]|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+20069, int_stack+18305, int_stack+14525, 84);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18305, int_stack+11021, int_stack+10741, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13685, int_stack+11801, int_stack+11381, 15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+13685, int_stack+18305, 84);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2520, int_stack+3728, int_stack+11021, 10);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+23849, int_stack+4818, int_stack+11801, 15);
 /*--- compute (fp|kp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+25469, int_stack+23849, int_stack+2520, 108);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28709, int_stack+12929, int_stack+12341, 21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+30473, int_stack+28709, int_stack+13685, 84);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14945, int_stack+4458, int_stack+4178, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10741, int_stack+5913, int_stack+5493, 15);
 /*--- compute (fp|[r12,T1]|ip) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3600, int_stack+10741, int_stack+14945, int_stack+13685, int_stack+2520, int_stack+18305, 6, 1);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18305, int_stack+7041, int_stack+6453, 21);
 /*--- compute (gp|[r12,T1]|ip) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+34253, int_stack+18305, int_stack+10741, int_stack+28709, int_stack+23849, int_stack+13685, 6, 1);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23849, int_stack+8077, int_stack+7797, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28709, int_stack+8857, int_stack+8437, 15);
 /*--- compute (fp||ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+10741, int_stack+28709, int_stack+23849, 84);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18305, int_stack+9985, int_stack+9397, 21);
 /*--- compute (gp||ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+6120, int_stack+18305, int_stack+28709, 84);
 /*--- compute (fd|[r12,T2]|ip) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+38033, int_stack+20069, int_stack+15785, 84);
     Libr12->te_ptr[3] = int_stack + 38033;
 /*--- compute (fd|[r12,T1]|ip) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+13261, int_stack+34253, int_stack+3600, int_stack+30473, int_stack+25469, int_stack+0, 6, 1);
     Libr12->te_ptr[2] = int_stack + 13261;
 /*--- compute (fd||ip) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+18301, int_stack+6120, int_stack+10741, 84);
     Libr12->te_ptr[1] = int_stack + 18301;
 /*--- compute (fd|ip) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+23341, int_stack+30473, int_stack+0, 84);
     Libr12->te_ptr[0] = int_stack + 23341;

}
