#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ffhp(Libr12_t *, prim_data *);

  /* Computes (ff|hp) integrals for linear R12-methods */

void hrr_grt_order_ffhp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][5] = int_stack + 0;
 Libr12->t2vrr_classes[3][6] = int_stack + 210;
 Libr12->t2vrr_classes[4][5] = int_stack + 490;
 Libr12->t2vrr_classes[4][6] = int_stack + 805;
 Libr12->t2vrr_classes[5][5] = int_stack + 1225;
 Libr12->t2vrr_classes[5][6] = int_stack + 1666;
 Libr12->gvrr_classes[7][5] = int_stack + 2254;
 Libr12->t2vrr_classes[6][5] = int_stack + 3010;
 Libr12->t2vrr_classes[6][6] = int_stack + 3598;
 Libr12->gvrr_classes[3][7] = int_stack + 4382;
 Libr12->t1vrr_classes[3][5] = int_stack + 4742;
 Libr12->t1vrr_classes[3][6] = int_stack + 4952;
 Libr12->gvrr_classes[4][7] = int_stack + 5232;
 Libr12->t1vrr_classes[4][5] = int_stack + 5772;
 Libr12->t1vrr_classes[4][6] = int_stack + 6087;
 Libr12->gvrr_classes[5][7] = int_stack + 6507;
 Libr12->t1vrr_classes[5][5] = int_stack + 7263;
 Libr12->t1vrr_classes[5][6] = int_stack + 7704;
 Libr12->t1vrr_classes[6][5] = int_stack + 8292;
 Libr12->t1vrr_classes[6][6] = int_stack + 8880;
 Libr12->rvrr_classes[3][5] = int_stack + 9664;
 Libr12->rvrr_classes[3][6] = int_stack + 9874;
 Libr12->rvrr_classes[4][5] = int_stack + 10154;
 Libr12->rvrr_classes[4][6] = int_stack + 10469;
 Libr12->rvrr_classes[5][5] = int_stack + 10889;
 Libr12->rvrr_classes[5][6] = int_stack + 11330;
 Libr12->rvrr_classes[6][5] = int_stack + 11918;
 Libr12->rvrr_classes[6][6] = int_stack + 12506;
 Libr12->gvrr_classes[3][5] = int_stack + 13290;
 Libr12->gvrr_classes[3][6] = int_stack + 13500;
 Libr12->gvrr_classes[4][5] = int_stack + 13780;
 Libr12->gvrr_classes[4][6] = int_stack + 14095;
 Libr12->gvrr_classes[5][5] = int_stack + 14515;
 Libr12->gvrr_classes[5][6] = int_stack + 14956;
 Libr12->gvrr_classes[6][5] = int_stack + 15544;
 Libr12->gvrr_classes[6][6] = int_stack + 16132;
 memset(int_stack,0,16916*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 16916;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ffhp(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16916, int_stack+210, int_stack+0, int_stack+13500, int_stack+13780, int_stack+13290, 3, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17546, int_stack+805, int_stack+490, int_stack+14095, int_stack+14515, int_stack+13780, 4, 0);
 /*--- compute (fp|[r12,T2]|hp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+18491, int_stack+17546, int_stack+16916, 63);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20381, int_stack+1666, int_stack+1225, int_stack+14956, int_stack+15544, int_stack+14515, 5, 0);
 /*--- compute (gp|[r12,T2]|hp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+21704, int_stack+20381, int_stack+17546, 63);
 /*--- compute (fd|[r12,T2]|hp) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+24539, int_stack+21704, int_stack+18491, 63);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16916, int_stack+3598, int_stack+3010, int_stack+16132, int_stack+2254, int_stack+15544, 6, 0);
 /*--- compute (hp|[r12,T2]|hp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+16916, int_stack+20381, 63);
 /*--- compute (gd|[r12,T2]|hp) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+28319, int_stack+0, int_stack+21704, 63);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13500, int_stack+13290, 10);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+630, int_stack+14095, int_stack+13780, 15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+1575, int_stack+630, int_stack+0, 63);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+16916, int_stack+14956, int_stack+14515, 21);
 /*--- compute (gp|hp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+18239, int_stack+16916, int_stack+630, 63);
 /*--- compute (fd|hp) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+33989, int_stack+18239, int_stack+1575, 63);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3465, int_stack+4382, int_stack+13500, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21074, int_stack+5232, int_stack+14095, 15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+37769, int_stack+21074, int_stack+3465, 84);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+22334, int_stack+6507, int_stack+14956, 21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+40289, int_stack+22334, int_stack+21074, 84);
 /*--- compute (fd|ip) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+44069, int_stack+40289, int_stack+37769, 84);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13290, int_stack+16132, int_stack+15544, 28);
 /*--- compute (hp|hp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+49109, int_stack+13290, int_stack+16916, 63);
 /*--- compute (gd|hp) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+53078, int_stack+49109, int_stack+18239, 63);
 /*--- compute (f0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6507, int_stack+4952, int_stack+4742, 10);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+15054, int_stack+6087, int_stack+5772, 15);
 /*--- compute (fp|[r12,T1]|hp) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4305, int_stack+15054, int_stack+6507, int_stack+630, int_stack+3465, int_stack+0, 5, 1);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+58748, int_stack+7704, int_stack+7263, 21);
 /*--- compute (gp|[r12,T1]|hp) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+60071, int_stack+58748, int_stack+15054, int_stack+16916, int_stack+21074, int_stack+630, 5, 1);
 /*--- compute (fd|[r12,T1]|hp) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+62906, int_stack+60071, int_stack+4305, int_stack+18239, int_stack+37769, int_stack+1575, 5, 1);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+37769, int_stack+8880, int_stack+8292, 28);
 /*--- compute (hp|[r12,T1]|hp) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+37769, int_stack+58748, int_stack+13290, int_stack+22334, int_stack+16916, 5, 1);
 /*--- compute (gd|[r12,T1]|hp) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3969, int_stack+0, int_stack+60071, int_stack+49109, int_stack+40289, int_stack+18239, 5, 1);
 /*--- compute (f0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+49109, int_stack+9874, int_stack+9664, 10);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+49739, int_stack+10469, int_stack+10154, 15);
 /*--- compute (fp||hp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+50684, int_stack+49739, int_stack+49109, 63);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11330, int_stack+10889, 21);
 /*--- compute (gp||hp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+13290, int_stack+0, int_stack+49739, 63);
 /*--- compute (fd||hp) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+16125, int_stack+13290, int_stack+50684, 63);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+49109, int_stack+12506, int_stack+11918, 28);
 /*--- compute (hp||hp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+19905, int_stack+49109, int_stack+0, 63);
 /*--- compute (gd||hp) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+37769, int_stack+19905, int_stack+13290, 63);
 /*--- compute (ff|[r12,T2]|hp) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+9639, int_stack+28319, int_stack+24539, 63);
     Libr12->te_ptr[3] = int_stack + 9639;
 /*--- compute (ff|[r12,T1]|hp) ---*/
   t1hrr1_build_ff(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+19905, int_stack+3969, int_stack+62906, int_stack+53078, int_stack+44069, int_stack+33989, 5, 1);
     Libr12->te_ptr[2] = int_stack + 19905;
 /*--- compute (ff||hp) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+26205, int_stack+37769, int_stack+16125, 63);
     Libr12->te_ptr[1] = int_stack + 26205;
 /*--- compute (ff|hp) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+37769, int_stack+53078, int_stack+33989, 63);
     Libr12->te_ptr[0] = int_stack + 37769;

}
