#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ffi0(Libr12_t *, prim_data *);

  /* Computes (ff|i0) integrals for linear R12-methods */

void hrr_grt_order_ffi0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 280;
 Libr12->t2vrr_classes[5][6] = int_stack + 700;
 Libr12->t2vrr_classes[6][6] = int_stack + 1288;
 Libr12->gvrr_classes[3][7] = int_stack + 2072;
 Libr12->t1vrr_classes[3][6] = int_stack + 2432;
 Libr12->gvrr_classes[4][7] = int_stack + 2712;
 Libr12->t1vrr_classes[4][6] = int_stack + 3252;
 Libr12->gvrr_classes[5][7] = int_stack + 3672;
 Libr12->t1vrr_classes[5][6] = int_stack + 4428;
 Libr12->t1vrr_classes[6][6] = int_stack + 5016;
 Libr12->rvrr_classes[3][6] = int_stack + 5800;
 Libr12->rvrr_classes[4][6] = int_stack + 6080;
 Libr12->rvrr_classes[5][6] = int_stack + 6500;
 Libr12->rvrr_classes[6][6] = int_stack + 7088;
 Libr12->gvrr_classes[3][6] = int_stack + 7872;
 Libr12->gvrr_classes[4][6] = int_stack + 8152;
 Libr12->gvrr_classes[5][6] = int_stack + 8572;
 Libr12->gvrr_classes[6][6] = int_stack + 9160;
 memset(int_stack,0,9944*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 9944;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ffi0(Libr12, Data);
   Data++;
 }

 /*--- compute (fp|[r12,T2]|i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+9944, int_stack+280, int_stack+0, 28);
 /*--- compute (gp|[r12,T2]|i0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+10784, int_stack+700, int_stack+280, 28);
 /*--- compute (fd|[r12,T2]|i0) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+12044, int_stack+10784, int_stack+9944, 28);
 /*--- compute (hp|[r12,T2]|i0) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+13724, int_stack+1288, int_stack+700, 28);
 /*--- compute (gd|[r12,T2]|i0) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+15488, int_stack+13724, int_stack+10784, 28);
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+13724, int_stack+8152, int_stack+7872, 28);
 /*--- compute (gp|i0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+9944, int_stack+8572, int_stack+8152, 28);
 /*--- compute (fd|i0) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+9944, int_stack+13724, 28);
 /*--- compute (fp|k0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+18008, int_stack+2712, int_stack+2072, 36);
 /*--- compute (gp|k0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+19088, int_stack+3672, int_stack+2712, 36);
 /*--- compute (fd|k0) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+20708, int_stack+19088, int_stack+18008, 36);
 /*--- compute (hp|i0) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+22868, int_stack+9160, int_stack+8572, 28);
 /*--- compute (gd|i0) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+24632, int_stack+22868, int_stack+9944, 28);
 /*--- compute (fp|[r12,T1]|i0) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+11204, int_stack+3252, int_stack+2432, int_stack+8152, int_stack+2072, int_stack+7872, 6, 0);
 /*--- compute (gp|[r12,T1]|i0) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+27152, int_stack+4428, int_stack+3252, int_stack+8572, int_stack+2712, int_stack+8152, 6, 0);
 /*--- compute (fd|[r12,T1]|i0) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1680, int_stack+27152, int_stack+11204, int_stack+9944, int_stack+18008, int_stack+13724, 6, 0);
 /*--- compute (hp|[r12,T1]|i0) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+13724, int_stack+5016, int_stack+4428, int_stack+9160, int_stack+3672, int_stack+8572, 6, 0);
 /*--- compute (gd|[r12,T1]|i0) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+28412, int_stack+13724, int_stack+27152, int_stack+22868, int_stack+19088, int_stack+9944, 6, 0);
 /*--- compute (fp||i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+22868, int_stack+6080, int_stack+5800, 28);
 /*--- compute (gp||i0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+27152, int_stack+6500, int_stack+6080, 28);
 /*--- compute (fd||i0) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+13724, int_stack+27152, int_stack+22868, 28);
 /*--- compute (hp||i0) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+22868, int_stack+7088, int_stack+6500, 28);
 /*--- compute (gd||i0) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+18008, int_stack+22868, int_stack+27152, 28);
 /*--- compute (ff|[r12,T2]|i0) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+3360, int_stack+15488, int_stack+12044, 28);
     Libr12->te_ptr[3] = int_stack + 3360;
 /*--- compute (ff|[r12,T1]|i0) ---*/
   t1hrr1_build_ff(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6160, int_stack+28412, int_stack+1680, int_stack+24632, int_stack+20708, int_stack+0, 6, 0);
     Libr12->te_ptr[2] = int_stack + 6160;
 /*--- compute (ff||i0) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+27152, int_stack+18008, int_stack+13724, 28);
     Libr12->te_ptr[1] = int_stack + 27152;
 /*--- compute (ff|i0) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+8960, int_stack+24632, int_stack+0, 28);
     Libr12->te_ptr[0] = int_stack + 8960;

}
