#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ffid(Libr12_t *, prim_data *);

  /* Computes (ff|id) integrals for linear R12-methods */

void hrr_grt_order_ffid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[4][6] = int_stack + 1090;
 Libr12->t2vrr_classes[4][7] = int_stack + 1510;
 Libr12->t2vrr_classes[4][8] = int_stack + 2050;
 Libr12->t2vrr_classes[5][6] = int_stack + 2725;
 Libr12->t2vrr_classes[5][7] = int_stack + 3313;
 Libr12->t2vrr_classes[5][8] = int_stack + 4069;
 Libr12->gvrr_classes[7][6] = int_stack + 5014;
 Libr12->t2vrr_classes[6][6] = int_stack + 6022;
 Libr12->gvrr_classes[7][7] = int_stack + 6806;
 Libr12->t2vrr_classes[6][7] = int_stack + 8102;
 Libr12->t2vrr_classes[6][8] = int_stack + 9110;
 Libr12->gvrr_classes[3][9] = int_stack + 10370;
 Libr12->t1vrr_classes[3][6] = int_stack + 10920;
 Libr12->t1vrr_classes[3][7] = int_stack + 11200;
 Libr12->t1vrr_classes[3][8] = int_stack + 11560;
 Libr12->gvrr_classes[4][9] = int_stack + 12010;
 Libr12->t1vrr_classes[4][6] = int_stack + 12835;
 Libr12->t1vrr_classes[4][7] = int_stack + 13255;
 Libr12->t1vrr_classes[4][8] = int_stack + 13795;
 Libr12->gvrr_classes[5][9] = int_stack + 14470;
 Libr12->t1vrr_classes[5][6] = int_stack + 15625;
 Libr12->t1vrr_classes[5][7] = int_stack + 16213;
 Libr12->t1vrr_classes[5][8] = int_stack + 16969;
 Libr12->t1vrr_classes[6][6] = int_stack + 17914;
 Libr12->t1vrr_classes[6][7] = int_stack + 18698;
 Libr12->t1vrr_classes[6][8] = int_stack + 19706;
 Libr12->rvrr_classes[3][6] = int_stack + 20966;
 Libr12->rvrr_classes[3][7] = int_stack + 21246;
 Libr12->rvrr_classes[3][8] = int_stack + 21606;
 Libr12->rvrr_classes[4][6] = int_stack + 22056;
 Libr12->rvrr_classes[4][7] = int_stack + 22476;
 Libr12->rvrr_classes[4][8] = int_stack + 23016;
 Libr12->rvrr_classes[5][6] = int_stack + 23691;
 Libr12->rvrr_classes[5][7] = int_stack + 24279;
 Libr12->rvrr_classes[5][8] = int_stack + 25035;
 Libr12->rvrr_classes[6][6] = int_stack + 25980;
 Libr12->rvrr_classes[6][7] = int_stack + 26764;
 Libr12->rvrr_classes[6][8] = int_stack + 27772;
 Libr12->gvrr_classes[3][6] = int_stack + 29032;
 Libr12->gvrr_classes[3][7] = int_stack + 29312;
 Libr12->gvrr_classes[3][8] = int_stack + 29672;
 Libr12->gvrr_classes[4][6] = int_stack + 30122;
 Libr12->gvrr_classes[4][7] = int_stack + 30542;
 Libr12->gvrr_classes[4][8] = int_stack + 31082;
 Libr12->gvrr_classes[5][6] = int_stack + 31757;
 Libr12->gvrr_classes[5][7] = int_stack + 32345;
 Libr12->gvrr_classes[5][8] = int_stack + 33101;
 Libr12->gvrr_classes[6][6] = int_stack + 34046;
 Libr12->gvrr_classes[6][7] = int_stack + 34830;
 Libr12->gvrr_classes[6][8] = int_stack + 35838;
 memset(int_stack,0,37098*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 37098;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ffid(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37098, int_stack+29312, int_stack+29032, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37938, int_stack+30542, int_stack+30122, 15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39198, int_stack+29672, int_stack+29312, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40278, int_stack+280, int_stack+0, int_stack+29312, int_stack+30122, int_stack+29032, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41118, int_stack+640, int_stack+280, int_stack+29672, int_stack+30542, int_stack+29312, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42198, int_stack+41118, int_stack+40278, int_stack+39198, int_stack+37938, int_stack+37098, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+40278, int_stack+32345, int_stack+31757, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+43878, int_stack+31082, int_stack+30542, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45498, int_stack+1510, int_stack+1090, int_stack+30542, int_stack+31757, int_stack+30122, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46758, int_stack+2050, int_stack+1510, int_stack+31082, int_stack+32345, int_stack+30542, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+46758, int_stack+45498, int_stack+43878, int_stack+40278, int_stack+37938, 4, 0);
 /*--- compute (fp|[r12,T2]|id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+45498, int_stack+0, int_stack+42198, 168);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+50538, int_stack+34830, int_stack+34046, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+52890, int_stack+33101, int_stack+32345, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42042, int_stack+3313, int_stack+2725, int_stack+32345, int_stack+34046, int_stack+31757, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55158, int_stack+4069, int_stack+3313, int_stack+33101, int_stack+34830, int_stack+32345, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57426, int_stack+55158, int_stack+42042, int_stack+52890, int_stack+50538, int_stack+40278, 5, 0);
 /*--- compute (gp|[r12,T2]|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+60954, int_stack+57426, int_stack+0, 168);
 /*--- compute (fd|[r12,T2]|id) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+68514, int_stack+60954, int_stack+45498, 168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+45498, int_stack+6806, int_stack+5014, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+35838, int_stack+34830, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+78594, int_stack+8102, int_stack+6022, int_stack+34830, int_stack+5014, int_stack+34046, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+9110, int_stack+8102, int_stack+35838, int_stack+6806, int_stack+34830, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+80946, int_stack+3024, int_stack+78594, int_stack+0, int_stack+45498, int_stack+50538, 6, 0);
 /*--- compute (hp|[r12,T2]|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+85650, int_stack+80946, int_stack+57426, 168);
 /*--- compute (gd|[r12,T2]|id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+96234, int_stack+85650, int_stack+60954, 168);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+45498, int_stack+39198, int_stack+37098, 10);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+47178, int_stack+43878, int_stack+37938, 15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+78594, int_stack+47178, int_stack+45498, 168);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+83634, int_stack+52890, int_stack+40278, 21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+87162, int_stack+83634, int_stack+47178, 168);
 /*--- compute (fd|id) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+55158, int_stack+87162, int_stack+78594, 168);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+40278, int_stack+10370, int_stack+29672, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+41628, int_stack+40278, int_stack+39198, 10);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+12010, int_stack+31082, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5049, int_stack+3024, int_stack+43878, 15);
 /*--- compute (fp|kd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+34046, int_stack+5049, int_stack+41628, 216);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+65238, int_stack+14470, int_stack+33101, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+29032, int_stack+65238, int_stack+52890, 21);
 /*--- compute (gp|kd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+111354, int_stack+29032, int_stack+5049, 216);
 /*--- compute (fd|kd) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+121074, int_stack+111354, int_stack+34046, 216);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+134034, int_stack+0, int_stack+50538, 28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+138738, int_stack+134034, int_stack+83634, 168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+149322, int_stack+138738, int_stack+87162, 168);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11200, int_stack+10920, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+840, int_stack+11560, int_stack+11200, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1920, int_stack+840, int_stack+0, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13255, int_stack+12835, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+65238, int_stack+13795, int_stack+13255, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+49698, int_stack+65238, int_stack+0, 15);
 /*--- compute (fp|[r12,T1]|id) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+8289, int_stack+49698, int_stack+1920, int_stack+47178, int_stack+41628, int_stack+45498, 6, 2);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+16213, int_stack+15625, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+16969, int_stack+16213, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13329, int_stack+1764, int_stack+0, 21);
 /*--- compute (gp|[r12,T1]|id) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+164442, int_stack+13329, int_stack+49698, int_stack+83634, int_stack+5049, int_stack+47178, 6, 2);
 /*--- compute (fd|[r12,T1]|id) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+40526, int_stack+164442, int_stack+8289, int_stack+87162, int_stack+34046, int_stack+78594, 6, 2);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+78594, int_stack+18698, int_stack+17914, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+19706, int_stack+18698, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+0, int_stack+78594, 28);
 /*--- compute (hp|[r12,T1]|id) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+172002, int_stack+3024, int_stack+13329, int_stack+134034, int_stack+29032, int_stack+83634, 6, 2);
 /*--- compute (gd|[r12,T1]|id) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+172002, int_stack+164442, int_stack+138738, int_stack+111354, int_stack+87162, 6, 2);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+111354, int_stack+21246, int_stack+20966, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+112194, int_stack+21606, int_stack+21246, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+113274, int_stack+112194, int_stack+111354, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+111354, int_stack+22476, int_stack+22056, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+114954, int_stack+23016, int_stack+22476, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+116574, int_stack+114954, int_stack+111354, 15);
 /*--- compute (fp||id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+164442, int_stack+116574, int_stack+113274, 168);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+111354, int_stack+24279, int_stack+23691, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+113118, int_stack+25035, int_stack+24279, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+169482, int_stack+113118, int_stack+111354, 21);
 /*--- compute (gp||id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+173010, int_stack+169482, int_stack+116574, 168);
 /*--- compute (fd||id) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+29032, int_stack+173010, int_stack+164442, 168);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+164442, int_stack+26764, int_stack+25980, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+111354, int_stack+27772, int_stack+26764, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114378, int_stack+111354, int_stack+164442, 28);
 /*--- compute (hp||id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+134034, int_stack+114378, int_stack+169482, 168);
 /*--- compute (gd||id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+78594, int_stack+134034, int_stack+173010, 168);
 /*--- compute (ff|[r12,T2]|id) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+164442, int_stack+96234, int_stack+68514, 168);
     Libr12->te_ptr[3] = int_stack + 164442;
 /*--- compute (ff|[r12,T1]|id) ---*/
   t1hrr1_build_ff(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+93714, int_stack+0, int_stack+40526, int_stack+149322, int_stack+121074, int_stack+55158, 6, 2);
     Libr12->te_ptr[2] = int_stack + 93714;
 /*--- compute (ff||id) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+0, int_stack+78594, int_stack+29032, 168);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (ff|id) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+16800, int_stack+149322, int_stack+55158, 168);
     Libr12->te_ptr[0] = int_stack + 16800;

}
