#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ffif(Libr12_t *, prim_data *);

  /* Computes (ff|if) integrals for linear R12-methods */

void hrr_grt_order_ffif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[4][6] = int_stack + 1640;
 Libr12->t2vrr_classes[4][7] = int_stack + 2060;
 Libr12->t2vrr_classes[4][8] = int_stack + 2600;
 Libr12->t2vrr_classes[4][9] = int_stack + 3275;
 Libr12->t2vrr_classes[5][6] = int_stack + 4100;
 Libr12->t2vrr_classes[5][7] = int_stack + 4688;
 Libr12->t2vrr_classes[5][8] = int_stack + 5444;
 Libr12->t2vrr_classes[5][9] = int_stack + 6389;
 Libr12->gvrr_classes[7][6] = int_stack + 7544;
 Libr12->t2vrr_classes[6][6] = int_stack + 8552;
 Libr12->gvrr_classes[7][7] = int_stack + 9336;
 Libr12->t2vrr_classes[6][7] = int_stack + 10632;
 Libr12->gvrr_classes[7][8] = int_stack + 11640;
 Libr12->t2vrr_classes[6][8] = int_stack + 13260;
 Libr12->t2vrr_classes[6][9] = int_stack + 14520;
 Libr12->gvrr_classes[3][10] = int_stack + 16060;
 Libr12->t1vrr_classes[3][6] = int_stack + 16720;
 Libr12->t1vrr_classes[3][7] = int_stack + 17000;
 Libr12->t1vrr_classes[3][8] = int_stack + 17360;
 Libr12->t1vrr_classes[3][9] = int_stack + 17810;
 Libr12->gvrr_classes[4][10] = int_stack + 18360;
 Libr12->t1vrr_classes[4][6] = int_stack + 19350;
 Libr12->t1vrr_classes[4][7] = int_stack + 19770;
 Libr12->t1vrr_classes[4][8] = int_stack + 20310;
 Libr12->t1vrr_classes[4][9] = int_stack + 20985;
 Libr12->gvrr_classes[5][10] = int_stack + 21810;
 Libr12->t1vrr_classes[5][6] = int_stack + 23196;
 Libr12->t1vrr_classes[5][7] = int_stack + 23784;
 Libr12->t1vrr_classes[5][8] = int_stack + 24540;
 Libr12->t1vrr_classes[5][9] = int_stack + 25485;
 Libr12->t1vrr_classes[6][6] = int_stack + 26640;
 Libr12->t1vrr_classes[6][7] = int_stack + 27424;
 Libr12->t1vrr_classes[6][8] = int_stack + 28432;
 Libr12->t1vrr_classes[6][9] = int_stack + 29692;
 Libr12->rvrr_classes[3][6] = int_stack + 31232;
 Libr12->rvrr_classes[3][7] = int_stack + 31512;
 Libr12->rvrr_classes[3][8] = int_stack + 31872;
 Libr12->rvrr_classes[3][9] = int_stack + 32322;
 Libr12->rvrr_classes[4][6] = int_stack + 32872;
 Libr12->rvrr_classes[4][7] = int_stack + 33292;
 Libr12->rvrr_classes[4][8] = int_stack + 33832;
 Libr12->rvrr_classes[4][9] = int_stack + 34507;
 Libr12->rvrr_classes[5][6] = int_stack + 35332;
 Libr12->rvrr_classes[5][7] = int_stack + 35920;
 Libr12->rvrr_classes[5][8] = int_stack + 36676;
 Libr12->rvrr_classes[5][9] = int_stack + 37621;
 Libr12->rvrr_classes[6][6] = int_stack + 38776;
 Libr12->rvrr_classes[6][7] = int_stack + 39560;
 Libr12->rvrr_classes[6][8] = int_stack + 40568;
 Libr12->rvrr_classes[6][9] = int_stack + 41828;
 Libr12->gvrr_classes[3][6] = int_stack + 43368;
 Libr12->gvrr_classes[3][7] = int_stack + 43648;
 Libr12->gvrr_classes[3][8] = int_stack + 44008;
 Libr12->gvrr_classes[3][9] = int_stack + 44458;
 Libr12->gvrr_classes[4][6] = int_stack + 45008;
 Libr12->gvrr_classes[4][7] = int_stack + 45428;
 Libr12->gvrr_classes[4][8] = int_stack + 45968;
 Libr12->gvrr_classes[4][9] = int_stack + 46643;
 Libr12->gvrr_classes[5][6] = int_stack + 47468;
 Libr12->gvrr_classes[5][7] = int_stack + 48056;
 Libr12->gvrr_classes[5][8] = int_stack + 48812;
 Libr12->gvrr_classes[5][9] = int_stack + 49757;
 Libr12->gvrr_classes[6][6] = int_stack + 50912;
 Libr12->gvrr_classes[6][7] = int_stack + 51696;
 Libr12->gvrr_classes[6][8] = int_stack + 52704;
 Libr12->gvrr_classes[6][9] = int_stack + 53964;
 memset(int_stack,0,55504*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 55504;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ffif(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55504, int_stack+43648, int_stack+43368, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+56344, int_stack+44008, int_stack+43648, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+57424, int_stack+56344, int_stack+55504, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+59104, int_stack+45428, int_stack+45008, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+60364, int_stack+45968, int_stack+45428, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61984, int_stack+60364, int_stack+59104, 15);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+64504, int_stack+44458, int_stack+44008, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+65854, int_stack+64504, int_stack+56344, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68014, int_stack+280, int_stack+0, int_stack+43648, int_stack+45008, int_stack+43368, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68854, int_stack+640, int_stack+280, int_stack+44008, int_stack+45428, int_stack+43648, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69934, int_stack+68854, int_stack+68014, int_stack+56344, int_stack+59104, int_stack+55504, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71614, int_stack+1090, int_stack+640, int_stack+44458, int_stack+45968, int_stack+44008, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72964, int_stack+71614, int_stack+68854, int_stack+64504, int_stack+60364, int_stack+56344, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+75124, int_stack+72964, int_stack+69934, int_stack+65854, int_stack+61984, int_stack+57424, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55504, int_stack+48056, int_stack+47468, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+68014, int_stack+48812, int_stack+48056, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+70282, int_stack+68014, int_stack+55504, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+77924, int_stack+46643, int_stack+45968, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+79949, int_stack+77924, int_stack+60364, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73810, int_stack+2060, int_stack+1640, int_stack+45428, int_stack+47468, int_stack+45008, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2600, int_stack+2060, int_stack+45968, int_stack+48056, int_stack+45428, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83189, int_stack+0, int_stack+73810, int_stack+60364, int_stack+55504, int_stack+59104, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+85709, int_stack+3275, int_stack+2600, int_stack+46643, int_stack+48812, int_stack+45968, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87734, int_stack+85709, int_stack+0, int_stack+77924, int_stack+68014, int_stack+60364, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90974, int_stack+87734, int_stack+83189, int_stack+79949, int_stack+70282, int_stack+61984, 4, 0);
 /*--- compute (fp|[r12,T2]|if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+95174, int_stack+90974, int_stack+75124, 280);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+83189, int_stack+51696, int_stack+50912, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+85541, int_stack+52704, int_stack+51696, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+103574, int_stack+85541, int_stack+83189, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+49757, int_stack+48812, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+108278, int_stack+0, int_stack+68014, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88565, int_stack+4688, int_stack+4100, int_stack+48056, int_stack+50912, int_stack+47468, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59104, int_stack+5444, int_stack+4688, int_stack+48812, int_stack+51696, int_stack+48056, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73810, int_stack+59104, int_stack+88565, int_stack+68014, int_stack+83189, int_stack+55504, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112814, int_stack+6389, int_stack+5444, int_stack+49757, int_stack+52704, int_stack+48812, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2835, int_stack+112814, int_stack+59104, int_stack+0, int_stack+85541, int_stack+68014, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112814, int_stack+2835, int_stack+73810, int_stack+108278, int_stack+103574, int_stack+70282, 5, 0);
 /*--- compute (gp|[r12,T2]|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+118694, int_stack+112814, int_stack+90974, 280);
 /*--- compute (fd|[r12,T2]|if) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+131294, int_stack+118694, int_stack+95174, 280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+73810, int_stack+9336, int_stack+7544, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2835, int_stack+11640, int_stack+9336, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+88565, int_stack+2835, int_stack+73810, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+94613, int_stack+53964, int_stack+52704, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+148094, int_stack+94613, int_stack+85541, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59104, int_stack+10632, int_stack+8552, int_stack+51696, int_stack+7544, int_stack+50912, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+98393, int_stack+13260, int_stack+10632, int_stack+52704, int_stack+9336, int_stack+51696, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6723, int_stack+98393, int_stack+59104, int_stack+85541, int_stack+73810, int_stack+83189, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73810, int_stack+14520, int_stack+13260, int_stack+53964, int_stack+11640, int_stack+52704, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50912, int_stack+73810, int_stack+98393, int_stack+94613, int_stack+2835, int_stack+85541, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94613, int_stack+50912, int_stack+6723, int_stack+148094, int_stack+88565, int_stack+103574, 6, 0);
 /*--- compute (hp|[r12,T2]|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+154142, int_stack+94613, int_stack+112814, 280);
 /*--- compute (gd|[r12,T2]|if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+171782, int_stack+154142, int_stack+118694, 280);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+154142, int_stack+65854, int_stack+57424, 10);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+156942, int_stack+79949, int_stack+61984, 15);
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+161142, int_stack+156942, int_stack+154142, 280);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+112814, int_stack+108278, int_stack+70282, 21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+118694, int_stack+112814, int_stack+156942, 280);
 /*--- compute (fd|if) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+83189, int_stack+118694, int_stack+161142, 280);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+169542, int_stack+16060, int_stack+44458, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+50912, int_stack+169542, int_stack+64504, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+53612, int_stack+50912, int_stack+65854, 10);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+50912, int_stack+18360, int_stack+46643, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+57212, int_stack+50912, int_stack+77924, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+61262, int_stack+57212, int_stack+79949, 15);
 /*--- compute (fp|kf) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+66662, int_stack+61262, int_stack+53612, 360);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+57212, int_stack+21810, int_stack+49757, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+77462, int_stack+57212, int_stack+0, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+77462, int_stack+108278, 21);
 /*--- compute (gp|kf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+196982, int_stack+0, int_stack+61262, 360);
 /*--- compute (fd|kf) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+213182, int_stack+196982, int_stack+66662, 360);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+148094, int_stack+103574, 28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+234782, int_stack+7560, int_stack+112814, 280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+252422, int_stack+234782, int_stack+118694, 280);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+148094, int_stack+17000, int_stack+16720, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+148934, int_stack+17360, int_stack+17000, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+150014, int_stack+148934, int_stack+148094, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+151694, int_stack+17810, int_stack+17360, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+77462, int_stack+151694, int_stack+148934, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+79622, int_stack+77462, int_stack+150014, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+77462, int_stack+19770, int_stack+19350, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+148094, int_stack+20310, int_stack+19770, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+149714, int_stack+148094, int_stack+77462, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+77462, int_stack+20985, int_stack+20310, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+15400, int_stack+77462, int_stack+148094, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+18640, int_stack+15400, int_stack+149714, 15);
 /*--- compute (fp|[r12,T1]|if) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+99989, int_stack+18640, int_stack+79622, int_stack+156942, int_stack+53612, int_stack+154142, 6, 3);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15400, int_stack+23784, int_stack+23196, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+148094, int_stack+24540, int_stack+23784, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+150362, int_stack+148094, int_stack+15400, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+15400, int_stack+25485, int_stack+24540, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+77462, int_stack+15400, int_stack+148094, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+43368, int_stack+77462, int_stack+150362, 21);
 /*--- compute (gp|[r12,T1]|if) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+277622, int_stack+43368, int_stack+18640, int_stack+112814, int_stack+61262, int_stack+156942, 6, 3);
 /*--- compute (fd|[r12,T1]|if) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+49248, int_stack+277622, int_stack+99989, int_stack+118694, int_stack+66662, int_stack+161142, 6, 3);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+99989, int_stack+27424, int_stack+26640, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+102341, int_stack+28432, int_stack+27424, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+105365, int_stack+102341, int_stack+99989, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+148094, int_stack+29692, int_stack+28432, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+151874, int_stack+148094, int_stack+102341, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+157922, int_stack+151874, int_stack+105365, 28);
 /*--- compute (hp|[r12,T1]|if) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+290222, int_stack+157922, int_stack+43368, int_stack+7560, int_stack+0, int_stack+112814, 6, 3);
 /*--- compute (gd|[r12,T1]|if) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+290222, int_stack+277622, int_stack+234782, int_stack+196982, int_stack+118694, 6, 3);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+196982, int_stack+31512, int_stack+31232, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+197822, int_stack+31872, int_stack+31512, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+198902, int_stack+197822, int_stack+196982, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+200582, int_stack+32322, int_stack+31872, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+201932, int_stack+200582, int_stack+197822, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+204092, int_stack+201932, int_stack+198902, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+196982, int_stack+33292, int_stack+32872, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+198242, int_stack+33832, int_stack+33292, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+199862, int_stack+198242, int_stack+196982, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+206892, int_stack+34507, int_stack+33832, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+208917, int_stack+206892, int_stack+198242, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+234782, int_stack+208917, int_stack+199862, 15);
 /*--- compute (fp||if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+238982, int_stack+234782, int_stack+204092, 280);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+196982, int_stack+35920, int_stack+35332, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+198746, int_stack+36676, int_stack+35920, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+201014, int_stack+198746, int_stack+196982, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+204542, int_stack+37621, int_stack+36676, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+207377, int_stack+204542, int_stack+198746, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+43368, int_stack+207377, int_stack+201014, 21);
 /*--- compute (gp||if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+196982, int_stack+43368, int_stack+234782, 280);
 /*--- compute (fd||if) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+277622, int_stack+196982, int_stack+238982, 280);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+234782, int_stack+39560, int_stack+38776, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+237134, int_stack+40568, int_stack+39560, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+240158, int_stack+237134, int_stack+234782, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+244862, int_stack+41828, int_stack+40568, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+294422, int_stack+244862, int_stack+237134, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+25200, int_stack+294422, int_stack+240158, 28);
 /*--- compute (hp||if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+234782, int_stack+25200, int_stack+43368, 280);
 /*--- compute (gd||if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+99989, int_stack+234782, int_stack+196982, 280);
 /*--- compute (ff|[r12,T2]|if) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+294422, int_stack+171782, int_stack+131294, 280);
     Libr12->te_ptr[3] = int_stack + 294422;
 /*--- compute (ff|[r12,T1]|if) ---*/
   t1hrr1_build_ff(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+125189, int_stack+0, int_stack+49248, int_stack+252422, int_stack+213182, int_stack+83189, 6, 3);
     Libr12->te_ptr[2] = int_stack + 125189;
 /*--- compute (ff||if) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+0, int_stack+99989, int_stack+277622, 280);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (ff|if) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+28000, int_stack+252422, int_stack+83189, 280);
     Libr12->te_ptr[0] = int_stack + 28000;

}
