#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ffig(Libr12_t *, prim_data *);

  /* Computes (ff|ig) integrals for linear R12-methods */

void hrr_grt_order_ffig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[3][10] = int_stack + 1640;
 Libr12->t2vrr_classes[4][6] = int_stack + 2300;
 Libr12->t2vrr_classes[4][7] = int_stack + 2720;
 Libr12->t2vrr_classes[4][8] = int_stack + 3260;
 Libr12->t2vrr_classes[4][9] = int_stack + 3935;
 Libr12->t2vrr_classes[4][10] = int_stack + 4760;
 Libr12->t2vrr_classes[5][6] = int_stack + 5750;
 Libr12->t2vrr_classes[5][7] = int_stack + 6338;
 Libr12->t2vrr_classes[5][8] = int_stack + 7094;
 Libr12->t2vrr_classes[5][9] = int_stack + 8039;
 Libr12->t2vrr_classes[5][10] = int_stack + 9194;
 Libr12->gvrr_classes[7][6] = int_stack + 10580;
 Libr12->t2vrr_classes[6][6] = int_stack + 11588;
 Libr12->gvrr_classes[7][7] = int_stack + 12372;
 Libr12->t2vrr_classes[6][7] = int_stack + 13668;
 Libr12->gvrr_classes[7][8] = int_stack + 14676;
 Libr12->t2vrr_classes[6][8] = int_stack + 16296;
 Libr12->gvrr_classes[7][9] = int_stack + 17556;
 Libr12->t2vrr_classes[6][9] = int_stack + 19536;
 Libr12->t2vrr_classes[6][10] = int_stack + 21076;
 Libr12->gvrr_classes[3][11] = int_stack + 22924;
 Libr12->t1vrr_classes[3][6] = int_stack + 23704;
 Libr12->t1vrr_classes[3][7] = int_stack + 23984;
 Libr12->t1vrr_classes[3][8] = int_stack + 24344;
 Libr12->t1vrr_classes[3][9] = int_stack + 24794;
 Libr12->t1vrr_classes[3][10] = int_stack + 25344;
 Libr12->gvrr_classes[4][11] = int_stack + 26004;
 Libr12->t1vrr_classes[4][6] = int_stack + 27174;
 Libr12->t1vrr_classes[4][7] = int_stack + 27594;
 Libr12->t1vrr_classes[4][8] = int_stack + 28134;
 Libr12->t1vrr_classes[4][9] = int_stack + 28809;
 Libr12->t1vrr_classes[4][10] = int_stack + 29634;
 Libr12->gvrr_classes[5][11] = int_stack + 30624;
 Libr12->t1vrr_classes[5][6] = int_stack + 32262;
 Libr12->t1vrr_classes[5][7] = int_stack + 32850;
 Libr12->t1vrr_classes[5][8] = int_stack + 33606;
 Libr12->t1vrr_classes[5][9] = int_stack + 34551;
 Libr12->t1vrr_classes[5][10] = int_stack + 35706;
 Libr12->t1vrr_classes[6][6] = int_stack + 37092;
 Libr12->t1vrr_classes[6][7] = int_stack + 37876;
 Libr12->t1vrr_classes[6][8] = int_stack + 38884;
 Libr12->t1vrr_classes[6][9] = int_stack + 40144;
 Libr12->t1vrr_classes[6][10] = int_stack + 41684;
 Libr12->rvrr_classes[3][6] = int_stack + 43532;
 Libr12->rvrr_classes[3][7] = int_stack + 43812;
 Libr12->rvrr_classes[3][8] = int_stack + 44172;
 Libr12->rvrr_classes[3][9] = int_stack + 44622;
 Libr12->rvrr_classes[3][10] = int_stack + 45172;
 Libr12->rvrr_classes[4][6] = int_stack + 45832;
 Libr12->rvrr_classes[4][7] = int_stack + 46252;
 Libr12->rvrr_classes[4][8] = int_stack + 46792;
 Libr12->rvrr_classes[4][9] = int_stack + 47467;
 Libr12->rvrr_classes[4][10] = int_stack + 48292;
 Libr12->rvrr_classes[5][6] = int_stack + 49282;
 Libr12->rvrr_classes[5][7] = int_stack + 49870;
 Libr12->rvrr_classes[5][8] = int_stack + 50626;
 Libr12->rvrr_classes[5][9] = int_stack + 51571;
 Libr12->rvrr_classes[5][10] = int_stack + 52726;
 Libr12->rvrr_classes[6][6] = int_stack + 54112;
 Libr12->rvrr_classes[6][7] = int_stack + 54896;
 Libr12->rvrr_classes[6][8] = int_stack + 55904;
 Libr12->rvrr_classes[6][9] = int_stack + 57164;
 Libr12->rvrr_classes[6][10] = int_stack + 58704;
 Libr12->gvrr_classes[3][6] = int_stack + 60552;
 Libr12->gvrr_classes[3][7] = int_stack + 60832;
 Libr12->gvrr_classes[3][8] = int_stack + 61192;
 Libr12->gvrr_classes[3][9] = int_stack + 61642;
 Libr12->gvrr_classes[3][10] = int_stack + 62192;
 Libr12->gvrr_classes[4][6] = int_stack + 62852;
 Libr12->gvrr_classes[4][7] = int_stack + 63272;
 Libr12->gvrr_classes[4][8] = int_stack + 63812;
 Libr12->gvrr_classes[4][9] = int_stack + 64487;
 Libr12->gvrr_classes[4][10] = int_stack + 65312;
 Libr12->gvrr_classes[5][6] = int_stack + 66302;
 Libr12->gvrr_classes[5][7] = int_stack + 66890;
 Libr12->gvrr_classes[5][8] = int_stack + 67646;
 Libr12->gvrr_classes[5][9] = int_stack + 68591;
 Libr12->gvrr_classes[5][10] = int_stack + 69746;
 Libr12->gvrr_classes[6][6] = int_stack + 71132;
 Libr12->gvrr_classes[6][7] = int_stack + 71916;
 Libr12->gvrr_classes[6][8] = int_stack + 72924;
 Libr12->gvrr_classes[6][9] = int_stack + 74184;
 Libr12->gvrr_classes[6][10] = int_stack + 75724;
 memset(int_stack,0,77572*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 77572;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ffig(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+77572, int_stack+60832, int_stack+60552, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+78412, int_stack+61192, int_stack+60832, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+79492, int_stack+78412, int_stack+77572, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+81172, int_stack+61642, int_stack+61192, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+82522, int_stack+81172, int_stack+78412, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+84682, int_stack+82522, int_stack+79492, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+87482, int_stack+63272, int_stack+62852, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+88742, int_stack+63812, int_stack+63272, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+90362, int_stack+88742, int_stack+87482, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+92882, int_stack+64487, int_stack+63812, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+94907, int_stack+92882, int_stack+88742, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+98147, int_stack+94907, int_stack+90362, 15);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+102347, int_stack+62192, int_stack+61642, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+103997, int_stack+102347, int_stack+81172, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+106697, int_stack+103997, int_stack+82522, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+110297, int_stack+280, int_stack+0, int_stack+60832, int_stack+62852, int_stack+60552, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+111137, int_stack+640, int_stack+280, int_stack+61192, int_stack+63272, int_stack+60832, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112217, int_stack+111137, int_stack+110297, int_stack+78412, int_stack+87482, int_stack+77572, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+113897, int_stack+1090, int_stack+640, int_stack+61642, int_stack+63812, int_stack+61192, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115247, int_stack+113897, int_stack+111137, int_stack+81172, int_stack+88742, int_stack+78412, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117407, int_stack+115247, int_stack+112217, int_stack+82522, int_stack+90362, int_stack+79492, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77572, int_stack+1640, int_stack+1090, int_stack+62192, int_stack+64487, int_stack+61642, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+110297, int_stack+77572, int_stack+113897, int_stack+102347, int_stack+92882, int_stack+81172, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77572, int_stack+110297, int_stack+115247, int_stack+103997, int_stack+94907, int_stack+82522, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+110297, int_stack+77572, int_stack+117407, int_stack+106697, int_stack+98147, int_stack+84682, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+77572, int_stack+66890, int_stack+66302, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+79336, int_stack+67646, int_stack+66890, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114497, int_stack+79336, int_stack+77572, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+81604, int_stack+68591, int_stack+67646, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+118025, int_stack+81604, int_stack+79336, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+122561, int_stack+118025, int_stack+114497, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+128441, int_stack+65312, int_stack+64487, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+130916, int_stack+128441, int_stack+92882, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+134966, int_stack+130916, int_stack+94907, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60552, int_stack+2720, int_stack+2300, int_stack+63272, int_stack+66302, int_stack+62852, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3260, int_stack+2720, int_stack+63812, int_stack+66890, int_stack+63272, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140366, int_stack+0, int_stack+60552, int_stack+88742, int_stack+77572, int_stack+87482, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142886, int_stack+3935, int_stack+3260, int_stack+64487, int_stack+67646, int_stack+63812, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+144911, int_stack+142886, int_stack+0, int_stack+92882, int_stack+79336, int_stack+88742, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+148151, int_stack+144911, int_stack+140366, int_stack+94907, int_stack+114497, int_stack+90362, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140366, int_stack+4760, int_stack+3935, int_stack+65312, int_stack+68591, int_stack+64487, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+140366, int_stack+142886, int_stack+128441, int_stack+81604, int_stack+92882, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87482, int_stack+0, int_stack+144911, int_stack+130916, int_stack+118025, int_stack+94907, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140366, int_stack+87482, int_stack+148151, int_stack+134966, int_stack+122561, int_stack+98147, 4, 0);
 /*--- compute (fp|[r12,T2]|ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+146666, int_stack+140366, int_stack+110297, 420);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+110297, int_stack+71916, int_stack+71132, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+87482, int_stack+72924, int_stack+71916, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+90506, int_stack+87482, int_stack+110297, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+74184, int_stack+72924, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+159266, int_stack+0, int_stack+87482, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+165314, int_stack+159266, int_stack+90506, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+173154, int_stack+69746, int_stack+68591, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+176619, int_stack+173154, int_stack+81604, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+182289, int_stack+176619, int_stack+118025, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112649, int_stack+6338, int_stack+5750, int_stack+66890, int_stack+71132, int_stack+66302, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95210, int_stack+7094, int_stack+6338, int_stack+67646, int_stack+71916, int_stack+66890, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+189849, int_stack+95210, int_stack+112649, int_stack+79336, int_stack+110297, int_stack+77572, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3780, int_stack+8039, int_stack+7094, int_stack+68591, int_stack+72924, int_stack+67646, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193377, int_stack+3780, int_stack+95210, int_stack+81604, int_stack+87482, int_stack+79336, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197913, int_stack+193377, int_stack+189849, int_stack+118025, int_stack+90506, int_stack+114497, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+189849, int_stack+9194, int_stack+8039, int_stack+69746, int_stack+74184, int_stack+68591, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203793, int_stack+189849, int_stack+3780, int_stack+173154, int_stack+0, int_stack+81604, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+209463, int_stack+203793, int_stack+193377, int_stack+176619, int_stack+159266, int_stack+118025, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112649, int_stack+209463, int_stack+197913, int_stack+182289, int_stack+165314, int_stack+122561, 5, 0);
 /*--- compute (gp|[r12,T2]|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+189849, int_stack+112649, int_stack+140366, 420);
 /*--- compute (fd|[r12,T2]|ig) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+208749, int_stack+189849, int_stack+146666, 420);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+140366, int_stack+12372, int_stack+10580, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+143390, int_stack+14676, int_stack+12372, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+147278, int_stack+143390, int_stack+140366, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+153326, int_stack+17556, int_stack+14676, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+233949, int_stack+153326, int_stack+143390, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+241725, int_stack+233949, int_stack+147278, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+75724, int_stack+74184, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+251805, int_stack+3780, int_stack+0, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+259365, int_stack+251805, int_stack+159266, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95210, int_stack+13668, int_stack+11588, int_stack+71916, int_stack+10580, int_stack+71132, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8400, int_stack+16296, int_stack+13668, int_stack+72924, int_stack+12372, int_stack+71916, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77572, int_stack+8400, int_stack+95210, int_stack+87482, int_stack+140366, int_stack+110297, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+269445, int_stack+19536, int_stack+16296, int_stack+74184, int_stack+14676, int_stack+72924, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11424, int_stack+269445, int_stack+8400, int_stack+0, int_stack+143390, int_stack+87482, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273225, int_stack+11424, int_stack+77572, int_stack+159266, int_stack+147278, int_stack+90506, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77572, int_stack+21076, int_stack+19536, int_stack+75724, int_stack+17556, int_stack+74184, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87482, int_stack+77572, int_stack+269445, int_stack+3780, int_stack+153326, int_stack+0, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+87482, int_stack+11424, int_stack+251805, int_stack+233949, int_stack+159266, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10080, int_stack+0, int_stack+273225, int_stack+259365, int_stack+241725, int_stack+165314, 6, 0);
 /*--- compute (hp|[r12,T2]|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+269445, int_stack+10080, int_stack+112649, 420);
 /*--- compute (gd|[r12,T2]|ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+295905, int_stack+269445, int_stack+189849, 420);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+189849, int_stack+106697, int_stack+84682, 10);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+194049, int_stack+134966, int_stack+98147, 15);
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+269445, int_stack+194049, int_stack+189849, 420);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+282045, int_stack+182289, int_stack+122561, 21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+282045, int_stack+194049, 420);
 /*--- compute (fd|ig) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+233949, int_stack+0, int_stack+269445, 420);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+200349, int_stack+22924, int_stack+62192, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+202329, int_stack+200349, int_stack+102347, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+290865, int_stack+202329, int_stack+103997, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+200349, int_stack+290865, int_stack+106697, 10);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+290865, int_stack+26004, int_stack+65312, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+140366, int_stack+290865, int_stack+128441, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+145316, int_stack+140366, int_stack+130916, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+152066, int_stack+145316, int_stack+134966, 15);
 /*--- compute (fp|kg) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+71132, int_stack+152066, int_stack+200349, 540);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+290865, int_stack+30624, int_stack+69746, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+87332, int_stack+290865, int_stack+173154, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+94262, int_stack+87332, int_stack+176619, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+103712, int_stack+94262, int_stack+182289, 21);
 /*--- compute (gp|kg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+115052, int_stack+103712, int_stack+152066, 540);
 /*--- compute (fd|kg) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+333705, int_stack+115052, int_stack+71132, 540);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+87332, int_stack+259365, int_stack+165314, 28);
 /*--- compute (hp|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+160166, int_stack+87332, int_stack+282045, 420);
 /*--- compute (gd|ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+366105, int_stack+160166, int_stack+0, 420);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+99092, int_stack+23984, int_stack+23704, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+99932, int_stack+24344, int_stack+23984, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+101012, int_stack+99932, int_stack+99092, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+290865, int_stack+24794, int_stack+24344, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+292215, int_stack+290865, int_stack+99932, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+205749, int_stack+292215, int_stack+101012, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+99092, int_stack+25344, int_stack+24794, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+100742, int_stack+99092, int_stack+290865, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+100742, int_stack+292215, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+290865, int_stack+18900, int_stack+205749, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+205749, int_stack+27594, int_stack+27174, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+207009, int_stack+28134, int_stack+27594, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+207009, int_stack+205749, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+21420, int_stack+28809, int_stack+28134, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+23445, int_stack+21420, int_stack+207009, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+99092, int_stack+23445, int_stack+18900, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+29634, int_stack+28809, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+26685, int_stack+18900, int_stack+21420, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+259149, int_stack+26685, int_stack+23445, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+259149, int_stack+99092, 15);
 /*--- compute (fp|[r12,T1]|ig) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+139352, int_stack+18900, int_stack+290865, int_stack+194049, int_stack+200349, int_stack+189849, 6, 4);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+200349, int_stack+32850, int_stack+32262, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+202113, int_stack+33606, int_stack+32850, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+204381, int_stack+202113, int_stack+200349, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+290865, int_stack+34551, int_stack+33606, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+99092, int_stack+290865, int_stack+202113, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+259149, int_stack+99092, int_stack+204381, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+200349, int_stack+35706, int_stack+34551, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+25200, int_stack+200349, int_stack+290865, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+200349, int_stack+25200, int_stack+99092, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+25200, int_stack+200349, int_stack+259149, 21);
 /*--- compute (gp|[r12,T1]|ig) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+403905, int_stack+25200, int_stack+18900, int_stack+282045, int_stack+152066, int_stack+194049, 6, 4);
 /*--- compute (fd|[r12,T1]|ig) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+422805, int_stack+403905, int_stack+139352, int_stack+0, int_stack+71132, int_stack+269445, 6, 4);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+139352, int_stack+37876, int_stack+37092, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+141704, int_stack+38884, int_stack+37876, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+144728, int_stack+141704, int_stack+139352, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+149432, int_stack+40144, int_stack+38884, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+153212, int_stack+149432, int_stack+141704, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+259149, int_stack+153212, int_stack+144728, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+99092, int_stack+41684, int_stack+40144, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+139352, int_stack+99092, int_stack+149432, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+266989, int_stack+139352, int_stack+153212, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+139352, int_stack+266989, int_stack+259149, 28);
 /*--- compute (hp|[r12,T1]|ig) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+60552, int_stack+139352, int_stack+25200, int_stack+87332, int_stack+103712, int_stack+282045, 6, 4);
 /*--- compute (gd|[r12,T1]|ig) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+448005, int_stack+60552, int_stack+403905, int_stack+160166, int_stack+115052, int_stack+0, 6, 4);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+43812, int_stack+43532, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+840, int_stack+44172, int_stack+43812, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1920, int_stack+840, int_stack+0, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3600, int_stack+44622, int_stack+44172, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4950, int_stack+3600, int_stack+840, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7110, int_stack+4950, int_stack+1920, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+45172, int_stack+44622, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+9910, int_stack+0, int_stack+3600, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+9910, int_stack+4950, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+9910, int_stack+0, int_stack+7110, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+46252, int_stack+45832, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+46792, int_stack+46252, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2880, int_stack+1260, int_stack+0, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+47467, int_stack+46792, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+14110, int_stack+5400, int_stack+1260, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+17350, int_stack+14110, int_stack+2880, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+48292, int_stack+47467, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+21550, int_stack+0, int_stack+5400, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+21550, int_stack+14110, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+21550, int_stack+0, int_stack+17350, 15);
 /*--- compute (fp||ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+27850, int_stack+21550, int_stack+9910, 420);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+49870, int_stack+49282, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+50626, int_stack+49870, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+51571, int_stack+50626, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10395, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+14931, int_stack+10395, int_stack+4032, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+52726, int_stack+51571, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+40450, int_stack+0, int_stack+7560, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+40450, int_stack+10395, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+40450, int_stack+0, int_stack+14931, 21);
 /*--- compute (gp||ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+403905, int_stack+40450, int_stack+21550, 420);
 /*--- compute (fd||ig) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+403905, int_stack+27850, 420);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+25200, int_stack+54896, int_stack+54112, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+27552, int_stack+55904, int_stack+54896, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+30576, int_stack+27552, int_stack+25200, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+35280, int_stack+57164, int_stack+55904, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+49270, int_stack+35280, int_stack+27552, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+60552, int_stack+49270, int_stack+30576, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+25200, int_stack+58704, int_stack+57164, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+68392, int_stack+25200, int_stack+35280, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+25200, int_stack+68392, int_stack+49270, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+68392, int_stack+25200, int_stack+60552, 28);
 /*--- compute (hp||ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+80152, int_stack+68392, int_stack+40450, 420);
 /*--- compute (gd||ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+25200, int_stack+80152, int_stack+403905, 420);
 /*--- compute (ff|[r12,T2]|ig) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+63000, int_stack+295905, int_stack+208749, 420);
     Libr12->te_ptr[3] = int_stack + 63000;
 /*--- compute (ff|[r12,T1]|ig) ---*/
   t1hrr1_build_ff(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+105000, int_stack+448005, int_stack+422805, int_stack+366105, int_stack+333705, int_stack+233949, 6, 4);
     Libr12->te_ptr[2] = int_stack + 105000;
 /*--- compute (ff||ig) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+403905, int_stack+25200, int_stack+0, 420);
     Libr12->te_ptr[1] = int_stack + 403905;
 /*--- compute (ff|ig) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+0, int_stack+366105, int_stack+233949, 420);
     Libr12->te_ptr[0] = int_stack + 0;

}
