#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ffih(Libr12_t *, prim_data *);

  /* Computes (ff|ih) integrals for linear R12-methods */

void hrr_grt_order_ffih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[3][10] = int_stack + 1640;
 Libr12->t2vrr_classes[3][11] = int_stack + 2300;
 Libr12->t2vrr_classes[4][6] = int_stack + 3080;
 Libr12->t2vrr_classes[4][7] = int_stack + 3500;
 Libr12->t2vrr_classes[4][8] = int_stack + 4040;
 Libr12->t2vrr_classes[4][9] = int_stack + 4715;
 Libr12->t2vrr_classes[4][10] = int_stack + 5540;
 Libr12->t2vrr_classes[4][11] = int_stack + 6530;
 Libr12->t2vrr_classes[5][6] = int_stack + 7700;
 Libr12->t2vrr_classes[5][7] = int_stack + 8288;
 Libr12->t2vrr_classes[5][8] = int_stack + 9044;
 Libr12->t2vrr_classes[5][9] = int_stack + 9989;
 Libr12->t2vrr_classes[5][10] = int_stack + 11144;
 Libr12->t2vrr_classes[5][11] = int_stack + 12530;
 Libr12->gvrr_classes[7][6] = int_stack + 14168;
 Libr12->t2vrr_classes[6][6] = int_stack + 15176;
 Libr12->gvrr_classes[7][7] = int_stack + 15960;
 Libr12->t2vrr_classes[6][7] = int_stack + 17256;
 Libr12->gvrr_classes[7][8] = int_stack + 18264;
 Libr12->t2vrr_classes[6][8] = int_stack + 19884;
 Libr12->gvrr_classes[7][9] = int_stack + 21144;
 Libr12->t2vrr_classes[6][9] = int_stack + 23124;
 Libr12->gvrr_classes[7][10] = int_stack + 24664;
 Libr12->t2vrr_classes[6][10] = int_stack + 27040;
 Libr12->t2vrr_classes[6][11] = int_stack + 28888;
 Libr12->gvrr_classes[3][12] = int_stack + 31072;
 Libr12->t1vrr_classes[3][6] = int_stack + 31982;
 Libr12->t1vrr_classes[3][7] = int_stack + 32262;
 Libr12->t1vrr_classes[3][8] = int_stack + 32622;
 Libr12->t1vrr_classes[3][9] = int_stack + 33072;
 Libr12->t1vrr_classes[3][10] = int_stack + 33622;
 Libr12->t1vrr_classes[3][11] = int_stack + 34282;
 Libr12->gvrr_classes[4][12] = int_stack + 35062;
 Libr12->t1vrr_classes[4][6] = int_stack + 36427;
 Libr12->t1vrr_classes[4][7] = int_stack + 36847;
 Libr12->t1vrr_classes[4][8] = int_stack + 37387;
 Libr12->t1vrr_classes[4][9] = int_stack + 38062;
 Libr12->t1vrr_classes[4][10] = int_stack + 38887;
 Libr12->t1vrr_classes[4][11] = int_stack + 39877;
 Libr12->gvrr_classes[5][12] = int_stack + 41047;
 Libr12->t1vrr_classes[5][6] = int_stack + 42958;
 Libr12->t1vrr_classes[5][7] = int_stack + 43546;
 Libr12->t1vrr_classes[5][8] = int_stack + 44302;
 Libr12->t1vrr_classes[5][9] = int_stack + 45247;
 Libr12->t1vrr_classes[5][10] = int_stack + 46402;
 Libr12->t1vrr_classes[5][11] = int_stack + 47788;
 Libr12->t1vrr_classes[6][6] = int_stack + 49426;
 Libr12->t1vrr_classes[6][7] = int_stack + 50210;
 Libr12->t1vrr_classes[6][8] = int_stack + 51218;
 Libr12->t1vrr_classes[6][9] = int_stack + 52478;
 Libr12->t1vrr_classes[6][10] = int_stack + 54018;
 Libr12->t1vrr_classes[6][11] = int_stack + 55866;
 Libr12->rvrr_classes[3][6] = int_stack + 58050;
 Libr12->rvrr_classes[3][7] = int_stack + 58330;
 Libr12->rvrr_classes[3][8] = int_stack + 58690;
 Libr12->rvrr_classes[3][9] = int_stack + 59140;
 Libr12->rvrr_classes[3][10] = int_stack + 59690;
 Libr12->rvrr_classes[3][11] = int_stack + 60350;
 Libr12->rvrr_classes[4][6] = int_stack + 61130;
 Libr12->rvrr_classes[4][7] = int_stack + 61550;
 Libr12->rvrr_classes[4][8] = int_stack + 62090;
 Libr12->rvrr_classes[4][9] = int_stack + 62765;
 Libr12->rvrr_classes[4][10] = int_stack + 63590;
 Libr12->rvrr_classes[4][11] = int_stack + 64580;
 Libr12->rvrr_classes[5][6] = int_stack + 65750;
 Libr12->rvrr_classes[5][7] = int_stack + 66338;
 Libr12->rvrr_classes[5][8] = int_stack + 67094;
 Libr12->rvrr_classes[5][9] = int_stack + 68039;
 Libr12->rvrr_classes[5][10] = int_stack + 69194;
 Libr12->rvrr_classes[5][11] = int_stack + 70580;
 Libr12->rvrr_classes[6][6] = int_stack + 72218;
 Libr12->rvrr_classes[6][7] = int_stack + 73002;
 Libr12->rvrr_classes[6][8] = int_stack + 74010;
 Libr12->rvrr_classes[6][9] = int_stack + 75270;
 Libr12->rvrr_classes[6][10] = int_stack + 76810;
 Libr12->rvrr_classes[6][11] = int_stack + 78658;
 Libr12->gvrr_classes[3][6] = int_stack + 80842;
 Libr12->gvrr_classes[3][7] = int_stack + 81122;
 Libr12->gvrr_classes[3][8] = int_stack + 81482;
 Libr12->gvrr_classes[3][9] = int_stack + 81932;
 Libr12->gvrr_classes[3][10] = int_stack + 82482;
 Libr12->gvrr_classes[3][11] = int_stack + 83142;
 Libr12->gvrr_classes[4][6] = int_stack + 83922;
 Libr12->gvrr_classes[4][7] = int_stack + 84342;
 Libr12->gvrr_classes[4][8] = int_stack + 84882;
 Libr12->gvrr_classes[4][9] = int_stack + 85557;
 Libr12->gvrr_classes[4][10] = int_stack + 86382;
 Libr12->gvrr_classes[4][11] = int_stack + 87372;
 Libr12->gvrr_classes[5][6] = int_stack + 88542;
 Libr12->gvrr_classes[5][7] = int_stack + 89130;
 Libr12->gvrr_classes[5][8] = int_stack + 89886;
 Libr12->gvrr_classes[5][9] = int_stack + 90831;
 Libr12->gvrr_classes[5][10] = int_stack + 91986;
 Libr12->gvrr_classes[5][11] = int_stack + 93372;
 Libr12->gvrr_classes[6][6] = int_stack + 95010;
 Libr12->gvrr_classes[6][7] = int_stack + 95794;
 Libr12->gvrr_classes[6][8] = int_stack + 96802;
 Libr12->gvrr_classes[6][9] = int_stack + 98062;
 Libr12->gvrr_classes[6][10] = int_stack + 99602;
 Libr12->gvrr_classes[6][11] = int_stack + 101450;
 memset(int_stack,0,103634*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 103634;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ffih(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+103634, int_stack+81122, int_stack+80842, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+104474, int_stack+81482, int_stack+81122, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+105554, int_stack+104474, int_stack+103634, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+107234, int_stack+81932, int_stack+81482, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+108584, int_stack+107234, int_stack+104474, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+110744, int_stack+108584, int_stack+105554, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+113544, int_stack+82482, int_stack+81932, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+115194, int_stack+113544, int_stack+107234, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+117894, int_stack+115194, int_stack+108584, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+121494, int_stack+117894, int_stack+110744, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+125694, int_stack+84342, int_stack+83922, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+126954, int_stack+84882, int_stack+84342, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+128574, int_stack+126954, int_stack+125694, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+131094, int_stack+85557, int_stack+84882, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+133119, int_stack+131094, int_stack+126954, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+136359, int_stack+133119, int_stack+128574, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+140559, int_stack+86382, int_stack+85557, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+143034, int_stack+140559, int_stack+131094, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+147084, int_stack+143034, int_stack+133119, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+152484, int_stack+147084, int_stack+136359, 15);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+158784, int_stack+83142, int_stack+82482, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+160764, int_stack+158784, int_stack+113544, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+164064, int_stack+160764, int_stack+115194, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+168564, int_stack+164064, int_stack+117894, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+173964, int_stack+280, int_stack+0, int_stack+81122, int_stack+83922, int_stack+80842, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+174804, int_stack+640, int_stack+280, int_stack+81482, int_stack+84342, int_stack+81122, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+175884, int_stack+174804, int_stack+173964, int_stack+104474, int_stack+125694, int_stack+103634, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+177564, int_stack+1090, int_stack+640, int_stack+81932, int_stack+84882, int_stack+81482, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+178914, int_stack+177564, int_stack+174804, int_stack+107234, int_stack+126954, int_stack+104474, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181074, int_stack+178914, int_stack+175884, int_stack+108584, int_stack+128574, int_stack+105554, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103634, int_stack+1640, int_stack+1090, int_stack+82482, int_stack+85557, int_stack+81932, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+173964, int_stack+103634, int_stack+177564, int_stack+113544, int_stack+131094, int_stack+107234, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+183874, int_stack+173964, int_stack+178914, int_stack+115194, int_stack+133119, int_stack+108584, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105284, int_stack+183874, int_stack+181074, int_stack+117894, int_stack+136359, int_stack+110744, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+109484, int_stack+2300, int_stack+1640, int_stack+83142, int_stack+86382, int_stack+82482, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+176664, int_stack+109484, int_stack+103634, int_stack+158784, int_stack+140559, int_stack+113544, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+109484, int_stack+176664, int_stack+173964, int_stack+160764, int_stack+143034, int_stack+115194, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+173964, int_stack+109484, int_stack+183874, int_stack+164064, int_stack+147084, int_stack+117894, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+109484, int_stack+173964, int_stack+105284, int_stack+168564, int_stack+152484, int_stack+121494, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+173964, int_stack+89130, int_stack+88542, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+175728, int_stack+89886, int_stack+89130, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+177996, int_stack+175728, int_stack+173964, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+181524, int_stack+90831, int_stack+89886, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+115364, int_stack+181524, int_stack+175728, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+184359, int_stack+115364, int_stack+177996, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+103634, int_stack+91986, int_stack+90831, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+190239, int_stack+103634, int_stack+181524, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+195909, int_stack+190239, int_stack+115364, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+203469, int_stack+195909, int_stack+184359, 21);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+87372, int_stack+86382, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+212289, int_stack+0, int_stack+140559, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+217239, int_stack+212289, int_stack+143034, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+223989, int_stack+217239, int_stack+147084, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119900, int_stack+3500, int_stack+3080, int_stack+84342, int_stack+88542, int_stack+83922, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+107099, int_stack+4040, int_stack+3500, int_stack+84882, int_stack+89130, int_stack+84342, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+232089, int_stack+107099, int_stack+119900, int_stack+126954, int_stack+173964, int_stack+125694, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+80842, int_stack+4715, int_stack+4040, int_stack+85557, int_stack+89886, int_stack+84882, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+234609, int_stack+80842, int_stack+107099, int_stack+131094, int_stack+175728, int_stack+126954, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+237849, int_stack+234609, int_stack+232089, int_stack+133119, int_stack+177996, int_stack+128574, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+232089, int_stack+5540, int_stack+4715, int_stack+86382, int_stack+90831, int_stack+85557, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125694, int_stack+232089, int_stack+80842, int_stack+140559, int_stack+181524, int_stack+131094, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+242049, int_stack+125694, int_stack+234609, int_stack+143034, int_stack+115364, int_stack+133119, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+129744, int_stack+242049, int_stack+237849, int_stack+147084, int_stack+184359, int_stack+136359, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+234564, int_stack+6530, int_stack+5540, int_stack+87372, int_stack+91986, int_stack+86382, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+247449, int_stack+234564, int_stack+232089, int_stack+0, int_stack+103634, int_stack+140559, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+232089, int_stack+247449, int_stack+125694, int_stack+212289, int_stack+190239, int_stack+143034, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136044, int_stack+232089, int_stack+242049, int_stack+217239, int_stack+195909, int_stack+147084, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+232089, int_stack+136044, int_stack+129744, int_stack+223989, int_stack+203469, int_stack+152484, 4, 0);
 /*--- compute (fp|[r12,T2]|ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+125694, int_stack+232089, int_stack+109484, 588);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+240909, int_stack+95794, int_stack+95010, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+243261, int_stack+96802, int_stack+95794, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+246285, int_stack+243261, int_stack+240909, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+143334, int_stack+98062, int_stack+96802, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+107099, int_stack+143334, int_stack+243261, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+250989, int_stack+107099, int_stack+246285, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+147114, int_stack+99602, int_stack+98062, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+258829, int_stack+147114, int_stack+143334, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+266389, int_stack+258829, int_stack+107099, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+276469, int_stack+266389, int_stack+250989, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2970, int_stack+93372, int_stack+91986, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+288229, int_stack+2970, int_stack+103634, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+295159, int_stack+288229, int_stack+190239, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+304609, int_stack+295159, int_stack+195909, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+80842, int_stack+8288, int_stack+7700, int_stack+89130, int_stack+95010, int_stack+88542, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83922, int_stack+9044, int_stack+8288, int_stack+89886, int_stack+95794, int_stack+89130, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315949, int_stack+83922, int_stack+80842, int_stack+175728, int_stack+240909, int_stack+173964, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+319477, int_stack+9989, int_stack+9044, int_stack+90831, int_stack+96802, int_stack+89886, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+322312, int_stack+319477, int_stack+83922, int_stack+181524, int_stack+243261, int_stack+175728, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+326848, int_stack+322312, int_stack+315949, int_stack+115364, int_stack+246285, int_stack+177996, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315949, int_stack+11144, int_stack+9989, int_stack+91986, int_stack+98062, int_stack+90831, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+173964, int_stack+315949, int_stack+319477, int_stack+103634, int_stack+143334, int_stack+181524, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+332728, int_stack+173964, int_stack+322312, int_stack+190239, int_stack+107099, int_stack+115364, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+340288, int_stack+332728, int_stack+326848, int_stack+195909, int_stack+250989, int_stack+184359, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+319414, int_stack+12530, int_stack+11144, int_stack+93372, int_stack+99602, int_stack+91986, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+323572, int_stack+319414, int_stack+315949, int_stack+2970, int_stack+147114, int_stack+103634, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+179634, int_stack+323572, int_stack+173964, int_stack+288229, int_stack+258829, int_stack+190239, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315949, int_stack+179634, int_stack+332728, int_stack+295159, int_stack+266389, int_stack+195909, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+173964, int_stack+315949, int_stack+340288, int_stack+304609, int_stack+276469, int_stack+203469, 5, 0);
 /*--- compute (gp|[r12,T2]|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+315949, int_stack+173964, int_stack+232089, 588);
 /*--- compute (fd|[r12,T2]|ih) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+342409, int_stack+315949, int_stack+125694, 588);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+125694, int_stack+15960, int_stack+14168, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+128718, int_stack+18264, int_stack+15960, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+132606, int_stack+128718, int_stack+125694, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+232089, int_stack+21144, int_stack+18264, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+186312, int_stack+232089, int_stack+128718, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+377689, int_stack+186312, int_stack+132606, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+194088, int_stack+24664, int_stack+21144, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+387769, int_stack+194088, int_stack+232089, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+397489, int_stack+387769, int_stack+186312, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+410449, int_stack+397489, int_stack+377689, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+113147, int_stack+101450, int_stack+99602, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+425569, int_stack+113147, int_stack+147114, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+434809, int_stack+425569, int_stack+258829, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+447409, int_stack+434809, int_stack+266389, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+138654, int_stack+17256, int_stack+15176, int_stack+95794, int_stack+14168, int_stack+95010, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+236949, int_stack+19884, int_stack+17256, int_stack+96802, int_stack+15960, int_stack+95794, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88542, int_stack+236949, int_stack+138654, int_stack+243261, int_stack+125694, int_stack+240909, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+138654, int_stack+23124, int_stack+19884, int_stack+98062, int_stack+18264, int_stack+96802, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7128, int_stack+138654, int_stack+236949, int_stack+143334, int_stack+128718, int_stack+243261, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+236949, int_stack+7128, int_stack+88542, int_stack+107099, int_stack+132606, int_stack+246285, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88542, int_stack+27040, int_stack+23124, int_stack+99602, int_stack+21144, int_stack+98062, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125694, int_stack+88542, int_stack+138654, int_stack+147114, int_stack+232089, int_stack+143334, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+133254, int_stack+125694, int_stack+7128, int_stack+258829, int_stack+186312, int_stack+107099, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7128, int_stack+133254, int_stack+236949, int_stack+266389, int_stack+377689, int_stack+250989, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+377689, int_stack+28888, int_stack+27040, int_stack+101450, int_stack+24664, int_stack+99602, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18888, int_stack+377689, int_stack+88542, int_stack+113147, int_stack+194088, int_stack+147114, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+186312, int_stack+18888, int_stack+125694, int_stack+425569, int_stack+387769, int_stack+258829, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+377689, int_stack+186312, int_stack+133254, int_stack+434809, int_stack+397489, int_stack+266389, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+186312, int_stack+377689, int_stack+7128, int_stack+447409, int_stack+410449, int_stack+276469, 6, 0);
 /*--- compute (hp|[r12,T2]|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+377689, int_stack+186312, int_stack+173964, 588);
 /*--- compute (gd|[r12,T2]|ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+462529, int_stack+377689, int_stack+315949, 588);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+315949, int_stack+168564, int_stack+121494, 10);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+321829, int_stack+223989, int_stack+152484, 15);
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+377689, int_stack+321829, int_stack+315949, 588);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+395329, int_stack+304609, int_stack+203469, 21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+407677, int_stack+395329, int_stack+321829, 588);
 /*--- compute (fd|ih) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+173964, int_stack+407677, int_stack+377689, 588);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+330649, int_stack+31072, int_stack+83142, 10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+332989, int_stack+330649, int_stack+158784, 10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+434137, int_stack+332989, int_stack+160764, 10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+330649, int_stack+434137, int_stack+164064, 10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+434137, int_stack+330649, int_stack+168564, 10);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+330649, int_stack+35062, int_stack+87372, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+334159, int_stack+330649, int_stack+0, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+7128, int_stack+334159, int_stack+212289, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+330649, int_stack+7128, int_stack+217239, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+7128, int_stack+330649, int_stack+223989, 15);
 /*--- compute (fp|kh) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+209244, int_stack+7128, int_stack+434137, 756);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+330649, int_stack+41047, int_stack+93372, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+18468, int_stack+330649, int_stack+2970, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+330649, int_stack+18468, int_stack+288229, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+231924, int_stack+330649, int_stack+295159, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+288229, int_stack+231924, int_stack+304609, 21);
 /*--- compute (gp|kh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+231924, int_stack+288229, int_stack+7128, 756);
 /*--- compute (fd|kh) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+80842, int_stack+231924, int_stack+209244, 756);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+126202, int_stack+447409, int_stack+276469, 28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+515449, int_stack+126202, int_stack+395329, 588);
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+552493, int_stack+515449, int_stack+407677, 588);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+265944, int_stack+32262, int_stack+31982, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+266784, int_stack+32622, int_stack+32262, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+267864, int_stack+266784, int_stack+265944, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+269544, int_stack+33072, int_stack+32622, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+270894, int_stack+269544, int_stack+266784, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+273054, int_stack+270894, int_stack+267864, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+265944, int_stack+33622, int_stack+33072, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+275854, int_stack+265944, int_stack+269544, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+278554, int_stack+275854, int_stack+270894, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+267594, int_stack+278554, int_stack+273054, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+271794, int_stack+34282, int_stack+33622, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+282154, int_stack+271794, int_stack+265944, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+330649, int_stack+282154, int_stack+275854, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+282154, int_stack+330649, int_stack+278554, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+330649, int_stack+282154, int_stack+267594, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+336529, int_stack+36847, int_stack+36427, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+337789, int_stack+37387, int_stack+36847, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+339409, int_stack+337789, int_stack+336529, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+265944, int_stack+38062, int_stack+37387, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+267969, int_stack+265944, int_stack+337789, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+271209, int_stack+267969, int_stack+339409, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+336529, int_stack+38887, int_stack+38062, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+275409, int_stack+336529, int_stack+265944, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+279459, int_stack+275409, int_stack+267969, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+304105, int_stack+279459, int_stack+271209, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+265944, int_stack+39877, int_stack+38887, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+268914, int_stack+265944, int_stack+336529, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+18468, int_stack+268914, int_stack+275409, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+265944, int_stack+18468, int_stack+279459, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+18468, int_stack+265944, int_stack+304105, 15);
 /*--- compute (fp|[r12,T1]|ih) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+265944, int_stack+18468, int_stack+330649, int_stack+321829, int_stack+434137, int_stack+315949, 6, 5);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+434137, int_stack+43546, int_stack+42958, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+435901, int_stack+44302, int_stack+43546, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+438169, int_stack+435901, int_stack+434137, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+441697, int_stack+45247, int_stack+44302, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+444532, int_stack+441697, int_stack+435901, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+449068, int_stack+444532, int_stack+438169, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+434137, int_stack+46402, int_stack+45247, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+454948, int_stack+434137, int_stack+441697, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+330649, int_stack+454948, int_stack+444532, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+437602, int_stack+330649, int_stack+449068, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+446422, int_stack+47788, int_stack+46402, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+304105, int_stack+446422, int_stack+434137, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+311035, int_stack+304105, int_stack+454948, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+446422, int_stack+311035, int_stack+330649, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+304105, int_stack+446422, int_stack+437602, 21);
 /*--- compute (gp|[r12,T1]|ih) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+434137, int_stack+304105, int_stack+18468, int_stack+395329, int_stack+7128, int_stack+321829, 6, 5);
 /*--- compute (fd|[r12,T1]|ih) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+434137, int_stack+265944, int_stack+407677, int_stack+209244, int_stack+377689, 6, 5);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+377689, int_stack+50210, int_stack+49426, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+380041, int_stack+51218, int_stack+50210, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+383065, int_stack+380041, int_stack+377689, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+387769, int_stack+52478, int_stack+51218, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+209244, int_stack+387769, int_stack+380041, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+215292, int_stack+209244, int_stack+383065, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+377689, int_stack+54018, int_stack+52478, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+223132, int_stack+377689, int_stack+387769, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+382309, int_stack+223132, int_stack+209244, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+265944, int_stack+382309, int_stack+215292, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+209244, int_stack+55866, int_stack+54018, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+277704, int_stack+209244, int_stack+377689, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+209244, int_stack+277704, int_stack+223132, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+316453, int_stack+209244, int_stack+382309, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+209244, int_stack+316453, int_stack+265944, 28);
 /*--- compute (hp|[r12,T1]|ih) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+605413, int_stack+209244, int_stack+304105, int_stack+126202, int_stack+288229, int_stack+395329, 6, 5);
 /*--- compute (gd|[r12,T1]|ih) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+265944, int_stack+605413, int_stack+434137, int_stack+515449, int_stack+231924, int_stack+407677, 6, 5);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+515449, int_stack+58330, int_stack+58050, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+516289, int_stack+58690, int_stack+58330, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+517369, int_stack+516289, int_stack+515449, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+519049, int_stack+59140, int_stack+58690, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+520399, int_stack+519049, int_stack+516289, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+522559, int_stack+520399, int_stack+517369, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+515449, int_stack+59690, int_stack+59140, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+525359, int_stack+515449, int_stack+519049, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+528059, int_stack+525359, int_stack+520399, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+517099, int_stack+528059, int_stack+522559, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+521299, int_stack+60350, int_stack+59690, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+531659, int_stack+521299, int_stack+515449, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+534959, int_stack+531659, int_stack+525359, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+521299, int_stack+534959, int_stack+528059, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+526699, int_stack+521299, int_stack+517099, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+515449, int_stack+61550, int_stack+61130, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+516709, int_stack+62090, int_stack+61550, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+518329, int_stack+516709, int_stack+515449, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+520849, int_stack+62765, int_stack+62090, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+522874, int_stack+520849, int_stack+516709, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+532579, int_stack+522874, int_stack+518329, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+515449, int_stack+63590, int_stack+62765, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+536779, int_stack+515449, int_stack+520849, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+540829, int_stack+536779, int_stack+522874, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+517924, int_stack+540829, int_stack+532579, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+532579, int_stack+64580, int_stack+63590, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+546229, int_stack+532579, int_stack+515449, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+605413, int_stack+546229, int_stack+536779, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+532579, int_stack+605413, int_stack+540829, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+605413, int_stack+532579, int_stack+517924, 15);
 /*--- compute (fp||ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+532579, int_stack+605413, int_stack+526699, 588);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+550219, int_stack+66338, int_stack+65750, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+614233, int_stack+67094, int_stack+66338, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+616501, int_stack+614233, int_stack+550219, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+620029, int_stack+68039, int_stack+67094, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+622864, int_stack+620029, int_stack+614233, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+627400, int_stack+622864, int_stack+616501, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+614233, int_stack+69194, int_stack+68039, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+633280, int_stack+614233, int_stack+620029, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+515449, int_stack+633280, int_stack+622864, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+617698, int_stack+515449, int_stack+627400, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+626518, int_stack+70580, int_stack+69194, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+523009, int_stack+626518, int_stack+614233, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+126202, int_stack+523009, int_stack+633280, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+626518, int_stack+126202, int_stack+515449, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+515449, int_stack+626518, int_stack+617698, 21);
 /*--- compute (gp||ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+126202, int_stack+515449, int_stack+605413, 588);
 /*--- compute (fd||ih) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+605413, int_stack+126202, int_stack+532579, 588);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+527797, int_stack+73002, int_stack+72218, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+530149, int_stack+74010, int_stack+73002, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+533173, int_stack+530149, int_stack+527797, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+537877, int_stack+75270, int_stack+74010, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+541657, int_stack+537877, int_stack+530149, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+152662, int_stack+541657, int_stack+533173, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+527797, int_stack+76810, int_stack+75270, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+160502, int_stack+527797, int_stack+537877, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+209244, int_stack+160502, int_stack+541657, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+532417, int_stack+209244, int_stack+152662, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+152662, int_stack+78658, int_stack+76810, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+219324, int_stack+152662, int_stack+527797, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+228564, int_stack+219324, int_stack+160502, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+152662, int_stack+228564, int_stack+209244, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+209244, int_stack+152662, int_stack+532417, 28);
 /*--- compute (hp||ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+225708, int_stack+209244, int_stack+515449, 588);
 /*--- compute (gd||ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+377689, int_stack+225708, int_stack+126202, 588);
 /*--- compute (ff|[r12,T2]|ih) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+640693, int_stack+462529, int_stack+342409, 588);
     Libr12->te_ptr[3] = int_stack + 640693;
 /*--- compute (ff|[r12,T1]|ih) ---*/
   t1hrr1_build_ff(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+318864, int_stack+265944, int_stack+0, int_stack+552493, int_stack+80842, int_stack+173964, 6, 5);
     Libr12->te_ptr[2] = int_stack + 318864;
 /*--- compute (ff||ih) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+0, int_stack+377689, int_stack+605413, 588);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (ff|ih) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+58800, int_stack+552493, int_stack+173964, 588);
     Libr12->te_ptr[0] = int_stack + 58800;

}
