#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ffii(Libr12_t *, prim_data *);

  /* Computes (ff|ii) integrals for linear R12-methods */

void hrr_grt_order_ffii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[3][10] = int_stack + 1640;
 Libr12->t2vrr_classes[3][11] = int_stack + 2300;
 Libr12->t2vrr_classes[3][12] = int_stack + 3080;
 Libr12->t2vrr_classes[4][6] = int_stack + 3990;
 Libr12->t2vrr_classes[4][7] = int_stack + 4410;
 Libr12->t2vrr_classes[4][8] = int_stack + 4950;
 Libr12->t2vrr_classes[4][9] = int_stack + 5625;
 Libr12->t2vrr_classes[4][10] = int_stack + 6450;
 Libr12->t2vrr_classes[4][11] = int_stack + 7440;
 Libr12->t2vrr_classes[4][12] = int_stack + 8610;
 Libr12->t2vrr_classes[5][6] = int_stack + 9975;
 Libr12->t2vrr_classes[5][7] = int_stack + 10563;
 Libr12->t2vrr_classes[5][8] = int_stack + 11319;
 Libr12->t2vrr_classes[5][9] = int_stack + 12264;
 Libr12->t2vrr_classes[5][10] = int_stack + 13419;
 Libr12->t2vrr_classes[5][11] = int_stack + 14805;
 Libr12->t2vrr_classes[5][12] = int_stack + 16443;
 Libr12->gvrr_classes[7][6] = int_stack + 18354;
 Libr12->t2vrr_classes[6][6] = int_stack + 19362;
 Libr12->gvrr_classes[7][7] = int_stack + 20146;
 Libr12->t2vrr_classes[6][7] = int_stack + 21442;
 Libr12->gvrr_classes[7][8] = int_stack + 22450;
 Libr12->t2vrr_classes[6][8] = int_stack + 24070;
 Libr12->gvrr_classes[7][9] = int_stack + 25330;
 Libr12->t2vrr_classes[6][9] = int_stack + 27310;
 Libr12->gvrr_classes[7][10] = int_stack + 28850;
 Libr12->t2vrr_classes[6][10] = int_stack + 31226;
 Libr12->gvrr_classes[7][11] = int_stack + 33074;
 Libr12->t2vrr_classes[6][11] = int_stack + 35882;
 Libr12->t2vrr_classes[6][12] = int_stack + 38066;
 Libr12->gvrr_classes[3][13] = int_stack + 40614;
 Libr12->t1vrr_classes[3][6] = int_stack + 41664;
 Libr12->t1vrr_classes[3][7] = int_stack + 41944;
 Libr12->t1vrr_classes[3][8] = int_stack + 42304;
 Libr12->t1vrr_classes[3][9] = int_stack + 42754;
 Libr12->t1vrr_classes[3][10] = int_stack + 43304;
 Libr12->t1vrr_classes[3][11] = int_stack + 43964;
 Libr12->t1vrr_classes[3][12] = int_stack + 44744;
 Libr12->gvrr_classes[4][13] = int_stack + 45654;
 Libr12->t1vrr_classes[4][6] = int_stack + 47229;
 Libr12->t1vrr_classes[4][7] = int_stack + 47649;
 Libr12->t1vrr_classes[4][8] = int_stack + 48189;
 Libr12->t1vrr_classes[4][9] = int_stack + 48864;
 Libr12->t1vrr_classes[4][10] = int_stack + 49689;
 Libr12->t1vrr_classes[4][11] = int_stack + 50679;
 Libr12->t1vrr_classes[4][12] = int_stack + 51849;
 Libr12->gvrr_classes[5][13] = int_stack + 53214;
 Libr12->t1vrr_classes[5][6] = int_stack + 55419;
 Libr12->t1vrr_classes[5][7] = int_stack + 56007;
 Libr12->t1vrr_classes[5][8] = int_stack + 56763;
 Libr12->t1vrr_classes[5][9] = int_stack + 57708;
 Libr12->t1vrr_classes[5][10] = int_stack + 58863;
 Libr12->t1vrr_classes[5][11] = int_stack + 60249;
 Libr12->t1vrr_classes[5][12] = int_stack + 61887;
 Libr12->t1vrr_classes[6][6] = int_stack + 63798;
 Libr12->t1vrr_classes[6][7] = int_stack + 64582;
 Libr12->t1vrr_classes[6][8] = int_stack + 65590;
 Libr12->t1vrr_classes[6][9] = int_stack + 66850;
 Libr12->t1vrr_classes[6][10] = int_stack + 68390;
 Libr12->t1vrr_classes[6][11] = int_stack + 70238;
 Libr12->t1vrr_classes[6][12] = int_stack + 72422;
 Libr12->rvrr_classes[3][6] = int_stack + 74970;
 Libr12->rvrr_classes[3][7] = int_stack + 75250;
 Libr12->rvrr_classes[3][8] = int_stack + 75610;
 Libr12->rvrr_classes[3][9] = int_stack + 76060;
 Libr12->rvrr_classes[3][10] = int_stack + 76610;
 Libr12->rvrr_classes[3][11] = int_stack + 77270;
 Libr12->rvrr_classes[3][12] = int_stack + 78050;
 Libr12->rvrr_classes[4][6] = int_stack + 78960;
 Libr12->rvrr_classes[4][7] = int_stack + 79380;
 Libr12->rvrr_classes[4][8] = int_stack + 79920;
 Libr12->rvrr_classes[4][9] = int_stack + 80595;
 Libr12->rvrr_classes[4][10] = int_stack + 81420;
 Libr12->rvrr_classes[4][11] = int_stack + 82410;
 Libr12->rvrr_classes[4][12] = int_stack + 83580;
 Libr12->rvrr_classes[5][6] = int_stack + 84945;
 Libr12->rvrr_classes[5][7] = int_stack + 85533;
 Libr12->rvrr_classes[5][8] = int_stack + 86289;
 Libr12->rvrr_classes[5][9] = int_stack + 87234;
 Libr12->rvrr_classes[5][10] = int_stack + 88389;
 Libr12->rvrr_classes[5][11] = int_stack + 89775;
 Libr12->rvrr_classes[5][12] = int_stack + 91413;
 Libr12->rvrr_classes[6][6] = int_stack + 93324;
 Libr12->rvrr_classes[6][7] = int_stack + 94108;
 Libr12->rvrr_classes[6][8] = int_stack + 95116;
 Libr12->rvrr_classes[6][9] = int_stack + 96376;
 Libr12->rvrr_classes[6][10] = int_stack + 97916;
 Libr12->rvrr_classes[6][11] = int_stack + 99764;
 Libr12->rvrr_classes[6][12] = int_stack + 101948;
 Libr12->gvrr_classes[3][6] = int_stack + 104496;
 Libr12->gvrr_classes[3][7] = int_stack + 104776;
 Libr12->gvrr_classes[3][8] = int_stack + 105136;
 Libr12->gvrr_classes[3][9] = int_stack + 105586;
 Libr12->gvrr_classes[3][10] = int_stack + 106136;
 Libr12->gvrr_classes[3][11] = int_stack + 106796;
 Libr12->gvrr_classes[3][12] = int_stack + 107576;
 Libr12->gvrr_classes[4][6] = int_stack + 108486;
 Libr12->gvrr_classes[4][7] = int_stack + 108906;
 Libr12->gvrr_classes[4][8] = int_stack + 109446;
 Libr12->gvrr_classes[4][9] = int_stack + 110121;
 Libr12->gvrr_classes[4][10] = int_stack + 110946;
 Libr12->gvrr_classes[4][11] = int_stack + 111936;
 Libr12->gvrr_classes[4][12] = int_stack + 113106;
 Libr12->gvrr_classes[5][6] = int_stack + 114471;
 Libr12->gvrr_classes[5][7] = int_stack + 115059;
 Libr12->gvrr_classes[5][8] = int_stack + 115815;
 Libr12->gvrr_classes[5][9] = int_stack + 116760;
 Libr12->gvrr_classes[5][10] = int_stack + 117915;
 Libr12->gvrr_classes[5][11] = int_stack + 119301;
 Libr12->gvrr_classes[5][12] = int_stack + 120939;
 Libr12->gvrr_classes[6][6] = int_stack + 122850;
 Libr12->gvrr_classes[6][7] = int_stack + 123634;
 Libr12->gvrr_classes[6][8] = int_stack + 124642;
 Libr12->gvrr_classes[6][9] = int_stack + 125902;
 Libr12->gvrr_classes[6][10] = int_stack + 127442;
 Libr12->gvrr_classes[6][11] = int_stack + 129290;
 Libr12->gvrr_classes[6][12] = int_stack + 131474;
 memset(int_stack,0,134022*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 134022;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ffii(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+134022, int_stack+104776, int_stack+104496, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+134862, int_stack+105136, int_stack+104776, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+135942, int_stack+134862, int_stack+134022, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+137622, int_stack+105586, int_stack+105136, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+138972, int_stack+137622, int_stack+134862, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+141132, int_stack+138972, int_stack+135942, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+143932, int_stack+106136, int_stack+105586, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+145582, int_stack+143932, int_stack+137622, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+148282, int_stack+145582, int_stack+138972, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+151882, int_stack+148282, int_stack+141132, 10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+156082, int_stack+106796, int_stack+106136, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+158062, int_stack+156082, int_stack+143932, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+161362, int_stack+158062, int_stack+145582, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+165862, int_stack+161362, int_stack+148282, 10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+171262, int_stack+165862, int_stack+151882, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+177142, int_stack+108906, int_stack+108486, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+178402, int_stack+109446, int_stack+108906, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+180022, int_stack+178402, int_stack+177142, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+182542, int_stack+110121, int_stack+109446, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+184567, int_stack+182542, int_stack+178402, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+187807, int_stack+184567, int_stack+180022, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+192007, int_stack+110946, int_stack+110121, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+194482, int_stack+192007, int_stack+182542, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+198532, int_stack+194482, int_stack+184567, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+203932, int_stack+198532, int_stack+187807, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+210232, int_stack+111936, int_stack+110946, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+213202, int_stack+210232, int_stack+192007, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+218152, int_stack+213202, int_stack+194482, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+224902, int_stack+218152, int_stack+198532, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+233002, int_stack+224902, int_stack+203932, 15);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+241822, int_stack+107576, int_stack+106796, 10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+244162, int_stack+241822, int_stack+156082, 10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+248122, int_stack+244162, int_stack+158062, 10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+253622, int_stack+248122, int_stack+161362, 10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+260372, int_stack+253622, int_stack+165862, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267932, int_stack+280, int_stack+0, int_stack+104776, int_stack+108486, int_stack+104496, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+268772, int_stack+640, int_stack+280, int_stack+105136, int_stack+108906, int_stack+104776, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+269852, int_stack+268772, int_stack+267932, int_stack+134862, int_stack+177142, int_stack+134022, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+271532, int_stack+1090, int_stack+640, int_stack+105586, int_stack+109446, int_stack+105136, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+272882, int_stack+271532, int_stack+268772, int_stack+137622, int_stack+178402, int_stack+134862, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+275042, int_stack+272882, int_stack+269852, int_stack+138972, int_stack+180022, int_stack+135942, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+134022, int_stack+1640, int_stack+1090, int_stack+106136, int_stack+110121, int_stack+105586, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267932, int_stack+134022, int_stack+271532, int_stack+143932, int_stack+182542, int_stack+137622, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+277842, int_stack+267932, int_stack+272882, int_stack+145582, int_stack+184567, int_stack+138972, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+135672, int_stack+277842, int_stack+275042, int_stack+148282, int_stack+187807, int_stack+141132, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139872, int_stack+2300, int_stack+1640, int_stack+106796, int_stack+110946, int_stack+106136, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+270632, int_stack+139872, int_stack+134022, int_stack+156082, int_stack+192007, int_stack+143932, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+281442, int_stack+270632, int_stack+267932, int_stack+158062, int_stack+194482, int_stack+145582, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+141852, int_stack+281442, int_stack+277842, int_stack+161362, int_stack+198532, int_stack+148282, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273932, int_stack+141852, int_stack+135672, int_stack+165862, int_stack+203932, int_stack+151882, 3, 0);
 /*--- compute (f0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267932, int_stack+3080, int_stack+2300, int_stack+107576, int_stack+111936, int_stack+106796, 3, 0);
 /*--- compute (f0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+134022, int_stack+267932, int_stack+139872, int_stack+241822, int_stack+210232, int_stack+156082, 3, 0);
 /*--- compute (f0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+147252, int_stack+134022, int_stack+270632, int_stack+244162, int_stack+213202, int_stack+158062, 3, 0);
 /*--- compute (f0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+134022, int_stack+147252, int_stack+281442, int_stack+248122, int_stack+218152, int_stack+161362, 3, 0);
 /*--- compute (f0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+147252, int_stack+134022, int_stack+141852, int_stack+253622, int_stack+224902, int_stack+165862, 3, 0);
 /*--- compute (f0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+134022, int_stack+147252, int_stack+273932, int_stack+260372, int_stack+233002, int_stack+171262, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+141862, int_stack+115059, int_stack+114471, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+143626, int_stack+115815, int_stack+115059, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+145894, int_stack+143626, int_stack+141862, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+149422, int_stack+116760, int_stack+115815, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+152257, int_stack+149422, int_stack+143626, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+156793, int_stack+152257, int_stack+145894, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+162673, int_stack+117915, int_stack+116760, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+267932, int_stack+162673, int_stack+149422, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+273602, int_stack+267932, int_stack+152257, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+281162, int_stack+273602, int_stack+156793, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+166138, int_stack+119301, int_stack+117915, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+289982, int_stack+166138, int_stack+162673, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+296912, int_stack+289982, int_stack+267932, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+306362, int_stack+296912, int_stack+273602, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+317702, int_stack+306362, int_stack+281162, 21);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+113106, int_stack+111936, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+330050, int_stack+0, int_stack+210232, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+335990, int_stack+330050, int_stack+213202, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+344240, int_stack+335990, int_stack+218152, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+354365, int_stack+344240, int_stack+224902, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104496, int_stack+4410, int_stack+3990, int_stack+108906, int_stack+114471, int_stack+108486, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105756, int_stack+4950, int_stack+4410, int_stack+109446, int_stack+115059, int_stack+108906, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+365705, int_stack+105756, int_stack+104496, int_stack+178402, int_stack+141862, int_stack+177142, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+368225, int_stack+5625, int_stack+4950, int_stack+110121, int_stack+115815, int_stack+109446, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+370250, int_stack+368225, int_stack+105756, int_stack+182542, int_stack+143626, int_stack+178402, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+373490, int_stack+370250, int_stack+365705, int_stack+184567, int_stack+145894, int_stack+180022, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+365705, int_stack+6450, int_stack+5625, int_stack+110946, int_stack+116760, int_stack+110121, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+177142, int_stack+365705, int_stack+368225, int_stack+192007, int_stack+149422, int_stack+182542, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+377690, int_stack+177142, int_stack+370250, int_stack+194482, int_stack+152257, int_stack+184567, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181192, int_stack+377690, int_stack+373490, int_stack+198532, int_stack+156793, int_stack+187807, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+368180, int_stack+7440, int_stack+6450, int_stack+111936, int_stack+117915, int_stack+110946, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+371150, int_stack+368180, int_stack+365705, int_stack+210232, int_stack+162673, int_stack+192007, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187492, int_stack+371150, int_stack+177142, int_stack+213202, int_stack+267932, int_stack+194482, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+383090, int_stack+187492, int_stack+377690, int_stack+218152, int_stack+273602, int_stack+198532, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+194242, int_stack+383090, int_stack+181192, int_stack+224902, int_stack+281162, int_stack+203932, 4, 0);
 /*--- compute (g0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+177142, int_stack+8610, int_stack+7440, int_stack+113106, int_stack+119301, int_stack+111936, 4, 0);
 /*--- compute (g0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180652, int_stack+177142, int_stack+368180, int_stack+0, int_stack+166138, int_stack+210232, 4, 0);
 /*--- compute (g0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203062, int_stack+180652, int_stack+371150, int_stack+330050, int_stack+289982, int_stack+213202, 4, 0);
 /*--- compute (g0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+177142, int_stack+203062, int_stack+187492, int_stack+335990, int_stack+296912, int_stack+218152, 4, 0);
 /*--- compute (g0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203062, int_stack+177142, int_stack+383090, int_stack+344240, int_stack+306362, int_stack+224902, 4, 0);
 /*--- compute (g0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+177142, int_stack+203062, int_stack+194242, int_stack+354365, int_stack+317702, int_stack+233002, 4, 0);
 /*--- compute (fp|[r12,T2]|ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+188902, int_stack+177142, int_stack+134022, 784);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+134022, int_stack+123634, int_stack+122850, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+136374, int_stack+124642, int_stack+123634, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+212422, int_stack+136374, int_stack+134022, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+217126, int_stack+125902, int_stack+124642, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+220906, int_stack+217126, int_stack+136374, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+365705, int_stack+220906, int_stack+212422, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+108486, int_stack+127442, int_stack+125902, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+373545, int_stack+108486, int_stack+217126, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+381105, int_stack+373545, int_stack+220906, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+391185, int_stack+381105, int_stack+365705, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+226954, int_stack+129290, int_stack+127442, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+402945, int_stack+226954, int_stack+108486, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+412185, int_stack+402945, int_stack+373545, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+424785, int_stack+412185, int_stack+381105, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+439905, int_stack+424785, int_stack+391185, 28);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3510, int_stack+120939, int_stack+119301, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+456369, int_stack+3510, int_stack+166138, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+464685, int_stack+456369, int_stack+289982, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+476235, int_stack+464685, int_stack+296912, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+490410, int_stack+476235, int_stack+306362, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139398, int_stack+10563, int_stack+9975, int_stack+115059, int_stack+122850, int_stack+114471, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104496, int_stack+11319, int_stack+10563, int_stack+115815, int_stack+123634, int_stack+115059, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+506286, int_stack+104496, int_stack+139398, int_stack+143626, int_stack+134022, int_stack+141862, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139398, int_stack+12264, int_stack+11319, int_stack+116760, int_stack+124642, int_stack+115815, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+509814, int_stack+139398, int_stack+104496, int_stack+149422, int_stack+136374, int_stack+143626, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+514350, int_stack+509814, int_stack+506286, int_stack+152257, int_stack+212422, int_stack+145894, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+506286, int_stack+13419, int_stack+12264, int_stack+117915, int_stack+125902, int_stack+116760, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142233, int_stack+506286, int_stack+139398, int_stack+162673, int_stack+217126, int_stack+149422, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+520230, int_stack+142233, int_stack+509814, int_stack+267932, int_stack+220906, int_stack+152257, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+147903, int_stack+520230, int_stack+514350, int_stack+273602, int_stack+365705, int_stack+156793, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+509751, int_stack+14805, int_stack+13419, int_stack+119301, int_stack+127442, int_stack+117915, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+527790, int_stack+509751, int_stack+506286, int_stack+166138, int_stack+108486, int_stack+162673, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+534720, int_stack+527790, int_stack+142233, int_stack+289982, int_stack+373545, int_stack+267932, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+544170, int_stack+534720, int_stack+520230, int_stack+296912, int_stack+381105, int_stack+273602, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267932, int_stack+544170, int_stack+147903, int_stack+306362, int_stack+391185, int_stack+281162, 5, 0);
 /*--- compute (h0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+280280, int_stack+16443, int_stack+14805, int_stack+120939, int_stack+129290, int_stack+119301, 5, 0);
 /*--- compute (h0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139398, int_stack+280280, int_stack+509751, int_stack+3510, int_stack+226954, int_stack+166138, 5, 0);
 /*--- compute (h0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+506286, int_stack+139398, int_stack+527790, int_stack+456369, int_stack+402945, int_stack+289982, 5, 0);
 /*--- compute (h0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139398, int_stack+506286, int_stack+534720, int_stack+464685, int_stack+412185, int_stack+296912, 5, 0);
 /*--- compute (h0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+506286, int_stack+139398, int_stack+544170, int_stack+476235, int_stack+424785, int_stack+306362, 5, 0);
 /*--- compute (h0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139398, int_stack+506286, int_stack+267932, int_stack+490410, int_stack+439905, int_stack+317702, 5, 0);
 /*--- compute (gp|[r12,T2]|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+267932, int_stack+139398, int_stack+177142, 784);
 /*--- compute (fd|[r12,T2]|ii) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+506286, int_stack+267932, int_stack+188902, 784);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+177142, int_stack+20146, int_stack+18354, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+180166, int_stack+22450, int_stack+20146, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+184054, int_stack+180166, int_stack+177142, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+190102, int_stack+25330, int_stack+22450, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+194962, int_stack+190102, int_stack+180166, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+303212, int_stack+194962, int_stack+184054, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+202738, int_stack+28850, int_stack+25330, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+155862, int_stack+202738, int_stack+190102, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+155862, int_stack+194962, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+566286, int_stack+553326, int_stack+303212, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+8424, int_stack+33074, int_stack+28850, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+581406, int_stack+8424, int_stack+202738, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+593286, int_stack+581406, int_stack+155862, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+609486, int_stack+593286, int_stack+553326, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+628926, int_stack+609486, int_stack+566286, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+650094, int_stack+131474, int_stack+129290, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+656646, int_stack+650094, int_stack+226954, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+667734, int_stack+656646, int_stack+402945, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+683134, int_stack+667734, int_stack+412185, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+702034, int_stack+683134, int_stack+424785, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+208678, int_stack+21442, int_stack+19362, int_stack+123634, int_stack+18354, int_stack+122850, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+313292, int_stack+24070, int_stack+21442, int_stack+124642, int_stack+20146, int_stack+123634, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165582, int_stack+313292, int_stack+208678, int_stack+136374, int_stack+177142, int_stack+134022, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114471, int_stack+27310, int_stack+24070, int_stack+125902, int_stack+22450, int_stack+124642, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15552, int_stack+114471, int_stack+313292, int_stack+217126, int_stack+180166, int_stack+136374, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+723202, int_stack+15552, int_stack+165582, int_stack+220906, int_stack+184054, int_stack+212422, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165582, int_stack+31226, int_stack+27310, int_stack+127442, int_stack+25330, int_stack+125902, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+177142, int_stack+165582, int_stack+114471, int_stack+108486, int_stack+190102, int_stack+217126, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184702, int_stack+177142, int_stack+15552, int_stack+373545, int_stack+194962, int_stack+220906, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15552, int_stack+184702, int_stack+723202, int_stack+381105, int_stack+303212, int_stack+365705, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+365705, int_stack+35882, int_stack+31226, int_stack+129290, int_stack+28850, int_stack+127442, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+303212, int_stack+365705, int_stack+165582, int_stack+226954, int_stack+202738, int_stack+108486, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+194782, int_stack+303212, int_stack+177142, int_stack+402945, int_stack+155862, int_stack+373545, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155862, int_stack+194782, int_stack+184702, int_stack+412185, int_stack+553326, int_stack+381105, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+177142, int_stack+155862, int_stack+15552, int_stack+424785, int_stack+566286, int_stack+391185, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15552, int_stack+38066, int_stack+35882, int_stack+131474, int_stack+33074, int_stack+129290, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22104, int_stack+15552, int_stack+365705, int_stack+650094, int_stack+8424, int_stack+226954, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+365705, int_stack+22104, int_stack+303212, int_stack+656646, int_stack+581406, int_stack+402945, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8424, int_stack+365705, int_stack+194782, int_stack+667734, int_stack+593286, int_stack+412185, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+365705, int_stack+8424, int_stack+155862, int_stack+683134, int_stack+609486, int_stack+424785, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8424, int_stack+365705, int_stack+177142, int_stack+702034, int_stack+628926, int_stack+439905, 6, 0);
 /*--- compute (hp|[r12,T2]|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+177142, int_stack+8424, int_stack+139398, 784);
 /*--- compute (gd|[r12,T2]|ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+365705, int_stack+177142, int_stack+267932, 784);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+267932, int_stack+260372, int_stack+171262, 10);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+275772, int_stack+354365, int_stack+233002, 15);
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+287532, int_stack+275772, int_stack+267932, 784);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+8424, int_stack+490410, int_stack+317702, 21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+553326, int_stack+8424, int_stack+275772, 784);
 /*--- compute (fd|ii) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+588606, int_stack+553326, int_stack+287532, 784);
 /*--- compute (f0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+311052, int_stack+40614, int_stack+107576, 10);
 /*--- compute (f0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+313782, int_stack+311052, int_stack+241822, 10);
 /*--- compute (f0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+318462, int_stack+313782, int_stack+244162, 10);
 /*--- compute (f0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+24888, int_stack+318462, int_stack+248122, 10);
 /*--- compute (f0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+311052, int_stack+24888, int_stack+253622, 10);
 /*--- compute (f0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+24888, int_stack+311052, int_stack+260372, 10);
 /*--- compute (g0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+311052, int_stack+45654, int_stack+113106, 15);
 /*--- compute (g0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+315147, int_stack+311052, int_stack+0, 15);
 /*--- compute (g0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+635646, int_stack+315147, int_stack+330050, 15);
 /*--- compute (g0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+311052, int_stack+635646, int_stack+335990, 15);
 /*--- compute (g0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+635646, int_stack+311052, int_stack+344240, 15);
 /*--- compute (g0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+311052, int_stack+635646, int_stack+354365, 15);
 /*--- compute (fp|ki) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+635646, int_stack+311052, int_stack+24888, 1008);
 /*--- compute (h0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+665886, int_stack+53214, int_stack+120939, 21);
 /*--- compute (h0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+671619, int_stack+665886, int_stack+3510, 21);
 /*--- compute (h0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+681447, int_stack+671619, int_stack+456369, 21);
 /*--- compute (h0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+326172, int_stack+681447, int_stack+464685, 21);
 /*--- compute (h0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+456369, int_stack+326172, int_stack+476235, 21);
 /*--- compute (h0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+326172, int_stack+456369, int_stack+490410, 21);
 /*--- compute (gp|ki) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+456369, int_stack+326172, int_stack+311052, 1008);
 /*--- compute (fd|ki) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+104496, int_stack+456369, int_stack+635646, 1008);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+665886, int_stack+702034, int_stack+439905, 28);
 /*--- compute (hp|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+164976, int_stack+665886, int_stack+8424, 784);
 /*--- compute (gd|ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+687838, int_stack+164976, int_stack+553326, 784);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+501729, int_stack+41944, int_stack+41664, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+502569, int_stack+42304, int_stack+41944, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+503649, int_stack+502569, int_stack+501729, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+347340, int_stack+42754, int_stack+42304, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+348690, int_stack+347340, int_stack+502569, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+350850, int_stack+348690, int_stack+503649, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+501729, int_stack+43304, int_stack+42754, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+503379, int_stack+501729, int_stack+347340, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+353650, int_stack+503379, int_stack+348690, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+357250, int_stack+353650, int_stack+350850, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+347340, int_stack+43964, int_stack+43304, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+349320, int_stack+347340, int_stack+501729, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+349320, int_stack+503379, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+34968, int_stack+0, int_stack+353650, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+436265, int_stack+34968, int_stack+357250, 10);
 /*--- compute (f0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+501729, int_stack+44744, int_stack+43964, 10);
 /*--- compute (f0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+352620, int_stack+501729, int_stack+347340, 10);
 /*--- compute (f0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+356580, int_stack+352620, int_stack+349320, 10);
 /*--- compute (f0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+347340, int_stack+356580, int_stack+0, 10);
 /*--- compute (f0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+347340, int_stack+34968, 10);
 /*--- compute (f0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+34968, int_stack+0, int_stack+436265, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+436265, int_stack+47649, int_stack+47229, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+437525, int_stack+48189, int_stack+47649, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+439145, int_stack+437525, int_stack+436265, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+441665, int_stack+48864, int_stack+48189, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+443690, int_stack+441665, int_stack+437525, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+446930, int_stack+443690, int_stack+439145, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+436265, int_stack+49689, int_stack+48864, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+451130, int_stack+436265, int_stack+441665, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+451130, int_stack+443690, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+438740, int_stack+0, int_stack+446930, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+445040, int_stack+50679, int_stack+49689, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+42808, int_stack+445040, int_stack+436265, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+347340, int_stack+42808, int_stack+451130, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+448010, int_stack+347340, int_stack+0, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+354090, int_stack+448010, int_stack+438740, 15);
 /*--- compute (g0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+51849, int_stack+50679, 15);
 /*--- compute (g0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+436265, int_stack+0, int_stack+445040, 15);
 /*--- compute (g0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+436265, int_stack+42808, 15);
 /*--- compute (g0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+42808, int_stack+0, int_stack+347340, 15);
 /*--- compute (g0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+436265, int_stack+42808, int_stack+448010, 15);
 /*--- compute (g0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+42808, int_stack+436265, int_stack+354090, 15);
 /*--- compute (fp|[r12,T1]|ii) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+214368, int_stack+42808, int_stack+34968, int_stack+275772, int_stack+24888, int_stack+267932, 6, 6);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24888, int_stack+56007, int_stack+55419, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+26652, int_stack+56763, int_stack+56007, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+28920, int_stack+26652, int_stack+24888, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+32448, int_stack+57708, int_stack+56763, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+35283, int_stack+32448, int_stack+26652, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+436265, int_stack+35283, int_stack+28920, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+24888, int_stack+58863, int_stack+57708, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+442145, int_stack+24888, int_stack+32448, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+447815, int_stack+442145, int_stack+35283, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+28353, int_stack+447815, int_stack+436265, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+436265, int_stack+60249, int_stack+58863, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+347340, int_stack+436265, int_stack+24888, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+354270, int_stack+347340, int_stack+442145, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+237888, int_stack+354270, int_stack+447815, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+440423, int_stack+237888, int_stack+28353, 21);
 /*--- compute (h0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+24888, int_stack+61887, int_stack+60249, 21);
 /*--- compute (h0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+29802, int_stack+24888, int_stack+436265, 21);
 /*--- compute (h0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+249228, int_stack+29802, int_stack+347340, 21);
 /*--- compute (h0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+24888, int_stack+249228, int_stack+354270, 21);
 /*--- compute (h0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+249228, int_stack+24888, int_stack+237888, 21);
 /*--- compute (h0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+24888, int_stack+249228, int_stack+440423, 21);
 /*--- compute (gp|[r12,T1]|ii) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+237888, int_stack+24888, int_stack+42808, int_stack+8424, int_stack+311052, int_stack+275772, 6, 6);
 /*--- compute (fd|[r12,T1]|ii) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+758398, int_stack+237888, int_stack+214368, int_stack+553326, int_stack+635646, int_stack+287532, 6, 6);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+635646, int_stack+64582, int_stack+63798, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+637998, int_stack+65590, int_stack+64582, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+641022, int_stack+637998, int_stack+635646, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+645726, int_stack+66850, int_stack+65590, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+649506, int_stack+645726, int_stack+637998, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+655554, int_stack+649506, int_stack+641022, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+635646, int_stack+68390, int_stack+66850, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+214368, int_stack+635646, int_stack+645726, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+221928, int_stack+214368, int_stack+649506, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+640266, int_stack+221928, int_stack+655554, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+652026, int_stack+70238, int_stack+68390, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+273168, int_stack+652026, int_stack+635646, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+282408, int_stack+273168, int_stack+214368, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+295008, int_stack+282408, int_stack+221928, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+214368, int_stack+295008, int_stack+640266, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+230832, int_stack+72422, int_stack+70238, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+635646, int_stack+230832, int_stack+652026, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+646734, int_stack+635646, int_stack+273168, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+41352, int_stack+646734, int_stack+282408, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+273168, int_stack+41352, int_stack+295008, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+41352, int_stack+273168, int_stack+214368, 28);
 /*--- compute (hp|[r12,T1]|ii) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+273168, int_stack+41352, int_stack+24888, int_stack+665886, int_stack+326172, int_stack+8424, 6, 6);
 /*--- compute (gd|[r12,T1]|ii) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+273168, int_stack+237888, int_stack+164976, int_stack+456369, int_stack+553326, 6, 6);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+75250, int_stack+74970, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+554166, int_stack+75610, int_stack+75250, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+555246, int_stack+554166, int_stack+553326, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+556926, int_stack+76060, int_stack+75610, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+558276, int_stack+556926, int_stack+554166, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+560436, int_stack+558276, int_stack+555246, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+76610, int_stack+76060, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+563236, int_stack+553326, int_stack+556926, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+565936, int_stack+563236, int_stack+558276, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+554976, int_stack+565936, int_stack+560436, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+559176, int_stack+77270, int_stack+76610, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+569536, int_stack+559176, int_stack+553326, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+572836, int_stack+569536, int_stack+563236, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+577336, int_stack+572836, int_stack+565936, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+561156, int_stack+577336, int_stack+554976, 10);
 /*--- compute (f0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+78050, int_stack+77270, 10);
 /*--- compute (f0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+582736, int_stack+553326, int_stack+559176, 10);
 /*--- compute (f0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+582736, int_stack+569536, 10);
 /*--- compute (f0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+164976, int_stack+553326, int_stack+572836, 10);
 /*--- compute (f0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+164976, int_stack+577336, 10);
 /*--- compute (f0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+164976, int_stack+553326, int_stack+561156, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+79380, int_stack+78960, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+554586, int_stack+79920, int_stack+79380, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+556206, int_stack+554586, int_stack+553326, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+558726, int_stack+80595, int_stack+79920, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+560751, int_stack+558726, int_stack+554586, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+563991, int_stack+560751, int_stack+556206, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+81420, int_stack+80595, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+568191, int_stack+553326, int_stack+558726, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+572241, int_stack+568191, int_stack+560751, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+555801, int_stack+572241, int_stack+563991, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+562101, int_stack+82410, int_stack+81420, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+577641, int_stack+562101, int_stack+553326, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+172816, int_stack+577641, int_stack+568191, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+179566, int_stack+172816, int_stack+572241, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+565071, int_stack+179566, int_stack+555801, 15);
 /*--- compute (g0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+83580, int_stack+82410, 15);
 /*--- compute (g0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+582591, int_stack+553326, int_stack+562101, 15);
 /*--- compute (g0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+582591, int_stack+577641, 15);
 /*--- compute (g0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+573891, int_stack+553326, int_stack+172816, 15);
 /*--- compute (g0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+573891, int_stack+179566, 15);
 /*--- compute (g0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+573891, int_stack+553326, int_stack+565071, 15);
 /*--- compute (fp||ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+172816, int_stack+573891, int_stack+164976, 784);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+164976, int_stack+85533, int_stack+84945, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+166740, int_stack+86289, int_stack+85533, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+169008, int_stack+166740, int_stack+164976, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+87234, int_stack+86289, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+556161, int_stack+553326, int_stack+166740, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+560697, int_stack+556161, int_stack+169008, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+164976, int_stack+88389, int_stack+87234, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+566577, int_stack+164976, int_stack+553326, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+196336, int_stack+566577, int_stack+556161, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+203896, int_stack+196336, int_stack+560697, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+89775, int_stack+88389, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+557484, int_stack+553326, int_stack+164976, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+212716, int_stack+557484, int_stack+566577, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+222166, int_stack+212716, int_stack+196336, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+233506, int_stack+222166, int_stack+203896, 21);
 /*--- compute (h0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+196336, int_stack+91413, int_stack+89775, 21);
 /*--- compute (h0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+201250, int_stack+196336, int_stack+553326, 21);
 /*--- compute (h0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+245854, int_stack+201250, int_stack+557484, 21);
 /*--- compute (h0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+245854, int_stack+212716, 21);
 /*--- compute (h0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+245854, int_stack+553326, int_stack+222166, 21);
 /*--- compute (h0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+553326, int_stack+245854, int_stack+233506, 21);
 /*--- compute (gp||ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+196336, int_stack+553326, int_stack+573891, 784);
 /*--- compute (fd||ii) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+231616, int_stack+196336, int_stack+172816, 784);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+569790, int_stack+94108, int_stack+93324, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+572142, int_stack+95116, int_stack+94108, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+575166, int_stack+572142, int_stack+569790, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+579870, int_stack+96376, int_stack+95116, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+278656, int_stack+579870, int_stack+572142, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+284704, int_stack+278656, int_stack+575166, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+569790, int_stack+97916, int_stack+96376, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+292544, int_stack+569790, int_stack+579870, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+574410, int_stack+292544, int_stack+278656, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+300104, int_stack+574410, int_stack+284704, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+278656, int_stack+99764, int_stack+97916, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+311864, int_stack+278656, int_stack+569790, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+321104, int_stack+311864, int_stack+292544, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+284200, int_stack+321104, int_stack+574410, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+569790, int_stack+284200, int_stack+300104, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+299320, int_stack+101948, int_stack+99764, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+333704, int_stack+299320, int_stack+278656, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+344792, int_stack+333704, int_stack+311864, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+299320, int_stack+344792, int_stack+321104, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+318220, int_stack+299320, int_stack+284200, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+278656, int_stack+318220, int_stack+569790, 28);
 /*--- compute (hp||ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+300608, int_stack+278656, int_stack+553326, 784);
 /*--- compute (gd||ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+805438, int_stack+300608, int_stack+196336, 784);
 /*--- compute (ff|[r12,T2]|ii) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+278656, int_stack+365705, int_stack+506286, 784);
     Libr12->te_ptr[3] = int_stack + 278656;
 /*--- compute (ff|[r12,T1]|ii) ---*/
   t1hrr1_build_ff(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+357056, int_stack+0, int_stack+758398, int_stack+687838, int_stack+104496, int_stack+588606, 6, 6);
     Libr12->te_ptr[2] = int_stack + 357056;
 /*--- compute (ff||ii) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+0, int_stack+805438, int_stack+231616, 784);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (ff|ii) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+758398, int_stack+687838, int_stack+588606, 784);
     Libr12->te_ptr[0] = int_stack + 758398;

}
