#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ffip(Libr12_t *, prim_data *);

  /* Computes (ff|ip) integrals for linear R12-methods */

void hrr_grt_order_ffip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[4][6] = int_stack + 640;
 Libr12->t2vrr_classes[4][7] = int_stack + 1060;
 Libr12->t2vrr_classes[5][6] = int_stack + 1600;
 Libr12->t2vrr_classes[5][7] = int_stack + 2188;
 Libr12->gvrr_classes[7][6] = int_stack + 2944;
 Libr12->t2vrr_classes[6][6] = int_stack + 3952;
 Libr12->t2vrr_classes[6][7] = int_stack + 4736;
 Libr12->gvrr_classes[3][8] = int_stack + 5744;
 Libr12->t1vrr_classes[3][6] = int_stack + 6194;
 Libr12->t1vrr_classes[3][7] = int_stack + 6474;
 Libr12->gvrr_classes[4][8] = int_stack + 6834;
 Libr12->t1vrr_classes[4][6] = int_stack + 7509;
 Libr12->t1vrr_classes[4][7] = int_stack + 7929;
 Libr12->gvrr_classes[5][8] = int_stack + 8469;
 Libr12->t1vrr_classes[5][6] = int_stack + 9414;
 Libr12->t1vrr_classes[5][7] = int_stack + 10002;
 Libr12->t1vrr_classes[6][6] = int_stack + 10758;
 Libr12->t1vrr_classes[6][7] = int_stack + 11542;
 Libr12->rvrr_classes[3][6] = int_stack + 12550;
 Libr12->rvrr_classes[3][7] = int_stack + 12830;
 Libr12->rvrr_classes[4][6] = int_stack + 13190;
 Libr12->rvrr_classes[4][7] = int_stack + 13610;
 Libr12->rvrr_classes[5][6] = int_stack + 14150;
 Libr12->rvrr_classes[5][7] = int_stack + 14738;
 Libr12->rvrr_classes[6][6] = int_stack + 15494;
 Libr12->rvrr_classes[6][7] = int_stack + 16278;
 Libr12->gvrr_classes[3][6] = int_stack + 17286;
 Libr12->gvrr_classes[3][7] = int_stack + 17566;
 Libr12->gvrr_classes[4][6] = int_stack + 17926;
 Libr12->gvrr_classes[4][7] = int_stack + 18346;
 Libr12->gvrr_classes[5][6] = int_stack + 18886;
 Libr12->gvrr_classes[5][7] = int_stack + 19474;
 Libr12->gvrr_classes[6][6] = int_stack + 20230;
 Libr12->gvrr_classes[6][7] = int_stack + 21014;
 memset(int_stack,0,22022*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 22022;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ffip(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22022, int_stack+280, int_stack+0, int_stack+17566, int_stack+17926, int_stack+17286, 3, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22862, int_stack+1060, int_stack+640, int_stack+18346, int_stack+18886, int_stack+17926, 4, 0);
 /*--- compute (fp|[r12,T2]|ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+24122, int_stack+22862, int_stack+22022, 84);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26642, int_stack+2188, int_stack+1600, int_stack+19474, int_stack+20230, int_stack+18886, 5, 0);
 /*--- compute (gp|[r12,T2]|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+28406, int_stack+26642, int_stack+22862, 84);
 /*--- compute (fd|[r12,T2]|ip) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+32186, int_stack+28406, int_stack+24122, 84);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22022, int_stack+4736, int_stack+3952, int_stack+21014, int_stack+2944, int_stack+20230, 6, 0);
 /*--- compute (hp|[r12,T2]|ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+22022, int_stack+26642, 84);
 /*--- compute (gd|[r12,T2]|ip) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+37226, int_stack+0, int_stack+28406, 84);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17566, int_stack+17286, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+840, int_stack+18346, int_stack+17926, 15);
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+2100, int_stack+840, int_stack+0, 84);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+22022, int_stack+19474, int_stack+18886, 21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+23786, int_stack+22022, int_stack+840, 84);
 /*--- compute (fd|ip) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+44786, int_stack+23786, int_stack+2100, 84);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+5744, int_stack+17566, 10);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+27566, int_stack+6834, int_stack+18346, 15);
 /*--- compute (fp|kp) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+49826, int_stack+27566, int_stack+4620, 108);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+29186, int_stack+8469, int_stack+19474, 21);
 /*--- compute (gp|kp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+53066, int_stack+29186, int_stack+27566, 108);
 /*--- compute (fd|kp) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+57926, int_stack+53066, int_stack+49826, 108);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17286, int_stack+21014, int_stack+20230, 28);
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+64406, int_stack+17286, int_stack+22022, 84);
 /*--- compute (gd|ip) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+69698, int_stack+64406, int_stack+23786, 84);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8469, int_stack+6474, int_stack+6194, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19638, int_stack+7929, int_stack+7509, 15);
 /*--- compute (fp|[r12,T1]|ip) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5700, int_stack+19638, int_stack+8469, int_stack+840, int_stack+4620, int_stack+0, 6, 1);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+77258, int_stack+10002, int_stack+9414, 21);
 /*--- compute (gp|[r12,T1]|ip) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+79022, int_stack+77258, int_stack+19638, int_stack+22022, int_stack+27566, int_stack+840, 6, 1);
 /*--- compute (fd|[r12,T1]|ip) ---*/
   t1hrr1_build_fd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+82802, int_stack+79022, int_stack+5700, int_stack+23786, int_stack+49826, int_stack+2100, 6, 1);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+49826, int_stack+11542, int_stack+10758, 28);
 /*--- compute (hp|[r12,T1]|ip) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+49826, int_stack+77258, int_stack+17286, int_stack+29186, int_stack+22022, 6, 1);
 /*--- compute (gd|[r12,T1]|ip) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+87842, int_stack+0, int_stack+79022, int_stack+64406, int_stack+53066, int_stack+23786, 6, 1);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+64406, int_stack+12830, int_stack+12550, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+65246, int_stack+13610, int_stack+13190, 15);
 /*--- compute (fp||ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+66506, int_stack+65246, int_stack+64406, 84);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+14738, int_stack+14150, 21);
 /*--- compute (gp||ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+1764, int_stack+0, int_stack+65246, 84);
 /*--- compute (fd||ip) ---*/
   hrr1_build_fd(Libr12->ShellQuartet.AB,int_stack+5544, int_stack+1764, int_stack+66506, 84);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+64406, int_stack+16278, int_stack+15494, 28);
 /*--- compute (hp||ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+10584, int_stack+64406, int_stack+0, 84);
 /*--- compute (gd||ip) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+15876, int_stack+10584, int_stack+1764, 84);
 /*--- compute (ff|[r12,T2]|ip) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+23436, int_stack+37226, int_stack+32186, 84);
     Libr12->te_ptr[3] = int_stack + 23436;
 /*--- compute (ff|[r12,T1]|ip) ---*/
   t1hrr1_build_ff(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+31836, int_stack+87842, int_stack+82802, int_stack+69698, int_stack+57926, int_stack+44786, 6, 1);
     Libr12->te_ptr[2] = int_stack + 31836;
 /*--- compute (ff||ip) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+77258, int_stack+15876, int_stack+5544, 84);
     Libr12->te_ptr[1] = int_stack + 77258;
 /*--- compute (ff|ip) ---*/
   hrr1_build_ff(Libr12->ShellQuartet.AB,int_stack+0, int_stack+69698, int_stack+44786, 84);
     Libr12->te_ptr[0] = int_stack + 0;

}
