#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpdd(Libr12_t *, prim_data *);

  /* Computes (fp|dd) integrals for linear R12-methods */

void hrr_grt_order_fpdd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][2] = int_stack + 0;
 Libr12->t2vrr_classes[3][3] = int_stack + 60;
 Libr12->t2vrr_classes[3][4] = int_stack + 160;
 Libr12->gvrr_classes[5][2] = int_stack + 310;
 Libr12->t2vrr_classes[4][2] = int_stack + 436;
 Libr12->gvrr_classes[5][3] = int_stack + 526;
 Libr12->t2vrr_classes[4][3] = int_stack + 736;
 Libr12->t2vrr_classes[4][4] = int_stack + 886;
 Libr12->gvrr_classes[3][5] = int_stack + 1111;
 Libr12->t1vrr_classes[3][2] = int_stack + 1321;
 Libr12->t1vrr_classes[3][3] = int_stack + 1381;
 Libr12->t1vrr_classes[3][4] = int_stack + 1481;
 Libr12->t1vrr_classes[4][2] = int_stack + 1631;
 Libr12->t1vrr_classes[4][3] = int_stack + 1721;
 Libr12->t1vrr_classes[4][4] = int_stack + 1871;
 Libr12->rvrr_classes[3][2] = int_stack + 2096;
 Libr12->rvrr_classes[3][3] = int_stack + 2156;
 Libr12->rvrr_classes[3][4] = int_stack + 2256;
 Libr12->rvrr_classes[4][2] = int_stack + 2406;
 Libr12->rvrr_classes[4][3] = int_stack + 2496;
 Libr12->rvrr_classes[4][4] = int_stack + 2646;
 Libr12->gvrr_classes[3][2] = int_stack + 2871;
 Libr12->gvrr_classes[3][3] = int_stack + 2931;
 Libr12->gvrr_classes[3][4] = int_stack + 3031;
 Libr12->gvrr_classes[4][2] = int_stack + 3181;
 Libr12->gvrr_classes[4][3] = int_stack + 3271;
 Libr12->gvrr_classes[4][4] = int_stack + 3421;
 memset(int_stack,0,3646*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3646;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpdd(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+3646, int_stack+2931, int_stack+2871, 10);
 /*--- compute (g0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+3826, int_stack+3271, int_stack+3181, 15);
 /*--- compute (f0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+4096, int_stack+3031, int_stack+2931, 10);
 /*--- compute (f0|[r12,T2]|dp) ---*/
   t2hrr3_build_dp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4396, int_stack+60, int_stack+0, int_stack+2931, int_stack+3181, int_stack+2871, 3, 0);
 /*--- compute (f0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4576, int_stack+160, int_stack+60, int_stack+3031, int_stack+3271, int_stack+2931, 3, 0);
 /*--- compute (f0|[r12,T2]|dd) ---*/
   t2hrr3_build_dd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4876, int_stack+4576, int_stack+4396, int_stack+4096, int_stack+3826, int_stack+3646, 3, 0);
 /*--- compute (h0|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+4396, int_stack+526, int_stack+310, 21);
 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5236, int_stack+3421, int_stack+3271, 15);
 /*--- compute (g0|[r12,T2]|dp) ---*/
   t2hrr3_build_dp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+736, int_stack+436, int_stack+3271, int_stack+310, int_stack+3181, 4, 0);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5686, int_stack+886, int_stack+736, int_stack+3421, int_stack+526, int_stack+3271, 4, 0);
 /*--- compute (g0|[r12,T2]|dd) ---*/
   t2hrr3_build_dd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+270, int_stack+5686, int_stack+0, int_stack+5236, int_stack+4396, int_stack+3826, 4, 0);
 /*--- compute (f0|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+4396, int_stack+4096, int_stack+3646, 10);
 /*--- compute (f0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+5686, int_stack+1111, int_stack+3031, 10);
 /*--- compute (f0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+6136, int_stack+5686, int_stack+4096, 10);
 /*--- compute (g0|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+2871, int_stack+5236, int_stack+3826, 15);
 /*--- compute (f0|[r12,T1]|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+5236, int_stack+1381, int_stack+1321, 10);
 /*--- compute (f0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5416, int_stack+1481, int_stack+1381, 10);
 /*--- compute (f0|[r12,T1]|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+5716, int_stack+5416, int_stack+5236, 10);
 /*--- compute (g0|[r12,T1]|dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1721, int_stack+1631, 15);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5236, int_stack+1871, int_stack+1721, 15);
 /*--- compute (g0|[r12,T1]|dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+3411, int_stack+5236, int_stack+0, 15);
 /*--- compute (f0||dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2156, int_stack+2096, 10);
 /*--- compute (f0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5236, int_stack+2256, int_stack+2156, 10);
 /*--- compute (f0||dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+3951, int_stack+5236, int_stack+0, 10);
 /*--- compute (g0||dp) ---*/
   hrr3_build_dp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2496, int_stack+2406, 15);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+5236, int_stack+2646, int_stack+2496, 15);
 /*--- compute (g0||dd) ---*/
   hrr3_build_dd(Libr12->ShellQuartet.CD,int_stack+810, int_stack+5236, int_stack+0, 15);
 /*--- compute (fp|[r12,T2]|dd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+1350, int_stack+270, int_stack+4876, 36);
     Libr12->te_ptr[3] = int_stack + 1350;
 /*--- compute (fp|[r12,T1]|dd) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6736, int_stack+3411, int_stack+5716, int_stack+2871, int_stack+6136, int_stack+4396, 2, 2);
     Libr12->te_ptr[2] = int_stack + 6736;
 /*--- compute (fp||dd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+4756, int_stack+810, int_stack+3951, 36);
     Libr12->te_ptr[1] = int_stack + 4756;
 /*--- compute (fp|dd) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+2871, int_stack+4396, 36);
     Libr12->te_ptr[0] = int_stack + 0;

}
