#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpi0(Libr12_t *, prim_data *);

  /* Computes (fp|i0) integrals for linear R12-methods */

void hrr_grt_order_fpi0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 280;
 Libr12->gvrr_classes[3][7] = int_stack + 700;
 Libr12->t1vrr_classes[3][6] = int_stack + 1060;
 Libr12->t1vrr_classes[4][6] = int_stack + 1340;
 Libr12->rvrr_classes[3][6] = int_stack + 1760;
 Libr12->rvrr_classes[4][6] = int_stack + 2040;
 Libr12->gvrr_classes[3][6] = int_stack + 2460;
 Libr12->gvrr_classes[4][6] = int_stack + 2740;
 memset(int_stack,0,3160*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3160;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpi0(Libr12, Data);
   Data++;
 }

 /*--- compute (fp|[r12,T2]|i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+3160, int_stack+280, int_stack+0, 28);
     Libr12->te_ptr[3] = int_stack + 3160;
 /*--- compute (fp|[r12,T1]|i0) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4000, int_stack+1340, int_stack+1060, int_stack+2740, int_stack+700, int_stack+2460, 6, 0);
     Libr12->te_ptr[2] = int_stack + 4000;
 /*--- compute (fp||i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+2040, int_stack+1760, 28);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (fp|i0) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+840, int_stack+2740, int_stack+2460, 28);
     Libr12->te_ptr[0] = int_stack + 840;

}
