#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpid(Libr12_t *, prim_data *);

  /* Computes (fp|id) integrals for linear R12-methods */

void hrr_grt_order_fpid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->gvrr_classes[5][6] = int_stack + 1090;
 Libr12->t2vrr_classes[4][6] = int_stack + 1678;
 Libr12->gvrr_classes[5][7] = int_stack + 2098;
 Libr12->t2vrr_classes[4][7] = int_stack + 2854;
 Libr12->t2vrr_classes[4][8] = int_stack + 3394;
 Libr12->gvrr_classes[3][9] = int_stack + 4069;
 Libr12->t1vrr_classes[3][6] = int_stack + 4619;
 Libr12->t1vrr_classes[3][7] = int_stack + 4899;
 Libr12->t1vrr_classes[3][8] = int_stack + 5259;
 Libr12->t1vrr_classes[4][6] = int_stack + 5709;
 Libr12->t1vrr_classes[4][7] = int_stack + 6129;
 Libr12->t1vrr_classes[4][8] = int_stack + 6669;
 Libr12->rvrr_classes[3][6] = int_stack + 7344;
 Libr12->rvrr_classes[3][7] = int_stack + 7624;
 Libr12->rvrr_classes[3][8] = int_stack + 7984;
 Libr12->rvrr_classes[4][6] = int_stack + 8434;
 Libr12->rvrr_classes[4][7] = int_stack + 8854;
 Libr12->rvrr_classes[4][8] = int_stack + 9394;
 Libr12->gvrr_classes[3][6] = int_stack + 10069;
 Libr12->gvrr_classes[3][7] = int_stack + 10349;
 Libr12->gvrr_classes[3][8] = int_stack + 10709;
 Libr12->gvrr_classes[4][6] = int_stack + 11159;
 Libr12->gvrr_classes[4][7] = int_stack + 11579;
 Libr12->gvrr_classes[4][8] = int_stack + 12119;
 memset(int_stack,0,12794*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 12794;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpid(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12794, int_stack+10349, int_stack+10069, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13634, int_stack+11579, int_stack+11159, 15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+14894, int_stack+10709, int_stack+10349, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15974, int_stack+280, int_stack+0, int_stack+10349, int_stack+11159, int_stack+10069, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16814, int_stack+640, int_stack+280, int_stack+10709, int_stack+11579, int_stack+10349, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17894, int_stack+16814, int_stack+15974, int_stack+14894, int_stack+13634, int_stack+12794, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15974, int_stack+2098, int_stack+1090, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+19574, int_stack+12119, int_stack+11579, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21194, int_stack+2854, int_stack+1678, int_stack+11579, int_stack+1090, int_stack+11159, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3394, int_stack+2854, int_stack+12119, int_stack+2098, int_stack+11579, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22454, int_stack+0, int_stack+21194, int_stack+19574, int_stack+15974, int_stack+13634, 4, 0);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+15974, int_stack+14894, int_stack+12794, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4069, int_stack+10709, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1350, int_stack+0, int_stack+14894, 10);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10069, int_stack+19574, int_stack+13634, 15);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19574, int_stack+4899, int_stack+4619, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+20414, int_stack+5259, int_stack+4899, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3510, int_stack+20414, int_stack+19574, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19574, int_stack+6129, int_stack+5709, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+20834, int_stack+6669, int_stack+6129, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12589, int_stack+20834, int_stack+19574, 15);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19574, int_stack+7624, int_stack+7344, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+20414, int_stack+7984, int_stack+7624, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5190, int_stack+20414, int_stack+19574, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19574, int_stack+8854, int_stack+8434, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+20834, int_stack+9394, int_stack+8854, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6870, int_stack+20834, int_stack+19574, 15);
 /*--- compute (fp|[r12,T2]|id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+24974, int_stack+22454, int_stack+17894, 168);
     Libr12->te_ptr[3] = int_stack + 24974;
 /*--- compute (fp|[r12,T1]|id) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+17654, int_stack+12589, int_stack+3510, int_stack+10069, int_stack+1350, int_stack+15974, 6, 2);
     Libr12->te_ptr[2] = int_stack + 17654;
 /*--- compute (fp||id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+6870, int_stack+5190, 168);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+30014, int_stack+10069, int_stack+15974, 168);
     Libr12->te_ptr[0] = int_stack + 30014;

}
