#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpif(Libr12_t *, prim_data *);

  /* Computes (fp|if) integrals for linear R12-methods */

void hrr_grt_order_fpif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->gvrr_classes[5][6] = int_stack + 1640;
 Libr12->t2vrr_classes[4][6] = int_stack + 2228;
 Libr12->gvrr_classes[5][7] = int_stack + 2648;
 Libr12->t2vrr_classes[4][7] = int_stack + 3404;
 Libr12->gvrr_classes[5][8] = int_stack + 3944;
 Libr12->t2vrr_classes[4][8] = int_stack + 4889;
 Libr12->t2vrr_classes[4][9] = int_stack + 5564;
 Libr12->gvrr_classes[3][10] = int_stack + 6389;
 Libr12->t1vrr_classes[3][6] = int_stack + 7049;
 Libr12->t1vrr_classes[3][7] = int_stack + 7329;
 Libr12->t1vrr_classes[3][8] = int_stack + 7689;
 Libr12->t1vrr_classes[3][9] = int_stack + 8139;
 Libr12->t1vrr_classes[4][6] = int_stack + 8689;
 Libr12->t1vrr_classes[4][7] = int_stack + 9109;
 Libr12->t1vrr_classes[4][8] = int_stack + 9649;
 Libr12->t1vrr_classes[4][9] = int_stack + 10324;
 Libr12->rvrr_classes[3][6] = int_stack + 11149;
 Libr12->rvrr_classes[3][7] = int_stack + 11429;
 Libr12->rvrr_classes[3][8] = int_stack + 11789;
 Libr12->rvrr_classes[3][9] = int_stack + 12239;
 Libr12->rvrr_classes[4][6] = int_stack + 12789;
 Libr12->rvrr_classes[4][7] = int_stack + 13209;
 Libr12->rvrr_classes[4][8] = int_stack + 13749;
 Libr12->rvrr_classes[4][9] = int_stack + 14424;
 Libr12->gvrr_classes[3][6] = int_stack + 15249;
 Libr12->gvrr_classes[3][7] = int_stack + 15529;
 Libr12->gvrr_classes[3][8] = int_stack + 15889;
 Libr12->gvrr_classes[3][9] = int_stack + 16339;
 Libr12->gvrr_classes[4][6] = int_stack + 16889;
 Libr12->gvrr_classes[4][7] = int_stack + 17309;
 Libr12->gvrr_classes[4][8] = int_stack + 17849;
 Libr12->gvrr_classes[4][9] = int_stack + 18524;
 memset(int_stack,0,19349*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 19349;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpif(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19349, int_stack+15529, int_stack+15249, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+20189, int_stack+15889, int_stack+15529, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+21269, int_stack+20189, int_stack+19349, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+22949, int_stack+17309, int_stack+16889, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24209, int_stack+17849, int_stack+17309, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+25829, int_stack+24209, int_stack+22949, 15);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+28349, int_stack+16339, int_stack+15889, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+29699, int_stack+28349, int_stack+20189, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31859, int_stack+280, int_stack+0, int_stack+15529, int_stack+16889, int_stack+15249, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32699, int_stack+640, int_stack+280, int_stack+15889, int_stack+17309, int_stack+15529, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33779, int_stack+32699, int_stack+31859, int_stack+20189, int_stack+22949, int_stack+19349, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35459, int_stack+1090, int_stack+640, int_stack+16339, int_stack+17849, int_stack+15889, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36809, int_stack+35459, int_stack+32699, int_stack+28349, int_stack+24209, int_stack+20189, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38969, int_stack+36809, int_stack+33779, int_stack+29699, int_stack+25829, int_stack+21269, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19349, int_stack+2648, int_stack+1640, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+31859, int_stack+3944, int_stack+2648, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+34127, int_stack+31859, int_stack+19349, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+41769, int_stack+18524, int_stack+17849, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+43794, int_stack+41769, int_stack+24209, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37655, int_stack+3404, int_stack+2228, int_stack+17309, int_stack+1640, int_stack+16889, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4889, int_stack+3404, int_stack+17849, int_stack+2648, int_stack+17309, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47034, int_stack+0, int_stack+37655, int_stack+24209, int_stack+19349, int_stack+22949, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1620, int_stack+5564, int_stack+4889, int_stack+18524, int_stack+3944, int_stack+17849, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16889, int_stack+1620, int_stack+0, int_stack+41769, int_stack+31859, int_stack+24209, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+16889, int_stack+47034, int_stack+43794, int_stack+34127, int_stack+25829, 4, 0);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47034, int_stack+29699, int_stack+21269, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+16889, int_stack+6389, int_stack+16339, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+18539, int_stack+16889, int_stack+28349, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+21239, int_stack+18539, int_stack+29699, 10);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+28349, int_stack+43794, int_stack+25829, 15);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+32549, int_stack+7329, int_stack+7049, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+33389, int_stack+7689, int_stack+7329, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+34469, int_stack+33389, int_stack+32549, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+36149, int_stack+8139, int_stack+7689, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+24839, int_stack+36149, int_stack+33389, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+36149, int_stack+24839, int_stack+34469, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24839, int_stack+9109, int_stack+8689, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+26099, int_stack+9649, int_stack+9109, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+32549, int_stack+26099, int_stack+24839, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+41769, int_stack+10324, int_stack+9649, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+43794, int_stack+41769, int_stack+26099, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+43794, int_stack+32549, 15);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+32549, int_stack+11429, int_stack+11149, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+33389, int_stack+11789, int_stack+11429, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+34469, int_stack+33389, int_stack+32549, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+41769, int_stack+12239, int_stack+11789, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+43119, int_stack+41769, int_stack+33389, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+24839, int_stack+43119, int_stack+34469, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+41769, int_stack+13209, int_stack+12789, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+43029, int_stack+13749, int_stack+13209, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+32549, int_stack+43029, int_stack+41769, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+44649, int_stack+14424, int_stack+13749, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+8400, int_stack+44649, int_stack+43029, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+41769, int_stack+8400, int_stack+32549, 15);
 /*--- compute (fp|[r12,T2]|if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+8400, int_stack+0, int_stack+38969, 280);
     Libr12->te_ptr[3] = int_stack + 8400;
 /*--- compute (fp|[r12,T1]|if) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+49834, int_stack+4200, int_stack+36149, int_stack+28349, int_stack+21239, int_stack+47034, 6, 3);
     Libr12->te_ptr[2] = int_stack + 49834;
 /*--- compute (fp||if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+41769, int_stack+24839, 280);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (fp|if) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+32549, int_stack+28349, int_stack+47034, 280);
     Libr12->te_ptr[0] = int_stack + 32549;

}
