#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpig(Libr12_t *, prim_data *);

  /* Computes (fp|ig) integrals for linear R12-methods */

void hrr_grt_order_fpig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[3][10] = int_stack + 1640;
 Libr12->gvrr_classes[5][6] = int_stack + 2300;
 Libr12->t2vrr_classes[4][6] = int_stack + 2888;
 Libr12->gvrr_classes[5][7] = int_stack + 3308;
 Libr12->t2vrr_classes[4][7] = int_stack + 4064;
 Libr12->gvrr_classes[5][8] = int_stack + 4604;
 Libr12->t2vrr_classes[4][8] = int_stack + 5549;
 Libr12->gvrr_classes[5][9] = int_stack + 6224;
 Libr12->t2vrr_classes[4][9] = int_stack + 7379;
 Libr12->t2vrr_classes[4][10] = int_stack + 8204;
 Libr12->gvrr_classes[3][11] = int_stack + 9194;
 Libr12->t1vrr_classes[3][6] = int_stack + 9974;
 Libr12->t1vrr_classes[3][7] = int_stack + 10254;
 Libr12->t1vrr_classes[3][8] = int_stack + 10614;
 Libr12->t1vrr_classes[3][9] = int_stack + 11064;
 Libr12->t1vrr_classes[3][10] = int_stack + 11614;
 Libr12->t1vrr_classes[4][6] = int_stack + 12274;
 Libr12->t1vrr_classes[4][7] = int_stack + 12694;
 Libr12->t1vrr_classes[4][8] = int_stack + 13234;
 Libr12->t1vrr_classes[4][9] = int_stack + 13909;
 Libr12->t1vrr_classes[4][10] = int_stack + 14734;
 Libr12->rvrr_classes[3][6] = int_stack + 15724;
 Libr12->rvrr_classes[3][7] = int_stack + 16004;
 Libr12->rvrr_classes[3][8] = int_stack + 16364;
 Libr12->rvrr_classes[3][9] = int_stack + 16814;
 Libr12->rvrr_classes[3][10] = int_stack + 17364;
 Libr12->rvrr_classes[4][6] = int_stack + 18024;
 Libr12->rvrr_classes[4][7] = int_stack + 18444;
 Libr12->rvrr_classes[4][8] = int_stack + 18984;
 Libr12->rvrr_classes[4][9] = int_stack + 19659;
 Libr12->rvrr_classes[4][10] = int_stack + 20484;
 Libr12->gvrr_classes[3][6] = int_stack + 21474;
 Libr12->gvrr_classes[3][7] = int_stack + 21754;
 Libr12->gvrr_classes[3][8] = int_stack + 22114;
 Libr12->gvrr_classes[3][9] = int_stack + 22564;
 Libr12->gvrr_classes[3][10] = int_stack + 23114;
 Libr12->gvrr_classes[4][6] = int_stack + 23774;
 Libr12->gvrr_classes[4][7] = int_stack + 24194;
 Libr12->gvrr_classes[4][8] = int_stack + 24734;
 Libr12->gvrr_classes[4][9] = int_stack + 25409;
 Libr12->gvrr_classes[4][10] = int_stack + 26234;
 memset(int_stack,0,27224*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 27224;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpig(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27224, int_stack+21754, int_stack+21474, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28064, int_stack+22114, int_stack+21754, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+29144, int_stack+28064, int_stack+27224, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+30824, int_stack+22564, int_stack+22114, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+32174, int_stack+30824, int_stack+28064, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+34334, int_stack+32174, int_stack+29144, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37134, int_stack+24194, int_stack+23774, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+38394, int_stack+24734, int_stack+24194, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+40014, int_stack+38394, int_stack+37134, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+42534, int_stack+25409, int_stack+24734, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+44559, int_stack+42534, int_stack+38394, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47799, int_stack+44559, int_stack+40014, 15);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+51999, int_stack+23114, int_stack+22564, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+53649, int_stack+51999, int_stack+30824, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+56349, int_stack+53649, int_stack+32174, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59949, int_stack+280, int_stack+0, int_stack+21754, int_stack+23774, int_stack+21474, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60789, int_stack+640, int_stack+280, int_stack+22114, int_stack+24194, int_stack+21754, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+61869, int_stack+60789, int_stack+59949, int_stack+28064, int_stack+37134, int_stack+27224, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+63549, int_stack+1090, int_stack+640, int_stack+22564, int_stack+24734, int_stack+22114, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64899, int_stack+63549, int_stack+60789, int_stack+30824, int_stack+38394, int_stack+28064, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67059, int_stack+64899, int_stack+61869, int_stack+32174, int_stack+40014, int_stack+29144, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27224, int_stack+1640, int_stack+1090, int_stack+23114, int_stack+25409, int_stack+22564, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59949, int_stack+27224, int_stack+63549, int_stack+51999, int_stack+42534, int_stack+30824, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27224, int_stack+59949, int_stack+64899, int_stack+53649, int_stack+44559, int_stack+32174, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59949, int_stack+27224, int_stack+67059, int_stack+56349, int_stack+47799, int_stack+34334, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27224, int_stack+3308, int_stack+2300, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28988, int_stack+4604, int_stack+3308, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+64149, int_stack+28988, int_stack+27224, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+31256, int_stack+6224, int_stack+4604, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+67677, int_stack+31256, int_stack+28988, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+72213, int_stack+67677, int_stack+64149, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+78093, int_stack+26234, int_stack+25409, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+80568, int_stack+78093, int_stack+42534, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+84618, int_stack+80568, int_stack+44559, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21474, int_stack+4064, int_stack+2888, int_stack+24194, int_stack+2300, int_stack+23774, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5549, int_stack+4064, int_stack+24734, int_stack+3308, int_stack+24194, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1620, int_stack+0, int_stack+21474, int_stack+38394, int_stack+27224, int_stack+37134, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90018, int_stack+7379, int_stack+5549, int_stack+25409, int_stack+4604, int_stack+24734, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92043, int_stack+90018, int_stack+0, int_stack+42534, int_stack+28988, int_stack+38394, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95283, int_stack+92043, int_stack+1620, int_stack+44559, int_stack+64149, int_stack+40014, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64149, int_stack+8204, int_stack+7379, int_stack+26234, int_stack+6224, int_stack+25409, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+64149, int_stack+90018, int_stack+78093, int_stack+31256, int_stack+42534, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37134, int_stack+0, int_stack+92043, int_stack+80568, int_stack+67677, int_stack+44559, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+37134, int_stack+95283, int_stack+84618, int_stack+72213, int_stack+47799, 4, 0);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+37134, int_stack+56349, int_stack+34334, 10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+41334, int_stack+9194, int_stack+23114, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+43314, int_stack+41334, int_stack+51999, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+90018, int_stack+43314, int_stack+53649, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+41334, int_stack+90018, int_stack+56349, 10);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+90018, int_stack+84618, int_stack+47799, 15);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+96318, int_stack+10254, int_stack+9974, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+97158, int_stack+10614, int_stack+10254, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+98238, int_stack+97158, int_stack+96318, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+46734, int_stack+11064, int_stack+10614, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+48084, int_stack+46734, int_stack+97158, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+50244, int_stack+48084, int_stack+98238, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+96318, int_stack+11614, int_stack+11064, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+53044, int_stack+96318, int_stack+46734, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+96318, int_stack+53044, int_stack+48084, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+53044, int_stack+96318, int_stack+50244, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+96318, int_stack+12694, int_stack+12274, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+97578, int_stack+13234, int_stack+12694, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+57244, int_stack+97578, int_stack+96318, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+46734, int_stack+13909, int_stack+13234, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+48759, int_stack+46734, int_stack+97578, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+48759, int_stack+57244, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+57244, int_stack+14734, int_stack+13909, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10500, int_stack+57244, int_stack+46734, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+64149, int_stack+10500, int_stack+48759, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+46734, int_stack+64149, int_stack+6300, 15);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+16004, int_stack+15724, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7140, int_stack+16364, int_stack+16004, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8220, int_stack+7140, int_stack+6300, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+9900, int_stack+16814, int_stack+16364, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+11250, int_stack+9900, int_stack+7140, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+13410, int_stack+11250, int_stack+8220, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+17364, int_stack+16814, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+64149, int_stack+6300, int_stack+9900, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+64149, int_stack+11250, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+64149, int_stack+6300, int_stack+13410, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+18444, int_stack+18024, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+18984, int_stack+18444, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+9180, int_stack+7560, int_stack+6300, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+11700, int_stack+19659, int_stack+18984, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13725, int_stack+11700, int_stack+7560, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+68349, int_stack+13725, int_stack+9180, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+20484, int_stack+19659, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+16965, int_stack+6300, int_stack+11700, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+16965, int_stack+13725, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+11700, int_stack+6300, int_stack+68349, 15);
 /*--- compute (fp|[r12,T2]|ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+68349, int_stack+0, int_stack+59949, 420);
     Libr12->te_ptr[3] = int_stack + 68349;
 /*--- compute (fp|[r12,T1]|ig) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+18000, int_stack+46734, int_stack+53044, int_stack+90018, int_stack+41334, int_stack+37134, 6, 4);
     Libr12->te_ptr[2] = int_stack + 18000;
 /*--- compute (fp||ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+41334, int_stack+11700, int_stack+64149, 420);
     Libr12->te_ptr[1] = int_stack + 41334;
 /*--- compute (fp|ig) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+53934, int_stack+90018, int_stack+37134, 420);
     Libr12->te_ptr[0] = int_stack + 53934;

}
