#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpih(Libr12_t *, prim_data *);

  /* Computes (fp|ih) integrals for linear R12-methods */

void hrr_grt_order_fpih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[3][10] = int_stack + 1640;
 Libr12->t2vrr_classes[3][11] = int_stack + 2300;
 Libr12->gvrr_classes[5][6] = int_stack + 3080;
 Libr12->t2vrr_classes[4][6] = int_stack + 3668;
 Libr12->gvrr_classes[5][7] = int_stack + 4088;
 Libr12->t2vrr_classes[4][7] = int_stack + 4844;
 Libr12->gvrr_classes[5][8] = int_stack + 5384;
 Libr12->t2vrr_classes[4][8] = int_stack + 6329;
 Libr12->gvrr_classes[5][9] = int_stack + 7004;
 Libr12->t2vrr_classes[4][9] = int_stack + 8159;
 Libr12->gvrr_classes[5][10] = int_stack + 8984;
 Libr12->t2vrr_classes[4][10] = int_stack + 10370;
 Libr12->t2vrr_classes[4][11] = int_stack + 11360;
 Libr12->gvrr_classes[3][12] = int_stack + 12530;
 Libr12->t1vrr_classes[3][6] = int_stack + 13440;
 Libr12->t1vrr_classes[3][7] = int_stack + 13720;
 Libr12->t1vrr_classes[3][8] = int_stack + 14080;
 Libr12->t1vrr_classes[3][9] = int_stack + 14530;
 Libr12->t1vrr_classes[3][10] = int_stack + 15080;
 Libr12->t1vrr_classes[3][11] = int_stack + 15740;
 Libr12->t1vrr_classes[4][6] = int_stack + 16520;
 Libr12->t1vrr_classes[4][7] = int_stack + 16940;
 Libr12->t1vrr_classes[4][8] = int_stack + 17480;
 Libr12->t1vrr_classes[4][9] = int_stack + 18155;
 Libr12->t1vrr_classes[4][10] = int_stack + 18980;
 Libr12->t1vrr_classes[4][11] = int_stack + 19970;
 Libr12->rvrr_classes[3][6] = int_stack + 21140;
 Libr12->rvrr_classes[3][7] = int_stack + 21420;
 Libr12->rvrr_classes[3][8] = int_stack + 21780;
 Libr12->rvrr_classes[3][9] = int_stack + 22230;
 Libr12->rvrr_classes[3][10] = int_stack + 22780;
 Libr12->rvrr_classes[3][11] = int_stack + 23440;
 Libr12->rvrr_classes[4][6] = int_stack + 24220;
 Libr12->rvrr_classes[4][7] = int_stack + 24640;
 Libr12->rvrr_classes[4][8] = int_stack + 25180;
 Libr12->rvrr_classes[4][9] = int_stack + 25855;
 Libr12->rvrr_classes[4][10] = int_stack + 26680;
 Libr12->rvrr_classes[4][11] = int_stack + 27670;
 Libr12->gvrr_classes[3][6] = int_stack + 28840;
 Libr12->gvrr_classes[3][7] = int_stack + 29120;
 Libr12->gvrr_classes[3][8] = int_stack + 29480;
 Libr12->gvrr_classes[3][9] = int_stack + 29930;
 Libr12->gvrr_classes[3][10] = int_stack + 30480;
 Libr12->gvrr_classes[3][11] = int_stack + 31140;
 Libr12->gvrr_classes[4][6] = int_stack + 31920;
 Libr12->gvrr_classes[4][7] = int_stack + 32340;
 Libr12->gvrr_classes[4][8] = int_stack + 32880;
 Libr12->gvrr_classes[4][9] = int_stack + 33555;
 Libr12->gvrr_classes[4][10] = int_stack + 34380;
 Libr12->gvrr_classes[4][11] = int_stack + 35370;
 memset(int_stack,0,36540*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 36540;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpih(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36540, int_stack+29120, int_stack+28840, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+37380, int_stack+29480, int_stack+29120, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+38460, int_stack+37380, int_stack+36540, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+40140, int_stack+29930, int_stack+29480, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+41490, int_stack+40140, int_stack+37380, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+43650, int_stack+41490, int_stack+38460, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+46450, int_stack+30480, int_stack+29930, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+48100, int_stack+46450, int_stack+40140, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+50800, int_stack+48100, int_stack+41490, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+54400, int_stack+50800, int_stack+43650, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+58600, int_stack+32340, int_stack+31920, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+59860, int_stack+32880, int_stack+32340, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61480, int_stack+59860, int_stack+58600, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+64000, int_stack+33555, int_stack+32880, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+66025, int_stack+64000, int_stack+59860, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+69265, int_stack+66025, int_stack+61480, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+73465, int_stack+34380, int_stack+33555, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+75940, int_stack+73465, int_stack+64000, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+79990, int_stack+75940, int_stack+66025, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+85390, int_stack+79990, int_stack+69265, 15);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+91690, int_stack+31140, int_stack+30480, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+93670, int_stack+91690, int_stack+46450, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+96970, int_stack+93670, int_stack+48100, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+101470, int_stack+96970, int_stack+50800, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+106870, int_stack+280, int_stack+0, int_stack+29120, int_stack+31920, int_stack+28840, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+107710, int_stack+640, int_stack+280, int_stack+29480, int_stack+32340, int_stack+29120, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108790, int_stack+107710, int_stack+106870, int_stack+37380, int_stack+58600, int_stack+36540, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+110470, int_stack+1090, int_stack+640, int_stack+29930, int_stack+32880, int_stack+29480, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+111820, int_stack+110470, int_stack+107710, int_stack+40140, int_stack+59860, int_stack+37380, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+113980, int_stack+111820, int_stack+108790, int_stack+41490, int_stack+61480, int_stack+38460, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36540, int_stack+1640, int_stack+1090, int_stack+30480, int_stack+33555, int_stack+29930, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+106870, int_stack+36540, int_stack+110470, int_stack+46450, int_stack+64000, int_stack+40140, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+116780, int_stack+106870, int_stack+111820, int_stack+48100, int_stack+66025, int_stack+41490, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38190, int_stack+116780, int_stack+113980, int_stack+50800, int_stack+69265, int_stack+43650, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42390, int_stack+2300, int_stack+1640, int_stack+31140, int_stack+34380, int_stack+30480, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+109570, int_stack+42390, int_stack+36540, int_stack+91690, int_stack+73465, int_stack+46450, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42390, int_stack+109570, int_stack+106870, int_stack+93670, int_stack+75940, int_stack+48100, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+106870, int_stack+42390, int_stack+116780, int_stack+96970, int_stack+79990, int_stack+50800, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42390, int_stack+106870, int_stack+38190, int_stack+101470, int_stack+85390, int_stack+54400, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+106870, int_stack+4088, int_stack+3080, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+108634, int_stack+5384, int_stack+4088, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+110902, int_stack+108634, int_stack+106870, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+114430, int_stack+7004, int_stack+5384, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+48270, int_stack+114430, int_stack+108634, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+117265, int_stack+48270, int_stack+110902, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+36540, int_stack+8984, int_stack+7004, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+123145, int_stack+36540, int_stack+114430, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+128815, int_stack+123145, int_stack+48270, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+136375, int_stack+128815, int_stack+117265, 21);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+35370, int_stack+34380, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+145195, int_stack+0, int_stack+73465, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+150145, int_stack+145195, int_stack+75940, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+156895, int_stack+150145, int_stack+79990, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52806, int_stack+4844, int_stack+3668, int_stack+32340, int_stack+3080, int_stack+31920, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40005, int_stack+6329, int_stack+4844, int_stack+32880, int_stack+4088, int_stack+32340, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+164995, int_stack+40005, int_stack+52806, int_stack+59860, int_stack+106870, int_stack+58600, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28840, int_stack+8159, int_stack+6329, int_stack+33555, int_stack+5384, int_stack+32880, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2970, int_stack+28840, int_stack+40005, int_stack+64000, int_stack+108634, int_stack+59860, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+167515, int_stack+2970, int_stack+164995, int_stack+66025, int_stack+110902, int_stack+61480, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+164995, int_stack+10370, int_stack+8159, int_stack+34380, int_stack+7004, int_stack+33555, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58600, int_stack+164995, int_stack+28840, int_stack+73465, int_stack+114430, int_stack+64000, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+106870, int_stack+58600, int_stack+2970, int_stack+75940, int_stack+48270, int_stack+66025, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62650, int_stack+106870, int_stack+167515, int_stack+79990, int_stack+117265, int_stack+69265, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48270, int_stack+11360, int_stack+10370, int_stack+35370, int_stack+8984, int_stack+34380, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2970, int_stack+48270, int_stack+164995, int_stack+0, int_stack+36540, int_stack+73465, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+164995, int_stack+2970, int_stack+58600, int_stack+145195, int_stack+123145, int_stack+75940, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+164995, int_stack+106870, int_stack+150145, int_stack+128815, int_stack+79990, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+106870, int_stack+0, int_stack+62650, int_stack+156895, int_stack+136375, int_stack+85390, 4, 0);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+101470, int_stack+54400, 10);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+12530, int_stack+31140, 10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+8220, int_stack+5880, int_stack+91690, 10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+115690, int_stack+8220, int_stack+93670, 10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+115690, int_stack+96970, 10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+115690, int_stack+5880, int_stack+101470, 10);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+123250, int_stack+156895, int_stack+85390, 15);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+13720, int_stack+13440, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+6720, int_stack+14080, int_stack+13720, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7800, int_stack+6720, int_stack+5880, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+9480, int_stack+14530, int_stack+14080, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10830, int_stack+9480, int_stack+6720, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+132070, int_stack+10830, int_stack+7800, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+15080, int_stack+14530, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+134870, int_stack+5880, int_stack+9480, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+137570, int_stack+134870, int_stack+10830, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+7530, int_stack+137570, int_stack+132070, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+132070, int_stack+15740, int_stack+15080, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+11730, int_stack+132070, int_stack+5880, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+141170, int_stack+11730, int_stack+134870, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+132070, int_stack+141170, int_stack+137570, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+137470, int_stack+132070, int_stack+7530, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+132070, int_stack+16940, int_stack+16520, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+133330, int_stack+17480, int_stack+16940, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+134950, int_stack+133330, int_stack+132070, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+18155, int_stack+17480, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+7905, int_stack+5880, int_stack+133330, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+11145, int_stack+7905, int_stack+134950, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+132070, int_stack+18980, int_stack+18155, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+143350, int_stack+132070, int_stack+5880, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+147400, int_stack+143350, int_stack+7905, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+152800, int_stack+147400, int_stack+11145, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+19970, int_stack+18980, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+8850, int_stack+5880, int_stack+132070, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+13800, int_stack+8850, int_stack+143350, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+159100, int_stack+13800, int_stack+147400, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+143350, int_stack+159100, int_stack+152800, 15);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+152170, int_stack+21420, int_stack+21140, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+153010, int_stack+21780, int_stack+21420, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+154090, int_stack+153010, int_stack+152170, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+155770, int_stack+22230, int_stack+21780, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+157120, int_stack+155770, int_stack+153010, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+159280, int_stack+157120, int_stack+154090, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+152170, int_stack+22780, int_stack+22230, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+162080, int_stack+152170, int_stack+155770, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+164780, int_stack+162080, int_stack+157120, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+153820, int_stack+164780, int_stack+159280, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+158020, int_stack+23440, int_stack+22780, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+168380, int_stack+158020, int_stack+152170, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+132070, int_stack+168380, int_stack+162080, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+158020, int_stack+132070, int_stack+164780, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+163420, int_stack+158020, int_stack+153820, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+132070, int_stack+24640, int_stack+24220, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+133330, int_stack+25180, int_stack+24640, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+134950, int_stack+133330, int_stack+132070, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+152170, int_stack+25855, int_stack+25180, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+154195, int_stack+152170, int_stack+133330, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+157435, int_stack+154195, int_stack+134950, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+132070, int_stack+26680, int_stack+25855, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+132070, int_stack+152170, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+9930, int_stack+5880, int_stack+154195, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+15330, int_stack+9930, int_stack+157435, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+152170, int_stack+27670, int_stack+26680, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+155140, int_stack+152170, int_stack+132070, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+21630, int_stack+155140, int_stack+5880, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+152170, int_stack+21630, int_stack+9930, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+21630, int_stack+152170, int_stack+15330, 15);
 /*--- compute (fp|[r12,T2]|ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+48270, int_stack+106870, int_stack+42390, 588);
     Libr12->te_ptr[3] = int_stack + 48270;
 /*--- compute (fp|[r12,T1]|ih) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+30450, int_stack+143350, int_stack+137470, int_stack+123250, int_stack+115690, int_stack+0, 6, 5);
     Libr12->te_ptr[2] = int_stack + 30450;
 /*--- compute (fp||ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+132070, int_stack+21630, int_stack+163420, 588);
     Libr12->te_ptr[1] = int_stack + 132070;
 /*--- compute (fp|ih) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+5880, int_stack+123250, int_stack+0, 588);
     Libr12->te_ptr[0] = int_stack + 5880;

}
