#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpii(Libr12_t *, prim_data *);

  /* Computes (fp|ii) integrals for linear R12-methods */

void hrr_grt_order_fpii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->t2vrr_classes[3][8] = int_stack + 640;
 Libr12->t2vrr_classes[3][9] = int_stack + 1090;
 Libr12->t2vrr_classes[3][10] = int_stack + 1640;
 Libr12->t2vrr_classes[3][11] = int_stack + 2300;
 Libr12->t2vrr_classes[3][12] = int_stack + 3080;
 Libr12->gvrr_classes[5][6] = int_stack + 3990;
 Libr12->t2vrr_classes[4][6] = int_stack + 4578;
 Libr12->gvrr_classes[5][7] = int_stack + 4998;
 Libr12->t2vrr_classes[4][7] = int_stack + 5754;
 Libr12->gvrr_classes[5][8] = int_stack + 6294;
 Libr12->t2vrr_classes[4][8] = int_stack + 7239;
 Libr12->gvrr_classes[5][9] = int_stack + 7914;
 Libr12->t2vrr_classes[4][9] = int_stack + 9069;
 Libr12->gvrr_classes[5][10] = int_stack + 9894;
 Libr12->t2vrr_classes[4][10] = int_stack + 11280;
 Libr12->gvrr_classes[5][11] = int_stack + 12270;
 Libr12->t2vrr_classes[4][11] = int_stack + 13908;
 Libr12->t2vrr_classes[4][12] = int_stack + 15078;
 Libr12->gvrr_classes[3][13] = int_stack + 16443;
 Libr12->t1vrr_classes[3][6] = int_stack + 17493;
 Libr12->t1vrr_classes[3][7] = int_stack + 17773;
 Libr12->t1vrr_classes[3][8] = int_stack + 18133;
 Libr12->t1vrr_classes[3][9] = int_stack + 18583;
 Libr12->t1vrr_classes[3][10] = int_stack + 19133;
 Libr12->t1vrr_classes[3][11] = int_stack + 19793;
 Libr12->t1vrr_classes[3][12] = int_stack + 20573;
 Libr12->t1vrr_classes[4][6] = int_stack + 21483;
 Libr12->t1vrr_classes[4][7] = int_stack + 21903;
 Libr12->t1vrr_classes[4][8] = int_stack + 22443;
 Libr12->t1vrr_classes[4][9] = int_stack + 23118;
 Libr12->t1vrr_classes[4][10] = int_stack + 23943;
 Libr12->t1vrr_classes[4][11] = int_stack + 24933;
 Libr12->t1vrr_classes[4][12] = int_stack + 26103;
 Libr12->rvrr_classes[3][6] = int_stack + 27468;
 Libr12->rvrr_classes[3][7] = int_stack + 27748;
 Libr12->rvrr_classes[3][8] = int_stack + 28108;
 Libr12->rvrr_classes[3][9] = int_stack + 28558;
 Libr12->rvrr_classes[3][10] = int_stack + 29108;
 Libr12->rvrr_classes[3][11] = int_stack + 29768;
 Libr12->rvrr_classes[3][12] = int_stack + 30548;
 Libr12->rvrr_classes[4][6] = int_stack + 31458;
 Libr12->rvrr_classes[4][7] = int_stack + 31878;
 Libr12->rvrr_classes[4][8] = int_stack + 32418;
 Libr12->rvrr_classes[4][9] = int_stack + 33093;
 Libr12->rvrr_classes[4][10] = int_stack + 33918;
 Libr12->rvrr_classes[4][11] = int_stack + 34908;
 Libr12->rvrr_classes[4][12] = int_stack + 36078;
 Libr12->gvrr_classes[3][6] = int_stack + 37443;
 Libr12->gvrr_classes[3][7] = int_stack + 37723;
 Libr12->gvrr_classes[3][8] = int_stack + 38083;
 Libr12->gvrr_classes[3][9] = int_stack + 38533;
 Libr12->gvrr_classes[3][10] = int_stack + 39083;
 Libr12->gvrr_classes[3][11] = int_stack + 39743;
 Libr12->gvrr_classes[3][12] = int_stack + 40523;
 Libr12->gvrr_classes[4][6] = int_stack + 41433;
 Libr12->gvrr_classes[4][7] = int_stack + 41853;
 Libr12->gvrr_classes[4][8] = int_stack + 42393;
 Libr12->gvrr_classes[4][9] = int_stack + 43068;
 Libr12->gvrr_classes[4][10] = int_stack + 43893;
 Libr12->gvrr_classes[4][11] = int_stack + 44883;
 Libr12->gvrr_classes[4][12] = int_stack + 46053;
 memset(int_stack,0,47418*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 47418;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpii(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+47418, int_stack+37723, int_stack+37443, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+48258, int_stack+38083, int_stack+37723, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+49338, int_stack+48258, int_stack+47418, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+51018, int_stack+38533, int_stack+38083, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+52368, int_stack+51018, int_stack+48258, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+54528, int_stack+52368, int_stack+49338, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+57328, int_stack+39083, int_stack+38533, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+58978, int_stack+57328, int_stack+51018, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+61678, int_stack+58978, int_stack+52368, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+65278, int_stack+61678, int_stack+54528, 10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+69478, int_stack+39743, int_stack+39083, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+71458, int_stack+69478, int_stack+57328, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+74758, int_stack+71458, int_stack+58978, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+79258, int_stack+74758, int_stack+61678, 10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+84658, int_stack+79258, int_stack+65278, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+90538, int_stack+41853, int_stack+41433, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+91798, int_stack+42393, int_stack+41853, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+93418, int_stack+91798, int_stack+90538, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+95938, int_stack+43068, int_stack+42393, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+97963, int_stack+95938, int_stack+91798, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+101203, int_stack+97963, int_stack+93418, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+105403, int_stack+43893, int_stack+43068, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+107878, int_stack+105403, int_stack+95938, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+111928, int_stack+107878, int_stack+97963, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+117328, int_stack+111928, int_stack+101203, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+123628, int_stack+44883, int_stack+43893, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+126598, int_stack+123628, int_stack+105403, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+131548, int_stack+126598, int_stack+107878, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+138298, int_stack+131548, int_stack+111928, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+146398, int_stack+138298, int_stack+117328, 15);
 /*--- compute (f0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+155218, int_stack+40523, int_stack+39743, 10);
 /*--- compute (f0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+157558, int_stack+155218, int_stack+69478, 10);
 /*--- compute (f0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+161518, int_stack+157558, int_stack+71458, 10);
 /*--- compute (f0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+167018, int_stack+161518, int_stack+74758, 10);
 /*--- compute (f0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+173768, int_stack+167018, int_stack+79258, 10);
 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181328, int_stack+280, int_stack+0, int_stack+37723, int_stack+41433, int_stack+37443, 3, 0);
 /*--- compute (f0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182168, int_stack+640, int_stack+280, int_stack+38083, int_stack+41853, int_stack+37723, 3, 0);
 /*--- compute (f0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+183248, int_stack+182168, int_stack+181328, int_stack+48258, int_stack+90538, int_stack+47418, 3, 0);
 /*--- compute (f0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184928, int_stack+1090, int_stack+640, int_stack+38533, int_stack+42393, int_stack+38083, 3, 0);
 /*--- compute (f0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+186278, int_stack+184928, int_stack+182168, int_stack+51018, int_stack+91798, int_stack+48258, 3, 0);
 /*--- compute (f0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+188438, int_stack+186278, int_stack+183248, int_stack+52368, int_stack+93418, int_stack+49338, 3, 0);
 /*--- compute (f0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47418, int_stack+1640, int_stack+1090, int_stack+39083, int_stack+43068, int_stack+38533, 3, 0);
 /*--- compute (f0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181328, int_stack+47418, int_stack+184928, int_stack+57328, int_stack+95938, int_stack+51018, 3, 0);
 /*--- compute (f0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+191238, int_stack+181328, int_stack+186278, int_stack+58978, int_stack+97963, int_stack+52368, 3, 0);
 /*--- compute (f0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49068, int_stack+191238, int_stack+188438, int_stack+61678, int_stack+101203, int_stack+54528, 3, 0);
 /*--- compute (f0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53268, int_stack+2300, int_stack+1640, int_stack+39743, int_stack+43893, int_stack+39083, 3, 0);
 /*--- compute (f0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184028, int_stack+53268, int_stack+47418, int_stack+69478, int_stack+105403, int_stack+57328, 3, 0);
 /*--- compute (f0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+194838, int_stack+184028, int_stack+181328, int_stack+71458, int_stack+107878, int_stack+58978, 3, 0);
 /*--- compute (f0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55248, int_stack+194838, int_stack+191238, int_stack+74758, int_stack+111928, int_stack+61678, 3, 0);
 /*--- compute (f0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187328, int_stack+55248, int_stack+49068, int_stack+79258, int_stack+117328, int_stack+65278, 3, 0);
 /*--- compute (f0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181328, int_stack+3080, int_stack+2300, int_stack+40523, int_stack+44883, int_stack+39743, 3, 0);
 /*--- compute (f0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47418, int_stack+181328, int_stack+53268, int_stack+155218, int_stack+123628, int_stack+69478, 3, 0);
 /*--- compute (f0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60648, int_stack+47418, int_stack+184028, int_stack+157558, int_stack+126598, int_stack+71458, 3, 0);
 /*--- compute (f0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47418, int_stack+60648, int_stack+194838, int_stack+161518, int_stack+131548, int_stack+74758, 3, 0);
 /*--- compute (f0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60648, int_stack+47418, int_stack+55248, int_stack+167018, int_stack+138298, int_stack+79258, 3, 0);
 /*--- compute (f0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47418, int_stack+60648, int_stack+187328, int_stack+173768, int_stack+146398, int_stack+84658, 3, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55258, int_stack+4998, int_stack+3990, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+57022, int_stack+6294, int_stack+4998, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+59290, int_stack+57022, int_stack+55258, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+62818, int_stack+7914, int_stack+6294, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+65653, int_stack+62818, int_stack+57022, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+70189, int_stack+65653, int_stack+59290, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+76069, int_stack+9894, int_stack+7914, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+181328, int_stack+76069, int_stack+62818, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+186998, int_stack+181328, int_stack+65653, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+194558, int_stack+186998, int_stack+70189, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+79534, int_stack+12270, int_stack+9894, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+203378, int_stack+79534, int_stack+76069, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+210308, int_stack+203378, int_stack+181328, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+219758, int_stack+210308, int_stack+186998, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+231098, int_stack+219758, int_stack+194558, 21);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+46053, int_stack+44883, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+243446, int_stack+0, int_stack+123628, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+249386, int_stack+243446, int_stack+126598, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+257636, int_stack+249386, int_stack+131548, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+267761, int_stack+257636, int_stack+138298, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37443, int_stack+5754, int_stack+4578, int_stack+41853, int_stack+3990, int_stack+41433, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38703, int_stack+7239, int_stack+5754, int_stack+42393, int_stack+4998, int_stack+41853, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3510, int_stack+38703, int_stack+37443, int_stack+91798, int_stack+55258, int_stack+90538, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+279101, int_stack+9069, int_stack+7239, int_stack+43068, int_stack+6294, int_stack+42393, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+281126, int_stack+279101, int_stack+38703, int_stack+95938, int_stack+57022, int_stack+91798, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+284366, int_stack+281126, int_stack+3510, int_stack+97963, int_stack+59290, int_stack+93418, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3510, int_stack+11280, int_stack+9069, int_stack+43893, int_stack+7914, int_stack+43068, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90538, int_stack+3510, int_stack+279101, int_stack+105403, int_stack+62818, int_stack+95938, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55258, int_stack+90538, int_stack+281126, int_stack+107878, int_stack+65653, int_stack+97963, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94588, int_stack+55258, int_stack+284366, int_stack+111928, int_stack+70189, int_stack+101203, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+279101, int_stack+13908, int_stack+11280, int_stack+44883, int_stack+9894, int_stack+43893, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+282071, int_stack+279101, int_stack+3510, int_stack+123628, int_stack+76069, int_stack+105403, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3510, int_stack+282071, int_stack+90538, int_stack+126598, int_stack+181328, int_stack+107878, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100888, int_stack+3510, int_stack+55258, int_stack+131548, int_stack+186998, int_stack+111928, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55258, int_stack+100888, int_stack+94588, int_stack+138298, int_stack+194558, int_stack+117328, 4, 0);
 /*--- compute (g0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64078, int_stack+15078, int_stack+13908, int_stack+46053, int_stack+12270, int_stack+44883, 4, 0);
 /*--- compute (g0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67588, int_stack+64078, int_stack+279101, int_stack+0, int_stack+79534, int_stack+123628, 4, 0);
 /*--- compute (g0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73528, int_stack+67588, int_stack+282071, int_stack+243446, int_stack+203378, int_stack+126598, 4, 0);
 /*--- compute (g0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181328, int_stack+73528, int_stack+3510, int_stack+249386, int_stack+210308, int_stack+131548, 4, 0);
 /*--- compute (g0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+243446, int_stack+181328, int_stack+100888, int_stack+257636, int_stack+219758, int_stack+138298, 4, 0);
 /*--- compute (g0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181328, int_stack+243446, int_stack+55258, int_stack+267761, int_stack+231098, int_stack+146398, 4, 0);
 /*--- compute (f0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+55258, int_stack+173768, int_stack+84658, 10);
 /*--- compute (f0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+63098, int_stack+16443, int_stack+40523, 10);
 /*--- compute (f0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+65828, int_stack+63098, int_stack+155218, 10);
 /*--- compute (f0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+70508, int_stack+65828, int_stack+157558, 10);
 /*--- compute (f0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+77108, int_stack+70508, int_stack+161518, 10);
 /*--- compute (f0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+155218, int_stack+77108, int_stack+167018, 10);
 /*--- compute (f0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+63098, int_stack+155218, int_stack+173768, 10);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+155218, int_stack+267761, int_stack+146398, 15);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+166978, int_stack+17773, int_stack+17493, 10);
 /*--- compute (f0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+167818, int_stack+18133, int_stack+17773, 10);
 /*--- compute (f0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+168898, int_stack+167818, int_stack+166978, 10);
 /*--- compute (f0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+170578, int_stack+18583, int_stack+18133, 10);
 /*--- compute (f0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+171928, int_stack+170578, int_stack+167818, 10);
 /*--- compute (f0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+174088, int_stack+171928, int_stack+168898, 10);
 /*--- compute (f0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+166978, int_stack+19133, int_stack+18583, 10);
 /*--- compute (f0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+176888, int_stack+166978, int_stack+170578, 10);
 /*--- compute (f0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+73178, int_stack+176888, int_stack+171928, 10);
 /*--- compute (f0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+168628, int_stack+73178, int_stack+174088, 10);
 /*--- compute (f0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+172828, int_stack+19793, int_stack+19133, 10);
 /*--- compute (f0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+76778, int_stack+172828, int_stack+166978, 10);
 /*--- compute (f0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+80078, int_stack+76778, int_stack+176888, 10);
 /*--- compute (f0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+174808, int_stack+80078, int_stack+73178, 10);
 /*--- compute (f0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+84578, int_stack+174808, int_stack+168628, 10);
 /*--- compute (f0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+73178, int_stack+20573, int_stack+19793, 10);
 /*--- compute (f0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+166978, int_stack+73178, int_stack+172828, 10);
 /*--- compute (f0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+90458, int_stack+166978, int_stack+76778, 10);
 /*--- compute (f0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+166978, int_stack+90458, int_stack+80078, 10);
 /*--- compute (f0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+90458, int_stack+166978, int_stack+174808, 10);
 /*--- compute (f0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+166978, int_stack+90458, int_stack+84578, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+174818, int_stack+21903, int_stack+21483, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+176078, int_stack+22443, int_stack+21903, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+177698, int_stack+176078, int_stack+174818, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+73178, int_stack+23118, int_stack+22443, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+75203, int_stack+73178, int_stack+176078, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+78443, int_stack+75203, int_stack+177698, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+174818, int_stack+23943, int_stack+23118, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+82643, int_stack+174818, int_stack+73178, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+86693, int_stack+82643, int_stack+75203, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+92093, int_stack+86693, int_stack+78443, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+73178, int_stack+24933, int_stack+23943, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+76148, int_stack+73178, int_stack+174818, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+98393, int_stack+76148, int_stack+82643, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+105143, int_stack+98393, int_stack+86693, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+81098, int_stack+105143, int_stack+92093, 15);
 /*--- compute (g0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+174818, int_stack+26103, int_stack+24933, 15);
 /*--- compute (g0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+89918, int_stack+174818, int_stack+73178, 15);
 /*--- compute (g0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+113243, int_stack+89918, int_stack+76148, 15);
 /*--- compute (g0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+121493, int_stack+113243, int_stack+98393, 15);
 /*--- compute (g0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+89918, int_stack+121493, int_stack+105143, 15);
 /*--- compute (g0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+101258, int_stack+89918, int_stack+81098, 15);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+113018, int_stack+27748, int_stack+27468, 10);
 /*--- compute (f0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+113858, int_stack+28108, int_stack+27748, 10);
 /*--- compute (f0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114938, int_stack+113858, int_stack+113018, 10);
 /*--- compute (f0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+116618, int_stack+28558, int_stack+28108, 10);
 /*--- compute (f0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+117968, int_stack+116618, int_stack+113858, 10);
 /*--- compute (f0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+120128, int_stack+117968, int_stack+114938, 10);
 /*--- compute (f0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+113018, int_stack+29108, int_stack+28558, 10);
 /*--- compute (f0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+122928, int_stack+113018, int_stack+116618, 10);
 /*--- compute (f0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+125628, int_stack+122928, int_stack+117968, 10);
 /*--- compute (f0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+114668, int_stack+125628, int_stack+120128, 10);
 /*--- compute (f0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+118868, int_stack+29768, int_stack+29108, 10);
 /*--- compute (f0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+129228, int_stack+118868, int_stack+113018, 10);
 /*--- compute (f0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+132528, int_stack+129228, int_stack+122928, 10);
 /*--- compute (f0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+137028, int_stack+132528, int_stack+125628, 10);
 /*--- compute (f0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+120848, int_stack+137028, int_stack+114668, 10);
 /*--- compute (f0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+113018, int_stack+30548, int_stack+29768, 10);
 /*--- compute (f0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+142428, int_stack+113018, int_stack+118868, 10);
 /*--- compute (f0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+113018, int_stack+142428, int_stack+129228, 10);
 /*--- compute (f0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+142428, int_stack+113018, int_stack+132528, 10);
 /*--- compute (f0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+113018, int_stack+142428, int_stack+137028, 10);
 /*--- compute (f0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+126728, int_stack+113018, int_stack+120848, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+113018, int_stack+31878, int_stack+31458, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+114278, int_stack+32418, int_stack+31878, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+115898, int_stack+114278, int_stack+113018, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+118418, int_stack+33093, int_stack+32418, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+120443, int_stack+118418, int_stack+114278, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+134568, int_stack+120443, int_stack+115898, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+113018, int_stack+33918, int_stack+33093, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+138768, int_stack+113018, int_stack+118418, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+142818, int_stack+138768, int_stack+120443, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+115493, int_stack+142818, int_stack+134568, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+134568, int_stack+34908, int_stack+33918, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+148218, int_stack+134568, int_stack+113018, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+73178, int_stack+148218, int_stack+138768, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+79928, int_stack+73178, int_stack+142818, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+137538, int_stack+79928, int_stack+115493, 15);
 /*--- compute (g0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+113018, int_stack+36078, int_stack+34908, 15);
 /*--- compute (g0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+116528, int_stack+113018, int_stack+134568, 15);
 /*--- compute (g0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+88028, int_stack+116528, int_stack+148218, 15);
 /*--- compute (g0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+113018, int_stack+88028, int_stack+73178, 15);
 /*--- compute (g0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+88028, int_stack+113018, int_stack+79928, 15);
 /*--- compute (g0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+113018, int_stack+88028, int_stack+137538, 15);
 /*--- compute (fp|[r12,T2]|ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+73178, int_stack+181328, int_stack+47418, 784);
     Libr12->te_ptr[3] = int_stack + 73178;
 /*--- compute (fp|[r12,T1]|ii) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+174818, int_stack+101258, int_stack+166978, int_stack+155218, int_stack+63098, int_stack+55258, 6, 6);
     Libr12->te_ptr[2] = int_stack + 174818;
 /*--- compute (fp||ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+198338, int_stack+113018, int_stack+126728, 784);
     Libr12->te_ptr[1] = int_stack + 198338;
 /*--- compute (fp|ii) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+96698, int_stack+155218, int_stack+55258, 784);
     Libr12->te_ptr[0] = int_stack + 96698;

}
