#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_fpip(Libr12_t *, prim_data *);

  /* Computes (fp|ip) integrals for linear R12-methods */

void hrr_grt_order_fpip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[3][6] = int_stack + 0;
 Libr12->t2vrr_classes[3][7] = int_stack + 280;
 Libr12->gvrr_classes[5][6] = int_stack + 640;
 Libr12->t2vrr_classes[4][6] = int_stack + 1228;
 Libr12->t2vrr_classes[4][7] = int_stack + 1648;
 Libr12->gvrr_classes[3][8] = int_stack + 2188;
 Libr12->t1vrr_classes[3][6] = int_stack + 2638;
 Libr12->t1vrr_classes[3][7] = int_stack + 2918;
 Libr12->t1vrr_classes[4][6] = int_stack + 3278;
 Libr12->t1vrr_classes[4][7] = int_stack + 3698;
 Libr12->rvrr_classes[3][6] = int_stack + 4238;
 Libr12->rvrr_classes[3][7] = int_stack + 4518;
 Libr12->rvrr_classes[4][6] = int_stack + 4878;
 Libr12->rvrr_classes[4][7] = int_stack + 5298;
 Libr12->gvrr_classes[3][6] = int_stack + 5838;
 Libr12->gvrr_classes[3][7] = int_stack + 6118;
 Libr12->gvrr_classes[4][6] = int_stack + 6478;
 Libr12->gvrr_classes[4][7] = int_stack + 6898;
 memset(int_stack,0,7438*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 7438;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_fpip(Libr12, Data);
   Data++;
 }

 /*--- compute (f0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7438, int_stack+280, int_stack+0, int_stack+6118, int_stack+6478, int_stack+5838, 3, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8278, int_stack+1648, int_stack+1228, int_stack+6898, int_stack+640, int_stack+6478, 4, 0);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+6118, int_stack+5838, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+840, int_stack+2188, int_stack+6118, 10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+9538, int_stack+6898, int_stack+6478, 15);
 /*--- compute (f0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5838, int_stack+2918, int_stack+2638, 10);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1920, int_stack+3698, int_stack+3278, 15);
 /*--- compute (f0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3180, int_stack+4518, int_stack+4238, 10);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10798, int_stack+5298, int_stack+4878, 15);
 /*--- compute (fp|[r12,T2]|ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+12058, int_stack+8278, int_stack+7438, 84);
     Libr12->te_ptr[3] = int_stack + 12058;
 /*--- compute (fp|[r12,T1]|ip) ---*/
   t1hrr1_build_fp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6678, int_stack+1920, int_stack+5838, int_stack+9538, int_stack+840, int_stack+0, 6, 1);
     Libr12->te_ptr[2] = int_stack + 6678;
 /*--- compute (fp||ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+4020, int_stack+10798, int_stack+3180, 84);
     Libr12->te_ptr[1] = int_stack + 4020;
 /*--- compute (fp|ip) ---*/
   hrr1_build_fp(Libr12->ShellQuartet.AB,int_stack+840, int_stack+9538, int_stack+0, 84);
     Libr12->te_ptr[0] = int_stack + 840;

}
