#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_g0id(Libr12_t *, prim_data *);

  /* Computes (g0|id) integrals for linear R12-methods */

void hrr_grt_order_g0id(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 588;
 Libr12->gvrr_classes[5][7] = int_stack + 1008;
 Libr12->t2vrr_classes[4][7] = int_stack + 1764;
 Libr12->t2vrr_classes[4][8] = int_stack + 2304;
 Libr12->t1vrr_classes[4][6] = int_stack + 2979;
 Libr12->t1vrr_classes[4][7] = int_stack + 3399;
 Libr12->t1vrr_classes[4][8] = int_stack + 3939;
 Libr12->rvrr_classes[4][6] = int_stack + 4614;
 Libr12->rvrr_classes[4][7] = int_stack + 5034;
 Libr12->rvrr_classes[4][8] = int_stack + 5574;
 Libr12->gvrr_classes[4][6] = int_stack + 6249;
 Libr12->gvrr_classes[4][7] = int_stack + 6669;
 Libr12->gvrr_classes[4][8] = int_stack + 7209;
 memset(int_stack,0,7884*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 7884;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_g0id(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7884, int_stack+6669, int_stack+6249, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+9144, int_stack+1008, int_stack+0, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10908, int_stack+7209, int_stack+6669, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12528, int_stack+1764, int_stack+588, int_stack+6669, int_stack+0, int_stack+6249, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13788, int_stack+2304, int_stack+1764, int_stack+7209, int_stack+1008, int_stack+6669, 4, 0);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6249, int_stack+3399, int_stack+2979, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3939, int_stack+3399, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+5034, int_stack+4614, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2880, int_stack+5574, int_stack+5034, 15);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15408, int_stack+13788, int_stack+12528, int_stack+10908, int_stack+9144, int_stack+7884, 4, 0);
     Libr12->te_ptr[3] = int_stack + 15408;
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12528, int_stack+0, int_stack+6249, 15);
     Libr12->te_ptr[2] = int_stack + 12528;
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4500, int_stack+2880, int_stack+1620, 15);
     Libr12->te_ptr[1] = int_stack + 4500;
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10908, int_stack+7884, 15);
     Libr12->te_ptr[0] = int_stack + 0;

}
