#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_g0if(Libr12_t *, prim_data *);

  /* Computes (g0|if) integrals for linear R12-methods */

void hrr_grt_order_g0if(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 588;
 Libr12->gvrr_classes[5][7] = int_stack + 1008;
 Libr12->t2vrr_classes[4][7] = int_stack + 1764;
 Libr12->gvrr_classes[5][8] = int_stack + 2304;
 Libr12->t2vrr_classes[4][8] = int_stack + 3249;
 Libr12->t2vrr_classes[4][9] = int_stack + 3924;
 Libr12->t1vrr_classes[4][6] = int_stack + 4749;
 Libr12->t1vrr_classes[4][7] = int_stack + 5169;
 Libr12->t1vrr_classes[4][8] = int_stack + 5709;
 Libr12->t1vrr_classes[4][9] = int_stack + 6384;
 Libr12->rvrr_classes[4][6] = int_stack + 7209;
 Libr12->rvrr_classes[4][7] = int_stack + 7629;
 Libr12->rvrr_classes[4][8] = int_stack + 8169;
 Libr12->rvrr_classes[4][9] = int_stack + 8844;
 Libr12->gvrr_classes[4][6] = int_stack + 9669;
 Libr12->gvrr_classes[4][7] = int_stack + 10089;
 Libr12->gvrr_classes[4][8] = int_stack + 10629;
 Libr12->gvrr_classes[4][9] = int_stack + 11304;
 memset(int_stack,0,12129*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 12129;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_g0if(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12129, int_stack+10089, int_stack+9669, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13389, int_stack+10629, int_stack+10089, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+15009, int_stack+13389, int_stack+12129, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17529, int_stack+1008, int_stack+0, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+19293, int_stack+2304, int_stack+1008, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+21561, int_stack+19293, int_stack+17529, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+25089, int_stack+11304, int_stack+10629, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+27114, int_stack+25089, int_stack+13389, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30354, int_stack+1764, int_stack+588, int_stack+10089, int_stack+0, int_stack+9669, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31614, int_stack+3249, int_stack+1764, int_stack+10629, int_stack+1008, int_stack+10089, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33234, int_stack+31614, int_stack+30354, int_stack+13389, int_stack+17529, int_stack+12129, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3924, int_stack+3249, int_stack+11304, int_stack+2304, int_stack+10629, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9669, int_stack+0, int_stack+31614, int_stack+25089, int_stack+19293, int_stack+13389, 4, 0);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+25089, int_stack+5169, int_stack+4749, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5709, int_stack+5169, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+0, int_stack+25089, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+25089, int_stack+6384, int_stack+5709, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17529, int_stack+25089, int_stack+0, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+7629, int_stack+7209, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+25089, int_stack+8169, int_stack+7629, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4140, int_stack+25089, int_stack+0, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+30354, int_stack+8844, int_stack+8169, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+35754, int_stack+30354, int_stack+25089, 15);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38994, int_stack+9669, int_stack+33234, int_stack+27114, int_stack+21561, int_stack+15009, 4, 0);
     Libr12->te_ptr[3] = int_stack + 38994;
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+30354, int_stack+17529, int_stack+1620, 15);
     Libr12->te_ptr[2] = int_stack + 30354;
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+17529, int_stack+35754, int_stack+4140, 15);
     Libr12->te_ptr[1] = int_stack + 17529;
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+21729, int_stack+27114, int_stack+15009, 15);
     Libr12->te_ptr[0] = int_stack + 21729;

}
