#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_g0ig(Libr12_t *, prim_data *);

  /* Computes (g0|ig) integrals for linear R12-methods */

void hrr_grt_order_g0ig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 588;
 Libr12->gvrr_classes[5][7] = int_stack + 1008;
 Libr12->t2vrr_classes[4][7] = int_stack + 1764;
 Libr12->gvrr_classes[5][8] = int_stack + 2304;
 Libr12->t2vrr_classes[4][8] = int_stack + 3249;
 Libr12->gvrr_classes[5][9] = int_stack + 3924;
 Libr12->t2vrr_classes[4][9] = int_stack + 5079;
 Libr12->t2vrr_classes[4][10] = int_stack + 5904;
 Libr12->t1vrr_classes[4][6] = int_stack + 6894;
 Libr12->t1vrr_classes[4][7] = int_stack + 7314;
 Libr12->t1vrr_classes[4][8] = int_stack + 7854;
 Libr12->t1vrr_classes[4][9] = int_stack + 8529;
 Libr12->t1vrr_classes[4][10] = int_stack + 9354;
 Libr12->rvrr_classes[4][6] = int_stack + 10344;
 Libr12->rvrr_classes[4][7] = int_stack + 10764;
 Libr12->rvrr_classes[4][8] = int_stack + 11304;
 Libr12->rvrr_classes[4][9] = int_stack + 11979;
 Libr12->rvrr_classes[4][10] = int_stack + 12804;
 Libr12->gvrr_classes[4][6] = int_stack + 13794;
 Libr12->gvrr_classes[4][7] = int_stack + 14214;
 Libr12->gvrr_classes[4][8] = int_stack + 14754;
 Libr12->gvrr_classes[4][9] = int_stack + 15429;
 Libr12->gvrr_classes[4][10] = int_stack + 16254;
 memset(int_stack,0,17244*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 17244;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_g0ig(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17244, int_stack+14214, int_stack+13794, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+18504, int_stack+14754, int_stack+14214, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+20124, int_stack+18504, int_stack+17244, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+22644, int_stack+15429, int_stack+14754, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+24669, int_stack+22644, int_stack+18504, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+27909, int_stack+24669, int_stack+20124, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+32109, int_stack+1008, int_stack+0, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+33873, int_stack+2304, int_stack+1008, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+36141, int_stack+33873, int_stack+32109, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+39669, int_stack+3924, int_stack+2304, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+42504, int_stack+39669, int_stack+33873, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47040, int_stack+42504, int_stack+36141, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+52920, int_stack+16254, int_stack+15429, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+55395, int_stack+52920, int_stack+22644, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+59445, int_stack+55395, int_stack+24669, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64845, int_stack+1764, int_stack+588, int_stack+14214, int_stack+0, int_stack+13794, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66105, int_stack+3249, int_stack+1764, int_stack+14754, int_stack+1008, int_stack+14214, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67725, int_stack+66105, int_stack+64845, int_stack+18504, int_stack+32109, int_stack+17244, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5079, int_stack+3249, int_stack+15429, int_stack+2304, int_stack+14754, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70245, int_stack+0, int_stack+66105, int_stack+22644, int_stack+33873, int_stack+18504, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73485, int_stack+70245, int_stack+67725, int_stack+24669, int_stack+36141, int_stack+20124, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17244, int_stack+5904, int_stack+5079, int_stack+16254, int_stack+3924, int_stack+15429, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32109, int_stack+17244, int_stack+0, int_stack+52920, int_stack+39669, int_stack+22644, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64845, int_stack+32109, int_stack+70245, int_stack+55395, int_stack+42504, int_stack+24669, 4, 0);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+70245, int_stack+7314, int_stack+6894, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+71505, int_stack+7854, int_stack+7314, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+32109, int_stack+71505, int_stack+70245, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+34629, int_stack+8529, int_stack+7854, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+36654, int_stack+34629, int_stack+71505, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+39894, int_stack+36654, int_stack+32109, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+32109, int_stack+9354, int_stack+8529, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+52920, int_stack+32109, int_stack+34629, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+52920, int_stack+36654, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+52920, int_stack+10764, int_stack+10344, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+54180, int_stack+11304, int_stack+10764, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+55800, int_stack+54180, int_stack+52920, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+32109, int_stack+11979, int_stack+11304, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+70245, int_stack+32109, int_stack+54180, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+34134, int_stack+70245, int_stack+55800, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+52920, int_stack+12804, int_stack+11979, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+55395, int_stack+52920, int_stack+32109, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+55395, int_stack+70245, 15);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52920, int_stack+64845, int_stack+73485, int_stack+59445, int_stack+47040, int_stack+27909, 4, 0);
     Libr12->te_ptr[3] = int_stack + 52920;
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+64845, int_stack+0, int_stack+39894, 15);
     Libr12->te_ptr[2] = int_stack + 64845;
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+71145, int_stack+5400, int_stack+34134, 15);
     Libr12->te_ptr[1] = int_stack + 71145;
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+59445, int_stack+27909, 15);
     Libr12->te_ptr[0] = int_stack + 0;

}
