#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_g0ih(Libr12_t *, prim_data *);

  /* Computes (g0|ih) integrals for linear R12-methods */

void hrr_grt_order_g0ih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 588;
 Libr12->gvrr_classes[5][7] = int_stack + 1008;
 Libr12->t2vrr_classes[4][7] = int_stack + 1764;
 Libr12->gvrr_classes[5][8] = int_stack + 2304;
 Libr12->t2vrr_classes[4][8] = int_stack + 3249;
 Libr12->gvrr_classes[5][9] = int_stack + 3924;
 Libr12->t2vrr_classes[4][9] = int_stack + 5079;
 Libr12->gvrr_classes[5][10] = int_stack + 5904;
 Libr12->t2vrr_classes[4][10] = int_stack + 7290;
 Libr12->t2vrr_classes[4][11] = int_stack + 8280;
 Libr12->t1vrr_classes[4][6] = int_stack + 9450;
 Libr12->t1vrr_classes[4][7] = int_stack + 9870;
 Libr12->t1vrr_classes[4][8] = int_stack + 10410;
 Libr12->t1vrr_classes[4][9] = int_stack + 11085;
 Libr12->t1vrr_classes[4][10] = int_stack + 11910;
 Libr12->t1vrr_classes[4][11] = int_stack + 12900;
 Libr12->rvrr_classes[4][6] = int_stack + 14070;
 Libr12->rvrr_classes[4][7] = int_stack + 14490;
 Libr12->rvrr_classes[4][8] = int_stack + 15030;
 Libr12->rvrr_classes[4][9] = int_stack + 15705;
 Libr12->rvrr_classes[4][10] = int_stack + 16530;
 Libr12->rvrr_classes[4][11] = int_stack + 17520;
 Libr12->gvrr_classes[4][6] = int_stack + 18690;
 Libr12->gvrr_classes[4][7] = int_stack + 19110;
 Libr12->gvrr_classes[4][8] = int_stack + 19650;
 Libr12->gvrr_classes[4][9] = int_stack + 20325;
 Libr12->gvrr_classes[4][10] = int_stack + 21150;
 Libr12->gvrr_classes[4][11] = int_stack + 22140;
 memset(int_stack,0,23310*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 23310;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_g0ih(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23310, int_stack+19110, int_stack+18690, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24570, int_stack+19650, int_stack+19110, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+26190, int_stack+24570, int_stack+23310, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+28710, int_stack+20325, int_stack+19650, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+30735, int_stack+28710, int_stack+24570, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+33975, int_stack+30735, int_stack+26190, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+38175, int_stack+21150, int_stack+20325, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+40650, int_stack+38175, int_stack+28710, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+44700, int_stack+40650, int_stack+30735, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+50100, int_stack+44700, int_stack+33975, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+56400, int_stack+1008, int_stack+0, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+58164, int_stack+2304, int_stack+1008, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+60432, int_stack+58164, int_stack+56400, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+63960, int_stack+3924, int_stack+2304, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+66795, int_stack+63960, int_stack+58164, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+71331, int_stack+66795, int_stack+60432, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+77211, int_stack+5904, int_stack+3924, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+80676, int_stack+77211, int_stack+63960, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+86346, int_stack+80676, int_stack+66795, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+93906, int_stack+86346, int_stack+71331, 21);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+102726, int_stack+22140, int_stack+21150, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+105696, int_stack+102726, int_stack+38175, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+110646, int_stack+105696, int_stack+40650, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+117396, int_stack+110646, int_stack+44700, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125496, int_stack+1764, int_stack+588, int_stack+19110, int_stack+0, int_stack+18690, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+126756, int_stack+3249, int_stack+1764, int_stack+19650, int_stack+1008, int_stack+19110, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+128376, int_stack+126756, int_stack+125496, int_stack+24570, int_stack+56400, int_stack+23310, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5079, int_stack+3249, int_stack+20325, int_stack+2304, int_stack+19650, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+130896, int_stack+0, int_stack+126756, int_stack+28710, int_stack+58164, int_stack+24570, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+134136, int_stack+130896, int_stack+128376, int_stack+30735, int_stack+60432, int_stack+26190, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23310, int_stack+7290, int_stack+5079, int_stack+21150, int_stack+3924, int_stack+20325, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56400, int_stack+23310, int_stack+0, int_stack+38175, int_stack+63960, int_stack+28710, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125496, int_stack+56400, int_stack+130896, int_stack+40650, int_stack+66795, int_stack+30735, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25785, int_stack+125496, int_stack+134136, int_stack+44700, int_stack+71331, int_stack+33975, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+130896, int_stack+8280, int_stack+7290, int_stack+22140, int_stack+5904, int_stack+21150, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+133866, int_stack+130896, int_stack+23310, int_stack+102726, int_stack+77211, int_stack+38175, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+133866, int_stack+56400, int_stack+105696, int_stack+80676, int_stack+40650, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56400, int_stack+0, int_stack+125496, int_stack+110646, int_stack+86346, int_stack+44700, 4, 0);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+125496, int_stack+9870, int_stack+9450, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+126756, int_stack+10410, int_stack+9870, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+128376, int_stack+126756, int_stack+125496, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+130896, int_stack+11085, int_stack+10410, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+132921, int_stack+130896, int_stack+126756, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+132921, int_stack+128376, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+125496, int_stack+11910, int_stack+11085, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+125496, int_stack+130896, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+64500, int_stack+4200, int_stack+132921, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+127971, int_stack+64500, int_stack+0, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+12900, int_stack+11910, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+8250, int_stack+0, int_stack+125496, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+69900, int_stack+8250, int_stack+4200, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+69900, int_stack+64500, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+64500, int_stack+14490, int_stack+14070, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+65760, int_stack+15030, int_stack+14490, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+67380, int_stack+65760, int_stack+64500, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+69900, int_stack+15705, int_stack+15030, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+71925, int_stack+69900, int_stack+65760, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+75165, int_stack+71925, int_stack+67380, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+125496, int_stack+16530, int_stack+15705, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+64500, int_stack+125496, int_stack+69900, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+79365, int_stack+64500, int_stack+71925, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+68550, int_stack+79365, int_stack+75165, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+74850, int_stack+17520, int_stack+16530, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+84765, int_stack+74850, int_stack+125496, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+8100, int_stack+84765, int_stack+64500, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+84765, int_stack+8100, int_stack+79365, 15);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8100, int_stack+56400, int_stack+25785, int_stack+117396, int_stack+93906, int_stack+50100, 4, 0);
     Libr12->te_ptr[3] = int_stack + 8100;
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+56400, int_stack+0, int_stack+127971, 15);
     Libr12->te_ptr[2] = int_stack + 56400;
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+16920, int_stack+84765, int_stack+68550, 15);
     Libr12->te_ptr[1] = int_stack + 16920;
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+65220, int_stack+117396, int_stack+50100, 15);
     Libr12->te_ptr[0] = int_stack + 65220;

}
