#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_g0ii(Libr12_t *, prim_data *);

  /* Computes (g0|ii) integrals for linear R12-methods */

void hrr_grt_order_g0ii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 588;
 Libr12->gvrr_classes[5][7] = int_stack + 1008;
 Libr12->t2vrr_classes[4][7] = int_stack + 1764;
 Libr12->gvrr_classes[5][8] = int_stack + 2304;
 Libr12->t2vrr_classes[4][8] = int_stack + 3249;
 Libr12->gvrr_classes[5][9] = int_stack + 3924;
 Libr12->t2vrr_classes[4][9] = int_stack + 5079;
 Libr12->gvrr_classes[5][10] = int_stack + 5904;
 Libr12->t2vrr_classes[4][10] = int_stack + 7290;
 Libr12->gvrr_classes[5][11] = int_stack + 8280;
 Libr12->t2vrr_classes[4][11] = int_stack + 9918;
 Libr12->t2vrr_classes[4][12] = int_stack + 11088;
 Libr12->t1vrr_classes[4][6] = int_stack + 12453;
 Libr12->t1vrr_classes[4][7] = int_stack + 12873;
 Libr12->t1vrr_classes[4][8] = int_stack + 13413;
 Libr12->t1vrr_classes[4][9] = int_stack + 14088;
 Libr12->t1vrr_classes[4][10] = int_stack + 14913;
 Libr12->t1vrr_classes[4][11] = int_stack + 15903;
 Libr12->t1vrr_classes[4][12] = int_stack + 17073;
 Libr12->rvrr_classes[4][6] = int_stack + 18438;
 Libr12->rvrr_classes[4][7] = int_stack + 18858;
 Libr12->rvrr_classes[4][8] = int_stack + 19398;
 Libr12->rvrr_classes[4][9] = int_stack + 20073;
 Libr12->rvrr_classes[4][10] = int_stack + 20898;
 Libr12->rvrr_classes[4][11] = int_stack + 21888;
 Libr12->rvrr_classes[4][12] = int_stack + 23058;
 Libr12->gvrr_classes[4][6] = int_stack + 24423;
 Libr12->gvrr_classes[4][7] = int_stack + 24843;
 Libr12->gvrr_classes[4][8] = int_stack + 25383;
 Libr12->gvrr_classes[4][9] = int_stack + 26058;
 Libr12->gvrr_classes[4][10] = int_stack + 26883;
 Libr12->gvrr_classes[4][11] = int_stack + 27873;
 Libr12->gvrr_classes[4][12] = int_stack + 29043;
 memset(int_stack,0,30408*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 30408;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_g0ii(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30408, int_stack+24843, int_stack+24423, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+31668, int_stack+25383, int_stack+24843, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+33288, int_stack+31668, int_stack+30408, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+35808, int_stack+26058, int_stack+25383, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+37833, int_stack+35808, int_stack+31668, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+41073, int_stack+37833, int_stack+33288, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+45273, int_stack+26883, int_stack+26058, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+47748, int_stack+45273, int_stack+35808, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+51798, int_stack+47748, int_stack+37833, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+57198, int_stack+51798, int_stack+41073, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+63498, int_stack+27873, int_stack+26883, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+66468, int_stack+63498, int_stack+45273, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+71418, int_stack+66468, int_stack+47748, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+78168, int_stack+71418, int_stack+51798, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+86268, int_stack+78168, int_stack+57198, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+95088, int_stack+1008, int_stack+0, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+96852, int_stack+2304, int_stack+1008, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+99120, int_stack+96852, int_stack+95088, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+102648, int_stack+3924, int_stack+2304, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+105483, int_stack+102648, int_stack+96852, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+110019, int_stack+105483, int_stack+99120, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+115899, int_stack+5904, int_stack+3924, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+119364, int_stack+115899, int_stack+102648, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+125034, int_stack+119364, int_stack+105483, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+132594, int_stack+125034, int_stack+110019, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+141414, int_stack+8280, int_stack+5904, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+145572, int_stack+141414, int_stack+115899, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+152502, int_stack+145572, int_stack+119364, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+161952, int_stack+152502, int_stack+125034, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+173292, int_stack+161952, int_stack+132594, 21);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+185640, int_stack+29043, int_stack+27873, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+189150, int_stack+185640, int_stack+63498, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+195090, int_stack+189150, int_stack+66468, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+203340, int_stack+195090, int_stack+71418, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+213465, int_stack+203340, int_stack+78168, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+224805, int_stack+1764, int_stack+588, int_stack+24843, int_stack+0, int_stack+24423, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+226065, int_stack+3249, int_stack+1764, int_stack+25383, int_stack+1008, int_stack+24843, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+227685, int_stack+226065, int_stack+224805, int_stack+31668, int_stack+95088, int_stack+30408, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5079, int_stack+3249, int_stack+26058, int_stack+2304, int_stack+25383, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+230205, int_stack+0, int_stack+226065, int_stack+35808, int_stack+96852, int_stack+31668, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+233445, int_stack+230205, int_stack+227685, int_stack+37833, int_stack+99120, int_stack+33288, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30408, int_stack+7290, int_stack+5079, int_stack+26883, int_stack+3924, int_stack+26058, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95088, int_stack+30408, int_stack+0, int_stack+45273, int_stack+102648, int_stack+35808, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+224805, int_stack+95088, int_stack+230205, int_stack+47748, int_stack+105483, int_stack+37833, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32883, int_stack+224805, int_stack+233445, int_stack+51798, int_stack+110019, int_stack+41073, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+230205, int_stack+9918, int_stack+7290, int_stack+27873, int_stack+5904, int_stack+26883, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+230205, int_stack+30408, int_stack+63498, int_stack+115899, int_stack+45273, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39183, int_stack+0, int_stack+95088, int_stack+66468, int_stack+119364, int_stack+47748, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95088, int_stack+39183, int_stack+224805, int_stack+71418, int_stack+125034, int_stack+51798, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103188, int_stack+95088, int_stack+32883, int_stack+78168, int_stack+132594, int_stack+57198, 4, 0);
 /*--- compute (g0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+224805, int_stack+11088, int_stack+9918, int_stack+29043, int_stack+8280, int_stack+27873, 4, 0);
 /*--- compute (g0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112008, int_stack+224805, int_stack+230205, int_stack+185640, int_stack+141414, int_stack+63498, 4, 0);
 /*--- compute (g0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+224805, int_stack+112008, int_stack+0, int_stack+189150, int_stack+145572, int_stack+66468, 4, 0);
 /*--- compute (g0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+224805, int_stack+39183, int_stack+195090, int_stack+152502, int_stack+71418, 4, 0);
 /*--- compute (g0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+224805, int_stack+0, int_stack+95088, int_stack+203340, int_stack+161952, int_stack+78168, 4, 0);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+95088, int_stack+12873, int_stack+12453, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+96348, int_stack+13413, int_stack+12873, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+97968, int_stack+96348, int_stack+95088, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+100488, int_stack+14088, int_stack+13413, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+100488, int_stack+96348, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3240, int_stack+0, int_stack+97968, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+95088, int_stack+14913, int_stack+14088, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+7440, int_stack+95088, int_stack+100488, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+97563, int_stack+7440, int_stack+0, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+112008, int_stack+97563, int_stack+3240, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+15903, int_stack+14913, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+118308, int_stack+0, int_stack+95088, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+123258, int_stack+118308, int_stack+7440, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2970, int_stack+123258, int_stack+97563, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+130008, int_stack+2970, int_stack+112008, 15);
 /*--- compute (g0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+112008, int_stack+17073, int_stack+15903, 15);
 /*--- compute (g0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+95088, int_stack+112008, int_stack+0, 15);
 /*--- compute (g0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+138828, int_stack+95088, int_stack+118308, 15);
 /*--- compute (g0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+112008, int_stack+138828, int_stack+123258, 15);
 /*--- compute (g0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+138828, int_stack+112008, int_stack+2970, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+112008, int_stack+18858, int_stack+18438, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+113268, int_stack+19398, int_stack+18858, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114888, int_stack+113268, int_stack+112008, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+117408, int_stack+20073, int_stack+19398, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+119433, int_stack+117408, int_stack+113268, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+122673, int_stack+119433, int_stack+114888, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+112008, int_stack+20898, int_stack+20073, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+150168, int_stack+112008, int_stack+117408, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+154218, int_stack+150168, int_stack+119433, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+114483, int_stack+154218, int_stack+122673, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+120783, int_stack+21888, int_stack+20898, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+123753, int_stack+120783, int_stack+112008, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+159618, int_stack+123753, int_stack+150168, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+95088, int_stack+159618, int_stack+154218, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+150168, int_stack+95088, int_stack+114483, 15);
 /*--- compute (g0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+112008, int_stack+23058, int_stack+21888, 15);
 /*--- compute (g0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+166368, int_stack+112008, int_stack+120783, 15);
 /*--- compute (g0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+112008, int_stack+166368, int_stack+123753, 15);
 /*--- compute (g0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+112008, int_stack+159618, 15);
 /*--- compute (g0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+112008, int_stack+0, int_stack+95088, 15);
 /*--- compute (g0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+224805, int_stack+103188, int_stack+213465, int_stack+173292, int_stack+86268, 4, 0);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (g0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+224805, int_stack+138828, int_stack+130008, 15);
     Libr12->te_ptr[2] = int_stack + 224805;
 /*--- compute (g0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+95088, int_stack+112008, int_stack+150168, 15);
     Libr12->te_ptr[1] = int_stack + 95088;
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+106848, int_stack+213465, int_stack+86268, 15);
     Libr12->te_ptr[0] = int_stack + 106848;

}
