#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdgd(Libr12_t *, prim_data *);

  /* Computes (gd|gd) integrals for linear R12-methods */

void hrr_grt_order_gdgd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][4] = int_stack + 0;
 Libr12->t2vrr_classes[4][5] = int_stack + 225;
 Libr12->t2vrr_classes[4][6] = int_stack + 540;
 Libr12->t2vrr_classes[5][4] = int_stack + 960;
 Libr12->t2vrr_classes[5][5] = int_stack + 1275;
 Libr12->t2vrr_classes[5][6] = int_stack + 1716;
 Libr12->gvrr_classes[7][4] = int_stack + 2304;
 Libr12->t2vrr_classes[6][4] = int_stack + 2844;
 Libr12->gvrr_classes[7][5] = int_stack + 3264;
 Libr12->t2vrr_classes[6][5] = int_stack + 4020;
 Libr12->t2vrr_classes[6][6] = int_stack + 4608;
 Libr12->gvrr_classes[4][7] = int_stack + 5392;
 Libr12->t1vrr_classes[4][4] = int_stack + 5932;
 Libr12->t1vrr_classes[4][5] = int_stack + 6157;
 Libr12->t1vrr_classes[4][6] = int_stack + 6472;
 Libr12->gvrr_classes[5][7] = int_stack + 6892;
 Libr12->t1vrr_classes[5][4] = int_stack + 7648;
 Libr12->t1vrr_classes[5][5] = int_stack + 7963;
 Libr12->t1vrr_classes[5][6] = int_stack + 8404;
 Libr12->t1vrr_classes[6][4] = int_stack + 8992;
 Libr12->t1vrr_classes[6][5] = int_stack + 9412;
 Libr12->t1vrr_classes[6][6] = int_stack + 10000;
 Libr12->rvrr_classes[4][4] = int_stack + 10784;
 Libr12->rvrr_classes[4][5] = int_stack + 11009;
 Libr12->rvrr_classes[4][6] = int_stack + 11324;
 Libr12->rvrr_classes[5][4] = int_stack + 11744;
 Libr12->rvrr_classes[5][5] = int_stack + 12059;
 Libr12->rvrr_classes[5][6] = int_stack + 12500;
 Libr12->rvrr_classes[6][4] = int_stack + 13088;
 Libr12->rvrr_classes[6][5] = int_stack + 13508;
 Libr12->rvrr_classes[6][6] = int_stack + 14096;
 Libr12->gvrr_classes[4][4] = int_stack + 14880;
 Libr12->gvrr_classes[4][5] = int_stack + 15105;
 Libr12->gvrr_classes[4][6] = int_stack + 15420;
 Libr12->gvrr_classes[5][4] = int_stack + 15840;
 Libr12->gvrr_classes[5][5] = int_stack + 16155;
 Libr12->gvrr_classes[5][6] = int_stack + 16596;
 Libr12->gvrr_classes[6][4] = int_stack + 17184;
 Libr12->gvrr_classes[6][5] = int_stack + 17604;
 Libr12->gvrr_classes[6][6] = int_stack + 18192;
 memset(int_stack,0,18976*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 18976;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdgd(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+18976, int_stack+15105, int_stack+14880, 15);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+19651, int_stack+16155, int_stack+15840, 21);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+20596, int_stack+15420, int_stack+15105, 15);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21541, int_stack+225, int_stack+0, int_stack+15105, int_stack+15840, int_stack+14880, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22216, int_stack+540, int_stack+225, int_stack+15420, int_stack+16155, int_stack+15105, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23161, int_stack+22216, int_stack+21541, int_stack+20596, int_stack+19651, int_stack+18976, 4, 0);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+21541, int_stack+17604, int_stack+17184, 28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+24511, int_stack+16596, int_stack+16155, 21);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1275, int_stack+960, int_stack+16155, int_stack+17184, int_stack+15840, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25834, int_stack+1716, int_stack+1275, int_stack+16596, int_stack+17604, int_stack+16155, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27157, int_stack+25834, int_stack+0, int_stack+24511, int_stack+21541, int_stack+19651, 5, 0);
 /*--- compute (gp|[r12,T2]|gd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+29047, int_stack+27157, int_stack+23161, 90);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3264, int_stack+2304, 36);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+33097, int_stack+18192, int_stack+17604, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25834, int_stack+4020, int_stack+2844, int_stack+17604, int_stack+2304, int_stack+17184, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+34861, int_stack+4608, int_stack+4020, int_stack+18192, int_stack+3264, int_stack+17604, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1620, int_stack+34861, int_stack+25834, int_stack+33097, int_stack+0, int_stack+21541, 6, 0);
 /*--- compute (hp|[r12,T2]|gd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+34861, int_stack+1620, int_stack+27157, 90);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+20596, int_stack+18976, 15);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+1350, int_stack+24511, int_stack+19651, 21);
 /*--- compute (gp|gd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+40531, int_stack+1350, int_stack+0, 90);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3240, int_stack+5392, int_stack+15420, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+25834, int_stack+3240, int_stack+20596, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3240, int_stack+6892, int_stack+16596, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+14880, int_stack+3240, int_stack+24511, 21);
 /*--- compute (gp|hd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+44581, int_stack+14880, int_stack+25834, 126);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3240, int_stack+33097, int_stack+21541, 28);
 /*--- compute (hp|gd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+17526, int_stack+3240, int_stack+1350, 90);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+33097, int_stack+6157, int_stack+5932, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+33772, int_stack+6472, int_stack+6157, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+5760, int_stack+33772, int_stack+33097, 15);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+33097, int_stack+7963, int_stack+7648, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+27724, int_stack+8404, int_stack+7963, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+23196, int_stack+27724, int_stack+33097, 21);
 /*--- compute (gp|[r12,T1]|gd) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+50251, int_stack+23196, int_stack+5760, int_stack+1350, int_stack+25834, int_stack+0, 4, 2);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+9412, int_stack+8992, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+33097, int_stack+10000, int_stack+9412, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+5760, int_stack+33097, int_stack+0, 28);
 /*--- compute (hp|[r12,T1]|gd) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+54301, int_stack+5760, int_stack+23196, int_stack+3240, int_stack+14880, int_stack+1350, 4, 2);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14880, int_stack+11009, int_stack+10784, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+15555, int_stack+11324, int_stack+11009, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+23196, int_stack+15555, int_stack+14880, 15);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14880, int_stack+12059, int_stack+11744, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+15825, int_stack+12500, int_stack+12059, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+24546, int_stack+15825, int_stack+14880, 21);
 /*--- compute (gp||gd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+24546, int_stack+23196, 90);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+23196, int_stack+13508, int_stack+13088, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+33097, int_stack+14096, int_stack+13508, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+26436, int_stack+33097, int_stack+23196, 28);
 /*--- compute (hp||gd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+4050, int_stack+26436, int_stack+24546, 90);
 /*--- compute (gd|[r12,T2]|gd) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+59971, int_stack+34861, int_stack+29047, 90);
     Libr12->te_ptr[3] = int_stack + 59971;
 /*--- compute (gd|[r12,T1]|gd) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+23196, int_stack+54301, int_stack+50251, int_stack+17526, int_stack+44581, int_stack+40531, 4, 2);
     Libr12->te_ptr[2] = int_stack + 23196;
 /*--- compute (gd||gd) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+44581, int_stack+4050, int_stack+0, 90);
     Libr12->te_ptr[1] = int_stack + 44581;
 /*--- compute (gd|gd) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+17526, int_stack+40531, 90);
     Libr12->te_ptr[0] = int_stack + 0;

}
