#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdgg(Libr12_t *, prim_data *);

  /* Computes (gd|gg) integrals for linear R12-methods */

void hrr_grt_order_gdgg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][4] = int_stack + 0;
 Libr12->t2vrr_classes[4][5] = int_stack + 225;
 Libr12->t2vrr_classes[4][6] = int_stack + 540;
 Libr12->t2vrr_classes[4][7] = int_stack + 960;
 Libr12->t2vrr_classes[4][8] = int_stack + 1500;
 Libr12->t2vrr_classes[5][4] = int_stack + 2175;
 Libr12->t2vrr_classes[5][5] = int_stack + 2490;
 Libr12->t2vrr_classes[5][6] = int_stack + 2931;
 Libr12->t2vrr_classes[5][7] = int_stack + 3519;
 Libr12->t2vrr_classes[5][8] = int_stack + 4275;
 Libr12->gvrr_classes[7][4] = int_stack + 5220;
 Libr12->t2vrr_classes[6][4] = int_stack + 5760;
 Libr12->gvrr_classes[7][5] = int_stack + 6180;
 Libr12->t2vrr_classes[6][5] = int_stack + 6936;
 Libr12->gvrr_classes[7][6] = int_stack + 7524;
 Libr12->t2vrr_classes[6][6] = int_stack + 8532;
 Libr12->gvrr_classes[7][7] = int_stack + 9316;
 Libr12->t2vrr_classes[6][7] = int_stack + 10612;
 Libr12->t2vrr_classes[6][8] = int_stack + 11620;
 Libr12->gvrr_classes[4][9] = int_stack + 12880;
 Libr12->t1vrr_classes[4][4] = int_stack + 13705;
 Libr12->t1vrr_classes[4][5] = int_stack + 13930;
 Libr12->t1vrr_classes[4][6] = int_stack + 14245;
 Libr12->t1vrr_classes[4][7] = int_stack + 14665;
 Libr12->t1vrr_classes[4][8] = int_stack + 15205;
 Libr12->gvrr_classes[5][9] = int_stack + 15880;
 Libr12->t1vrr_classes[5][4] = int_stack + 17035;
 Libr12->t1vrr_classes[5][5] = int_stack + 17350;
 Libr12->t1vrr_classes[5][6] = int_stack + 17791;
 Libr12->t1vrr_classes[5][7] = int_stack + 18379;
 Libr12->t1vrr_classes[5][8] = int_stack + 19135;
 Libr12->t1vrr_classes[6][4] = int_stack + 20080;
 Libr12->t1vrr_classes[6][5] = int_stack + 20500;
 Libr12->t1vrr_classes[6][6] = int_stack + 21088;
 Libr12->t1vrr_classes[6][7] = int_stack + 21872;
 Libr12->t1vrr_classes[6][8] = int_stack + 22880;
 Libr12->rvrr_classes[4][4] = int_stack + 24140;
 Libr12->rvrr_classes[4][5] = int_stack + 24365;
 Libr12->rvrr_classes[4][6] = int_stack + 24680;
 Libr12->rvrr_classes[4][7] = int_stack + 25100;
 Libr12->rvrr_classes[4][8] = int_stack + 25640;
 Libr12->rvrr_classes[5][4] = int_stack + 26315;
 Libr12->rvrr_classes[5][5] = int_stack + 26630;
 Libr12->rvrr_classes[5][6] = int_stack + 27071;
 Libr12->rvrr_classes[5][7] = int_stack + 27659;
 Libr12->rvrr_classes[5][8] = int_stack + 28415;
 Libr12->rvrr_classes[6][4] = int_stack + 29360;
 Libr12->rvrr_classes[6][5] = int_stack + 29780;
 Libr12->rvrr_classes[6][6] = int_stack + 30368;
 Libr12->rvrr_classes[6][7] = int_stack + 31152;
 Libr12->rvrr_classes[6][8] = int_stack + 32160;
 Libr12->gvrr_classes[4][4] = int_stack + 33420;
 Libr12->gvrr_classes[4][5] = int_stack + 33645;
 Libr12->gvrr_classes[4][6] = int_stack + 33960;
 Libr12->gvrr_classes[4][7] = int_stack + 34380;
 Libr12->gvrr_classes[4][8] = int_stack + 34920;
 Libr12->gvrr_classes[5][4] = int_stack + 35595;
 Libr12->gvrr_classes[5][5] = int_stack + 35910;
 Libr12->gvrr_classes[5][6] = int_stack + 36351;
 Libr12->gvrr_classes[5][7] = int_stack + 36939;
 Libr12->gvrr_classes[5][8] = int_stack + 37695;
 Libr12->gvrr_classes[6][4] = int_stack + 38640;
 Libr12->gvrr_classes[6][5] = int_stack + 39060;
 Libr12->gvrr_classes[6][6] = int_stack + 39648;
 Libr12->gvrr_classes[6][7] = int_stack + 40432;
 Libr12->gvrr_classes[6][8] = int_stack + 41440;
 memset(int_stack,0,42700*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 42700;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdgg(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+42700, int_stack+33645, int_stack+33420, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+43375, int_stack+33960, int_stack+33645, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+44320, int_stack+43375, int_stack+42700, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+45670, int_stack+34380, int_stack+33960, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+46930, int_stack+45670, int_stack+43375, 15);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+48820, int_stack+46930, int_stack+44320, 15);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+51070, int_stack+35910, int_stack+35595, 21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+52015, int_stack+36351, int_stack+35910, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+53338, int_stack+52015, int_stack+51070, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55228, int_stack+36939, int_stack+36351, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+56992, int_stack+55228, int_stack+52015, 21);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+59638, int_stack+56992, int_stack+53338, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+62788, int_stack+34920, int_stack+34380, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+64408, int_stack+62788, int_stack+45670, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+66928, int_stack+64408, int_stack+46930, 15);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70078, int_stack+225, int_stack+0, int_stack+33645, int_stack+35595, int_stack+33420, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70753, int_stack+540, int_stack+225, int_stack+33960, int_stack+35910, int_stack+33645, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71698, int_stack+70753, int_stack+70078, int_stack+43375, int_stack+51070, int_stack+42700, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73048, int_stack+960, int_stack+540, int_stack+34380, int_stack+36351, int_stack+33960, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74308, int_stack+73048, int_stack+70753, int_stack+45670, int_stack+52015, int_stack+43375, 4, 0);
 /*--- compute (g0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+76198, int_stack+74308, int_stack+71698, int_stack+46930, int_stack+53338, int_stack+44320, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42700, int_stack+1500, int_stack+960, int_stack+34920, int_stack+36939, int_stack+34380, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70078, int_stack+42700, int_stack+73048, int_stack+62788, int_stack+55228, int_stack+45670, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42700, int_stack+70078, int_stack+74308, int_stack+64408, int_stack+56992, int_stack+46930, 4, 0);
 /*--- compute (g0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70078, int_stack+42700, int_stack+76198, int_stack+66928, int_stack+59638, int_stack+48820, 4, 0);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+42700, int_stack+39060, int_stack+38640, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+43960, int_stack+39648, int_stack+39060, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+45724, int_stack+43960, int_stack+42700, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+73453, int_stack+40432, int_stack+39648, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+75805, int_stack+73453, int_stack+43960, 28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+79333, int_stack+75805, int_stack+45724, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+83533, int_stack+37695, int_stack+36939, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+85801, int_stack+83533, int_stack+55228, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+89329, int_stack+85801, int_stack+56992, 21);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33420, int_stack+2490, int_stack+2175, int_stack+35910, int_stack+38640, int_stack+35595, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2931, int_stack+2490, int_stack+36351, int_stack+39060, int_stack+35910, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93739, int_stack+0, int_stack+33420, int_stack+52015, int_stack+42700, int_stack+51070, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95629, int_stack+3519, int_stack+2931, int_stack+36939, int_stack+39648, int_stack+36351, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97393, int_stack+95629, int_stack+0, int_stack+55228, int_stack+43960, int_stack+52015, 5, 0);
 /*--- compute (h0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+97393, int_stack+93739, int_stack+56992, int_stack+45724, int_stack+53338, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51070, int_stack+4275, int_stack+3519, int_stack+37695, int_stack+40432, int_stack+36939, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100039, int_stack+51070, int_stack+95629, int_stack+83533, int_stack+73453, int_stack+55228, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51070, int_stack+100039, int_stack+97393, int_stack+85801, int_stack+75805, int_stack+56992, 5, 0);
 /*--- compute (h0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93739, int_stack+51070, int_stack+0, int_stack+89329, int_stack+79333, int_stack+59638, 5, 0);
 /*--- compute (gp|[r12,T2]|gg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+98464, int_stack+93739, int_stack+70078, 225);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+70078, int_stack+6180, int_stack+5220, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+7524, int_stack+6180, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+51070, int_stack+0, int_stack+70078, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+54310, int_stack+9316, int_stack+7524, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+108589, int_stack+54310, int_stack+0, 36);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+113125, int_stack+108589, int_stack+51070, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+118525, int_stack+41440, int_stack+40432, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+121549, int_stack+118525, int_stack+73453, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+126253, int_stack+121549, int_stack+75805, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71698, int_stack+6936, int_stack+5760, int_stack+39060, int_stack+5220, int_stack+38640, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2268, int_stack+8532, int_stack+6936, int_stack+39648, int_stack+6180, int_stack+39060, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4032, int_stack+2268, int_stack+71698, int_stack+43960, int_stack+70078, int_stack+42700, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70078, int_stack+10612, int_stack+8532, int_stack+40432, int_stack+7524, int_stack+39648, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132133, int_stack+70078, int_stack+2268, int_stack+73453, int_stack+0, int_stack+43960, 6, 0);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+135661, int_stack+132133, int_stack+4032, int_stack+75805, int_stack+51070, int_stack+45724, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51070, int_stack+11620, int_stack+10612, int_stack+41440, int_stack+9316, int_stack+40432, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+51070, int_stack+70078, int_stack+118525, int_stack+54310, int_stack+73453, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51070, int_stack+0, int_stack+132133, int_stack+121549, int_stack+108589, int_stack+75805, 6, 0);
 /*--- compute (i0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+51070, int_stack+135661, int_stack+126253, int_stack+113125, int_stack+79333, 6, 0);
 /*--- compute (hp|[r12,T2]|gg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+108589, int_stack+0, int_stack+93739, 225);
 /*--- compute (g0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+93739, int_stack+66928, int_stack+48820, 15);
 /*--- compute (h0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+89329, int_stack+59638, 21);
 /*--- compute (gp|gg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+38640, int_stack+0, int_stack+93739, 225);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+12880, int_stack+34920, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+6750, int_stack+4725, int_stack+62788, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+132133, int_stack+6750, int_stack+64408, 15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+132133, int_stack+66928, 15);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+132133, int_stack+15880, int_stack+37695, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+134968, int_stack+132133, int_stack+83533, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+48765, int_stack+134968, int_stack+85801, 21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+132133, int_stack+48765, int_stack+89329, 21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+48765, int_stack+132133, int_stack+4725, 315);
 /*--- compute (i0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+62940, int_stack+126253, int_stack+79333, 28);
 /*--- compute (hp|gg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+69240, int_stack+62940, int_stack+0, 225);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+83415, int_stack+13930, int_stack+13705, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+84090, int_stack+14245, int_stack+13930, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+97114, int_stack+84090, int_stack+83415, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+85035, int_stack+14665, int_stack+14245, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+86295, int_stack+85035, int_stack+84090, 15);
 /*--- compute (g0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+88185, int_stack+86295, int_stack+97114, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+83415, int_stack+15205, int_stack+14665, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+90435, int_stack+83415, int_stack+85035, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+9450, int_stack+90435, int_stack+86295, 15);
 /*--- compute (g0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+83415, int_stack+9450, int_stack+88185, 15);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+9450, int_stack+17350, int_stack+17035, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+10395, int_stack+17791, int_stack+17350, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+11718, int_stack+10395, int_stack+9450, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13608, int_stack+18379, int_stack+17791, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+15372, int_stack+13608, int_stack+10395, 21);
 /*--- compute (h0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+86790, int_stack+15372, int_stack+11718, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+9450, int_stack+19135, int_stack+18379, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+89940, int_stack+9450, int_stack+13608, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+9450, int_stack+89940, int_stack+15372, 21);
 /*--- compute (h0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+9450, int_stack+86790, 21);
 /*--- compute (gp|[r12,T1]|gg) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+138748, int_stack+13860, int_stack+83415, int_stack+0, int_stack+4725, int_stack+93739, 4, 4);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+20500, int_stack+20080, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5985, int_stack+21088, int_stack+20500, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+7749, int_stack+5985, int_stack+4725, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10269, int_stack+21872, int_stack+21088, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+83415, int_stack+10269, int_stack+5985, 28);
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+86943, int_stack+83415, int_stack+7749, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+22880, int_stack+21872, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+91143, int_stack+4725, int_stack+10269, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+4725, int_stack+91143, int_stack+83415, 28);
 /*--- compute (i0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+91143, int_stack+4725, int_stack+86943, 28);
 /*--- compute (hp|[r12,T1]|gg) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+148873, int_stack+91143, int_stack+13860, int_stack+62940, int_stack+132133, int_stack+0, 4, 4);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+24365, int_stack+24140, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+675, int_stack+24680, int_stack+24365, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+675, int_stack+0, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2970, int_stack+25100, int_stack+24680, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4230, int_stack+2970, int_stack+675, 15);
 /*--- compute (g0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+6120, int_stack+4230, int_stack+1620, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+25640, int_stack+25100, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8370, int_stack+0, int_stack+2970, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+8370, int_stack+4230, 15);
 /*--- compute (g0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+8370, int_stack+0, int_stack+6120, 15);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+26630, int_stack+26315, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+945, int_stack+27071, int_stack+26630, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+945, int_stack+0, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4158, int_stack+27659, int_stack+27071, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11745, int_stack+4158, int_stack+945, 21);
 /*--- compute (h0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+14391, int_stack+11745, int_stack+2268, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+28415, int_stack+27659, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+17541, int_stack+0, int_stack+4158, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17541, int_stack+11745, 21);
 /*--- compute (h0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+17541, int_stack+0, int_stack+14391, 21);
 /*--- compute (gp||gg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+83415, int_stack+17541, int_stack+8370, 225);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+29780, int_stack+29360, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+30368, int_stack+29780, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+1260, int_stack+0, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5544, int_stack+31152, int_stack+30368, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+7896, int_stack+5544, int_stack+1260, 28);
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+11424, int_stack+7896, int_stack+3024, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+32160, int_stack+31152, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+22266, int_stack+0, int_stack+5544, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+22266, int_stack+7896, 28);
 /*--- compute (i0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+62940, int_stack+0, int_stack+11424, 28);
 /*--- compute (hp||gg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+62940, int_stack+17541, 225);
 /*--- compute (gd|[r12,T2]|gg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+14175, int_stack+108589, int_stack+98464, 225);
     Libr12->te_ptr[3] = int_stack + 14175;
 /*--- compute (gd|[r12,T1]|gg) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+93540, int_stack+148873, int_stack+138748, int_stack+69240, int_stack+48765, int_stack+38640, 4, 4);
     Libr12->te_ptr[2] = int_stack + 93540;
 /*--- compute (gd||gg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+48765, int_stack+0, int_stack+83415, 225);
     Libr12->te_ptr[1] = int_stack + 48765;
 /*--- compute (gd|gg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+113790, int_stack+69240, int_stack+38640, 225);
     Libr12->te_ptr[0] = int_stack + 113790;

}
