#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdhg(Libr12_t *, prim_data *);

  /* Computes (gd|hg) integrals for linear R12-methods */

void hrr_grt_order_gdhg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][5] = int_stack + 0;
 Libr12->t2vrr_classes[4][6] = int_stack + 315;
 Libr12->t2vrr_classes[4][7] = int_stack + 735;
 Libr12->t2vrr_classes[4][8] = int_stack + 1275;
 Libr12->t2vrr_classes[4][9] = int_stack + 1950;
 Libr12->t2vrr_classes[5][5] = int_stack + 2775;
 Libr12->t2vrr_classes[5][6] = int_stack + 3216;
 Libr12->t2vrr_classes[5][7] = int_stack + 3804;
 Libr12->t2vrr_classes[5][8] = int_stack + 4560;
 Libr12->t2vrr_classes[5][9] = int_stack + 5505;
 Libr12->gvrr_classes[7][5] = int_stack + 6660;
 Libr12->t2vrr_classes[6][5] = int_stack + 7416;
 Libr12->gvrr_classes[7][6] = int_stack + 8004;
 Libr12->t2vrr_classes[6][6] = int_stack + 9012;
 Libr12->gvrr_classes[7][7] = int_stack + 9796;
 Libr12->t2vrr_classes[6][7] = int_stack + 11092;
 Libr12->gvrr_classes[7][8] = int_stack + 12100;
 Libr12->t2vrr_classes[6][8] = int_stack + 13720;
 Libr12->t2vrr_classes[6][9] = int_stack + 14980;
 Libr12->gvrr_classes[4][10] = int_stack + 16520;
 Libr12->t1vrr_classes[4][5] = int_stack + 17510;
 Libr12->t1vrr_classes[4][6] = int_stack + 17825;
 Libr12->t1vrr_classes[4][7] = int_stack + 18245;
 Libr12->t1vrr_classes[4][8] = int_stack + 18785;
 Libr12->t1vrr_classes[4][9] = int_stack + 19460;
 Libr12->gvrr_classes[5][10] = int_stack + 20285;
 Libr12->t1vrr_classes[5][5] = int_stack + 21671;
 Libr12->t1vrr_classes[5][6] = int_stack + 22112;
 Libr12->t1vrr_classes[5][7] = int_stack + 22700;
 Libr12->t1vrr_classes[5][8] = int_stack + 23456;
 Libr12->t1vrr_classes[5][9] = int_stack + 24401;
 Libr12->t1vrr_classes[6][5] = int_stack + 25556;
 Libr12->t1vrr_classes[6][6] = int_stack + 26144;
 Libr12->t1vrr_classes[6][7] = int_stack + 26928;
 Libr12->t1vrr_classes[6][8] = int_stack + 27936;
 Libr12->t1vrr_classes[6][9] = int_stack + 29196;
 Libr12->rvrr_classes[4][5] = int_stack + 30736;
 Libr12->rvrr_classes[4][6] = int_stack + 31051;
 Libr12->rvrr_classes[4][7] = int_stack + 31471;
 Libr12->rvrr_classes[4][8] = int_stack + 32011;
 Libr12->rvrr_classes[4][9] = int_stack + 32686;
 Libr12->rvrr_classes[5][5] = int_stack + 33511;
 Libr12->rvrr_classes[5][6] = int_stack + 33952;
 Libr12->rvrr_classes[5][7] = int_stack + 34540;
 Libr12->rvrr_classes[5][8] = int_stack + 35296;
 Libr12->rvrr_classes[5][9] = int_stack + 36241;
 Libr12->rvrr_classes[6][5] = int_stack + 37396;
 Libr12->rvrr_classes[6][6] = int_stack + 37984;
 Libr12->rvrr_classes[6][7] = int_stack + 38768;
 Libr12->rvrr_classes[6][8] = int_stack + 39776;
 Libr12->rvrr_classes[6][9] = int_stack + 41036;
 Libr12->gvrr_classes[4][5] = int_stack + 42576;
 Libr12->gvrr_classes[4][6] = int_stack + 42891;
 Libr12->gvrr_classes[4][7] = int_stack + 43311;
 Libr12->gvrr_classes[4][8] = int_stack + 43851;
 Libr12->gvrr_classes[4][9] = int_stack + 44526;
 Libr12->gvrr_classes[5][5] = int_stack + 45351;
 Libr12->gvrr_classes[5][6] = int_stack + 45792;
 Libr12->gvrr_classes[5][7] = int_stack + 46380;
 Libr12->gvrr_classes[5][8] = int_stack + 47136;
 Libr12->gvrr_classes[5][9] = int_stack + 48081;
 Libr12->gvrr_classes[6][5] = int_stack + 49236;
 Libr12->gvrr_classes[6][6] = int_stack + 49824;
 Libr12->gvrr_classes[6][7] = int_stack + 50608;
 Libr12->gvrr_classes[6][8] = int_stack + 51616;
 Libr12->gvrr_classes[6][9] = int_stack + 52876;
 memset(int_stack,0,54416*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 54416;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdhg(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+54416, int_stack+42891, int_stack+42576, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55361, int_stack+43311, int_stack+42891, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+56621, int_stack+55361, int_stack+54416, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+58511, int_stack+43851, int_stack+43311, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+60131, int_stack+58511, int_stack+55361, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+62651, int_stack+60131, int_stack+56621, 15);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+65801, int_stack+45792, int_stack+45351, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+67124, int_stack+46380, int_stack+45792, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+68888, int_stack+67124, int_stack+65801, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+71534, int_stack+47136, int_stack+46380, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+73802, int_stack+71534, int_stack+67124, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+77330, int_stack+73802, int_stack+68888, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+81740, int_stack+44526, int_stack+43851, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+83765, int_stack+81740, int_stack+58511, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+87005, int_stack+83765, int_stack+60131, 15);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91205, int_stack+315, int_stack+0, int_stack+42891, int_stack+45351, int_stack+42576, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92150, int_stack+735, int_stack+315, int_stack+43311, int_stack+45792, int_stack+42891, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93410, int_stack+92150, int_stack+91205, int_stack+55361, int_stack+65801, int_stack+54416, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95300, int_stack+1275, int_stack+735, int_stack+43851, int_stack+46380, int_stack+43311, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+96920, int_stack+95300, int_stack+92150, int_stack+58511, int_stack+67124, int_stack+55361, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99440, int_stack+96920, int_stack+93410, int_stack+60131, int_stack+68888, int_stack+56621, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54416, int_stack+1950, int_stack+1275, int_stack+44526, int_stack+47136, int_stack+43851, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91205, int_stack+54416, int_stack+95300, int_stack+81740, int_stack+71534, int_stack+58511, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54416, int_stack+91205, int_stack+96920, int_stack+83765, int_stack+73802, int_stack+60131, 4, 0);
 /*--- compute (g0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91205, int_stack+54416, int_stack+99440, int_stack+87005, int_stack+77330, int_stack+62651, 4, 0);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+54416, int_stack+49824, int_stack+49236, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+56180, int_stack+50608, int_stack+49824, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+58532, int_stack+56180, int_stack+54416, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+95930, int_stack+51616, int_stack+50608, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+98954, int_stack+95930, int_stack+56180, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+103658, int_stack+98954, int_stack+58532, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+109538, int_stack+48081, int_stack+47136, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+112373, int_stack+109538, int_stack+71534, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+116909, int_stack+112373, int_stack+73802, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42576, int_stack+3216, int_stack+2775, int_stack+45792, int_stack+49236, int_stack+45351, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3804, int_stack+3216, int_stack+46380, int_stack+49824, int_stack+45792, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122789, int_stack+0, int_stack+42576, int_stack+67124, int_stack+54416, int_stack+65801, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125435, int_stack+4560, int_stack+3804, int_stack+47136, int_stack+50608, int_stack+46380, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127703, int_stack+125435, int_stack+0, int_stack+71534, int_stack+56180, int_stack+67124, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+127703, int_stack+122789, int_stack+73802, int_stack+58532, int_stack+68888, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65801, int_stack+5505, int_stack+4560, int_stack+48081, int_stack+51616, int_stack+47136, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131231, int_stack+65801, int_stack+125435, int_stack+109538, int_stack+95930, int_stack+71534, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65801, int_stack+131231, int_stack+127703, int_stack+112373, int_stack+98954, int_stack+73802, 5, 0);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122789, int_stack+65801, int_stack+0, int_stack+116909, int_stack+103658, int_stack+77330, 5, 0);
 /*--- compute (gp|[r12,T2]|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+129404, int_stack+122789, int_stack+91205, 315);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+91205, int_stack+8004, int_stack+6660, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+9796, int_stack+8004, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+65801, int_stack+0, int_stack+91205, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+70337, int_stack+12100, int_stack+9796, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+143579, int_stack+70337, int_stack+0, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+149627, int_stack+143579, int_stack+65801, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+157187, int_stack+52876, int_stack+51616, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+160967, int_stack+157187, int_stack+95930, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+167015, int_stack+160967, int_stack+98954, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93473, int_stack+9012, int_stack+7416, int_stack+49824, int_stack+6660, int_stack+49236, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+11092, int_stack+9012, int_stack+50608, int_stack+8004, int_stack+49824, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5376, int_stack+3024, int_stack+93473, int_stack+56180, int_stack+91205, int_stack+54416, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91205, int_stack+13720, int_stack+11092, int_stack+51616, int_stack+9796, int_stack+50608, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+174855, int_stack+91205, int_stack+3024, int_stack+95930, int_stack+0, int_stack+56180, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+179559, int_stack+174855, int_stack+5376, int_stack+98954, int_stack+65801, int_stack+58532, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65801, int_stack+14980, int_stack+13720, int_stack+52876, int_stack+12100, int_stack+51616, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+65801, int_stack+91205, int_stack+157187, int_stack+70337, int_stack+95930, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65801, int_stack+0, int_stack+174855, int_stack+160967, int_stack+143579, int_stack+98954, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+65801, int_stack+179559, int_stack+167015, int_stack+149627, int_stack+103658, 6, 0);
 /*--- compute (hp|[r12,T2]|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+143579, int_stack+0, int_stack+122789, 315);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+122789, int_stack+87005, int_stack+62651, 15);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+116909, int_stack+77330, 21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+49236, int_stack+0, int_stack+122789, 315);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+16520, int_stack+44526, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+9090, int_stack+6615, int_stack+81740, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+174855, int_stack+9090, int_stack+83765, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+174855, int_stack+87005, 15);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+174855, int_stack+20285, int_stack+48081, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+178320, int_stack+174855, int_stack+109538, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+63411, int_stack+178320, int_stack+112373, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+174855, int_stack+63411, int_stack+116909, 21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+63411, int_stack+174855, int_stack+6615, 420);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+82311, int_stack+167015, int_stack+103658, 28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+91131, int_stack+82311, int_stack+0, 315);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+110976, int_stack+17825, int_stack+17510, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+111921, int_stack+18245, int_stack+17825, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+127514, int_stack+111921, int_stack+110976, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+113181, int_stack+18785, int_stack+18245, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114801, int_stack+113181, int_stack+111921, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+117321, int_stack+114801, int_stack+127514, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+110976, int_stack+19460, int_stack+18785, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+12915, int_stack+110976, int_stack+113181, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+16155, int_stack+12915, int_stack+114801, 15);
 /*--- compute (g0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+110976, int_stack+16155, int_stack+117321, 15);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12915, int_stack+22112, int_stack+21671, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14238, int_stack+22700, int_stack+22112, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+16002, int_stack+14238, int_stack+12915, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+18648, int_stack+23456, int_stack+22700, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+115701, int_stack+18648, int_stack+14238, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+163424, int_stack+115701, int_stack+16002, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+12915, int_stack+24401, int_stack+23456, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+20916, int_stack+12915, int_stack+18648, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+12915, int_stack+20916, int_stack+115701, 21);
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+115701, int_stack+12915, int_stack+163424, 21);
 /*--- compute (gp|[r12,T1]|hg) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+183675, int_stack+115701, int_stack+110976, int_stack+0, int_stack+6615, int_stack+122789, 5, 4);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+26144, int_stack+25556, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8379, int_stack+26928, int_stack+26144, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+10731, int_stack+8379, int_stack+6615, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+14259, int_stack+27936, int_stack+26928, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+17283, int_stack+14259, int_stack+8379, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+21987, int_stack+17283, int_stack+10731, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+29196, int_stack+27936, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+163424, int_stack+6615, int_stack+14259, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+163424, int_stack+17283, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+163424, int_stack+6615, int_stack+21987, 28);
 /*--- compute (hp|[r12,T1]|hg) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6615, int_stack+163424, int_stack+115701, int_stack+82311, int_stack+174855, int_stack+0, 5, 4);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+31051, int_stack+30736, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+945, int_stack+31471, int_stack+31051, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2205, int_stack+945, int_stack+0, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4095, int_stack+32011, int_stack+31471, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+82311, int_stack+4095, int_stack+945, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+84831, int_stack+82311, int_stack+2205, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+32686, int_stack+32011, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+163424, int_stack+0, int_stack+4095, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+163424, int_stack+82311, 15);
 /*--- compute (g0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+163424, int_stack+0, int_stack+84831, 15);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+33952, int_stack+33511, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1323, int_stack+34540, int_stack+33952, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3087, int_stack+1323, int_stack+0, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+82311, int_stack+35296, int_stack+34540, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+84579, int_stack+82311, int_stack+1323, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+168149, int_stack+84579, int_stack+3087, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+36241, int_stack+35296, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+172559, int_stack+0, int_stack+82311, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+172559, int_stack+84579, 21);
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+172559, int_stack+0, int_stack+168149, 21);
 /*--- compute (gp||hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+110976, int_stack+172559, int_stack+163424, 315);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+163424, int_stack+37984, int_stack+37396, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+165188, int_stack+38768, int_stack+37984, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+167540, int_stack+165188, int_stack+163424, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+39776, int_stack+38768, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+82311, int_stack+0, int_stack+165188, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+26460, int_stack+82311, int_stack+167540, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+163424, int_stack+41036, int_stack+39776, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+32340, int_stack+163424, int_stack+0, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+163424, int_stack+32340, int_stack+82311, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+82311, int_stack+163424, int_stack+26460, 28);
 /*--- compute (hp||hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+26460, int_stack+82311, int_stack+172559, 315);
 /*--- compute (gd|[r12,T2]|hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+197850, int_stack+143579, int_stack+129404, 315);
     Libr12->te_ptr[3] = int_stack + 197850;
 /*--- compute (gd|[r12,T1]|hg) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+125151, int_stack+6615, int_stack+183675, int_stack+91131, int_stack+63411, int_stack+49236, 5, 4);
     Libr12->te_ptr[2] = int_stack + 125151;
 /*--- compute (gd||hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+153501, int_stack+26460, int_stack+110976, 315);
     Libr12->te_ptr[1] = int_stack + 153501;
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+91131, int_stack+49236, 315);
     Libr12->te_ptr[0] = int_stack + 0;

}
