#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdi0(Libr12_t *, prim_data *);

  /* Computes (gd|i0) integrals for linear R12-methods */

void hrr_grt_order_gdi0(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 420;
 Libr12->t2vrr_classes[6][6] = int_stack + 1008;
 Libr12->gvrr_classes[4][7] = int_stack + 1792;
 Libr12->t1vrr_classes[4][6] = int_stack + 2332;
 Libr12->gvrr_classes[5][7] = int_stack + 2752;
 Libr12->t1vrr_classes[5][6] = int_stack + 3508;
 Libr12->t1vrr_classes[6][6] = int_stack + 4096;
 Libr12->rvrr_classes[4][6] = int_stack + 4880;
 Libr12->rvrr_classes[5][6] = int_stack + 5300;
 Libr12->rvrr_classes[6][6] = int_stack + 5888;
 Libr12->gvrr_classes[4][6] = int_stack + 6672;
 Libr12->gvrr_classes[5][6] = int_stack + 7092;
 Libr12->gvrr_classes[6][6] = int_stack + 7680;
 memset(int_stack,0,8464*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 8464;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdi0(Libr12, Data);
   Data++;
 }

 /*--- compute (gp|[r12,T2]|i0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+8464, int_stack+420, int_stack+0, 28);
 /*--- compute (hp|[r12,T2]|i0) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+9724, int_stack+1008, int_stack+420, 28);
 /*--- compute (gp|i0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+7092, int_stack+6672, 28);
 /*--- compute (gp|k0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+11488, int_stack+2752, int_stack+1792, 36);
 /*--- compute (hp|i0) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+13108, int_stack+7680, int_stack+7092, 28);
 /*--- compute (gp|[r12,T1]|i0) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+14872, int_stack+3508, int_stack+2332, int_stack+7092, int_stack+1792, int_stack+6672, 6, 0);
 /*--- compute (hp|[r12,T1]|i0) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+16132, int_stack+4096, int_stack+3508, int_stack+7680, int_stack+2752, int_stack+7092, 6, 0);
 /*--- compute (gp||i0) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+6672, int_stack+5300, int_stack+4880, 28);
 /*--- compute (hp||i0) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1260, int_stack+5888, int_stack+5300, 28);
 /*--- compute (gd|[r12,T2]|i0) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+3024, int_stack+9724, int_stack+8464, 28);
     Libr12->te_ptr[3] = int_stack + 3024;
 /*--- compute (gd|[r12,T1]|i0) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+7932, int_stack+16132, int_stack+14872, int_stack+13108, int_stack+11488, int_stack+0, 6, 0);
     Libr12->te_ptr[2] = int_stack + 7932;
 /*--- compute (gd||i0) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+14872, int_stack+1260, int_stack+6672, 28);
     Libr12->te_ptr[1] = int_stack + 14872;
 /*--- compute (gd|i0) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+10452, int_stack+13108, int_stack+0, 28);
     Libr12->te_ptr[0] = int_stack + 10452;

}
