#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdid(Libr12_t *, prim_data *);

  /* Computes (gd|id) integrals for linear R12-methods */

void hrr_grt_order_gdid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[5][6] = int_stack + 1635;
 Libr12->t2vrr_classes[5][7] = int_stack + 2223;
 Libr12->t2vrr_classes[5][8] = int_stack + 2979;
 Libr12->gvrr_classes[7][6] = int_stack + 3924;
 Libr12->t2vrr_classes[6][6] = int_stack + 4932;
 Libr12->gvrr_classes[7][7] = int_stack + 5716;
 Libr12->t2vrr_classes[6][7] = int_stack + 7012;
 Libr12->t2vrr_classes[6][8] = int_stack + 8020;
 Libr12->gvrr_classes[4][9] = int_stack + 9280;
 Libr12->t1vrr_classes[4][6] = int_stack + 10105;
 Libr12->t1vrr_classes[4][7] = int_stack + 10525;
 Libr12->t1vrr_classes[4][8] = int_stack + 11065;
 Libr12->gvrr_classes[5][9] = int_stack + 11740;
 Libr12->t1vrr_classes[5][6] = int_stack + 12895;
 Libr12->t1vrr_classes[5][7] = int_stack + 13483;
 Libr12->t1vrr_classes[5][8] = int_stack + 14239;
 Libr12->t1vrr_classes[6][6] = int_stack + 15184;
 Libr12->t1vrr_classes[6][7] = int_stack + 15968;
 Libr12->t1vrr_classes[6][8] = int_stack + 16976;
 Libr12->rvrr_classes[4][6] = int_stack + 18236;
 Libr12->rvrr_classes[4][7] = int_stack + 18656;
 Libr12->rvrr_classes[4][8] = int_stack + 19196;
 Libr12->rvrr_classes[5][6] = int_stack + 19871;
 Libr12->rvrr_classes[5][7] = int_stack + 20459;
 Libr12->rvrr_classes[5][8] = int_stack + 21215;
 Libr12->rvrr_classes[6][6] = int_stack + 22160;
 Libr12->rvrr_classes[6][7] = int_stack + 22944;
 Libr12->rvrr_classes[6][8] = int_stack + 23952;
 Libr12->gvrr_classes[4][6] = int_stack + 25212;
 Libr12->gvrr_classes[4][7] = int_stack + 25632;
 Libr12->gvrr_classes[4][8] = int_stack + 26172;
 Libr12->gvrr_classes[5][6] = int_stack + 26847;
 Libr12->gvrr_classes[5][7] = int_stack + 27435;
 Libr12->gvrr_classes[5][8] = int_stack + 28191;
 Libr12->gvrr_classes[6][6] = int_stack + 29136;
 Libr12->gvrr_classes[6][7] = int_stack + 29920;
 Libr12->gvrr_classes[6][8] = int_stack + 30928;
 memset(int_stack,0,32188*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 32188;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdid(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+32188, int_stack+25632, int_stack+25212, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+33448, int_stack+27435, int_stack+26847, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+35212, int_stack+26172, int_stack+25632, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36832, int_stack+420, int_stack+0, int_stack+25632, int_stack+26847, int_stack+25212, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38092, int_stack+960, int_stack+420, int_stack+26172, int_stack+27435, int_stack+25632, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39712, int_stack+38092, int_stack+36832, int_stack+35212, int_stack+33448, int_stack+32188, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36832, int_stack+29920, int_stack+29136, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+42232, int_stack+28191, int_stack+27435, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44500, int_stack+2223, int_stack+1635, int_stack+27435, int_stack+29136, int_stack+26847, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46264, int_stack+2979, int_stack+2223, int_stack+28191, int_stack+29920, int_stack+27435, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+46264, int_stack+44500, int_stack+42232, int_stack+36832, int_stack+33448, 5, 0);
 /*--- compute (gp|[r12,T2]|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+44500, int_stack+0, int_stack+39712, 168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+39184, int_stack+5716, int_stack+3924, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+52060, int_stack+30928, int_stack+29920, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55084, int_stack+7012, int_stack+4932, int_stack+29920, int_stack+3924, int_stack+29136, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57436, int_stack+8020, int_stack+7012, int_stack+30928, int_stack+5716, int_stack+29920, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3528, int_stack+57436, int_stack+55084, int_stack+52060, int_stack+39184, int_stack+36832, 6, 0);
 /*--- compute (hp|[r12,T2]|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+55084, int_stack+3528, int_stack+0, 168);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+35212, int_stack+32188, 15);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2520, int_stack+42232, int_stack+33448, 21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+65668, int_stack+2520, int_stack+0, 168);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6048, int_stack+9280, int_stack+26172, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+29136, int_stack+6048, int_stack+35212, 15);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6048, int_stack+11740, int_stack+28191, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+73228, int_stack+6048, int_stack+42232, 21);
 /*--- compute (gp|kd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+77764, int_stack+73228, int_stack+29136, 216);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+39184, int_stack+52060, int_stack+36832, 28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+87484, int_stack+39184, int_stack+2520, 168);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+52060, int_stack+10525, int_stack+10105, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+53320, int_stack+11065, int_stack+10525, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6048, int_stack+53320, int_stack+52060, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+52060, int_stack+13483, int_stack+12895, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+8568, int_stack+14239, int_stack+13483, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10836, int_stack+8568, int_stack+52060, 21);
 /*--- compute (gp|[r12,T1]|id) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+98068, int_stack+10836, int_stack+6048, int_stack+2520, int_stack+29136, int_stack+0, 6, 2);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+15968, int_stack+15184, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+52060, int_stack+16976, int_stack+15968, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6048, int_stack+52060, int_stack+0, 28);
 /*--- compute (hp|[r12,T1]|id) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+25212, int_stack+6048, int_stack+10836, int_stack+39184, int_stack+73228, int_stack+2520, 6, 2);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+73228, int_stack+18656, int_stack+18236, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+74488, int_stack+19196, int_stack+18656, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+74488, int_stack+73228, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+73228, int_stack+20459, int_stack+19871, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+74992, int_stack+21215, int_stack+20459, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2520, int_stack+74992, int_stack+73228, 21);
 /*--- compute (gp||id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+6048, int_stack+2520, int_stack+0, 168);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+22944, int_stack+22160, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+52060, int_stack+23952, int_stack+22944, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13608, int_stack+52060, int_stack+0, 28);
 /*--- compute (hp||id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+105628, int_stack+13608, int_stack+2520, 168);
 /*--- compute (gd|[r12,T2]|id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+116212, int_stack+55084, int_stack+44500, 168);
     Libr12->te_ptr[3] = int_stack + 116212;
 /*--- compute (gd|[r12,T1]|id) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+35796, int_stack+25212, int_stack+98068, int_stack+87484, int_stack+77764, int_stack+65668, 6, 2);
     Libr12->te_ptr[2] = int_stack + 35796;
 /*--- compute (gd||id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+13608, int_stack+105628, int_stack+6048, 168);
     Libr12->te_ptr[1] = int_stack + 13608;
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+98068, int_stack+87484, int_stack+65668, 168);
     Libr12->te_ptr[0] = int_stack + 98068;

}
