#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdif(Libr12_t *, prim_data *);

  /* Computes (gd|if) integrals for linear R12-methods */

void hrr_grt_order_gdif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[5][6] = int_stack + 2460;
 Libr12->t2vrr_classes[5][7] = int_stack + 3048;
 Libr12->t2vrr_classes[5][8] = int_stack + 3804;
 Libr12->t2vrr_classes[5][9] = int_stack + 4749;
 Libr12->gvrr_classes[7][6] = int_stack + 5904;
 Libr12->t2vrr_classes[6][6] = int_stack + 6912;
 Libr12->gvrr_classes[7][7] = int_stack + 7696;
 Libr12->t2vrr_classes[6][7] = int_stack + 8992;
 Libr12->gvrr_classes[7][8] = int_stack + 10000;
 Libr12->t2vrr_classes[6][8] = int_stack + 11620;
 Libr12->t2vrr_classes[6][9] = int_stack + 12880;
 Libr12->gvrr_classes[4][10] = int_stack + 14420;
 Libr12->t1vrr_classes[4][6] = int_stack + 15410;
 Libr12->t1vrr_classes[4][7] = int_stack + 15830;
 Libr12->t1vrr_classes[4][8] = int_stack + 16370;
 Libr12->t1vrr_classes[4][9] = int_stack + 17045;
 Libr12->gvrr_classes[5][10] = int_stack + 17870;
 Libr12->t1vrr_classes[5][6] = int_stack + 19256;
 Libr12->t1vrr_classes[5][7] = int_stack + 19844;
 Libr12->t1vrr_classes[5][8] = int_stack + 20600;
 Libr12->t1vrr_classes[5][9] = int_stack + 21545;
 Libr12->t1vrr_classes[6][6] = int_stack + 22700;
 Libr12->t1vrr_classes[6][7] = int_stack + 23484;
 Libr12->t1vrr_classes[6][8] = int_stack + 24492;
 Libr12->t1vrr_classes[6][9] = int_stack + 25752;
 Libr12->rvrr_classes[4][6] = int_stack + 27292;
 Libr12->rvrr_classes[4][7] = int_stack + 27712;
 Libr12->rvrr_classes[4][8] = int_stack + 28252;
 Libr12->rvrr_classes[4][9] = int_stack + 28927;
 Libr12->rvrr_classes[5][6] = int_stack + 29752;
 Libr12->rvrr_classes[5][7] = int_stack + 30340;
 Libr12->rvrr_classes[5][8] = int_stack + 31096;
 Libr12->rvrr_classes[5][9] = int_stack + 32041;
 Libr12->rvrr_classes[6][6] = int_stack + 33196;
 Libr12->rvrr_classes[6][7] = int_stack + 33980;
 Libr12->rvrr_classes[6][8] = int_stack + 34988;
 Libr12->rvrr_classes[6][9] = int_stack + 36248;
 Libr12->gvrr_classes[4][6] = int_stack + 37788;
 Libr12->gvrr_classes[4][7] = int_stack + 38208;
 Libr12->gvrr_classes[4][8] = int_stack + 38748;
 Libr12->gvrr_classes[4][9] = int_stack + 39423;
 Libr12->gvrr_classes[5][6] = int_stack + 40248;
 Libr12->gvrr_classes[5][7] = int_stack + 40836;
 Libr12->gvrr_classes[5][8] = int_stack + 41592;
 Libr12->gvrr_classes[5][9] = int_stack + 42537;
 Libr12->gvrr_classes[6][6] = int_stack + 43692;
 Libr12->gvrr_classes[6][7] = int_stack + 44476;
 Libr12->gvrr_classes[6][8] = int_stack + 45484;
 Libr12->gvrr_classes[6][9] = int_stack + 46744;
 memset(int_stack,0,48284*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 48284;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdif(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48284, int_stack+38208, int_stack+37788, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+49544, int_stack+38748, int_stack+38208, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+51164, int_stack+49544, int_stack+48284, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+53684, int_stack+40836, int_stack+40248, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+55448, int_stack+41592, int_stack+40836, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+57716, int_stack+55448, int_stack+53684, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+61244, int_stack+39423, int_stack+38748, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+63269, int_stack+61244, int_stack+49544, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66509, int_stack+420, int_stack+0, int_stack+38208, int_stack+40248, int_stack+37788, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67769, int_stack+960, int_stack+420, int_stack+38748, int_stack+40836, int_stack+38208, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69389, int_stack+67769, int_stack+66509, int_stack+49544, int_stack+53684, int_stack+48284, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71909, int_stack+1635, int_stack+960, int_stack+39423, int_stack+41592, int_stack+38748, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73934, int_stack+71909, int_stack+67769, int_stack+61244, int_stack+55448, int_stack+49544, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77174, int_stack+73934, int_stack+69389, int_stack+63269, int_stack+57716, int_stack+51164, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48284, int_stack+44476, int_stack+43692, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+66509, int_stack+45484, int_stack+44476, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+69533, int_stack+66509, int_stack+48284, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+74237, int_stack+42537, int_stack+41592, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+81374, int_stack+74237, int_stack+55448, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3048, int_stack+2460, int_stack+40836, int_stack+43692, int_stack+40248, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+85910, int_stack+3804, int_stack+3048, int_stack+41592, int_stack+44476, int_stack+40836, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88178, int_stack+85910, int_stack+0, int_stack+55448, int_stack+48284, int_stack+53684, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4749, int_stack+3804, int_stack+42537, int_stack+45484, int_stack+41592, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91706, int_stack+0, int_stack+85910, int_stack+74237, int_stack+66509, int_stack+55448, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+91706, int_stack+88178, int_stack+81374, int_stack+69533, int_stack+57716, 5, 0);
 /*--- compute (gp|[r12,T2]|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+85910, int_stack+0, int_stack+77174, 280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+53684, int_stack+7696, int_stack+5904, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+77072, int_stack+10000, int_stack+7696, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+98510, int_stack+77072, int_stack+53684, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+104558, int_stack+46744, int_stack+45484, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+108338, int_stack+104558, int_stack+66509, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114386, int_stack+8992, int_stack+6912, int_stack+44476, int_stack+5904, int_stack+43692, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+116738, int_stack+11620, int_stack+8992, int_stack+45484, int_stack+7696, int_stack+44476, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119762, int_stack+116738, int_stack+114386, int_stack+66509, int_stack+53684, int_stack+48284, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53684, int_stack+12880, int_stack+11620, int_stack+46744, int_stack+10000, int_stack+45484, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43692, int_stack+53684, int_stack+116738, int_stack+104558, int_stack+77072, int_stack+66509, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5880, int_stack+43692, int_stack+119762, int_stack+108338, int_stack+98510, int_stack+69533, 6, 0);
 /*--- compute (hp|[r12,T2]|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+114386, int_stack+5880, int_stack+0, 280);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+63269, int_stack+51164, 15);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+81374, int_stack+57716, 21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+43692, int_stack+4200, int_stack+0, 280);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+14420, int_stack+39423, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+98510, int_stack+10080, int_stack+61244, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+102560, int_stack+98510, int_stack+63269, 15);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+98510, int_stack+17870, int_stack+42537, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+56292, int_stack+98510, int_stack+74237, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+61962, int_stack+56292, int_stack+81374, 21);
 /*--- compute (gp|kf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+132026, int_stack+61962, int_stack+102560, 360);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+74237, int_stack+108338, int_stack+69533, 28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+148226, int_stack+74237, int_stack+4200, 280);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+56292, int_stack+15830, int_stack+15410, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+57552, int_stack+16370, int_stack+15830, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+59172, int_stack+57552, int_stack+56292, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+82077, int_stack+17045, int_stack+16370, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+98510, int_stack+82077, int_stack+57552, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+98510, int_stack+59172, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+98510, int_stack+19844, int_stack+19256, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+100274, int_stack+20600, int_stack+19844, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+82077, int_stack+100274, int_stack+98510, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+56292, int_stack+21545, int_stack+20600, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+14280, int_stack+56292, int_stack+100274, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+107960, int_stack+14280, int_stack+82077, 21);
 /*--- compute (gp|[r12,T1]|if) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+165866, int_stack+107960, int_stack+10080, int_stack+4200, int_stack+102560, int_stack+0, 6, 3);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+23484, int_stack+22700, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+24492, int_stack+23484, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13104, int_stack+10080, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+25752, int_stack+24492, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17808, int_stack+0, int_stack+10080, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+98510, int_stack+17808, int_stack+13104, 28);
 /*--- compute (hp|[r12,T1]|if) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+178466, int_stack+98510, int_stack+107960, int_stack+74237, int_stack+61962, int_stack+4200, 6, 3);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+98510, int_stack+27712, int_stack+27292, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+99770, int_stack+28252, int_stack+27712, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+101390, int_stack+99770, int_stack+98510, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+103910, int_stack+28927, int_stack+28252, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+105935, int_stack+103910, int_stack+99770, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+109175, int_stack+105935, int_stack+101390, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+98510, int_stack+30340, int_stack+29752, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+100274, int_stack+31096, int_stack+30340, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+102542, int_stack+100274, int_stack+98510, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+106070, int_stack+32041, int_stack+31096, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+106070, int_stack+100274, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4536, int_stack+0, int_stack+102542, 21);
 /*--- compute (gp||if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+10416, int_stack+4536, int_stack+109175, 280);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+33980, int_stack+33196, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+98510, int_stack+34988, int_stack+33980, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+101534, int_stack+98510, int_stack+0, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+36248, int_stack+34988, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+106238, int_stack+0, int_stack+98510, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+23016, int_stack+106238, int_stack+101534, 28);
 /*--- compute (hp||if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+56292, int_stack+23016, int_stack+4536, 280);
 /*--- compute (gd|[r12,T2]|if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+196106, int_stack+114386, int_stack+85910, 280);
     Libr12->te_ptr[3] = int_stack + 196106;
 /*--- compute (gd|[r12,T1]|if) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+73932, int_stack+178466, int_stack+165866, int_stack+148226, int_stack+132026, int_stack+43692, 6, 3);
     Libr12->te_ptr[2] = int_stack + 73932;
 /*--- compute (gd||if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+165866, int_stack+56292, int_stack+10416, 280);
     Libr12->te_ptr[1] = int_stack + 165866;
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+148226, int_stack+43692, 280);
     Libr12->te_ptr[0] = int_stack + 0;

}
