#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdig(Libr12_t *, prim_data *);

  /* Computes (gd|ig) integrals for linear R12-methods */

void hrr_grt_order_gdig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[5][6] = int_stack + 3450;
 Libr12->t2vrr_classes[5][7] = int_stack + 4038;
 Libr12->t2vrr_classes[5][8] = int_stack + 4794;
 Libr12->t2vrr_classes[5][9] = int_stack + 5739;
 Libr12->t2vrr_classes[5][10] = int_stack + 6894;
 Libr12->gvrr_classes[7][6] = int_stack + 8280;
 Libr12->t2vrr_classes[6][6] = int_stack + 9288;
 Libr12->gvrr_classes[7][7] = int_stack + 10072;
 Libr12->t2vrr_classes[6][7] = int_stack + 11368;
 Libr12->gvrr_classes[7][8] = int_stack + 12376;
 Libr12->t2vrr_classes[6][8] = int_stack + 13996;
 Libr12->gvrr_classes[7][9] = int_stack + 15256;
 Libr12->t2vrr_classes[6][9] = int_stack + 17236;
 Libr12->t2vrr_classes[6][10] = int_stack + 18776;
 Libr12->gvrr_classes[4][11] = int_stack + 20624;
 Libr12->t1vrr_classes[4][6] = int_stack + 21794;
 Libr12->t1vrr_classes[4][7] = int_stack + 22214;
 Libr12->t1vrr_classes[4][8] = int_stack + 22754;
 Libr12->t1vrr_classes[4][9] = int_stack + 23429;
 Libr12->t1vrr_classes[4][10] = int_stack + 24254;
 Libr12->gvrr_classes[5][11] = int_stack + 25244;
 Libr12->t1vrr_classes[5][6] = int_stack + 26882;
 Libr12->t1vrr_classes[5][7] = int_stack + 27470;
 Libr12->t1vrr_classes[5][8] = int_stack + 28226;
 Libr12->t1vrr_classes[5][9] = int_stack + 29171;
 Libr12->t1vrr_classes[5][10] = int_stack + 30326;
 Libr12->t1vrr_classes[6][6] = int_stack + 31712;
 Libr12->t1vrr_classes[6][7] = int_stack + 32496;
 Libr12->t1vrr_classes[6][8] = int_stack + 33504;
 Libr12->t1vrr_classes[6][9] = int_stack + 34764;
 Libr12->t1vrr_classes[6][10] = int_stack + 36304;
 Libr12->rvrr_classes[4][6] = int_stack + 38152;
 Libr12->rvrr_classes[4][7] = int_stack + 38572;
 Libr12->rvrr_classes[4][8] = int_stack + 39112;
 Libr12->rvrr_classes[4][9] = int_stack + 39787;
 Libr12->rvrr_classes[4][10] = int_stack + 40612;
 Libr12->rvrr_classes[5][6] = int_stack + 41602;
 Libr12->rvrr_classes[5][7] = int_stack + 42190;
 Libr12->rvrr_classes[5][8] = int_stack + 42946;
 Libr12->rvrr_classes[5][9] = int_stack + 43891;
 Libr12->rvrr_classes[5][10] = int_stack + 45046;
 Libr12->rvrr_classes[6][6] = int_stack + 46432;
 Libr12->rvrr_classes[6][7] = int_stack + 47216;
 Libr12->rvrr_classes[6][8] = int_stack + 48224;
 Libr12->rvrr_classes[6][9] = int_stack + 49484;
 Libr12->rvrr_classes[6][10] = int_stack + 51024;
 Libr12->gvrr_classes[4][6] = int_stack + 52872;
 Libr12->gvrr_classes[4][7] = int_stack + 53292;
 Libr12->gvrr_classes[4][8] = int_stack + 53832;
 Libr12->gvrr_classes[4][9] = int_stack + 54507;
 Libr12->gvrr_classes[4][10] = int_stack + 55332;
 Libr12->gvrr_classes[5][6] = int_stack + 56322;
 Libr12->gvrr_classes[5][7] = int_stack + 56910;
 Libr12->gvrr_classes[5][8] = int_stack + 57666;
 Libr12->gvrr_classes[5][9] = int_stack + 58611;
 Libr12->gvrr_classes[5][10] = int_stack + 59766;
 Libr12->gvrr_classes[6][6] = int_stack + 61152;
 Libr12->gvrr_classes[6][7] = int_stack + 61936;
 Libr12->gvrr_classes[6][8] = int_stack + 62944;
 Libr12->gvrr_classes[6][9] = int_stack + 64204;
 Libr12->gvrr_classes[6][10] = int_stack + 65744;
 memset(int_stack,0,67592*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 67592;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdig(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+67592, int_stack+53292, int_stack+52872, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+68852, int_stack+53832, int_stack+53292, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+70472, int_stack+68852, int_stack+67592, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+72992, int_stack+54507, int_stack+53832, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+75017, int_stack+72992, int_stack+68852, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+78257, int_stack+75017, int_stack+70472, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+82457, int_stack+56910, int_stack+56322, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+84221, int_stack+57666, int_stack+56910, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+86489, int_stack+84221, int_stack+82457, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+90017, int_stack+58611, int_stack+57666, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+92852, int_stack+90017, int_stack+84221, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+97388, int_stack+92852, int_stack+86489, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+103268, int_stack+55332, int_stack+54507, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+105743, int_stack+103268, int_stack+72992, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+109793, int_stack+105743, int_stack+75017, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115193, int_stack+420, int_stack+0, int_stack+53292, int_stack+56322, int_stack+52872, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+116453, int_stack+960, int_stack+420, int_stack+53832, int_stack+56910, int_stack+53292, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118073, int_stack+116453, int_stack+115193, int_stack+68852, int_stack+82457, int_stack+67592, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120593, int_stack+1635, int_stack+960, int_stack+54507, int_stack+57666, int_stack+53832, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122618, int_stack+120593, int_stack+116453, int_stack+72992, int_stack+84221, int_stack+68852, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125858, int_stack+122618, int_stack+118073, int_stack+75017, int_stack+86489, int_stack+70472, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67592, int_stack+2460, int_stack+1635, int_stack+55332, int_stack+58611, int_stack+54507, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115193, int_stack+67592, int_stack+120593, int_stack+103268, int_stack+90017, int_stack+72992, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67592, int_stack+115193, int_stack+122618, int_stack+105743, int_stack+92852, int_stack+75017, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115193, int_stack+67592, int_stack+125858, int_stack+109793, int_stack+97388, int_stack+78257, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+67592, int_stack+61936, int_stack+61152, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+69944, int_stack+62944, int_stack+61936, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+72968, int_stack+69944, int_stack+67592, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+121493, int_stack+64204, int_stack+62944, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+125273, int_stack+121493, int_stack+69944, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+131321, int_stack+125273, int_stack+72968, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+139161, int_stack+59766, int_stack+58611, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+142626, int_stack+139161, int_stack+90017, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+148296, int_stack+142626, int_stack+92852, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52872, int_stack+4038, int_stack+3450, int_stack+56910, int_stack+61152, int_stack+56322, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4794, int_stack+4038, int_stack+57666, int_stack+61936, int_stack+56910, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155856, int_stack+0, int_stack+52872, int_stack+84221, int_stack+67592, int_stack+82457, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159384, int_stack+5739, int_stack+4794, int_stack+58611, int_stack+62944, int_stack+57666, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+162219, int_stack+159384, int_stack+0, int_stack+90017, int_stack+69944, int_stack+84221, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+166755, int_stack+162219, int_stack+155856, int_stack+92852, int_stack+72968, int_stack+86489, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155856, int_stack+6894, int_stack+5739, int_stack+59766, int_stack+64204, int_stack+58611, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+155856, int_stack+159384, int_stack+139161, int_stack+121493, int_stack+90017, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82457, int_stack+0, int_stack+162219, int_stack+142626, int_stack+125273, int_stack+92852, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155856, int_stack+82457, int_stack+166755, int_stack+148296, int_stack+131321, int_stack+97388, 5, 0);
 /*--- compute (gp|[r12,T2]|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+164676, int_stack+155856, int_stack+115193, 420);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+115193, int_stack+10072, int_stack+8280, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+82457, int_stack+12376, int_stack+10072, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+86345, int_stack+82457, int_stack+115193, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+92393, int_stack+15256, int_stack+12376, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+92393, int_stack+82457, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+183576, int_stack+0, int_stack+86345, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+193656, int_stack+65744, int_stack+64204, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+198276, int_stack+193656, int_stack+121493, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+205836, int_stack+198276, int_stack+125273, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118217, int_stack+11368, int_stack+9288, int_stack+61936, int_stack+8280, int_stack+61152, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56322, int_stack+13996, int_stack+11368, int_stack+62944, int_stack+10072, int_stack+61936, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+215916, int_stack+56322, int_stack+118217, int_stack+69944, int_stack+115193, int_stack+67592, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115193, int_stack+17236, int_stack+13996, int_stack+64204, int_stack+12376, int_stack+62944, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7776, int_stack+115193, int_stack+56322, int_stack+121493, int_stack+82457, int_stack+69944, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+220620, int_stack+7776, int_stack+215916, int_stack+125273, int_stack+86345, int_stack+72968, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+215916, int_stack+18776, int_stack+17236, int_stack+65744, int_stack+15256, int_stack+64204, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82457, int_stack+215916, int_stack+115193, int_stack+193656, int_stack+92393, int_stack+121493, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115193, int_stack+82457, int_stack+7776, int_stack+198276, int_stack+0, int_stack+125273, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+115193, int_stack+220620, int_stack+205836, int_stack+183576, int_stack+131321, 6, 0);
 /*--- compute (hp|[r12,T2]|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+215916, int_stack+0, int_stack+155856, 420);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+155856, int_stack+109793, int_stack+78257, 15);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+148296, int_stack+97388, 21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+183576, int_stack+0, int_stack+155856, 420);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+20624, int_stack+55332, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+11790, int_stack+8820, int_stack+103268, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+115193, int_stack+11790, int_stack+105743, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+115193, int_stack+109793, 15);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+16920, int_stack+25244, int_stack+59766, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+52872, int_stack+16920, int_stack+139161, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+59802, int_stack+52872, int_stack+142626, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+69252, int_stack+59802, int_stack+148296, 21);
 /*--- compute (gp|kg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+80592, int_stack+69252, int_stack+8820, 540);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+52872, int_stack+205836, int_stack+131321, 28);
 /*--- compute (hp|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+104892, int_stack+52872, int_stack+0, 420);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+64632, int_stack+22214, int_stack+21794, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+65892, int_stack+22754, int_stack+22214, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+162156, int_stack+65892, int_stack+64632, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16920, int_stack+23429, int_stack+22754, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+18945, int_stack+16920, int_stack+65892, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+64632, int_stack+18945, int_stack+162156, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+162156, int_stack+24254, int_stack+23429, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+22185, int_stack+162156, int_stack+16920, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+202476, int_stack+22185, int_stack+18945, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+16920, int_stack+202476, int_stack+64632, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+64632, int_stack+27470, int_stack+26882, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+66396, int_stack+28226, int_stack+27470, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+202476, int_stack+66396, int_stack+64632, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+206004, int_stack+29171, int_stack+28226, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+208839, int_stack+206004, int_stack+66396, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+23220, int_stack+208839, int_stack+202476, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+202476, int_stack+30326, int_stack+29171, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+131352, int_stack+202476, int_stack+206004, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+137022, int_stack+131352, int_stack+208839, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+202476, int_stack+137022, int_stack+23220, 21);
 /*--- compute (gp|[r12,T1]|ig) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+131352, int_stack+202476, int_stack+16920, int_stack+0, int_stack+8820, int_stack+155856, 6, 4);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+32496, int_stack+31712, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+11172, int_stack+33504, int_stack+32496, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14196, int_stack+11172, int_stack+8820, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+34764, int_stack+33504, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22680, int_stack+18900, int_stack+11172, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+150252, int_stack+22680, int_stack+14196, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+211296, int_stack+36304, int_stack+34764, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+211296, int_stack+18900, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+242376, int_stack+8820, int_stack+22680, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+242376, int_stack+150252, 28);
 /*--- compute (hp|[r12,T1]|ig) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+242376, int_stack+8820, int_stack+202476, int_stack+52872, int_stack+69252, int_stack+0, 6, 4);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+38572, int_stack+38152, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+39112, int_stack+38572, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2880, int_stack+1260, int_stack+0, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+39787, int_stack+39112, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+7425, int_stack+5400, int_stack+1260, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10665, int_stack+7425, int_stack+2880, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+40612, int_stack+39787, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+14865, int_stack+0, int_stack+5400, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+14865, int_stack+7425, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+14865, int_stack+0, int_stack+10665, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+42190, int_stack+41602, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+42946, int_stack+42190, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+43891, int_stack+42946, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+21165, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+25701, int_stack+21165, int_stack+4032, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+45046, int_stack+43891, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+31581, int_stack+0, int_stack+7560, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+31581, int_stack+21165, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+31581, int_stack+0, int_stack+25701, 21);
 /*--- compute (gp||ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+52872, int_stack+31581, int_stack+14865, 420);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+47216, int_stack+46432, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+48224, int_stack+47216, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+49484, int_stack+48224, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+10080, int_stack+2352, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+19908, int_stack+13860, int_stack+5376, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+51024, int_stack+49484, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+40401, int_stack+0, int_stack+10080, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+40401, int_stack+13860, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+40401, int_stack+0, int_stack+19908, 28);
 /*--- compute (hp||ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+40401, int_stack+31581, 420);
 /*--- compute (gd|[r12,T2]|ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+268836, int_stack+215916, int_stack+164676, 420);
     Libr12->te_ptr[3] = int_stack + 268836;
 /*--- compute (gd|[r12,T1]|ig) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+202476, int_stack+242376, int_stack+131352, int_stack+104892, int_stack+80592, int_stack+183576, 6, 4);
     Libr12->te_ptr[2] = int_stack + 202476;
 /*--- compute (gd||ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+131352, int_stack+0, int_stack+52872, 420);
     Libr12->te_ptr[1] = int_stack + 131352;
 /*--- compute (gd|ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+104892, int_stack+183576, 420);
     Libr12->te_ptr[0] = int_stack + 0;

}
