#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdih(Libr12_t *, prim_data *);

  /* Computes (gd|ih) integrals for linear R12-methods */

void hrr_grt_order_gdih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[4][11] = int_stack + 3450;
 Libr12->t2vrr_classes[5][6] = int_stack + 4620;
 Libr12->t2vrr_classes[5][7] = int_stack + 5208;
 Libr12->t2vrr_classes[5][8] = int_stack + 5964;
 Libr12->t2vrr_classes[5][9] = int_stack + 6909;
 Libr12->t2vrr_classes[5][10] = int_stack + 8064;
 Libr12->t2vrr_classes[5][11] = int_stack + 9450;
 Libr12->gvrr_classes[7][6] = int_stack + 11088;
 Libr12->t2vrr_classes[6][6] = int_stack + 12096;
 Libr12->gvrr_classes[7][7] = int_stack + 12880;
 Libr12->t2vrr_classes[6][7] = int_stack + 14176;
 Libr12->gvrr_classes[7][8] = int_stack + 15184;
 Libr12->t2vrr_classes[6][8] = int_stack + 16804;
 Libr12->gvrr_classes[7][9] = int_stack + 18064;
 Libr12->t2vrr_classes[6][9] = int_stack + 20044;
 Libr12->gvrr_classes[7][10] = int_stack + 21584;
 Libr12->t2vrr_classes[6][10] = int_stack + 23960;
 Libr12->t2vrr_classes[6][11] = int_stack + 25808;
 Libr12->gvrr_classes[4][12] = int_stack + 27992;
 Libr12->t1vrr_classes[4][6] = int_stack + 29357;
 Libr12->t1vrr_classes[4][7] = int_stack + 29777;
 Libr12->t1vrr_classes[4][8] = int_stack + 30317;
 Libr12->t1vrr_classes[4][9] = int_stack + 30992;
 Libr12->t1vrr_classes[4][10] = int_stack + 31817;
 Libr12->t1vrr_classes[4][11] = int_stack + 32807;
 Libr12->gvrr_classes[5][12] = int_stack + 33977;
 Libr12->t1vrr_classes[5][6] = int_stack + 35888;
 Libr12->t1vrr_classes[5][7] = int_stack + 36476;
 Libr12->t1vrr_classes[5][8] = int_stack + 37232;
 Libr12->t1vrr_classes[5][9] = int_stack + 38177;
 Libr12->t1vrr_classes[5][10] = int_stack + 39332;
 Libr12->t1vrr_classes[5][11] = int_stack + 40718;
 Libr12->t1vrr_classes[6][6] = int_stack + 42356;
 Libr12->t1vrr_classes[6][7] = int_stack + 43140;
 Libr12->t1vrr_classes[6][8] = int_stack + 44148;
 Libr12->t1vrr_classes[6][9] = int_stack + 45408;
 Libr12->t1vrr_classes[6][10] = int_stack + 46948;
 Libr12->t1vrr_classes[6][11] = int_stack + 48796;
 Libr12->rvrr_classes[4][6] = int_stack + 50980;
 Libr12->rvrr_classes[4][7] = int_stack + 51400;
 Libr12->rvrr_classes[4][8] = int_stack + 51940;
 Libr12->rvrr_classes[4][9] = int_stack + 52615;
 Libr12->rvrr_classes[4][10] = int_stack + 53440;
 Libr12->rvrr_classes[4][11] = int_stack + 54430;
 Libr12->rvrr_classes[5][6] = int_stack + 55600;
 Libr12->rvrr_classes[5][7] = int_stack + 56188;
 Libr12->rvrr_classes[5][8] = int_stack + 56944;
 Libr12->rvrr_classes[5][9] = int_stack + 57889;
 Libr12->rvrr_classes[5][10] = int_stack + 59044;
 Libr12->rvrr_classes[5][11] = int_stack + 60430;
 Libr12->rvrr_classes[6][6] = int_stack + 62068;
 Libr12->rvrr_classes[6][7] = int_stack + 62852;
 Libr12->rvrr_classes[6][8] = int_stack + 63860;
 Libr12->rvrr_classes[6][9] = int_stack + 65120;
 Libr12->rvrr_classes[6][10] = int_stack + 66660;
 Libr12->rvrr_classes[6][11] = int_stack + 68508;
 Libr12->gvrr_classes[4][6] = int_stack + 70692;
 Libr12->gvrr_classes[4][7] = int_stack + 71112;
 Libr12->gvrr_classes[4][8] = int_stack + 71652;
 Libr12->gvrr_classes[4][9] = int_stack + 72327;
 Libr12->gvrr_classes[4][10] = int_stack + 73152;
 Libr12->gvrr_classes[4][11] = int_stack + 74142;
 Libr12->gvrr_classes[5][6] = int_stack + 75312;
 Libr12->gvrr_classes[5][7] = int_stack + 75900;
 Libr12->gvrr_classes[5][8] = int_stack + 76656;
 Libr12->gvrr_classes[5][9] = int_stack + 77601;
 Libr12->gvrr_classes[5][10] = int_stack + 78756;
 Libr12->gvrr_classes[5][11] = int_stack + 80142;
 Libr12->gvrr_classes[6][6] = int_stack + 81780;
 Libr12->gvrr_classes[6][7] = int_stack + 82564;
 Libr12->gvrr_classes[6][8] = int_stack + 83572;
 Libr12->gvrr_classes[6][9] = int_stack + 84832;
 Libr12->gvrr_classes[6][10] = int_stack + 86372;
 Libr12->gvrr_classes[6][11] = int_stack + 88220;
 memset(int_stack,0,90404*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 90404;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdih(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+90404, int_stack+71112, int_stack+70692, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+91664, int_stack+71652, int_stack+71112, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+93284, int_stack+91664, int_stack+90404, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+95804, int_stack+72327, int_stack+71652, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+97829, int_stack+95804, int_stack+91664, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+101069, int_stack+97829, int_stack+93284, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+105269, int_stack+73152, int_stack+72327, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+107744, int_stack+105269, int_stack+95804, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+111794, int_stack+107744, int_stack+97829, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+117194, int_stack+111794, int_stack+101069, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+123494, int_stack+75900, int_stack+75312, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+125258, int_stack+76656, int_stack+75900, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+127526, int_stack+125258, int_stack+123494, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+131054, int_stack+77601, int_stack+76656, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+133889, int_stack+131054, int_stack+125258, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+138425, int_stack+133889, int_stack+127526, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+144305, int_stack+78756, int_stack+77601, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+147770, int_stack+144305, int_stack+131054, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+153440, int_stack+147770, int_stack+133889, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+161000, int_stack+153440, int_stack+138425, 21);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+169820, int_stack+74142, int_stack+73152, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+172790, int_stack+169820, int_stack+105269, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+177740, int_stack+172790, int_stack+107744, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+184490, int_stack+177740, int_stack+111794, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192590, int_stack+420, int_stack+0, int_stack+71112, int_stack+75312, int_stack+70692, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193850, int_stack+960, int_stack+420, int_stack+71652, int_stack+75900, int_stack+71112, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+195470, int_stack+193850, int_stack+192590, int_stack+91664, int_stack+123494, int_stack+90404, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197990, int_stack+1635, int_stack+960, int_stack+72327, int_stack+76656, int_stack+71652, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200015, int_stack+197990, int_stack+193850, int_stack+95804, int_stack+125258, int_stack+91664, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203255, int_stack+200015, int_stack+195470, int_stack+97829, int_stack+127526, int_stack+93284, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90404, int_stack+2460, int_stack+1635, int_stack+73152, int_stack+77601, int_stack+72327, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192590, int_stack+90404, int_stack+197990, int_stack+105269, int_stack+131054, int_stack+95804, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+207455, int_stack+192590, int_stack+200015, int_stack+107744, int_stack+133889, int_stack+97829, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92879, int_stack+207455, int_stack+203255, int_stack+111794, int_stack+138425, int_stack+101069, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99179, int_stack+3450, int_stack+2460, int_stack+74142, int_stack+78756, int_stack+73152, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+196640, int_stack+99179, int_stack+90404, int_stack+169820, int_stack+144305, int_stack+105269, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99179, int_stack+196640, int_stack+192590, int_stack+172790, int_stack+147770, int_stack+107744, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192590, int_stack+99179, int_stack+207455, int_stack+177740, int_stack+153440, int_stack+111794, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99179, int_stack+192590, int_stack+92879, int_stack+184490, int_stack+161000, int_stack+117194, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+192590, int_stack+82564, int_stack+81780, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+194942, int_stack+83572, int_stack+82564, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+197966, int_stack+194942, int_stack+192590, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+202670, int_stack+84832, int_stack+83572, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+206450, int_stack+202670, int_stack+194942, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+107999, int_stack+206450, int_stack+197966, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+86372, int_stack+84832, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+90404, int_stack+0, int_stack+202670, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+212498, int_stack+90404, int_stack+206450, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+222578, int_stack+212498, int_stack+107999, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+234338, int_stack+80142, int_stack+78756, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+238496, int_stack+234338, int_stack+144305, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+245426, int_stack+238496, int_stack+147770, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+254876, int_stack+245426, int_stack+153440, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70692, int_stack+5208, int_stack+4620, int_stack+75900, int_stack+81780, int_stack+75312, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+266216, int_stack+5964, int_stack+5208, int_stack+76656, int_stack+82564, int_stack+75900, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+268484, int_stack+266216, int_stack+70692, int_stack+125258, int_stack+192590, int_stack+123494, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70692, int_stack+6909, int_stack+5964, int_stack+77601, int_stack+83572, int_stack+76656, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+272012, int_stack+70692, int_stack+266216, int_stack+131054, int_stack+194942, int_stack+125258, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+276548, int_stack+272012, int_stack+268484, int_stack+133889, int_stack+197966, int_stack+127526, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+266216, int_stack+8064, int_stack+6909, int_stack+78756, int_stack+84832, int_stack+77601, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123494, int_stack+266216, int_stack+70692, int_stack+144305, int_stack+202670, int_stack+131054, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+282428, int_stack+123494, int_stack+272012, int_stack+147770, int_stack+206450, int_stack+133889, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+129164, int_stack+282428, int_stack+276548, int_stack+153440, int_stack+107999, int_stack+138425, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+269681, int_stack+9450, int_stack+8064, int_stack+80142, int_stack+86372, int_stack+78756, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273839, int_stack+269681, int_stack+266216, int_stack+234338, int_stack+0, int_stack+144305, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137984, int_stack+273839, int_stack+123494, int_stack+238496, int_stack+90404, int_stack+147770, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+266216, int_stack+137984, int_stack+282428, int_stack+245426, int_stack+212498, int_stack+153440, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137984, int_stack+266216, int_stack+129164, int_stack+254876, int_stack+222578, int_stack+161000, 5, 0);
 /*--- compute (gp|[r12,T2]|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+266216, int_stack+137984, int_stack+99179, 588);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+150332, int_stack+12880, int_stack+11088, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+153356, int_stack+15184, int_stack+12880, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+123494, int_stack+153356, int_stack+150332, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+129542, int_stack+18064, int_stack+15184, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+97964, int_stack+129542, int_stack+153356, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+292676, int_stack+97964, int_stack+123494, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+21584, int_stack+18064, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+302756, int_stack+4620, int_stack+129542, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+312476, int_stack+302756, int_stack+97964, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+325436, int_stack+312476, int_stack+292676, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+340556, int_stack+88220, int_stack+86372, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+346100, int_stack+340556, int_stack+0, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+355340, int_stack+346100, int_stack+90404, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+367940, int_stack+355340, int_stack+212498, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157244, int_stack+14176, int_stack+12096, int_stack+82564, int_stack+11088, int_stack+81780, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+134402, int_stack+16804, int_stack+14176, int_stack+83572, int_stack+12880, int_stack+82564, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+75312, int_stack+134402, int_stack+157244, int_stack+194942, int_stack+150332, int_stack+192590, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10560, int_stack+20044, int_stack+16804, int_stack+84832, int_stack+15184, int_stack+83572, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+383060, int_stack+10560, int_stack+134402, int_stack+202670, int_stack+153356, int_stack+194942, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150332, int_stack+383060, int_stack+75312, int_stack+206450, int_stack+123494, int_stack+197966, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123494, int_stack+23960, int_stack+20044, int_stack+86372, int_stack+18064, int_stack+84832, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192590, int_stack+123494, int_stack+10560, int_stack+0, int_stack+129542, int_stack+202670, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10560, int_stack+192590, int_stack+383060, int_stack+90404, int_stack+97964, int_stack+206450, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200150, int_stack+10560, int_stack+150332, int_stack+212498, int_stack+292676, int_stack+107999, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+292676, int_stack+25808, int_stack+23960, int_stack+88220, int_stack+21584, int_stack+86372, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150332, int_stack+292676, int_stack+123494, int_stack+340556, int_stack+4620, int_stack+0, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123494, int_stack+150332, int_stack+192590, int_stack+346100, int_stack+302756, int_stack+90404, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+292676, int_stack+123494, int_stack+10560, int_stack+355340, int_stack+312476, int_stack+212498, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+292676, int_stack+200150, int_stack+367940, int_stack+325436, int_stack+222578, 6, 0);
 /*--- compute (hp|[r12,T2]|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+292676, int_stack+0, int_stack+137984, 588);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+184490, int_stack+117194, 15);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+254876, int_stack+161000, 21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+329720, int_stack+8820, int_stack+0, 588);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+27992, int_stack+74142, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+356180, int_stack+21168, int_stack+169820, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+192590, int_stack+356180, int_stack+172790, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+356180, int_stack+192590, int_stack+177740, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+192590, int_stack+356180, int_stack+184490, 15);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+356180, int_stack+33977, int_stack+80142, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+203930, int_stack+356180, int_stack+234338, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+356180, int_stack+203930, int_stack+238496, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+203930, int_stack+356180, int_stack+245426, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+234338, int_stack+203930, int_stack+254876, 21);
 /*--- compute (gp|kh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+70692, int_stack+234338, int_stack+192590, 756);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+203930, int_stack+367940, int_stack+222578, 28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+104712, int_stack+203930, int_stack+8820, 588);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+220394, int_stack+29777, int_stack+29357, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+221654, int_stack+30317, int_stack+29777, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+223274, int_stack+221654, int_stack+220394, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+225794, int_stack+30992, int_stack+30317, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+227819, int_stack+225794, int_stack+221654, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+356180, int_stack+227819, int_stack+223274, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+220394, int_stack+31817, int_stack+30992, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+360380, int_stack+220394, int_stack+225794, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+364430, int_stack+360380, int_stack+227819, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+222869, int_stack+364430, int_stack+356180, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+356180, int_stack+32807, int_stack+31817, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+229169, int_stack+356180, int_stack+220394, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+369830, int_stack+229169, int_stack+360380, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+356180, int_stack+369830, int_stack+364430, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+364280, int_stack+356180, int_stack+222869, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+356180, int_stack+36476, int_stack+35888, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+357944, int_stack+37232, int_stack+36476, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+360212, int_stack+357944, int_stack+356180, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+220394, int_stack+38177, int_stack+37232, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+223229, int_stack+220394, int_stack+357944, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+227765, int_stack+223229, int_stack+360212, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+356180, int_stack+39332, int_stack+38177, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+373100, int_stack+356180, int_stack+220394, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+378770, int_stack+373100, int_stack+223229, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+250214, int_stack+378770, int_stack+227765, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+220394, int_stack+40718, int_stack+39332, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+224552, int_stack+220394, int_stack+356180, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+224552, int_stack+373100, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+220394, int_stack+21168, int_stack+378770, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+220394, int_stack+250214, 21);
 /*--- compute (gp|[r12,T1]|ih) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+141756, int_stack+21168, int_stack+364280, int_stack+8820, int_stack+192590, int_stack+0, 6, 5);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+43140, int_stack+42356, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+44148, int_stack+43140, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+250214, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+254918, int_stack+45408, int_stack+44148, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+258698, int_stack+254918, int_stack+2352, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+258698, int_stack+250214, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+250214, int_stack+46948, int_stack+45408, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+220394, int_stack+250214, int_stack+254918, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+33516, int_stack+220394, int_stack+258698, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+356180, int_stack+33516, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+48796, int_stack+46948, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+254834, int_stack+0, int_stack+250214, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+367940, int_stack+254834, int_stack+220394, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+250214, int_stack+367940, int_stack+33516, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+33516, int_stack+250214, int_stack+356180, 28);
 /*--- compute (hp|[r12,T1]|ih) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+356180, int_stack+33516, int_stack+21168, int_stack+203930, int_stack+234338, int_stack+8820, 6, 5);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+51400, int_stack+50980, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+51940, int_stack+51400, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2880, int_stack+1260, int_stack+0, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+52615, int_stack+51940, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+7425, int_stack+5400, int_stack+1260, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10665, int_stack+7425, int_stack+2880, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+53440, int_stack+52615, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+14865, int_stack+0, int_stack+5400, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+18915, int_stack+14865, int_stack+7425, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2475, int_stack+18915, int_stack+10665, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+8775, int_stack+54430, int_stack+53440, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+24315, int_stack+8775, int_stack+0, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+29265, int_stack+24315, int_stack+14865, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+8775, int_stack+29265, int_stack+18915, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+16875, int_stack+8775, int_stack+2475, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+56188, int_stack+55600, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+56944, int_stack+56188, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+57889, int_stack+56944, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10395, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+25695, int_stack+10395, int_stack+4032, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+59044, int_stack+57889, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+31575, int_stack+0, int_stack+7560, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+37245, int_stack+31575, int_stack+10395, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3465, int_stack+37245, int_stack+25695, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+25695, int_stack+60430, int_stack+59044, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+44805, int_stack+25695, int_stack+0, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+51735, int_stack+44805, int_stack+31575, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+25695, int_stack+51735, int_stack+37245, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+37035, int_stack+25695, int_stack+3465, 21);
 /*--- compute (gp||ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+168216, int_stack+37035, int_stack+16875, 588);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+62852, int_stack+62068, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+63860, int_stack+62852, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+65120, int_stack+63860, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+10080, int_stack+2352, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+19908, int_stack+13860, int_stack+5376, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+66660, int_stack+65120, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+27748, int_stack+0, int_stack+10080, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+49383, int_stack+27748, int_stack+13860, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+49383, int_stack+19908, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+16380, int_stack+68508, int_stack+66660, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+59463, int_stack+16380, int_stack+0, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+194676, int_stack+59463, int_stack+27748, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+16380, int_stack+194676, int_stack+49383, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+49383, int_stack+16380, int_stack+4620, 28);
 /*--- compute (hp||ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+194676, int_stack+49383, int_stack+37035, 588);
 /*--- compute (gd|[r12,T2]|ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+292676, int_stack+266216, 588);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (gd|[r12,T1]|ih) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+231720, int_stack+356180, int_stack+141756, int_stack+104712, int_stack+70692, int_stack+329720, 6, 5);
     Libr12->te_ptr[2] = int_stack + 231720;
 /*--- compute (gd||ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+356180, int_stack+194676, int_stack+168216, 588);
     Libr12->te_ptr[1] = int_stack + 356180;
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+141756, int_stack+104712, int_stack+329720, 588);
     Libr12->te_ptr[0] = int_stack + 141756;

}
