#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdii(Libr12_t *, prim_data *);

  /* Computes (gd|ii) integrals for linear R12-methods */

void hrr_grt_order_gdii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[4][11] = int_stack + 3450;
 Libr12->t2vrr_classes[4][12] = int_stack + 4620;
 Libr12->t2vrr_classes[5][6] = int_stack + 5985;
 Libr12->t2vrr_classes[5][7] = int_stack + 6573;
 Libr12->t2vrr_classes[5][8] = int_stack + 7329;
 Libr12->t2vrr_classes[5][9] = int_stack + 8274;
 Libr12->t2vrr_classes[5][10] = int_stack + 9429;
 Libr12->t2vrr_classes[5][11] = int_stack + 10815;
 Libr12->t2vrr_classes[5][12] = int_stack + 12453;
 Libr12->gvrr_classes[7][6] = int_stack + 14364;
 Libr12->t2vrr_classes[6][6] = int_stack + 15372;
 Libr12->gvrr_classes[7][7] = int_stack + 16156;
 Libr12->t2vrr_classes[6][7] = int_stack + 17452;
 Libr12->gvrr_classes[7][8] = int_stack + 18460;
 Libr12->t2vrr_classes[6][8] = int_stack + 20080;
 Libr12->gvrr_classes[7][9] = int_stack + 21340;
 Libr12->t2vrr_classes[6][9] = int_stack + 23320;
 Libr12->gvrr_classes[7][10] = int_stack + 24860;
 Libr12->t2vrr_classes[6][10] = int_stack + 27236;
 Libr12->gvrr_classes[7][11] = int_stack + 29084;
 Libr12->t2vrr_classes[6][11] = int_stack + 31892;
 Libr12->t2vrr_classes[6][12] = int_stack + 34076;
 Libr12->gvrr_classes[4][13] = int_stack + 36624;
 Libr12->t1vrr_classes[4][6] = int_stack + 38199;
 Libr12->t1vrr_classes[4][7] = int_stack + 38619;
 Libr12->t1vrr_classes[4][8] = int_stack + 39159;
 Libr12->t1vrr_classes[4][9] = int_stack + 39834;
 Libr12->t1vrr_classes[4][10] = int_stack + 40659;
 Libr12->t1vrr_classes[4][11] = int_stack + 41649;
 Libr12->t1vrr_classes[4][12] = int_stack + 42819;
 Libr12->gvrr_classes[5][13] = int_stack + 44184;
 Libr12->t1vrr_classes[5][6] = int_stack + 46389;
 Libr12->t1vrr_classes[5][7] = int_stack + 46977;
 Libr12->t1vrr_classes[5][8] = int_stack + 47733;
 Libr12->t1vrr_classes[5][9] = int_stack + 48678;
 Libr12->t1vrr_classes[5][10] = int_stack + 49833;
 Libr12->t1vrr_classes[5][11] = int_stack + 51219;
 Libr12->t1vrr_classes[5][12] = int_stack + 52857;
 Libr12->t1vrr_classes[6][6] = int_stack + 54768;
 Libr12->t1vrr_classes[6][7] = int_stack + 55552;
 Libr12->t1vrr_classes[6][8] = int_stack + 56560;
 Libr12->t1vrr_classes[6][9] = int_stack + 57820;
 Libr12->t1vrr_classes[6][10] = int_stack + 59360;
 Libr12->t1vrr_classes[6][11] = int_stack + 61208;
 Libr12->t1vrr_classes[6][12] = int_stack + 63392;
 Libr12->rvrr_classes[4][6] = int_stack + 65940;
 Libr12->rvrr_classes[4][7] = int_stack + 66360;
 Libr12->rvrr_classes[4][8] = int_stack + 66900;
 Libr12->rvrr_classes[4][9] = int_stack + 67575;
 Libr12->rvrr_classes[4][10] = int_stack + 68400;
 Libr12->rvrr_classes[4][11] = int_stack + 69390;
 Libr12->rvrr_classes[4][12] = int_stack + 70560;
 Libr12->rvrr_classes[5][6] = int_stack + 71925;
 Libr12->rvrr_classes[5][7] = int_stack + 72513;
 Libr12->rvrr_classes[5][8] = int_stack + 73269;
 Libr12->rvrr_classes[5][9] = int_stack + 74214;
 Libr12->rvrr_classes[5][10] = int_stack + 75369;
 Libr12->rvrr_classes[5][11] = int_stack + 76755;
 Libr12->rvrr_classes[5][12] = int_stack + 78393;
 Libr12->rvrr_classes[6][6] = int_stack + 80304;
 Libr12->rvrr_classes[6][7] = int_stack + 81088;
 Libr12->rvrr_classes[6][8] = int_stack + 82096;
 Libr12->rvrr_classes[6][9] = int_stack + 83356;
 Libr12->rvrr_classes[6][10] = int_stack + 84896;
 Libr12->rvrr_classes[6][11] = int_stack + 86744;
 Libr12->rvrr_classes[6][12] = int_stack + 88928;
 Libr12->gvrr_classes[4][6] = int_stack + 91476;
 Libr12->gvrr_classes[4][7] = int_stack + 91896;
 Libr12->gvrr_classes[4][8] = int_stack + 92436;
 Libr12->gvrr_classes[4][9] = int_stack + 93111;
 Libr12->gvrr_classes[4][10] = int_stack + 93936;
 Libr12->gvrr_classes[4][11] = int_stack + 94926;
 Libr12->gvrr_classes[4][12] = int_stack + 96096;
 Libr12->gvrr_classes[5][6] = int_stack + 97461;
 Libr12->gvrr_classes[5][7] = int_stack + 98049;
 Libr12->gvrr_classes[5][8] = int_stack + 98805;
 Libr12->gvrr_classes[5][9] = int_stack + 99750;
 Libr12->gvrr_classes[5][10] = int_stack + 100905;
 Libr12->gvrr_classes[5][11] = int_stack + 102291;
 Libr12->gvrr_classes[5][12] = int_stack + 103929;
 Libr12->gvrr_classes[6][6] = int_stack + 105840;
 Libr12->gvrr_classes[6][7] = int_stack + 106624;
 Libr12->gvrr_classes[6][8] = int_stack + 107632;
 Libr12->gvrr_classes[6][9] = int_stack + 108892;
 Libr12->gvrr_classes[6][10] = int_stack + 110432;
 Libr12->gvrr_classes[6][11] = int_stack + 112280;
 Libr12->gvrr_classes[6][12] = int_stack + 114464;
 memset(int_stack,0,117012*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 117012;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdii(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+117012, int_stack+91896, int_stack+91476, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+118272, int_stack+92436, int_stack+91896, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+119892, int_stack+118272, int_stack+117012, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+122412, int_stack+93111, int_stack+92436, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+124437, int_stack+122412, int_stack+118272, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+127677, int_stack+124437, int_stack+119892, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+131877, int_stack+93936, int_stack+93111, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+134352, int_stack+131877, int_stack+122412, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+138402, int_stack+134352, int_stack+124437, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+143802, int_stack+138402, int_stack+127677, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+150102, int_stack+94926, int_stack+93936, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+153072, int_stack+150102, int_stack+131877, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+158022, int_stack+153072, int_stack+134352, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+164772, int_stack+158022, int_stack+138402, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+172872, int_stack+164772, int_stack+143802, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+181692, int_stack+98049, int_stack+97461, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+183456, int_stack+98805, int_stack+98049, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+185724, int_stack+183456, int_stack+181692, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+189252, int_stack+99750, int_stack+98805, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+192087, int_stack+189252, int_stack+183456, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+196623, int_stack+192087, int_stack+185724, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+202503, int_stack+100905, int_stack+99750, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+205968, int_stack+202503, int_stack+189252, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+211638, int_stack+205968, int_stack+192087, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+219198, int_stack+211638, int_stack+196623, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+228018, int_stack+102291, int_stack+100905, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+232176, int_stack+228018, int_stack+202503, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+239106, int_stack+232176, int_stack+205968, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+248556, int_stack+239106, int_stack+211638, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+259896, int_stack+248556, int_stack+219198, 21);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+272244, int_stack+96096, int_stack+94926, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+275754, int_stack+272244, int_stack+150102, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+281694, int_stack+275754, int_stack+153072, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+289944, int_stack+281694, int_stack+158022, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+300069, int_stack+289944, int_stack+164772, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+311409, int_stack+420, int_stack+0, int_stack+91896, int_stack+97461, int_stack+91476, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+312669, int_stack+960, int_stack+420, int_stack+92436, int_stack+98049, int_stack+91896, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+314289, int_stack+312669, int_stack+311409, int_stack+118272, int_stack+181692, int_stack+117012, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316809, int_stack+1635, int_stack+960, int_stack+93111, int_stack+98805, int_stack+92436, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318834, int_stack+316809, int_stack+312669, int_stack+122412, int_stack+183456, int_stack+118272, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+322074, int_stack+318834, int_stack+314289, int_stack+124437, int_stack+185724, int_stack+119892, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117012, int_stack+2460, int_stack+1635, int_stack+93936, int_stack+99750, int_stack+93111, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+311409, int_stack+117012, int_stack+316809, int_stack+131877, int_stack+189252, int_stack+122412, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+326274, int_stack+311409, int_stack+318834, int_stack+134352, int_stack+192087, int_stack+124437, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119487, int_stack+326274, int_stack+322074, int_stack+138402, int_stack+196623, int_stack+127677, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125787, int_stack+3450, int_stack+2460, int_stack+94926, int_stack+100905, int_stack+93936, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315459, int_stack+125787, int_stack+117012, int_stack+150102, int_stack+202503, int_stack+131877, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+331674, int_stack+315459, int_stack+311409, int_stack+153072, int_stack+205968, int_stack+134352, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+128757, int_stack+331674, int_stack+326274, int_stack+158022, int_stack+211638, int_stack+138402, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320409, int_stack+128757, int_stack+119487, int_stack+164772, int_stack+219198, int_stack+143802, 4, 0);
 /*--- compute (g0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+311409, int_stack+4620, int_stack+3450, int_stack+96096, int_stack+102291, int_stack+94926, 4, 0);
 /*--- compute (g0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117012, int_stack+311409, int_stack+125787, int_stack+272244, int_stack+228018, int_stack+150102, 4, 0);
 /*--- compute (g0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136857, int_stack+117012, int_stack+315459, int_stack+275754, int_stack+232176, int_stack+153072, 4, 0);
 /*--- compute (g0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117012, int_stack+136857, int_stack+331674, int_stack+281694, int_stack+239106, int_stack+158022, 4, 0);
 /*--- compute (g0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136857, int_stack+117012, int_stack+128757, int_stack+289944, int_stack+248556, int_stack+164772, 4, 0);
 /*--- compute (g0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117012, int_stack+136857, int_stack+320409, int_stack+300069, int_stack+259896, int_stack+172872, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+128772, int_stack+106624, int_stack+105840, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+131124, int_stack+107632, int_stack+106624, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+134148, int_stack+131124, int_stack+128772, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+138852, int_stack+108892, int_stack+107632, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+142632, int_stack+138852, int_stack+131124, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+148680, int_stack+142632, int_stack+134148, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+91476, int_stack+110432, int_stack+108892, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+156520, int_stack+91476, int_stack+138852, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+311409, int_stack+156520, int_stack+142632, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+321489, int_stack+311409, int_stack+148680, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+164080, int_stack+112280, int_stack+110432, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+333249, int_stack+164080, int_stack+91476, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+342489, int_stack+333249, int_stack+156520, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+355089, int_stack+342489, int_stack+311409, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+370209, int_stack+355089, int_stack+321489, 28);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+103929, int_stack+102291, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+386673, int_stack+0, int_stack+228018, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+394989, int_stack+386673, int_stack+232176, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+406539, int_stack+394989, int_stack+239106, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+420714, int_stack+406539, int_stack+248556, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169624, int_stack+6573, int_stack+5985, int_stack+98049, int_stack+105840, int_stack+97461, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+436590, int_stack+7329, int_stack+6573, int_stack+98805, int_stack+106624, int_stack+98049, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+438858, int_stack+436590, int_stack+169624, int_stack+183456, int_stack+128772, int_stack+181692, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169624, int_stack+8274, int_stack+7329, int_stack+99750, int_stack+107632, int_stack+98805, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+442386, int_stack+169624, int_stack+436590, int_stack+189252, int_stack+131124, int_stack+183456, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+446922, int_stack+442386, int_stack+438858, int_stack+192087, int_stack+134148, int_stack+185724, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+436590, int_stack+9429, int_stack+8274, int_stack+100905, int_stack+108892, int_stack+99750, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181692, int_stack+436590, int_stack+169624, int_stack+202503, int_stack+138852, int_stack+189252, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+452802, int_stack+181692, int_stack+442386, int_stack+205968, int_stack+142632, int_stack+192087, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187362, int_stack+452802, int_stack+446922, int_stack+211638, int_stack+148680, int_stack+196623, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+440055, int_stack+10815, int_stack+9429, int_stack+102291, int_stack+110432, int_stack+100905, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+444213, int_stack+440055, int_stack+436590, int_stack+228018, int_stack+91476, int_stack+202503, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+196182, int_stack+444213, int_stack+181692, int_stack+232176, int_stack+156520, int_stack+205968, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+460362, int_stack+196182, int_stack+452802, int_stack+239106, int_stack+311409, int_stack+211638, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+205632, int_stack+460362, int_stack+187362, int_stack+248556, int_stack+321489, int_stack+219198, 5, 0);
 /*--- compute (h0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181692, int_stack+12453, int_stack+10815, int_stack+103929, int_stack+112280, int_stack+102291, 5, 0);
 /*--- compute (h0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+186606, int_stack+181692, int_stack+440055, int_stack+0, int_stack+164080, int_stack+228018, 5, 0);
 /*--- compute (h0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+217980, int_stack+186606, int_stack+444213, int_stack+386673, int_stack+333249, int_stack+232176, 5, 0);
 /*--- compute (h0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181692, int_stack+217980, int_stack+196182, int_stack+394989, int_stack+342489, int_stack+239106, 5, 0);
 /*--- compute (h0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+217980, int_stack+181692, int_stack+460362, int_stack+406539, int_stack+355089, int_stack+248556, 5, 0);
 /*--- compute (h0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+181692, int_stack+217980, int_stack+205632, int_stack+420714, int_stack+370209, int_stack+259896, 5, 0);
 /*--- compute (gp|[r12,T2]|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+198156, int_stack+181692, int_stack+117012, 784);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+117012, int_stack+16156, int_stack+14364, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+120036, int_stack+18460, int_stack+16156, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+233436, int_stack+120036, int_stack+117012, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+239484, int_stack+21340, int_stack+18460, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+244344, int_stack+239484, int_stack+120036, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+436590, int_stack+244344, int_stack+233436, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+252120, int_stack+24860, int_stack+21340, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+446670, int_stack+252120, int_stack+239484, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+456390, int_stack+446670, int_stack+244344, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+469350, int_stack+456390, int_stack+436590, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+4914, int_stack+29084, int_stack+24860, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+484470, int_stack+4914, int_stack+252120, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+496350, int_stack+484470, int_stack+446670, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+512550, int_stack+496350, int_stack+456390, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+531990, int_stack+512550, int_stack+469350, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+553158, int_stack+114464, int_stack+112280, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+559710, int_stack+553158, int_stack+164080, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+570798, int_stack+559710, int_stack+333249, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+586198, int_stack+570798, int_stack+342489, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+605098, int_stack+586198, int_stack+355089, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123924, int_stack+17452, int_stack+15372, int_stack+106624, int_stack+14364, int_stack+105840, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169624, int_stack+20080, int_stack+17452, int_stack+107632, int_stack+16156, int_stack+106624, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97461, int_stack+169624, int_stack+123924, int_stack+131124, int_stack+117012, int_stack+128772, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123924, int_stack+23320, int_stack+20080, int_stack+108892, int_stack+18460, int_stack+107632, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12042, int_stack+123924, int_stack+169624, int_stack+138852, int_stack+120036, int_stack+131124, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+626266, int_stack+12042, int_stack+97461, int_stack+142632, int_stack+233436, int_stack+134148, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+233436, int_stack+27236, int_stack+23320, int_stack+110432, int_stack+21340, int_stack+108892, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127704, int_stack+233436, int_stack+123924, int_stack+91476, int_stack+239484, int_stack+138852, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117012, int_stack+127704, int_stack+12042, int_stack+156520, int_stack+244344, int_stack+142632, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12042, int_stack+117012, int_stack+626266, int_stack+311409, int_stack+436590, int_stack+148680, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+436590, int_stack+31892, int_stack+27236, int_stack+112280, int_stack+24860, int_stack+110432, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+238056, int_stack+436590, int_stack+233436, int_stack+164080, int_stack+252120, int_stack+91476, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+247296, int_stack+238056, int_stack+127704, int_stack+333249, int_stack+446670, int_stack+156520, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127092, int_stack+247296, int_stack+117012, int_stack+342489, int_stack+456390, int_stack+311409, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+442134, int_stack+127092, int_stack+12042, int_stack+355089, int_stack+469350, int_stack+321489, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12042, int_stack+34076, int_stack+31892, int_stack+114464, int_stack+29084, int_stack+112280, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18594, int_stack+12042, int_stack+436590, int_stack+553158, int_stack+4914, int_stack+164080, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+311409, int_stack+18594, int_stack+238056, int_stack+559710, int_stack+484470, int_stack+333249, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4914, int_stack+311409, int_stack+247296, int_stack+570798, int_stack+496350, int_stack+342489, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+311409, int_stack+4914, int_stack+127092, int_stack+586198, int_stack+512550, int_stack+355089, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4914, int_stack+311409, int_stack+442134, int_stack+605098, int_stack+531990, int_stack+370209, 6, 0);
 /*--- compute (hp|[r12,T2]|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+311409, int_stack+4914, int_stack+181692, 784);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+181692, int_stack+300069, int_stack+172872, 15);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+4914, int_stack+420714, int_stack+259896, 21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+436590, int_stack+4914, int_stack+181692, 784);
 /*--- compute (g0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+193452, int_stack+36624, int_stack+96096, 15);
 /*--- compute (g0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+21378, int_stack+193452, int_stack+272244, 15);
 /*--- compute (g0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+21378, int_stack+275754, 15);
 /*--- compute (g0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+21378, int_stack+471870, int_stack+281694, 15);
 /*--- compute (g0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+21378, int_stack+289944, 15);
 /*--- compute (g0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+21378, int_stack+471870, int_stack+300069, 15);
 /*--- compute (h0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+44184, int_stack+103929, 21);
 /*--- compute (h0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+477603, int_stack+471870, int_stack+0, 21);
 /*--- compute (h0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+487431, int_stack+477603, int_stack+386673, 21);
 /*--- compute (h0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+501291, int_stack+487431, int_stack+394989, 21);
 /*--- compute (h0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+386673, int_stack+501291, int_stack+406539, 21);
 /*--- compute (h0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+386673, int_stack+420714, 21);
 /*--- compute (gp|ki) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+386673, int_stack+471870, int_stack+21378, 1008);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+493038, int_stack+605098, int_stack+370209, 28);
 /*--- compute (hp|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+514990, int_stack+493038, int_stack+4914, 784);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+432033, int_stack+38619, int_stack+38199, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+433293, int_stack+39159, int_stack+38619, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+433293, int_stack+432033, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2520, int_stack+39834, int_stack+39159, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+2520, int_stack+433293, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+432033, int_stack+564382, int_stack+0, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+40659, int_stack+39834, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+567622, int_stack+0, int_stack+2520, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+571672, int_stack+567622, int_stack+564382, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+577072, int_stack+571672, int_stack+432033, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+432033, int_stack+41649, int_stack+40659, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+583372, int_stack+432033, int_stack+0, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+588322, int_stack+583372, int_stack+567622, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+595072, int_stack+588322, int_stack+571672, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+595072, int_stack+577072, 15);
 /*--- compute (g0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+42819, int_stack+41649, 15);
 /*--- compute (g0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+573202, int_stack+0, int_stack+432033, 15);
 /*--- compute (g0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+603172, int_stack+573202, int_stack+583372, 15);
 /*--- compute (g0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+573202, int_stack+603172, int_stack+588322, 15);
 /*--- compute (g0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+603172, int_stack+573202, int_stack+595072, 15);
 /*--- compute (g0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+573202, int_stack+603172, int_stack+564382, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+46977, int_stack+46389, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+566146, int_stack+47733, int_stack+46977, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+568414, int_stack+566146, int_stack+564382, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+584962, int_stack+48678, int_stack+47733, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+587797, int_stack+584962, int_stack+566146, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+592333, int_stack+587797, int_stack+568414, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+49833, int_stack+48678, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+598213, int_stack+564382, int_stack+584962, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+603883, int_stack+598213, int_stack+587797, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+611443, int_stack+603883, int_stack+592333, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+584962, int_stack+51219, int_stack+49833, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+589120, int_stack+584962, int_stack+564382, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+620263, int_stack+589120, int_stack+598213, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+36498, int_stack+620263, int_stack+603883, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+596050, int_stack+36498, int_stack+611443, 21);
 /*--- compute (h0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+52857, int_stack+51219, 21);
 /*--- compute (h0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+0, int_stack+584962, 21);
 /*--- compute (h0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+608398, int_stack+564382, int_stack+589120, 21);
 /*--- compute (h0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+360801, int_stack+608398, int_stack+620263, 21);
 /*--- compute (h0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+608398, int_stack+360801, int_stack+36498, 21);
 /*--- compute (h0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+36498, int_stack+608398, int_stack+596050, 21);
 /*--- compute (gp|[r12,T1]|ii) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+584962, int_stack+36498, int_stack+573202, int_stack+4914, int_stack+21378, int_stack+181692, 6, 6);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21378, int_stack+55552, int_stack+54768, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+23730, int_stack+56560, int_stack+55552, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+26754, int_stack+23730, int_stack+21378, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+31458, int_stack+57820, int_stack+56560, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+360801, int_stack+31458, int_stack+23730, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+366849, int_stack+360801, int_stack+26754, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+21378, int_stack+59360, int_stack+57820, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+374689, int_stack+21378, int_stack+31458, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+25998, int_stack+374689, int_stack+360801, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+25998, int_stack+366849, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+360801, int_stack+61208, int_stack+59360, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+620242, int_stack+360801, int_stack+21378, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+91476, int_stack+620242, int_stack+374689, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+366345, int_stack+91476, int_stack+25998, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+104076, int_stack+366345, int_stack+564382, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+63392, int_stack+61208, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+570934, int_stack+564382, int_stack+360801, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+120540, int_stack+570934, int_stack+620242, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+120540, int_stack+91476, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+120540, int_stack+564382, int_stack+366345, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+141708, int_stack+120540, int_stack+104076, 28);
 /*--- compute (hp|[r12,T1]|ii) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+91476, int_stack+141708, int_stack+36498, int_stack+493038, int_stack+471870, int_stack+4914, 6, 6);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+66360, int_stack+65940, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+473130, int_stack+66900, int_stack+66360, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+474750, int_stack+473130, int_stack+471870, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+477270, int_stack+67575, int_stack+66900, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+479295, int_stack+477270, int_stack+473130, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+482535, int_stack+479295, int_stack+474750, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+68400, int_stack+67575, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+486735, int_stack+471870, int_stack+477270, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+490785, int_stack+486735, int_stack+479295, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+474345, int_stack+490785, int_stack+482535, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+480645, int_stack+69390, int_stack+68400, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+496185, int_stack+480645, int_stack+471870, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+501135, int_stack+496185, int_stack+486735, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+501135, int_stack+490785, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+483615, int_stack+564382, int_stack+474345, 15);
 /*--- compute (g0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+70560, int_stack+69390, 15);
 /*--- compute (g0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+507885, int_stack+471870, int_stack+480645, 15);
 /*--- compute (g0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+507885, int_stack+496185, 15);
 /*--- compute (g0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+572482, int_stack+471870, int_stack+501135, 15);
 /*--- compute (g0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+572482, int_stack+564382, 15);
 /*--- compute (g0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+471870, int_stack+483615, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+72513, int_stack+71925, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+473634, int_stack+73269, int_stack+72513, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+475902, int_stack+473634, int_stack+471870, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+479430, int_stack+74214, int_stack+73269, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+482265, int_stack+479430, int_stack+473634, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+486801, int_stack+482265, int_stack+475902, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+75369, int_stack+74214, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+492681, int_stack+471870, int_stack+479430, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+498351, int_stack+492681, int_stack+482265, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+576142, int_stack+498351, int_stack+486801, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+475335, int_stack+76755, int_stack+75369, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+479493, int_stack+475335, int_stack+471870, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+140868, int_stack+479493, int_stack+492681, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+486423, int_stack+140868, int_stack+498351, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+497763, int_stack+486423, int_stack+576142, 21);
 /*--- compute (h0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+576142, int_stack+78393, int_stack+76755, 21);
 /*--- compute (h0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+150318, int_stack+576142, int_stack+475335, 21);
 /*--- compute (h0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+158634, int_stack+150318, int_stack+479493, 21);
 /*--- compute (h0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+158634, int_stack+140868, 21);
 /*--- compute (h0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+140868, int_stack+471870, int_stack+486423, 21);
 /*--- compute (h0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+471870, int_stack+140868, int_stack+497763, 21);
 /*--- compute (gp||ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+140868, int_stack+471870, int_stack+564382, 784);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+81088, int_stack+80304, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+566734, int_stack+82096, int_stack+81088, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+569758, int_stack+566734, int_stack+564382, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+574462, int_stack+83356, int_stack+82096, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+578242, int_stack+574462, int_stack+566734, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+176148, int_stack+578242, int_stack+569758, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+84896, int_stack+83356, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+183988, int_stack+564382, int_stack+574462, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+488334, int_stack+183988, int_stack+578242, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+569002, int_stack+488334, int_stack+176148, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+176148, int_stack+86744, int_stack+84896, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+498414, int_stack+176148, int_stack+564382, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+620242, int_stack+498414, int_stack+183988, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+181692, int_stack+620242, int_stack+488334, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+360801, int_stack+181692, int_stack+569002, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+488334, int_stack+88928, int_stack+86744, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+488334, int_stack+176148, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+564382, int_stack+498414, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+564382, int_stack+0, int_stack+620242, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+564382, int_stack+181692, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+0, int_stack+360801, 28);
 /*--- compute (hp||ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+233436, int_stack+21168, int_stack+471870, 784);
 /*--- compute (gd|[r12,T2]|ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+311409, int_stack+198156, 784);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (gd|[r12,T1]|ii) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+282828, int_stack+91476, int_stack+584962, int_stack+514990, int_stack+386673, int_stack+436590, 6, 6);
     Libr12->te_ptr[2] = int_stack + 282828;
 /*--- compute (gd||ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+564382, int_stack+233436, int_stack+140868, 784);
     Libr12->te_ptr[1] = int_stack + 564382;
 /*--- compute (gd|ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+70560, int_stack+514990, int_stack+436590, 784);
     Libr12->te_ptr[0] = int_stack + 70560;

}
