#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gdip(Libr12_t *, prim_data *);

  /* Computes (gd|ip) integrals for linear R12-methods */

void hrr_grt_order_gdip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[5][6] = int_stack + 960;
 Libr12->t2vrr_classes[5][7] = int_stack + 1548;
 Libr12->gvrr_classes[7][6] = int_stack + 2304;
 Libr12->t2vrr_classes[6][6] = int_stack + 3312;
 Libr12->t2vrr_classes[6][7] = int_stack + 4096;
 Libr12->gvrr_classes[4][8] = int_stack + 5104;
 Libr12->t1vrr_classes[4][6] = int_stack + 5779;
 Libr12->t1vrr_classes[4][7] = int_stack + 6199;
 Libr12->gvrr_classes[5][8] = int_stack + 6739;
 Libr12->t1vrr_classes[5][6] = int_stack + 7684;
 Libr12->t1vrr_classes[5][7] = int_stack + 8272;
 Libr12->t1vrr_classes[6][6] = int_stack + 9028;
 Libr12->t1vrr_classes[6][7] = int_stack + 9812;
 Libr12->rvrr_classes[4][6] = int_stack + 10820;
 Libr12->rvrr_classes[4][7] = int_stack + 11240;
 Libr12->rvrr_classes[5][6] = int_stack + 11780;
 Libr12->rvrr_classes[5][7] = int_stack + 12368;
 Libr12->rvrr_classes[6][6] = int_stack + 13124;
 Libr12->rvrr_classes[6][7] = int_stack + 13908;
 Libr12->gvrr_classes[4][6] = int_stack + 14916;
 Libr12->gvrr_classes[4][7] = int_stack + 15336;
 Libr12->gvrr_classes[5][6] = int_stack + 15876;
 Libr12->gvrr_classes[5][7] = int_stack + 16464;
 Libr12->gvrr_classes[6][6] = int_stack + 17220;
 Libr12->gvrr_classes[6][7] = int_stack + 18004;
 memset(int_stack,0,19012*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 19012;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gdip(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19012, int_stack+420, int_stack+0, int_stack+15336, int_stack+15876, int_stack+14916, 4, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20272, int_stack+1548, int_stack+960, int_stack+16464, int_stack+17220, int_stack+15876, 5, 0);
 /*--- compute (gp|[r12,T2]|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+22036, int_stack+20272, int_stack+19012, 84);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25816, int_stack+4096, int_stack+3312, int_stack+18004, int_stack+2304, int_stack+17220, 6, 0);
 /*--- compute (hp|[r12,T2]|ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+28168, int_stack+25816, int_stack+20272, 84);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+25816, int_stack+15336, int_stack+14916, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19012, int_stack+16464, int_stack+15876, 21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+19012, int_stack+25816, 84);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+33460, int_stack+5104, int_stack+15336, 15);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+35080, int_stack+6739, int_stack+16464, 21);
 /*--- compute (gp|kp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+37348, int_stack+35080, int_stack+33460, 108);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+42208, int_stack+18004, int_stack+17220, 28);
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+44560, int_stack+42208, int_stack+19012, 84);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20776, int_stack+6199, int_stack+5779, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14916, int_stack+8272, int_stack+7684, 21);
 /*--- compute (gp|[r12,T1]|ip) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3780, int_stack+14916, int_stack+20776, int_stack+19012, int_stack+33460, int_stack+25816, 6, 1);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+25816, int_stack+9812, int_stack+9028, 28);
 /*--- compute (hp|[r12,T1]|ip) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+49852, int_stack+25816, int_stack+14916, int_stack+42208, int_stack+35080, int_stack+19012, 6, 1);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+42208, int_stack+11240, int_stack+10820, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14916, int_stack+12368, int_stack+11780, 21);
 /*--- compute (gp||ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+16680, int_stack+14916, int_stack+42208, 84);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+42208, int_stack+13908, int_stack+13124, 28);
 /*--- compute (hp||ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+7560, int_stack+42208, int_stack+14916, 84);
 /*--- compute (gd|[r12,T2]|ip) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+55144, int_stack+28168, int_stack+22036, 84);
     Libr12->te_ptr[3] = int_stack + 55144;
 /*--- compute (gd|[r12,T1]|ip) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+20460, int_stack+49852, int_stack+3780, int_stack+44560, int_stack+37348, int_stack+0, 6, 1);
     Libr12->te_ptr[2] = int_stack + 20460;
 /*--- compute (gd||ip) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+28020, int_stack+7560, int_stack+16680, 84);
     Libr12->te_ptr[1] = int_stack + 28020;
 /*--- compute (gd|ip) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+3780, int_stack+44560, int_stack+0, 84);
     Libr12->te_ptr[0] = int_stack + 3780;

}
