#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gfgg(Libr12_t *, prim_data *);

  /* Computes (gf|gg) integrals for linear R12-methods */

void hrr_grt_order_gfgg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][4] = int_stack + 0;
 Libr12->t2vrr_classes[4][5] = int_stack + 225;
 Libr12->t2vrr_classes[4][6] = int_stack + 540;
 Libr12->t2vrr_classes[4][7] = int_stack + 960;
 Libr12->t2vrr_classes[4][8] = int_stack + 1500;
 Libr12->t2vrr_classes[5][4] = int_stack + 2175;
 Libr12->t2vrr_classes[5][5] = int_stack + 2490;
 Libr12->t2vrr_classes[5][6] = int_stack + 2931;
 Libr12->t2vrr_classes[5][7] = int_stack + 3519;
 Libr12->t2vrr_classes[5][8] = int_stack + 4275;
 Libr12->t2vrr_classes[6][4] = int_stack + 5220;
 Libr12->t2vrr_classes[6][5] = int_stack + 5640;
 Libr12->t2vrr_classes[6][6] = int_stack + 6228;
 Libr12->t2vrr_classes[6][7] = int_stack + 7012;
 Libr12->t2vrr_classes[6][8] = int_stack + 8020;
 Libr12->gvrr_classes[8][4] = int_stack + 9280;
 Libr12->t2vrr_classes[7][4] = int_stack + 9955;
 Libr12->gvrr_classes[8][5] = int_stack + 10495;
 Libr12->t2vrr_classes[7][5] = int_stack + 11440;
 Libr12->gvrr_classes[8][6] = int_stack + 12196;
 Libr12->t2vrr_classes[7][6] = int_stack + 13456;
 Libr12->gvrr_classes[8][7] = int_stack + 14464;
 Libr12->t2vrr_classes[7][7] = int_stack + 16084;
 Libr12->t2vrr_classes[7][8] = int_stack + 17380;
 Libr12->gvrr_classes[4][9] = int_stack + 19000;
 Libr12->t1vrr_classes[4][4] = int_stack + 19825;
 Libr12->t1vrr_classes[4][5] = int_stack + 20050;
 Libr12->t1vrr_classes[4][6] = int_stack + 20365;
 Libr12->t1vrr_classes[4][7] = int_stack + 20785;
 Libr12->t1vrr_classes[4][8] = int_stack + 21325;
 Libr12->gvrr_classes[5][9] = int_stack + 22000;
 Libr12->t1vrr_classes[5][4] = int_stack + 23155;
 Libr12->t1vrr_classes[5][5] = int_stack + 23470;
 Libr12->t1vrr_classes[5][6] = int_stack + 23911;
 Libr12->t1vrr_classes[5][7] = int_stack + 24499;
 Libr12->t1vrr_classes[5][8] = int_stack + 25255;
 Libr12->gvrr_classes[6][9] = int_stack + 26200;
 Libr12->t1vrr_classes[6][4] = int_stack + 27740;
 Libr12->t1vrr_classes[6][5] = int_stack + 28160;
 Libr12->t1vrr_classes[6][6] = int_stack + 28748;
 Libr12->t1vrr_classes[6][7] = int_stack + 29532;
 Libr12->t1vrr_classes[6][8] = int_stack + 30540;
 Libr12->t1vrr_classes[7][4] = int_stack + 31800;
 Libr12->t1vrr_classes[7][5] = int_stack + 32340;
 Libr12->t1vrr_classes[7][6] = int_stack + 33096;
 Libr12->t1vrr_classes[7][7] = int_stack + 34104;
 Libr12->t1vrr_classes[7][8] = int_stack + 35400;
 Libr12->rvrr_classes[4][4] = int_stack + 37020;
 Libr12->rvrr_classes[4][5] = int_stack + 37245;
 Libr12->rvrr_classes[4][6] = int_stack + 37560;
 Libr12->rvrr_classes[4][7] = int_stack + 37980;
 Libr12->rvrr_classes[4][8] = int_stack + 38520;
 Libr12->rvrr_classes[5][4] = int_stack + 39195;
 Libr12->rvrr_classes[5][5] = int_stack + 39510;
 Libr12->rvrr_classes[5][6] = int_stack + 39951;
 Libr12->rvrr_classes[5][7] = int_stack + 40539;
 Libr12->rvrr_classes[5][8] = int_stack + 41295;
 Libr12->rvrr_classes[6][4] = int_stack + 42240;
 Libr12->rvrr_classes[6][5] = int_stack + 42660;
 Libr12->rvrr_classes[6][6] = int_stack + 43248;
 Libr12->rvrr_classes[6][7] = int_stack + 44032;
 Libr12->rvrr_classes[6][8] = int_stack + 45040;
 Libr12->rvrr_classes[7][4] = int_stack + 46300;
 Libr12->rvrr_classes[7][5] = int_stack + 46840;
 Libr12->rvrr_classes[7][6] = int_stack + 47596;
 Libr12->rvrr_classes[7][7] = int_stack + 48604;
 Libr12->rvrr_classes[7][8] = int_stack + 49900;
 Libr12->gvrr_classes[4][4] = int_stack + 51520;
 Libr12->gvrr_classes[4][5] = int_stack + 51745;
 Libr12->gvrr_classes[4][6] = int_stack + 52060;
 Libr12->gvrr_classes[4][7] = int_stack + 52480;
 Libr12->gvrr_classes[4][8] = int_stack + 53020;
 Libr12->gvrr_classes[5][4] = int_stack + 53695;
 Libr12->gvrr_classes[5][5] = int_stack + 54010;
 Libr12->gvrr_classes[5][6] = int_stack + 54451;
 Libr12->gvrr_classes[5][7] = int_stack + 55039;
 Libr12->gvrr_classes[5][8] = int_stack + 55795;
 Libr12->gvrr_classes[6][4] = int_stack + 56740;
 Libr12->gvrr_classes[6][5] = int_stack + 57160;
 Libr12->gvrr_classes[6][6] = int_stack + 57748;
 Libr12->gvrr_classes[6][7] = int_stack + 58532;
 Libr12->gvrr_classes[6][8] = int_stack + 59540;
 Libr12->gvrr_classes[7][4] = int_stack + 60800;
 Libr12->gvrr_classes[7][5] = int_stack + 61340;
 Libr12->gvrr_classes[7][6] = int_stack + 62096;
 Libr12->gvrr_classes[7][7] = int_stack + 63104;
 Libr12->gvrr_classes[7][8] = int_stack + 64400;
 memset(int_stack,0,66020*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 66020;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gfgg(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+66020, int_stack+51745, int_stack+51520, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+66695, int_stack+52060, int_stack+51745, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+67640, int_stack+66695, int_stack+66020, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+68990, int_stack+52480, int_stack+52060, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+70250, int_stack+68990, int_stack+66695, 15);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+72140, int_stack+70250, int_stack+67640, 15);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+74390, int_stack+54010, int_stack+53695, 21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+75335, int_stack+54451, int_stack+54010, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+76658, int_stack+75335, int_stack+74390, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+78548, int_stack+55039, int_stack+54451, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+80312, int_stack+78548, int_stack+75335, 21);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+82958, int_stack+80312, int_stack+76658, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+86108, int_stack+53020, int_stack+52480, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+87728, int_stack+86108, int_stack+68990, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+90248, int_stack+87728, int_stack+70250, 15);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93398, int_stack+225, int_stack+0, int_stack+51745, int_stack+53695, int_stack+51520, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94073, int_stack+540, int_stack+225, int_stack+52060, int_stack+54010, int_stack+51745, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95018, int_stack+94073, int_stack+93398, int_stack+66695, int_stack+74390, int_stack+66020, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+96368, int_stack+960, int_stack+540, int_stack+52480, int_stack+54451, int_stack+52060, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97628, int_stack+96368, int_stack+94073, int_stack+68990, int_stack+75335, int_stack+66695, 4, 0);
 /*--- compute (g0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99518, int_stack+97628, int_stack+95018, int_stack+70250, int_stack+76658, int_stack+67640, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66020, int_stack+1500, int_stack+960, int_stack+53020, int_stack+55039, int_stack+52480, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93398, int_stack+66020, int_stack+96368, int_stack+86108, int_stack+78548, int_stack+68990, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66020, int_stack+93398, int_stack+97628, int_stack+87728, int_stack+80312, int_stack+70250, 4, 0);
 /*--- compute (g0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93398, int_stack+66020, int_stack+99518, int_stack+90248, int_stack+82958, int_stack+72140, 4, 0);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+66020, int_stack+57160, int_stack+56740, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+67280, int_stack+57748, int_stack+57160, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+69044, int_stack+67280, int_stack+66020, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+96773, int_stack+58532, int_stack+57748, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+99125, int_stack+96773, int_stack+67280, 28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+102653, int_stack+99125, int_stack+69044, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+106853, int_stack+55795, int_stack+55039, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+109121, int_stack+106853, int_stack+78548, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+112649, int_stack+109121, int_stack+80312, 21);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51520, int_stack+2490, int_stack+2175, int_stack+54010, int_stack+56740, int_stack+53695, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2931, int_stack+2490, int_stack+54451, int_stack+57160, int_stack+54010, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117059, int_stack+0, int_stack+51520, int_stack+75335, int_stack+66020, int_stack+74390, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118949, int_stack+3519, int_stack+2931, int_stack+55039, int_stack+57748, int_stack+54451, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120713, int_stack+118949, int_stack+0, int_stack+78548, int_stack+67280, int_stack+75335, 5, 0);
 /*--- compute (h0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+120713, int_stack+117059, int_stack+80312, int_stack+69044, int_stack+76658, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74390, int_stack+4275, int_stack+3519, int_stack+55795, int_stack+58532, int_stack+55039, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123359, int_stack+74390, int_stack+118949, int_stack+106853, int_stack+96773, int_stack+78548, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74390, int_stack+123359, int_stack+120713, int_stack+109121, int_stack+99125, int_stack+80312, 5, 0);
 /*--- compute (h0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117059, int_stack+74390, int_stack+0, int_stack+112649, int_stack+102653, int_stack+82958, 5, 0);
 /*--- compute (gp|[r12,T2]|gg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+121784, int_stack+117059, int_stack+93398, 225);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+93398, int_stack+61340, int_stack+60800, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+62096, int_stack+61340, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+74390, int_stack+0, int_stack+93398, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+77630, int_stack+63104, int_stack+62096, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+131909, int_stack+77630, int_stack+0, 36);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+136445, int_stack+131909, int_stack+74390, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+141845, int_stack+59540, int_stack+58532, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+144869, int_stack+141845, int_stack+96773, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+149573, int_stack+144869, int_stack+99125, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95018, int_stack+5640, int_stack+5220, int_stack+57160, int_stack+60800, int_stack+56740, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2268, int_stack+6228, int_stack+5640, int_stack+57748, int_stack+61340, int_stack+57160, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155453, int_stack+2268, int_stack+95018, int_stack+67280, int_stack+93398, int_stack+66020, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157973, int_stack+7012, int_stack+6228, int_stack+58532, int_stack+62096, int_stack+57748, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160325, int_stack+157973, int_stack+2268, int_stack+96773, int_stack+0, int_stack+67280, 6, 0);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2268, int_stack+160325, int_stack+155453, int_stack+99125, int_stack+74390, int_stack+69044, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66020, int_stack+8020, int_stack+7012, int_stack+59540, int_stack+63104, int_stack+58532, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+163853, int_stack+66020, int_stack+157973, int_stack+141845, int_stack+77630, int_stack+96773, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66020, int_stack+163853, int_stack+160325, int_stack+144869, int_stack+131909, int_stack+99125, 6, 0);
 /*--- compute (i0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155453, int_stack+66020, int_stack+2268, int_stack+149573, int_stack+136445, int_stack+102653, 6, 0);
 /*--- compute (hp|[r12,T2]|gg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+161753, int_stack+155453, int_stack+117059, 225);
 /*--- compute (gd|[r12,T2]|gg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+175928, int_stack+161753, int_stack+121784, 225);
 /*--- compute (l0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+117059, int_stack+10495, int_stack+9280, 45);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+119084, int_stack+12196, int_stack+10495, 45);
 /*--- compute (l0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+121919, int_stack+119084, int_stack+117059, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+125969, int_stack+14464, int_stack+12196, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+125969, int_stack+119084, 45);
 /*--- compute (l0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+95018, int_stack+2268, int_stack+121919, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+66020, int_stack+64400, int_stack+63104, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+196178, int_stack+66020, int_stack+77630, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+202226, int_stack+196178, int_stack+131909, 36);
 /*--- compute (k0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+129749, int_stack+11440, int_stack+9955, int_stack+61340, int_stack+9280, int_stack+60800, 7, 0);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7938, int_stack+13456, int_stack+11440, int_stack+62096, int_stack+10495, int_stack+61340, 7, 0);
 /*--- compute (k0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+209786, int_stack+7938, int_stack+129749, int_stack+0, int_stack+117059, int_stack+93398, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+213026, int_stack+16084, int_stack+13456, int_stack+63104, int_stack+12196, int_stack+62096, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+216050, int_stack+213026, int_stack+7938, int_stack+77630, int_stack+119084, int_stack+0, 7, 0);
 /*--- compute (k0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7938, int_stack+216050, int_stack+209786, int_stack+131909, int_stack+121919, int_stack+74390, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117059, int_stack+17380, int_stack+16084, int_stack+64400, int_stack+14464, int_stack+63104, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+220586, int_stack+117059, int_stack+213026, int_stack+66020, int_stack+125969, int_stack+77630, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117059, int_stack+220586, int_stack+216050, int_stack+196178, int_stack+2268, int_stack+131909, 7, 0);
 /*--- compute (k0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124619, int_stack+117059, int_stack+7938, int_stack+202226, int_stack+95018, int_stack+136445, 7, 0);
 /*--- compute (ip|[r12,T2]|gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+124619, int_stack+155453, 225);
 /*--- compute (hd|[r12,T2]|gg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+209786, int_stack+0, int_stack+161753, 225);
 /*--- compute (g0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+90248, int_stack+72140, 15);
 /*--- compute (h0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+3375, int_stack+112649, int_stack+82958, 21);
 /*--- compute (gp|gg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+8100, int_stack+3375, int_stack+0, 225);
 /*--- compute (i0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+155453, int_stack+149573, int_stack+102653, 28);
 /*--- compute (hp|gg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+161753, int_stack+155453, int_stack+3375, 225);
 /*--- compute (gd|gg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+60800, int_stack+161753, int_stack+8100, 225);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+117059, int_stack+19000, int_stack+53020, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+119084, int_stack+117059, int_stack+86108, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+122324, int_stack+119084, int_stack+87728, 15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+117059, int_stack+122324, int_stack+90248, 15);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+121784, int_stack+22000, int_stack+55795, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+124619, int_stack+121784, int_stack+106853, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+129155, int_stack+124619, int_stack+109121, 21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+121784, int_stack+129155, int_stack+112649, 21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+81050, int_stack+121784, int_stack+117059, 315);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+128399, int_stack+26200, int_stack+59540, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+196178, int_stack+128399, int_stack+141845, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+128399, int_stack+196178, int_stack+144869, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+95225, int_stack+128399, int_stack+149573, 28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+238136, int_stack+95225, int_stack+121784, 315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+257981, int_stack+238136, int_stack+81050, 315);
 /*--- compute (k0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+141845, int_stack+202226, int_stack+136445, 36);
 /*--- compute (ip|gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+286331, int_stack+141845, int_stack+155453, 225);
 /*--- compute (hd|gg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+305231, int_stack+286331, int_stack+161753, 225);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+128399, int_stack+20050, int_stack+19825, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+129074, int_stack+20365, int_stack+20050, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+130019, int_stack+129074, int_stack+128399, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+131369, int_stack+20785, int_stack+20365, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+132629, int_stack+131369, int_stack+129074, 15);
 /*--- compute (g0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+134519, int_stack+132629, int_stack+130019, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+128399, int_stack+21325, int_stack+20785, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+136769, int_stack+128399, int_stack+131369, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+128399, int_stack+136769, int_stack+132629, 15);
 /*--- compute (g0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+136769, int_stack+128399, int_stack+134519, 15);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+128399, int_stack+23470, int_stack+23155, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+129344, int_stack+23911, int_stack+23470, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+130667, int_stack+129344, int_stack+128399, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+132557, int_stack+24499, int_stack+23911, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+196178, int_stack+132557, int_stack+129344, 21);
 /*--- compute (h0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+198824, int_stack+196178, int_stack+130667, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+128399, int_stack+25255, int_stack+24499, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+201974, int_stack+128399, int_stack+132557, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+128399, int_stack+201974, int_stack+196178, 21);
 /*--- compute (h0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+201974, int_stack+128399, int_stack+198824, 21);
 /*--- compute (gp|[r12,T1]|gg) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+104045, int_stack+201974, int_stack+136769, int_stack+3375, int_stack+117059, int_stack+0, 4, 4);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+28160, int_stack+27740, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+28748, int_stack+28160, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+128399, int_stack+1260, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+130919, int_stack+29532, int_stack+28748, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+133271, int_stack+130919, int_stack+1260, 28);
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+136799, int_stack+133271, int_stack+128399, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+30540, int_stack+29532, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+196178, int_stack+0, int_stack+130919, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+18225, int_stack+196178, int_stack+133271, 28);
 /*--- compute (i0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+128399, int_stack+18225, int_stack+136799, 28);
 /*--- compute (hp|[r12,T1]|gg) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+333581, int_stack+128399, int_stack+201974, int_stack+155453, int_stack+121784, int_stack+3375, 4, 4);
 /*--- compute (gd|[r12,T1]|gg) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+347756, int_stack+333581, int_stack+104045, int_stack+161753, int_stack+81050, int_stack+8100, 4, 4);
 /*--- compute (k0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+81050, int_stack+32340, int_stack+31800, 36);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+82670, int_stack+33096, int_stack+32340, 36);
 /*--- compute (k0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+84938, int_stack+82670, int_stack+81050, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+88178, int_stack+34104, int_stack+33096, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+104045, int_stack+88178, int_stack+82670, 36);
 /*--- compute (k0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+108581, int_stack+104045, int_stack+84938, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+81050, int_stack+35400, int_stack+34104, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+113981, int_stack+81050, int_stack+88178, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+81050, int_stack+113981, int_stack+104045, 36);
 /*--- compute (k0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+113981, int_stack+81050, int_stack+108581, 36);
 /*--- compute (ip|[r12,T1]|gg) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+113981, int_stack+128399, int_stack+141845, int_stack+95225, int_stack+155453, 4, 4);
 /*--- compute (hd|[r12,T1]|gg) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+81050, int_stack+0, int_stack+333581, int_stack+286331, int_stack+238136, int_stack+161753, 4, 4);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+238136, int_stack+37245, int_stack+37020, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+238811, int_stack+37560, int_stack+37245, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+239756, int_stack+238811, int_stack+238136, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+241106, int_stack+37980, int_stack+37560, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+242366, int_stack+241106, int_stack+238811, 15);
 /*--- compute (g0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+244256, int_stack+242366, int_stack+239756, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+238136, int_stack+38520, int_stack+37980, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+246506, int_stack+238136, int_stack+241106, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+238136, int_stack+246506, int_stack+242366, 15);
 /*--- compute (g0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+246506, int_stack+238136, int_stack+244256, 15);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+238136, int_stack+39510, int_stack+39195, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+239081, int_stack+39951, int_stack+39510, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+240404, int_stack+239081, int_stack+238136, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+242294, int_stack+40539, int_stack+39951, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+249881, int_stack+242294, int_stack+239081, 21);
 /*--- compute (h0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+252527, int_stack+249881, int_stack+240404, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+238136, int_stack+41295, int_stack+40539, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+286331, int_stack+238136, int_stack+242294, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+238136, int_stack+286331, int_stack+249881, 21);
 /*--- compute (h0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+286331, int_stack+238136, int_stack+252527, 21);
 /*--- compute (gp||gg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+291056, int_stack+286331, int_stack+246506, 225);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+238136, int_stack+42660, int_stack+42240, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+239396, int_stack+43248, int_stack+42660, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+241160, int_stack+239396, int_stack+238136, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+243680, int_stack+44032, int_stack+43248, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+246032, int_stack+243680, int_stack+239396, 28);
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+249560, int_stack+246032, int_stack+241160, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+238136, int_stack+45040, int_stack+44032, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+333581, int_stack+238136, int_stack+243680, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+238136, int_stack+333581, int_stack+246032, 28);
 /*--- compute (i0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+333581, int_stack+238136, int_stack+249560, 28);
 /*--- compute (hp||gg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+238136, int_stack+333581, int_stack+286331, 225);
 /*--- compute (gd||gg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+238136, int_stack+291056, 225);
 /*--- compute (k0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+286331, int_stack+46840, int_stack+46300, 36);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+287951, int_stack+47596, int_stack+46840, 36);
 /*--- compute (k0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+290219, int_stack+287951, int_stack+286331, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+293459, int_stack+48604, int_stack+47596, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+296483, int_stack+293459, int_stack+287951, 36);
 /*--- compute (k0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+252311, int_stack+296483, int_stack+290219, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+286331, int_stack+49900, int_stack+48604, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+339881, int_stack+286331, int_stack+293459, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+286331, int_stack+339881, int_stack+296483, 36);
 /*--- compute (k0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+293891, int_stack+286331, int_stack+252311, 36);
 /*--- compute (ip||gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+20250, int_stack+293891, int_stack+333581, 225);
 /*--- compute (hd||gg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+109400, int_stack+20250, int_stack+238136, 225);
 /*--- compute (gf|[r12,T2]|gg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+20250, int_stack+209786, int_stack+175928, 225);
     Libr12->te_ptr[3] = int_stack + 20250;
 /*--- compute (gf|[r12,T1]|gg) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+137750, int_stack+81050, int_stack+347756, int_stack+305231, int_stack+257981, int_stack+60800, 4, 4);
     Libr12->te_ptr[2] = int_stack + 137750;
 /*--- compute (gf||gg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+333581, int_stack+109400, int_stack+0, 225);
     Libr12->te_ptr[1] = int_stack + 333581;
 /*--- compute (gf|gg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+81050, int_stack+305231, int_stack+60800, 225);
     Libr12->te_ptr[0] = int_stack + 81050;

}
