#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gfid(Libr12_t *, prim_data *);

  /* Computes (gf|id) integrals for linear R12-methods */

void hrr_grt_order_gfid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[5][6] = int_stack + 1635;
 Libr12->t2vrr_classes[5][7] = int_stack + 2223;
 Libr12->t2vrr_classes[5][8] = int_stack + 2979;
 Libr12->t2vrr_classes[6][6] = int_stack + 3924;
 Libr12->t2vrr_classes[6][7] = int_stack + 4708;
 Libr12->t2vrr_classes[6][8] = int_stack + 5716;
 Libr12->gvrr_classes[8][6] = int_stack + 6976;
 Libr12->t2vrr_classes[7][6] = int_stack + 8236;
 Libr12->gvrr_classes[8][7] = int_stack + 9244;
 Libr12->t2vrr_classes[7][7] = int_stack + 10864;
 Libr12->t2vrr_classes[7][8] = int_stack + 12160;
 Libr12->gvrr_classes[4][9] = int_stack + 13780;
 Libr12->t1vrr_classes[4][6] = int_stack + 14605;
 Libr12->t1vrr_classes[4][7] = int_stack + 15025;
 Libr12->t1vrr_classes[4][8] = int_stack + 15565;
 Libr12->gvrr_classes[5][9] = int_stack + 16240;
 Libr12->t1vrr_classes[5][6] = int_stack + 17395;
 Libr12->t1vrr_classes[5][7] = int_stack + 17983;
 Libr12->t1vrr_classes[5][8] = int_stack + 18739;
 Libr12->gvrr_classes[6][9] = int_stack + 19684;
 Libr12->t1vrr_classes[6][6] = int_stack + 21224;
 Libr12->t1vrr_classes[6][7] = int_stack + 22008;
 Libr12->t1vrr_classes[6][8] = int_stack + 23016;
 Libr12->t1vrr_classes[7][6] = int_stack + 24276;
 Libr12->t1vrr_classes[7][7] = int_stack + 25284;
 Libr12->t1vrr_classes[7][8] = int_stack + 26580;
 Libr12->rvrr_classes[4][6] = int_stack + 28200;
 Libr12->rvrr_classes[4][7] = int_stack + 28620;
 Libr12->rvrr_classes[4][8] = int_stack + 29160;
 Libr12->rvrr_classes[5][6] = int_stack + 29835;
 Libr12->rvrr_classes[5][7] = int_stack + 30423;
 Libr12->rvrr_classes[5][8] = int_stack + 31179;
 Libr12->rvrr_classes[6][6] = int_stack + 32124;
 Libr12->rvrr_classes[6][7] = int_stack + 32908;
 Libr12->rvrr_classes[6][8] = int_stack + 33916;
 Libr12->rvrr_classes[7][6] = int_stack + 35176;
 Libr12->rvrr_classes[7][7] = int_stack + 36184;
 Libr12->rvrr_classes[7][8] = int_stack + 37480;
 Libr12->gvrr_classes[4][6] = int_stack + 39100;
 Libr12->gvrr_classes[4][7] = int_stack + 39520;
 Libr12->gvrr_classes[4][8] = int_stack + 40060;
 Libr12->gvrr_classes[5][6] = int_stack + 40735;
 Libr12->gvrr_classes[5][7] = int_stack + 41323;
 Libr12->gvrr_classes[5][8] = int_stack + 42079;
 Libr12->gvrr_classes[6][6] = int_stack + 43024;
 Libr12->gvrr_classes[6][7] = int_stack + 43808;
 Libr12->gvrr_classes[6][8] = int_stack + 44816;
 Libr12->gvrr_classes[7][6] = int_stack + 46076;
 Libr12->gvrr_classes[7][7] = int_stack + 47084;
 Libr12->gvrr_classes[7][8] = int_stack + 48380;
 memset(int_stack,0,50000*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 50000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gfid(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+50000, int_stack+39520, int_stack+39100, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+51260, int_stack+41323, int_stack+40735, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+53024, int_stack+40060, int_stack+39520, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54644, int_stack+420, int_stack+0, int_stack+39520, int_stack+40735, int_stack+39100, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55904, int_stack+960, int_stack+420, int_stack+40060, int_stack+41323, int_stack+39520, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57524, int_stack+55904, int_stack+54644, int_stack+53024, int_stack+51260, int_stack+50000, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+54644, int_stack+43808, int_stack+43024, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+60044, int_stack+42079, int_stack+41323, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62312, int_stack+2223, int_stack+1635, int_stack+41323, int_stack+43024, int_stack+40735, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64076, int_stack+2979, int_stack+2223, int_stack+42079, int_stack+43808, int_stack+41323, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+64076, int_stack+62312, int_stack+60044, int_stack+54644, int_stack+51260, 5, 0);
 /*--- compute (gp|[r12,T2]|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+62312, int_stack+0, int_stack+57524, 168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+56996, int_stack+47084, int_stack+46076, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+69872, int_stack+44816, int_stack+43808, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72896, int_stack+4708, int_stack+3924, int_stack+43808, int_stack+46076, int_stack+43024, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+75248, int_stack+5716, int_stack+4708, int_stack+44816, int_stack+47084, int_stack+43808, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+78272, int_stack+75248, int_stack+72896, int_stack+69872, int_stack+56996, int_stack+54644, 6, 0);
 /*--- compute (hp|[r12,T2]|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+82976, int_stack+78272, int_stack+0, 168);
 /*--- compute (gd|[r12,T2]|id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+93560, int_stack+82976, int_stack+62312, 168);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+62312, int_stack+9244, int_stack+6976, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+48380, int_stack+47084, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66092, int_stack+10864, int_stack+8236, int_stack+47084, int_stack+6976, int_stack+46076, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3888, int_stack+12160, int_stack+10864, int_stack+48380, int_stack+9244, int_stack+47084, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108680, int_stack+3888, int_stack+66092, int_stack+0, int_stack+62312, int_stack+56996, 7, 0);
 /*--- compute (ip|[r12,T2]|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+114728, int_stack+108680, int_stack+78272, 168);
 /*--- compute (hd|[r12,T2]|id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+128840, int_stack+114728, int_stack+82976, 168);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+108680, int_stack+53024, int_stack+50000, 15);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+111200, int_stack+60044, int_stack+51260, 21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+62312, int_stack+111200, int_stack+108680, 168);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114728, int_stack+69872, int_stack+54644, 28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+72896, int_stack+114728, int_stack+111200, 168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+150008, int_stack+72896, int_stack+62312, 168);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+54644, int_stack+13780, int_stack+40060, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+119432, int_stack+54644, int_stack+53024, 15);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+122672, int_stack+16240, int_stack+42079, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3888, int_stack+122672, int_stack+60044, 21);
 /*--- compute (gp|kd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+46076, int_stack+3888, int_stack+119432, 216);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+122672, int_stack+19684, int_stack+44816, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+8424, int_stack+122672, int_stack+69872, 28);
 /*--- compute (hp|kd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+165128, int_stack+8424, int_stack+3888, 216);
 /*--- compute (gd|kd) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+178736, int_stack+165128, int_stack+46076, 216);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+122672, int_stack+0, int_stack+56996, 36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+198176, int_stack+122672, int_stack+114728, 168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+212288, int_stack+198176, int_stack+72896, 168);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+15025, int_stack+14605, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+15565, int_stack+15025, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+69872, int_stack+1260, int_stack+0, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17983, int_stack+17395, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+14472, int_stack+18739, int_stack+17983, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+16740, int_stack+14472, int_stack+0, 21);
 /*--- compute (gp|[r12,T1]|id) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+83480, int_stack+16740, int_stack+69872, int_stack+111200, int_stack+119432, int_stack+108680, 6, 2);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+108680, int_stack+22008, int_stack+21224, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+69872, int_stack+23016, int_stack+22008, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+55796, int_stack+69872, int_stack+108680, 28);
 /*--- compute (hp|[r12,T1]|id) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+233456, int_stack+55796, int_stack+16740, int_stack+114728, int_stack+3888, int_stack+111200, 6, 2);
 /*--- compute (gd|[r12,T1]|id) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+244040, int_stack+233456, int_stack+83480, int_stack+72896, int_stack+46076, int_stack+62312, 6, 2);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+83480, int_stack+25284, int_stack+24276, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+86504, int_stack+26580, int_stack+25284, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+108680, int_stack+86504, int_stack+83480, 36);
 /*--- compute (ip|[r12,T1]|id) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+39100, int_stack+108680, int_stack+55796, int_stack+122672, int_stack+8424, int_stack+114728, 6, 2);
 /*--- compute (hd|[r12,T1]|id) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+39100, int_stack+233456, int_stack+198176, int_stack+165128, int_stack+72896, 6, 2);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+165128, int_stack+28620, int_stack+28200, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+166388, int_stack+29160, int_stack+28620, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+168008, int_stack+166388, int_stack+165128, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+165128, int_stack+30423, int_stack+29835, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+170528, int_stack+31179, int_stack+30423, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+172796, int_stack+170528, int_stack+165128, 21);
 /*--- compute (gp||id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+198176, int_stack+172796, int_stack+168008, 168);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+165128, int_stack+32908, int_stack+32124, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+167480, int_stack+33916, int_stack+32908, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+205736, int_stack+167480, int_stack+165128, 28);
 /*--- compute (hp||id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+233456, int_stack+205736, int_stack+172796, 168);
 /*--- compute (gd||id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+39100, int_stack+233456, int_stack+198176, 168);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+198176, int_stack+36184, int_stack+35176, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+201200, int_stack+37480, int_stack+36184, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+165128, int_stack+201200, int_stack+198176, 36);
 /*--- compute (ip||id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+54220, int_stack+165128, int_stack+205736, 168);
 /*--- compute (hd||id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+68332, int_stack+54220, int_stack+233456, 168);
 /*--- compute (gf|[r12,T2]|id) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+259160, int_stack+128840, int_stack+93560, 168);
     Libr12->te_ptr[3] = int_stack + 259160;
 /*--- compute (gf|[r12,T1]|id) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+89500, int_stack+0, int_stack+244040, int_stack+212288, int_stack+178736, int_stack+150008, 6, 2);
     Libr12->te_ptr[2] = int_stack + 89500;
 /*--- compute (gf||id) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+68332, int_stack+39100, 168);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (gf|id) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+25200, int_stack+212288, int_stack+150008, 168);
     Libr12->te_ptr[0] = int_stack + 25200;

}
