#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gfif(Libr12_t *, prim_data *);

  /* Computes (gf|if) integrals for linear R12-methods */

void hrr_grt_order_gfif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[5][6] = int_stack + 2460;
 Libr12->t2vrr_classes[5][7] = int_stack + 3048;
 Libr12->t2vrr_classes[5][8] = int_stack + 3804;
 Libr12->t2vrr_classes[5][9] = int_stack + 4749;
 Libr12->t2vrr_classes[6][6] = int_stack + 5904;
 Libr12->t2vrr_classes[6][7] = int_stack + 6688;
 Libr12->t2vrr_classes[6][8] = int_stack + 7696;
 Libr12->t2vrr_classes[6][9] = int_stack + 8956;
 Libr12->gvrr_classes[8][6] = int_stack + 10496;
 Libr12->t2vrr_classes[7][6] = int_stack + 11756;
 Libr12->gvrr_classes[8][7] = int_stack + 12764;
 Libr12->t2vrr_classes[7][7] = int_stack + 14384;
 Libr12->gvrr_classes[8][8] = int_stack + 15680;
 Libr12->t2vrr_classes[7][8] = int_stack + 17705;
 Libr12->t2vrr_classes[7][9] = int_stack + 19325;
 Libr12->gvrr_classes[4][10] = int_stack + 21305;
 Libr12->t1vrr_classes[4][6] = int_stack + 22295;
 Libr12->t1vrr_classes[4][7] = int_stack + 22715;
 Libr12->t1vrr_classes[4][8] = int_stack + 23255;
 Libr12->t1vrr_classes[4][9] = int_stack + 23930;
 Libr12->gvrr_classes[5][10] = int_stack + 24755;
 Libr12->t1vrr_classes[5][6] = int_stack + 26141;
 Libr12->t1vrr_classes[5][7] = int_stack + 26729;
 Libr12->t1vrr_classes[5][8] = int_stack + 27485;
 Libr12->t1vrr_classes[5][9] = int_stack + 28430;
 Libr12->gvrr_classes[6][10] = int_stack + 29585;
 Libr12->t1vrr_classes[6][6] = int_stack + 31433;
 Libr12->t1vrr_classes[6][7] = int_stack + 32217;
 Libr12->t1vrr_classes[6][8] = int_stack + 33225;
 Libr12->t1vrr_classes[6][9] = int_stack + 34485;
 Libr12->t1vrr_classes[7][6] = int_stack + 36025;
 Libr12->t1vrr_classes[7][7] = int_stack + 37033;
 Libr12->t1vrr_classes[7][8] = int_stack + 38329;
 Libr12->t1vrr_classes[7][9] = int_stack + 39949;
 Libr12->rvrr_classes[4][6] = int_stack + 41929;
 Libr12->rvrr_classes[4][7] = int_stack + 42349;
 Libr12->rvrr_classes[4][8] = int_stack + 42889;
 Libr12->rvrr_classes[4][9] = int_stack + 43564;
 Libr12->rvrr_classes[5][6] = int_stack + 44389;
 Libr12->rvrr_classes[5][7] = int_stack + 44977;
 Libr12->rvrr_classes[5][8] = int_stack + 45733;
 Libr12->rvrr_classes[5][9] = int_stack + 46678;
 Libr12->rvrr_classes[6][6] = int_stack + 47833;
 Libr12->rvrr_classes[6][7] = int_stack + 48617;
 Libr12->rvrr_classes[6][8] = int_stack + 49625;
 Libr12->rvrr_classes[6][9] = int_stack + 50885;
 Libr12->rvrr_classes[7][6] = int_stack + 52425;
 Libr12->rvrr_classes[7][7] = int_stack + 53433;
 Libr12->rvrr_classes[7][8] = int_stack + 54729;
 Libr12->rvrr_classes[7][9] = int_stack + 56349;
 Libr12->gvrr_classes[4][6] = int_stack + 58329;
 Libr12->gvrr_classes[4][7] = int_stack + 58749;
 Libr12->gvrr_classes[4][8] = int_stack + 59289;
 Libr12->gvrr_classes[4][9] = int_stack + 59964;
 Libr12->gvrr_classes[5][6] = int_stack + 60789;
 Libr12->gvrr_classes[5][7] = int_stack + 61377;
 Libr12->gvrr_classes[5][8] = int_stack + 62133;
 Libr12->gvrr_classes[5][9] = int_stack + 63078;
 Libr12->gvrr_classes[6][6] = int_stack + 64233;
 Libr12->gvrr_classes[6][7] = int_stack + 65017;
 Libr12->gvrr_classes[6][8] = int_stack + 66025;
 Libr12->gvrr_classes[6][9] = int_stack + 67285;
 Libr12->gvrr_classes[7][6] = int_stack + 68825;
 Libr12->gvrr_classes[7][7] = int_stack + 69833;
 Libr12->gvrr_classes[7][8] = int_stack + 71129;
 Libr12->gvrr_classes[7][9] = int_stack + 72749;
 memset(int_stack,0,74729*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 74729;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gfif(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+74729, int_stack+58749, int_stack+58329, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+75989, int_stack+59289, int_stack+58749, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+77609, int_stack+75989, int_stack+74729, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+80129, int_stack+61377, int_stack+60789, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+81893, int_stack+62133, int_stack+61377, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+84161, int_stack+81893, int_stack+80129, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+87689, int_stack+59964, int_stack+59289, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+89714, int_stack+87689, int_stack+75989, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92954, int_stack+420, int_stack+0, int_stack+58749, int_stack+60789, int_stack+58329, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94214, int_stack+960, int_stack+420, int_stack+59289, int_stack+61377, int_stack+58749, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95834, int_stack+94214, int_stack+92954, int_stack+75989, int_stack+80129, int_stack+74729, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+98354, int_stack+1635, int_stack+960, int_stack+59964, int_stack+62133, int_stack+59289, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100379, int_stack+98354, int_stack+94214, int_stack+87689, int_stack+81893, int_stack+75989, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103619, int_stack+100379, int_stack+95834, int_stack+89714, int_stack+84161, int_stack+77609, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+74729, int_stack+65017, int_stack+64233, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+92954, int_stack+66025, int_stack+65017, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+95978, int_stack+92954, int_stack+74729, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+100682, int_stack+63078, int_stack+62133, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+107819, int_stack+100682, int_stack+81893, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3048, int_stack+2460, int_stack+61377, int_stack+64233, int_stack+60789, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112355, int_stack+3804, int_stack+3048, int_stack+62133, int_stack+65017, int_stack+61377, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114623, int_stack+112355, int_stack+0, int_stack+81893, int_stack+74729, int_stack+80129, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4749, int_stack+3804, int_stack+63078, int_stack+66025, int_stack+62133, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118151, int_stack+0, int_stack+112355, int_stack+100682, int_stack+92954, int_stack+81893, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+118151, int_stack+114623, int_stack+107819, int_stack+95978, int_stack+84161, 5, 0);
 /*--- compute (gp|[r12,T2]|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+112355, int_stack+0, int_stack+103619, 280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+80129, int_stack+69833, int_stack+68825, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+103517, int_stack+71129, int_stack+69833, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+124955, int_stack+103517, int_stack+80129, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+131003, int_stack+67285, int_stack+66025, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+134783, int_stack+131003, int_stack+92954, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140831, int_stack+6688, int_stack+5904, int_stack+65017, int_stack+68825, int_stack+64233, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+143183, int_stack+7696, int_stack+6688, int_stack+66025, int_stack+69833, int_stack+65017, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146207, int_stack+143183, int_stack+140831, int_stack+92954, int_stack+80129, int_stack+74729, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150911, int_stack+8956, int_stack+7696, int_stack+67285, int_stack+71129, int_stack+66025, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154691, int_stack+150911, int_stack+143183, int_stack+131003, int_stack+103517, int_stack+92954, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160739, int_stack+154691, int_stack+146207, int_stack+134783, int_stack+124955, int_stack+95978, 6, 0);
 /*--- compute (hp|[r12,T2]|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+140831, int_stack+160739, int_stack+0, 280);
 /*--- compute (gd|[r12,T2]|if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+168579, int_stack+140831, int_stack+112355, 280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+112355, int_stack+12764, int_stack+10496, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+116135, int_stack+15680, int_stack+12764, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+116135, int_stack+112355, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+193779, int_stack+72749, int_stack+71129, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+198639, int_stack+193779, int_stack+103517, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92954, int_stack+14384, int_stack+11756, int_stack+69833, int_stack+10496, int_stack+68825, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120995, int_stack+17705, int_stack+14384, int_stack+71129, int_stack+12764, int_stack+69833, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7560, int_stack+120995, int_stack+92954, int_stack+103517, int_stack+112355, int_stack+80129, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206415, int_stack+19325, int_stack+17705, int_stack+72749, int_stack+15680, int_stack+71129, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68825, int_stack+206415, int_stack+120995, int_stack+193779, int_stack+116135, int_stack+103517, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+112355, int_stack+68825, int_stack+7560, int_stack+198639, int_stack+0, int_stack+124955, 7, 0);
 /*--- compute (ip|[r12,T2]|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+206415, int_stack+112355, int_stack+160739, 280);
 /*--- compute (hd|[r12,T2]|if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+229935, int_stack+206415, int_stack+140831, 280);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+140831, int_stack+89714, int_stack+77609, 15);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+145031, int_stack+107819, int_stack+84161, 21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+112355, int_stack+145031, int_stack+140831, 280);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+150911, int_stack+134783, int_stack+95978, 28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+206415, int_stack+150911, int_stack+145031, 280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+265215, int_stack+206415, int_stack+112355, 280);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+158751, int_stack+21305, int_stack+59964, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+161226, int_stack+158751, int_stack+87689, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+224055, int_stack+161226, int_stack+89714, 15);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+158751, int_stack+24755, int_stack+63078, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+162216, int_stack+158751, int_stack+100682, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+162216, int_stack+107819, 21);
 /*--- compute (gp|kf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+68825, int_stack+0, int_stack+224055, 360);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+158751, int_stack+29585, int_stack+67285, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+158751, int_stack+131003, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+85025, int_stack+7560, int_stack+134783, 28);
 /*--- compute (hp|kf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+290415, int_stack+85025, int_stack+0, 360);
 /*--- compute (gd|kf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+313095, int_stack+290415, int_stack+68825, 360);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+198639, int_stack+124955, 36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+345495, int_stack+7560, int_stack+150911, 280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+369015, int_stack+345495, int_stack+206415, 280);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+124955, int_stack+22715, int_stack+22295, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+126215, int_stack+23255, int_stack+22715, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+127835, int_stack+126215, int_stack+124955, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+130355, int_stack+23930, int_stack+23255, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+132380, int_stack+130355, int_stack+126215, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+135620, int_stack+132380, int_stack+127835, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+124955, int_stack+26729, int_stack+26141, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+126719, int_stack+27485, int_stack+26729, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+128987, int_stack+126719, int_stack+124955, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+132515, int_stack+28430, int_stack+27485, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17640, int_stack+132515, int_stack+126719, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+22176, int_stack+17640, int_stack+128987, 21);
 /*--- compute (gp|[r12,T1]|if) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+95105, int_stack+22176, int_stack+135620, int_stack+145031, int_stack+224055, int_stack+140831, 6, 3);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+224055, int_stack+32217, int_stack+31433, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+226407, int_stack+33225, int_stack+32217, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+124955, int_stack+226407, int_stack+224055, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+17640, int_stack+34485, int_stack+33225, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+129659, int_stack+17640, int_stack+226407, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+135707, int_stack+129659, int_stack+124955, 28);
 /*--- compute (hp|[r12,T1]|if) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+404295, int_stack+135707, int_stack+22176, int_stack+150911, int_stack+0, int_stack+145031, 6, 3);
 /*--- compute (gd|[r12,T1]|if) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+421935, int_stack+404295, int_stack+95105, int_stack+206415, int_stack+68825, int_stack+112355, 6, 3);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+95105, int_stack+37033, int_stack+36025, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+98129, int_stack+38329, int_stack+37033, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+102017, int_stack+98129, int_stack+95105, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+108065, int_stack+39949, int_stack+38329, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+112925, int_stack+108065, int_stack+98129, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+120701, int_stack+112925, int_stack+102017, 36);
 /*--- compute (ip|[r12,T1]|if) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+95105, int_stack+120701, int_stack+135707, int_stack+7560, int_stack+85025, int_stack+150911, 6, 3);
 /*--- compute (hd|[r12,T1]|if) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+118625, int_stack+95105, int_stack+404295, int_stack+345495, int_stack+290415, int_stack+206415, 6, 3);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+290415, int_stack+42349, int_stack+41929, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+291675, int_stack+42889, int_stack+42349, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+293295, int_stack+291675, int_stack+290415, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+295815, int_stack+43564, int_stack+42889, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+297840, int_stack+295815, int_stack+291675, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+301080, int_stack+297840, int_stack+293295, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+290415, int_stack+44977, int_stack+44389, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+292179, int_stack+45733, int_stack+44977, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+294447, int_stack+292179, int_stack+290415, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+297975, int_stack+46678, int_stack+45733, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+305280, int_stack+297975, int_stack+292179, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+345495, int_stack+305280, int_stack+294447, 21);
 /*--- compute (gp||if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+351375, int_stack+345495, int_stack+301080, 280);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+290415, int_stack+48617, int_stack+47833, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+292767, int_stack+49625, int_stack+48617, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+295791, int_stack+292767, int_stack+290415, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+300495, int_stack+50885, int_stack+49625, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+304275, int_stack+300495, int_stack+292767, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+404295, int_stack+304275, int_stack+295791, 28);
 /*--- compute (hp||if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+290415, int_stack+404295, int_stack+345495, 280);
 /*--- compute (gd||if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+290415, int_stack+351375, 280);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+345495, int_stack+53433, int_stack+52425, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+348519, int_stack+54729, int_stack+53433, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+352407, int_stack+348519, int_stack+345495, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+358455, int_stack+56349, int_stack+54729, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+412135, int_stack+358455, int_stack+348519, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+358455, int_stack+412135, int_stack+352407, 36);
 /*--- compute (ip||if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+25200, int_stack+358455, int_stack+404295, 280);
 /*--- compute (hd||if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+48720, int_stack+25200, int_stack+290415, 280);
 /*--- compute (gf|[r12,T2]|if) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+447135, int_stack+229935, int_stack+168579, 280);
     Libr12->te_ptr[3] = int_stack + 447135;
 /*--- compute (gf|[r12,T1]|if) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+153905, int_stack+118625, int_stack+421935, int_stack+369015, int_stack+313095, int_stack+265215, 6, 3);
     Libr12->te_ptr[2] = int_stack + 153905;
 /*--- compute (gf||if) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+290415, int_stack+48720, int_stack+0, 280);
     Libr12->te_ptr[1] = int_stack + 290415;
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+369015, int_stack+265215, 280);
     Libr12->te_ptr[0] = int_stack + 0;

}
