#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gfig(Libr12_t *, prim_data *);

  /* Computes (gf|ig) integrals for linear R12-methods */

void hrr_grt_order_gfig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[5][6] = int_stack + 3450;
 Libr12->t2vrr_classes[5][7] = int_stack + 4038;
 Libr12->t2vrr_classes[5][8] = int_stack + 4794;
 Libr12->t2vrr_classes[5][9] = int_stack + 5739;
 Libr12->t2vrr_classes[5][10] = int_stack + 6894;
 Libr12->t2vrr_classes[6][6] = int_stack + 8280;
 Libr12->t2vrr_classes[6][7] = int_stack + 9064;
 Libr12->t2vrr_classes[6][8] = int_stack + 10072;
 Libr12->t2vrr_classes[6][9] = int_stack + 11332;
 Libr12->t2vrr_classes[6][10] = int_stack + 12872;
 Libr12->gvrr_classes[8][6] = int_stack + 14720;
 Libr12->t2vrr_classes[7][6] = int_stack + 15980;
 Libr12->gvrr_classes[8][7] = int_stack + 16988;
 Libr12->t2vrr_classes[7][7] = int_stack + 18608;
 Libr12->gvrr_classes[8][8] = int_stack + 19904;
 Libr12->t2vrr_classes[7][8] = int_stack + 21929;
 Libr12->gvrr_classes[8][9] = int_stack + 23549;
 Libr12->t2vrr_classes[7][9] = int_stack + 26024;
 Libr12->t2vrr_classes[7][10] = int_stack + 28004;
 Libr12->gvrr_classes[4][11] = int_stack + 30380;
 Libr12->t1vrr_classes[4][6] = int_stack + 31550;
 Libr12->t1vrr_classes[4][7] = int_stack + 31970;
 Libr12->t1vrr_classes[4][8] = int_stack + 32510;
 Libr12->t1vrr_classes[4][9] = int_stack + 33185;
 Libr12->t1vrr_classes[4][10] = int_stack + 34010;
 Libr12->gvrr_classes[5][11] = int_stack + 35000;
 Libr12->t1vrr_classes[5][6] = int_stack + 36638;
 Libr12->t1vrr_classes[5][7] = int_stack + 37226;
 Libr12->t1vrr_classes[5][8] = int_stack + 37982;
 Libr12->t1vrr_classes[5][9] = int_stack + 38927;
 Libr12->t1vrr_classes[5][10] = int_stack + 40082;
 Libr12->gvrr_classes[6][11] = int_stack + 41468;
 Libr12->t1vrr_classes[6][6] = int_stack + 43652;
 Libr12->t1vrr_classes[6][7] = int_stack + 44436;
 Libr12->t1vrr_classes[6][8] = int_stack + 45444;
 Libr12->t1vrr_classes[6][9] = int_stack + 46704;
 Libr12->t1vrr_classes[6][10] = int_stack + 48244;
 Libr12->t1vrr_classes[7][6] = int_stack + 50092;
 Libr12->t1vrr_classes[7][7] = int_stack + 51100;
 Libr12->t1vrr_classes[7][8] = int_stack + 52396;
 Libr12->t1vrr_classes[7][9] = int_stack + 54016;
 Libr12->t1vrr_classes[7][10] = int_stack + 55996;
 Libr12->rvrr_classes[4][6] = int_stack + 58372;
 Libr12->rvrr_classes[4][7] = int_stack + 58792;
 Libr12->rvrr_classes[4][8] = int_stack + 59332;
 Libr12->rvrr_classes[4][9] = int_stack + 60007;
 Libr12->rvrr_classes[4][10] = int_stack + 60832;
 Libr12->rvrr_classes[5][6] = int_stack + 61822;
 Libr12->rvrr_classes[5][7] = int_stack + 62410;
 Libr12->rvrr_classes[5][8] = int_stack + 63166;
 Libr12->rvrr_classes[5][9] = int_stack + 64111;
 Libr12->rvrr_classes[5][10] = int_stack + 65266;
 Libr12->rvrr_classes[6][6] = int_stack + 66652;
 Libr12->rvrr_classes[6][7] = int_stack + 67436;
 Libr12->rvrr_classes[6][8] = int_stack + 68444;
 Libr12->rvrr_classes[6][9] = int_stack + 69704;
 Libr12->rvrr_classes[6][10] = int_stack + 71244;
 Libr12->rvrr_classes[7][6] = int_stack + 73092;
 Libr12->rvrr_classes[7][7] = int_stack + 74100;
 Libr12->rvrr_classes[7][8] = int_stack + 75396;
 Libr12->rvrr_classes[7][9] = int_stack + 77016;
 Libr12->rvrr_classes[7][10] = int_stack + 78996;
 Libr12->gvrr_classes[4][6] = int_stack + 81372;
 Libr12->gvrr_classes[4][7] = int_stack + 81792;
 Libr12->gvrr_classes[4][8] = int_stack + 82332;
 Libr12->gvrr_classes[4][9] = int_stack + 83007;
 Libr12->gvrr_classes[4][10] = int_stack + 83832;
 Libr12->gvrr_classes[5][6] = int_stack + 84822;
 Libr12->gvrr_classes[5][7] = int_stack + 85410;
 Libr12->gvrr_classes[5][8] = int_stack + 86166;
 Libr12->gvrr_classes[5][9] = int_stack + 87111;
 Libr12->gvrr_classes[5][10] = int_stack + 88266;
 Libr12->gvrr_classes[6][6] = int_stack + 89652;
 Libr12->gvrr_classes[6][7] = int_stack + 90436;
 Libr12->gvrr_classes[6][8] = int_stack + 91444;
 Libr12->gvrr_classes[6][9] = int_stack + 92704;
 Libr12->gvrr_classes[6][10] = int_stack + 94244;
 Libr12->gvrr_classes[7][6] = int_stack + 96092;
 Libr12->gvrr_classes[7][7] = int_stack + 97100;
 Libr12->gvrr_classes[7][8] = int_stack + 98396;
 Libr12->gvrr_classes[7][9] = int_stack + 100016;
 Libr12->gvrr_classes[7][10] = int_stack + 101996;
 memset(int_stack,0,104372*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 104372;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gfig(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+104372, int_stack+81792, int_stack+81372, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+105632, int_stack+82332, int_stack+81792, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+107252, int_stack+105632, int_stack+104372, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+109772, int_stack+83007, int_stack+82332, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+111797, int_stack+109772, int_stack+105632, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+115037, int_stack+111797, int_stack+107252, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+119237, int_stack+85410, int_stack+84822, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+121001, int_stack+86166, int_stack+85410, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+123269, int_stack+121001, int_stack+119237, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+126797, int_stack+87111, int_stack+86166, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+129632, int_stack+126797, int_stack+121001, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+134168, int_stack+129632, int_stack+123269, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+140048, int_stack+83832, int_stack+83007, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+142523, int_stack+140048, int_stack+109772, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+146573, int_stack+142523, int_stack+111797, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+151973, int_stack+420, int_stack+0, int_stack+81792, int_stack+84822, int_stack+81372, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+153233, int_stack+960, int_stack+420, int_stack+82332, int_stack+85410, int_stack+81792, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154853, int_stack+153233, int_stack+151973, int_stack+105632, int_stack+119237, int_stack+104372, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157373, int_stack+1635, int_stack+960, int_stack+83007, int_stack+86166, int_stack+82332, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159398, int_stack+157373, int_stack+153233, int_stack+109772, int_stack+121001, int_stack+105632, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+162638, int_stack+159398, int_stack+154853, int_stack+111797, int_stack+123269, int_stack+107252, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104372, int_stack+2460, int_stack+1635, int_stack+83832, int_stack+87111, int_stack+83007, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+151973, int_stack+104372, int_stack+157373, int_stack+140048, int_stack+126797, int_stack+109772, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104372, int_stack+151973, int_stack+159398, int_stack+142523, int_stack+129632, int_stack+111797, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+151973, int_stack+104372, int_stack+162638, int_stack+146573, int_stack+134168, int_stack+115037, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+104372, int_stack+90436, int_stack+89652, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+106724, int_stack+91444, int_stack+90436, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+109748, int_stack+106724, int_stack+104372, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+158273, int_stack+92704, int_stack+91444, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+162053, int_stack+158273, int_stack+106724, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+168101, int_stack+162053, int_stack+109748, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+175941, int_stack+88266, int_stack+87111, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+179406, int_stack+175941, int_stack+126797, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+185076, int_stack+179406, int_stack+129632, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81372, int_stack+4038, int_stack+3450, int_stack+85410, int_stack+89652, int_stack+84822, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4794, int_stack+4038, int_stack+86166, int_stack+90436, int_stack+85410, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192636, int_stack+0, int_stack+81372, int_stack+121001, int_stack+104372, int_stack+119237, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+196164, int_stack+5739, int_stack+4794, int_stack+87111, int_stack+91444, int_stack+86166, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+198999, int_stack+196164, int_stack+0, int_stack+126797, int_stack+106724, int_stack+121001, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203535, int_stack+198999, int_stack+192636, int_stack+129632, int_stack+109748, int_stack+123269, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192636, int_stack+6894, int_stack+5739, int_stack+88266, int_stack+92704, int_stack+87111, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+192636, int_stack+196164, int_stack+175941, int_stack+158273, int_stack+126797, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119237, int_stack+0, int_stack+198999, int_stack+179406, int_stack+162053, int_stack+129632, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192636, int_stack+119237, int_stack+203535, int_stack+185076, int_stack+168101, int_stack+134168, 5, 0);
 /*--- compute (gp|[r12,T2]|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+201456, int_stack+192636, int_stack+151973, 420);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+151973, int_stack+97100, int_stack+96092, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+119237, int_stack+98396, int_stack+97100, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+123125, int_stack+119237, int_stack+151973, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+129173, int_stack+100016, int_stack+98396, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+129173, int_stack+119237, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+220356, int_stack+0, int_stack+123125, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+230436, int_stack+94244, int_stack+92704, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+235056, int_stack+230436, int_stack+158273, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+242616, int_stack+235056, int_stack+162053, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154997, int_stack+9064, int_stack+8280, int_stack+90436, int_stack+96092, int_stack+89652, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84822, int_stack+10072, int_stack+9064, int_stack+91444, int_stack+97100, int_stack+90436, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+252696, int_stack+84822, int_stack+154997, int_stack+106724, int_stack+151973, int_stack+104372, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+257400, int_stack+11332, int_stack+10072, int_stack+92704, int_stack+98396, int_stack+91444, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+261180, int_stack+257400, int_stack+84822, int_stack+158273, int_stack+119237, int_stack+106724, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267228, int_stack+261180, int_stack+252696, int_stack+162053, int_stack+123125, int_stack+109748, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+252696, int_stack+12872, int_stack+11332, int_stack+94244, int_stack+100016, int_stack+92704, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104372, int_stack+252696, int_stack+257400, int_stack+230436, int_stack+129173, int_stack+158273, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+275068, int_stack+104372, int_stack+261180, int_stack+235056, int_stack+0, int_stack+162053, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+252696, int_stack+275068, int_stack+267228, int_stack+242616, int_stack+220356, int_stack+168101, 6, 0);
 /*--- compute (hp|[r12,T2]|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+264456, int_stack+252696, int_stack+192636, 420);
 /*--- compute (gd|[r12,T2]|ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+290916, int_stack+264456, int_stack+201456, 420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+192636, int_stack+16988, int_stack+14720, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+196416, int_stack+19904, int_stack+16988, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+201276, int_stack+196416, int_stack+192636, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+208836, int_stack+23549, int_stack+19904, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+104372, int_stack+208836, int_stack+196416, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+154997, int_stack+104372, int_stack+201276, 45);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+7776, int_stack+101996, int_stack+100016, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+7776, int_stack+129173, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+338436, int_stack+328716, int_stack+0, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+214911, int_stack+18608, int_stack+15980, int_stack+97100, int_stack+14720, int_stack+96092, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89652, int_stack+21929, int_stack+18608, int_stack+98396, int_stack+16988, int_stack+97100, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13716, int_stack+89652, int_stack+214911, int_stack+119237, int_stack+192636, int_stack+151973, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+214911, int_stack+26024, int_stack+21929, int_stack+100016, int_stack+19904, int_stack+98396, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+351396, int_stack+214911, int_stack+89652, int_stack+129173, int_stack+196416, int_stack+119237, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+359172, int_stack+351396, int_stack+13716, int_stack+0, int_stack+201276, int_stack+123125, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13716, int_stack+28004, int_stack+26024, int_stack+101996, int_stack+23549, int_stack+100016, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19656, int_stack+13716, int_stack+214911, int_stack+7776, int_stack+208836, int_stack+129173, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119237, int_stack+19656, int_stack+351396, int_stack+328716, int_stack+104372, int_stack+0, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+119237, int_stack+359172, int_stack+338436, int_stack+154997, int_stack+220356, 7, 0);
 /*--- compute (ip|[r12,T2]|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+351396, int_stack+0, int_stack+252696, 420);
 /*--- compute (hd|[r12,T2]|ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+386676, int_stack+351396, int_stack+264456, 420);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+351396, int_stack+146573, int_stack+115037, 15);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+357696, int_stack+185076, int_stack+134168, 21);
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+366516, int_stack+357696, int_stack+351396, 420);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+252696, int_stack+242616, int_stack+168101, 28);
 /*--- compute (hp|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+264456, int_stack+252696, int_stack+357696, 420);
 /*--- compute (gd|ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+96092, int_stack+264456, int_stack+366516, 420);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+30380, int_stack+83832, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2970, int_stack+0, int_stack+140048, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+7920, int_stack+2970, int_stack+142523, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+14670, int_stack+7920, int_stack+146573, 15);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+35000, int_stack+88266, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+4158, int_stack+0, int_stack+175941, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+4158, int_stack+179406, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+328716, int_stack+185076, 21);
 /*--- compute (gp|kg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+133892, int_stack+0, int_stack+14670, 540);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+41468, int_stack+94244, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+158192, int_stack+328716, int_stack+230436, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+167432, int_stack+158192, int_stack+235056, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+180032, int_stack+167432, int_stack+242616, 28);
 /*--- compute (hp|kg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+439596, int_stack+180032, int_stack+0, 540);
 /*--- compute (gd|kg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+473616, int_stack+439596, int_stack+133892, 540);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+158192, int_stack+338436, int_stack+220356, 36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+195152, int_stack+158192, int_stack+252696, 420);
 /*--- compute (hd|ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+522216, int_stack+195152, int_stack+264456, 420);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+385416, int_stack+31970, int_stack+31550, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+173312, int_stack+32510, int_stack+31970, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+174932, int_stack+173312, int_stack+385416, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+177452, int_stack+33185, int_stack+32510, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+177452, int_stack+173312, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+331956, int_stack+328716, int_stack+174932, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+173312, int_stack+34010, int_stack+33185, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+336156, int_stack+173312, int_stack+177452, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+173312, int_stack+336156, int_stack+328716, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+336156, int_stack+173312, int_stack+331956, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+173312, int_stack+37226, int_stack+36638, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+175076, int_stack+37982, int_stack+37226, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+175076, int_stack+173312, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+332244, int_stack+38927, int_stack+37982, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+342456, int_stack+332244, int_stack+175076, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+173312, int_stack+342456, int_stack+328716, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+40082, int_stack+38927, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+22770, int_stack+328716, int_stack+332244, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+28440, int_stack+22770, int_stack+342456, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+342456, int_stack+28440, int_stack+173312, 21);
 /*--- compute (gp|[r12,T1]|ig) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+22770, int_stack+342456, int_stack+336156, int_stack+357696, int_stack+14670, int_stack+351396, 6, 4);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+173312, int_stack+44436, int_stack+43652, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+175664, int_stack+45444, int_stack+44436, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+351276, int_stack+175664, int_stack+173312, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+46704, int_stack+45444, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+332496, int_stack+328716, int_stack+175664, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+11340, int_stack+332496, int_stack+351276, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+351276, int_stack+48244, int_stack+46704, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+41670, int_stack+351276, int_stack+328716, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+230432, int_stack+41670, int_stack+332496, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+230432, int_stack+11340, 28);
 /*--- compute (hp|[r12,T1]|ig) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+575136, int_stack+328716, int_stack+342456, int_stack+252696, int_stack+0, int_stack+357696, 6, 4);
 /*--- compute (gd|[r12,T1]|ig) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+601596, int_stack+575136, int_stack+22770, int_stack+264456, int_stack+133892, int_stack+366516, 6, 4);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+133892, int_stack+51100, int_stack+50092, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+136916, int_stack+52396, int_stack+51100, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+140804, int_stack+136916, int_stack+133892, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+146852, int_stack+54016, int_stack+52396, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+146852, int_stack+136916, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7776, int_stack+0, int_stack+140804, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+133892, int_stack+55996, int_stack+54016, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+17856, int_stack+133892, int_stack+146852, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+133892, int_stack+17856, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+17856, int_stack+133892, int_stack+7776, 36);
 /*--- compute (ip|[r12,T1]|ig) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+340476, int_stack+17856, int_stack+328716, int_stack+158192, int_stack+180032, int_stack+252696, 6, 4);
 /*--- compute (hd|[r12,T1]|ig) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+133892, int_stack+340476, int_stack+575136, int_stack+195152, int_stack+439596, int_stack+264456, 6, 4);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+439596, int_stack+58792, int_stack+58372, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+440856, int_stack+59332, int_stack+58792, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+442476, int_stack+440856, int_stack+439596, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+444996, int_stack+60007, int_stack+59332, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+447021, int_stack+444996, int_stack+440856, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+450261, int_stack+447021, int_stack+442476, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+439596, int_stack+60832, int_stack+60007, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+454461, int_stack+439596, int_stack+444996, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+439596, int_stack+454461, int_stack+447021, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+454461, int_stack+439596, int_stack+450261, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+439596, int_stack+62410, int_stack+61822, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+441360, int_stack+63166, int_stack+62410, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+443628, int_stack+441360, int_stack+439596, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+447156, int_stack+64111, int_stack+63166, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+460761, int_stack+447156, int_stack+441360, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+465297, int_stack+460761, int_stack+443628, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+439596, int_stack+65266, int_stack+64111, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+575136, int_stack+439596, int_stack+447156, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+439596, int_stack+575136, int_stack+460761, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+575136, int_stack+439596, int_stack+465297, 21);
 /*--- compute (gp||ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+328716, int_stack+575136, int_stack+454461, 420);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+439596, int_stack+67436, int_stack+66652, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+441948, int_stack+68444, int_stack+67436, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+444972, int_stack+441948, int_stack+439596, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+449676, int_stack+69704, int_stack+68444, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+453456, int_stack+449676, int_stack+441948, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+459504, int_stack+453456, int_stack+444972, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+439596, int_stack+71244, int_stack+69704, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+583956, int_stack+439596, int_stack+449676, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+591516, int_stack+583956, int_stack+453456, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+439596, int_stack+591516, int_stack+459504, 28);
 /*--- compute (hp||ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+347616, int_stack+439596, int_stack+575136, 420);
 /*--- compute (gd||ig) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+186812, int_stack+347616, int_stack+328716, 420);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+74100, int_stack+73092, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+331740, int_stack+75396, int_stack+74100, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+335628, int_stack+331740, int_stack+328716, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+341676, int_stack+77016, int_stack+75396, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+575136, int_stack+341676, int_stack+331740, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+582912, int_stack+575136, int_stack+335628, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+78996, int_stack+77016, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+451356, int_stack+328716, int_stack+341676, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+328716, int_stack+451356, int_stack+575136, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+451356, int_stack+328716, int_stack+582912, 36);
 /*--- compute (ip||ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+224612, int_stack+451356, int_stack+439596, 420);
 /*--- compute (hd||ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+224612, int_stack+347616, 420);
 /*--- compute (gf|[r12,T2]|ig) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+224612, int_stack+386676, int_stack+290916, 420);
     Libr12->te_ptr[3] = int_stack + 224612;
 /*--- compute (gf|[r12,T1]|ig) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+287612, int_stack+133892, int_stack+601596, int_stack+522216, int_stack+473616, int_stack+96092, 6, 4);
     Libr12->te_ptr[2] = int_stack + 287612;
 /*--- compute (gf||ig) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+350612, int_stack+0, int_stack+186812, 420);
     Libr12->te_ptr[1] = int_stack + 350612;
 /*--- compute (gf|ig) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+522216, int_stack+96092, 420);
     Libr12->te_ptr[0] = int_stack + 0;

}
