#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gfih(Libr12_t *, prim_data *);

  /* Computes (gf|ih) integrals for linear R12-methods */

void hrr_grt_order_gfih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[4][11] = int_stack + 3450;
 Libr12->t2vrr_classes[5][6] = int_stack + 4620;
 Libr12->t2vrr_classes[5][7] = int_stack + 5208;
 Libr12->t2vrr_classes[5][8] = int_stack + 5964;
 Libr12->t2vrr_classes[5][9] = int_stack + 6909;
 Libr12->t2vrr_classes[5][10] = int_stack + 8064;
 Libr12->t2vrr_classes[5][11] = int_stack + 9450;
 Libr12->t2vrr_classes[6][6] = int_stack + 11088;
 Libr12->t2vrr_classes[6][7] = int_stack + 11872;
 Libr12->t2vrr_classes[6][8] = int_stack + 12880;
 Libr12->t2vrr_classes[6][9] = int_stack + 14140;
 Libr12->t2vrr_classes[6][10] = int_stack + 15680;
 Libr12->t2vrr_classes[6][11] = int_stack + 17528;
 Libr12->gvrr_classes[8][6] = int_stack + 19712;
 Libr12->t2vrr_classes[7][6] = int_stack + 20972;
 Libr12->gvrr_classes[8][7] = int_stack + 21980;
 Libr12->t2vrr_classes[7][7] = int_stack + 23600;
 Libr12->gvrr_classes[8][8] = int_stack + 24896;
 Libr12->t2vrr_classes[7][8] = int_stack + 26921;
 Libr12->gvrr_classes[8][9] = int_stack + 28541;
 Libr12->t2vrr_classes[7][9] = int_stack + 31016;
 Libr12->gvrr_classes[8][10] = int_stack + 32996;
 Libr12->t2vrr_classes[7][10] = int_stack + 35966;
 Libr12->t2vrr_classes[7][11] = int_stack + 38342;
 Libr12->gvrr_classes[4][12] = int_stack + 41150;
 Libr12->t1vrr_classes[4][6] = int_stack + 42515;
 Libr12->t1vrr_classes[4][7] = int_stack + 42935;
 Libr12->t1vrr_classes[4][8] = int_stack + 43475;
 Libr12->t1vrr_classes[4][9] = int_stack + 44150;
 Libr12->t1vrr_classes[4][10] = int_stack + 44975;
 Libr12->t1vrr_classes[4][11] = int_stack + 45965;
 Libr12->gvrr_classes[5][12] = int_stack + 47135;
 Libr12->t1vrr_classes[5][6] = int_stack + 49046;
 Libr12->t1vrr_classes[5][7] = int_stack + 49634;
 Libr12->t1vrr_classes[5][8] = int_stack + 50390;
 Libr12->t1vrr_classes[5][9] = int_stack + 51335;
 Libr12->t1vrr_classes[5][10] = int_stack + 52490;
 Libr12->t1vrr_classes[5][11] = int_stack + 53876;
 Libr12->gvrr_classes[6][12] = int_stack + 55514;
 Libr12->t1vrr_classes[6][6] = int_stack + 58062;
 Libr12->t1vrr_classes[6][7] = int_stack + 58846;
 Libr12->t1vrr_classes[6][8] = int_stack + 59854;
 Libr12->t1vrr_classes[6][9] = int_stack + 61114;
 Libr12->t1vrr_classes[6][10] = int_stack + 62654;
 Libr12->t1vrr_classes[6][11] = int_stack + 64502;
 Libr12->t1vrr_classes[7][6] = int_stack + 66686;
 Libr12->t1vrr_classes[7][7] = int_stack + 67694;
 Libr12->t1vrr_classes[7][8] = int_stack + 68990;
 Libr12->t1vrr_classes[7][9] = int_stack + 70610;
 Libr12->t1vrr_classes[7][10] = int_stack + 72590;
 Libr12->t1vrr_classes[7][11] = int_stack + 74966;
 Libr12->rvrr_classes[4][6] = int_stack + 77774;
 Libr12->rvrr_classes[4][7] = int_stack + 78194;
 Libr12->rvrr_classes[4][8] = int_stack + 78734;
 Libr12->rvrr_classes[4][9] = int_stack + 79409;
 Libr12->rvrr_classes[4][10] = int_stack + 80234;
 Libr12->rvrr_classes[4][11] = int_stack + 81224;
 Libr12->rvrr_classes[5][6] = int_stack + 82394;
 Libr12->rvrr_classes[5][7] = int_stack + 82982;
 Libr12->rvrr_classes[5][8] = int_stack + 83738;
 Libr12->rvrr_classes[5][9] = int_stack + 84683;
 Libr12->rvrr_classes[5][10] = int_stack + 85838;
 Libr12->rvrr_classes[5][11] = int_stack + 87224;
 Libr12->rvrr_classes[6][6] = int_stack + 88862;
 Libr12->rvrr_classes[6][7] = int_stack + 89646;
 Libr12->rvrr_classes[6][8] = int_stack + 90654;
 Libr12->rvrr_classes[6][9] = int_stack + 91914;
 Libr12->rvrr_classes[6][10] = int_stack + 93454;
 Libr12->rvrr_classes[6][11] = int_stack + 95302;
 Libr12->rvrr_classes[7][6] = int_stack + 97486;
 Libr12->rvrr_classes[7][7] = int_stack + 98494;
 Libr12->rvrr_classes[7][8] = int_stack + 99790;
 Libr12->rvrr_classes[7][9] = int_stack + 101410;
 Libr12->rvrr_classes[7][10] = int_stack + 103390;
 Libr12->rvrr_classes[7][11] = int_stack + 105766;
 Libr12->gvrr_classes[4][6] = int_stack + 108574;
 Libr12->gvrr_classes[4][7] = int_stack + 108994;
 Libr12->gvrr_classes[4][8] = int_stack + 109534;
 Libr12->gvrr_classes[4][9] = int_stack + 110209;
 Libr12->gvrr_classes[4][10] = int_stack + 111034;
 Libr12->gvrr_classes[4][11] = int_stack + 112024;
 Libr12->gvrr_classes[5][6] = int_stack + 113194;
 Libr12->gvrr_classes[5][7] = int_stack + 113782;
 Libr12->gvrr_classes[5][8] = int_stack + 114538;
 Libr12->gvrr_classes[5][9] = int_stack + 115483;
 Libr12->gvrr_classes[5][10] = int_stack + 116638;
 Libr12->gvrr_classes[5][11] = int_stack + 118024;
 Libr12->gvrr_classes[6][6] = int_stack + 119662;
 Libr12->gvrr_classes[6][7] = int_stack + 120446;
 Libr12->gvrr_classes[6][8] = int_stack + 121454;
 Libr12->gvrr_classes[6][9] = int_stack + 122714;
 Libr12->gvrr_classes[6][10] = int_stack + 124254;
 Libr12->gvrr_classes[6][11] = int_stack + 126102;
 Libr12->gvrr_classes[7][6] = int_stack + 128286;
 Libr12->gvrr_classes[7][7] = int_stack + 129294;
 Libr12->gvrr_classes[7][8] = int_stack + 130590;
 Libr12->gvrr_classes[7][9] = int_stack + 132210;
 Libr12->gvrr_classes[7][10] = int_stack + 134190;
 Libr12->gvrr_classes[7][11] = int_stack + 136566;
 memset(int_stack,0,139374*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 139374;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gfih(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+139374, int_stack+108994, int_stack+108574, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+140634, int_stack+109534, int_stack+108994, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+142254, int_stack+140634, int_stack+139374, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+144774, int_stack+110209, int_stack+109534, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+146799, int_stack+144774, int_stack+140634, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+150039, int_stack+146799, int_stack+142254, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+154239, int_stack+111034, int_stack+110209, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+156714, int_stack+154239, int_stack+144774, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+160764, int_stack+156714, int_stack+146799, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+166164, int_stack+160764, int_stack+150039, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+172464, int_stack+113782, int_stack+113194, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+174228, int_stack+114538, int_stack+113782, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+176496, int_stack+174228, int_stack+172464, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+180024, int_stack+115483, int_stack+114538, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+182859, int_stack+180024, int_stack+174228, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+187395, int_stack+182859, int_stack+176496, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+193275, int_stack+116638, int_stack+115483, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+196740, int_stack+193275, int_stack+180024, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+202410, int_stack+196740, int_stack+182859, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+209970, int_stack+202410, int_stack+187395, 21);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+218790, int_stack+112024, int_stack+111034, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+221760, int_stack+218790, int_stack+154239, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+226710, int_stack+221760, int_stack+156714, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+233460, int_stack+226710, int_stack+160764, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241560, int_stack+420, int_stack+0, int_stack+108994, int_stack+113194, int_stack+108574, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+242820, int_stack+960, int_stack+420, int_stack+109534, int_stack+113782, int_stack+108994, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+244440, int_stack+242820, int_stack+241560, int_stack+140634, int_stack+172464, int_stack+139374, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+246960, int_stack+1635, int_stack+960, int_stack+110209, int_stack+114538, int_stack+109534, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+248985, int_stack+246960, int_stack+242820, int_stack+144774, int_stack+174228, int_stack+140634, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+252225, int_stack+248985, int_stack+244440, int_stack+146799, int_stack+176496, int_stack+142254, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139374, int_stack+2460, int_stack+1635, int_stack+111034, int_stack+115483, int_stack+110209, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241560, int_stack+139374, int_stack+246960, int_stack+154239, int_stack+180024, int_stack+144774, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+256425, int_stack+241560, int_stack+248985, int_stack+156714, int_stack+182859, int_stack+146799, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+141849, int_stack+256425, int_stack+252225, int_stack+160764, int_stack+187395, int_stack+150039, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+148149, int_stack+3450, int_stack+2460, int_stack+112024, int_stack+116638, int_stack+111034, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245610, int_stack+148149, int_stack+139374, int_stack+218790, int_stack+193275, int_stack+154239, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+148149, int_stack+245610, int_stack+241560, int_stack+221760, int_stack+196740, int_stack+156714, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241560, int_stack+148149, int_stack+256425, int_stack+226710, int_stack+202410, int_stack+160764, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+148149, int_stack+241560, int_stack+141849, int_stack+233460, int_stack+209970, int_stack+166164, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+241560, int_stack+120446, int_stack+119662, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+243912, int_stack+121454, int_stack+120446, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+246936, int_stack+243912, int_stack+241560, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+251640, int_stack+122714, int_stack+121454, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+255420, int_stack+251640, int_stack+243912, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+156969, int_stack+255420, int_stack+246936, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+124254, int_stack+122714, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+139374, int_stack+0, int_stack+251640, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+261468, int_stack+139374, int_stack+255420, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+271548, int_stack+261468, int_stack+156969, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+283308, int_stack+118024, int_stack+116638, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+287466, int_stack+283308, int_stack+193275, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+294396, int_stack+287466, int_stack+196740, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+303846, int_stack+294396, int_stack+202410, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108574, int_stack+5208, int_stack+4620, int_stack+113782, int_stack+119662, int_stack+113194, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315186, int_stack+5964, int_stack+5208, int_stack+114538, int_stack+120446, int_stack+113782, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+317454, int_stack+315186, int_stack+108574, int_stack+174228, int_stack+241560, int_stack+172464, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108574, int_stack+6909, int_stack+5964, int_stack+115483, int_stack+121454, int_stack+114538, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320982, int_stack+108574, int_stack+315186, int_stack+180024, int_stack+243912, int_stack+174228, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+325518, int_stack+320982, int_stack+317454, int_stack+182859, int_stack+246936, int_stack+176496, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315186, int_stack+8064, int_stack+6909, int_stack+116638, int_stack+122714, int_stack+115483, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+172464, int_stack+315186, int_stack+108574, int_stack+193275, int_stack+251640, int_stack+180024, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+331398, int_stack+172464, int_stack+320982, int_stack+196740, int_stack+255420, int_stack+182859, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+178134, int_stack+331398, int_stack+325518, int_stack+202410, int_stack+156969, int_stack+187395, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318651, int_stack+9450, int_stack+8064, int_stack+118024, int_stack+124254, int_stack+116638, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+322809, int_stack+318651, int_stack+315186, int_stack+283308, int_stack+0, int_stack+193275, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+186954, int_stack+322809, int_stack+172464, int_stack+287466, int_stack+139374, int_stack+196740, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315186, int_stack+186954, int_stack+331398, int_stack+294396, int_stack+261468, int_stack+202410, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+186954, int_stack+315186, int_stack+178134, int_stack+303846, int_stack+271548, int_stack+209970, 5, 0);
 /*--- compute (gp|[r12,T2]|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+315186, int_stack+186954, int_stack+148149, 588);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+199302, int_stack+129294, int_stack+128286, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+202326, int_stack+130590, int_stack+129294, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+172464, int_stack+202326, int_stack+199302, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+178512, int_stack+132210, int_stack+130590, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+146934, int_stack+178512, int_stack+202326, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+341646, int_stack+146934, int_stack+172464, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+134190, int_stack+132210, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+351726, int_stack+4620, int_stack+178512, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+361446, int_stack+351726, int_stack+146934, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+374406, int_stack+361446, int_stack+341646, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+389526, int_stack+126102, int_stack+124254, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+395070, int_stack+389526, int_stack+0, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+404310, int_stack+395070, int_stack+139374, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+416910, int_stack+404310, int_stack+261468, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206214, int_stack+11872, int_stack+11088, int_stack+120446, int_stack+128286, int_stack+119662, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+183372, int_stack+12880, int_stack+11872, int_stack+121454, int_stack+129294, int_stack+120446, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+113194, int_stack+183372, int_stack+206214, int_stack+243912, int_stack+199302, int_stack+241560, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+432030, int_stack+14140, int_stack+12880, int_stack+122714, int_stack+130590, int_stack+121454, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+435810, int_stack+432030, int_stack+183372, int_stack+251640, int_stack+202326, int_stack+243912, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+441858, int_stack+435810, int_stack+113194, int_stack+255420, int_stack+172464, int_stack+246936, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+113194, int_stack+15680, int_stack+14140, int_stack+124254, int_stack+132210, int_stack+122714, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241560, int_stack+113194, int_stack+432030, int_stack+0, int_stack+178512, int_stack+251640, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+449698, int_stack+241560, int_stack+435810, int_stack+139374, int_stack+146934, int_stack+255420, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+249120, int_stack+449698, int_stack+441858, int_stack+261468, int_stack+341646, int_stack+156969, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+432030, int_stack+17528, int_stack+15680, int_stack+126102, int_stack+134190, int_stack+124254, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+437574, int_stack+432030, int_stack+113194, int_stack+389526, int_stack+4620, int_stack+0, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+459778, int_stack+437574, int_stack+241560, int_stack+395070, int_stack+351726, int_stack+139374, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+432030, int_stack+459778, int_stack+449698, int_stack+404310, int_stack+361446, int_stack+261468, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+447150, int_stack+432030, int_stack+249120, int_stack+416910, int_stack+374406, int_stack+271548, 6, 0);
 /*--- compute (hp|[r12,T2]|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+463614, int_stack+447150, int_stack+186954, 588);
 /*--- compute (gd|[r12,T2]|ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+500658, int_stack+463614, int_stack+315186, 588);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+315186, int_stack+21980, int_stack+19712, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+318966, int_stack+24896, int_stack+21980, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+139374, int_stack+318966, int_stack+315186, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+323826, int_stack+28541, int_stack+24896, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+329901, int_stack+323826, int_stack+318966, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+432030, int_stack+329901, int_stack+139374, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+241560, int_stack+32996, int_stack+28541, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+248985, int_stack+241560, int_stack+323826, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+553578, int_stack+248985, int_stack+329901, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+569778, int_stack+553578, int_stack+432030, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+261135, int_stack+136566, int_stack+134190, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+183372, int_stack+261135, int_stack+4620, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+588678, int_stack+183372, int_stack+351726, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+604878, int_stack+588678, int_stack+361446, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+268263, int_stack+23600, int_stack+20972, int_stack+129294, int_stack+19712, int_stack+128286, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+26921, int_stack+23600, int_stack+130590, int_stack+21980, int_stack+129294, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119662, int_stack+0, int_stack+268263, int_stack+202326, int_stack+315186, int_stack+199302, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+195252, int_stack+31016, int_stack+26921, int_stack+132210, int_stack+24896, int_stack+130590, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10560, int_stack+195252, int_stack+0, int_stack+178512, int_stack+318966, int_stack+202326, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18336, int_stack+10560, int_stack+119662, int_stack+146934, int_stack+139374, int_stack+172464, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+172464, int_stack+35966, int_stack+31016, int_stack+134190, int_stack+28541, int_stack+132210, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200112, int_stack+172464, int_stack+195252, int_stack+4620, int_stack+323826, int_stack+178512, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315186, int_stack+200112, int_stack+10560, int_stack+351726, int_stack+329901, int_stack+146934, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+139374, int_stack+315186, int_stack+18336, int_stack+361446, int_stack+432030, int_stack+341646, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+432030, int_stack+38342, int_stack+35966, int_stack+136566, int_stack+32996, int_stack+134190, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10560, int_stack+432030, int_stack+172464, int_stack+261135, int_stack+241560, int_stack+4620, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22440, int_stack+10560, int_stack+200112, int_stack+183372, int_stack+248985, int_stack+351726, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241560, int_stack+22440, int_stack+315186, int_stack+588678, int_stack+553578, int_stack+361446, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315186, int_stack+241560, int_stack+139374, int_stack+604878, int_stack+569778, int_stack+374406, 7, 0);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+553578, int_stack+315186, int_stack+447150, 588);
 /*--- compute (hd|[r12,T2]|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+624318, int_stack+553578, int_stack+463614, 588);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+553578, int_stack+233460, int_stack+166164, 15);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+562398, int_stack+303846, int_stack+209970, 21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+574746, int_stack+562398, int_stack+553578, 588);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+315186, int_stack+416910, int_stack+271548, 28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+331650, int_stack+315186, int_stack+562398, 588);
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+432030, int_stack+331650, int_stack+574746, 588);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+601206, int_stack+41150, int_stack+112024, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+241560, int_stack+601206, int_stack+218790, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+247500, int_stack+241560, int_stack+221760, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+255750, int_stack+247500, int_stack+226710, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+241560, int_stack+255750, int_stack+233460, 15);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+252900, int_stack+47135, int_stack+118024, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+257814, int_stack+252900, int_stack+283308, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+266130, int_stack+257814, int_stack+287466, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+277680, int_stack+266130, int_stack+294396, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+252900, int_stack+277680, int_stack+303846, 21);
 /*--- compute (gp|kh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+268776, int_stack+252900, int_stack+241560, 756);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+302796, int_stack+55514, int_stack+126102, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+484950, int_stack+302796, int_stack+389526, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+484950, int_stack+395070, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+15400, int_stack+0, int_stack+404310, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+389526, int_stack+15400, int_stack+416910, 28);
 /*--- compute (hp|kh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+108574, int_stack+389526, int_stack+252900, 756);
 /*--- compute (gd|kh) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+156202, int_stack+108574, int_stack+268776, 756);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+604878, int_stack+374406, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+698406, int_stack+0, int_stack+315186, 588);
 /*--- compute (hd|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+747798, int_stack+698406, int_stack+331650, 588);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+42935, int_stack+42515, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+22428, int_stack+43475, int_stack+42935, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+24048, int_stack+22428, int_stack+21168, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+26568, int_stack+44150, int_stack+43475, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+28593, int_stack+26568, int_stack+22428, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31833, int_stack+28593, int_stack+24048, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+44975, int_stack+44150, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+36033, int_stack+21168, int_stack+26568, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+484950, int_stack+36033, int_stack+28593, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+23643, int_stack+484950, int_stack+31833, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+29943, int_stack+45965, int_stack+44975, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+40083, int_stack+29943, int_stack+21168, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+490350, int_stack+40083, int_stack+36033, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+29943, int_stack+490350, int_stack+484950, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+484950, int_stack+29943, int_stack+23643, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+493770, int_stack+49634, int_stack+49046, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+495534, int_stack+50390, int_stack+49634, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+495534, int_stack+493770, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+497802, int_stack+51335, int_stack+50390, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+24696, int_stack+497802, int_stack+495534, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+29232, int_stack+24696, int_stack+21168, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+52490, int_stack+51335, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+35112, int_stack+21168, int_stack+497802, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+40782, int_stack+35112, int_stack+24696, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+410694, int_stack+40782, int_stack+29232, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+24633, int_stack+53876, int_stack+52490, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+48342, int_stack+24633, int_stack+21168, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+48342, int_stack+35112, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+419514, int_stack+21168, int_stack+40782, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+419514, int_stack+410694, 21);
 /*--- compute (gp|[r12,T1]|ih) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+821886, int_stack+21168, int_stack+484950, int_stack+562398, int_stack+241560, int_stack+553578, 6, 5);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+553578, int_stack+58846, int_stack+58062, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+555930, int_stack+59854, int_stack+58846, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+484950, int_stack+555930, int_stack+553578, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+489654, int_stack+61114, int_stack+59854, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+493434, int_stack+489654, int_stack+555930, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+553578, int_stack+493434, int_stack+484950, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+484950, int_stack+62654, int_stack+61114, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+410694, int_stack+484950, int_stack+489654, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+418254, int_stack+410694, int_stack+493434, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+33516, int_stack+418254, int_stack+553578, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+553578, int_stack+64502, int_stack+62654, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+489570, int_stack+553578, int_stack+484950, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+45276, int_stack+489570, int_stack+410694, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+484950, int_stack+45276, int_stack+418254, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+45276, int_stack+484950, int_stack+33516, 28);
 /*--- compute (hp|[r12,T1]|ih) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+848346, int_stack+45276, int_stack+21168, int_stack+315186, int_stack+252900, int_stack+562398, 6, 5);
 /*--- compute (gd|[r12,T1]|ih) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+885390, int_stack+848346, int_stack+821886, int_stack+331650, int_stack+268776, int_stack+574746, 6, 5);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+821886, int_stack+67694, int_stack+66686, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+824910, int_stack+68990, int_stack+67694, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+828798, int_stack+824910, int_stack+821886, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+834846, int_stack+70610, int_stack+68990, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+839706, int_stack+834846, int_stack+824910, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+839706, int_stack+828798, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+821886, int_stack+72590, int_stack+70610, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+31248, int_stack+821886, int_stack+834846, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+484950, int_stack+31248, int_stack+839706, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+827826, int_stack+484950, int_stack+21168, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+74966, int_stack+72590, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+61740, int_stack+21168, int_stack+821886, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+410694, int_stack+61740, int_stack+31248, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+410694, int_stack+484950, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+410694, int_stack+21168, int_stack+827826, 36);
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+553578, int_stack+410694, int_stack+45276, int_stack+0, int_stack+389526, int_stack+315186, 6, 5);
 /*--- compute (hd|[r12,T1]|ih) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+553578, int_stack+848346, int_stack+698406, int_stack+108574, int_stack+331650, 6, 5);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+108574, int_stack+78194, int_stack+77774, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+109834, int_stack+78734, int_stack+78194, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+111454, int_stack+109834, int_stack+108574, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+113974, int_stack+79409, int_stack+78734, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+115999, int_stack+113974, int_stack+109834, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+119239, int_stack+115999, int_stack+111454, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+108574, int_stack+80234, int_stack+79409, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+123439, int_stack+108574, int_stack+113974, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+127489, int_stack+123439, int_stack+115999, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+111049, int_stack+127489, int_stack+119239, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+117349, int_stack+81224, int_stack+80234, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+132889, int_stack+117349, int_stack+108574, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+137839, int_stack+132889, int_stack+123439, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+117349, int_stack+137839, int_stack+127489, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+125449, int_stack+117349, int_stack+111049, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+108574, int_stack+82982, int_stack+82394, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+110338, int_stack+83738, int_stack+82982, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+112606, int_stack+110338, int_stack+108574, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+116134, int_stack+84683, int_stack+83738, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+118969, int_stack+116134, int_stack+110338, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+134269, int_stack+118969, int_stack+112606, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+108574, int_stack+85838, int_stack+84683, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+140149, int_stack+108574, int_stack+116134, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+145819, int_stack+140149, int_stack+118969, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+112039, int_stack+145819, int_stack+134269, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+134269, int_stack+87224, int_stack+85838, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+698406, int_stack+134269, int_stack+108574, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+705336, int_stack+698406, int_stack+140149, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+134269, int_stack+705336, int_stack+145819, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+698406, int_stack+134269, int_stack+112039, 21);
 /*--- compute (gp||ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+710754, int_stack+698406, int_stack+125449, 588);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+737214, int_stack+89646, int_stack+88862, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+739566, int_stack+90654, int_stack+89646, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+742590, int_stack+739566, int_stack+737214, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+108574, int_stack+91914, int_stack+90654, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+112354, int_stack+108574, int_stack+739566, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+118402, int_stack+112354, int_stack+742590, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+737214, int_stack+93454, int_stack+91914, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+126242, int_stack+737214, int_stack+108574, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+133802, int_stack+126242, int_stack+112354, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+143882, int_stack+133802, int_stack+118402, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+108574, int_stack+95302, int_stack+93454, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+114118, int_stack+108574, int_stack+737214, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+553578, int_stack+114118, int_stack+126242, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+108574, int_stack+553578, int_stack+133802, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+553578, int_stack+108574, int_stack+143882, 28);
 /*--- compute (hp||ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+108574, int_stack+553578, int_stack+698406, 588);
 /*--- compute (gd||ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+570042, int_stack+108574, int_stack+710754, 588);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+698406, int_stack+98494, int_stack+97486, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+701430, int_stack+99790, int_stack+98494, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+705318, int_stack+701430, int_stack+698406, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+711366, int_stack+101410, int_stack+99790, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+716226, int_stack+711366, int_stack+701430, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+724002, int_stack+716226, int_stack+705318, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+698406, int_stack+103390, int_stack+101410, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+734082, int_stack+698406, int_stack+711366, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+74088, int_stack+734082, int_stack+716226, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+704346, int_stack+74088, int_stack+724002, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+719466, int_stack+105766, int_stack+103390, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+87048, int_stack+719466, int_stack+698406, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+821886, int_stack+87048, int_stack+734082, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+87048, int_stack+821886, int_stack+74088, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+821886, int_stack+87048, int_stack+704346, 36);
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+698406, int_stack+821886, int_stack+553578, 588);
 /*--- compute (hd||ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+224242, int_stack+698406, int_stack+108574, 588);
 /*--- compute (gf|[r12,T2]|ih) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+298330, int_stack+624318, int_stack+500658, 588);
     Libr12->te_ptr[3] = int_stack + 298330;
 /*--- compute (gf|[r12,T1]|ih) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+622962, int_stack+0, int_stack+885390, int_stack+747798, int_stack+156202, int_stack+432030, 6, 5);
     Libr12->te_ptr[2] = int_stack + 622962;
 /*--- compute (gf||ih) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+224242, int_stack+570042, 588);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (gf|ih) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+88200, int_stack+747798, int_stack+432030, 588);
     Libr12->te_ptr[0] = int_stack + 88200;

}
