#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gfip(Libr12_t *, prim_data *);

  /* Computes (gf|ip) integrals for linear R12-methods */

void hrr_grt_order_gfip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[5][6] = int_stack + 960;
 Libr12->t2vrr_classes[5][7] = int_stack + 1548;
 Libr12->t2vrr_classes[6][6] = int_stack + 2304;
 Libr12->t2vrr_classes[6][7] = int_stack + 3088;
 Libr12->gvrr_classes[8][6] = int_stack + 4096;
 Libr12->t2vrr_classes[7][6] = int_stack + 5356;
 Libr12->t2vrr_classes[7][7] = int_stack + 6364;
 Libr12->gvrr_classes[4][8] = int_stack + 7660;
 Libr12->t1vrr_classes[4][6] = int_stack + 8335;
 Libr12->t1vrr_classes[4][7] = int_stack + 8755;
 Libr12->gvrr_classes[5][8] = int_stack + 9295;
 Libr12->t1vrr_classes[5][6] = int_stack + 10240;
 Libr12->t1vrr_classes[5][7] = int_stack + 10828;
 Libr12->gvrr_classes[6][8] = int_stack + 11584;
 Libr12->t1vrr_classes[6][6] = int_stack + 12844;
 Libr12->t1vrr_classes[6][7] = int_stack + 13628;
 Libr12->t1vrr_classes[7][6] = int_stack + 14636;
 Libr12->t1vrr_classes[7][7] = int_stack + 15644;
 Libr12->rvrr_classes[4][6] = int_stack + 16940;
 Libr12->rvrr_classes[4][7] = int_stack + 17360;
 Libr12->rvrr_classes[5][6] = int_stack + 17900;
 Libr12->rvrr_classes[5][7] = int_stack + 18488;
 Libr12->rvrr_classes[6][6] = int_stack + 19244;
 Libr12->rvrr_classes[6][7] = int_stack + 20028;
 Libr12->rvrr_classes[7][6] = int_stack + 21036;
 Libr12->rvrr_classes[7][7] = int_stack + 22044;
 Libr12->gvrr_classes[4][6] = int_stack + 23340;
 Libr12->gvrr_classes[4][7] = int_stack + 23760;
 Libr12->gvrr_classes[5][6] = int_stack + 24300;
 Libr12->gvrr_classes[5][7] = int_stack + 24888;
 Libr12->gvrr_classes[6][6] = int_stack + 25644;
 Libr12->gvrr_classes[6][7] = int_stack + 26428;
 Libr12->gvrr_classes[7][6] = int_stack + 27436;
 Libr12->gvrr_classes[7][7] = int_stack + 28444;
 memset(int_stack,0,29740*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 29740;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gfip(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29740, int_stack+420, int_stack+0, int_stack+23760, int_stack+24300, int_stack+23340, 4, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31000, int_stack+1548, int_stack+960, int_stack+24888, int_stack+25644, int_stack+24300, 5, 0);
 /*--- compute (gp|[r12,T2]|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+32764, int_stack+31000, int_stack+29740, 84);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36544, int_stack+3088, int_stack+2304, int_stack+26428, int_stack+27436, int_stack+25644, 6, 0);
 /*--- compute (hp|[r12,T2]|ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+38896, int_stack+36544, int_stack+31000, 84);
 /*--- compute (gd|[r12,T2]|ip) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+44188, int_stack+38896, int_stack+32764, 84);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29740, int_stack+6364, int_stack+5356, int_stack+28444, int_stack+4096, int_stack+27436, 7, 0);
 /*--- compute (ip|[r12,T2]|ip) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+29740, int_stack+36544, 84);
 /*--- compute (hd|[r12,T2]|ip) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+51748, int_stack+0, int_stack+38896, 84);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+23760, int_stack+23340, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+24888, int_stack+24300, 21);
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+3024, int_stack+1260, int_stack+0, 84);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+29740, int_stack+26428, int_stack+25644, 28);
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+32092, int_stack+29740, int_stack+1260, 84);
 /*--- compute (gd|ip) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+62332, int_stack+32092, int_stack+3024, 84);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+37384, int_stack+7660, int_stack+23760, 15);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39004, int_stack+9295, int_stack+24888, 21);
 /*--- compute (gp|kp) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+69892, int_stack+39004, int_stack+37384, 108);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+23340, int_stack+11584, int_stack+26428, 28);
 /*--- compute (hp|kp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+74752, int_stack+23340, int_stack+39004, 108);
 /*--- compute (gd|kp) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+81556, int_stack+74752, int_stack+69892, 108);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+91276, int_stack+28444, int_stack+27436, 36);
 /*--- compute (ip|ip) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+94300, int_stack+91276, int_stack+29740, 84);
 /*--- compute (hd|ip) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+101356, int_stack+94300, int_stack+32092, 84);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11584, int_stack+8755, int_stack+8335, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+26364, int_stack+10828, int_stack+10240, 21);
 /*--- compute (gp|[r12,T1]|ip) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+6804, int_stack+26364, int_stack+11584, int_stack+1260, int_stack+37384, int_stack+0, 6, 1);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+41272, int_stack+13628, int_stack+12844, 28);
 /*--- compute (hp|[r12,T1]|ip) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+111940, int_stack+41272, int_stack+26364, int_stack+29740, int_stack+39004, int_stack+1260, 6, 1);
 /*--- compute (gd|[r12,T1]|ip) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+117232, int_stack+111940, int_stack+6804, int_stack+32092, int_stack+69892, int_stack+3024, 6, 1);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+69892, int_stack+15644, int_stack+14636, 36);
 /*--- compute (ip|[r12,T1]|ip) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+69892, int_stack+41272, int_stack+91276, int_stack+23340, int_stack+29740, 6, 1);
 /*--- compute (hd|[r12,T1]|ip) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+124792, int_stack+0, int_stack+111940, int_stack+94300, int_stack+74752, int_stack+32092, 6, 1);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+111940, int_stack+17360, int_stack+16940, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+113200, int_stack+18488, int_stack+17900, 21);
 /*--- compute (gp||ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+113200, int_stack+111940, 84);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+20028, int_stack+19244, 28);
 /*--- compute (hp||ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+6132, int_stack+3780, int_stack+113200, 84);
 /*--- compute (gd||ip) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+11424, int_stack+6132, int_stack+0, 84);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+22044, int_stack+21036, 36);
 /*--- compute (ip||ip) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+18984, int_stack+0, int_stack+3780, 84);
 /*--- compute (hd||ip) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+26040, int_stack+18984, int_stack+6132, 84);
 /*--- compute (gf|[r12,T2]|ip) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+135376, int_stack+51748, int_stack+44188, 84);
     Libr12->te_ptr[3] = int_stack + 135376;
 /*--- compute (gf|[r12,T1]|ip) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+36624, int_stack+124792, int_stack+117232, int_stack+101356, int_stack+81556, int_stack+62332, 6, 1);
     Libr12->te_ptr[2] = int_stack + 36624;
 /*--- compute (gf||ip) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+111940, int_stack+26040, int_stack+11424, 84);
     Libr12->te_ptr[1] = int_stack + 111940;
 /*--- compute (gf|ip) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+101356, int_stack+62332, 84);
     Libr12->te_ptr[0] = int_stack + 0;

}
