#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ggid(Libr12_t *, prim_data *);

  /* Computes (gg|id) integrals for linear R12-methods */

void hrr_grt_order_ggid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[5][6] = int_stack + 1635;
 Libr12->t2vrr_classes[5][7] = int_stack + 2223;
 Libr12->t2vrr_classes[5][8] = int_stack + 2979;
 Libr12->t2vrr_classes[6][6] = int_stack + 3924;
 Libr12->t2vrr_classes[6][7] = int_stack + 4708;
 Libr12->t2vrr_classes[6][8] = int_stack + 5716;
 Libr12->t2vrr_classes[7][6] = int_stack + 6976;
 Libr12->t2vrr_classes[7][7] = int_stack + 7984;
 Libr12->t2vrr_classes[7][8] = int_stack + 9280;
 Libr12->gvrr_classes[9][6] = int_stack + 10900;
 Libr12->t2vrr_classes[8][6] = int_stack + 12440;
 Libr12->gvrr_classes[9][7] = int_stack + 13700;
 Libr12->t2vrr_classes[8][7] = int_stack + 15680;
 Libr12->t2vrr_classes[8][8] = int_stack + 17300;
 Libr12->gvrr_classes[4][9] = int_stack + 19325;
 Libr12->t1vrr_classes[4][6] = int_stack + 20150;
 Libr12->t1vrr_classes[4][7] = int_stack + 20570;
 Libr12->t1vrr_classes[4][8] = int_stack + 21110;
 Libr12->gvrr_classes[5][9] = int_stack + 21785;
 Libr12->t1vrr_classes[5][6] = int_stack + 22940;
 Libr12->t1vrr_classes[5][7] = int_stack + 23528;
 Libr12->t1vrr_classes[5][8] = int_stack + 24284;
 Libr12->gvrr_classes[6][9] = int_stack + 25229;
 Libr12->t1vrr_classes[6][6] = int_stack + 26769;
 Libr12->t1vrr_classes[6][7] = int_stack + 27553;
 Libr12->t1vrr_classes[6][8] = int_stack + 28561;
 Libr12->gvrr_classes[7][9] = int_stack + 29821;
 Libr12->t1vrr_classes[7][6] = int_stack + 31801;
 Libr12->t1vrr_classes[7][7] = int_stack + 32809;
 Libr12->t1vrr_classes[7][8] = int_stack + 34105;
 Libr12->t1vrr_classes[8][6] = int_stack + 35725;
 Libr12->t1vrr_classes[8][7] = int_stack + 36985;
 Libr12->t1vrr_classes[8][8] = int_stack + 38605;
 Libr12->rvrr_classes[4][6] = int_stack + 40630;
 Libr12->rvrr_classes[4][7] = int_stack + 41050;
 Libr12->rvrr_classes[4][8] = int_stack + 41590;
 Libr12->rvrr_classes[5][6] = int_stack + 42265;
 Libr12->rvrr_classes[5][7] = int_stack + 42853;
 Libr12->rvrr_classes[5][8] = int_stack + 43609;
 Libr12->rvrr_classes[6][6] = int_stack + 44554;
 Libr12->rvrr_classes[6][7] = int_stack + 45338;
 Libr12->rvrr_classes[6][8] = int_stack + 46346;
 Libr12->rvrr_classes[7][6] = int_stack + 47606;
 Libr12->rvrr_classes[7][7] = int_stack + 48614;
 Libr12->rvrr_classes[7][8] = int_stack + 49910;
 Libr12->rvrr_classes[8][6] = int_stack + 51530;
 Libr12->rvrr_classes[8][7] = int_stack + 52790;
 Libr12->rvrr_classes[8][8] = int_stack + 54410;
 Libr12->gvrr_classes[4][6] = int_stack + 56435;
 Libr12->gvrr_classes[4][7] = int_stack + 56855;
 Libr12->gvrr_classes[4][8] = int_stack + 57395;
 Libr12->gvrr_classes[5][6] = int_stack + 58070;
 Libr12->gvrr_classes[5][7] = int_stack + 58658;
 Libr12->gvrr_classes[5][8] = int_stack + 59414;
 Libr12->gvrr_classes[6][6] = int_stack + 60359;
 Libr12->gvrr_classes[6][7] = int_stack + 61143;
 Libr12->gvrr_classes[6][8] = int_stack + 62151;
 Libr12->gvrr_classes[7][6] = int_stack + 63411;
 Libr12->gvrr_classes[7][7] = int_stack + 64419;
 Libr12->gvrr_classes[7][8] = int_stack + 65715;
 Libr12->gvrr_classes[8][6] = int_stack + 67335;
 Libr12->gvrr_classes[8][7] = int_stack + 68595;
 Libr12->gvrr_classes[8][8] = int_stack + 70215;
 memset(int_stack,0,72240*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 72240;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ggid(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+72240, int_stack+56855, int_stack+56435, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+73500, int_stack+58658, int_stack+58070, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+75264, int_stack+57395, int_stack+56855, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+76884, int_stack+420, int_stack+0, int_stack+56855, int_stack+58070, int_stack+56435, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+78144, int_stack+960, int_stack+420, int_stack+57395, int_stack+58658, int_stack+56855, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+79764, int_stack+78144, int_stack+76884, int_stack+75264, int_stack+73500, int_stack+72240, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+76884, int_stack+61143, int_stack+60359, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+82284, int_stack+59414, int_stack+58658, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84552, int_stack+2223, int_stack+1635, int_stack+58658, int_stack+60359, int_stack+58070, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86316, int_stack+2979, int_stack+2223, int_stack+59414, int_stack+61143, int_stack+58658, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+86316, int_stack+84552, int_stack+82284, int_stack+76884, int_stack+73500, 5, 0);
 /*--- compute (gp|[r12,T2]|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+84552, int_stack+0, int_stack+79764, 168);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+79236, int_stack+64419, int_stack+63411, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+92112, int_stack+62151, int_stack+61143, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95136, int_stack+4708, int_stack+3924, int_stack+61143, int_stack+63411, int_stack+60359, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97488, int_stack+5716, int_stack+4708, int_stack+62151, int_stack+64419, int_stack+61143, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100512, int_stack+97488, int_stack+95136, int_stack+92112, int_stack+79236, int_stack+76884, 6, 0);
 /*--- compute (hp|[r12,T2]|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+105216, int_stack+100512, int_stack+0, 168);
 /*--- compute (gd|[r12,T2]|id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+115800, int_stack+105216, int_stack+84552, 168);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+84552, int_stack+68595, int_stack+67335, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+65715, int_stack+64419, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88332, int_stack+7984, int_stack+6976, int_stack+64419, int_stack+67335, int_stack+63411, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3888, int_stack+9280, int_stack+7984, int_stack+65715, int_stack+68595, int_stack+64419, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+130920, int_stack+3888, int_stack+88332, int_stack+0, int_stack+84552, int_stack+79236, 7, 0);
 /*--- compute (ip|[r12,T2]|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+136968, int_stack+130920, int_stack+100512, 168);
 /*--- compute (hd|[r12,T2]|id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+151080, int_stack+136968, int_stack+105216, 168);
 /*--- compute (gf|[r12,T2]|id) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+172248, int_stack+151080, int_stack+115800, 168);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3888, int_stack+13700, int_stack+10900, 55);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+95136, int_stack+70215, int_stack+68595, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88332, int_stack+15680, int_stack+12440, int_stack+68595, int_stack+10900, int_stack+67335, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8508, int_stack+17300, int_stack+15680, int_stack+70215, int_stack+13700, int_stack+68595, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99996, int_stack+8508, int_stack+88332, int_stack+95136, int_stack+3888, int_stack+84552, 8, 0);
 /*--- compute (kp|[r12,T2]|id) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+107556, int_stack+99996, int_stack+130920, 168);
 /*--- compute (id|[r12,T2]|id) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+197448, int_stack+107556, int_stack+136968, 168);
 /*--- compute (hf|[r12,T2]|id) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+99996, int_stack+197448, int_stack+151080, 168);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+197448, int_stack+75264, int_stack+72240, 15);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+199968, int_stack+82284, int_stack+73500, 21);
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+203496, int_stack+199968, int_stack+197448, 168);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+211056, int_stack+92112, int_stack+76884, 28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+135276, int_stack+211056, int_stack+199968, 168);
 /*--- compute (gd|id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+145860, int_stack+135276, int_stack+203496, 168);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+215760, int_stack+0, int_stack+79236, 36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+3888, int_stack+215760, int_stack+211056, 168);
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+221808, int_stack+3888, int_stack+135276, 168);
 /*--- compute (gf|id) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+242976, int_stack+221808, int_stack+145860, 168);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+76884, int_stack+19325, int_stack+57395, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+78909, int_stack+76884, int_stack+75264, 15);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+160980, int_stack+21785, int_stack+59414, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+163815, int_stack+160980, int_stack+82284, 21);
 /*--- compute (gp|kd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+67335, int_stack+163815, int_stack+78909, 216);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+88332, int_stack+25229, int_stack+62151, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+56435, int_stack+88332, int_stack+92112, 28);
 /*--- compute (hp|kd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+268176, int_stack+56435, int_stack+163815, 216);
 /*--- compute (gd|kd) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+281784, int_stack+268176, int_stack+67335, 216);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+88332, int_stack+29821, int_stack+65715, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+301224, int_stack+88332, int_stack+0, 36);
 /*--- compute (ip|kd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+309000, int_stack+301224, int_stack+56435, 216);
 /*--- compute (hd|kd) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+327144, int_stack+309000, int_stack+268176, 216);
 /*--- compute (gf|kd) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+354360, int_stack+327144, int_stack+281784, 216);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+386760, int_stack+95136, int_stack+84552, 45);
 /*--- compute (kp|id) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+394320, int_stack+386760, int_stack+215760, 168);
 /*--- compute (id|id) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+412464, int_stack+394320, int_stack+3888, 168);
 /*--- compute (hf|id) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+440688, int_stack+412464, int_stack+221808, 168);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+20570, int_stack+20150, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+21110, int_stack+20570, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+160980, int_stack+1260, int_stack+0, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+23528, int_stack+22940, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+82149, int_stack+24284, int_stack+23528, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+84417, int_stack+82149, int_stack+0, 21);
 /*--- compute (gp|[r12,T1]|id) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+87945, int_stack+84417, int_stack+160980, int_stack+199968, int_stack+78909, int_stack+197448, 6, 2);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+197448, int_stack+27553, int_stack+26769, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+28561, int_stack+27553, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18000, int_stack+0, int_stack+197448, 28);
 /*--- compute (hp|[r12,T1]|id) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+475968, int_stack+18000, int_stack+84417, int_stack+211056, int_stack+163815, int_stack+199968, 6, 2);
 /*--- compute (gd|[r12,T1]|id) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+486552, int_stack+475968, int_stack+87945, int_stack+135276, int_stack+67335, int_stack+203496, 6, 2);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+197448, int_stack+32809, int_stack+31801, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+34105, int_stack+32809, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+200472, int_stack+0, int_stack+197448, 36);
 /*--- compute (ip|[r12,T1]|id) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+62483, int_stack+200472, int_stack+18000, int_stack+215760, int_stack+56435, int_stack+211056, 6, 2);
 /*--- compute (hd|[r12,T1]|id) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+76595, int_stack+62483, int_stack+475968, int_stack+3888, int_stack+268176, int_stack+135276, 6, 2);
 /*--- compute (gf|[r12,T1]|id) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+501672, int_stack+76595, int_stack+486552, int_stack+221808, int_stack+281784, int_stack+145860, 6, 2);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+135276, int_stack+36985, int_stack+35725, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+139056, int_stack+38605, int_stack+36985, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+143916, int_stack+139056, int_stack+135276, 45);
 /*--- compute (kp|[r12,T1]|id) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+151476, int_stack+143916, int_stack+200472, int_stack+386760, int_stack+301224, int_stack+215760, 6, 2);
 /*--- compute (id|[r12,T1]|id) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+268176, int_stack+151476, int_stack+62483, int_stack+394320, int_stack+309000, int_stack+3888, 6, 2);
 /*--- compute (hf|[r12,T1]|id) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+135276, int_stack+268176, int_stack+76595, int_stack+412464, int_stack+327144, int_stack+221808, 6, 2);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+268176, int_stack+41050, int_stack+40630, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+269436, int_stack+41590, int_stack+41050, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+271056, int_stack+269436, int_stack+268176, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+268176, int_stack+42853, int_stack+42265, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+273576, int_stack+43609, int_stack+42853, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+275844, int_stack+273576, int_stack+268176, 21);
 /*--- compute (gp||id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+279372, int_stack+275844, int_stack+271056, 168);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+268176, int_stack+45338, int_stack+44554, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+270528, int_stack+46346, int_stack+45338, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+286932, int_stack+270528, int_stack+268176, 28);
 /*--- compute (hp||id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+291636, int_stack+286932, int_stack+275844, 168);
 /*--- compute (gd||id) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+302220, int_stack+291636, int_stack+279372, 168);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+268176, int_stack+48614, int_stack+47606, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+271200, int_stack+49910, int_stack+48614, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+275088, int_stack+271200, int_stack+268176, 36);
 /*--- compute (ip||id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+317340, int_stack+275088, int_stack+286932, 168);
 /*--- compute (hd||id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+331452, int_stack+317340, int_stack+291636, 168);
 /*--- compute (gf||id) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+386760, int_stack+331452, int_stack+302220, 168);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+268176, int_stack+52790, int_stack+51530, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+281136, int_stack+54410, int_stack+52790, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+285996, int_stack+281136, int_stack+268176, 45);
 /*--- compute (kp||id) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+293556, int_stack+285996, int_stack+275088, 168);
 /*--- compute (id||id) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+411960, int_stack+293556, int_stack+317340, 168);
 /*--- compute (hf||id) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+268176, int_stack+411960, int_stack+331452, 168);
 /*--- compute (gg|[r12,T2]|id) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+303456, int_stack+99996, int_stack+172248, 168);
     Libr12->te_ptr[3] = int_stack + 303456;
 /*--- compute (gg|[r12,T1]|id) ---*/
   t1hrr1_build_gg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+170556, int_stack+135276, int_stack+501672, int_stack+440688, int_stack+354360, int_stack+242976, 6, 2);
     Libr12->te_ptr[2] = int_stack + 170556;
 /*--- compute (gg||id) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+341256, int_stack+268176, int_stack+386760, 168);
     Libr12->te_ptr[1] = int_stack + 341256;
 /*--- compute (gg|id) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+379056, int_stack+440688, int_stack+242976, 168);
     Libr12->te_ptr[0] = int_stack + 379056;

}
