#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ggif(Libr12_t *, prim_data *);

  /* Computes (gg|if) integrals for linear R12-methods */

void hrr_grt_order_ggif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[5][6] = int_stack + 2460;
 Libr12->t2vrr_classes[5][7] = int_stack + 3048;
 Libr12->t2vrr_classes[5][8] = int_stack + 3804;
 Libr12->t2vrr_classes[5][9] = int_stack + 4749;
 Libr12->t2vrr_classes[6][6] = int_stack + 5904;
 Libr12->t2vrr_classes[6][7] = int_stack + 6688;
 Libr12->t2vrr_classes[6][8] = int_stack + 7696;
 Libr12->t2vrr_classes[6][9] = int_stack + 8956;
 Libr12->t2vrr_classes[7][6] = int_stack + 10496;
 Libr12->t2vrr_classes[7][7] = int_stack + 11504;
 Libr12->t2vrr_classes[7][8] = int_stack + 12800;
 Libr12->t2vrr_classes[7][9] = int_stack + 14420;
 Libr12->gvrr_classes[9][6] = int_stack + 16400;
 Libr12->t2vrr_classes[8][6] = int_stack + 17940;
 Libr12->gvrr_classes[9][7] = int_stack + 19200;
 Libr12->t2vrr_classes[8][7] = int_stack + 21180;
 Libr12->gvrr_classes[9][8] = int_stack + 22800;
 Libr12->t2vrr_classes[8][8] = int_stack + 25275;
 Libr12->t2vrr_classes[8][9] = int_stack + 27300;
 Libr12->gvrr_classes[4][10] = int_stack + 29775;
 Libr12->t1vrr_classes[4][6] = int_stack + 30765;
 Libr12->t1vrr_classes[4][7] = int_stack + 31185;
 Libr12->t1vrr_classes[4][8] = int_stack + 31725;
 Libr12->t1vrr_classes[4][9] = int_stack + 32400;
 Libr12->gvrr_classes[5][10] = int_stack + 33225;
 Libr12->t1vrr_classes[5][6] = int_stack + 34611;
 Libr12->t1vrr_classes[5][7] = int_stack + 35199;
 Libr12->t1vrr_classes[5][8] = int_stack + 35955;
 Libr12->t1vrr_classes[5][9] = int_stack + 36900;
 Libr12->gvrr_classes[6][10] = int_stack + 38055;
 Libr12->t1vrr_classes[6][6] = int_stack + 39903;
 Libr12->t1vrr_classes[6][7] = int_stack + 40687;
 Libr12->t1vrr_classes[6][8] = int_stack + 41695;
 Libr12->t1vrr_classes[6][9] = int_stack + 42955;
 Libr12->gvrr_classes[7][10] = int_stack + 44495;
 Libr12->t1vrr_classes[7][6] = int_stack + 46871;
 Libr12->t1vrr_classes[7][7] = int_stack + 47879;
 Libr12->t1vrr_classes[7][8] = int_stack + 49175;
 Libr12->t1vrr_classes[7][9] = int_stack + 50795;
 Libr12->t1vrr_classes[8][6] = int_stack + 52775;
 Libr12->t1vrr_classes[8][7] = int_stack + 54035;
 Libr12->t1vrr_classes[8][8] = int_stack + 55655;
 Libr12->t1vrr_classes[8][9] = int_stack + 57680;
 Libr12->rvrr_classes[4][6] = int_stack + 60155;
 Libr12->rvrr_classes[4][7] = int_stack + 60575;
 Libr12->rvrr_classes[4][8] = int_stack + 61115;
 Libr12->rvrr_classes[4][9] = int_stack + 61790;
 Libr12->rvrr_classes[5][6] = int_stack + 62615;
 Libr12->rvrr_classes[5][7] = int_stack + 63203;
 Libr12->rvrr_classes[5][8] = int_stack + 63959;
 Libr12->rvrr_classes[5][9] = int_stack + 64904;
 Libr12->rvrr_classes[6][6] = int_stack + 66059;
 Libr12->rvrr_classes[6][7] = int_stack + 66843;
 Libr12->rvrr_classes[6][8] = int_stack + 67851;
 Libr12->rvrr_classes[6][9] = int_stack + 69111;
 Libr12->rvrr_classes[7][6] = int_stack + 70651;
 Libr12->rvrr_classes[7][7] = int_stack + 71659;
 Libr12->rvrr_classes[7][8] = int_stack + 72955;
 Libr12->rvrr_classes[7][9] = int_stack + 74575;
 Libr12->rvrr_classes[8][6] = int_stack + 76555;
 Libr12->rvrr_classes[8][7] = int_stack + 77815;
 Libr12->rvrr_classes[8][8] = int_stack + 79435;
 Libr12->rvrr_classes[8][9] = int_stack + 81460;
 Libr12->gvrr_classes[4][6] = int_stack + 83935;
 Libr12->gvrr_classes[4][7] = int_stack + 84355;
 Libr12->gvrr_classes[4][8] = int_stack + 84895;
 Libr12->gvrr_classes[4][9] = int_stack + 85570;
 Libr12->gvrr_classes[5][6] = int_stack + 86395;
 Libr12->gvrr_classes[5][7] = int_stack + 86983;
 Libr12->gvrr_classes[5][8] = int_stack + 87739;
 Libr12->gvrr_classes[5][9] = int_stack + 88684;
 Libr12->gvrr_classes[6][6] = int_stack + 89839;
 Libr12->gvrr_classes[6][7] = int_stack + 90623;
 Libr12->gvrr_classes[6][8] = int_stack + 91631;
 Libr12->gvrr_classes[6][9] = int_stack + 92891;
 Libr12->gvrr_classes[7][6] = int_stack + 94431;
 Libr12->gvrr_classes[7][7] = int_stack + 95439;
 Libr12->gvrr_classes[7][8] = int_stack + 96735;
 Libr12->gvrr_classes[7][9] = int_stack + 98355;
 Libr12->gvrr_classes[8][6] = int_stack + 100335;
 Libr12->gvrr_classes[8][7] = int_stack + 101595;
 Libr12->gvrr_classes[8][8] = int_stack + 103215;
 Libr12->gvrr_classes[8][9] = int_stack + 105240;
 memset(int_stack,0,107715*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 107715;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ggif(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+107715, int_stack+84355, int_stack+83935, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+108975, int_stack+84895, int_stack+84355, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+110595, int_stack+108975, int_stack+107715, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+113115, int_stack+86983, int_stack+86395, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+114879, int_stack+87739, int_stack+86983, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+117147, int_stack+114879, int_stack+113115, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+120675, int_stack+85570, int_stack+84895, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+122700, int_stack+120675, int_stack+108975, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125940, int_stack+420, int_stack+0, int_stack+84355, int_stack+86395, int_stack+83935, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127200, int_stack+960, int_stack+420, int_stack+84895, int_stack+86983, int_stack+84355, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+128820, int_stack+127200, int_stack+125940, int_stack+108975, int_stack+113115, int_stack+107715, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131340, int_stack+1635, int_stack+960, int_stack+85570, int_stack+87739, int_stack+84895, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+133365, int_stack+131340, int_stack+127200, int_stack+120675, int_stack+114879, int_stack+108975, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136605, int_stack+133365, int_stack+128820, int_stack+122700, int_stack+117147, int_stack+110595, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+107715, int_stack+90623, int_stack+89839, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+125940, int_stack+91631, int_stack+90623, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+128964, int_stack+125940, int_stack+107715, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+133668, int_stack+88684, int_stack+87739, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+140805, int_stack+133668, int_stack+114879, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3048, int_stack+2460, int_stack+86983, int_stack+89839, int_stack+86395, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+145341, int_stack+3804, int_stack+3048, int_stack+87739, int_stack+90623, int_stack+86983, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+147609, int_stack+145341, int_stack+0, int_stack+114879, int_stack+107715, int_stack+113115, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4749, int_stack+3804, int_stack+88684, int_stack+91631, int_stack+87739, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+151137, int_stack+0, int_stack+145341, int_stack+133668, int_stack+125940, int_stack+114879, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+151137, int_stack+147609, int_stack+140805, int_stack+128964, int_stack+117147, 5, 0);
 /*--- compute (gp|[r12,T2]|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+145341, int_stack+0, int_stack+136605, 280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+113115, int_stack+95439, int_stack+94431, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+136503, int_stack+96735, int_stack+95439, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+157941, int_stack+136503, int_stack+113115, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+163989, int_stack+92891, int_stack+91631, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+167769, int_stack+163989, int_stack+125940, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+173817, int_stack+6688, int_stack+5904, int_stack+90623, int_stack+94431, int_stack+89839, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+176169, int_stack+7696, int_stack+6688, int_stack+91631, int_stack+95439, int_stack+90623, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+179193, int_stack+176169, int_stack+173817, int_stack+125940, int_stack+113115, int_stack+107715, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+183897, int_stack+8956, int_stack+7696, int_stack+92891, int_stack+96735, int_stack+91631, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187677, int_stack+183897, int_stack+176169, int_stack+163989, int_stack+136503, int_stack+125940, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+193725, int_stack+187677, int_stack+179193, int_stack+167769, int_stack+157941, int_stack+128964, 6, 0);
 /*--- compute (hp|[r12,T2]|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+173817, int_stack+193725, int_stack+0, 280);
 /*--- compute (gd|[r12,T2]|if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+201565, int_stack+173817, int_stack+145341, 280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+145341, int_stack+101595, int_stack+100335, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+149121, int_stack+103215, int_stack+101595, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+149121, int_stack+145341, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+226765, int_stack+98355, int_stack+96735, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+231625, int_stack+226765, int_stack+136503, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125940, int_stack+11504, int_stack+10496, int_stack+95439, int_stack+100335, int_stack+94431, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+153981, int_stack+12800, int_stack+11504, int_stack+96735, int_stack+101595, int_stack+95439, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+239401, int_stack+153981, int_stack+125940, int_stack+136503, int_stack+145341, int_stack+113115, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7560, int_stack+14420, int_stack+12800, int_stack+98355, int_stack+103215, int_stack+96735, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245449, int_stack+7560, int_stack+153981, int_stack+226765, int_stack+149121, int_stack+136503, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+253225, int_stack+245449, int_stack+239401, int_stack+231625, int_stack+0, int_stack+157941, 7, 0);
 /*--- compute (ip|[r12,T2]|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+263305, int_stack+253225, int_stack+193725, 280);
 /*--- compute (hd|[r12,T2]|if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+286825, int_stack+263305, int_stack+173817, 280);
 /*--- compute (gf|[r12,T2]|if) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+322105, int_stack+286825, int_stack+201565, 280);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+173817, int_stack+19200, int_stack+16400, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+178437, int_stack+22800, int_stack+19200, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+184377, int_stack+178437, int_stack+173817, 55);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+193617, int_stack+105240, int_stack+103215, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+199692, int_stack+193617, int_stack+149121, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+209412, int_stack+21180, int_stack+17940, int_stack+101595, int_stack+16400, int_stack+100335, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+213192, int_stack+25275, int_stack+21180, int_stack+103215, int_stack+19200, int_stack+101595, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+218052, int_stack+213192, int_stack+209412, int_stack+149121, int_stack+173817, int_stack+145341, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+239401, int_stack+27300, int_stack+25275, int_stack+105240, int_stack+22800, int_stack+103215, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100335, int_stack+239401, int_stack+213192, int_stack+193617, int_stack+178437, int_stack+149121, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+145341, int_stack+100335, int_stack+218052, int_stack+199692, int_stack+184377, int_stack+0, 8, 0);
 /*--- compute (kp|[r12,T2]|if) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+364105, int_stack+145341, int_stack+253225, 280);
 /*--- compute (id|[r12,T2]|if) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+394345, int_stack+364105, int_stack+263305, 280);
 /*--- compute (hf|[r12,T2]|if) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+441385, int_stack+394345, int_stack+286825, 280);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+364105, int_stack+122700, int_stack+110595, 15);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+368305, int_stack+140805, int_stack+117147, 21);
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+145341, int_stack+368305, int_stack+364105, 280);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+374185, int_stack+167769, int_stack+128964, 28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+382025, int_stack+374185, int_stack+368305, 280);
 /*--- compute (gd|if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+399665, int_stack+382025, int_stack+145341, 280);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+424865, int_stack+231625, int_stack+157941, 36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+239401, int_stack+424865, int_stack+374185, 280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+262921, int_stack+239401, int_stack+382025, 280);
 /*--- compute (gf|if) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+500185, int_stack+262921, int_stack+399665, 280);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+157941, int_stack+29775, int_stack+85570, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+434945, int_stack+157941, int_stack+120675, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+157941, int_stack+434945, int_stack+122700, 15);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+434945, int_stack+33225, int_stack+88684, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+100335, int_stack+434945, int_stack+133668, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+106005, int_stack+100335, int_stack+140805, 21);
 /*--- compute (gp|kf) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+113565, int_stack+106005, int_stack+157941, 360);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+100335, int_stack+38055, int_stack+92891, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+129765, int_stack+100335, int_stack+163989, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+298201, int_stack+129765, int_stack+167769, 28);
 /*--- compute (hp|kf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+163341, int_stack+298201, int_stack+106005, 360);
 /*--- compute (gd|kf) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+542185, int_stack+163341, int_stack+113565, 360);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+129765, int_stack+44495, int_stack+98355, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+186021, int_stack+129765, int_stack+226765, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+129765, int_stack+186021, int_stack+231625, 36);
 /*--- compute (ip|kf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+574585, int_stack+129765, int_stack+298201, 360);
 /*--- compute (hd|kf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+604825, int_stack+574585, int_stack+163341, 360);
 /*--- compute (gf|kf) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+650185, int_stack+604825, int_stack+542185, 360);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+186021, int_stack+199692, int_stack+0, 45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+186021, int_stack+424865, 280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+704185, int_stack+0, int_stack+239401, 280);
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+751225, int_stack+704185, int_stack+262921, 280);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+198621, int_stack+31185, int_stack+30765, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+199881, int_stack+31725, int_stack+31185, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+201501, int_stack+199881, int_stack+198621, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+204021, int_stack+32400, int_stack+31725, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+30240, int_stack+204021, int_stack+199881, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+204021, int_stack+30240, int_stack+201501, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30240, int_stack+35199, int_stack+34611, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+32004, int_stack+35955, int_stack+35199, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+208221, int_stack+32004, int_stack+30240, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+211749, int_stack+36900, int_stack+35955, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+34272, int_stack+211749, int_stack+32004, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+211749, int_stack+34272, int_stack+208221, 21);
 /*--- compute (gp|[r12,T1]|if) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+217629, int_stack+211749, int_stack+204021, int_stack+368305, int_stack+157941, int_stack+364105, 6, 3);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+364105, int_stack+40687, int_stack+39903, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+157941, int_stack+41695, int_stack+40687, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+230229, int_stack+157941, int_stack+364105, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+364105, int_stack+42955, int_stack+41695, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+30240, int_stack+364105, int_stack+157941, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+36288, int_stack+30240, int_stack+230229, 28);
 /*--- compute (hp|[r12,T1]|if) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+83935, int_stack+36288, int_stack+211749, int_stack+374185, int_stack+106005, int_stack+368305, 6, 3);
 /*--- compute (gd|[r12,T1]|if) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+810025, int_stack+83935, int_stack+217629, int_stack+382025, int_stack+113565, int_stack+145341, 6, 3);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30240, int_stack+47879, int_stack+46871, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+364105, int_stack+49175, int_stack+47879, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+367993, int_stack+364105, int_stack+30240, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+30240, int_stack+50795, int_stack+49175, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+44128, int_stack+30240, int_stack+364105, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+198621, int_stack+44128, int_stack+367993, 36);
 /*--- compute (ip|[r12,T1]|if) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+208701, int_stack+198621, int_stack+36288, int_stack+424865, int_stack+298201, int_stack+374185, 6, 3);
 /*--- compute (hd|[r12,T1]|if) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+835225, int_stack+208701, int_stack+83935, int_stack+239401, int_stack+163341, int_stack+382025, 6, 3);
 /*--- compute (gf|[r12,T1]|if) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+83935, int_stack+835225, int_stack+810025, int_stack+262921, int_stack+542185, int_stack+399665, 6, 3);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+542185, int_stack+54035, int_stack+52775, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+545965, int_stack+55655, int_stack+54035, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+550825, int_stack+545965, int_stack+542185, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+558385, int_stack+57680, int_stack+55655, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+564460, int_stack+558385, int_stack+545965, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+810025, int_stack+564460, int_stack+550825, 45);
 /*--- compute (kp|[r12,T1]|if) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+542185, int_stack+810025, int_stack+198621, int_stack+186021, int_stack+129765, int_stack+424865, 6, 3);
 /*--- compute (id|[r12,T1]|if) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+125935, int_stack+542185, int_stack+208701, int_stack+0, int_stack+574585, int_stack+239401, 6, 3);
 /*--- compute (hf|[r12,T1]|if) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+125935, int_stack+835225, int_stack+704185, int_stack+604825, int_stack+262921, 6, 3);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+704185, int_stack+60575, int_stack+60155, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+705445, int_stack+61115, int_stack+60575, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+707065, int_stack+705445, int_stack+704185, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+709585, int_stack+61790, int_stack+61115, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+711610, int_stack+709585, int_stack+705445, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+714850, int_stack+711610, int_stack+707065, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+704185, int_stack+63203, int_stack+62615, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+705949, int_stack+63959, int_stack+63203, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+708217, int_stack+705949, int_stack+704185, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+711745, int_stack+64904, int_stack+63959, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+719050, int_stack+711745, int_stack+705949, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+723586, int_stack+719050, int_stack+708217, 21);
 /*--- compute (gp||if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+729466, int_stack+723586, int_stack+714850, 280);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+704185, int_stack+66843, int_stack+66059, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+706537, int_stack+67851, int_stack+66843, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+709561, int_stack+706537, int_stack+704185, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+714265, int_stack+69111, int_stack+67851, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+742066, int_stack+714265, int_stack+706537, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+714265, int_stack+742066, int_stack+709561, 28);
 /*--- compute (hp||if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+125935, int_stack+714265, int_stack+723586, 280);
 /*--- compute (gd||if) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+143575, int_stack+125935, int_stack+729466, 280);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+722105, int_stack+71659, int_stack+70651, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+725129, int_stack+72955, int_stack+71659, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+729017, int_stack+725129, int_stack+722105, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+735065, int_stack+74575, int_stack+72955, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+739925, int_stack+735065, int_stack+725129, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+704185, int_stack+739925, int_stack+729017, 36);
 /*--- compute (ip||if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+722105, int_stack+704185, int_stack+714265, 280);
 /*--- compute (hd||if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+168775, int_stack+722105, int_stack+125935, 280);
 /*--- compute (gf||if) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+204055, int_stack+168775, int_stack+143575, 280);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+125935, int_stack+77815, int_stack+76555, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+129715, int_stack+79435, int_stack+77815, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+134575, int_stack+129715, int_stack+125935, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+142135, int_stack+81460, int_stack+79435, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+148210, int_stack+142135, int_stack+129715, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+246055, int_stack+148210, int_stack+134575, 45);
 /*--- compute (kp||if) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+125935, int_stack+246055, int_stack+704185, 280);
 /*--- compute (id||if) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+246055, int_stack+125935, int_stack+722105, 280);
 /*--- compute (hf||if) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+542185, int_stack+246055, int_stack+168775, 280);
 /*--- compute (gg|[r12,T2]|if) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+246055, int_stack+441385, int_stack+322105, 280);
     Libr12->te_ptr[3] = int_stack + 246055;
 /*--- compute (gg|[r12,T1]|if) ---*/
   t1hrr1_build_gg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+309055, int_stack+0, int_stack+83935, int_stack+751225, int_stack+650185, int_stack+500185, 6, 3);
     Libr12->te_ptr[2] = int_stack + 309055;
 /*--- compute (gg||if) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+0, int_stack+542185, int_stack+204055, 280);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (gg|if) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+542185, int_stack+751225, int_stack+500185, 280);
     Libr12->te_ptr[0] = int_stack + 542185;

}
