#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ggih(Libr12_t *, prim_data *);

  /* Computes (gg|ih) integrals for linear R12-methods */

void hrr_grt_order_ggih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[4][11] = int_stack + 3450;
 Libr12->t2vrr_classes[5][6] = int_stack + 4620;
 Libr12->t2vrr_classes[5][7] = int_stack + 5208;
 Libr12->t2vrr_classes[5][8] = int_stack + 5964;
 Libr12->t2vrr_classes[5][9] = int_stack + 6909;
 Libr12->t2vrr_classes[5][10] = int_stack + 8064;
 Libr12->t2vrr_classes[5][11] = int_stack + 9450;
 Libr12->t2vrr_classes[6][6] = int_stack + 11088;
 Libr12->t2vrr_classes[6][7] = int_stack + 11872;
 Libr12->t2vrr_classes[6][8] = int_stack + 12880;
 Libr12->t2vrr_classes[6][9] = int_stack + 14140;
 Libr12->t2vrr_classes[6][10] = int_stack + 15680;
 Libr12->t2vrr_classes[6][11] = int_stack + 17528;
 Libr12->t2vrr_classes[7][6] = int_stack + 19712;
 Libr12->t2vrr_classes[7][7] = int_stack + 20720;
 Libr12->t2vrr_classes[7][8] = int_stack + 22016;
 Libr12->t2vrr_classes[7][9] = int_stack + 23636;
 Libr12->t2vrr_classes[7][10] = int_stack + 25616;
 Libr12->t2vrr_classes[7][11] = int_stack + 27992;
 Libr12->gvrr_classes[9][6] = int_stack + 30800;
 Libr12->t2vrr_classes[8][6] = int_stack + 32340;
 Libr12->gvrr_classes[9][7] = int_stack + 33600;
 Libr12->t2vrr_classes[8][7] = int_stack + 35580;
 Libr12->gvrr_classes[9][8] = int_stack + 37200;
 Libr12->t2vrr_classes[8][8] = int_stack + 39675;
 Libr12->gvrr_classes[9][9] = int_stack + 41700;
 Libr12->t2vrr_classes[8][9] = int_stack + 44725;
 Libr12->gvrr_classes[9][10] = int_stack + 47200;
 Libr12->t2vrr_classes[8][10] = int_stack + 50830;
 Libr12->t2vrr_classes[8][11] = int_stack + 53800;
 Libr12->gvrr_classes[4][12] = int_stack + 57310;
 Libr12->t1vrr_classes[4][6] = int_stack + 58675;
 Libr12->t1vrr_classes[4][7] = int_stack + 59095;
 Libr12->t1vrr_classes[4][8] = int_stack + 59635;
 Libr12->t1vrr_classes[4][9] = int_stack + 60310;
 Libr12->t1vrr_classes[4][10] = int_stack + 61135;
 Libr12->t1vrr_classes[4][11] = int_stack + 62125;
 Libr12->gvrr_classes[5][12] = int_stack + 63295;
 Libr12->t1vrr_classes[5][6] = int_stack + 65206;
 Libr12->t1vrr_classes[5][7] = int_stack + 65794;
 Libr12->t1vrr_classes[5][8] = int_stack + 66550;
 Libr12->t1vrr_classes[5][9] = int_stack + 67495;
 Libr12->t1vrr_classes[5][10] = int_stack + 68650;
 Libr12->t1vrr_classes[5][11] = int_stack + 70036;
 Libr12->gvrr_classes[6][12] = int_stack + 71674;
 Libr12->t1vrr_classes[6][6] = int_stack + 74222;
 Libr12->t1vrr_classes[6][7] = int_stack + 75006;
 Libr12->t1vrr_classes[6][8] = int_stack + 76014;
 Libr12->t1vrr_classes[6][9] = int_stack + 77274;
 Libr12->t1vrr_classes[6][10] = int_stack + 78814;
 Libr12->t1vrr_classes[6][11] = int_stack + 80662;
 Libr12->gvrr_classes[7][12] = int_stack + 82846;
 Libr12->t1vrr_classes[7][6] = int_stack + 86122;
 Libr12->t1vrr_classes[7][7] = int_stack + 87130;
 Libr12->t1vrr_classes[7][8] = int_stack + 88426;
 Libr12->t1vrr_classes[7][9] = int_stack + 90046;
 Libr12->t1vrr_classes[7][10] = int_stack + 92026;
 Libr12->t1vrr_classes[7][11] = int_stack + 94402;
 Libr12->t1vrr_classes[8][6] = int_stack + 97210;
 Libr12->t1vrr_classes[8][7] = int_stack + 98470;
 Libr12->t1vrr_classes[8][8] = int_stack + 100090;
 Libr12->t1vrr_classes[8][9] = int_stack + 102115;
 Libr12->t1vrr_classes[8][10] = int_stack + 104590;
 Libr12->t1vrr_classes[8][11] = int_stack + 107560;
 Libr12->rvrr_classes[4][6] = int_stack + 111070;
 Libr12->rvrr_classes[4][7] = int_stack + 111490;
 Libr12->rvrr_classes[4][8] = int_stack + 112030;
 Libr12->rvrr_classes[4][9] = int_stack + 112705;
 Libr12->rvrr_classes[4][10] = int_stack + 113530;
 Libr12->rvrr_classes[4][11] = int_stack + 114520;
 Libr12->rvrr_classes[5][6] = int_stack + 115690;
 Libr12->rvrr_classes[5][7] = int_stack + 116278;
 Libr12->rvrr_classes[5][8] = int_stack + 117034;
 Libr12->rvrr_classes[5][9] = int_stack + 117979;
 Libr12->rvrr_classes[5][10] = int_stack + 119134;
 Libr12->rvrr_classes[5][11] = int_stack + 120520;
 Libr12->rvrr_classes[6][6] = int_stack + 122158;
 Libr12->rvrr_classes[6][7] = int_stack + 122942;
 Libr12->rvrr_classes[6][8] = int_stack + 123950;
 Libr12->rvrr_classes[6][9] = int_stack + 125210;
 Libr12->rvrr_classes[6][10] = int_stack + 126750;
 Libr12->rvrr_classes[6][11] = int_stack + 128598;
 Libr12->rvrr_classes[7][6] = int_stack + 130782;
 Libr12->rvrr_classes[7][7] = int_stack + 131790;
 Libr12->rvrr_classes[7][8] = int_stack + 133086;
 Libr12->rvrr_classes[7][9] = int_stack + 134706;
 Libr12->rvrr_classes[7][10] = int_stack + 136686;
 Libr12->rvrr_classes[7][11] = int_stack + 139062;
 Libr12->rvrr_classes[8][6] = int_stack + 141870;
 Libr12->rvrr_classes[8][7] = int_stack + 143130;
 Libr12->rvrr_classes[8][8] = int_stack + 144750;
 Libr12->rvrr_classes[8][9] = int_stack + 146775;
 Libr12->rvrr_classes[8][10] = int_stack + 149250;
 Libr12->rvrr_classes[8][11] = int_stack + 152220;
 Libr12->gvrr_classes[4][6] = int_stack + 155730;
 Libr12->gvrr_classes[4][7] = int_stack + 156150;
 Libr12->gvrr_classes[4][8] = int_stack + 156690;
 Libr12->gvrr_classes[4][9] = int_stack + 157365;
 Libr12->gvrr_classes[4][10] = int_stack + 158190;
 Libr12->gvrr_classes[4][11] = int_stack + 159180;
 Libr12->gvrr_classes[5][6] = int_stack + 160350;
 Libr12->gvrr_classes[5][7] = int_stack + 160938;
 Libr12->gvrr_classes[5][8] = int_stack + 161694;
 Libr12->gvrr_classes[5][9] = int_stack + 162639;
 Libr12->gvrr_classes[5][10] = int_stack + 163794;
 Libr12->gvrr_classes[5][11] = int_stack + 165180;
 Libr12->gvrr_classes[6][6] = int_stack + 166818;
 Libr12->gvrr_classes[6][7] = int_stack + 167602;
 Libr12->gvrr_classes[6][8] = int_stack + 168610;
 Libr12->gvrr_classes[6][9] = int_stack + 169870;
 Libr12->gvrr_classes[6][10] = int_stack + 171410;
 Libr12->gvrr_classes[6][11] = int_stack + 173258;
 Libr12->gvrr_classes[7][6] = int_stack + 175442;
 Libr12->gvrr_classes[7][7] = int_stack + 176450;
 Libr12->gvrr_classes[7][8] = int_stack + 177746;
 Libr12->gvrr_classes[7][9] = int_stack + 179366;
 Libr12->gvrr_classes[7][10] = int_stack + 181346;
 Libr12->gvrr_classes[7][11] = int_stack + 183722;
 Libr12->gvrr_classes[8][6] = int_stack + 186530;
 Libr12->gvrr_classes[8][7] = int_stack + 187790;
 Libr12->gvrr_classes[8][8] = int_stack + 189410;
 Libr12->gvrr_classes[8][9] = int_stack + 191435;
 Libr12->gvrr_classes[8][10] = int_stack + 193910;
 Libr12->gvrr_classes[8][11] = int_stack + 196880;
 memset(int_stack,0,200390*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 200390;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ggih(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+200390, int_stack+156150, int_stack+155730, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+201650, int_stack+156690, int_stack+156150, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+203270, int_stack+201650, int_stack+200390, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+205790, int_stack+157365, int_stack+156690, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+207815, int_stack+205790, int_stack+201650, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+211055, int_stack+207815, int_stack+203270, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+215255, int_stack+158190, int_stack+157365, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+217730, int_stack+215255, int_stack+205790, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+221780, int_stack+217730, int_stack+207815, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+227180, int_stack+221780, int_stack+211055, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+233480, int_stack+160938, int_stack+160350, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+235244, int_stack+161694, int_stack+160938, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+237512, int_stack+235244, int_stack+233480, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+241040, int_stack+162639, int_stack+161694, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+243875, int_stack+241040, int_stack+235244, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+248411, int_stack+243875, int_stack+237512, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+254291, int_stack+163794, int_stack+162639, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+257756, int_stack+254291, int_stack+241040, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+263426, int_stack+257756, int_stack+243875, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+270986, int_stack+263426, int_stack+248411, 21);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+279806, int_stack+159180, int_stack+158190, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+282776, int_stack+279806, int_stack+215255, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+287726, int_stack+282776, int_stack+217730, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+294476, int_stack+287726, int_stack+221780, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+302576, int_stack+420, int_stack+0, int_stack+156150, int_stack+160350, int_stack+155730, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+303836, int_stack+960, int_stack+420, int_stack+156690, int_stack+160938, int_stack+156150, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+305456, int_stack+303836, int_stack+302576, int_stack+201650, int_stack+233480, int_stack+200390, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+307976, int_stack+1635, int_stack+960, int_stack+157365, int_stack+161694, int_stack+156690, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+310001, int_stack+307976, int_stack+303836, int_stack+205790, int_stack+235244, int_stack+201650, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+313241, int_stack+310001, int_stack+305456, int_stack+207815, int_stack+237512, int_stack+203270, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200390, int_stack+2460, int_stack+1635, int_stack+158190, int_stack+162639, int_stack+157365, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+302576, int_stack+200390, int_stack+307976, int_stack+215255, int_stack+241040, int_stack+205790, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+317441, int_stack+302576, int_stack+310001, int_stack+217730, int_stack+243875, int_stack+207815, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+202865, int_stack+317441, int_stack+313241, int_stack+221780, int_stack+248411, int_stack+211055, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+209165, int_stack+3450, int_stack+2460, int_stack+159180, int_stack+163794, int_stack+158190, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+306626, int_stack+209165, int_stack+200390, int_stack+279806, int_stack+254291, int_stack+215255, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+209165, int_stack+306626, int_stack+302576, int_stack+282776, int_stack+257756, int_stack+217730, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+302576, int_stack+209165, int_stack+317441, int_stack+287726, int_stack+263426, int_stack+221780, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+209165, int_stack+302576, int_stack+202865, int_stack+294476, int_stack+270986, int_stack+227180, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+302576, int_stack+167602, int_stack+166818, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+304928, int_stack+168610, int_stack+167602, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+307952, int_stack+304928, int_stack+302576, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+312656, int_stack+169870, int_stack+168610, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+316436, int_stack+312656, int_stack+304928, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+217985, int_stack+316436, int_stack+307952, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+171410, int_stack+169870, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+200390, int_stack+0, int_stack+312656, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+322484, int_stack+200390, int_stack+316436, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+332564, int_stack+322484, int_stack+217985, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+344324, int_stack+165180, int_stack+163794, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+348482, int_stack+344324, int_stack+254291, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+355412, int_stack+348482, int_stack+257756, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+364862, int_stack+355412, int_stack+263426, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155730, int_stack+5208, int_stack+4620, int_stack+160938, int_stack+166818, int_stack+160350, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+376202, int_stack+5964, int_stack+5208, int_stack+161694, int_stack+167602, int_stack+160938, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+378470, int_stack+376202, int_stack+155730, int_stack+235244, int_stack+302576, int_stack+233480, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155730, int_stack+6909, int_stack+5964, int_stack+162639, int_stack+168610, int_stack+161694, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+381998, int_stack+155730, int_stack+376202, int_stack+241040, int_stack+304928, int_stack+235244, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+386534, int_stack+381998, int_stack+378470, int_stack+243875, int_stack+307952, int_stack+237512, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+376202, int_stack+8064, int_stack+6909, int_stack+163794, int_stack+169870, int_stack+162639, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+233480, int_stack+376202, int_stack+155730, int_stack+254291, int_stack+312656, int_stack+241040, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+392414, int_stack+233480, int_stack+381998, int_stack+257756, int_stack+316436, int_stack+243875, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+239150, int_stack+392414, int_stack+386534, int_stack+263426, int_stack+217985, int_stack+248411, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+379667, int_stack+9450, int_stack+8064, int_stack+165180, int_stack+171410, int_stack+163794, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+383825, int_stack+379667, int_stack+376202, int_stack+344324, int_stack+0, int_stack+254291, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+247970, int_stack+383825, int_stack+233480, int_stack+348482, int_stack+200390, int_stack+257756, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+376202, int_stack+247970, int_stack+392414, int_stack+355412, int_stack+322484, int_stack+263426, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+247970, int_stack+376202, int_stack+239150, int_stack+364862, int_stack+332564, int_stack+270986, 5, 0);
 /*--- compute (gp|[r12,T2]|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+376202, int_stack+247970, int_stack+209165, 588);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+260318, int_stack+176450, int_stack+175442, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+263342, int_stack+177746, int_stack+176450, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+233480, int_stack+263342, int_stack+260318, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+239528, int_stack+179366, int_stack+177746, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+207950, int_stack+239528, int_stack+263342, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+402662, int_stack+207950, int_stack+233480, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+181346, int_stack+179366, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+412742, int_stack+4620, int_stack+239528, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+422462, int_stack+412742, int_stack+207950, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+435422, int_stack+422462, int_stack+402662, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+450542, int_stack+173258, int_stack+171410, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+456086, int_stack+450542, int_stack+0, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+465326, int_stack+456086, int_stack+200390, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+477926, int_stack+465326, int_stack+322484, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267230, int_stack+11872, int_stack+11088, int_stack+167602, int_stack+175442, int_stack+166818, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+244388, int_stack+12880, int_stack+11872, int_stack+168610, int_stack+176450, int_stack+167602, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160350, int_stack+244388, int_stack+267230, int_stack+304928, int_stack+260318, int_stack+302576, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+493046, int_stack+14140, int_stack+12880, int_stack+169870, int_stack+177746, int_stack+168610, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+496826, int_stack+493046, int_stack+244388, int_stack+312656, int_stack+263342, int_stack+304928, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+502874, int_stack+496826, int_stack+160350, int_stack+316436, int_stack+233480, int_stack+307952, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160350, int_stack+15680, int_stack+14140, int_stack+171410, int_stack+179366, int_stack+169870, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+302576, int_stack+160350, int_stack+493046, int_stack+0, int_stack+239528, int_stack+312656, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+510714, int_stack+302576, int_stack+496826, int_stack+200390, int_stack+207950, int_stack+316436, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+310136, int_stack+510714, int_stack+502874, int_stack+322484, int_stack+402662, int_stack+217985, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+493046, int_stack+17528, int_stack+15680, int_stack+173258, int_stack+181346, int_stack+171410, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+498590, int_stack+493046, int_stack+160350, int_stack+450542, int_stack+4620, int_stack+0, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+520794, int_stack+498590, int_stack+302576, int_stack+456086, int_stack+412742, int_stack+200390, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+493046, int_stack+520794, int_stack+510714, int_stack+465326, int_stack+422462, int_stack+322484, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+508166, int_stack+493046, int_stack+310136, int_stack+477926, int_stack+435422, int_stack+332564, 6, 0);
 /*--- compute (hp|[r12,T2]|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+524630, int_stack+508166, int_stack+247970, 588);
 /*--- compute (gd|[r12,T2]|ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+561674, int_stack+524630, int_stack+376202, 588);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+376202, int_stack+187790, int_stack+186530, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+379982, int_stack+189410, int_stack+187790, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+200390, int_stack+379982, int_stack+376202, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+384842, int_stack+191435, int_stack+189410, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+390917, int_stack+384842, int_stack+379982, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+493046, int_stack+390917, int_stack+200390, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+302576, int_stack+193910, int_stack+191435, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+310001, int_stack+302576, int_stack+384842, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+614594, int_stack+310001, int_stack+390917, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+630794, int_stack+614594, int_stack+493046, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+322151, int_stack+183722, int_stack+181346, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+244388, int_stack+322151, int_stack+4620, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+649694, int_stack+244388, int_stack+412742, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+665894, int_stack+649694, int_stack+422462, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+329279, int_stack+20720, int_stack+19712, int_stack+176450, int_stack+186530, int_stack+175442, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+22016, int_stack+20720, int_stack+177746, int_stack+187790, int_stack+176450, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+166818, int_stack+0, int_stack+329279, int_stack+263342, int_stack+376202, int_stack+260318, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+256268, int_stack+23636, int_stack+22016, int_stack+179366, int_stack+189410, int_stack+177746, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10560, int_stack+256268, int_stack+0, int_stack+239528, int_stack+379982, int_stack+263342, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+215726, int_stack+10560, int_stack+166818, int_stack+207950, int_stack+200390, int_stack+233480, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+233480, int_stack+25616, int_stack+23636, int_stack+181346, int_stack+191435, int_stack+179366, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+261128, int_stack+233480, int_stack+256268, int_stack+4620, int_stack+384842, int_stack+239528, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+685334, int_stack+261128, int_stack+10560, int_stack+412742, int_stack+390917, int_stack+207950, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+698294, int_stack+685334, int_stack+215726, int_stack+422462, int_stack+493046, int_stack+402662, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+207950, int_stack+27992, int_stack+25616, int_stack+183722, int_stack+193910, int_stack+181346, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+215078, int_stack+207950, int_stack+233480, int_stack+322151, int_stack+302576, int_stack+4620, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+215078, int_stack+261128, int_stack+244388, int_stack+310001, int_stack+412742, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+400637, int_stack+0, int_stack+685334, int_stack+649694, int_stack+614594, int_stack+422462, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+400637, int_stack+698294, int_stack+665894, int_stack+630794, int_stack+435422, 7, 0);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+685334, int_stack+0, int_stack+508166, 588);
 /*--- compute (hd|[r12,T2]|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+734726, int_stack+685334, int_stack+524630, 588);
 /*--- compute (gf|[r12,T2]|ih) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+808814, int_stack+734726, int_stack+561674, 588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+400637, int_stack+33600, int_stack+30800, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+405257, int_stack+37200, int_stack+33600, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+411197, int_stack+405257, int_stack+400637, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+420437, int_stack+41700, int_stack+37200, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+207950, int_stack+420437, int_stack+405257, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+505646, int_stack+207950, int_stack+411197, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+21168, int_stack+47200, int_stack+41700, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+521046, int_stack+21168, int_stack+420437, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+535896, int_stack+521046, int_stack+207950, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+555696, int_stack+535896, int_stack+505646, 55);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+233480, int_stack+196880, int_stack+193910, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+578796, int_stack+233480, int_stack+302576, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+593646, int_stack+578796, int_stack+310001, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+593646, int_stack+614594, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+427862, int_stack+35580, int_stack+32340, int_stack+187790, int_stack+30800, int_stack+186530, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+219830, int_stack+39675, int_stack+35580, int_stack+189410, int_stack+33600, int_stack+187790, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+256268, int_stack+219830, int_stack+427862, int_stack+379982, int_stack+400637, int_stack+376202, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+427862, int_stack+44725, int_stack+39675, int_stack+191435, int_stack+37200, int_stack+189410, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30243, int_stack+427862, int_stack+219830, int_stack+384842, int_stack+405257, int_stack+379982, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+921314, int_stack+30243, int_stack+256268, int_stack+390917, int_stack+411197, int_stack+200390, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200390, int_stack+50830, int_stack+44725, int_stack+193910, int_stack+41700, int_stack+191435, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+256268, int_stack+200390, int_stack+427862, int_stack+302576, int_stack+420437, int_stack+384842, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+400637, int_stack+256268, int_stack+30243, int_stack+310001, int_stack+207950, int_stack+390917, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+207815, int_stack+400637, int_stack+921314, int_stack+614594, int_stack+505646, int_stack+493046, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+493046, int_stack+53800, int_stack+50830, int_stack+196880, int_stack+47200, int_stack+193910, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+501956, int_stack+493046, int_stack+200390, int_stack+233480, int_stack+21168, int_stack+302576, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21168, int_stack+501956, int_stack+256268, int_stack+578796, int_stack+521046, int_stack+310001, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+493046, int_stack+21168, int_stack+400637, int_stack+593646, int_stack+535896, int_stack+614594, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21168, int_stack+493046, int_stack+207815, int_stack+897014, int_stack+555696, int_stack+630794, 8, 0);
 /*--- compute (kp|[r12,T2]|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+493046, int_stack+21168, int_stack+0, 588);
 /*--- compute (id|[r12,T2]|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+921314, int_stack+493046, int_stack+685334, 588);
 /*--- compute (hf|[r12,T2]|ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+493046, int_stack+921314, int_stack+734726, 588);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+921314, int_stack+294476, int_stack+227180, 15);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+930134, int_stack+364862, int_stack+270986, 21);
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+942482, int_stack+930134, int_stack+921314, 588);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+968942, int_stack+477926, int_stack+332564, 28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+685334, int_stack+968942, int_stack+930134, 588);
 /*--- compute (gd|ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+722378, int_stack+685334, int_stack+942482, 588);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+985406, int_stack+665894, int_stack+435422, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+985406, int_stack+968942, 588);
 /*--- compute (hd|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+376202, int_stack+0, int_stack+685334, 588);
 /*--- compute (gf|ih) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+1006574, int_stack+376202, int_stack+722378, 588);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+775298, int_stack+57310, int_stack+159180, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+778808, int_stack+775298, int_stack+279806, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+784748, int_stack+778808, int_stack+282776, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+792998, int_stack+784748, int_stack+287726, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+775298, int_stack+792998, int_stack+294476, 15);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+786638, int_stack+63295, int_stack+165180, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+791552, int_stack+786638, int_stack+344324, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+616526, int_stack+791552, int_stack+348482, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+786638, int_stack+616526, int_stack+355412, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+256268, int_stack+786638, int_stack+364862, 21);
 /*--- compute (gp|kh) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+272144, int_stack+256268, int_stack+775298, 756);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+786638, int_stack+71674, int_stack+173258, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+793190, int_stack+786638, int_stack+450542, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+306164, int_stack+793190, int_stack+456086, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+786638, int_stack+306164, int_stack+465326, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+450290, int_stack+786638, int_stack+477926, 28);
 /*--- compute (hp|kh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+186530, int_stack+450290, int_stack+256268, 756);
 /*--- compute (gd|kh) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+1094774, int_stack+186530, int_stack+272144, 756);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+786638, int_stack+82846, int_stack+183722, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+306164, int_stack+786638, int_stack+322151, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+786638, int_stack+306164, int_stack+244388, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+306164, int_stack+786638, int_stack+649694, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+330464, int_stack+306164, int_stack+665894, 36);
 /*--- compute (ip|kh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+1162814, int_stack+330464, int_stack+450290, 756);
 /*--- compute (hd|kh) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+1226318, int_stack+1162814, int_stack+186530, 756);
 /*--- compute (gf|kh) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+1321574, int_stack+1226318, int_stack+1094774, 756);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+649694, int_stack+897014, int_stack+630794, 45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1434974, int_stack+649694, int_stack+985406, 588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1498478, int_stack+1434974, int_stack+0, 588);
 /*--- compute (hf|ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+1597262, int_stack+1498478, int_stack+376202, 588);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+59095, int_stack+58675, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+898274, int_stack+59635, int_stack+59095, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+899894, int_stack+898274, int_stack+897014, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+902414, int_stack+60310, int_stack+59635, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+904439, int_stack+902414, int_stack+898274, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+907679, int_stack+904439, int_stack+899894, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+61135, int_stack+60310, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+911879, int_stack+897014, int_stack+902414, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+306164, int_stack+911879, int_stack+904439, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+899489, int_stack+306164, int_stack+907679, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+905789, int_stack+62125, int_stack+61135, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+915929, int_stack+905789, int_stack+897014, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+311564, int_stack+915929, int_stack+911879, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+905789, int_stack+311564, int_stack+306164, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+306164, int_stack+905789, int_stack+899489, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+314984, int_stack+65794, int_stack+65206, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+316748, int_stack+66550, int_stack+65794, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+319016, int_stack+316748, int_stack+314984, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+322544, int_stack+67495, int_stack+66550, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+325379, int_stack+322544, int_stack+316748, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+325379, int_stack+319016, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+314984, int_stack+68650, int_stack+67495, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+902894, int_stack+314984, int_stack+322544, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+908564, int_stack+902894, int_stack+325379, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+318449, int_stack+908564, int_stack+897014, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+70036, int_stack+68650, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+676154, int_stack+897014, int_stack+314984, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+786638, int_stack+676154, int_stack+902894, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+786638, int_stack+908564, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+786638, int_stack+897014, int_stack+318449, 21);
 /*--- compute (gp|[r12,T1]|ih) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+616526, int_stack+786638, int_stack+306164, int_stack+930134, int_stack+775298, int_stack+921314, 6, 5);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+775298, int_stack+75006, int_stack+74222, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+777650, int_stack+76014, int_stack+75006, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+780674, int_stack+777650, int_stack+775298, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+306164, int_stack+77274, int_stack+76014, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+309944, int_stack+306164, int_stack+777650, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+315992, int_stack+309944, int_stack+780674, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+775298, int_stack+78814, int_stack+77274, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+775298, int_stack+306164, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+904574, int_stack+897014, int_stack+309944, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+914654, int_stack+904574, int_stack+315992, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+306164, int_stack+80662, int_stack+78814, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+311708, int_stack+306164, int_stack+775298, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+357680, int_stack+311708, int_stack+897014, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+306164, int_stack+357680, int_stack+904574, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+357680, int_stack+306164, int_stack+914654, 28);
 /*--- compute (hp|[r12,T1]|ih) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1720742, int_stack+357680, int_stack+786638, int_stack+968942, int_stack+256268, int_stack+930134, 6, 5);
 /*--- compute (gd|[r12,T1]|ih) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1757786, int_stack+1720742, int_stack+616526, int_stack+685334, int_stack+272144, int_stack+942482, 6, 5);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+616526, int_stack+87130, int_stack+86122, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+619550, int_stack+88426, int_stack+87130, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+623438, int_stack+619550, int_stack+616526, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+629486, int_stack+90046, int_stack+88426, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+634346, int_stack+629486, int_stack+619550, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+634346, int_stack+623438, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+616526, int_stack+92026, int_stack+90046, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+907094, int_stack+616526, int_stack+629486, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+916814, int_stack+907094, int_stack+634346, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+622466, int_stack+916814, int_stack+897014, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+94402, int_stack+92026, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+637586, int_stack+897014, int_stack+616526, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+929774, int_stack+637586, int_stack+907094, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+929774, int_stack+916814, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+916454, int_stack+897014, int_stack+622466, 36);
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+234158, int_stack+916454, int_stack+357680, int_stack+985406, int_stack+450290, int_stack+968942, 6, 5);
 /*--- compute (hd|[r12,T1]|ih) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1810706, int_stack+234158, int_stack+1720742, int_stack+0, int_stack+186530, int_stack+685334, 6, 5);
 /*--- compute (gf|[r12,T1]|ih) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1884794, int_stack+1810706, int_stack+1757786, int_stack+376202, int_stack+1094774, int_stack+722378, 6, 5);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1094774, int_stack+98470, int_stack+97210, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1098554, int_stack+100090, int_stack+98470, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1103414, int_stack+1098554, int_stack+1094774, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1110974, int_stack+102115, int_stack+100090, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1117049, int_stack+1110974, int_stack+1098554, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1126769, int_stack+1117049, int_stack+1103414, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1094774, int_stack+104590, int_stack+102115, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1139369, int_stack+1094774, int_stack+1110974, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1720742, int_stack+1139369, int_stack+1117049, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1102199, int_stack+1720742, int_stack+1126769, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1121099, int_stack+107560, int_stack+104590, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1736942, int_stack+1121099, int_stack+1094774, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1751792, int_stack+1736942, int_stack+1139369, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1121099, int_stack+1751792, int_stack+1720742, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1720742, int_stack+1121099, int_stack+1102199, 45);
 /*--- compute (kp|[r12,T1]|ih) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1747202, int_stack+1720742, int_stack+916454, int_stack+649694, int_stack+330464, int_stack+985406, 6, 5);
 /*--- compute (id|[r12,T1]|ih) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+897014, int_stack+1747202, int_stack+234158, int_stack+1434974, int_stack+1162814, int_stack+0, 6, 5);
 /*--- compute (hf|[r12,T1]|ih) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1094774, int_stack+897014, int_stack+1810706, int_stack+1498478, int_stack+1226318, int_stack+376202, 6, 5);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+111490, int_stack+111070, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+898274, int_stack+112030, int_stack+111490, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+899894, int_stack+898274, int_stack+897014, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+902414, int_stack+112705, int_stack+112030, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+904439, int_stack+902414, int_stack+898274, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+907679, int_stack+904439, int_stack+899894, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+113530, int_stack+112705, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+911879, int_stack+897014, int_stack+902414, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+915929, int_stack+911879, int_stack+904439, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+899489, int_stack+915929, int_stack+907679, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+905789, int_stack+114520, int_stack+113530, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+921329, int_stack+905789, int_stack+897014, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+926279, int_stack+921329, int_stack+911879, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+905789, int_stack+926279, int_stack+915929, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+913889, int_stack+905789, int_stack+899489, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+116278, int_stack+115690, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+898778, int_stack+117034, int_stack+116278, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+901046, int_stack+898778, int_stack+897014, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+904574, int_stack+117979, int_stack+117034, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+907409, int_stack+904574, int_stack+898778, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+922709, int_stack+907409, int_stack+901046, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+119134, int_stack+117979, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+928589, int_stack+897014, int_stack+904574, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+934259, int_stack+928589, int_stack+907409, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+900479, int_stack+934259, int_stack+922709, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+922709, int_stack+120520, int_stack+119134, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+941819, int_stack+922709, int_stack+897014, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+948749, int_stack+941819, int_stack+928589, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+922709, int_stack+948749, int_stack+934259, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+934049, int_stack+922709, int_stack+900479, 21);
 /*--- compute (gp||ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+946397, int_stack+934049, int_stack+913889, 588);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+122942, int_stack+122158, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+899366, int_stack+123950, int_stack+122942, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+902390, int_stack+899366, int_stack+897014, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+907094, int_stack+125210, int_stack+123950, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+910874, int_stack+907094, int_stack+899366, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+916922, int_stack+910874, int_stack+902390, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+126750, int_stack+125210, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+924762, int_stack+897014, int_stack+907094, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+972857, int_stack+924762, int_stack+910874, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+901634, int_stack+972857, int_stack+916922, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+913394, int_stack+128598, int_stack+126750, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+982937, int_stack+913394, int_stack+897014, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+992177, int_stack+982937, int_stack+924762, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+913394, int_stack+992177, int_stack+972857, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+972857, int_stack+913394, int_stack+901634, 28);
 /*--- compute (hp||ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+972857, int_stack+934049, 588);
 /*--- compute (gd||ih) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+37044, int_stack+0, int_stack+946397, 588);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+989321, int_stack+131790, int_stack+130782, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+992345, int_stack+133086, int_stack+131790, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+996233, int_stack+992345, int_stack+989321, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+134706, int_stack+133086, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+901874, int_stack+897014, int_stack+992345, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+909650, int_stack+901874, int_stack+996233, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+989321, int_stack+136686, int_stack+134706, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+995261, int_stack+989321, int_stack+897014, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+919730, int_stack+995261, int_stack+901874, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+932690, int_stack+919730, int_stack+909650, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+139062, int_stack+136686, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+904142, int_stack+897014, int_stack+989321, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+947810, int_stack+904142, int_stack+995261, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+897014, int_stack+947810, int_stack+919730, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+947810, int_stack+897014, int_stack+932690, 36);
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+897014, int_stack+947810, int_stack+972857, 588);
 /*--- compute (hd||ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+1434974, int_stack+897014, int_stack+0, 588);
 /*--- compute (gf||ih) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+1509062, int_stack+1434974, int_stack+37044, 588);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+143130, int_stack+141870, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+144750, int_stack+143130, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8640, int_stack+3780, int_stack+0, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16200, int_stack+146775, int_stack+144750, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22275, int_stack+16200, int_stack+3780, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31995, int_stack+22275, int_stack+8640, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+149250, int_stack+146775, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+44595, int_stack+0, int_stack+16200, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+56745, int_stack+44595, int_stack+22275, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+7425, int_stack+56745, int_stack+31995, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+26325, int_stack+152220, int_stack+149250, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+72945, int_stack+26325, int_stack+0, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+87795, int_stack+72945, int_stack+44595, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+26325, int_stack+87795, int_stack+56745, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+50625, int_stack+26325, int_stack+7425, 45);
 /*--- compute (kp||ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+77085, int_stack+50625, int_stack+947810, 588);
 /*--- compute (id||ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+140589, int_stack+77085, int_stack+897014, 588);
 /*--- compute (hf||ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+0, int_stack+140589, int_stack+1434974, 588);
 /*--- compute (gg|[r12,T2]|ih) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+123480, int_stack+493046, int_stack+808814, 588);
     Libr12->te_ptr[3] = int_stack + 123480;
 /*--- compute (gg|[r12,T1]|ih) ---*/
   t1hrr1_build_gg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+255780, int_stack+1094774, int_stack+1884794, int_stack+1597262, int_stack+1321574, int_stack+1006574, 6, 5);
     Libr12->te_ptr[2] = int_stack + 255780;
 /*--- compute (gg||ih) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+1094774, int_stack+0, int_stack+1509062, 588);
     Libr12->te_ptr[1] = int_stack + 1094774;
 /*--- compute (gg|ih) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+1227074, int_stack+1597262, int_stack+1006574, 588);
     Libr12->te_ptr[0] = int_stack + 1227074;

}
