#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ggii(Libr12_t *, prim_data *);

  /* Computes (gg|ii) integrals for linear R12-methods */

void hrr_grt_order_ggii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[4][11] = int_stack + 3450;
 Libr12->t2vrr_classes[4][12] = int_stack + 4620;
 Libr12->t2vrr_classes[5][6] = int_stack + 5985;
 Libr12->t2vrr_classes[5][7] = int_stack + 6573;
 Libr12->t2vrr_classes[5][8] = int_stack + 7329;
 Libr12->t2vrr_classes[5][9] = int_stack + 8274;
 Libr12->t2vrr_classes[5][10] = int_stack + 9429;
 Libr12->t2vrr_classes[5][11] = int_stack + 10815;
 Libr12->t2vrr_classes[5][12] = int_stack + 12453;
 Libr12->t2vrr_classes[6][6] = int_stack + 14364;
 Libr12->t2vrr_classes[6][7] = int_stack + 15148;
 Libr12->t2vrr_classes[6][8] = int_stack + 16156;
 Libr12->t2vrr_classes[6][9] = int_stack + 17416;
 Libr12->t2vrr_classes[6][10] = int_stack + 18956;
 Libr12->t2vrr_classes[6][11] = int_stack + 20804;
 Libr12->t2vrr_classes[6][12] = int_stack + 22988;
 Libr12->t2vrr_classes[7][6] = int_stack + 25536;
 Libr12->t2vrr_classes[7][7] = int_stack + 26544;
 Libr12->t2vrr_classes[7][8] = int_stack + 27840;
 Libr12->t2vrr_classes[7][9] = int_stack + 29460;
 Libr12->t2vrr_classes[7][10] = int_stack + 31440;
 Libr12->t2vrr_classes[7][11] = int_stack + 33816;
 Libr12->t2vrr_classes[7][12] = int_stack + 36624;
 Libr12->gvrr_classes[9][6] = int_stack + 39900;
 Libr12->t2vrr_classes[8][6] = int_stack + 41440;
 Libr12->gvrr_classes[9][7] = int_stack + 42700;
 Libr12->t2vrr_classes[8][7] = int_stack + 44680;
 Libr12->gvrr_classes[9][8] = int_stack + 46300;
 Libr12->t2vrr_classes[8][8] = int_stack + 48775;
 Libr12->gvrr_classes[9][9] = int_stack + 50800;
 Libr12->t2vrr_classes[8][9] = int_stack + 53825;
 Libr12->gvrr_classes[9][10] = int_stack + 56300;
 Libr12->t2vrr_classes[8][10] = int_stack + 59930;
 Libr12->gvrr_classes[9][11] = int_stack + 62900;
 Libr12->t2vrr_classes[8][11] = int_stack + 67190;
 Libr12->t2vrr_classes[8][12] = int_stack + 70700;
 Libr12->gvrr_classes[4][13] = int_stack + 74795;
 Libr12->t1vrr_classes[4][6] = int_stack + 76370;
 Libr12->t1vrr_classes[4][7] = int_stack + 76790;
 Libr12->t1vrr_classes[4][8] = int_stack + 77330;
 Libr12->t1vrr_classes[4][9] = int_stack + 78005;
 Libr12->t1vrr_classes[4][10] = int_stack + 78830;
 Libr12->t1vrr_classes[4][11] = int_stack + 79820;
 Libr12->t1vrr_classes[4][12] = int_stack + 80990;
 Libr12->gvrr_classes[5][13] = int_stack + 82355;
 Libr12->t1vrr_classes[5][6] = int_stack + 84560;
 Libr12->t1vrr_classes[5][7] = int_stack + 85148;
 Libr12->t1vrr_classes[5][8] = int_stack + 85904;
 Libr12->t1vrr_classes[5][9] = int_stack + 86849;
 Libr12->t1vrr_classes[5][10] = int_stack + 88004;
 Libr12->t1vrr_classes[5][11] = int_stack + 89390;
 Libr12->t1vrr_classes[5][12] = int_stack + 91028;
 Libr12->gvrr_classes[6][13] = int_stack + 92939;
 Libr12->t1vrr_classes[6][6] = int_stack + 95879;
 Libr12->t1vrr_classes[6][7] = int_stack + 96663;
 Libr12->t1vrr_classes[6][8] = int_stack + 97671;
 Libr12->t1vrr_classes[6][9] = int_stack + 98931;
 Libr12->t1vrr_classes[6][10] = int_stack + 100471;
 Libr12->t1vrr_classes[6][11] = int_stack + 102319;
 Libr12->t1vrr_classes[6][12] = int_stack + 104503;
 Libr12->gvrr_classes[7][13] = int_stack + 107051;
 Libr12->t1vrr_classes[7][6] = int_stack + 110831;
 Libr12->t1vrr_classes[7][7] = int_stack + 111839;
 Libr12->t1vrr_classes[7][8] = int_stack + 113135;
 Libr12->t1vrr_classes[7][9] = int_stack + 114755;
 Libr12->t1vrr_classes[7][10] = int_stack + 116735;
 Libr12->t1vrr_classes[7][11] = int_stack + 119111;
 Libr12->t1vrr_classes[7][12] = int_stack + 121919;
 Libr12->t1vrr_classes[8][6] = int_stack + 125195;
 Libr12->t1vrr_classes[8][7] = int_stack + 126455;
 Libr12->t1vrr_classes[8][8] = int_stack + 128075;
 Libr12->t1vrr_classes[8][9] = int_stack + 130100;
 Libr12->t1vrr_classes[8][10] = int_stack + 132575;
 Libr12->t1vrr_classes[8][11] = int_stack + 135545;
 Libr12->t1vrr_classes[8][12] = int_stack + 139055;
 Libr12->rvrr_classes[4][6] = int_stack + 143150;
 Libr12->rvrr_classes[4][7] = int_stack + 143570;
 Libr12->rvrr_classes[4][8] = int_stack + 144110;
 Libr12->rvrr_classes[4][9] = int_stack + 144785;
 Libr12->rvrr_classes[4][10] = int_stack + 145610;
 Libr12->rvrr_classes[4][11] = int_stack + 146600;
 Libr12->rvrr_classes[4][12] = int_stack + 147770;
 Libr12->rvrr_classes[5][6] = int_stack + 149135;
 Libr12->rvrr_classes[5][7] = int_stack + 149723;
 Libr12->rvrr_classes[5][8] = int_stack + 150479;
 Libr12->rvrr_classes[5][9] = int_stack + 151424;
 Libr12->rvrr_classes[5][10] = int_stack + 152579;
 Libr12->rvrr_classes[5][11] = int_stack + 153965;
 Libr12->rvrr_classes[5][12] = int_stack + 155603;
 Libr12->rvrr_classes[6][6] = int_stack + 157514;
 Libr12->rvrr_classes[6][7] = int_stack + 158298;
 Libr12->rvrr_classes[6][8] = int_stack + 159306;
 Libr12->rvrr_classes[6][9] = int_stack + 160566;
 Libr12->rvrr_classes[6][10] = int_stack + 162106;
 Libr12->rvrr_classes[6][11] = int_stack + 163954;
 Libr12->rvrr_classes[6][12] = int_stack + 166138;
 Libr12->rvrr_classes[7][6] = int_stack + 168686;
 Libr12->rvrr_classes[7][7] = int_stack + 169694;
 Libr12->rvrr_classes[7][8] = int_stack + 170990;
 Libr12->rvrr_classes[7][9] = int_stack + 172610;
 Libr12->rvrr_classes[7][10] = int_stack + 174590;
 Libr12->rvrr_classes[7][11] = int_stack + 176966;
 Libr12->rvrr_classes[7][12] = int_stack + 179774;
 Libr12->rvrr_classes[8][6] = int_stack + 183050;
 Libr12->rvrr_classes[8][7] = int_stack + 184310;
 Libr12->rvrr_classes[8][8] = int_stack + 185930;
 Libr12->rvrr_classes[8][9] = int_stack + 187955;
 Libr12->rvrr_classes[8][10] = int_stack + 190430;
 Libr12->rvrr_classes[8][11] = int_stack + 193400;
 Libr12->rvrr_classes[8][12] = int_stack + 196910;
 Libr12->gvrr_classes[4][6] = int_stack + 201005;
 Libr12->gvrr_classes[4][7] = int_stack + 201425;
 Libr12->gvrr_classes[4][8] = int_stack + 201965;
 Libr12->gvrr_classes[4][9] = int_stack + 202640;
 Libr12->gvrr_classes[4][10] = int_stack + 203465;
 Libr12->gvrr_classes[4][11] = int_stack + 204455;
 Libr12->gvrr_classes[4][12] = int_stack + 205625;
 Libr12->gvrr_classes[5][6] = int_stack + 206990;
 Libr12->gvrr_classes[5][7] = int_stack + 207578;
 Libr12->gvrr_classes[5][8] = int_stack + 208334;
 Libr12->gvrr_classes[5][9] = int_stack + 209279;
 Libr12->gvrr_classes[5][10] = int_stack + 210434;
 Libr12->gvrr_classes[5][11] = int_stack + 211820;
 Libr12->gvrr_classes[5][12] = int_stack + 213458;
 Libr12->gvrr_classes[6][6] = int_stack + 215369;
 Libr12->gvrr_classes[6][7] = int_stack + 216153;
 Libr12->gvrr_classes[6][8] = int_stack + 217161;
 Libr12->gvrr_classes[6][9] = int_stack + 218421;
 Libr12->gvrr_classes[6][10] = int_stack + 219961;
 Libr12->gvrr_classes[6][11] = int_stack + 221809;
 Libr12->gvrr_classes[6][12] = int_stack + 223993;
 Libr12->gvrr_classes[7][6] = int_stack + 226541;
 Libr12->gvrr_classes[7][7] = int_stack + 227549;
 Libr12->gvrr_classes[7][8] = int_stack + 228845;
 Libr12->gvrr_classes[7][9] = int_stack + 230465;
 Libr12->gvrr_classes[7][10] = int_stack + 232445;
 Libr12->gvrr_classes[7][11] = int_stack + 234821;
 Libr12->gvrr_classes[7][12] = int_stack + 237629;
 Libr12->gvrr_classes[8][6] = int_stack + 240905;
 Libr12->gvrr_classes[8][7] = int_stack + 242165;
 Libr12->gvrr_classes[8][8] = int_stack + 243785;
 Libr12->gvrr_classes[8][9] = int_stack + 245810;
 Libr12->gvrr_classes[8][10] = int_stack + 248285;
 Libr12->gvrr_classes[8][11] = int_stack + 251255;
 Libr12->gvrr_classes[8][12] = int_stack + 254765;
 memset(int_stack,0,258860*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 258860;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ggii(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+258860, int_stack+201425, int_stack+201005, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+260120, int_stack+201965, int_stack+201425, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+261740, int_stack+260120, int_stack+258860, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+264260, int_stack+202640, int_stack+201965, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+266285, int_stack+264260, int_stack+260120, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+269525, int_stack+266285, int_stack+261740, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+273725, int_stack+203465, int_stack+202640, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+276200, int_stack+273725, int_stack+264260, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+280250, int_stack+276200, int_stack+266285, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+285650, int_stack+280250, int_stack+269525, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+291950, int_stack+204455, int_stack+203465, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+294920, int_stack+291950, int_stack+273725, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+299870, int_stack+294920, int_stack+276200, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+306620, int_stack+299870, int_stack+280250, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+314720, int_stack+306620, int_stack+285650, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+323540, int_stack+207578, int_stack+206990, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+325304, int_stack+208334, int_stack+207578, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+327572, int_stack+325304, int_stack+323540, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+331100, int_stack+209279, int_stack+208334, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+333935, int_stack+331100, int_stack+325304, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+338471, int_stack+333935, int_stack+327572, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+344351, int_stack+210434, int_stack+209279, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+347816, int_stack+344351, int_stack+331100, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+353486, int_stack+347816, int_stack+333935, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+361046, int_stack+353486, int_stack+338471, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+369866, int_stack+211820, int_stack+210434, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+374024, int_stack+369866, int_stack+344351, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+380954, int_stack+374024, int_stack+347816, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+390404, int_stack+380954, int_stack+353486, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+401744, int_stack+390404, int_stack+361046, 21);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+414092, int_stack+205625, int_stack+204455, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+417602, int_stack+414092, int_stack+291950, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+423542, int_stack+417602, int_stack+294920, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+431792, int_stack+423542, int_stack+299870, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+441917, int_stack+431792, int_stack+306620, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+453257, int_stack+420, int_stack+0, int_stack+201425, int_stack+206990, int_stack+201005, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+454517, int_stack+960, int_stack+420, int_stack+201965, int_stack+207578, int_stack+201425, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+456137, int_stack+454517, int_stack+453257, int_stack+260120, int_stack+323540, int_stack+258860, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+458657, int_stack+1635, int_stack+960, int_stack+202640, int_stack+208334, int_stack+201965, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+460682, int_stack+458657, int_stack+454517, int_stack+264260, int_stack+325304, int_stack+260120, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+463922, int_stack+460682, int_stack+456137, int_stack+266285, int_stack+327572, int_stack+261740, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+258860, int_stack+2460, int_stack+1635, int_stack+203465, int_stack+209279, int_stack+202640, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+453257, int_stack+258860, int_stack+458657, int_stack+273725, int_stack+331100, int_stack+264260, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+468122, int_stack+453257, int_stack+460682, int_stack+276200, int_stack+333935, int_stack+266285, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+261335, int_stack+468122, int_stack+463922, int_stack+280250, int_stack+338471, int_stack+269525, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267635, int_stack+3450, int_stack+2460, int_stack+204455, int_stack+210434, int_stack+203465, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+457307, int_stack+267635, int_stack+258860, int_stack+291950, int_stack+344351, int_stack+273725, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+473522, int_stack+457307, int_stack+453257, int_stack+294920, int_stack+347816, int_stack+276200, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+270605, int_stack+473522, int_stack+468122, int_stack+299870, int_stack+353486, int_stack+280250, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+462257, int_stack+270605, int_stack+261335, int_stack+306620, int_stack+361046, int_stack+285650, 4, 0);
 /*--- compute (g0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+453257, int_stack+4620, int_stack+3450, int_stack+205625, int_stack+211820, int_stack+204455, 4, 0);
 /*--- compute (g0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+258860, int_stack+453257, int_stack+267635, int_stack+414092, int_stack+369866, int_stack+291950, 4, 0);
 /*--- compute (g0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+278705, int_stack+258860, int_stack+457307, int_stack+417602, int_stack+374024, int_stack+294920, 4, 0);
 /*--- compute (g0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+258860, int_stack+278705, int_stack+473522, int_stack+423542, int_stack+380954, int_stack+299870, 4, 0);
 /*--- compute (g0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+278705, int_stack+258860, int_stack+270605, int_stack+431792, int_stack+390404, int_stack+306620, 4, 0);
 /*--- compute (g0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+258860, int_stack+278705, int_stack+462257, int_stack+441917, int_stack+401744, int_stack+314720, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+270620, int_stack+216153, int_stack+215369, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+272972, int_stack+217161, int_stack+216153, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+275996, int_stack+272972, int_stack+270620, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+280700, int_stack+218421, int_stack+217161, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+284480, int_stack+280700, int_stack+272972, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+290528, int_stack+284480, int_stack+275996, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+201005, int_stack+219961, int_stack+218421, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+298368, int_stack+201005, int_stack+280700, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+453257, int_stack+298368, int_stack+284480, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+463337, int_stack+453257, int_stack+290528, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+305928, int_stack+221809, int_stack+219961, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+475097, int_stack+305928, int_stack+201005, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+484337, int_stack+475097, int_stack+298368, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+496937, int_stack+484337, int_stack+453257, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+512057, int_stack+496937, int_stack+463337, 28);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+213458, int_stack+211820, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+528521, int_stack+0, int_stack+369866, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+536837, int_stack+528521, int_stack+374024, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+548387, int_stack+536837, int_stack+380954, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+562562, int_stack+548387, int_stack+390404, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+311472, int_stack+6573, int_stack+5985, int_stack+207578, int_stack+215369, int_stack+206990, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+578438, int_stack+7329, int_stack+6573, int_stack+208334, int_stack+216153, int_stack+207578, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+580706, int_stack+578438, int_stack+311472, int_stack+325304, int_stack+270620, int_stack+323540, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+311472, int_stack+8274, int_stack+7329, int_stack+209279, int_stack+217161, int_stack+208334, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584234, int_stack+311472, int_stack+578438, int_stack+331100, int_stack+272972, int_stack+325304, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+588770, int_stack+584234, int_stack+580706, int_stack+333935, int_stack+275996, int_stack+327572, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+578438, int_stack+9429, int_stack+8274, int_stack+210434, int_stack+218421, int_stack+209279, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+323540, int_stack+578438, int_stack+311472, int_stack+344351, int_stack+280700, int_stack+331100, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+594650, int_stack+323540, int_stack+584234, int_stack+347816, int_stack+284480, int_stack+333935, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+329210, int_stack+594650, int_stack+588770, int_stack+353486, int_stack+290528, int_stack+338471, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+581903, int_stack+10815, int_stack+9429, int_stack+211820, int_stack+219961, int_stack+210434, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+586061, int_stack+581903, int_stack+578438, int_stack+369866, int_stack+201005, int_stack+344351, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+338030, int_stack+586061, int_stack+323540, int_stack+374024, int_stack+298368, int_stack+347816, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+602210, int_stack+338030, int_stack+594650, int_stack+380954, int_stack+453257, int_stack+353486, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+347480, int_stack+602210, int_stack+329210, int_stack+390404, int_stack+463337, int_stack+361046, 5, 0);
 /*--- compute (h0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+323540, int_stack+12453, int_stack+10815, int_stack+213458, int_stack+221809, int_stack+211820, 5, 0);
 /*--- compute (h0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+328454, int_stack+323540, int_stack+581903, int_stack+0, int_stack+305928, int_stack+369866, 5, 0);
 /*--- compute (h0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+359828, int_stack+328454, int_stack+586061, int_stack+528521, int_stack+475097, int_stack+374024, 5, 0);
 /*--- compute (h0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+323540, int_stack+359828, int_stack+338030, int_stack+536837, int_stack+484337, int_stack+380954, 5, 0);
 /*--- compute (h0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+359828, int_stack+323540, int_stack+602210, int_stack+548387, int_stack+496937, int_stack+390404, 5, 0);
 /*--- compute (h0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+323540, int_stack+359828, int_stack+347480, int_stack+562562, int_stack+512057, int_stack+401744, 5, 0);
 /*--- compute (gp|[r12,T2]|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+340004, int_stack+323540, int_stack+258860, 784);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+258860, int_stack+227549, int_stack+226541, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+261884, int_stack+228845, int_stack+227549, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+375284, int_stack+261884, int_stack+258860, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+381332, int_stack+230465, int_stack+228845, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+386192, int_stack+381332, int_stack+261884, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+578438, int_stack+386192, int_stack+375284, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+393968, int_stack+232445, int_stack+230465, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+588518, int_stack+393968, int_stack+381332, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+598238, int_stack+588518, int_stack+386192, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+611198, int_stack+598238, int_stack+578438, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+4914, int_stack+234821, int_stack+232445, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+626318, int_stack+4914, int_stack+393968, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+638198, int_stack+626318, int_stack+588518, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+654398, int_stack+638198, int_stack+598238, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+673838, int_stack+654398, int_stack+611198, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+695006, int_stack+223993, int_stack+221809, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+701558, int_stack+695006, int_stack+305928, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+712646, int_stack+701558, int_stack+475097, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+728046, int_stack+712646, int_stack+484337, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+746946, int_stack+728046, int_stack+496937, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265772, int_stack+15148, int_stack+14364, int_stack+216153, int_stack+226541, int_stack+215369, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+311472, int_stack+16156, int_stack+15148, int_stack+217161, int_stack+227549, int_stack+216153, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206990, int_stack+311472, int_stack+265772, int_stack+272972, int_stack+258860, int_stack+270620, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265772, int_stack+17416, int_stack+16156, int_stack+218421, int_stack+228845, int_stack+217161, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+768114, int_stack+265772, int_stack+311472, int_stack+280700, int_stack+261884, int_stack+272972, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+774162, int_stack+768114, int_stack+206990, int_stack+284480, int_stack+375284, int_stack+275996, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206990, int_stack+18956, int_stack+17416, int_stack+219961, int_stack+230465, int_stack+218421, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+269552, int_stack+206990, int_stack+265772, int_stack+201005, int_stack+381332, int_stack+280700, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+782002, int_stack+269552, int_stack+768114, int_stack+298368, int_stack+386192, int_stack+284480, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+277112, int_stack+782002, int_stack+774162, int_stack+453257, int_stack+578438, int_stack+290528, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+768114, int_stack+20804, int_stack+18956, int_stack+221809, int_stack+232445, int_stack+219961, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+288872, int_stack+768114, int_stack+206990, int_stack+305928, int_stack+393968, int_stack+201005, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+792082, int_stack+288872, int_stack+269552, int_stack+475097, int_stack+588518, int_stack+298368, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+804682, int_stack+792082, int_stack+782002, int_stack+484337, int_stack+598238, int_stack+453257, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+773658, int_stack+804682, int_stack+277112, int_stack+496937, int_stack+611198, int_stack+463337, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+453257, int_stack+22988, int_stack+20804, int_stack+223993, int_stack+234821, int_stack+221809, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+459809, int_stack+453257, int_stack+768114, int_stack+695006, int_stack+4914, int_stack+305928, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265772, int_stack+459809, int_stack+288872, int_stack+701558, int_stack+626318, int_stack+475097, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+453257, int_stack+265772, int_stack+792082, int_stack+712646, int_stack+638198, int_stack+484337, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265772, int_stack+453257, int_stack+804682, int_stack+728046, int_stack+654398, int_stack+496937, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+453257, int_stack+265772, int_stack+773658, int_stack+746946, int_stack+673838, int_stack+512057, 6, 0);
 /*--- compute (hp|[r12,T2]|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+768114, int_stack+453257, int_stack+323540, 784);
 /*--- compute (gd|[r12,T2]|ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+817506, int_stack+768114, int_stack+340004, 784);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+323540, int_stack+242165, int_stack+240905, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+327320, int_stack+243785, int_stack+242165, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+332180, int_stack+327320, int_stack+323540, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+339740, int_stack+245810, int_stack+243785, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+345815, int_stack+339740, int_stack+327320, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+355535, int_stack+345815, int_stack+332180, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+265772, int_stack+248285, int_stack+245810, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+273197, int_stack+265772, int_stack+339740, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+285347, int_stack+273197, int_stack+345815, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+475209, int_stack+285347, int_stack+355535, 45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+301547, int_stack+251255, int_stack+248285, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+494109, int_stack+301547, int_stack+265772, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+888066, int_stack+494109, int_stack+273197, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+908316, int_stack+888066, int_stack+285347, 45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+932616, int_stack+908316, int_stack+475209, 45);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+215369, int_stack+237629, int_stack+234821, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+959076, int_stack+215369, int_stack+4914, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+973332, int_stack+959076, int_stack+626318, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+993132, int_stack+973332, int_stack+638198, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1017432, int_stack+993132, int_stack+654398, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+368135, int_stack+26544, int_stack+25536, int_stack+227549, int_stack+240905, int_stack+226541, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+371159, int_stack+27840, int_stack+26544, int_stack+228845, int_stack+242165, int_stack+227549, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206990, int_stack+371159, int_stack+368135, int_stack+261884, int_stack+323540, int_stack+258860, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12042, int_stack+29460, int_stack+27840, int_stack+230465, int_stack+243785, int_stack+228845, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16902, int_stack+12042, int_stack+371159, int_stack+381332, int_stack+327320, int_stack+261884, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1044648, int_stack+16902, int_stack+206990, int_stack+386192, int_stack+332180, int_stack+375284, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206990, int_stack+31440, int_stack+29460, int_stack+232445, int_stack+245810, int_stack+230465, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+368135, int_stack+206990, int_stack+12042, int_stack+393968, int_stack+339740, int_stack+381332, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1054728, int_stack+368135, int_stack+16902, int_stack+588518, int_stack+345815, int_stack+386192, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12042, int_stack+1054728, int_stack+1044648, int_stack+598238, int_stack+355535, int_stack+578438, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+578438, int_stack+33816, int_stack+31440, int_stack+234821, int_stack+248285, int_stack+232445, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+377855, int_stack+578438, int_stack+206990, int_stack+4914, int_stack+265772, int_stack+393968, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1067688, int_stack+377855, int_stack+368135, int_stack+626318, int_stack+273197, int_stack+588518, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1083888, int_stack+1067688, int_stack+1054728, int_stack+638198, int_stack+285347, int_stack+598238, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+585566, int_stack+1083888, int_stack+12042, int_stack+654398, int_stack+475209, int_stack+611198, 7, 0);
 /*--- compute (k0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12042, int_stack+36624, int_stack+33816, int_stack+237629, int_stack+251255, int_stack+234821, 7, 0);
 /*--- compute (k0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20466, int_stack+12042, int_stack+578438, int_stack+215369, int_stack+301547, int_stack+4914, 7, 0);
 /*--- compute (k0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1044648, int_stack+20466, int_stack+377855, int_stack+959076, int_stack+494109, int_stack+626318, 7, 0);
 /*--- compute (k0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4914, int_stack+1044648, int_stack+1067688, int_stack+973332, int_stack+888066, int_stack+638198, 7, 0);
 /*--- compute (k0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1044648, int_stack+4914, int_stack+1083888, int_stack+993132, int_stack+908316, int_stack+654398, 7, 0);
 /*--- compute (k0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4914, int_stack+1044648, int_stack+585566, int_stack+1017432, int_stack+932616, int_stack+673838, 7, 0);
 /*--- compute (ip|[r12,T2]|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+578438, int_stack+4914, int_stack+453257, 784);
 /*--- compute (hd|[r12,T2]|ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+1044648, int_stack+578438, int_stack+768114, 784);
 /*--- compute (gf|[r12,T2]|ii) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+1143432, int_stack+1044648, int_stack+817506, 784);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+201005, int_stack+42700, int_stack+39900, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+768114, int_stack+46300, int_stack+42700, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+774054, int_stack+768114, int_stack+201005, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+783294, int_stack+50800, int_stack+46300, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+790719, int_stack+783294, int_stack+768114, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+802599, int_stack+790719, int_stack+774054, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+817999, int_stack+56300, int_stack+50800, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+827074, int_stack+817999, int_stack+783294, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+841924, int_stack+827074, int_stack+790719, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+861724, int_stack+841924, int_stack+802599, 55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+453257, int_stack+62900, int_stack+56300, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+644294, int_stack+453257, int_stack+817999, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+368135, int_stack+644294, int_stack+827074, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+368135, int_stack+841924, 55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1290732, int_stack+1261032, int_stack+861724, 55);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+464147, int_stack+254765, int_stack+251255, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1323072, int_stack+464147, int_stack+301547, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1340892, int_stack+1323072, int_stack+494109, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1365642, int_stack+1340892, int_stack+888066, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1396017, int_stack+1365642, int_stack+908316, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33138, int_stack+44680, int_stack+41440, int_stack+242165, int_stack+39900, int_stack+240905, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36918, int_stack+48775, int_stack+44680, int_stack+243785, int_stack+42700, int_stack+242165, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+662444, int_stack+36918, int_stack+33138, int_stack+327320, int_stack+201005, int_stack+323540, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+392885, int_stack+53825, int_stack+48775, int_stack+245810, int_stack+46300, int_stack+243785, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+226541, int_stack+392885, int_stack+36918, int_stack+339740, int_stack+768114, int_stack+327320, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33138, int_stack+226541, int_stack+662444, int_stack+345815, int_stack+774054, int_stack+332180, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+662444, int_stack+59930, int_stack+53825, int_stack+248285, int_stack+50800, int_stack+245810, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+768114, int_stack+662444, int_stack+392885, int_stack+265772, int_stack+783294, int_stack+339740, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+323540, int_stack+768114, int_stack+226541, int_stack+273197, int_stack+790719, int_stack+345815, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+780264, int_stack+323540, int_stack+33138, int_stack+285347, int_stack+802599, int_stack+355535, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33138, int_stack+67190, int_stack+59930, int_stack+251255, int_stack+56300, int_stack+248285, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42048, int_stack+33138, int_stack+662444, int_stack+301547, int_stack+817999, int_stack+265772, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+799164, int_stack+42048, int_stack+768114, int_stack+494109, int_stack+827074, int_stack+273197, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+339740, int_stack+799164, int_stack+323540, int_stack+888066, int_stack+841924, int_stack+285347, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+819414, int_stack+339740, int_stack+780264, int_stack+908316, int_stack+861724, int_stack+475209, 8, 0);
 /*--- compute (l0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+323540, int_stack+70700, int_stack+67190, int_stack+254765, int_stack+62900, int_stack+251255, 8, 0);
 /*--- compute (l0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+768114, int_stack+323540, int_stack+33138, int_stack+464147, int_stack+453257, int_stack+301547, 8, 0);
 /*--- compute (l0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+453257, int_stack+768114, int_stack+42048, int_stack+1323072, int_stack+644294, int_stack+494109, 8, 0);
 /*--- compute (l0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+768114, int_stack+453257, int_stack+799164, int_stack+1340892, int_stack+368135, int_stack+888066, 8, 0);
 /*--- compute (l0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+453257, int_stack+768114, int_stack+339740, int_stack+1365642, int_stack+1261032, int_stack+908316, 8, 0);
 /*--- compute (l0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+768114, int_stack+453257, int_stack+819414, int_stack+1396017, int_stack+1290732, int_stack+932616, 8, 0);
 /*--- compute (kp|[r12,T2]|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1261032, int_stack+768114, int_stack+4914, 784);
 /*--- compute (id|[r12,T2]|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+768114, int_stack+1261032, int_stack+578438, 784);
 /*--- compute (hf|[r12,T2]|ii) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+1430037, int_stack+768114, int_stack+1044648, 784);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1044648, int_stack+441917, int_stack+314720, 15);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1056408, int_stack+562562, int_stack+401744, 21);
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+1072872, int_stack+1056408, int_stack+1044648, 784);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1108152, int_stack+746946, int_stack+512057, 28);
 /*--- compute (hp|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+768114, int_stack+1108152, int_stack+1056408, 784);
 /*--- compute (gd|ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+817506, int_stack+768114, int_stack+1072872, 784);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+888066, int_stack+1017432, int_stack+673838, 36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+578438, int_stack+888066, int_stack+1108152, 784);
 /*--- compute (hd|ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+1261032, int_stack+578438, int_stack+768114, 784);
 /*--- compute (gf|ii) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+240905, int_stack+1261032, int_stack+817506, 784);
 /*--- compute (g0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+1130104, int_stack+74795, int_stack+205625, 15);
 /*--- compute (g0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+1134199, int_stack+1130104, int_stack+414092, 15);
 /*--- compute (g0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+916290, int_stack+1134199, int_stack+417602, 15);
 /*--- compute (g0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1130104, int_stack+916290, int_stack+423542, 15);
 /*--- compute (g0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+916290, int_stack+1130104, int_stack+431792, 15);
 /*--- compute (g0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+644294, int_stack+916290, int_stack+441917, 15);
 /*--- compute (h0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+916290, int_stack+82355, int_stack+213458, 21);
 /*--- compute (h0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+922023, int_stack+916290, int_stack+0, 21);
 /*--- compute (h0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+922023, int_stack+528521, 21);
 /*--- compute (h0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+0, int_stack+536837, 21);
 /*--- compute (h0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+31185, int_stack+13860, int_stack+548387, 21);
 /*--- compute (h0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+0, int_stack+31185, int_stack+562562, 21);
 /*--- compute (gp|ki) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+21168, int_stack+0, int_stack+644294, 1008);
 /*--- compute (i0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+66528, int_stack+92939, int_stack+223993, 28);
 /*--- compute (i0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+916290, int_stack+66528, int_stack+695006, 28);
 /*--- compute (i0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+659414, int_stack+916290, int_stack+701558, 28);
 /*--- compute (i0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+677894, int_stack+659414, int_stack+712646, 28);
 /*--- compute (i0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+700994, int_stack+677894, int_stack+728046, 28);
 /*--- compute (i0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+659414, int_stack+700994, int_stack+746946, 28);
 /*--- compute (hp|ki) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+687638, int_stack+659414, int_stack+0, 1008);
 /*--- compute (gd|ki) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+358505, int_stack+687638, int_stack+21168, 1008);
 /*--- compute (k0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+751142, int_stack+107051, int_stack+237629, 36);
 /*--- compute (k0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+1359816, int_stack+751142, int_stack+215369, 36);
 /*--- compute (k0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+201005, int_stack+1359816, int_stack+959076, 36);
 /*--- compute (k0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1359816, int_stack+201005, int_stack+973332, 36);
 /*--- compute (k0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+201005, int_stack+1359816, int_stack+993132, 36);
 /*--- compute (k0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+959076, int_stack+201005, int_stack+1017432, 36);
 /*--- compute (ip|ki) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+449225, int_stack+959076, int_stack+659414, 1008);
 /*--- compute (hd|ki) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+1594677, int_stack+449225, int_stack+687638, 1008);
 /*--- compute (gf|ki) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+1721685, int_stack+1594677, int_stack+358505, 1008);
 /*--- compute (l0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+201005, int_stack+1396017, int_stack+932616, 45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1872885, int_stack+201005, int_stack+888066, 784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1957557, int_stack+1872885, int_stack+578438, 784);
 /*--- compute (hf|ii) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+2089269, int_stack+1957557, int_stack+1261032, 784);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+236285, int_stack+76790, int_stack+76370, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+237545, int_stack+77330, int_stack+76790, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1359816, int_stack+237545, int_stack+236285, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1362336, int_stack+78005, int_stack+77330, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1364361, int_stack+1362336, int_stack+237545, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+236285, int_stack+1364361, int_stack+1359816, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1359816, int_stack+78830, int_stack+78005, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1367601, int_stack+1359816, int_stack+1362336, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1371651, int_stack+1367601, int_stack+1364361, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1377051, int_stack+1371651, int_stack+236285, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+236285, int_stack+79820, int_stack+78830, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1362291, int_stack+236285, int_stack+1359816, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1383351, int_stack+1362291, int_stack+1367601, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1390101, int_stack+1383351, int_stack+1371651, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1367241, int_stack+1390101, int_stack+1377051, 15);
 /*--- compute (g0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1376061, int_stack+80990, int_stack+79820, 15);
 /*--- compute (g0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1398201, int_stack+1376061, int_stack+236285, 15);
 /*--- compute (g0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1404141, int_stack+1398201, int_stack+1362291, 15);
 /*--- compute (g0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1412391, int_stack+1404141, int_stack+1383351, 15);
 /*--- compute (g0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1398201, int_stack+1412391, int_stack+1390101, 15);
 /*--- compute (g0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1409541, int_stack+1398201, int_stack+1367241, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1421301, int_stack+85148, int_stack+84560, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1423065, int_stack+85904, int_stack+85148, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1425333, int_stack+1423065, int_stack+1421301, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+236285, int_stack+86849, int_stack+85904, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1359816, int_stack+236285, int_stack+1423065, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1364352, int_stack+1359816, int_stack+1425333, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1421301, int_stack+88004, int_stack+86849, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1370232, int_stack+1421301, int_stack+236285, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1375902, int_stack+1370232, int_stack+1359816, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1383462, int_stack+1375902, int_stack+1364352, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1359816, int_stack+89390, int_stack+88004, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1392282, int_stack+1359816, int_stack+1421301, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1399212, int_stack+1392282, int_stack+1370232, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1363974, int_stack+1399212, int_stack+1375902, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+995364, int_stack+1363974, int_stack+1383462, 21);
 /*--- compute (h0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1421301, int_stack+91028, int_stack+89390, 21);
 /*--- compute (h0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1375314, int_stack+1421301, int_stack+1359816, 21);
 /*--- compute (h0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1007712, int_stack+1375314, int_stack+1392282, 21);
 /*--- compute (h0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1375314, int_stack+1007712, int_stack+1399212, 21);
 /*--- compute (h0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1007712, int_stack+1375314, int_stack+1363974, 21);
 /*--- compute (h0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1023588, int_stack+1007712, int_stack+995364, 21);
 /*--- compute (gp|[r12,T1]|ii) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1359816, int_stack+1023588, int_stack+1409541, int_stack+1056408, int_stack+644294, int_stack+1044648, 6, 6);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+644294, int_stack+96663, int_stack+95879, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+646646, int_stack+97671, int_stack+96663, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+649670, int_stack+646646, int_stack+644294, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+107051, int_stack+98931, int_stack+97671, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+995364, int_stack+107051, int_stack+646646, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1001412, int_stack+995364, int_stack+649670, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+236285, int_stack+100471, int_stack+98931, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+644294, int_stack+236285, int_stack+107051, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1009252, int_stack+644294, int_stack+995364, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1040052, int_stack+1009252, int_stack+1001412, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+995364, int_stack+102319, int_stack+100471, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1395096, int_stack+995364, int_stack+236285, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1404336, int_stack+1395096, int_stack+644294, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+644294, int_stack+1404336, int_stack+1009252, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1000908, int_stack+644294, int_stack+1040052, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1040052, int_stack+104503, int_stack+102319, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1416936, int_stack+1040052, int_stack+995364, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1040052, int_stack+1416936, int_stack+1395096, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+916290, int_stack+1040052, int_stack+1404336, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1395096, int_stack+916290, int_stack+644294, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+916290, int_stack+1395096, int_stack+1000908, 28);
 /*--- compute (hp|[r12,T1]|ii) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2253909, int_stack+916290, int_stack+1023588, int_stack+1108152, int_stack+0, int_stack+1056408, 6, 6);
 /*--- compute (gd|[r12,T1]|ii) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+995364, int_stack+2253909, int_stack+1359816, int_stack+768114, int_stack+21168, int_stack+1072872, 6, 6);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1359816, int_stack+111839, int_stack+110831, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1362840, int_stack+113135, int_stack+111839, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1366728, int_stack+1362840, int_stack+1359816, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1372776, int_stack+114755, int_stack+113135, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1377636, int_stack+1372776, int_stack+1362840, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1385412, int_stack+1377636, int_stack+1366728, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1359816, int_stack+116735, int_stack+114755, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1395492, int_stack+1359816, int_stack+1372776, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1405212, int_stack+1395492, int_stack+1377636, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+644294, int_stack+1405212, int_stack+1385412, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1365756, int_stack+119111, int_stack+116735, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1372884, int_stack+1365756, int_stack+1359816, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1372884, int_stack+1395492, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1384764, int_stack+0, int_stack+1405212, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1404204, int_stack+1384764, int_stack+644294, 36);
 /*--- compute (k0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+644294, int_stack+121919, int_stack+119111, 36);
 /*--- compute (k0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+16200, int_stack+644294, int_stack+1365756, 36);
 /*--- compute (k0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+30456, int_stack+16200, int_stack+1372884, 36);
 /*--- compute (k0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1359816, int_stack+30456, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+1359816, int_stack+1384764, 36);
 /*--- compute (k0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1359816, int_stack+0, int_stack+1404204, 36);
 /*--- compute (ip|[r12,T1]|ii) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1359816, int_stack+916290, int_stack+888066, int_stack+659414, int_stack+1108152, 6, 6);
 /*--- compute (hd|[r12,T1]|ii) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2303301, int_stack+0, int_stack+2253909, int_stack+578438, int_stack+687638, int_stack+768114, 6, 6);
 /*--- compute (gf|[r12,T1]|ii) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+644294, int_stack+2303301, int_stack+995364, int_stack+1261032, int_stack+358505, int_stack+817506, 6, 6);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+358505, int_stack+126455, int_stack+125195, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+362285, int_stack+128075, int_stack+126455, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+367145, int_stack+362285, int_stack+358505, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+374705, int_stack+130100, int_stack+128075, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+380780, int_stack+374705, int_stack+362285, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+390500, int_stack+380780, int_stack+367145, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+358505, int_stack+132575, int_stack+130100, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+403100, int_stack+358505, int_stack+374705, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+415250, int_stack+403100, int_stack+380780, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+365930, int_stack+415250, int_stack+390500, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+384830, int_stack+135545, int_stack+132575, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+431450, int_stack+384830, int_stack+358505, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+995364, int_stack+431450, int_stack+403100, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1015614, int_stack+995364, int_stack+415250, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+393740, int_stack+1015614, int_stack+365930, 45);
 /*--- compute (l0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+358505, int_stack+139055, int_stack+135545, 45);
 /*--- compute (l0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1039914, int_stack+358505, int_stack+384830, 45);
 /*--- compute (l0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+358505, int_stack+1039914, int_stack+431450, 45);
 /*--- compute (l0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1039914, int_stack+358505, int_stack+995364, 45);
 /*--- compute (l0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+358505, int_stack+1039914, int_stack+1015614, 45);
 /*--- compute (l0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+995364, int_stack+358505, int_stack+393740, 45);
 /*--- compute (kp|[r12,T1]|ii) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+358505, int_stack+995364, int_stack+1359816, int_stack+201005, int_stack+959076, int_stack+888066, 6, 6);
 /*--- compute (id|[r12,T1]|ii) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+761894, int_stack+358505, int_stack+0, int_stack+1872885, int_stack+449225, int_stack+578438, 6, 6);
 /*--- compute (hf|[r12,T1]|ii) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+358505, int_stack+761894, int_stack+2303301, int_stack+1957557, int_stack+1594677, int_stack+1261032, 6, 6);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+143570, int_stack+143150, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1262292, int_stack+144110, int_stack+143570, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1263912, int_stack+1262292, int_stack+1261032, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1266432, int_stack+144785, int_stack+144110, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1268457, int_stack+1266432, int_stack+1262292, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1271697, int_stack+1268457, int_stack+1263912, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+145610, int_stack+144785, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1275897, int_stack+1261032, int_stack+1266432, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1279947, int_stack+1275897, int_stack+1268457, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1263507, int_stack+1279947, int_stack+1271697, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1269807, int_stack+146600, int_stack+145610, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1285347, int_stack+1269807, int_stack+1261032, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1290297, int_stack+1285347, int_stack+1275897, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1297047, int_stack+1290297, int_stack+1279947, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1272777, int_stack+1297047, int_stack+1263507, 15);
 /*--- compute (g0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+147770, int_stack+146600, 15);
 /*--- compute (g0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1305147, int_stack+1261032, int_stack+1269807, 15);
 /*--- compute (g0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+1305147, int_stack+1285347, 15);
 /*--- compute (g0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1305147, int_stack+1261032, int_stack+1290297, 15);
 /*--- compute (g0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+1305147, int_stack+1297047, 15);
 /*--- compute (g0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1281597, int_stack+1261032, int_stack+1272777, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+149723, int_stack+149135, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1262796, int_stack+150479, int_stack+149723, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1265064, int_stack+1262796, int_stack+1261032, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1268592, int_stack+151424, int_stack+150479, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1271427, int_stack+1268592, int_stack+1262796, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1293357, int_stack+1271427, int_stack+1265064, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+152579, int_stack+151424, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1299237, int_stack+1261032, int_stack+1268592, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1304907, int_stack+1299237, int_stack+1271427, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1264497, int_stack+1304907, int_stack+1293357, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1293357, int_stack+153965, int_stack+152579, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1273317, int_stack+1293357, int_stack+1261032, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1312467, int_stack+1273317, int_stack+1299237, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1321917, int_stack+1312467, int_stack+1304907, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1297515, int_stack+1321917, int_stack+1264497, 21);
 /*--- compute (h0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+155603, int_stack+153965, 21);
 /*--- compute (h0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1333257, int_stack+1261032, int_stack+1293357, 21);
 /*--- compute (h0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+1333257, int_stack+1273317, 21);
 /*--- compute (h0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1333257, int_stack+1261032, int_stack+1312467, 21);
 /*--- compute (h0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+1333257, int_stack+1321917, 21);
 /*--- compute (h0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1309863, int_stack+1261032, int_stack+1297515, 21);
 /*--- compute (gp||ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+1326327, int_stack+1309863, int_stack+1281597, 784);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+158298, int_stack+157514, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1263384, int_stack+159306, int_stack+158298, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1266408, int_stack+1263384, int_stack+1261032, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1271112, int_stack+160566, int_stack+159306, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1274892, int_stack+1271112, int_stack+1263384, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1280940, int_stack+1274892, int_stack+1266408, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+162106, int_stack+160566, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1288780, int_stack+1261032, int_stack+1271112, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1296340, int_stack+1288780, int_stack+1274892, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1265652, int_stack+1296340, int_stack+1280940, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1277412, int_stack+163954, int_stack+162106, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1361607, int_stack+1277412, int_stack+1261032, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1370847, int_stack+1361607, int_stack+1288780, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1383447, int_stack+1370847, int_stack+1296340, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1282956, int_stack+1383447, int_stack+1265652, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+166138, int_stack+163954, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1398567, int_stack+1261032, int_stack+1277412, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+1398567, int_stack+1361607, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1398567, int_stack+1261032, int_stack+1370847, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+1398567, int_stack+1383447, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1361607, int_stack+1261032, int_stack+1282956, 28);
 /*--- compute (hp||ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1594677, int_stack+1361607, int_stack+1309863, 784);
 /*--- compute (gd||ii) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+1644069, int_stack+1594677, int_stack+1326327, 784);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+169694, int_stack+168686, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1264056, int_stack+170990, int_stack+169694, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1267944, int_stack+1264056, int_stack+1261032, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1273992, int_stack+172610, int_stack+170990, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1278852, int_stack+1273992, int_stack+1264056, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1286628, int_stack+1278852, int_stack+1267944, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+174590, int_stack+172610, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1296708, int_stack+1261032, int_stack+1273992, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1306428, int_stack+1296708, int_stack+1278852, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1266972, int_stack+1306428, int_stack+1286628, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1282092, int_stack+176966, int_stack+174590, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1319388, int_stack+1282092, int_stack+1261032, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1331268, int_stack+1319388, int_stack+1296708, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1383559, int_stack+1331268, int_stack+1306428, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1289220, int_stack+1383559, int_stack+1266972, 36);
 /*--- compute (k0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+179774, int_stack+176966, 36);
 /*--- compute (k0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1402999, int_stack+1261032, int_stack+1282092, 36);
 /*--- compute (k0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+1402999, int_stack+1319388, 36);
 /*--- compute (k0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1402999, int_stack+1261032, int_stack+1331268, 36);
 /*--- compute (k0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1261032, int_stack+1402999, int_stack+1383559, 36);
 /*--- compute (k0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1383559, int_stack+1261032, int_stack+1289220, 36);
 /*--- compute (ip||ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+1261032, int_stack+1383559, int_stack+1361607, 784);
 /*--- compute (hd||ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+761894, int_stack+1261032, int_stack+1594677, 784);
 /*--- compute (gf||ii) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+860678, int_stack+761894, int_stack+1644069, 784);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1594677, int_stack+184310, int_stack+183050, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1598457, int_stack+185930, int_stack+184310, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1603317, int_stack+1598457, int_stack+1594677, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1610877, int_stack+187955, int_stack+185930, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1616952, int_stack+1610877, int_stack+1598457, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1626672, int_stack+1616952, int_stack+1603317, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1594677, int_stack+190430, int_stack+187955, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1639272, int_stack+1594677, int_stack+1610877, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1651422, int_stack+1639272, int_stack+1616952, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1602102, int_stack+1651422, int_stack+1626672, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1621002, int_stack+193400, int_stack+190430, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1667622, int_stack+1621002, int_stack+1594677, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1682472, int_stack+1667622, int_stack+1639272, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1326888, int_stack+1682472, int_stack+1651422, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1629912, int_stack+1326888, int_stack+1602102, 45);
 /*--- compute (l0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1594677, int_stack+196910, int_stack+193400, 45);
 /*--- compute (l0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1702722, int_stack+1594677, int_stack+1621002, 45);
 /*--- compute (l0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1594677, int_stack+1702722, int_stack+1667622, 45);
 /*--- compute (l0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1351188, int_stack+1594677, int_stack+1682472, 45);
 /*--- compute (l0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1594677, int_stack+1351188, int_stack+1326888, 45);
 /*--- compute (l0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1326888, int_stack+1594677, int_stack+1629912, 45);
 /*--- compute (kp||ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1594677, int_stack+1326888, int_stack+1383559, 784);
 /*--- compute (id||ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+978278, int_stack+1594677, int_stack+1261032, 784);
 /*--- compute (hf||ii) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+1261032, int_stack+978278, int_stack+761894, 784);
 /*--- compute (gg|[r12,T2]|ii) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+1872885, int_stack+1430037, int_stack+1143432, 784);
     Libr12->te_ptr[3] = int_stack + 1872885;
 /*--- compute (gg|[r12,T1]|ii) ---*/
   t1hrr1_build_gg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+978278, int_stack+358505, int_stack+644294, int_stack+2089269, int_stack+1721685, int_stack+240905, 6, 6);
     Libr12->te_ptr[2] = int_stack + 978278;
 /*--- compute (gg||ii) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+358505, int_stack+1261032, int_stack+860678, 784);
     Libr12->te_ptr[1] = int_stack + 358505;
 /*--- compute (gg|ii) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+534905, int_stack+2089269, int_stack+240905, 784);
     Libr12->te_ptr[0] = int_stack + 534905;

}
