#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gpfd(Libr12_t *, prim_data *);

  /* Computes (gp|fd) integrals for linear R12-methods */

void hrr_grt_order_gpfd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][3] = int_stack + 0;
 Libr12->t2vrr_classes[4][4] = int_stack + 150;
 Libr12->t2vrr_classes[4][5] = int_stack + 375;
 Libr12->gvrr_classes[6][3] = int_stack + 690;
 Libr12->t2vrr_classes[5][3] = int_stack + 970;
 Libr12->gvrr_classes[6][4] = int_stack + 1180;
 Libr12->t2vrr_classes[5][4] = int_stack + 1600;
 Libr12->t2vrr_classes[5][5] = int_stack + 1915;
 Libr12->gvrr_classes[4][6] = int_stack + 2356;
 Libr12->t1vrr_classes[4][3] = int_stack + 2776;
 Libr12->t1vrr_classes[4][4] = int_stack + 2926;
 Libr12->t1vrr_classes[4][5] = int_stack + 3151;
 Libr12->t1vrr_classes[5][3] = int_stack + 3466;
 Libr12->t1vrr_classes[5][4] = int_stack + 3676;
 Libr12->t1vrr_classes[5][5] = int_stack + 3991;
 Libr12->rvrr_classes[4][3] = int_stack + 4432;
 Libr12->rvrr_classes[4][4] = int_stack + 4582;
 Libr12->rvrr_classes[4][5] = int_stack + 4807;
 Libr12->rvrr_classes[5][3] = int_stack + 5122;
 Libr12->rvrr_classes[5][4] = int_stack + 5332;
 Libr12->rvrr_classes[5][5] = int_stack + 5647;
 Libr12->gvrr_classes[4][3] = int_stack + 6088;
 Libr12->gvrr_classes[4][4] = int_stack + 6238;
 Libr12->gvrr_classes[4][5] = int_stack + 6463;
 Libr12->gvrr_classes[5][3] = int_stack + 6778;
 Libr12->gvrr_classes[5][4] = int_stack + 6988;
 Libr12->gvrr_classes[5][5] = int_stack + 7303;
 memset(int_stack,0,7744*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 7744;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gpfd(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+7744, int_stack+6238, int_stack+6088, 15);
 /*--- compute (h0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+8194, int_stack+6988, int_stack+6778, 21);
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+8824, int_stack+6463, int_stack+6238, 15);
 /*--- compute (g0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9499, int_stack+150, int_stack+0, int_stack+6238, int_stack+6778, int_stack+6088, 4, 0);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9949, int_stack+375, int_stack+150, int_stack+6463, int_stack+6988, int_stack+6238, 4, 0);
 /*--- compute (g0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10624, int_stack+9949, int_stack+9499, int_stack+8824, int_stack+8194, int_stack+7744, 4, 0);
 /*--- compute (i0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+9499, int_stack+1180, int_stack+690, 28);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+11524, int_stack+7303, int_stack+6988, 21);
 /*--- compute (h0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1600, int_stack+970, int_stack+6988, int_stack+690, int_stack+6778, 5, 0);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12469, int_stack+1915, int_stack+1600, int_stack+7303, int_stack+1180, int_stack+6988, 5, 0);
 /*--- compute (h0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+630, int_stack+12469, int_stack+0, int_stack+11524, int_stack+9499, int_stack+8194, 5, 0);
 /*--- compute (g0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+9499, int_stack+8824, int_stack+7744, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+12469, int_stack+2356, int_stack+6463, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+6088, int_stack+12469, int_stack+8824, 15);
 /*--- compute (h0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+12469, int_stack+11524, int_stack+8194, 21);
 /*--- compute (g0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+11524, int_stack+2926, int_stack+2776, 15);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7438, int_stack+3151, int_stack+2926, 15);
 /*--- compute (g0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+8113, int_stack+7438, int_stack+11524, 15);
 /*--- compute (h0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3676, int_stack+3466, 21);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+11524, int_stack+3991, int_stack+3676, 21);
 /*--- compute (h0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+1890, int_stack+11524, int_stack+0, 21);
 /*--- compute (g0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4582, int_stack+4432, 15);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+7438, int_stack+4807, int_stack+4582, 15);
 /*--- compute (g0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+11524, int_stack+7438, int_stack+0, 15);
 /*--- compute (h0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5332, int_stack+5122, 21);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+3150, int_stack+5647, int_stack+5332, 21);
 /*--- compute (h0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+4095, int_stack+3150, int_stack+0, 21);
 /*--- compute (gp|[r12,T2]|fd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+13729, int_stack+630, int_stack+10624, 60);
     Libr12->te_ptr[3] = int_stack + 13729;
 /*--- compute (gp|[r12,T1]|fd) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+16429, int_stack+1890, int_stack+8113, int_stack+12469, int_stack+6088, int_stack+9499, 3, 2);
     Libr12->te_ptr[2] = int_stack + 16429;
 /*--- compute (gp||fd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+4095, int_stack+11524, 60);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (gp|fd) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+2700, int_stack+12469, int_stack+9499, 60);
     Libr12->te_ptr[0] = int_stack + 2700;

}
