#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gpid(Libr12_t *, prim_data *);

  /* Computes (gp|id) integrals for linear R12-methods */

void hrr_grt_order_gpid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->gvrr_classes[6][6] = int_stack + 1635;
 Libr12->t2vrr_classes[5][6] = int_stack + 2419;
 Libr12->gvrr_classes[6][7] = int_stack + 3007;
 Libr12->t2vrr_classes[5][7] = int_stack + 4015;
 Libr12->t2vrr_classes[5][8] = int_stack + 4771;
 Libr12->gvrr_classes[4][9] = int_stack + 5716;
 Libr12->t1vrr_classes[4][6] = int_stack + 6541;
 Libr12->t1vrr_classes[4][7] = int_stack + 6961;
 Libr12->t1vrr_classes[4][8] = int_stack + 7501;
 Libr12->t1vrr_classes[5][6] = int_stack + 8176;
 Libr12->t1vrr_classes[5][7] = int_stack + 8764;
 Libr12->t1vrr_classes[5][8] = int_stack + 9520;
 Libr12->rvrr_classes[4][6] = int_stack + 10465;
 Libr12->rvrr_classes[4][7] = int_stack + 10885;
 Libr12->rvrr_classes[4][8] = int_stack + 11425;
 Libr12->rvrr_classes[5][6] = int_stack + 12100;
 Libr12->rvrr_classes[5][7] = int_stack + 12688;
 Libr12->rvrr_classes[5][8] = int_stack + 13444;
 Libr12->gvrr_classes[4][6] = int_stack + 14389;
 Libr12->gvrr_classes[4][7] = int_stack + 14809;
 Libr12->gvrr_classes[4][8] = int_stack + 15349;
 Libr12->gvrr_classes[5][6] = int_stack + 16024;
 Libr12->gvrr_classes[5][7] = int_stack + 16612;
 Libr12->gvrr_classes[5][8] = int_stack + 17368;
 memset(int_stack,0,18313*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 18313;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gpid(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18313, int_stack+14809, int_stack+14389, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19573, int_stack+16612, int_stack+16024, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+21337, int_stack+15349, int_stack+14809, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22957, int_stack+420, int_stack+0, int_stack+14809, int_stack+16024, int_stack+14389, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24217, int_stack+960, int_stack+420, int_stack+15349, int_stack+16612, int_stack+14809, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25837, int_stack+24217, int_stack+22957, int_stack+21337, int_stack+19573, int_stack+18313, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+22957, int_stack+3007, int_stack+1635, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28357, int_stack+17368, int_stack+16612, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30625, int_stack+4015, int_stack+2419, int_stack+16612, int_stack+1635, int_stack+16024, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4771, int_stack+4015, int_stack+17368, int_stack+3007, int_stack+16612, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32389, int_stack+0, int_stack+30625, int_stack+28357, int_stack+22957, int_stack+19573, 5, 0);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+22957, int_stack+21337, int_stack+18313, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5716, int_stack+15349, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2025, int_stack+0, int_stack+21337, 15);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14389, int_stack+28357, int_stack+19573, 21);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28357, int_stack+6961, int_stack+6541, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+29617, int_stack+7501, int_stack+6961, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5265, int_stack+29617, int_stack+28357, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28357, int_stack+8764, int_stack+8176, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+30121, int_stack+9520, int_stack+8764, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+17917, int_stack+30121, int_stack+28357, 21);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28357, int_stack+10885, int_stack+10465, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+29617, int_stack+11425, int_stack+10885, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7785, int_stack+29617, int_stack+28357, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28357, int_stack+12688, int_stack+12100, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+30121, int_stack+13444, int_stack+12688, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10305, int_stack+30121, int_stack+28357, 21);
 /*--- compute (gp|[r12,T2]|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+35917, int_stack+32389, int_stack+25837, 168);
     Libr12->te_ptr[3] = int_stack + 35917;
 /*--- compute (gp|[r12,T1]|id) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+25477, int_stack+17917, int_stack+5265, int_stack+14389, int_stack+2025, int_stack+22957, 6, 2);
     Libr12->te_ptr[2] = int_stack + 25477;
 /*--- compute (gp||id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+10305, int_stack+7785, 168);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (gp|id) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+43477, int_stack+14389, int_stack+22957, 168);
     Libr12->te_ptr[0] = int_stack + 43477;

}
