#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gpif(Libr12_t *, prim_data *);

  /* Computes (gp|if) integrals for linear R12-methods */

void hrr_grt_order_gpif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->gvrr_classes[6][6] = int_stack + 2460;
 Libr12->t2vrr_classes[5][6] = int_stack + 3244;
 Libr12->gvrr_classes[6][7] = int_stack + 3832;
 Libr12->t2vrr_classes[5][7] = int_stack + 4840;
 Libr12->gvrr_classes[6][8] = int_stack + 5596;
 Libr12->t2vrr_classes[5][8] = int_stack + 6856;
 Libr12->t2vrr_classes[5][9] = int_stack + 7801;
 Libr12->gvrr_classes[4][10] = int_stack + 8956;
 Libr12->t1vrr_classes[4][6] = int_stack + 9946;
 Libr12->t1vrr_classes[4][7] = int_stack + 10366;
 Libr12->t1vrr_classes[4][8] = int_stack + 10906;
 Libr12->t1vrr_classes[4][9] = int_stack + 11581;
 Libr12->t1vrr_classes[5][6] = int_stack + 12406;
 Libr12->t1vrr_classes[5][7] = int_stack + 12994;
 Libr12->t1vrr_classes[5][8] = int_stack + 13750;
 Libr12->t1vrr_classes[5][9] = int_stack + 14695;
 Libr12->rvrr_classes[4][6] = int_stack + 15850;
 Libr12->rvrr_classes[4][7] = int_stack + 16270;
 Libr12->rvrr_classes[4][8] = int_stack + 16810;
 Libr12->rvrr_classes[4][9] = int_stack + 17485;
 Libr12->rvrr_classes[5][6] = int_stack + 18310;
 Libr12->rvrr_classes[5][7] = int_stack + 18898;
 Libr12->rvrr_classes[5][8] = int_stack + 19654;
 Libr12->rvrr_classes[5][9] = int_stack + 20599;
 Libr12->gvrr_classes[4][6] = int_stack + 21754;
 Libr12->gvrr_classes[4][7] = int_stack + 22174;
 Libr12->gvrr_classes[4][8] = int_stack + 22714;
 Libr12->gvrr_classes[4][9] = int_stack + 23389;
 Libr12->gvrr_classes[5][6] = int_stack + 24214;
 Libr12->gvrr_classes[5][7] = int_stack + 24802;
 Libr12->gvrr_classes[5][8] = int_stack + 25558;
 Libr12->gvrr_classes[5][9] = int_stack + 26503;
 memset(int_stack,0,27658*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 27658;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gpif(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27658, int_stack+22174, int_stack+21754, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28918, int_stack+22714, int_stack+22174, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+30538, int_stack+28918, int_stack+27658, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+33058, int_stack+24802, int_stack+24214, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+34822, int_stack+25558, int_stack+24802, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+37090, int_stack+34822, int_stack+33058, 21);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+40618, int_stack+23389, int_stack+22714, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+42643, int_stack+40618, int_stack+28918, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45883, int_stack+420, int_stack+0, int_stack+22174, int_stack+24214, int_stack+21754, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47143, int_stack+960, int_stack+420, int_stack+22714, int_stack+24802, int_stack+22174, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48763, int_stack+47143, int_stack+45883, int_stack+28918, int_stack+33058, int_stack+27658, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51283, int_stack+1635, int_stack+960, int_stack+23389, int_stack+25558, int_stack+22714, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53308, int_stack+51283, int_stack+47143, int_stack+40618, int_stack+34822, int_stack+28918, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56548, int_stack+53308, int_stack+48763, int_stack+42643, int_stack+37090, int_stack+30538, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27658, int_stack+3832, int_stack+2460, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+45883, int_stack+5596, int_stack+3832, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+48907, int_stack+45883, int_stack+27658, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+53611, int_stack+26503, int_stack+25558, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+60748, int_stack+53611, int_stack+34822, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4840, int_stack+3244, int_stack+24802, int_stack+2460, int_stack+24214, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65284, int_stack+6856, int_stack+4840, int_stack+25558, int_stack+3832, int_stack+24802, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1764, int_stack+65284, int_stack+0, int_stack+34822, int_stack+27658, int_stack+33058, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+27658, int_stack+7801, int_stack+6856, int_stack+26503, int_stack+5596, int_stack+25558, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67552, int_stack+27658, int_stack+65284, int_stack+53611, int_stack+45883, int_stack+34822, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24214, int_stack+67552, int_stack+1764, int_stack+60748, int_stack+48907, int_stack+37090, 5, 0);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+45883, int_stack+42643, int_stack+30538, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+50083, int_stack+8956, int_stack+23389, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+65284, int_stack+50083, int_stack+40618, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+50083, int_stack+65284, int_stack+42643, 15);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+65284, int_stack+60748, int_stack+37090, 21);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+60748, int_stack+10366, int_stack+9946, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+62008, int_stack+10906, int_stack+10366, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+62008, int_stack+60748, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2520, int_stack+11581, int_stack+10906, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4545, int_stack+2520, int_stack+62008, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+60748, int_stack+4545, int_stack+0, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+12994, int_stack+12406, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+13750, int_stack+12994, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+14695, int_stack+13750, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10395, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+30094, int_stack+10395, int_stack+4032, 21);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+16270, int_stack+15850, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+16810, int_stack+16270, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2880, int_stack+1260, int_stack+0, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5400, int_stack+17485, int_stack+16810, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+7425, int_stack+5400, int_stack+1260, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10665, int_stack+7425, int_stack+2880, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+18898, int_stack+18310, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+19654, int_stack+18898, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+20599, int_stack+19654, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+14865, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+35974, int_stack+14865, int_stack+4032, 21);
 /*--- compute (gp|[r12,T2]|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+71164, int_stack+24214, int_stack+56548, 280);
     Libr12->te_ptr[3] = int_stack + 71164;
 /*--- compute (gp|[r12,T1]|if) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+14865, int_stack+30094, int_stack+60748, int_stack+65284, int_stack+50083, int_stack+45883, 6, 3);
     Libr12->te_ptr[2] = int_stack + 14865;
 /*--- compute (gp||if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+50083, int_stack+35974, int_stack+10665, 280);
     Libr12->te_ptr[1] = int_stack + 50083;
 /*--- compute (gp|if) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+27465, int_stack+65284, int_stack+45883, 280);
     Libr12->te_ptr[0] = int_stack + 27465;

}
