#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gpig(Libr12_t *, prim_data *);

  /* Computes (gp|ig) integrals for linear R12-methods */

void hrr_grt_order_gpig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->gvrr_classes[6][6] = int_stack + 3450;
 Libr12->t2vrr_classes[5][6] = int_stack + 4234;
 Libr12->gvrr_classes[6][7] = int_stack + 4822;
 Libr12->t2vrr_classes[5][7] = int_stack + 5830;
 Libr12->gvrr_classes[6][8] = int_stack + 6586;
 Libr12->t2vrr_classes[5][8] = int_stack + 7846;
 Libr12->gvrr_classes[6][9] = int_stack + 8791;
 Libr12->t2vrr_classes[5][9] = int_stack + 10331;
 Libr12->t2vrr_classes[5][10] = int_stack + 11486;
 Libr12->gvrr_classes[4][11] = int_stack + 12872;
 Libr12->t1vrr_classes[4][6] = int_stack + 14042;
 Libr12->t1vrr_classes[4][7] = int_stack + 14462;
 Libr12->t1vrr_classes[4][8] = int_stack + 15002;
 Libr12->t1vrr_classes[4][9] = int_stack + 15677;
 Libr12->t1vrr_classes[4][10] = int_stack + 16502;
 Libr12->t1vrr_classes[5][6] = int_stack + 17492;
 Libr12->t1vrr_classes[5][7] = int_stack + 18080;
 Libr12->t1vrr_classes[5][8] = int_stack + 18836;
 Libr12->t1vrr_classes[5][9] = int_stack + 19781;
 Libr12->t1vrr_classes[5][10] = int_stack + 20936;
 Libr12->rvrr_classes[4][6] = int_stack + 22322;
 Libr12->rvrr_classes[4][7] = int_stack + 22742;
 Libr12->rvrr_classes[4][8] = int_stack + 23282;
 Libr12->rvrr_classes[4][9] = int_stack + 23957;
 Libr12->rvrr_classes[4][10] = int_stack + 24782;
 Libr12->rvrr_classes[5][6] = int_stack + 25772;
 Libr12->rvrr_classes[5][7] = int_stack + 26360;
 Libr12->rvrr_classes[5][8] = int_stack + 27116;
 Libr12->rvrr_classes[5][9] = int_stack + 28061;
 Libr12->rvrr_classes[5][10] = int_stack + 29216;
 Libr12->gvrr_classes[4][6] = int_stack + 30602;
 Libr12->gvrr_classes[4][7] = int_stack + 31022;
 Libr12->gvrr_classes[4][8] = int_stack + 31562;
 Libr12->gvrr_classes[4][9] = int_stack + 32237;
 Libr12->gvrr_classes[4][10] = int_stack + 33062;
 Libr12->gvrr_classes[5][6] = int_stack + 34052;
 Libr12->gvrr_classes[5][7] = int_stack + 34640;
 Libr12->gvrr_classes[5][8] = int_stack + 35396;
 Libr12->gvrr_classes[5][9] = int_stack + 36341;
 Libr12->gvrr_classes[5][10] = int_stack + 37496;
 memset(int_stack,0,38882*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 38882;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gpig(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+38882, int_stack+31022, int_stack+30602, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+40142, int_stack+31562, int_stack+31022, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+41762, int_stack+40142, int_stack+38882, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+44282, int_stack+32237, int_stack+31562, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+46307, int_stack+44282, int_stack+40142, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+49547, int_stack+46307, int_stack+41762, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+53747, int_stack+34640, int_stack+34052, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+55511, int_stack+35396, int_stack+34640, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+57779, int_stack+55511, int_stack+53747, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+61307, int_stack+36341, int_stack+35396, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+64142, int_stack+61307, int_stack+55511, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+68678, int_stack+64142, int_stack+57779, 21);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+74558, int_stack+33062, int_stack+32237, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+77033, int_stack+74558, int_stack+44282, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+81083, int_stack+77033, int_stack+46307, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86483, int_stack+420, int_stack+0, int_stack+31022, int_stack+34052, int_stack+30602, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87743, int_stack+960, int_stack+420, int_stack+31562, int_stack+34640, int_stack+31022, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89363, int_stack+87743, int_stack+86483, int_stack+40142, int_stack+53747, int_stack+38882, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91883, int_stack+1635, int_stack+960, int_stack+32237, int_stack+35396, int_stack+31562, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93908, int_stack+91883, int_stack+87743, int_stack+44282, int_stack+55511, int_stack+40142, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97148, int_stack+93908, int_stack+89363, int_stack+46307, int_stack+57779, int_stack+41762, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38882, int_stack+2460, int_stack+1635, int_stack+33062, int_stack+36341, int_stack+32237, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86483, int_stack+38882, int_stack+91883, int_stack+74558, int_stack+61307, int_stack+44282, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38882, int_stack+86483, int_stack+93908, int_stack+77033, int_stack+64142, int_stack+46307, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86483, int_stack+38882, int_stack+97148, int_stack+81083, int_stack+68678, int_stack+49547, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+38882, int_stack+4822, int_stack+3450, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+41234, int_stack+6586, int_stack+4822, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+44258, int_stack+41234, int_stack+38882, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+92783, int_stack+8791, int_stack+6586, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+96563, int_stack+92783, int_stack+41234, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+102611, int_stack+96563, int_stack+44258, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+110451, int_stack+37496, int_stack+36341, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+113916, int_stack+110451, int_stack+61307, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+119586, int_stack+113916, int_stack+64142, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30602, int_stack+5830, int_stack+4234, int_stack+34640, int_stack+3450, int_stack+34052, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+7846, int_stack+5830, int_stack+35396, int_stack+4822, int_stack+34640, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2268, int_stack+0, int_stack+30602, int_stack+55511, int_stack+38882, int_stack+53747, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127146, int_stack+10331, int_stack+7846, int_stack+36341, int_stack+6586, int_stack+35396, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+129981, int_stack+127146, int_stack+0, int_stack+61307, int_stack+41234, int_stack+55511, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+134517, int_stack+129981, int_stack+2268, int_stack+64142, int_stack+44258, int_stack+57779, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+11486, int_stack+10331, int_stack+37496, int_stack+8791, int_stack+36341, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3465, int_stack+0, int_stack+127146, int_stack+110451, int_stack+92783, int_stack+61307, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53747, int_stack+3465, int_stack+129981, int_stack+113916, int_stack+96563, int_stack+64142, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92783, int_stack+53747, int_stack+134517, int_stack+119586, int_stack+102611, int_stack+68678, 5, 0);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+53747, int_stack+81083, int_stack+49547, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+60047, int_stack+12872, int_stack+33062, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+63017, int_stack+60047, int_stack+74558, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+101603, int_stack+63017, int_stack+77033, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+60047, int_stack+101603, int_stack+81083, 15);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+101603, int_stack+119586, int_stack+68678, 21);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+110423, int_stack+14462, int_stack+14042, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+111683, int_stack+15002, int_stack+14462, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+113303, int_stack+111683, int_stack+110423, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+115823, int_stack+15677, int_stack+15002, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+117848, int_stack+115823, int_stack+111683, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+121088, int_stack+117848, int_stack+113303, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+110423, int_stack+16502, int_stack+15677, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+125288, int_stack+110423, int_stack+115823, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+110423, int_stack+125288, int_stack+117848, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+125288, int_stack+110423, int_stack+121088, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+110423, int_stack+18080, int_stack+17492, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+112187, int_stack+18836, int_stack+18080, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114455, int_stack+112187, int_stack+110423, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+117983, int_stack+19781, int_stack+18836, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+131588, int_stack+117983, int_stack+112187, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+68147, int_stack+131588, int_stack+114455, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+110423, int_stack+20936, int_stack+19781, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+74027, int_stack+110423, int_stack+117983, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+110423, int_stack+74027, int_stack+131588, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+131588, int_stack+110423, int_stack+68147, 21);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+68147, int_stack+22742, int_stack+22322, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+69407, int_stack+23282, int_stack+22742, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+71027, int_stack+69407, int_stack+68147, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+73547, int_stack+23957, int_stack+23282, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+75572, int_stack+73547, int_stack+69407, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+78812, int_stack+75572, int_stack+71027, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+68147, int_stack+24782, int_stack+23957, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+110423, int_stack+68147, int_stack+73547, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+68147, int_stack+110423, int_stack+75572, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+110423, int_stack+68147, int_stack+78812, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+68147, int_stack+26360, int_stack+25772, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+69911, int_stack+27116, int_stack+26360, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+72179, int_stack+69911, int_stack+68147, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+75707, int_stack+28061, int_stack+27116, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+78542, int_stack+75707, int_stack+69911, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+116723, int_stack+78542, int_stack+72179, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+68147, int_stack+29216, int_stack+28061, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+0, int_stack+68147, int_stack+75707, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+68147, int_stack+0, int_stack+78542, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+68147, int_stack+116723, 21);
 /*--- compute (gp|[r12,T2]|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+8820, int_stack+92783, int_stack+86483, 420);
     Libr12->te_ptr[3] = int_stack + 8820;
 /*--- compute (gp|[r12,T1]|ig) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+68147, int_stack+131588, int_stack+125288, int_stack+101603, int_stack+60047, int_stack+53747, 6, 4);
     Libr12->te_ptr[2] = int_stack + 68147;
 /*--- compute (gp||ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+116723, int_stack+0, int_stack+110423, 420);
     Libr12->te_ptr[1] = int_stack + 116723;
 /*--- compute (gp|ig) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+27720, int_stack+101603, int_stack+53747, 420);
     Libr12->te_ptr[0] = int_stack + 27720;

}
