#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gpih(Libr12_t *, prim_data *);

  /* Computes (gp|ih) integrals for linear R12-methods */

void hrr_grt_order_gpih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[4][11] = int_stack + 3450;
 Libr12->gvrr_classes[6][6] = int_stack + 4620;
 Libr12->t2vrr_classes[5][6] = int_stack + 5404;
 Libr12->gvrr_classes[6][7] = int_stack + 5992;
 Libr12->t2vrr_classes[5][7] = int_stack + 7000;
 Libr12->gvrr_classes[6][8] = int_stack + 7756;
 Libr12->t2vrr_classes[5][8] = int_stack + 9016;
 Libr12->gvrr_classes[6][9] = int_stack + 9961;
 Libr12->t2vrr_classes[5][9] = int_stack + 11501;
 Libr12->gvrr_classes[6][10] = int_stack + 12656;
 Libr12->t2vrr_classes[5][10] = int_stack + 14504;
 Libr12->t2vrr_classes[5][11] = int_stack + 15890;
 Libr12->gvrr_classes[4][12] = int_stack + 17528;
 Libr12->t1vrr_classes[4][6] = int_stack + 18893;
 Libr12->t1vrr_classes[4][7] = int_stack + 19313;
 Libr12->t1vrr_classes[4][8] = int_stack + 19853;
 Libr12->t1vrr_classes[4][9] = int_stack + 20528;
 Libr12->t1vrr_classes[4][10] = int_stack + 21353;
 Libr12->t1vrr_classes[4][11] = int_stack + 22343;
 Libr12->t1vrr_classes[5][6] = int_stack + 23513;
 Libr12->t1vrr_classes[5][7] = int_stack + 24101;
 Libr12->t1vrr_classes[5][8] = int_stack + 24857;
 Libr12->t1vrr_classes[5][9] = int_stack + 25802;
 Libr12->t1vrr_classes[5][10] = int_stack + 26957;
 Libr12->t1vrr_classes[5][11] = int_stack + 28343;
 Libr12->rvrr_classes[4][6] = int_stack + 29981;
 Libr12->rvrr_classes[4][7] = int_stack + 30401;
 Libr12->rvrr_classes[4][8] = int_stack + 30941;
 Libr12->rvrr_classes[4][9] = int_stack + 31616;
 Libr12->rvrr_classes[4][10] = int_stack + 32441;
 Libr12->rvrr_classes[4][11] = int_stack + 33431;
 Libr12->rvrr_classes[5][6] = int_stack + 34601;
 Libr12->rvrr_classes[5][7] = int_stack + 35189;
 Libr12->rvrr_classes[5][8] = int_stack + 35945;
 Libr12->rvrr_classes[5][9] = int_stack + 36890;
 Libr12->rvrr_classes[5][10] = int_stack + 38045;
 Libr12->rvrr_classes[5][11] = int_stack + 39431;
 Libr12->gvrr_classes[4][6] = int_stack + 41069;
 Libr12->gvrr_classes[4][7] = int_stack + 41489;
 Libr12->gvrr_classes[4][8] = int_stack + 42029;
 Libr12->gvrr_classes[4][9] = int_stack + 42704;
 Libr12->gvrr_classes[4][10] = int_stack + 43529;
 Libr12->gvrr_classes[4][11] = int_stack + 44519;
 Libr12->gvrr_classes[5][6] = int_stack + 45689;
 Libr12->gvrr_classes[5][7] = int_stack + 46277;
 Libr12->gvrr_classes[5][8] = int_stack + 47033;
 Libr12->gvrr_classes[5][9] = int_stack + 47978;
 Libr12->gvrr_classes[5][10] = int_stack + 49133;
 Libr12->gvrr_classes[5][11] = int_stack + 50519;
 memset(int_stack,0,52157*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 52157;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gpih(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+52157, int_stack+41489, int_stack+41069, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+53417, int_stack+42029, int_stack+41489, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+55037, int_stack+53417, int_stack+52157, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+57557, int_stack+42704, int_stack+42029, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+59582, int_stack+57557, int_stack+53417, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+62822, int_stack+59582, int_stack+55037, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+67022, int_stack+43529, int_stack+42704, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+69497, int_stack+67022, int_stack+57557, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+73547, int_stack+69497, int_stack+59582, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+78947, int_stack+73547, int_stack+62822, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+85247, int_stack+46277, int_stack+45689, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+87011, int_stack+47033, int_stack+46277, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+89279, int_stack+87011, int_stack+85247, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+92807, int_stack+47978, int_stack+47033, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+95642, int_stack+92807, int_stack+87011, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+100178, int_stack+95642, int_stack+89279, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+106058, int_stack+49133, int_stack+47978, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+109523, int_stack+106058, int_stack+92807, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+115193, int_stack+109523, int_stack+95642, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+122753, int_stack+115193, int_stack+100178, 21);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+131573, int_stack+44519, int_stack+43529, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+134543, int_stack+131573, int_stack+67022, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+139493, int_stack+134543, int_stack+69497, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+146243, int_stack+139493, int_stack+73547, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154343, int_stack+420, int_stack+0, int_stack+41489, int_stack+45689, int_stack+41069, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155603, int_stack+960, int_stack+420, int_stack+42029, int_stack+46277, int_stack+41489, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157223, int_stack+155603, int_stack+154343, int_stack+53417, int_stack+85247, int_stack+52157, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159743, int_stack+1635, int_stack+960, int_stack+42704, int_stack+47033, int_stack+42029, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+161768, int_stack+159743, int_stack+155603, int_stack+57557, int_stack+87011, int_stack+53417, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165008, int_stack+161768, int_stack+157223, int_stack+59582, int_stack+89279, int_stack+55037, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52157, int_stack+2460, int_stack+1635, int_stack+43529, int_stack+47978, int_stack+42704, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154343, int_stack+52157, int_stack+159743, int_stack+67022, int_stack+92807, int_stack+57557, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169208, int_stack+154343, int_stack+161768, int_stack+69497, int_stack+95642, int_stack+59582, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54632, int_stack+169208, int_stack+165008, int_stack+73547, int_stack+100178, int_stack+62822, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60932, int_stack+3450, int_stack+2460, int_stack+44519, int_stack+49133, int_stack+43529, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158393, int_stack+60932, int_stack+52157, int_stack+131573, int_stack+106058, int_stack+67022, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60932, int_stack+158393, int_stack+154343, int_stack+134543, int_stack+109523, int_stack+69497, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154343, int_stack+60932, int_stack+169208, int_stack+139493, int_stack+115193, int_stack+73547, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60932, int_stack+154343, int_stack+54632, int_stack+146243, int_stack+122753, int_stack+78947, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+154343, int_stack+5992, int_stack+4620, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+156695, int_stack+7756, int_stack+5992, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+159719, int_stack+156695, int_stack+154343, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+164423, int_stack+9961, int_stack+7756, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+168203, int_stack+164423, int_stack+156695, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+69752, int_stack+168203, int_stack+159719, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+12656, int_stack+9961, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+52157, int_stack+0, int_stack+164423, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+174251, int_stack+52157, int_stack+168203, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+184331, int_stack+174251, int_stack+69752, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+196091, int_stack+50519, int_stack+49133, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+200249, int_stack+196091, int_stack+106058, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+207179, int_stack+200249, int_stack+109523, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+216629, int_stack+207179, int_stack+115193, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41069, int_stack+7000, int_stack+5404, int_stack+46277, int_stack+4620, int_stack+45689, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+227969, int_stack+9016, int_stack+7000, int_stack+47033, int_stack+5992, int_stack+46277, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+230237, int_stack+227969, int_stack+41069, int_stack+87011, int_stack+154343, int_stack+85247, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41069, int_stack+11501, int_stack+9016, int_stack+47978, int_stack+7756, int_stack+47033, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4620, int_stack+41069, int_stack+227969, int_stack+92807, int_stack+156695, int_stack+87011, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+233765, int_stack+4620, int_stack+230237, int_stack+95642, int_stack+159719, int_stack+89279, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+227969, int_stack+14504, int_stack+11501, int_stack+49133, int_stack+9961, int_stack+47978, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+85247, int_stack+227969, int_stack+41069, int_stack+106058, int_stack+164423, int_stack+92807, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154343, int_stack+85247, int_stack+4620, int_stack+109523, int_stack+168203, int_stack+95642, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90917, int_stack+154343, int_stack+233765, int_stack+115193, int_stack+69752, int_stack+100178, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69752, int_stack+15890, int_stack+14504, int_stack+50519, int_stack+12656, int_stack+49133, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4620, int_stack+69752, int_stack+227969, int_stack+196091, int_stack+0, int_stack+106058, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+227969, int_stack+4620, int_stack+85247, int_stack+200249, int_stack+52157, int_stack+109523, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+227969, int_stack+154343, int_stack+207179, int_stack+174251, int_stack+115193, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154343, int_stack+0, int_stack+90917, int_stack+216629, int_stack+184331, int_stack+122753, 5, 0);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+146243, int_stack+78947, 15);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+17528, int_stack+44519, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+12330, int_stack+8820, int_stack+131573, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+166691, int_stack+12330, int_stack+134543, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+174941, int_stack+166691, int_stack+139493, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+131573, int_stack+174941, int_stack+146243, 15);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+166691, int_stack+216629, int_stack+122753, 21);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+179039, int_stack+19313, int_stack+18893, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+180299, int_stack+19853, int_stack+19313, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+181919, int_stack+180299, int_stack+179039, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+184439, int_stack+20528, int_stack+19853, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+186464, int_stack+184439, int_stack+180299, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+189704, int_stack+186464, int_stack+181919, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+179039, int_stack+21353, int_stack+20528, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+193904, int_stack+179039, int_stack+184439, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+197954, int_stack+193904, int_stack+186464, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+181514, int_stack+197954, int_stack+189704, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+187814, int_stack+22343, int_stack+21353, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+203354, int_stack+187814, int_stack+179039, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+208304, int_stack+203354, int_stack+193904, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+187814, int_stack+208304, int_stack+197954, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+195914, int_stack+187814, int_stack+181514, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+179039, int_stack+24101, int_stack+23513, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+180803, int_stack+24857, int_stack+24101, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+183071, int_stack+180803, int_stack+179039, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+186599, int_stack+25802, int_stack+24857, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+189434, int_stack+186599, int_stack+180803, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+204734, int_stack+189434, int_stack+183071, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+179039, int_stack+26957, int_stack+25802, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+210614, int_stack+179039, int_stack+186599, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+216284, int_stack+210614, int_stack+189434, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+182504, int_stack+216284, int_stack+204734, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+204734, int_stack+28343, int_stack+26957, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+223844, int_stack+204734, int_stack+179039, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+142913, int_stack+223844, int_stack+210614, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+223844, int_stack+142913, int_stack+216284, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+204734, int_stack+223844, int_stack+182504, 21);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+142913, int_stack+30401, int_stack+29981, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+144173, int_stack+30941, int_stack+30401, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+145793, int_stack+144173, int_stack+142913, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+148313, int_stack+31616, int_stack+30941, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+150338, int_stack+148313, int_stack+144173, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+179039, int_stack+150338, int_stack+145793, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+142913, int_stack+32441, int_stack+31616, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+183239, int_stack+142913, int_stack+148313, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+187289, int_stack+183239, int_stack+150338, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+145388, int_stack+187289, int_stack+179039, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+179039, int_stack+33431, int_stack+32441, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+217082, int_stack+179039, int_stack+142913, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+222032, int_stack+217082, int_stack+183239, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+179039, int_stack+222032, int_stack+187289, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+217082, int_stack+179039, int_stack+145388, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+179039, int_stack+35189, int_stack+34601, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+180803, int_stack+35945, int_stack+35189, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+183071, int_stack+180803, int_stack+179039, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+186599, int_stack+36890, int_stack+35945, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+189434, int_stack+186599, int_stack+180803, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+225902, int_stack+189434, int_stack+183071, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+179039, int_stack+38045, int_stack+36890, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+231782, int_stack+179039, int_stack+186599, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+142913, int_stack+231782, int_stack+189434, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+182504, int_stack+142913, int_stack+225902, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+225902, int_stack+39431, int_stack+38045, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+225902, int_stack+179039, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+15750, int_stack+8820, int_stack+231782, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+225902, int_stack+15750, int_stack+142913, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+225902, int_stack+182504, 21);
 /*--- compute (gp|[r12,T2]|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+21168, int_stack+154343, int_stack+60932, 588);
     Libr12->te_ptr[3] = int_stack + 21168;
 /*--- compute (gp|[r12,T1]|ih) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+47628, int_stack+204734, int_stack+195914, int_stack+166691, int_stack+131573, int_stack+0, 6, 5);
     Libr12->te_ptr[2] = int_stack + 47628;
 /*--- compute (gp||ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+74088, int_stack+8820, int_stack+217082, 588);
     Libr12->te_ptr[1] = int_stack + 74088;
 /*--- compute (gp|ih) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+100548, int_stack+166691, int_stack+0, 588);
     Libr12->te_ptr[0] = int_stack + 100548;

}
