#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gpii(Libr12_t *, prim_data *);

  /* Computes (gp|ii) integrals for linear R12-methods */

void hrr_grt_order_gpii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->t2vrr_classes[4][8] = int_stack + 960;
 Libr12->t2vrr_classes[4][9] = int_stack + 1635;
 Libr12->t2vrr_classes[4][10] = int_stack + 2460;
 Libr12->t2vrr_classes[4][11] = int_stack + 3450;
 Libr12->t2vrr_classes[4][12] = int_stack + 4620;
 Libr12->gvrr_classes[6][6] = int_stack + 5985;
 Libr12->t2vrr_classes[5][6] = int_stack + 6769;
 Libr12->gvrr_classes[6][7] = int_stack + 7357;
 Libr12->t2vrr_classes[5][7] = int_stack + 8365;
 Libr12->gvrr_classes[6][8] = int_stack + 9121;
 Libr12->t2vrr_classes[5][8] = int_stack + 10381;
 Libr12->gvrr_classes[6][9] = int_stack + 11326;
 Libr12->t2vrr_classes[5][9] = int_stack + 12866;
 Libr12->gvrr_classes[6][10] = int_stack + 14021;
 Libr12->t2vrr_classes[5][10] = int_stack + 15869;
 Libr12->gvrr_classes[6][11] = int_stack + 17255;
 Libr12->t2vrr_classes[5][11] = int_stack + 19439;
 Libr12->t2vrr_classes[5][12] = int_stack + 21077;
 Libr12->gvrr_classes[4][13] = int_stack + 22988;
 Libr12->t1vrr_classes[4][6] = int_stack + 24563;
 Libr12->t1vrr_classes[4][7] = int_stack + 24983;
 Libr12->t1vrr_classes[4][8] = int_stack + 25523;
 Libr12->t1vrr_classes[4][9] = int_stack + 26198;
 Libr12->t1vrr_classes[4][10] = int_stack + 27023;
 Libr12->t1vrr_classes[4][11] = int_stack + 28013;
 Libr12->t1vrr_classes[4][12] = int_stack + 29183;
 Libr12->t1vrr_classes[5][6] = int_stack + 30548;
 Libr12->t1vrr_classes[5][7] = int_stack + 31136;
 Libr12->t1vrr_classes[5][8] = int_stack + 31892;
 Libr12->t1vrr_classes[5][9] = int_stack + 32837;
 Libr12->t1vrr_classes[5][10] = int_stack + 33992;
 Libr12->t1vrr_classes[5][11] = int_stack + 35378;
 Libr12->t1vrr_classes[5][12] = int_stack + 37016;
 Libr12->rvrr_classes[4][6] = int_stack + 38927;
 Libr12->rvrr_classes[4][7] = int_stack + 39347;
 Libr12->rvrr_classes[4][8] = int_stack + 39887;
 Libr12->rvrr_classes[4][9] = int_stack + 40562;
 Libr12->rvrr_classes[4][10] = int_stack + 41387;
 Libr12->rvrr_classes[4][11] = int_stack + 42377;
 Libr12->rvrr_classes[4][12] = int_stack + 43547;
 Libr12->rvrr_classes[5][6] = int_stack + 44912;
 Libr12->rvrr_classes[5][7] = int_stack + 45500;
 Libr12->rvrr_classes[5][8] = int_stack + 46256;
 Libr12->rvrr_classes[5][9] = int_stack + 47201;
 Libr12->rvrr_classes[5][10] = int_stack + 48356;
 Libr12->rvrr_classes[5][11] = int_stack + 49742;
 Libr12->rvrr_classes[5][12] = int_stack + 51380;
 Libr12->gvrr_classes[4][6] = int_stack + 53291;
 Libr12->gvrr_classes[4][7] = int_stack + 53711;
 Libr12->gvrr_classes[4][8] = int_stack + 54251;
 Libr12->gvrr_classes[4][9] = int_stack + 54926;
 Libr12->gvrr_classes[4][10] = int_stack + 55751;
 Libr12->gvrr_classes[4][11] = int_stack + 56741;
 Libr12->gvrr_classes[4][12] = int_stack + 57911;
 Libr12->gvrr_classes[5][6] = int_stack + 59276;
 Libr12->gvrr_classes[5][7] = int_stack + 59864;
 Libr12->gvrr_classes[5][8] = int_stack + 60620;
 Libr12->gvrr_classes[5][9] = int_stack + 61565;
 Libr12->gvrr_classes[5][10] = int_stack + 62720;
 Libr12->gvrr_classes[5][11] = int_stack + 64106;
 Libr12->gvrr_classes[5][12] = int_stack + 65744;
 memset(int_stack,0,67655*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 67655;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gpii(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+67655, int_stack+53711, int_stack+53291, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+68915, int_stack+54251, int_stack+53711, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+70535, int_stack+68915, int_stack+67655, 15);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+73055, int_stack+54926, int_stack+54251, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+75080, int_stack+73055, int_stack+68915, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+78320, int_stack+75080, int_stack+70535, 15);
 /*--- compute (g0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+82520, int_stack+55751, int_stack+54926, 15);
 /*--- compute (g0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+84995, int_stack+82520, int_stack+73055, 15);
 /*--- compute (g0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+89045, int_stack+84995, int_stack+75080, 15);
 /*--- compute (g0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+94445, int_stack+89045, int_stack+78320, 15);
 /*--- compute (g0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+100745, int_stack+56741, int_stack+55751, 15);
 /*--- compute (g0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+103715, int_stack+100745, int_stack+82520, 15);
 /*--- compute (g0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+108665, int_stack+103715, int_stack+84995, 15);
 /*--- compute (g0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+115415, int_stack+108665, int_stack+89045, 15);
 /*--- compute (g0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+123515, int_stack+115415, int_stack+94445, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+132335, int_stack+59864, int_stack+59276, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+134099, int_stack+60620, int_stack+59864, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+136367, int_stack+134099, int_stack+132335, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+139895, int_stack+61565, int_stack+60620, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+142730, int_stack+139895, int_stack+134099, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+147266, int_stack+142730, int_stack+136367, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+153146, int_stack+62720, int_stack+61565, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+156611, int_stack+153146, int_stack+139895, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+162281, int_stack+156611, int_stack+142730, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+169841, int_stack+162281, int_stack+147266, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+178661, int_stack+64106, int_stack+62720, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+182819, int_stack+178661, int_stack+153146, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+189749, int_stack+182819, int_stack+156611, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+199199, int_stack+189749, int_stack+162281, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+210539, int_stack+199199, int_stack+169841, 21);
 /*--- compute (g0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+222887, int_stack+57911, int_stack+56741, 15);
 /*--- compute (g0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+226397, int_stack+222887, int_stack+100745, 15);
 /*--- compute (g0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+232337, int_stack+226397, int_stack+103715, 15);
 /*--- compute (g0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+240587, int_stack+232337, int_stack+108665, 15);
 /*--- compute (g0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+250712, int_stack+240587, int_stack+115415, 15);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+262052, int_stack+420, int_stack+0, int_stack+53711, int_stack+59276, int_stack+53291, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+263312, int_stack+960, int_stack+420, int_stack+54251, int_stack+59864, int_stack+53711, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+264932, int_stack+263312, int_stack+262052, int_stack+68915, int_stack+132335, int_stack+67655, 4, 0);
 /*--- compute (g0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267452, int_stack+1635, int_stack+960, int_stack+54926, int_stack+60620, int_stack+54251, 4, 0);
 /*--- compute (g0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+269477, int_stack+267452, int_stack+263312, int_stack+73055, int_stack+134099, int_stack+68915, 4, 0);
 /*--- compute (g0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+272717, int_stack+269477, int_stack+264932, int_stack+75080, int_stack+136367, int_stack+70535, 4, 0);
 /*--- compute (g0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67655, int_stack+2460, int_stack+1635, int_stack+55751, int_stack+61565, int_stack+54926, 4, 0);
 /*--- compute (g0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+262052, int_stack+67655, int_stack+267452, int_stack+82520, int_stack+139895, int_stack+73055, 4, 0);
 /*--- compute (g0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+276917, int_stack+262052, int_stack+269477, int_stack+84995, int_stack+142730, int_stack+75080, 4, 0);
 /*--- compute (g0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70130, int_stack+276917, int_stack+272717, int_stack+89045, int_stack+147266, int_stack+78320, 4, 0);
 /*--- compute (g0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+76430, int_stack+3450, int_stack+2460, int_stack+56741, int_stack+62720, int_stack+55751, 4, 0);
 /*--- compute (g0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+266102, int_stack+76430, int_stack+67655, int_stack+100745, int_stack+153146, int_stack+82520, 4, 0);
 /*--- compute (g0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+282317, int_stack+266102, int_stack+262052, int_stack+103715, int_stack+156611, int_stack+84995, 4, 0);
 /*--- compute (g0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+79400, int_stack+282317, int_stack+276917, int_stack+108665, int_stack+162281, int_stack+89045, 4, 0);
 /*--- compute (g0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+271052, int_stack+79400, int_stack+70130, int_stack+115415, int_stack+169841, int_stack+94445, 4, 0);
 /*--- compute (g0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+262052, int_stack+4620, int_stack+3450, int_stack+57911, int_stack+64106, int_stack+56741, 4, 0);
 /*--- compute (g0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67655, int_stack+262052, int_stack+76430, int_stack+222887, int_stack+178661, int_stack+100745, 4, 0);
 /*--- compute (g0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87500, int_stack+67655, int_stack+266102, int_stack+226397, int_stack+182819, int_stack+103715, 4, 0);
 /*--- compute (g0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67655, int_stack+87500, int_stack+282317, int_stack+232337, int_stack+189749, int_stack+108665, 4, 0);
 /*--- compute (g0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87500, int_stack+67655, int_stack+79400, int_stack+240587, int_stack+199199, int_stack+115415, 4, 0);
 /*--- compute (g0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67655, int_stack+87500, int_stack+271052, int_stack+250712, int_stack+210539, int_stack+123515, 4, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+79415, int_stack+7357, int_stack+5985, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+81767, int_stack+9121, int_stack+7357, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+84791, int_stack+81767, int_stack+79415, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+89495, int_stack+11326, int_stack+9121, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+93275, int_stack+89495, int_stack+81767, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+99323, int_stack+93275, int_stack+84791, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+53291, int_stack+14021, int_stack+11326, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+107163, int_stack+53291, int_stack+89495, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+262052, int_stack+107163, int_stack+93275, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+272132, int_stack+262052, int_stack+99323, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+114723, int_stack+17255, int_stack+14021, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+283892, int_stack+114723, int_stack+53291, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+293132, int_stack+283892, int_stack+107163, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+305732, int_stack+293132, int_stack+262052, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+320852, int_stack+305732, int_stack+272132, 28);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+65744, int_stack+64106, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+337316, int_stack+0, int_stack+178661, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+345632, int_stack+337316, int_stack+182819, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+357182, int_stack+345632, int_stack+189749, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+371357, int_stack+357182, int_stack+199199, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120267, int_stack+8365, int_stack+6769, int_stack+59864, int_stack+5985, int_stack+59276, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4914, int_stack+10381, int_stack+8365, int_stack+60620, int_stack+7357, int_stack+59864, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+387233, int_stack+4914, int_stack+120267, int_stack+134099, int_stack+79415, int_stack+132335, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120267, int_stack+12866, int_stack+10381, int_stack+61565, int_stack+9121, int_stack+60620, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+390761, int_stack+120267, int_stack+4914, int_stack+139895, int_stack+81767, int_stack+134099, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4914, int_stack+390761, int_stack+387233, int_stack+142730, int_stack+84791, int_stack+136367, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+387233, int_stack+15869, int_stack+12866, int_stack+62720, int_stack+11326, int_stack+61565, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132335, int_stack+387233, int_stack+120267, int_stack+153146, int_stack+89495, int_stack+139895, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+79415, int_stack+132335, int_stack+390761, int_stack+156611, int_stack+93275, int_stack+142730, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+138005, int_stack+79415, int_stack+4914, int_stack+162281, int_stack+99323, int_stack+147266, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4914, int_stack+19439, int_stack+15869, int_stack+64106, int_stack+14021, int_stack+62720, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9072, int_stack+4914, int_stack+387233, int_stack+178661, int_stack+53291, int_stack+153146, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146825, int_stack+9072, int_stack+132335, int_stack+182819, int_stack+107163, int_stack+156611, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86975, int_stack+146825, int_stack+79415, int_stack+189749, int_stack+262052, int_stack+162281, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+156275, int_stack+86975, int_stack+138005, int_stack+199199, int_stack+272132, int_stack+169841, 5, 0);
 /*--- compute (h0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+262052, int_stack+21077, int_stack+19439, int_stack+65744, int_stack+17255, int_stack+64106, 5, 0);
 /*--- compute (h0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+266966, int_stack+262052, int_stack+4914, int_stack+0, int_stack+114723, int_stack+178661, 5, 0);
 /*--- compute (h0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132335, int_stack+266966, int_stack+9072, int_stack+337316, int_stack+283892, int_stack+182819, 5, 0);
 /*--- compute (h0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+132335, int_stack+146825, int_stack+345632, int_stack+293132, int_stack+189749, 5, 0);
 /*--- compute (h0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132335, int_stack+0, int_stack+86975, int_stack+357182, int_stack+305732, int_stack+199199, 5, 0);
 /*--- compute (h0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+132335, int_stack+156275, int_stack+371357, int_stack+320852, int_stack+210539, 5, 0);
 /*--- compute (g0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+132335, int_stack+250712, int_stack+123515, 15);
 /*--- compute (g0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+144095, int_stack+22988, int_stack+57911, 15);
 /*--- compute (g0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+148190, int_stack+144095, int_stack+222887, 15);
 /*--- compute (g0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+155210, int_stack+148190, int_stack+226397, 15);
 /*--- compute (g0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+165110, int_stack+155210, int_stack+232337, 15);
 /*--- compute (g0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+222887, int_stack+165110, int_stack+240587, 15);
 /*--- compute (g0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+144095, int_stack+222887, int_stack+250712, 15);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+222887, int_stack+371357, int_stack+210539, 21);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+24983, int_stack+24563, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+240611, int_stack+25523, int_stack+24983, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+242231, int_stack+240611, int_stack+239351, 15);
 /*--- compute (g0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+244751, int_stack+26198, int_stack+25523, 15);
 /*--- compute (g0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+246776, int_stack+244751, int_stack+240611, 15);
 /*--- compute (g0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+250016, int_stack+246776, int_stack+242231, 15);
 /*--- compute (g0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+27023, int_stack+26198, 15);
 /*--- compute (g0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+254216, int_stack+239351, int_stack+244751, 15);
 /*--- compute (g0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+258266, int_stack+254216, int_stack+246776, 15);
 /*--- compute (g0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+241826, int_stack+258266, int_stack+250016, 15);
 /*--- compute (g0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+248126, int_stack+28013, int_stack+27023, 15);
 /*--- compute (g0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+263666, int_stack+248126, int_stack+239351, 15);
 /*--- compute (g0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+268616, int_stack+263666, int_stack+254216, 15);
 /*--- compute (g0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+275366, int_stack+268616, int_stack+258266, 15);
 /*--- compute (g0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+251096, int_stack+275366, int_stack+241826, 15);
 /*--- compute (g0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+29183, int_stack+28013, 15);
 /*--- compute (g0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+283466, int_stack+239351, int_stack+248126, 15);
 /*--- compute (g0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+283466, int_stack+263666, 15);
 /*--- compute (g0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+283466, int_stack+239351, int_stack+268616, 15);
 /*--- compute (g0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+283466, int_stack+275366, 15);
 /*--- compute (g0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+259916, int_stack+239351, int_stack+251096, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+31136, int_stack+30548, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+241115, int_stack+31892, int_stack+31136, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+243383, int_stack+241115, int_stack+239351, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+246911, int_stack+32837, int_stack+31892, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+249746, int_stack+246911, int_stack+241115, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+271676, int_stack+249746, int_stack+243383, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+33992, int_stack+32837, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+277556, int_stack+239351, int_stack+246911, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+283226, int_stack+277556, int_stack+249746, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+242816, int_stack+283226, int_stack+271676, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+271676, int_stack+35378, int_stack+33992, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+251636, int_stack+271676, int_stack+239351, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+290786, int_stack+251636, int_stack+277556, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+300236, int_stack+290786, int_stack+283226, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+275834, int_stack+300236, int_stack+242816, 21);
 /*--- compute (h0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+37016, int_stack+35378, 21);
 /*--- compute (h0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+311576, int_stack+239351, int_stack+271676, 21);
 /*--- compute (h0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+311576, int_stack+251636, 21);
 /*--- compute (h0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+311576, int_stack+239351, int_stack+290786, 21);
 /*--- compute (h0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+311576, int_stack+300236, 21);
 /*--- compute (h0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+288182, int_stack+239351, int_stack+275834, 21);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+39347, int_stack+38927, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+240611, int_stack+39887, int_stack+39347, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+242231, int_stack+240611, int_stack+239351, 15);
 /*--- compute (g0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+244751, int_stack+40562, int_stack+39887, 15);
 /*--- compute (g0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+246776, int_stack+244751, int_stack+240611, 15);
 /*--- compute (g0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+250016, int_stack+246776, int_stack+242231, 15);
 /*--- compute (g0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+41387, int_stack+40562, 15);
 /*--- compute (g0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+254216, int_stack+239351, int_stack+244751, 15);
 /*--- compute (g0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+271676, int_stack+254216, int_stack+246776, 15);
 /*--- compute (g0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+241826, int_stack+271676, int_stack+250016, 15);
 /*--- compute (g0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+248126, int_stack+42377, int_stack+41387, 15);
 /*--- compute (g0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+277076, int_stack+248126, int_stack+239351, 15);
 /*--- compute (g0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+304646, int_stack+277076, int_stack+254216, 15);
 /*--- compute (g0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+251096, int_stack+304646, int_stack+271676, 15);
 /*--- compute (g0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+311396, int_stack+251096, int_stack+241826, 15);
 /*--- compute (g0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+271676, int_stack+43547, int_stack+42377, 15);
 /*--- compute (g0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+271676, int_stack+248126, 15);
 /*--- compute (g0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+320216, int_stack+239351, int_stack+277076, 15);
 /*--- compute (g0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+320216, int_stack+304646, 15);
 /*--- compute (g0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+320216, int_stack+239351, int_stack+251096, 15);
 /*--- compute (g0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+239351, int_stack+320216, int_stack+311396, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+251111, int_stack+45500, int_stack+44912, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+252875, int_stack+46256, int_stack+45500, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+255143, int_stack+252875, int_stack+251111, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+304646, int_stack+47201, int_stack+46256, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+307481, int_stack+304646, int_stack+252875, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+312017, int_stack+307481, int_stack+255143, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+251111, int_stack+48356, int_stack+47201, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+317897, int_stack+251111, int_stack+304646, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+323567, int_stack+317897, int_stack+307481, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+331127, int_stack+323567, int_stack+312017, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+304646, int_stack+49742, int_stack+48356, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+308804, int_stack+304646, int_stack+251111, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+339947, int_stack+308804, int_stack+317897, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+349397, int_stack+339947, int_stack+323567, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+315734, int_stack+349397, int_stack+331127, 21);
 /*--- compute (h0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+251111, int_stack+51380, int_stack+49742, 21);
 /*--- compute (h0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+328082, int_stack+251111, int_stack+304646, 21);
 /*--- compute (h0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+360737, int_stack+328082, int_stack+308804, 21);
 /*--- compute (h0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+372287, int_stack+360737, int_stack+339947, 21);
 /*--- compute (h0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+328082, int_stack+372287, int_stack+349397, 21);
 /*--- compute (h0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+343958, int_stack+328082, int_stack+315734, 21);
 /*--- compute (gp|[r12,T2]|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+360422, int_stack+0, int_stack+67655, 784);
     Libr12->te_ptr[3] = int_stack + 360422;
 /*--- compute (gp|[r12,T1]|ii) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+288182, int_stack+259916, int_stack+222887, int_stack+144095, int_stack+132335, 6, 6);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (gp||ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+144095, int_stack+343958, int_stack+239351, 784);
     Libr12->te_ptr[1] = int_stack + 144095;
 /*--- compute (gp|ii) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+239351, int_stack+222887, int_stack+132335, 784);
     Libr12->te_ptr[0] = int_stack + 239351;

}
