#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gpip(Libr12_t *, prim_data *);

  /* Computes (gp|ip) integrals for linear R12-methods */

void hrr_grt_order_gpip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][6] = int_stack + 0;
 Libr12->t2vrr_classes[4][7] = int_stack + 420;
 Libr12->gvrr_classes[6][6] = int_stack + 960;
 Libr12->t2vrr_classes[5][6] = int_stack + 1744;
 Libr12->t2vrr_classes[5][7] = int_stack + 2332;
 Libr12->gvrr_classes[4][8] = int_stack + 3088;
 Libr12->t1vrr_classes[4][6] = int_stack + 3763;
 Libr12->t1vrr_classes[4][7] = int_stack + 4183;
 Libr12->t1vrr_classes[5][6] = int_stack + 4723;
 Libr12->t1vrr_classes[5][7] = int_stack + 5311;
 Libr12->rvrr_classes[4][6] = int_stack + 6067;
 Libr12->rvrr_classes[4][7] = int_stack + 6487;
 Libr12->rvrr_classes[5][6] = int_stack + 7027;
 Libr12->rvrr_classes[5][7] = int_stack + 7615;
 Libr12->gvrr_classes[4][6] = int_stack + 8371;
 Libr12->gvrr_classes[4][7] = int_stack + 8791;
 Libr12->gvrr_classes[5][6] = int_stack + 9331;
 Libr12->gvrr_classes[5][7] = int_stack + 9919;
 memset(int_stack,0,10675*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 10675;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gpip(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10675, int_stack+420, int_stack+0, int_stack+8791, int_stack+9331, int_stack+8371, 4, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11935, int_stack+2332, int_stack+1744, int_stack+9919, int_stack+960, int_stack+9331, 5, 0);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+8791, int_stack+8371, 15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+3088, int_stack+8791, 15);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13699, int_stack+9919, int_stack+9331, 21);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8371, int_stack+4183, int_stack+3763, 15);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2880, int_stack+5311, int_stack+4723, 21);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4644, int_stack+6487, int_stack+6067, 15);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15463, int_stack+7615, int_stack+7027, 21);
 /*--- compute (gp|[r12,T2]|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+17227, int_stack+11935, int_stack+10675, 84);
     Libr12->te_ptr[3] = int_stack + 17227;
 /*--- compute (gp|[r12,T1]|ip) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+9631, int_stack+2880, int_stack+8371, int_stack+13699, int_stack+1260, int_stack+0, 6, 1);
     Libr12->te_ptr[2] = int_stack + 9631;
 /*--- compute (gp||ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+21007, int_stack+15463, int_stack+4644, 84);
     Libr12->te_ptr[1] = int_stack + 21007;
 /*--- compute (gp|ip) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+1260, int_stack+13699, int_stack+0, 84);
     Libr12->te_ptr[0] = int_stack + 1260;

}
