#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_h0hg(Libr12_t *, prim_data *);

  /* Computes (h0|hg) integrals for linear R12-methods */

void hrr_grt_order_h0hg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][5] = int_stack + 588;
 Libr12->gvrr_classes[6][6] = int_stack + 1029;
 Libr12->t2vrr_classes[5][6] = int_stack + 1813;
 Libr12->gvrr_classes[6][7] = int_stack + 2401;
 Libr12->t2vrr_classes[5][7] = int_stack + 3409;
 Libr12->gvrr_classes[6][8] = int_stack + 4165;
 Libr12->t2vrr_classes[5][8] = int_stack + 5425;
 Libr12->t2vrr_classes[5][9] = int_stack + 6370;
 Libr12->t1vrr_classes[5][5] = int_stack + 7525;
 Libr12->t1vrr_classes[5][6] = int_stack + 7966;
 Libr12->t1vrr_classes[5][7] = int_stack + 8554;
 Libr12->t1vrr_classes[5][8] = int_stack + 9310;
 Libr12->t1vrr_classes[5][9] = int_stack + 10255;
 Libr12->rvrr_classes[5][5] = int_stack + 11410;
 Libr12->rvrr_classes[5][6] = int_stack + 11851;
 Libr12->rvrr_classes[5][7] = int_stack + 12439;
 Libr12->rvrr_classes[5][8] = int_stack + 13195;
 Libr12->rvrr_classes[5][9] = int_stack + 14140;
 Libr12->gvrr_classes[5][5] = int_stack + 15295;
 Libr12->gvrr_classes[5][6] = int_stack + 15736;
 Libr12->gvrr_classes[5][7] = int_stack + 16324;
 Libr12->gvrr_classes[5][8] = int_stack + 17080;
 Libr12->gvrr_classes[5][9] = int_stack + 18025;
 memset(int_stack,0,19180*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 19180;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_h0hg(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+19180, int_stack+15736, int_stack+15295, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20503, int_stack+16324, int_stack+15736, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+22267, int_stack+20503, int_stack+19180, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24913, int_stack+17080, int_stack+16324, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+27181, int_stack+24913, int_stack+20503, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+30709, int_stack+27181, int_stack+22267, 21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+35119, int_stack+1029, int_stack+0, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36883, int_stack+2401, int_stack+1029, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+39235, int_stack+36883, int_stack+35119, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+42763, int_stack+4165, int_stack+2401, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+45787, int_stack+42763, int_stack+36883, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+50491, int_stack+45787, int_stack+39235, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+56371, int_stack+18025, int_stack+17080, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+59206, int_stack+56371, int_stack+24913, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+63742, int_stack+59206, int_stack+27181, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69622, int_stack+1813, int_stack+588, int_stack+15736, int_stack+0, int_stack+15295, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70945, int_stack+3409, int_stack+1813, int_stack+16324, int_stack+1029, int_stack+15736, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72709, int_stack+70945, int_stack+69622, int_stack+20503, int_stack+35119, int_stack+19180, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5425, int_stack+3409, int_stack+17080, int_stack+2401, int_stack+16324, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+75355, int_stack+0, int_stack+70945, int_stack+24913, int_stack+36883, int_stack+20503, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+78883, int_stack+75355, int_stack+72709, int_stack+27181, int_stack+39235, int_stack+22267, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19180, int_stack+6370, int_stack+5425, int_stack+18025, int_stack+4165, int_stack+17080, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35119, int_stack+19180, int_stack+0, int_stack+56371, int_stack+42763, int_stack+24913, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+35119, int_stack+75355, int_stack+59206, int_stack+45787, int_stack+27181, 5, 0);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+35119, int_stack+7966, int_stack+7525, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36442, int_stack+8554, int_stack+7966, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+38206, int_stack+36442, int_stack+35119, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+40852, int_stack+9310, int_stack+8554, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+43120, int_stack+40852, int_stack+36442, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+56371, int_stack+43120, int_stack+38206, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+35119, int_stack+10255, int_stack+9310, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+35119, int_stack+40852, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+35119, int_stack+5880, int_stack+43120, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+11851, int_stack+11410, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7203, int_stack+12439, int_stack+11851, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+8967, int_stack+7203, int_stack+5880, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+40999, int_stack+13195, int_stack+12439, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+43267, int_stack+40999, int_stack+7203, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+69622, int_stack+43267, int_stack+8967, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+14140, int_stack+13195, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+8715, int_stack+5880, int_stack+40999, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+13251, int_stack+8715, int_stack+43267, 21);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40999, int_stack+0, int_stack+78883, int_stack+63742, int_stack+50491, int_stack+30709, 5, 0);
     Libr12->te_ptr[3] = int_stack + 40999;
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+35119, int_stack+56371, 21);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+13251, int_stack+69622, 21);
     Libr12->te_ptr[1] = int_stack + 6615;
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+69622, int_stack+63742, int_stack+30709, 21);
     Libr12->te_ptr[0] = int_stack + 69622;

}
