#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_h0hh(Libr12_t *, prim_data *);

  /* Computes (h0|hh) integrals for linear R12-methods */

void hrr_grt_order_h0hh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[5][5] = int_stack + 588;
 Libr12->gvrr_classes[6][6] = int_stack + 1029;
 Libr12->t2vrr_classes[5][6] = int_stack + 1813;
 Libr12->gvrr_classes[6][7] = int_stack + 2401;
 Libr12->t2vrr_classes[5][7] = int_stack + 3409;
 Libr12->gvrr_classes[6][8] = int_stack + 4165;
 Libr12->t2vrr_classes[5][8] = int_stack + 5425;
 Libr12->gvrr_classes[6][9] = int_stack + 6370;
 Libr12->t2vrr_classes[5][9] = int_stack + 7910;
 Libr12->t2vrr_classes[5][10] = int_stack + 9065;
 Libr12->t1vrr_classes[5][5] = int_stack + 10451;
 Libr12->t1vrr_classes[5][6] = int_stack + 10892;
 Libr12->t1vrr_classes[5][7] = int_stack + 11480;
 Libr12->t1vrr_classes[5][8] = int_stack + 12236;
 Libr12->t1vrr_classes[5][9] = int_stack + 13181;
 Libr12->t1vrr_classes[5][10] = int_stack + 14336;
 Libr12->rvrr_classes[5][5] = int_stack + 15722;
 Libr12->rvrr_classes[5][6] = int_stack + 16163;
 Libr12->rvrr_classes[5][7] = int_stack + 16751;
 Libr12->rvrr_classes[5][8] = int_stack + 17507;
 Libr12->rvrr_classes[5][9] = int_stack + 18452;
 Libr12->rvrr_classes[5][10] = int_stack + 19607;
 Libr12->gvrr_classes[5][5] = int_stack + 20993;
 Libr12->gvrr_classes[5][6] = int_stack + 21434;
 Libr12->gvrr_classes[5][7] = int_stack + 22022;
 Libr12->gvrr_classes[5][8] = int_stack + 22778;
 Libr12->gvrr_classes[5][9] = int_stack + 23723;
 Libr12->gvrr_classes[5][10] = int_stack + 24878;
 memset(int_stack,0,26264*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 26264;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_h0hh(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+26264, int_stack+21434, int_stack+20993, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27587, int_stack+22022, int_stack+21434, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+29351, int_stack+27587, int_stack+26264, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+31997, int_stack+22778, int_stack+22022, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+34265, int_stack+31997, int_stack+27587, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+37793, int_stack+34265, int_stack+29351, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+42203, int_stack+23723, int_stack+22778, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+45038, int_stack+42203, int_stack+31997, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+49574, int_stack+45038, int_stack+34265, 21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+55454, int_stack+49574, int_stack+37793, 21);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+62069, int_stack+1029, int_stack+0, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+63833, int_stack+2401, int_stack+1029, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+66185, int_stack+63833, int_stack+62069, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+69713, int_stack+4165, int_stack+2401, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+72737, int_stack+69713, int_stack+63833, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+77441, int_stack+72737, int_stack+66185, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+83321, int_stack+6370, int_stack+4165, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+87101, int_stack+83321, int_stack+69713, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+93149, int_stack+87101, int_stack+72737, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+100989, int_stack+93149, int_stack+77441, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+109809, int_stack+24878, int_stack+23723, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+113274, int_stack+109809, int_stack+42203, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+118944, int_stack+113274, int_stack+45038, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+126504, int_stack+118944, int_stack+49574, 21);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+135324, int_stack+1813, int_stack+588, int_stack+21434, int_stack+0, int_stack+20993, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136647, int_stack+3409, int_stack+1813, int_stack+22022, int_stack+1029, int_stack+21434, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+138411, int_stack+136647, int_stack+135324, int_stack+27587, int_stack+62069, int_stack+26264, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5425, int_stack+3409, int_stack+22778, int_stack+2401, int_stack+22022, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+141057, int_stack+0, int_stack+136647, int_stack+31997, int_stack+63833, int_stack+27587, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+144585, int_stack+141057, int_stack+138411, int_stack+34265, int_stack+66185, int_stack+29351, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26264, int_stack+7910, int_stack+5425, int_stack+23723, int_stack+4165, int_stack+22778, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62069, int_stack+26264, int_stack+0, int_stack+42203, int_stack+69713, int_stack+31997, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+62069, int_stack+141057, int_stack+45038, int_stack+72737, int_stack+34265, 5, 0);
 /*--- compute (h0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29099, int_stack+0, int_stack+144585, int_stack+49574, int_stack+77441, int_stack+37793, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35714, int_stack+9065, int_stack+7910, int_stack+24878, int_stack+6370, int_stack+23723, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66605, int_stack+35714, int_stack+26264, int_stack+109809, int_stack+83321, int_stack+42203, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35714, int_stack+66605, int_stack+62069, int_stack+113274, int_stack+87101, int_stack+45038, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62069, int_stack+35714, int_stack+0, int_stack+118944, int_stack+93149, int_stack+49574, 5, 0);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10892, int_stack+10451, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1323, int_stack+11480, int_stack+10892, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3087, int_stack+1323, int_stack+0, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5733, int_stack+12236, int_stack+11480, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8001, int_stack+5733, int_stack+1323, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+35714, int_stack+8001, int_stack+3087, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13181, int_stack+12236, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+40124, int_stack+0, int_stack+5733, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+44660, int_stack+40124, int_stack+8001, 21);
 /*--- compute (h0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+2835, int_stack+44660, int_stack+35714, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+35714, int_stack+14336, int_stack+13181, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+9450, int_stack+35714, int_stack+0, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+70889, int_stack+9450, int_stack+40124, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+35714, int_stack+70889, int_stack+44660, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+70889, int_stack+16163, int_stack+15722, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+72212, int_stack+16751, int_stack+16163, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+73976, int_stack+72212, int_stack+70889, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+76622, int_stack+17507, int_stack+16751, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+78890, int_stack+76622, int_stack+72212, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+82418, int_stack+78890, int_stack+73976, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+18452, int_stack+17507, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+70889, int_stack+0, int_stack+76622, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+86828, int_stack+70889, int_stack+78890, 21);
 /*--- compute (h0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+75425, int_stack+86828, int_stack+82418, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+82040, int_stack+19607, int_stack+18452, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+92708, int_stack+82040, int_stack+0, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+9450, int_stack+92708, int_stack+70889, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+17010, int_stack+9450, int_stack+86828, 21);
 /*--- compute (h0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82040, int_stack+62069, int_stack+29099, int_stack+126504, int_stack+100989, int_stack+55454, 5, 0);
     Libr12->te_ptr[3] = int_stack + 82040;
 /*--- compute (h0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+62069, int_stack+35714, int_stack+2835, 21);
     Libr12->te_ptr[2] = int_stack + 62069;
 /*--- compute (h0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17010, int_stack+75425, 21);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (h0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+71330, int_stack+126504, int_stack+55454, 21);
     Libr12->te_ptr[0] = int_stack + 71330;

}
