#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_h0id(Libr12_t *, prim_data *);

  /* Computes (h0|id) integrals for linear R12-methods */

void hrr_grt_order_h0id(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 784;
 Libr12->gvrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[5][7] = int_stack + 2380;
 Libr12->t2vrr_classes[5][8] = int_stack + 3136;
 Libr12->t1vrr_classes[5][6] = int_stack + 4081;
 Libr12->t1vrr_classes[5][7] = int_stack + 4669;
 Libr12->t1vrr_classes[5][8] = int_stack + 5425;
 Libr12->rvrr_classes[5][6] = int_stack + 6370;
 Libr12->rvrr_classes[5][7] = int_stack + 6958;
 Libr12->rvrr_classes[5][8] = int_stack + 7714;
 Libr12->gvrr_classes[5][6] = int_stack + 8659;
 Libr12->gvrr_classes[5][7] = int_stack + 9247;
 Libr12->gvrr_classes[5][8] = int_stack + 10003;
 memset(int_stack,0,10948*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 10948;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_h0id(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10948, int_stack+9247, int_stack+8659, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12712, int_stack+1372, int_stack+0, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+15064, int_stack+10003, int_stack+9247, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17332, int_stack+2380, int_stack+784, int_stack+9247, int_stack+0, int_stack+8659, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19096, int_stack+3136, int_stack+2380, int_stack+10003, int_stack+1372, int_stack+9247, 5, 0);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8659, int_stack+4669, int_stack+4081, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5425, int_stack+4669, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+6958, int_stack+6370, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+7714, int_stack+6958, 21);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21364, int_stack+19096, int_stack+17332, int_stack+15064, int_stack+12712, int_stack+10948, 5, 0);
     Libr12->te_ptr[3] = int_stack + 21364;
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+17332, int_stack+0, int_stack+8659, 21);
     Libr12->te_ptr[2] = int_stack + 17332;
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+4032, int_stack+2268, 21);
     Libr12->te_ptr[1] = int_stack + 6300;
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+15064, int_stack+10948, 21);
     Libr12->te_ptr[0] = int_stack + 0;

}
