#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_h0if(Libr12_t *, prim_data *);

  /* Computes (h0|if) integrals for linear R12-methods */

void hrr_grt_order_h0if(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 784;
 Libr12->gvrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[5][7] = int_stack + 2380;
 Libr12->gvrr_classes[6][8] = int_stack + 3136;
 Libr12->t2vrr_classes[5][8] = int_stack + 4396;
 Libr12->t2vrr_classes[5][9] = int_stack + 5341;
 Libr12->t1vrr_classes[5][6] = int_stack + 6496;
 Libr12->t1vrr_classes[5][7] = int_stack + 7084;
 Libr12->t1vrr_classes[5][8] = int_stack + 7840;
 Libr12->t1vrr_classes[5][9] = int_stack + 8785;
 Libr12->rvrr_classes[5][6] = int_stack + 9940;
 Libr12->rvrr_classes[5][7] = int_stack + 10528;
 Libr12->rvrr_classes[5][8] = int_stack + 11284;
 Libr12->rvrr_classes[5][9] = int_stack + 12229;
 Libr12->gvrr_classes[5][6] = int_stack + 13384;
 Libr12->gvrr_classes[5][7] = int_stack + 13972;
 Libr12->gvrr_classes[5][8] = int_stack + 14728;
 Libr12->gvrr_classes[5][9] = int_stack + 15673;
 memset(int_stack,0,16828*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 16828;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_h0if(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16828, int_stack+13972, int_stack+13384, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+18592, int_stack+14728, int_stack+13972, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+20860, int_stack+18592, int_stack+16828, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24388, int_stack+1372, int_stack+0, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+26740, int_stack+3136, int_stack+1372, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+29764, int_stack+26740, int_stack+24388, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+34468, int_stack+15673, int_stack+14728, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+37303, int_stack+34468, int_stack+18592, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41839, int_stack+2380, int_stack+784, int_stack+13972, int_stack+0, int_stack+13384, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43603, int_stack+4396, int_stack+2380, int_stack+14728, int_stack+1372, int_stack+13972, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45871, int_stack+43603, int_stack+41839, int_stack+18592, int_stack+24388, int_stack+16828, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5341, int_stack+4396, int_stack+15673, int_stack+3136, int_stack+14728, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13384, int_stack+0, int_stack+43603, int_stack+34468, int_stack+26740, int_stack+18592, 5, 0);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+34468, int_stack+7084, int_stack+6496, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+7840, int_stack+7084, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+0, int_stack+34468, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+34468, int_stack+8785, int_stack+7840, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+24388, int_stack+34468, int_stack+0, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10528, int_stack+9940, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+34468, int_stack+11284, int_stack+10528, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5796, int_stack+34468, int_stack+0, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+41839, int_stack+12229, int_stack+11284, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+49399, int_stack+41839, int_stack+34468, 21);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53935, int_stack+13384, int_stack+45871, int_stack+37303, int_stack+29764, int_stack+20860, 5, 0);
     Libr12->te_ptr[3] = int_stack + 53935;
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+41839, int_stack+24388, int_stack+2268, 21);
     Libr12->te_ptr[2] = int_stack + 41839;
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+24388, int_stack+49399, int_stack+5796, 21);
     Libr12->te_ptr[1] = int_stack + 24388;
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+30268, int_stack+37303, int_stack+20860, 21);
     Libr12->te_ptr[0] = int_stack + 30268;

}
