#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_h0ig(Libr12_t *, prim_data *);

  /* Computes (h0|ig) integrals for linear R12-methods */

void hrr_grt_order_h0ig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 784;
 Libr12->gvrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[5][7] = int_stack + 2380;
 Libr12->gvrr_classes[6][8] = int_stack + 3136;
 Libr12->t2vrr_classes[5][8] = int_stack + 4396;
 Libr12->gvrr_classes[6][9] = int_stack + 5341;
 Libr12->t2vrr_classes[5][9] = int_stack + 6881;
 Libr12->t2vrr_classes[5][10] = int_stack + 8036;
 Libr12->t1vrr_classes[5][6] = int_stack + 9422;
 Libr12->t1vrr_classes[5][7] = int_stack + 10010;
 Libr12->t1vrr_classes[5][8] = int_stack + 10766;
 Libr12->t1vrr_classes[5][9] = int_stack + 11711;
 Libr12->t1vrr_classes[5][10] = int_stack + 12866;
 Libr12->rvrr_classes[5][6] = int_stack + 14252;
 Libr12->rvrr_classes[5][7] = int_stack + 14840;
 Libr12->rvrr_classes[5][8] = int_stack + 15596;
 Libr12->rvrr_classes[5][9] = int_stack + 16541;
 Libr12->rvrr_classes[5][10] = int_stack + 17696;
 Libr12->gvrr_classes[5][6] = int_stack + 19082;
 Libr12->gvrr_classes[5][7] = int_stack + 19670;
 Libr12->gvrr_classes[5][8] = int_stack + 20426;
 Libr12->gvrr_classes[5][9] = int_stack + 21371;
 Libr12->gvrr_classes[5][10] = int_stack + 22526;
 memset(int_stack,0,23912*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 23912;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_h0ig(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+23912, int_stack+19670, int_stack+19082, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+25676, int_stack+20426, int_stack+19670, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+27944, int_stack+25676, int_stack+23912, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+31472, int_stack+21371, int_stack+20426, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+34307, int_stack+31472, int_stack+25676, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+38843, int_stack+34307, int_stack+27944, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+44723, int_stack+1372, int_stack+0, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+47075, int_stack+3136, int_stack+1372, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+50099, int_stack+47075, int_stack+44723, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+54803, int_stack+5341, int_stack+3136, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+58583, int_stack+54803, int_stack+47075, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+64631, int_stack+58583, int_stack+50099, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+72471, int_stack+22526, int_stack+21371, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+75936, int_stack+72471, int_stack+31472, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+81606, int_stack+75936, int_stack+34307, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89166, int_stack+2380, int_stack+784, int_stack+19670, int_stack+0, int_stack+19082, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90930, int_stack+4396, int_stack+2380, int_stack+20426, int_stack+1372, int_stack+19670, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93198, int_stack+90930, int_stack+89166, int_stack+25676, int_stack+44723, int_stack+23912, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6881, int_stack+4396, int_stack+21371, int_stack+3136, int_stack+20426, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+96726, int_stack+0, int_stack+90930, int_stack+31472, int_stack+47075, int_stack+25676, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+101262, int_stack+96726, int_stack+93198, int_stack+34307, int_stack+50099, int_stack+27944, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23912, int_stack+8036, int_stack+6881, int_stack+22526, int_stack+5341, int_stack+21371, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44723, int_stack+23912, int_stack+0, int_stack+72471, int_stack+54803, int_stack+31472, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89166, int_stack+44723, int_stack+96726, int_stack+75936, int_stack+58583, int_stack+34307, 5, 0);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+96726, int_stack+10010, int_stack+9422, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+98490, int_stack+10766, int_stack+10010, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+44723, int_stack+98490, int_stack+96726, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+48251, int_stack+11711, int_stack+10766, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+51086, int_stack+48251, int_stack+98490, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+55622, int_stack+51086, int_stack+44723, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+44723, int_stack+12866, int_stack+11711, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+72471, int_stack+44723, int_stack+48251, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+72471, int_stack+51086, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+72471, int_stack+14840, int_stack+14252, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+74235, int_stack+15596, int_stack+14840, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+76503, int_stack+74235, int_stack+72471, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+44723, int_stack+16541, int_stack+15596, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+96726, int_stack+44723, int_stack+74235, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47558, int_stack+96726, int_stack+76503, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+72471, int_stack+17696, int_stack+16541, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+75936, int_stack+72471, int_stack+44723, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+75936, int_stack+96726, 21);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72471, int_stack+89166, int_stack+101262, int_stack+81606, int_stack+64631, int_stack+38843, 5, 0);
     Libr12->te_ptr[3] = int_stack + 72471;
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+89166, int_stack+0, int_stack+55622, 21);
     Libr12->te_ptr[2] = int_stack + 89166;
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+97986, int_stack+7560, int_stack+47558, 21);
     Libr12->te_ptr[1] = int_stack + 97986;
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+81606, int_stack+38843, 21);
     Libr12->te_ptr[0] = int_stack + 0;

}
