#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_h0ih(Libr12_t *, prim_data *);

  /* Computes (h0|ih) integrals for linear R12-methods */

void hrr_grt_order_h0ih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 784;
 Libr12->gvrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[5][7] = int_stack + 2380;
 Libr12->gvrr_classes[6][8] = int_stack + 3136;
 Libr12->t2vrr_classes[5][8] = int_stack + 4396;
 Libr12->gvrr_classes[6][9] = int_stack + 5341;
 Libr12->t2vrr_classes[5][9] = int_stack + 6881;
 Libr12->gvrr_classes[6][10] = int_stack + 8036;
 Libr12->t2vrr_classes[5][10] = int_stack + 9884;
 Libr12->t2vrr_classes[5][11] = int_stack + 11270;
 Libr12->t1vrr_classes[5][6] = int_stack + 12908;
 Libr12->t1vrr_classes[5][7] = int_stack + 13496;
 Libr12->t1vrr_classes[5][8] = int_stack + 14252;
 Libr12->t1vrr_classes[5][9] = int_stack + 15197;
 Libr12->t1vrr_classes[5][10] = int_stack + 16352;
 Libr12->t1vrr_classes[5][11] = int_stack + 17738;
 Libr12->rvrr_classes[5][6] = int_stack + 19376;
 Libr12->rvrr_classes[5][7] = int_stack + 19964;
 Libr12->rvrr_classes[5][8] = int_stack + 20720;
 Libr12->rvrr_classes[5][9] = int_stack + 21665;
 Libr12->rvrr_classes[5][10] = int_stack + 22820;
 Libr12->rvrr_classes[5][11] = int_stack + 24206;
 Libr12->gvrr_classes[5][6] = int_stack + 25844;
 Libr12->gvrr_classes[5][7] = int_stack + 26432;
 Libr12->gvrr_classes[5][8] = int_stack + 27188;
 Libr12->gvrr_classes[5][9] = int_stack + 28133;
 Libr12->gvrr_classes[5][10] = int_stack + 29288;
 Libr12->gvrr_classes[5][11] = int_stack + 30674;
 memset(int_stack,0,32312*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 32312;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_h0ih(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+32312, int_stack+26432, int_stack+25844, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+34076, int_stack+27188, int_stack+26432, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+36344, int_stack+34076, int_stack+32312, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+39872, int_stack+28133, int_stack+27188, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+42707, int_stack+39872, int_stack+34076, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47243, int_stack+42707, int_stack+36344, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+53123, int_stack+29288, int_stack+28133, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+56588, int_stack+53123, int_stack+39872, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+62258, int_stack+56588, int_stack+42707, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+69818, int_stack+62258, int_stack+47243, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+78638, int_stack+1372, int_stack+0, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+80990, int_stack+3136, int_stack+1372, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+84014, int_stack+80990, int_stack+78638, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+88718, int_stack+5341, int_stack+3136, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+92498, int_stack+88718, int_stack+80990, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+98546, int_stack+92498, int_stack+84014, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+106386, int_stack+8036, int_stack+5341, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+111006, int_stack+106386, int_stack+88718, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+118566, int_stack+111006, int_stack+92498, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+128646, int_stack+118566, int_stack+98546, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+140406, int_stack+30674, int_stack+29288, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+144564, int_stack+140406, int_stack+53123, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+151494, int_stack+144564, int_stack+56588, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+160944, int_stack+151494, int_stack+62258, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+172284, int_stack+2380, int_stack+784, int_stack+26432, int_stack+0, int_stack+25844, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+174048, int_stack+4396, int_stack+2380, int_stack+27188, int_stack+1372, int_stack+26432, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+176316, int_stack+174048, int_stack+172284, int_stack+34076, int_stack+78638, int_stack+32312, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6881, int_stack+4396, int_stack+28133, int_stack+3136, int_stack+27188, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+179844, int_stack+0, int_stack+174048, int_stack+39872, int_stack+80990, int_stack+34076, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184380, int_stack+179844, int_stack+176316, int_stack+42707, int_stack+84014, int_stack+36344, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32312, int_stack+9884, int_stack+6881, int_stack+29288, int_stack+5341, int_stack+28133, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+78638, int_stack+32312, int_stack+0, int_stack+53123, int_stack+88718, int_stack+39872, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+172284, int_stack+78638, int_stack+179844, int_stack+56588, int_stack+92498, int_stack+42707, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35777, int_stack+172284, int_stack+184380, int_stack+62258, int_stack+98546, int_stack+47243, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+179844, int_stack+11270, int_stack+9884, int_stack+30674, int_stack+8036, int_stack+29288, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184002, int_stack+179844, int_stack+32312, int_stack+140406, int_stack+106386, int_stack+53123, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+184002, int_stack+78638, int_stack+144564, int_stack+111006, int_stack+56588, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+78638, int_stack+0, int_stack+172284, int_stack+151494, int_stack+118566, int_stack+62258, 5, 0);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+172284, int_stack+13496, int_stack+12908, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+174048, int_stack+14252, int_stack+13496, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+176316, int_stack+174048, int_stack+172284, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+179844, int_stack+15197, int_stack+14252, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+182679, int_stack+179844, int_stack+174048, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+182679, int_stack+176316, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+172284, int_stack+16352, int_stack+15197, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+172284, int_stack+179844, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+89978, int_stack+5880, int_stack+182679, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+175749, int_stack+89978, int_stack+0, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17738, int_stack+16352, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+11550, int_stack+0, int_stack+172284, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+97538, int_stack+11550, int_stack+5880, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+97538, int_stack+89978, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+89978, int_stack+19964, int_stack+19376, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+91742, int_stack+20720, int_stack+19964, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+94010, int_stack+91742, int_stack+89978, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+97538, int_stack+21665, int_stack+20720, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+100373, int_stack+97538, int_stack+91742, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+104909, int_stack+100373, int_stack+94010, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+172284, int_stack+22820, int_stack+21665, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+89978, int_stack+172284, int_stack+97538, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+110789, int_stack+89978, int_stack+100373, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+95648, int_stack+110789, int_stack+104909, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+104468, int_stack+24206, int_stack+22820, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+118349, int_stack+104468, int_stack+172284, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+11340, int_stack+118349, int_stack+89978, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+20790, int_stack+11340, int_stack+110789, 21);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104468, int_stack+78638, int_stack+35777, int_stack+160944, int_stack+128646, int_stack+69818, 5, 0);
     Libr12->te_ptr[3] = int_stack + 104468;
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+78638, int_stack+0, int_stack+175749, 21);
     Libr12->te_ptr[2] = int_stack + 78638;
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+20790, int_stack+95648, 21);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+160944, int_stack+69818, 21);
     Libr12->te_ptr[0] = int_stack + 12348;

}
