#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_h0ii(Libr12_t *, prim_data *);

  /* Computes (h0|ii) integrals for linear R12-methods */

void hrr_grt_order_h0ii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][6] = int_stack + 784;
 Libr12->gvrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[5][7] = int_stack + 2380;
 Libr12->gvrr_classes[6][8] = int_stack + 3136;
 Libr12->t2vrr_classes[5][8] = int_stack + 4396;
 Libr12->gvrr_classes[6][9] = int_stack + 5341;
 Libr12->t2vrr_classes[5][9] = int_stack + 6881;
 Libr12->gvrr_classes[6][10] = int_stack + 8036;
 Libr12->t2vrr_classes[5][10] = int_stack + 9884;
 Libr12->gvrr_classes[6][11] = int_stack + 11270;
 Libr12->t2vrr_classes[5][11] = int_stack + 13454;
 Libr12->t2vrr_classes[5][12] = int_stack + 15092;
 Libr12->t1vrr_classes[5][6] = int_stack + 17003;
 Libr12->t1vrr_classes[5][7] = int_stack + 17591;
 Libr12->t1vrr_classes[5][8] = int_stack + 18347;
 Libr12->t1vrr_classes[5][9] = int_stack + 19292;
 Libr12->t1vrr_classes[5][10] = int_stack + 20447;
 Libr12->t1vrr_classes[5][11] = int_stack + 21833;
 Libr12->t1vrr_classes[5][12] = int_stack + 23471;
 Libr12->rvrr_classes[5][6] = int_stack + 25382;
 Libr12->rvrr_classes[5][7] = int_stack + 25970;
 Libr12->rvrr_classes[5][8] = int_stack + 26726;
 Libr12->rvrr_classes[5][9] = int_stack + 27671;
 Libr12->rvrr_classes[5][10] = int_stack + 28826;
 Libr12->rvrr_classes[5][11] = int_stack + 30212;
 Libr12->rvrr_classes[5][12] = int_stack + 31850;
 Libr12->gvrr_classes[5][6] = int_stack + 33761;
 Libr12->gvrr_classes[5][7] = int_stack + 34349;
 Libr12->gvrr_classes[5][8] = int_stack + 35105;
 Libr12->gvrr_classes[5][9] = int_stack + 36050;
 Libr12->gvrr_classes[5][10] = int_stack + 37205;
 Libr12->gvrr_classes[5][11] = int_stack + 38591;
 Libr12->gvrr_classes[5][12] = int_stack + 40229;
 memset(int_stack,0,42140*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 42140;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_h0ii(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+42140, int_stack+34349, int_stack+33761, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+43904, int_stack+35105, int_stack+34349, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+46172, int_stack+43904, int_stack+42140, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+49700, int_stack+36050, int_stack+35105, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+52535, int_stack+49700, int_stack+43904, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+57071, int_stack+52535, int_stack+46172, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+62951, int_stack+37205, int_stack+36050, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+66416, int_stack+62951, int_stack+49700, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+72086, int_stack+66416, int_stack+52535, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+79646, int_stack+72086, int_stack+57071, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+88466, int_stack+38591, int_stack+37205, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+92624, int_stack+88466, int_stack+62951, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+99554, int_stack+92624, int_stack+66416, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+109004, int_stack+99554, int_stack+72086, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+120344, int_stack+109004, int_stack+79646, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+132692, int_stack+1372, int_stack+0, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+135044, int_stack+3136, int_stack+1372, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+138068, int_stack+135044, int_stack+132692, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+142772, int_stack+5341, int_stack+3136, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+146552, int_stack+142772, int_stack+135044, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+152600, int_stack+146552, int_stack+138068, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+160440, int_stack+8036, int_stack+5341, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+165060, int_stack+160440, int_stack+142772, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+172620, int_stack+165060, int_stack+146552, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+182700, int_stack+172620, int_stack+152600, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+194460, int_stack+11270, int_stack+8036, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+200004, int_stack+194460, int_stack+160440, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+209244, int_stack+200004, int_stack+165060, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+221844, int_stack+209244, int_stack+172620, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+236964, int_stack+221844, int_stack+182700, 28);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+253428, int_stack+40229, int_stack+38591, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+258342, int_stack+253428, int_stack+88466, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+266658, int_stack+258342, int_stack+92624, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+278208, int_stack+266658, int_stack+99554, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+292383, int_stack+278208, int_stack+109004, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+308259, int_stack+2380, int_stack+784, int_stack+34349, int_stack+0, int_stack+33761, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+310023, int_stack+4396, int_stack+2380, int_stack+35105, int_stack+1372, int_stack+34349, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+312291, int_stack+310023, int_stack+308259, int_stack+43904, int_stack+132692, int_stack+42140, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6881, int_stack+4396, int_stack+36050, int_stack+3136, int_stack+35105, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315819, int_stack+0, int_stack+310023, int_stack+49700, int_stack+135044, int_stack+43904, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320355, int_stack+315819, int_stack+312291, int_stack+52535, int_stack+138068, int_stack+46172, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42140, int_stack+9884, int_stack+6881, int_stack+37205, int_stack+5341, int_stack+36050, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132692, int_stack+42140, int_stack+0, int_stack+62951, int_stack+142772, int_stack+49700, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+308259, int_stack+132692, int_stack+315819, int_stack+66416, int_stack+146552, int_stack+52535, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45605, int_stack+308259, int_stack+320355, int_stack+72086, int_stack+152600, int_stack+57071, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+315819, int_stack+13454, int_stack+9884, int_stack+38591, int_stack+8036, int_stack+37205, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+319977, int_stack+315819, int_stack+42140, int_stack+88466, int_stack+160440, int_stack+62951, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+319977, int_stack+132692, int_stack+92624, int_stack+165060, int_stack+66416, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132692, int_stack+0, int_stack+308259, int_stack+99554, int_stack+172620, int_stack+72086, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+144032, int_stack+132692, int_stack+45605, int_stack+109004, int_stack+182700, int_stack+79646, 5, 0);
 /*--- compute (h0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+308259, int_stack+15092, int_stack+13454, int_stack+40229, int_stack+11270, int_stack+38591, 5, 0);
 /*--- compute (h0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+156380, int_stack+308259, int_stack+315819, int_stack+253428, int_stack+194460, int_stack+88466, 5, 0);
 /*--- compute (h0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+308259, int_stack+156380, int_stack+319977, int_stack+258342, int_stack+200004, int_stack+92624, 5, 0);
 /*--- compute (h0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+156380, int_stack+308259, int_stack+0, int_stack+266658, int_stack+209244, int_stack+99554, 5, 0);
 /*--- compute (h0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+156380, int_stack+132692, int_stack+278208, int_stack+221844, int_stack+109004, 5, 0);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+132692, int_stack+17591, int_stack+17003, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+134456, int_stack+18347, int_stack+17591, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+136724, int_stack+134456, int_stack+132692, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+140252, int_stack+19292, int_stack+18347, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+156380, int_stack+140252, int_stack+134456, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+160916, int_stack+156380, int_stack+136724, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+132692, int_stack+20447, int_stack+19292, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+166796, int_stack+132692, int_stack+140252, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+136157, int_stack+166796, int_stack+156380, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+172466, int_stack+136157, int_stack+160916, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+156380, int_stack+21833, int_stack+20447, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+181286, int_stack+156380, int_stack+132692, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+188216, int_stack+181286, int_stack+166796, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+160538, int_stack+188216, int_stack+136157, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+197666, int_stack+160538, int_stack+172466, 21);
 /*--- compute (h0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+132692, int_stack+23471, int_stack+21833, 21);
 /*--- compute (h0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+171878, int_stack+132692, int_stack+156380, 21);
 /*--- compute (h0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+210014, int_stack+171878, int_stack+181286, 21);
 /*--- compute (h0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+171878, int_stack+210014, int_stack+188216, 21);
 /*--- compute (h0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+210014, int_stack+171878, int_stack+160538, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+225890, int_stack+25970, int_stack+25382, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+227654, int_stack+26726, int_stack+25970, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+229922, int_stack+227654, int_stack+225890, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+233450, int_stack+27671, int_stack+26726, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+156380, int_stack+233450, int_stack+227654, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+160916, int_stack+156380, int_stack+229922, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+225890, int_stack+28826, int_stack+27671, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+166796, int_stack+225890, int_stack+233450, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+229355, int_stack+166796, int_stack+156380, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+172466, int_stack+229355, int_stack+160916, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+156380, int_stack+30212, int_stack+28826, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+181286, int_stack+156380, int_stack+225890, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+188216, int_stack+181286, int_stack+166796, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+132692, int_stack+188216, int_stack+229355, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+15876, int_stack+132692, int_stack+172466, 21);
 /*--- compute (h0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+225890, int_stack+31850, int_stack+30212, 21);
 /*--- compute (h0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+160538, int_stack+225890, int_stack+156380, 21);
 /*--- compute (h0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+168854, int_stack+160538, int_stack+181286, 21);
 /*--- compute (h0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+28224, int_stack+168854, int_stack+188216, 21);
 /*--- compute (h0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+156380, int_stack+28224, int_stack+132692, 21);
 /*--- compute (h0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28224, int_stack+0, int_stack+144032, int_stack+292383, int_stack+236964, int_stack+120344, 5, 0);
     Libr12->te_ptr[3] = int_stack + 28224;
 /*--- compute (h0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+132692, int_stack+210014, int_stack+197666, 21);
     Libr12->te_ptr[2] = int_stack + 132692;
 /*--- compute (h0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+44688, int_stack+156380, int_stack+15876, 21);
     Libr12->te_ptr[1] = int_stack + 44688;
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+0, int_stack+292383, int_stack+120344, 21);
     Libr12->te_ptr[0] = int_stack + 0;

}
