#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hdid(Libr12_t *, prim_data *);

  /* Computes (hd|id) integrals for linear R12-methods */

void hrr_grt_order_hdid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[6][6] = int_stack + 2289;
 Libr12->t2vrr_classes[6][7] = int_stack + 3073;
 Libr12->t2vrr_classes[6][8] = int_stack + 4081;
 Libr12->gvrr_classes[8][6] = int_stack + 5341;
 Libr12->t2vrr_classes[7][6] = int_stack + 6601;
 Libr12->gvrr_classes[8][7] = int_stack + 7609;
 Libr12->t2vrr_classes[7][7] = int_stack + 9229;
 Libr12->t2vrr_classes[7][8] = int_stack + 10525;
 Libr12->gvrr_classes[5][9] = int_stack + 12145;
 Libr12->t1vrr_classes[5][6] = int_stack + 13300;
 Libr12->t1vrr_classes[5][7] = int_stack + 13888;
 Libr12->t1vrr_classes[5][8] = int_stack + 14644;
 Libr12->gvrr_classes[6][9] = int_stack + 15589;
 Libr12->t1vrr_classes[6][6] = int_stack + 17129;
 Libr12->t1vrr_classes[6][7] = int_stack + 17913;
 Libr12->t1vrr_classes[6][8] = int_stack + 18921;
 Libr12->t1vrr_classes[7][6] = int_stack + 20181;
 Libr12->t1vrr_classes[7][7] = int_stack + 21189;
 Libr12->t1vrr_classes[7][8] = int_stack + 22485;
 Libr12->rvrr_classes[5][6] = int_stack + 24105;
 Libr12->rvrr_classes[5][7] = int_stack + 24693;
 Libr12->rvrr_classes[5][8] = int_stack + 25449;
 Libr12->rvrr_classes[6][6] = int_stack + 26394;
 Libr12->rvrr_classes[6][7] = int_stack + 27178;
 Libr12->rvrr_classes[6][8] = int_stack + 28186;
 Libr12->rvrr_classes[7][6] = int_stack + 29446;
 Libr12->rvrr_classes[7][7] = int_stack + 30454;
 Libr12->rvrr_classes[7][8] = int_stack + 31750;
 Libr12->gvrr_classes[5][6] = int_stack + 33370;
 Libr12->gvrr_classes[5][7] = int_stack + 33958;
 Libr12->gvrr_classes[5][8] = int_stack + 34714;
 Libr12->gvrr_classes[6][6] = int_stack + 35659;
 Libr12->gvrr_classes[6][7] = int_stack + 36443;
 Libr12->gvrr_classes[6][8] = int_stack + 37451;
 Libr12->gvrr_classes[7][6] = int_stack + 38711;
 Libr12->gvrr_classes[7][7] = int_stack + 39719;
 Libr12->gvrr_classes[7][8] = int_stack + 41015;
 memset(int_stack,0,42635*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 42635;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hdid(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+42635, int_stack+33958, int_stack+33370, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+44399, int_stack+36443, int_stack+35659, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+46751, int_stack+34714, int_stack+33958, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49019, int_stack+588, int_stack+0, int_stack+33958, int_stack+35659, int_stack+33370, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50783, int_stack+1344, int_stack+588, int_stack+34714, int_stack+36443, int_stack+33958, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53051, int_stack+50783, int_stack+49019, int_stack+46751, int_stack+44399, int_stack+42635, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+49019, int_stack+39719, int_stack+38711, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+56579, int_stack+37451, int_stack+36443, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59603, int_stack+3073, int_stack+2289, int_stack+36443, int_stack+38711, int_stack+35659, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4081, int_stack+3073, int_stack+37451, int_stack+39719, int_stack+36443, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+61955, int_stack+0, int_stack+59603, int_stack+56579, int_stack+49019, int_stack+44399, 6, 0);
 /*--- compute (hp|[r12,T2]|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+66659, int_stack+61955, int_stack+53051, 168);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+7609, int_stack+5341, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+52043, int_stack+41015, int_stack+39719, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77243, int_stack+9229, int_stack+6601, int_stack+39719, int_stack+5341, int_stack+38711, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+80267, int_stack+10525, int_stack+9229, int_stack+41015, int_stack+7609, int_stack+39719, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3780, int_stack+80267, int_stack+77243, int_stack+52043, int_stack+0, int_stack+49019, 7, 0);
 /*--- compute (ip|[r12,T2]|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+77243, int_stack+3780, int_stack+61955, 168);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+46751, int_stack+42635, 21);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3528, int_stack+56579, int_stack+44399, 28);
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+91355, int_stack+3528, int_stack+0, 168);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8232, int_stack+12145, int_stack+34714, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+38711, int_stack+8232, int_stack+46751, 21);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8232, int_stack+15589, int_stack+37451, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+59603, int_stack+8232, int_stack+56579, 28);
 /*--- compute (hp|kd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+101939, int_stack+59603, int_stack+38711, 216);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+115547, int_stack+52043, int_stack+49019, 36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+43247, int_stack+115547, int_stack+3528, 168);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8232, int_stack+13888, int_stack+13300, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+9996, int_stack+14644, int_stack+13888, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12264, int_stack+9996, int_stack+8232, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8232, int_stack+17913, int_stack+17129, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+33370, int_stack+18921, int_stack+17913, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+121595, int_stack+33370, int_stack+8232, 28);
 /*--- compute (hp|[r12,T1]|id) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+126299, int_stack+121595, int_stack+12264, int_stack+3528, int_stack+38711, int_stack+0, 6, 2);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+21189, int_stack+20181, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+8232, int_stack+22485, int_stack+21189, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12120, int_stack+8232, int_stack+0, 36);
 /*--- compute (ip|[r12,T1]|id) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+136883, int_stack+12120, int_stack+121595, int_stack+115547, int_stack+59603, int_stack+3528, 6, 2);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+115547, int_stack+24693, int_stack+24105, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+117311, int_stack+25449, int_stack+24693, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+119579, int_stack+117311, int_stack+115547, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+115547, int_stack+27178, int_stack+26394, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+123107, int_stack+28186, int_stack+27178, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+123107, int_stack+115547, 28);
 /*--- compute (hp||id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+4704, int_stack+0, int_stack+119579, 168);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+115547, int_stack+30454, int_stack+29446, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+118571, int_stack+31750, int_stack+30454, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+15288, int_stack+118571, int_stack+115547, 36);
 /*--- compute (ip||id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+21336, int_stack+15288, int_stack+0, 168);
 /*--- compute (hd|[r12,T2]|id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+150995, int_stack+77243, int_stack+66659, 168);
     Libr12->te_ptr[3] = int_stack + 150995;
 /*--- compute (hd|[r12,T1]|id) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+57359, int_stack+136883, int_stack+126299, int_stack+43247, int_stack+101939, int_stack+91355, 6, 2);
     Libr12->te_ptr[2] = int_stack + 57359;
 /*--- compute (hd||id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+101939, int_stack+21336, int_stack+4704, 168);
     Libr12->te_ptr[1] = int_stack + 101939;
 /*--- compute (hd|id) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+123107, int_stack+43247, int_stack+91355, 168);
     Libr12->te_ptr[0] = int_stack + 123107;

}
