#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hdif(Libr12_t *, prim_data *);

  /* Computes (hd|if) integrals for linear R12-methods */

void hrr_grt_order_hdif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[6][6] = int_stack + 3444;
 Libr12->t2vrr_classes[6][7] = int_stack + 4228;
 Libr12->t2vrr_classes[6][8] = int_stack + 5236;
 Libr12->t2vrr_classes[6][9] = int_stack + 6496;
 Libr12->gvrr_classes[8][6] = int_stack + 8036;
 Libr12->t2vrr_classes[7][6] = int_stack + 9296;
 Libr12->gvrr_classes[8][7] = int_stack + 10304;
 Libr12->t2vrr_classes[7][7] = int_stack + 11924;
 Libr12->gvrr_classes[8][8] = int_stack + 13220;
 Libr12->t2vrr_classes[7][8] = int_stack + 15245;
 Libr12->t2vrr_classes[7][9] = int_stack + 16865;
 Libr12->gvrr_classes[5][10] = int_stack + 18845;
 Libr12->t1vrr_classes[5][6] = int_stack + 20231;
 Libr12->t1vrr_classes[5][7] = int_stack + 20819;
 Libr12->t1vrr_classes[5][8] = int_stack + 21575;
 Libr12->t1vrr_classes[5][9] = int_stack + 22520;
 Libr12->gvrr_classes[6][10] = int_stack + 23675;
 Libr12->t1vrr_classes[6][6] = int_stack + 25523;
 Libr12->t1vrr_classes[6][7] = int_stack + 26307;
 Libr12->t1vrr_classes[6][8] = int_stack + 27315;
 Libr12->t1vrr_classes[6][9] = int_stack + 28575;
 Libr12->t1vrr_classes[7][6] = int_stack + 30115;
 Libr12->t1vrr_classes[7][7] = int_stack + 31123;
 Libr12->t1vrr_classes[7][8] = int_stack + 32419;
 Libr12->t1vrr_classes[7][9] = int_stack + 34039;
 Libr12->rvrr_classes[5][6] = int_stack + 36019;
 Libr12->rvrr_classes[5][7] = int_stack + 36607;
 Libr12->rvrr_classes[5][8] = int_stack + 37363;
 Libr12->rvrr_classes[5][9] = int_stack + 38308;
 Libr12->rvrr_classes[6][6] = int_stack + 39463;
 Libr12->rvrr_classes[6][7] = int_stack + 40247;
 Libr12->rvrr_classes[6][8] = int_stack + 41255;
 Libr12->rvrr_classes[6][9] = int_stack + 42515;
 Libr12->rvrr_classes[7][6] = int_stack + 44055;
 Libr12->rvrr_classes[7][7] = int_stack + 45063;
 Libr12->rvrr_classes[7][8] = int_stack + 46359;
 Libr12->rvrr_classes[7][9] = int_stack + 47979;
 Libr12->gvrr_classes[5][6] = int_stack + 49959;
 Libr12->gvrr_classes[5][7] = int_stack + 50547;
 Libr12->gvrr_classes[5][8] = int_stack + 51303;
 Libr12->gvrr_classes[5][9] = int_stack + 52248;
 Libr12->gvrr_classes[6][6] = int_stack + 53403;
 Libr12->gvrr_classes[6][7] = int_stack + 54187;
 Libr12->gvrr_classes[6][8] = int_stack + 55195;
 Libr12->gvrr_classes[6][9] = int_stack + 56455;
 Libr12->gvrr_classes[7][6] = int_stack + 57995;
 Libr12->gvrr_classes[7][7] = int_stack + 59003;
 Libr12->gvrr_classes[7][8] = int_stack + 60299;
 Libr12->gvrr_classes[7][9] = int_stack + 61919;
 memset(int_stack,0,63899*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 63899;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hdif(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+63899, int_stack+50547, int_stack+49959, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+65663, int_stack+51303, int_stack+50547, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+67931, int_stack+65663, int_stack+63899, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+71459, int_stack+54187, int_stack+53403, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+73811, int_stack+55195, int_stack+54187, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+76835, int_stack+73811, int_stack+71459, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+81539, int_stack+52248, int_stack+51303, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+84374, int_stack+81539, int_stack+65663, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88910, int_stack+588, int_stack+0, int_stack+50547, int_stack+53403, int_stack+49959, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90674, int_stack+1344, int_stack+588, int_stack+51303, int_stack+54187, int_stack+50547, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92942, int_stack+90674, int_stack+88910, int_stack+65663, int_stack+71459, int_stack+63899, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+96470, int_stack+2289, int_stack+1344, int_stack+52248, int_stack+55195, int_stack+51303, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99305, int_stack+96470, int_stack+90674, int_stack+81539, int_stack+73811, int_stack+65663, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103841, int_stack+99305, int_stack+92942, int_stack+84374, int_stack+76835, int_stack+67931, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+63899, int_stack+59003, int_stack+57995, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+88910, int_stack+60299, int_stack+59003, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+92798, int_stack+88910, int_stack+63899, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+98846, int_stack+56455, int_stack+55195, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+109721, int_stack+98846, int_stack+73811, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4228, int_stack+3444, int_stack+54187, int_stack+57995, int_stack+53403, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+115769, int_stack+5236, int_stack+4228, int_stack+55195, int_stack+59003, int_stack+54187, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118793, int_stack+115769, int_stack+0, int_stack+73811, int_stack+63899, int_stack+71459, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6496, int_stack+5236, int_stack+56455, int_stack+60299, int_stack+55195, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123497, int_stack+0, int_stack+115769, int_stack+98846, int_stack+88910, int_stack+73811, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+123497, int_stack+118793, int_stack+109721, int_stack+92798, int_stack+76835, 6, 0);
 /*--- compute (hp|[r12,T2]|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+115769, int_stack+0, int_stack+103841, 280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+71459, int_stack+10304, int_stack+8036, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+102626, int_stack+13220, int_stack+10304, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+133409, int_stack+102626, int_stack+71459, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+140969, int_stack+61919, int_stack+60299, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+145829, int_stack+140969, int_stack+88910, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53403, int_stack+11924, int_stack+9296, int_stack+59003, int_stack+8036, int_stack+57995, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+153605, int_stack+15245, int_stack+11924, int_stack+60299, int_stack+10304, int_stack+59003, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157493, int_stack+153605, int_stack+53403, int_stack+88910, int_stack+71459, int_stack+63899, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71459, int_stack+16865, int_stack+15245, int_stack+61919, int_stack+13220, int_stack+60299, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57995, int_stack+71459, int_stack+153605, int_stack+140969, int_stack+102626, int_stack+88910, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7840, int_stack+57995, int_stack+157493, int_stack+145829, int_stack+133409, int_stack+92798, 7, 0);
 /*--- compute (ip|[r12,T2]|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+153605, int_stack+7840, int_stack+0, 280);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+84374, int_stack+67931, 21);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+109721, int_stack+76835, 28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+57995, int_stack+5880, int_stack+0, 280);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+13720, int_stack+18845, int_stack+52248, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+133409, int_stack+13720, int_stack+81539, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+75635, int_stack+133409, int_stack+84374, 21);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+133409, int_stack+23675, int_stack+56455, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+138029, int_stack+133409, int_stack+98846, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+98846, int_stack+138029, int_stack+109721, 28);
 /*--- compute (hp|kf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+177125, int_stack+98846, int_stack+75635, 360);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+133409, int_stack+145829, int_stack+92798, 36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+199805, int_stack+133409, int_stack+5880, 280);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+108926, int_stack+20819, int_stack+20231, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+110690, int_stack+21575, int_stack+20819, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+143489, int_stack+110690, int_stack+108926, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+147017, int_stack+22520, int_stack+21575, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13720, int_stack+147017, int_stack+110690, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+147017, int_stack+13720, int_stack+143489, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+143489, int_stack+26307, int_stack+25523, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13720, int_stack+27315, int_stack+26307, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+16744, int_stack+13720, int_stack+143489, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+21448, int_stack+28575, int_stack+27315, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+108926, int_stack+21448, int_stack+13720, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+21448, int_stack+108926, int_stack+16744, 28);
 /*--- compute (hp|[r12,T1]|if) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+223325, int_stack+21448, int_stack+147017, int_stack+5880, int_stack+75635, int_stack+0, 6, 3);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+31123, int_stack+30115, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+75635, int_stack+32419, int_stack+31123, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+79523, int_stack+75635, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+34039, int_stack+32419, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+85571, int_stack+0, int_stack+75635, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+143489, int_stack+85571, int_stack+79523, 36);
 /*--- compute (ip|[r12,T1]|if) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+240965, int_stack+143489, int_stack+21448, int_stack+133409, int_stack+98846, int_stack+5880, 6, 3);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+133409, int_stack+36607, int_stack+36019, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+135173, int_stack+37363, int_stack+36607, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+137441, int_stack+135173, int_stack+133409, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+140969, int_stack+38308, int_stack+37363, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+143804, int_stack+140969, int_stack+135173, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+75635, int_stack+143804, int_stack+137441, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+133409, int_stack+40247, int_stack+39463, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+135761, int_stack+41255, int_stack+40247, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+138785, int_stack+135761, int_stack+133409, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+143489, int_stack+42515, int_stack+41255, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+147269, int_stack+143489, int_stack+135761, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+81515, int_stack+147269, int_stack+138785, 28);
 /*--- compute (hp||if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+133409, int_stack+81515, int_stack+75635, 280);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+75635, int_stack+45063, int_stack+44055, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+89355, int_stack+46359, int_stack+45063, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+93243, int_stack+89355, int_stack+75635, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+75635, int_stack+47979, int_stack+46359, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+99291, int_stack+75635, int_stack+89355, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+99291, int_stack+93243, 36);
 /*--- compute (ip||if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+89355, int_stack+0, int_stack+81515, 280);
 /*--- compute (hd|[r12,T2]|if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+153605, int_stack+115769, 280);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (hd|[r12,T1]|if) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+264485, int_stack+240965, int_stack+223325, int_stack+199805, int_stack+177125, int_stack+57995, 6, 3);
     Libr12->te_ptr[2] = int_stack + 264485;
 /*--- compute (hd||if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+223325, int_stack+89355, int_stack+133409, 280);
     Libr12->te_ptr[1] = int_stack + 223325;
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+75635, int_stack+199805, int_stack+57995, 280);
     Libr12->te_ptr[0] = int_stack + 75635;

}
