#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hdig(Libr12_t *, prim_data *);

  /* Computes (hd|ig) integrals for linear R12-methods */

void hrr_grt_order_hdig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[5][10] = int_stack + 3444;
 Libr12->t2vrr_classes[6][6] = int_stack + 4830;
 Libr12->t2vrr_classes[6][7] = int_stack + 5614;
 Libr12->t2vrr_classes[6][8] = int_stack + 6622;
 Libr12->t2vrr_classes[6][9] = int_stack + 7882;
 Libr12->t2vrr_classes[6][10] = int_stack + 9422;
 Libr12->gvrr_classes[8][6] = int_stack + 11270;
 Libr12->t2vrr_classes[7][6] = int_stack + 12530;
 Libr12->gvrr_classes[8][7] = int_stack + 13538;
 Libr12->t2vrr_classes[7][7] = int_stack + 15158;
 Libr12->gvrr_classes[8][8] = int_stack + 16454;
 Libr12->t2vrr_classes[7][8] = int_stack + 18479;
 Libr12->gvrr_classes[8][9] = int_stack + 20099;
 Libr12->t2vrr_classes[7][9] = int_stack + 22574;
 Libr12->t2vrr_classes[7][10] = int_stack + 24554;
 Libr12->gvrr_classes[5][11] = int_stack + 26930;
 Libr12->t1vrr_classes[5][6] = int_stack + 28568;
 Libr12->t1vrr_classes[5][7] = int_stack + 29156;
 Libr12->t1vrr_classes[5][8] = int_stack + 29912;
 Libr12->t1vrr_classes[5][9] = int_stack + 30857;
 Libr12->t1vrr_classes[5][10] = int_stack + 32012;
 Libr12->gvrr_classes[6][11] = int_stack + 33398;
 Libr12->t1vrr_classes[6][6] = int_stack + 35582;
 Libr12->t1vrr_classes[6][7] = int_stack + 36366;
 Libr12->t1vrr_classes[6][8] = int_stack + 37374;
 Libr12->t1vrr_classes[6][9] = int_stack + 38634;
 Libr12->t1vrr_classes[6][10] = int_stack + 40174;
 Libr12->t1vrr_classes[7][6] = int_stack + 42022;
 Libr12->t1vrr_classes[7][7] = int_stack + 43030;
 Libr12->t1vrr_classes[7][8] = int_stack + 44326;
 Libr12->t1vrr_classes[7][9] = int_stack + 45946;
 Libr12->t1vrr_classes[7][10] = int_stack + 47926;
 Libr12->rvrr_classes[5][6] = int_stack + 50302;
 Libr12->rvrr_classes[5][7] = int_stack + 50890;
 Libr12->rvrr_classes[5][8] = int_stack + 51646;
 Libr12->rvrr_classes[5][9] = int_stack + 52591;
 Libr12->rvrr_classes[5][10] = int_stack + 53746;
 Libr12->rvrr_classes[6][6] = int_stack + 55132;
 Libr12->rvrr_classes[6][7] = int_stack + 55916;
 Libr12->rvrr_classes[6][8] = int_stack + 56924;
 Libr12->rvrr_classes[6][9] = int_stack + 58184;
 Libr12->rvrr_classes[6][10] = int_stack + 59724;
 Libr12->rvrr_classes[7][6] = int_stack + 61572;
 Libr12->rvrr_classes[7][7] = int_stack + 62580;
 Libr12->rvrr_classes[7][8] = int_stack + 63876;
 Libr12->rvrr_classes[7][9] = int_stack + 65496;
 Libr12->rvrr_classes[7][10] = int_stack + 67476;
 Libr12->gvrr_classes[5][6] = int_stack + 69852;
 Libr12->gvrr_classes[5][7] = int_stack + 70440;
 Libr12->gvrr_classes[5][8] = int_stack + 71196;
 Libr12->gvrr_classes[5][9] = int_stack + 72141;
 Libr12->gvrr_classes[5][10] = int_stack + 73296;
 Libr12->gvrr_classes[6][6] = int_stack + 74682;
 Libr12->gvrr_classes[6][7] = int_stack + 75466;
 Libr12->gvrr_classes[6][8] = int_stack + 76474;
 Libr12->gvrr_classes[6][9] = int_stack + 77734;
 Libr12->gvrr_classes[6][10] = int_stack + 79274;
 Libr12->gvrr_classes[7][6] = int_stack + 81122;
 Libr12->gvrr_classes[7][7] = int_stack + 82130;
 Libr12->gvrr_classes[7][8] = int_stack + 83426;
 Libr12->gvrr_classes[7][9] = int_stack + 85046;
 Libr12->gvrr_classes[7][10] = int_stack + 87026;
 memset(int_stack,0,89402*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 89402;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hdig(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+89402, int_stack+70440, int_stack+69852, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+91166, int_stack+71196, int_stack+70440, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+93434, int_stack+91166, int_stack+89402, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+96962, int_stack+72141, int_stack+71196, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+99797, int_stack+96962, int_stack+91166, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+104333, int_stack+99797, int_stack+93434, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+110213, int_stack+75466, int_stack+74682, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+112565, int_stack+76474, int_stack+75466, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+115589, int_stack+112565, int_stack+110213, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+120293, int_stack+77734, int_stack+76474, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+124073, int_stack+120293, int_stack+112565, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+130121, int_stack+124073, int_stack+115589, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+137961, int_stack+73296, int_stack+72141, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+141426, int_stack+137961, int_stack+96962, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+147096, int_stack+141426, int_stack+99797, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154656, int_stack+588, int_stack+0, int_stack+70440, int_stack+74682, int_stack+69852, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+156420, int_stack+1344, int_stack+588, int_stack+71196, int_stack+75466, int_stack+70440, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158688, int_stack+156420, int_stack+154656, int_stack+91166, int_stack+110213, int_stack+89402, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+162216, int_stack+2289, int_stack+1344, int_stack+72141, int_stack+76474, int_stack+71196, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165051, int_stack+162216, int_stack+156420, int_stack+96962, int_stack+112565, int_stack+91166, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169587, int_stack+165051, int_stack+158688, int_stack+99797, int_stack+115589, int_stack+93434, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89402, int_stack+3444, int_stack+2289, int_stack+73296, int_stack+77734, int_stack+72141, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154656, int_stack+89402, int_stack+162216, int_stack+137961, int_stack+120293, int_stack+96962, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89402, int_stack+154656, int_stack+165051, int_stack+141426, int_stack+124073, int_stack+99797, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154656, int_stack+89402, int_stack+169587, int_stack+147096, int_stack+130121, int_stack+104333, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+89402, int_stack+82130, int_stack+81122, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+92426, int_stack+83426, int_stack+82130, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+96314, int_stack+92426, int_stack+89402, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+163476, int_stack+85046, int_stack+83426, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+168336, int_stack+163476, int_stack+92426, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+176112, int_stack+168336, int_stack+96314, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+79274, int_stack+77734, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+186192, int_stack+0, int_stack+120293, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+193752, int_stack+186192, int_stack+124073, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69852, int_stack+5614, int_stack+4830, int_stack+75466, int_stack+81122, int_stack+74682, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203832, int_stack+6622, int_stack+5614, int_stack+76474, int_stack+82130, int_stack+75466, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206856, int_stack+203832, int_stack+69852, int_stack+112565, int_stack+89402, int_stack+110213, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+211560, int_stack+7882, int_stack+6622, int_stack+77734, int_stack+83426, int_stack+76474, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+215340, int_stack+211560, int_stack+203832, int_stack+120293, int_stack+92426, int_stack+112565, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+221388, int_stack+215340, int_stack+206856, int_stack+124073, int_stack+96314, int_stack+115589, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203832, int_stack+9422, int_stack+7882, int_stack+79274, int_stack+85046, int_stack+77734, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+110213, int_stack+203832, int_stack+211560, int_stack+0, int_stack+163476, int_stack+120293, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203832, int_stack+110213, int_stack+215340, int_stack+186192, int_stack+168336, int_stack+124073, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+110213, int_stack+203832, int_stack+221388, int_stack+193752, int_stack+176112, int_stack+130121, 6, 0);
 /*--- compute (hp|[r12,T2]|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+203832, int_stack+110213, int_stack+154656, 420);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+154656, int_stack+13538, int_stack+11270, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+158436, int_stack+16454, int_stack+13538, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+121973, int_stack+158436, int_stack+154656, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+20099, int_stack+16454, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+230292, int_stack+4620, int_stack+158436, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+240012, int_stack+230292, int_stack+121973, 45);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+252612, int_stack+87026, int_stack+85046, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+258552, int_stack+252612, int_stack+163476, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+268272, int_stack+258552, int_stack+168336, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69852, int_stack+15158, int_stack+12530, int_stack+82130, int_stack+11270, int_stack+81122, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74682, int_stack+18479, int_stack+15158, int_stack+83426, int_stack+13538, int_stack+82130, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+281232, int_stack+74682, int_stack+69852, int_stack+92426, int_stack+154656, int_stack+89402, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10695, int_stack+22574, int_stack+18479, int_stack+85046, int_stack+16454, int_stack+83426, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+287280, int_stack+10695, int_stack+74682, int_stack+163476, int_stack+158436, int_stack+92426, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+295056, int_stack+287280, int_stack+281232, int_stack+168336, int_stack+121973, int_stack+96314, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121973, int_stack+24554, int_stack+22574, int_stack+87026, int_stack+20099, int_stack+85046, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81122, int_stack+121973, int_stack+10695, int_stack+252612, int_stack+4620, int_stack+163476, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4620, int_stack+81122, int_stack+287280, int_stack+258552, int_stack+230292, int_stack+168336, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81122, int_stack+4620, int_stack+295056, int_stack+268272, int_stack+240012, int_stack+176112, 7, 0);
 /*--- compute (ip|[r12,T2]|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+230292, int_stack+81122, int_stack+110213, 420);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+110213, int_stack+147096, int_stack+104333, 21);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+81122, int_stack+193752, int_stack+130121, 28);
 /*--- compute (hp|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+281232, int_stack+81122, int_stack+110213, 420);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+119033, int_stack+26930, int_stack+73296, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+123191, int_stack+119033, int_stack+137961, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+130121, int_stack+123191, int_stack+141426, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+92882, int_stack+130121, int_stack+147096, 21);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+119033, int_stack+33398, int_stack+79274, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+124577, int_stack+119033, int_stack+0, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+124577, int_stack+186192, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+12600, int_stack+0, int_stack+193752, 28);
 /*--- compute (hp|kg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+119033, int_stack+12600, int_stack+92882, 540);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+186192, int_stack+268272, int_stack+176112, 36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+307692, int_stack+186192, int_stack+81122, 420);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+29156, int_stack+28568, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+29912, int_stack+29156, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+30857, int_stack+29912, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+153053, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+157589, int_stack+153053, int_stack+4032, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+32012, int_stack+30857, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+27720, int_stack+0, int_stack+7560, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+27720, int_stack+153053, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+163469, int_stack+0, int_stack+157589, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+36366, int_stack+35582, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+37374, int_stack+36366, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+153053, int_stack+38634, int_stack+37374, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+156833, int_stack+153053, int_stack+2352, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+27720, int_stack+156833, int_stack+5376, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+40174, int_stack+38634, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+0, int_stack+153053, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+172289, int_stack+4620, int_stack+156833, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+172289, int_stack+27720, 28);
 /*--- compute (hp|[r12,T1]|ig) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+342972, int_stack+0, int_stack+163469, int_stack+81122, int_stack+92882, int_stack+110213, 6, 4);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+92882, int_stack+43030, int_stack+42022, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+95906, int_stack+44326, int_stack+43030, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+99794, int_stack+95906, int_stack+92882, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+105842, int_stack+45946, int_stack+44326, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+110702, int_stack+105842, int_stack+95906, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+27720, int_stack+110702, int_stack+99794, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+92882, int_stack+47926, int_stack+45946, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+37800, int_stack+92882, int_stack+105842, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+92882, int_stack+37800, int_stack+110702, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+153053, int_stack+92882, int_stack+27720, 36);
 /*--- compute (ip|[r12,T1]|ig) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+369432, int_stack+153053, int_stack+0, int_stack+186192, int_stack+12600, int_stack+81122, 6, 4);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+50890, int_stack+50302, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+51646, int_stack+50890, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+52591, int_stack+51646, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10395, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+14931, int_stack+10395, int_stack+4032, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+53746, int_stack+52591, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+20811, int_stack+0, int_stack+7560, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+20811, int_stack+10395, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+20811, int_stack+0, int_stack+14931, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+55916, int_stack+55132, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+56924, int_stack+55916, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+58184, int_stack+56924, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+10080, int_stack+2352, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+29631, int_stack+13860, int_stack+5376, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+59724, int_stack+58184, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+37471, int_stack+0, int_stack+10080, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+37471, int_stack+13860, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+37471, int_stack+0, int_stack+29631, 28);
 /*--- compute (hp||ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+153053, int_stack+37471, int_stack+20811, 420);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+62580, int_stack+61572, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+63876, int_stack+62580, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6912, int_stack+3024, int_stack+0, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+12960, int_stack+65496, int_stack+63876, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17820, int_stack+12960, int_stack+3024, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+25596, int_stack+17820, int_stack+6912, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+67476, int_stack+65496, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+49231, int_stack+0, int_stack+12960, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+49231, int_stack+17820, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+49231, int_stack+0, int_stack+25596, 36);
 /*--- compute (ip||ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+49231, int_stack+37471, 420);
 /*--- compute (hd|[r12,T2]|ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+35280, int_stack+230292, int_stack+203832, 420);
     Libr12->te_ptr[3] = int_stack + 35280;
 /*--- compute (hd|[r12,T1]|ig) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+179513, int_stack+369432, int_stack+342972, int_stack+307692, int_stack+119033, int_stack+281232, 6, 4);
     Libr12->te_ptr[2] = int_stack + 179513;
 /*--- compute (hd||ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+342972, int_stack+0, int_stack+153053, 420);
     Libr12->te_ptr[1] = int_stack + 342972;
 /*--- compute (hd|ig) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+88200, int_stack+307692, int_stack+281232, 420);
     Libr12->te_ptr[0] = int_stack + 88200;

}
