#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hdih(Libr12_t *, prim_data *);

  /* Computes (hd|ih) integrals for linear R12-methods */

void hrr_grt_order_hdih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[5][10] = int_stack + 3444;
 Libr12->t2vrr_classes[5][11] = int_stack + 4830;
 Libr12->t2vrr_classes[6][6] = int_stack + 6468;
 Libr12->t2vrr_classes[6][7] = int_stack + 7252;
 Libr12->t2vrr_classes[6][8] = int_stack + 8260;
 Libr12->t2vrr_classes[6][9] = int_stack + 9520;
 Libr12->t2vrr_classes[6][10] = int_stack + 11060;
 Libr12->t2vrr_classes[6][11] = int_stack + 12908;
 Libr12->gvrr_classes[8][6] = int_stack + 15092;
 Libr12->t2vrr_classes[7][6] = int_stack + 16352;
 Libr12->gvrr_classes[8][7] = int_stack + 17360;
 Libr12->t2vrr_classes[7][7] = int_stack + 18980;
 Libr12->gvrr_classes[8][8] = int_stack + 20276;
 Libr12->t2vrr_classes[7][8] = int_stack + 22301;
 Libr12->gvrr_classes[8][9] = int_stack + 23921;
 Libr12->t2vrr_classes[7][9] = int_stack + 26396;
 Libr12->gvrr_classes[8][10] = int_stack + 28376;
 Libr12->t2vrr_classes[7][10] = int_stack + 31346;
 Libr12->t2vrr_classes[7][11] = int_stack + 33722;
 Libr12->gvrr_classes[5][12] = int_stack + 36530;
 Libr12->t1vrr_classes[5][6] = int_stack + 38441;
 Libr12->t1vrr_classes[5][7] = int_stack + 39029;
 Libr12->t1vrr_classes[5][8] = int_stack + 39785;
 Libr12->t1vrr_classes[5][9] = int_stack + 40730;
 Libr12->t1vrr_classes[5][10] = int_stack + 41885;
 Libr12->t1vrr_classes[5][11] = int_stack + 43271;
 Libr12->gvrr_classes[6][12] = int_stack + 44909;
 Libr12->t1vrr_classes[6][6] = int_stack + 47457;
 Libr12->t1vrr_classes[6][7] = int_stack + 48241;
 Libr12->t1vrr_classes[6][8] = int_stack + 49249;
 Libr12->t1vrr_classes[6][9] = int_stack + 50509;
 Libr12->t1vrr_classes[6][10] = int_stack + 52049;
 Libr12->t1vrr_classes[6][11] = int_stack + 53897;
 Libr12->t1vrr_classes[7][6] = int_stack + 56081;
 Libr12->t1vrr_classes[7][7] = int_stack + 57089;
 Libr12->t1vrr_classes[7][8] = int_stack + 58385;
 Libr12->t1vrr_classes[7][9] = int_stack + 60005;
 Libr12->t1vrr_classes[7][10] = int_stack + 61985;
 Libr12->t1vrr_classes[7][11] = int_stack + 64361;
 Libr12->rvrr_classes[5][6] = int_stack + 67169;
 Libr12->rvrr_classes[5][7] = int_stack + 67757;
 Libr12->rvrr_classes[5][8] = int_stack + 68513;
 Libr12->rvrr_classes[5][9] = int_stack + 69458;
 Libr12->rvrr_classes[5][10] = int_stack + 70613;
 Libr12->rvrr_classes[5][11] = int_stack + 71999;
 Libr12->rvrr_classes[6][6] = int_stack + 73637;
 Libr12->rvrr_classes[6][7] = int_stack + 74421;
 Libr12->rvrr_classes[6][8] = int_stack + 75429;
 Libr12->rvrr_classes[6][9] = int_stack + 76689;
 Libr12->rvrr_classes[6][10] = int_stack + 78229;
 Libr12->rvrr_classes[6][11] = int_stack + 80077;
 Libr12->rvrr_classes[7][6] = int_stack + 82261;
 Libr12->rvrr_classes[7][7] = int_stack + 83269;
 Libr12->rvrr_classes[7][8] = int_stack + 84565;
 Libr12->rvrr_classes[7][9] = int_stack + 86185;
 Libr12->rvrr_classes[7][10] = int_stack + 88165;
 Libr12->rvrr_classes[7][11] = int_stack + 90541;
 Libr12->gvrr_classes[5][6] = int_stack + 93349;
 Libr12->gvrr_classes[5][7] = int_stack + 93937;
 Libr12->gvrr_classes[5][8] = int_stack + 94693;
 Libr12->gvrr_classes[5][9] = int_stack + 95638;
 Libr12->gvrr_classes[5][10] = int_stack + 96793;
 Libr12->gvrr_classes[5][11] = int_stack + 98179;
 Libr12->gvrr_classes[6][6] = int_stack + 99817;
 Libr12->gvrr_classes[6][7] = int_stack + 100601;
 Libr12->gvrr_classes[6][8] = int_stack + 101609;
 Libr12->gvrr_classes[6][9] = int_stack + 102869;
 Libr12->gvrr_classes[6][10] = int_stack + 104409;
 Libr12->gvrr_classes[6][11] = int_stack + 106257;
 Libr12->gvrr_classes[7][6] = int_stack + 108441;
 Libr12->gvrr_classes[7][7] = int_stack + 109449;
 Libr12->gvrr_classes[7][8] = int_stack + 110745;
 Libr12->gvrr_classes[7][9] = int_stack + 112365;
 Libr12->gvrr_classes[7][10] = int_stack + 114345;
 Libr12->gvrr_classes[7][11] = int_stack + 116721;
 memset(int_stack,0,119529*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 119529;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hdih(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+119529, int_stack+93937, int_stack+93349, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+121293, int_stack+94693, int_stack+93937, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+123561, int_stack+121293, int_stack+119529, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+127089, int_stack+95638, int_stack+94693, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+129924, int_stack+127089, int_stack+121293, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+134460, int_stack+129924, int_stack+123561, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+140340, int_stack+96793, int_stack+95638, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+143805, int_stack+140340, int_stack+127089, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+149475, int_stack+143805, int_stack+129924, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+157035, int_stack+149475, int_stack+134460, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+165855, int_stack+100601, int_stack+99817, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+168207, int_stack+101609, int_stack+100601, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+171231, int_stack+168207, int_stack+165855, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+175935, int_stack+102869, int_stack+101609, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+179715, int_stack+175935, int_stack+168207, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+185763, int_stack+179715, int_stack+171231, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+193603, int_stack+104409, int_stack+102869, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+198223, int_stack+193603, int_stack+175935, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+205783, int_stack+198223, int_stack+179715, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+215863, int_stack+205783, int_stack+185763, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+227623, int_stack+98179, int_stack+96793, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+231781, int_stack+227623, int_stack+140340, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+238711, int_stack+231781, int_stack+143805, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+248161, int_stack+238711, int_stack+149475, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+259501, int_stack+588, int_stack+0, int_stack+93937, int_stack+99817, int_stack+93349, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+261265, int_stack+1344, int_stack+588, int_stack+94693, int_stack+100601, int_stack+93937, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+263533, int_stack+261265, int_stack+259501, int_stack+121293, int_stack+165855, int_stack+119529, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267061, int_stack+2289, int_stack+1344, int_stack+95638, int_stack+101609, int_stack+94693, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+269896, int_stack+267061, int_stack+261265, int_stack+127089, int_stack+168207, int_stack+121293, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+274432, int_stack+269896, int_stack+263533, int_stack+129924, int_stack+171231, int_stack+123561, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119529, int_stack+3444, int_stack+2289, int_stack+96793, int_stack+102869, int_stack+95638, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+259501, int_stack+119529, int_stack+267061, int_stack+140340, int_stack+175935, int_stack+127089, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+280312, int_stack+259501, int_stack+269896, int_stack+143805, int_stack+179715, int_stack+129924, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122994, int_stack+280312, int_stack+274432, int_stack+149475, int_stack+185763, int_stack+134460, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131814, int_stack+4830, int_stack+3444, int_stack+98179, int_stack+104409, int_stack+96793, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265171, int_stack+131814, int_stack+119529, int_stack+227623, int_stack+193603, int_stack+140340, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131814, int_stack+265171, int_stack+259501, int_stack+231781, int_stack+198223, int_stack+143805, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+259501, int_stack+131814, int_stack+280312, int_stack+238711, int_stack+205783, int_stack+149475, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131814, int_stack+259501, int_stack+122994, int_stack+248161, int_stack+215863, int_stack+157035, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+259501, int_stack+109449, int_stack+108441, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+262525, int_stack+110745, int_stack+109449, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+266413, int_stack+262525, int_stack+259501, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+272461, int_stack+112365, int_stack+110745, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+277321, int_stack+272461, int_stack+262525, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+144162, int_stack+277321, int_stack+266413, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+119529, int_stack+114345, int_stack+112365, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+285097, int_stack+119529, int_stack+272461, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+294817, int_stack+285097, int_stack+277321, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+307777, int_stack+294817, int_stack+144162, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+125469, int_stack+106257, int_stack+104409, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+322897, int_stack+125469, int_stack+193603, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+332137, int_stack+322897, int_stack+198223, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+344737, int_stack+332137, int_stack+205783, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154242, int_stack+7252, int_stack+6468, int_stack+100601, int_stack+108441, int_stack+99817, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93349, int_stack+8260, int_stack+7252, int_stack+101609, int_stack+109449, int_stack+100601, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+93349, int_stack+154242, int_stack+168207, int_stack+259501, int_stack+165855, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+359857, int_stack+9520, int_stack+8260, int_stack+102869, int_stack+110745, int_stack+101609, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+363637, int_stack+359857, int_stack+93349, int_stack+175935, int_stack+262525, int_stack+168207, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+369685, int_stack+363637, int_stack+0, int_stack+179715, int_stack+266413, int_stack+171231, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+11060, int_stack+9520, int_stack+104409, int_stack+112365, int_stack+102869, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165855, int_stack+0, int_stack+359857, int_stack+193603, int_stack+272461, int_stack+175935, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+377525, int_stack+165855, int_stack+363637, int_stack+198223, int_stack+277321, int_stack+179715, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+173415, int_stack+377525, int_stack+369685, int_stack+205783, int_stack+144162, int_stack+185763, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+359857, int_stack+12908, int_stack+11060, int_stack+106257, int_stack+114345, int_stack+104409, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+365401, int_stack+359857, int_stack+0, int_stack+125469, int_stack+119529, int_stack+193603, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+365401, int_stack+165855, int_stack+322897, int_stack+285097, int_stack+198223, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+359857, int_stack+0, int_stack+377525, int_stack+332137, int_stack+294817, int_stack+205783, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+185175, int_stack+359857, int_stack+173415, int_stack+344737, int_stack+307777, int_stack+215863, 6, 0);
 /*--- compute (hp|[r12,T2]|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+359857, int_stack+185175, int_stack+131814, 588);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17360, int_stack+15092, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+20276, int_stack+17360, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+165855, int_stack+3780, int_stack+0, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8640, int_stack+23921, int_stack+20276, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+173415, int_stack+8640, int_stack+3780, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+201639, int_stack+173415, int_stack+165855, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+131013, int_stack+28376, int_stack+23921, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+396901, int_stack+131013, int_stack+8640, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+409051, int_stack+396901, int_stack+173415, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+425251, int_stack+409051, int_stack+201639, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+444151, int_stack+116721, int_stack+114345, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+451279, int_stack+444151, int_stack+119529, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+463159, int_stack+451279, int_stack+285097, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+479359, int_stack+463159, int_stack+294817, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93349, int_stack+18980, int_stack+16352, int_stack+109449, int_stack+15092, int_stack+108441, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99817, int_stack+22301, int_stack+18980, int_stack+110745, int_stack+17360, int_stack+109449, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+498799, int_stack+99817, int_stack+93349, int_stack+262525, int_stack+0, int_stack+259501, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14715, int_stack+26396, int_stack+22301, int_stack+112365, int_stack+20276, int_stack+110745, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+504847, int_stack+14715, int_stack+99817, int_stack+272461, int_stack+3780, int_stack+262525, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+512623, int_stack+504847, int_stack+498799, int_stack+277321, int_stack+165855, int_stack+266413, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165855, int_stack+31346, int_stack+26396, int_stack+114345, int_stack+23921, int_stack+112365, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+259501, int_stack+165855, int_stack+14715, int_stack+119529, int_stack+8640, int_stack+272461, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+259501, int_stack+504847, int_stack+285097, int_stack+173415, int_stack+277321, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+269221, int_stack+0, int_stack+512623, int_stack+294817, int_stack+201639, int_stack+144162, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+201639, int_stack+33722, int_stack+31346, int_stack+116721, int_stack+28376, int_stack+114345, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+171795, int_stack+201639, int_stack+165855, int_stack+444151, int_stack+131013, int_stack+119529, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131013, int_stack+171795, int_stack+259501, int_stack+451279, int_stack+396901, int_stack+285097, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+498799, int_stack+131013, int_stack+0, int_stack+463159, int_stack+409051, int_stack+294817, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+498799, int_stack+269221, int_stack+479359, int_stack+425251, int_stack+307777, 7, 0);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+396901, int_stack+0, int_stack+185175, 588);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+248161, int_stack+157035, 21);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+344737, int_stack+215863, 28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+131013, int_stack+12348, int_stack+0, 588);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+28812, int_stack+36530, int_stack+98179, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+498799, int_stack+28812, int_stack+227623, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+507115, int_stack+498799, int_stack+231781, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+168057, int_stack+507115, int_stack+238711, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+498799, int_stack+168057, int_stack+248161, 21);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+168057, int_stack+44909, int_stack+106257, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+174609, int_stack+168057, int_stack+125469, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+185697, int_stack+174609, int_stack+322897, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+201097, int_stack+185697, int_stack+332137, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+322897, int_stack+201097, int_stack+344737, 28);
 /*--- compute (hp|kh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+168057, int_stack+322897, int_stack+498799, 756);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+215685, int_stack+479359, int_stack+307777, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+236853, int_stack+215685, int_stack+12348, 588);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+344065, int_stack+39029, int_stack+38441, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+345829, int_stack+39785, int_stack+39029, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+348097, int_stack+345829, int_stack+344065, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+351625, int_stack+40730, int_stack+39785, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+354460, int_stack+351625, int_stack+345829, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+286245, int_stack+354460, int_stack+348097, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+344065, int_stack+41885, int_stack+40730, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+292125, int_stack+344065, int_stack+351625, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+297795, int_stack+292125, int_stack+354460, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+347530, int_stack+297795, int_stack+286245, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+286245, int_stack+43271, int_stack+41885, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+305355, int_stack+286245, int_stack+344065, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+312285, int_stack+305355, int_stack+292125, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+286245, int_stack+312285, int_stack+297795, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+297585, int_stack+286245, int_stack+347530, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+286245, int_stack+48241, int_stack+47457, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+288597, int_stack+49249, int_stack+48241, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+291621, int_stack+288597, int_stack+286245, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+344065, int_stack+50509, int_stack+49249, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+347845, int_stack+344065, int_stack+288597, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+309933, int_stack+347845, int_stack+291621, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+286245, int_stack+52049, int_stack+50509, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+514675, int_stack+286245, int_stack+344065, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+28812, int_stack+514675, int_stack+347845, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+344065, int_stack+28812, int_stack+309933, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+309933, int_stack+53897, int_stack+52049, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+38892, int_stack+309933, int_stack+286245, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+309933, int_stack+38892, int_stack+514675, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+38892, int_stack+309933, int_stack+28812, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+446293, int_stack+38892, int_stack+344065, 28);
 /*--- compute (hp|[r12,T1]|ih) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+93349, int_stack+446293, int_stack+297585, int_stack+12348, int_stack+498799, int_stack+0, 6, 5);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+57089, int_stack+56081, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+58385, int_stack+57089, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+344065, int_stack+3024, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6912, int_stack+60005, int_stack+58385, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+350113, int_stack+6912, int_stack+3024, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+28812, int_stack+350113, int_stack+344065, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+344065, int_stack+61985, int_stack+60005, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+38892, int_stack+344065, int_stack+6912, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+48612, int_stack+38892, int_stack+350113, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+286245, int_stack+48612, int_stack+28812, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+28812, int_stack+64361, int_stack+61985, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+0, int_stack+28812, int_stack+344065, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+301365, int_stack+0, int_stack+38892, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+28812, int_stack+301365, int_stack+48612, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+301365, int_stack+28812, int_stack+286245, 36);
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+462757, int_stack+301365, int_stack+446293, int_stack+215685, int_stack+322897, int_stack+12348, 6, 5);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+215685, int_stack+67757, int_stack+67169, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+217449, int_stack+68513, int_stack+67757, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+219717, int_stack+217449, int_stack+215685, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+223245, int_stack+69458, int_stack+68513, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+226080, int_stack+223245, int_stack+217449, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+230616, int_stack+226080, int_stack+219717, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+215685, int_stack+70613, int_stack+69458, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+446293, int_stack+215685, int_stack+223245, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+451963, int_stack+446293, int_stack+226080, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+219150, int_stack+451963, int_stack+230616, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+227970, int_stack+71999, int_stack+70613, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+286245, int_stack+227970, int_stack+215685, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+293175, int_stack+286245, int_stack+446293, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+302625, int_stack+293175, int_stack+451963, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+446293, int_stack+302625, int_stack+219150, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+458641, int_stack+74421, int_stack+73637, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+286245, int_stack+75429, int_stack+74421, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+289269, int_stack+286245, int_stack+458641, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+458641, int_stack+76689, int_stack+75429, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+293973, int_stack+458641, int_stack+286245, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+300021, int_stack+293973, int_stack+289269, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+286245, int_stack+78229, int_stack+76689, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+307861, int_stack+286245, int_stack+458641, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+315421, int_stack+307861, int_stack+293973, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+325501, int_stack+315421, int_stack+300021, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+290865, int_stack+80077, int_stack+78229, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+296409, int_stack+290865, int_stack+286245, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+337261, int_stack+296409, int_stack+307861, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+286245, int_stack+337261, int_stack+315421, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+337261, int_stack+286245, int_stack+325501, 28);
 /*--- compute (hp||ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+286245, int_stack+337261, int_stack+446293, 588);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+446293, int_stack+83269, int_stack+82261, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+449317, int_stack+84565, int_stack+83269, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+453205, int_stack+449317, int_stack+446293, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+323289, int_stack+86185, int_stack+84565, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+328149, int_stack+323289, int_stack+449317, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+215685, int_stack+328149, int_stack+453205, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+446293, int_stack+88165, int_stack+86185, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+452233, int_stack+446293, int_stack+323289, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+452233, int_stack+328149, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+12960, int_stack+0, int_stack+215685, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+215685, int_stack+90541, int_stack+88165, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+222813, int_stack+215685, int_stack+446293, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+28080, int_stack+222813, int_stack+452233, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+215685, int_stack+28080, int_stack+0, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+28080, int_stack+215685, int_stack+12960, 36);
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+512149, int_stack+28080, int_stack+337261, 588);
 /*--- compute (hd|[r12,T2]|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+396901, int_stack+359857, 588);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (hd|[r12,T1]|ih) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+323289, int_stack+462757, int_stack+93349, int_stack+236853, int_stack+168057, int_stack+131013, 6, 5);
     Libr12->te_ptr[2] = int_stack + 323289;
 /*--- compute (hd||ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+397377, int_stack+512149, int_stack+286245, 588);
     Libr12->te_ptr[1] = int_stack + 397377;
 /*--- compute (hd|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+471465, int_stack+236853, int_stack+131013, 588);
     Libr12->te_ptr[0] = int_stack + 471465;

}
