#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hdii(Libr12_t *, prim_data *);

  /* Computes (hd|ii) integrals for linear R12-methods */

void hrr_grt_order_hdii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[5][10] = int_stack + 3444;
 Libr12->t2vrr_classes[5][11] = int_stack + 4830;
 Libr12->t2vrr_classes[5][12] = int_stack + 6468;
 Libr12->t2vrr_classes[6][6] = int_stack + 8379;
 Libr12->t2vrr_classes[6][7] = int_stack + 9163;
 Libr12->t2vrr_classes[6][8] = int_stack + 10171;
 Libr12->t2vrr_classes[6][9] = int_stack + 11431;
 Libr12->t2vrr_classes[6][10] = int_stack + 12971;
 Libr12->t2vrr_classes[6][11] = int_stack + 14819;
 Libr12->t2vrr_classes[6][12] = int_stack + 17003;
 Libr12->gvrr_classes[8][6] = int_stack + 19551;
 Libr12->t2vrr_classes[7][6] = int_stack + 20811;
 Libr12->gvrr_classes[8][7] = int_stack + 21819;
 Libr12->t2vrr_classes[7][7] = int_stack + 23439;
 Libr12->gvrr_classes[8][8] = int_stack + 24735;
 Libr12->t2vrr_classes[7][8] = int_stack + 26760;
 Libr12->gvrr_classes[8][9] = int_stack + 28380;
 Libr12->t2vrr_classes[7][9] = int_stack + 30855;
 Libr12->gvrr_classes[8][10] = int_stack + 32835;
 Libr12->t2vrr_classes[7][10] = int_stack + 35805;
 Libr12->gvrr_classes[8][11] = int_stack + 38181;
 Libr12->t2vrr_classes[7][11] = int_stack + 41691;
 Libr12->t2vrr_classes[7][12] = int_stack + 44499;
 Libr12->gvrr_classes[5][13] = int_stack + 47775;
 Libr12->t1vrr_classes[5][6] = int_stack + 49980;
 Libr12->t1vrr_classes[5][7] = int_stack + 50568;
 Libr12->t1vrr_classes[5][8] = int_stack + 51324;
 Libr12->t1vrr_classes[5][9] = int_stack + 52269;
 Libr12->t1vrr_classes[5][10] = int_stack + 53424;
 Libr12->t1vrr_classes[5][11] = int_stack + 54810;
 Libr12->t1vrr_classes[5][12] = int_stack + 56448;
 Libr12->gvrr_classes[6][13] = int_stack + 58359;
 Libr12->t1vrr_classes[6][6] = int_stack + 61299;
 Libr12->t1vrr_classes[6][7] = int_stack + 62083;
 Libr12->t1vrr_classes[6][8] = int_stack + 63091;
 Libr12->t1vrr_classes[6][9] = int_stack + 64351;
 Libr12->t1vrr_classes[6][10] = int_stack + 65891;
 Libr12->t1vrr_classes[6][11] = int_stack + 67739;
 Libr12->t1vrr_classes[6][12] = int_stack + 69923;
 Libr12->t1vrr_classes[7][6] = int_stack + 72471;
 Libr12->t1vrr_classes[7][7] = int_stack + 73479;
 Libr12->t1vrr_classes[7][8] = int_stack + 74775;
 Libr12->t1vrr_classes[7][9] = int_stack + 76395;
 Libr12->t1vrr_classes[7][10] = int_stack + 78375;
 Libr12->t1vrr_classes[7][11] = int_stack + 80751;
 Libr12->t1vrr_classes[7][12] = int_stack + 83559;
 Libr12->rvrr_classes[5][6] = int_stack + 86835;
 Libr12->rvrr_classes[5][7] = int_stack + 87423;
 Libr12->rvrr_classes[5][8] = int_stack + 88179;
 Libr12->rvrr_classes[5][9] = int_stack + 89124;
 Libr12->rvrr_classes[5][10] = int_stack + 90279;
 Libr12->rvrr_classes[5][11] = int_stack + 91665;
 Libr12->rvrr_classes[5][12] = int_stack + 93303;
 Libr12->rvrr_classes[6][6] = int_stack + 95214;
 Libr12->rvrr_classes[6][7] = int_stack + 95998;
 Libr12->rvrr_classes[6][8] = int_stack + 97006;
 Libr12->rvrr_classes[6][9] = int_stack + 98266;
 Libr12->rvrr_classes[6][10] = int_stack + 99806;
 Libr12->rvrr_classes[6][11] = int_stack + 101654;
 Libr12->rvrr_classes[6][12] = int_stack + 103838;
 Libr12->rvrr_classes[7][6] = int_stack + 106386;
 Libr12->rvrr_classes[7][7] = int_stack + 107394;
 Libr12->rvrr_classes[7][8] = int_stack + 108690;
 Libr12->rvrr_classes[7][9] = int_stack + 110310;
 Libr12->rvrr_classes[7][10] = int_stack + 112290;
 Libr12->rvrr_classes[7][11] = int_stack + 114666;
 Libr12->rvrr_classes[7][12] = int_stack + 117474;
 Libr12->gvrr_classes[5][6] = int_stack + 120750;
 Libr12->gvrr_classes[5][7] = int_stack + 121338;
 Libr12->gvrr_classes[5][8] = int_stack + 122094;
 Libr12->gvrr_classes[5][9] = int_stack + 123039;
 Libr12->gvrr_classes[5][10] = int_stack + 124194;
 Libr12->gvrr_classes[5][11] = int_stack + 125580;
 Libr12->gvrr_classes[5][12] = int_stack + 127218;
 Libr12->gvrr_classes[6][6] = int_stack + 129129;
 Libr12->gvrr_classes[6][7] = int_stack + 129913;
 Libr12->gvrr_classes[6][8] = int_stack + 130921;
 Libr12->gvrr_classes[6][9] = int_stack + 132181;
 Libr12->gvrr_classes[6][10] = int_stack + 133721;
 Libr12->gvrr_classes[6][11] = int_stack + 135569;
 Libr12->gvrr_classes[6][12] = int_stack + 137753;
 Libr12->gvrr_classes[7][6] = int_stack + 140301;
 Libr12->gvrr_classes[7][7] = int_stack + 141309;
 Libr12->gvrr_classes[7][8] = int_stack + 142605;
 Libr12->gvrr_classes[7][9] = int_stack + 144225;
 Libr12->gvrr_classes[7][10] = int_stack + 146205;
 Libr12->gvrr_classes[7][11] = int_stack + 148581;
 Libr12->gvrr_classes[7][12] = int_stack + 151389;
 memset(int_stack,0,154665*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 154665;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hdii(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+154665, int_stack+121338, int_stack+120750, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+156429, int_stack+122094, int_stack+121338, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+158697, int_stack+156429, int_stack+154665, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+162225, int_stack+123039, int_stack+122094, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+165060, int_stack+162225, int_stack+156429, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+169596, int_stack+165060, int_stack+158697, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+175476, int_stack+124194, int_stack+123039, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+178941, int_stack+175476, int_stack+162225, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+184611, int_stack+178941, int_stack+165060, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+192171, int_stack+184611, int_stack+169596, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+200991, int_stack+125580, int_stack+124194, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+205149, int_stack+200991, int_stack+175476, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+212079, int_stack+205149, int_stack+178941, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+221529, int_stack+212079, int_stack+184611, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+232869, int_stack+221529, int_stack+192171, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+245217, int_stack+129913, int_stack+129129, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+247569, int_stack+130921, int_stack+129913, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+250593, int_stack+247569, int_stack+245217, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+255297, int_stack+132181, int_stack+130921, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+259077, int_stack+255297, int_stack+247569, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+265125, int_stack+259077, int_stack+250593, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+272965, int_stack+133721, int_stack+132181, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+277585, int_stack+272965, int_stack+255297, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+285145, int_stack+277585, int_stack+259077, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+295225, int_stack+285145, int_stack+265125, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+306985, int_stack+135569, int_stack+133721, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+312529, int_stack+306985, int_stack+272965, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+321769, int_stack+312529, int_stack+277585, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+334369, int_stack+321769, int_stack+285145, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+349489, int_stack+334369, int_stack+295225, 28);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+365953, int_stack+127218, int_stack+125580, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+370867, int_stack+365953, int_stack+200991, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+379183, int_stack+370867, int_stack+205149, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+390733, int_stack+379183, int_stack+212079, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+404908, int_stack+390733, int_stack+221529, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420784, int_stack+588, int_stack+0, int_stack+121338, int_stack+129129, int_stack+120750, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+422548, int_stack+1344, int_stack+588, int_stack+122094, int_stack+129913, int_stack+121338, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+424816, int_stack+422548, int_stack+420784, int_stack+156429, int_stack+245217, int_stack+154665, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+428344, int_stack+2289, int_stack+1344, int_stack+123039, int_stack+130921, int_stack+122094, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+431179, int_stack+428344, int_stack+422548, int_stack+162225, int_stack+247569, int_stack+156429, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+435715, int_stack+431179, int_stack+424816, int_stack+165060, int_stack+250593, int_stack+158697, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154665, int_stack+3444, int_stack+2289, int_stack+124194, int_stack+132181, int_stack+123039, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420784, int_stack+154665, int_stack+428344, int_stack+175476, int_stack+255297, int_stack+162225, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+441595, int_stack+420784, int_stack+431179, int_stack+178941, int_stack+259077, int_stack+165060, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158130, int_stack+441595, int_stack+435715, int_stack+184611, int_stack+265125, int_stack+169596, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+166950, int_stack+4830, int_stack+3444, int_stack+125580, int_stack+133721, int_stack+124194, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+426454, int_stack+166950, int_stack+154665, int_stack+200991, int_stack+272965, int_stack+175476, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+449155, int_stack+426454, int_stack+420784, int_stack+205149, int_stack+277585, int_stack+178941, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+171108, int_stack+449155, int_stack+441595, int_stack+212079, int_stack+285145, int_stack+184611, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+433384, int_stack+171108, int_stack+158130, int_stack+221529, int_stack+295225, int_stack+192171, 5, 0);
 /*--- compute (h0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420784, int_stack+6468, int_stack+4830, int_stack+127218, int_stack+135569, int_stack+125580, 5, 0);
 /*--- compute (h0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154665, int_stack+420784, int_stack+166950, int_stack+365953, int_stack+306985, int_stack+200991, 5, 0);
 /*--- compute (h0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182448, int_stack+154665, int_stack+426454, int_stack+370867, int_stack+312529, int_stack+205149, 5, 0);
 /*--- compute (h0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154665, int_stack+182448, int_stack+449155, int_stack+379183, int_stack+321769, int_stack+212079, 5, 0);
 /*--- compute (h0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182448, int_stack+154665, int_stack+171108, int_stack+390733, int_stack+334369, int_stack+221529, 5, 0);
 /*--- compute (h0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154665, int_stack+182448, int_stack+433384, int_stack+404908, int_stack+349489, int_stack+232869, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+171129, int_stack+141309, int_stack+140301, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+174153, int_stack+142605, int_stack+141309, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+178041, int_stack+174153, int_stack+171129, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+184089, int_stack+144225, int_stack+142605, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+188949, int_stack+184089, int_stack+174153, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+196725, int_stack+188949, int_stack+178041, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+206805, int_stack+146205, int_stack+144225, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+212745, int_stack+206805, int_stack+184089, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+420784, int_stack+212745, int_stack+188949, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+433744, int_stack+420784, int_stack+196725, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+222465, int_stack+148581, int_stack+146205, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+448864, int_stack+222465, int_stack+206805, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+460744, int_stack+448864, int_stack+212745, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+476944, int_stack+460744, int_stack+420784, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+496384, int_stack+476944, int_stack+433744, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+137753, int_stack+135569, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+517552, int_stack+0, int_stack+306985, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+528640, int_stack+517552, int_stack+312529, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+544040, int_stack+528640, int_stack+321769, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+562940, int_stack+544040, int_stack+334369, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+229593, int_stack+9163, int_stack+8379, int_stack+129913, int_stack+140301, int_stack+129129, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120750, int_stack+10171, int_stack+9163, int_stack+130921, int_stack+141309, int_stack+129913, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584108, int_stack+120750, int_stack+229593, int_stack+247569, int_stack+171129, int_stack+245217, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+588812, int_stack+11431, int_stack+10171, int_stack+132181, int_stack+142605, int_stack+130921, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+592592, int_stack+588812, int_stack+120750, int_stack+255297, int_stack+174153, int_stack+247569, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+598640, int_stack+592592, int_stack+584108, int_stack+259077, int_stack+178041, int_stack+250593, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584108, int_stack+12971, int_stack+11431, int_stack+133721, int_stack+144225, int_stack+132181, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245217, int_stack+584108, int_stack+588812, int_stack+272965, int_stack+184089, int_stack+255297, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+606480, int_stack+245217, int_stack+592592, int_stack+277585, int_stack+188949, int_stack+259077, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+252777, int_stack+606480, int_stack+598640, int_stack+285145, int_stack+196725, int_stack+265125, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+588728, int_stack+14819, int_stack+12971, int_stack+135569, int_stack+146205, int_stack+133721, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+594272, int_stack+588728, int_stack+584108, int_stack+306985, int_stack+206805, int_stack+272965, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+264537, int_stack+594272, int_stack+245217, int_stack+312529, int_stack+212745, int_stack+277585, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+616560, int_stack+264537, int_stack+606480, int_stack+321769, int_stack+420784, int_stack+285145, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+277137, int_stack+616560, int_stack+252777, int_stack+334369, int_stack+433744, int_stack+295225, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245217, int_stack+17003, int_stack+14819, int_stack+137753, int_stack+148581, int_stack+135569, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+251769, int_stack+245217, int_stack+588728, int_stack+0, int_stack+222465, int_stack+306985, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+293601, int_stack+251769, int_stack+594272, int_stack+517552, int_stack+448864, int_stack+312529, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245217, int_stack+293601, int_stack+264537, int_stack+528640, int_stack+460744, int_stack+321769, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+293601, int_stack+245217, int_stack+616560, int_stack+544040, int_stack+476944, int_stack+334369, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245217, int_stack+293601, int_stack+277137, int_stack+562940, int_stack+496384, int_stack+349489, 6, 0);
 /*--- compute (hp|[r12,T2]|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+267169, int_stack+245217, int_stack+154665, 784);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+154665, int_stack+21819, int_stack+19551, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+158445, int_stack+24735, int_stack+21819, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+163305, int_stack+158445, int_stack+154665, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+316561, int_stack+28380, int_stack+24735, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+322636, int_stack+316561, int_stack+158445, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+332356, int_stack+322636, int_stack+163305, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+584108, int_stack+32835, int_stack+28380, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+591533, int_stack+584108, int_stack+316561, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+603683, int_stack+591533, int_stack+322636, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+619883, int_stack+603683, int_stack+332356, 45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+6552, int_stack+38181, int_stack+32835, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+638783, int_stack+6552, int_stack+584108, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+653633, int_stack+638783, int_stack+591533, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+673883, int_stack+653633, int_stack+603683, 45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+698183, int_stack+673883, int_stack+619883, 45);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+129129, int_stack+151389, int_stack+148581, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+724643, int_stack+129129, int_stack+222465, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+738899, int_stack+724643, int_stack+448864, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+758699, int_stack+738899, int_stack+460744, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+782999, int_stack+758699, int_stack+476944, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+344956, int_stack+23439, int_stack+20811, int_stack+141309, int_stack+19551, int_stack+140301, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+120750, int_stack+26760, int_stack+23439, int_stack+142605, int_stack+21819, int_stack+141309, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15462, int_stack+120750, int_stack+344956, int_stack+174153, int_stack+154665, int_stack+171129, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+810215, int_stack+30855, int_stack+26760, int_stack+144225, int_stack+24735, int_stack+142605, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+815075, int_stack+810215, int_stack+120750, int_stack+184089, int_stack+158445, int_stack+174153, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+822851, int_stack+815075, int_stack+15462, int_stack+188949, int_stack+163305, int_stack+178041, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15462, int_stack+35805, int_stack+30855, int_stack+146205, int_stack+28380, int_stack+144225, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21402, int_stack+15462, int_stack+810215, int_stack+206805, int_stack+316561, int_stack+184089, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154665, int_stack+21402, int_stack+815075, int_stack+212745, int_stack+322636, int_stack+188949, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316561, int_stack+154665, int_stack+822851, int_stack+420784, int_stack+332356, int_stack+196725, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+331681, int_stack+41691, int_stack+35805, int_stack+148581, int_stack+32835, int_stack+146205, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+810215, int_stack+331681, int_stack+15462, int_stack+222465, int_stack+584108, int_stack+206805, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+167625, int_stack+810215, int_stack+21402, int_stack+448864, int_stack+591533, int_stack+212745, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584108, int_stack+167625, int_stack+154665, int_stack+460744, int_stack+603683, int_stack+420784, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15462, int_stack+584108, int_stack+316561, int_stack+476944, int_stack+619883, int_stack+433744, 7, 0);
 /*--- compute (k0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316561, int_stack+44499, int_stack+41691, int_stack+151389, int_stack+38181, int_stack+148581, 7, 0);
 /*--- compute (k0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420784, int_stack+316561, int_stack+331681, int_stack+129129, int_stack+6552, int_stack+222465, 7, 0);
 /*--- compute (k0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316561, int_stack+420784, int_stack+810215, int_stack+724643, int_stack+638783, int_stack+448864, 7, 0);
 /*--- compute (k0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420784, int_stack+316561, int_stack+167625, int_stack+738899, int_stack+653633, int_stack+460744, 7, 0);
 /*--- compute (k0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316561, int_stack+420784, int_stack+584108, int_stack+758699, int_stack+673883, int_stack+476944, 7, 0);
 /*--- compute (k0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+584108, int_stack+316561, int_stack+15462, int_stack+782999, int_stack+698183, int_stack+496384, 7, 0);
 /*--- compute (ip|[r12,T2]|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+612332, int_stack+584108, int_stack+245217, 784);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+245217, int_stack+404908, int_stack+232869, 21);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+584108, int_stack+562940, int_stack+349489, 28);
 /*--- compute (hp|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+316561, int_stack+584108, int_stack+245217, 784);
 /*--- compute (h0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+606060, int_stack+47775, int_stack+127218, 21);
 /*--- compute (h0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+606060, int_stack+365953, 21);
 /*--- compute (h0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+688016, int_stack+678188, int_stack+370867, 21);
 /*--- compute (h0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+701876, int_stack+688016, int_stack+379183, 21);
 /*--- compute (h0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+701876, int_stack+390733, 21);
 /*--- compute (h0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+698033, int_stack+678188, int_stack+404908, 21);
 /*--- compute (i0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+58359, int_stack+137753, 28);
 /*--- compute (i0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+719201, int_stack+678188, int_stack+0, 28);
 /*--- compute (i0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+719201, int_stack+517552, 28);
 /*--- compute (i0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+719201, int_stack+0, int_stack+528640, 28);
 /*--- compute (i0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+719201, int_stack+544040, 28);
 /*--- compute (i0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+719201, int_stack+0, int_stack+562940, 28);
 /*--- compute (hp|ki) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+517552, int_stack+719201, int_stack+698033, 1008);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+0, int_stack+782999, int_stack+496384, 36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+747425, int_stack+0, int_stack+584108, 784);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28224, int_stack+50568, int_stack+49980, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+29988, int_stack+51324, int_stack+50568, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+32256, int_stack+29988, int_stack+28224, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+35784, int_stack+52269, int_stack+51324, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+38619, int_stack+35784, int_stack+29988, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+43155, int_stack+38619, int_stack+32256, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+28224, int_stack+53424, int_stack+52269, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+813281, int_stack+28224, int_stack+35784, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+818951, int_stack+813281, int_stack+38619, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+31689, int_stack+818951, int_stack+43155, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+40509, int_stack+54810, int_stack+53424, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+44667, int_stack+40509, int_stack+28224, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+44667, int_stack+813281, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+365953, int_stack+678188, int_stack+818951, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+813281, int_stack+365953, int_stack+31689, 21);
 /*--- compute (h0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+825629, int_stack+56448, int_stack+54810, 21);
 /*--- compute (h0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+28224, int_stack+825629, int_stack+40509, 21);
 /*--- compute (h0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+377293, int_stack+28224, int_stack+44667, 21);
 /*--- compute (h0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+28224, int_stack+377293, int_stack+678188, 21);
 /*--- compute (h0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+28224, int_stack+365953, 21);
 /*--- compute (h0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+365953, int_stack+678188, int_stack+813281, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+813281, int_stack+62083, int_stack+61299, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+815633, int_stack+63091, int_stack+62083, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+818657, int_stack+815633, int_stack+813281, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+823361, int_stack+64351, int_stack+63091, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+823361, int_stack+815633, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+684236, int_stack+678188, int_stack+818657, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+813281, int_stack+65891, int_stack+64351, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+382417, int_stack+813281, int_stack+823361, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+817901, int_stack+382417, int_stack+678188, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+389977, int_stack+817901, int_stack+684236, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+67739, int_stack+65891, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+683732, int_stack+678188, int_stack+813281, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+401737, int_stack+683732, int_stack+382417, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+414337, int_stack+401737, int_stack+817901, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+813281, int_stack+414337, int_stack+389977, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+382417, int_stack+69923, int_stack+67739, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+388969, int_stack+382417, int_stack+678188, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+429457, int_stack+388969, int_stack+683732, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+429457, int_stack+401737, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+429457, int_stack+678188, int_stack+414337, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+450625, int_stack+429457, int_stack+813281, 28);
 /*--- compute (hp|[r12,T1]|ii) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+382417, int_stack+450625, int_stack+365953, int_stack+584108, int_stack+698033, int_stack+245217, 6, 6);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+365953, int_stack+73479, int_stack+72471, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+368977, int_stack+74775, int_stack+73479, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+372865, int_stack+368977, int_stack+365953, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+813281, int_stack+76395, int_stack+74775, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+818141, int_stack+813281, int_stack+368977, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+818141, int_stack+372865, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+365953, int_stack+78375, int_stack+76395, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+371893, int_stack+365953, int_stack+813281, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+688268, int_stack+371893, int_stack+818141, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+813281, int_stack+688268, int_stack+678188, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+80751, int_stack+78375, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+701228, int_stack+678188, int_stack+365953, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+472577, int_stack+701228, int_stack+371893, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+488777, int_stack+472577, int_stack+688268, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+28224, int_stack+488777, int_stack+813281, 36);
 /*--- compute (k0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+813281, int_stack+83559, int_stack+80751, 36);
 /*--- compute (k0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+365953, int_stack+813281, int_stack+678188, 36);
 /*--- compute (k0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+365953, int_stack+701228, 36);
 /*--- compute (k0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+49392, int_stack+678188, int_stack+472577, 36);
 /*--- compute (k0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+678188, int_stack+49392, int_stack+488777, 36);
 /*--- compute (k0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+49392, int_stack+678188, int_stack+28224, 36);
 /*--- compute (ip|[r12,T1]|ii) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+120750, int_stack+49392, int_stack+450625, int_stack+0, int_stack+719201, int_stack+584108, 6, 6);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+87423, int_stack+86835, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+88179, int_stack+87423, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+89124, int_stack+88179, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10395, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+14931, int_stack+10395, int_stack+4032, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+90279, int_stack+89124, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+20811, int_stack+0, int_stack+7560, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+26481, int_stack+20811, int_stack+10395, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3465, int_stack+26481, int_stack+14931, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+12285, int_stack+91665, int_stack+90279, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+34041, int_stack+12285, int_stack+0, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+40971, int_stack+34041, int_stack+20811, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+50421, int_stack+40971, int_stack+26481, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+16443, int_stack+50421, int_stack+3465, 21);
 /*--- compute (h0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+93303, int_stack+91665, 21);
 /*--- compute (h0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+61761, int_stack+0, int_stack+12285, 21);
 /*--- compute (h0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+61761, int_stack+34041, 21);
 /*--- compute (h0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+61761, int_stack+0, int_stack+40971, 21);
 /*--- compute (h0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+61761, int_stack+50421, 21);
 /*--- compute (h0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+365953, int_stack+0, int_stack+16443, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+95998, int_stack+95214, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+97006, int_stack+95998, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+98266, int_stack+97006, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+10080, int_stack+2352, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+19908, int_stack+13860, int_stack+5376, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+99806, int_stack+98266, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+27748, int_stack+0, int_stack+10080, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+35308, int_stack+27748, int_stack+13860, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+35308, int_stack+19908, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+16380, int_stack+101654, int_stack+99806, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+45388, int_stack+16380, int_stack+0, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+54628, int_stack+45388, int_stack+27748, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+67228, int_stack+54628, int_stack+35308, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+21924, int_stack+67228, int_stack+4620, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+103838, int_stack+101654, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+82348, int_stack+0, int_stack+16380, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+82348, int_stack+45388, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+82348, int_stack+0, int_stack+54628, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+82348, int_stack+67228, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+38388, int_stack+0, int_stack+21924, 28);
 /*--- compute (hp||ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+678188, int_stack+38388, int_stack+365953, 784);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+365953, int_stack+107394, int_stack+106386, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+368977, int_stack+108690, int_stack+107394, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+372865, int_stack+368977, int_stack+365953, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+110310, int_stack+108690, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4860, int_stack+0, int_stack+368977, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+12636, int_stack+4860, int_stack+372865, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+365953, int_stack+112290, int_stack+110310, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+371893, int_stack+365953, int_stack+0, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+22716, int_stack+371893, int_stack+4860, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+60340, int_stack+22716, int_stack+12636, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+114666, int_stack+112290, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+7128, int_stack+0, int_stack+365953, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+75460, int_stack+7128, int_stack+371893, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+91660, int_stack+75460, int_stack+22716, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+431809, int_stack+91660, int_stack+60340, 36);
 /*--- compute (k0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+60340, int_stack+117474, int_stack+114666, 36);
 /*--- compute (k0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+365953, int_stack+60340, int_stack+0, 36);
 /*--- compute (k0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+727580, int_stack+365953, int_stack+7128, 36);
 /*--- compute (k0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+727580, int_stack+75460, 36);
 /*--- compute (k0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+60340, int_stack+0, int_stack+91660, 36);
 /*--- compute (k0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+0, int_stack+60340, int_stack+431809, 36);
 /*--- compute (ip||ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+431809, int_stack+0, int_stack+38388, 784);
 /*--- compute (hd|[r12,T2]|ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+0, int_stack+612332, int_stack+267169, 784);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (hd|[r12,T1]|ii) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+186606, int_stack+120750, int_stack+382417, int_stack+747425, int_stack+517552, int_stack+316561, 6, 6);
     Libr12->te_ptr[2] = int_stack + 186606;
 /*--- compute (hd||ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+497665, int_stack+431809, int_stack+678188, 784);
     Libr12->te_ptr[1] = int_stack + 497665;
 /*--- compute (hd|ii) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+596449, int_stack+747425, int_stack+316561, 784);
     Libr12->te_ptr[0] = int_stack + 596449;

}
