#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hdip(Libr12_t *, prim_data *);

  /* Computes (hd|ip) integrals for linear R12-methods */

void hrr_grt_order_hdip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[6][6] = int_stack + 1344;
 Libr12->t2vrr_classes[6][7] = int_stack + 2128;
 Libr12->gvrr_classes[8][6] = int_stack + 3136;
 Libr12->t2vrr_classes[7][6] = int_stack + 4396;
 Libr12->t2vrr_classes[7][7] = int_stack + 5404;
 Libr12->gvrr_classes[5][8] = int_stack + 6700;
 Libr12->t1vrr_classes[5][6] = int_stack + 7645;
 Libr12->t1vrr_classes[5][7] = int_stack + 8233;
 Libr12->gvrr_classes[6][8] = int_stack + 8989;
 Libr12->t1vrr_classes[6][6] = int_stack + 10249;
 Libr12->t1vrr_classes[6][7] = int_stack + 11033;
 Libr12->t1vrr_classes[7][6] = int_stack + 12041;
 Libr12->t1vrr_classes[7][7] = int_stack + 13049;
 Libr12->rvrr_classes[5][6] = int_stack + 14345;
 Libr12->rvrr_classes[5][7] = int_stack + 14933;
 Libr12->rvrr_classes[6][6] = int_stack + 15689;
 Libr12->rvrr_classes[6][7] = int_stack + 16473;
 Libr12->rvrr_classes[7][6] = int_stack + 17481;
 Libr12->rvrr_classes[7][7] = int_stack + 18489;
 Libr12->gvrr_classes[5][6] = int_stack + 19785;
 Libr12->gvrr_classes[5][7] = int_stack + 20373;
 Libr12->gvrr_classes[6][6] = int_stack + 21129;
 Libr12->gvrr_classes[6][7] = int_stack + 21913;
 Libr12->gvrr_classes[7][6] = int_stack + 22921;
 Libr12->gvrr_classes[7][7] = int_stack + 23929;
 memset(int_stack,0,25225*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 25225;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hdip(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25225, int_stack+588, int_stack+0, int_stack+20373, int_stack+21129, int_stack+19785, 5, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26989, int_stack+2128, int_stack+1344, int_stack+21913, int_stack+22921, int_stack+21129, 6, 0);
 /*--- compute (hp|[r12,T2]|ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+29341, int_stack+26989, int_stack+25225, 84);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5404, int_stack+4396, int_stack+23929, int_stack+3136, int_stack+22921, 7, 0);
 /*--- compute (ip|[r12,T2]|ip) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+34633, int_stack+0, int_stack+26989, 84);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+20373, int_stack+19785, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+21913, int_stack+21129, 28);
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+41689, int_stack+1764, int_stack+0, 84);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4116, int_stack+6700, int_stack+20373, 21);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+25225, int_stack+8989, int_stack+21913, 28);
 /*--- compute (hp|kp) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+46981, int_stack+25225, int_stack+4116, 108);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19785, int_stack+23929, int_stack+22921, 36);
 /*--- compute (ip|ip) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+53785, int_stack+19785, int_stack+1764, 84);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+22809, int_stack+8233, int_stack+7645, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6384, int_stack+11033, int_stack+10249, 28);
 /*--- compute (hp|[r12,T1]|ip) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+60841, int_stack+6384, int_stack+22809, int_stack+1764, int_stack+4116, int_stack+0, 6, 1);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8736, int_stack+13049, int_stack+12041, 36);
 /*--- compute (ip|[r12,T1]|ip) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+66133, int_stack+8736, int_stack+6384, int_stack+19785, int_stack+25225, int_stack+1764, 6, 1);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19785, int_stack+14933, int_stack+14345, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21549, int_stack+16473, int_stack+15689, 28);
 /*--- compute (hp||ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+23901, int_stack+21549, int_stack+19785, 84);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+18489, int_stack+17481, 36);
 /*--- compute (ip||ip) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+3024, int_stack+0, int_stack+21549, 84);
 /*--- compute (hd|[r12,T2]|ip) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+10080, int_stack+34633, int_stack+29341, 84);
     Libr12->te_ptr[3] = int_stack + 10080;
 /*--- compute (hd|[r12,T1]|ip) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+29193, int_stack+66133, int_stack+60841, int_stack+53785, int_stack+46981, int_stack+41689, 6, 1);
     Libr12->te_ptr[2] = int_stack + 29193;
 /*--- compute (hd||ip) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+60841, int_stack+3024, int_stack+23901, 84);
     Libr12->te_ptr[1] = int_stack + 60841;
 /*--- compute (hd|ip) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+71425, int_stack+53785, int_stack+41689, 84);
     Libr12->te_ptr[0] = int_stack + 71425;

}
