#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hgif(Libr12_t *, prim_data *);

  /* Computes (hg|if) integrals for linear R12-methods */

void hrr_grt_order_hgif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[6][6] = int_stack + 3444;
 Libr12->t2vrr_classes[6][7] = int_stack + 4228;
 Libr12->t2vrr_classes[6][8] = int_stack + 5236;
 Libr12->t2vrr_classes[6][9] = int_stack + 6496;
 Libr12->t2vrr_classes[7][6] = int_stack + 8036;
 Libr12->t2vrr_classes[7][7] = int_stack + 9044;
 Libr12->t2vrr_classes[7][8] = int_stack + 10340;
 Libr12->t2vrr_classes[7][9] = int_stack + 11960;
 Libr12->t2vrr_classes[8][6] = int_stack + 13940;
 Libr12->t2vrr_classes[8][7] = int_stack + 15200;
 Libr12->t2vrr_classes[8][8] = int_stack + 16820;
 Libr12->t2vrr_classes[8][9] = int_stack + 18845;
 Libr12->gvrr_classes[10][6] = int_stack + 21320;
 Libr12->t2vrr_classes[9][6] = int_stack + 23168;
 Libr12->gvrr_classes[10][7] = int_stack + 24708;
 Libr12->t2vrr_classes[9][7] = int_stack + 27084;
 Libr12->gvrr_classes[10][8] = int_stack + 29064;
 Libr12->t2vrr_classes[9][8] = int_stack + 32034;
 Libr12->t2vrr_classes[9][9] = int_stack + 34509;
 Libr12->gvrr_classes[5][10] = int_stack + 37534;
 Libr12->t1vrr_classes[5][6] = int_stack + 38920;
 Libr12->t1vrr_classes[5][7] = int_stack + 39508;
 Libr12->t1vrr_classes[5][8] = int_stack + 40264;
 Libr12->t1vrr_classes[5][9] = int_stack + 41209;
 Libr12->gvrr_classes[6][10] = int_stack + 42364;
 Libr12->t1vrr_classes[6][6] = int_stack + 44212;
 Libr12->t1vrr_classes[6][7] = int_stack + 44996;
 Libr12->t1vrr_classes[6][8] = int_stack + 46004;
 Libr12->t1vrr_classes[6][9] = int_stack + 47264;
 Libr12->gvrr_classes[7][10] = int_stack + 48804;
 Libr12->t1vrr_classes[7][6] = int_stack + 51180;
 Libr12->t1vrr_classes[7][7] = int_stack + 52188;
 Libr12->t1vrr_classes[7][8] = int_stack + 53484;
 Libr12->t1vrr_classes[7][9] = int_stack + 55104;
 Libr12->gvrr_classes[8][10] = int_stack + 57084;
 Libr12->t1vrr_classes[8][6] = int_stack + 60054;
 Libr12->t1vrr_classes[8][7] = int_stack + 61314;
 Libr12->t1vrr_classes[8][8] = int_stack + 62934;
 Libr12->t1vrr_classes[8][9] = int_stack + 64959;
 Libr12->t1vrr_classes[9][6] = int_stack + 67434;
 Libr12->t1vrr_classes[9][7] = int_stack + 68974;
 Libr12->t1vrr_classes[9][8] = int_stack + 70954;
 Libr12->t1vrr_classes[9][9] = int_stack + 73429;
 Libr12->rvrr_classes[5][6] = int_stack + 76454;
 Libr12->rvrr_classes[5][7] = int_stack + 77042;
 Libr12->rvrr_classes[5][8] = int_stack + 77798;
 Libr12->rvrr_classes[5][9] = int_stack + 78743;
 Libr12->rvrr_classes[6][6] = int_stack + 79898;
 Libr12->rvrr_classes[6][7] = int_stack + 80682;
 Libr12->rvrr_classes[6][8] = int_stack + 81690;
 Libr12->rvrr_classes[6][9] = int_stack + 82950;
 Libr12->rvrr_classes[7][6] = int_stack + 84490;
 Libr12->rvrr_classes[7][7] = int_stack + 85498;
 Libr12->rvrr_classes[7][8] = int_stack + 86794;
 Libr12->rvrr_classes[7][9] = int_stack + 88414;
 Libr12->rvrr_classes[8][6] = int_stack + 90394;
 Libr12->rvrr_classes[8][7] = int_stack + 91654;
 Libr12->rvrr_classes[8][8] = int_stack + 93274;
 Libr12->rvrr_classes[8][9] = int_stack + 95299;
 Libr12->rvrr_classes[9][6] = int_stack + 97774;
 Libr12->rvrr_classes[9][7] = int_stack + 99314;
 Libr12->rvrr_classes[9][8] = int_stack + 101294;
 Libr12->rvrr_classes[9][9] = int_stack + 103769;
 Libr12->gvrr_classes[5][6] = int_stack + 106794;
 Libr12->gvrr_classes[5][7] = int_stack + 107382;
 Libr12->gvrr_classes[5][8] = int_stack + 108138;
 Libr12->gvrr_classes[5][9] = int_stack + 109083;
 Libr12->gvrr_classes[6][6] = int_stack + 110238;
 Libr12->gvrr_classes[6][7] = int_stack + 111022;
 Libr12->gvrr_classes[6][8] = int_stack + 112030;
 Libr12->gvrr_classes[6][9] = int_stack + 113290;
 Libr12->gvrr_classes[7][6] = int_stack + 114830;
 Libr12->gvrr_classes[7][7] = int_stack + 115838;
 Libr12->gvrr_classes[7][8] = int_stack + 117134;
 Libr12->gvrr_classes[7][9] = int_stack + 118754;
 Libr12->gvrr_classes[8][6] = int_stack + 120734;
 Libr12->gvrr_classes[8][7] = int_stack + 121994;
 Libr12->gvrr_classes[8][8] = int_stack + 123614;
 Libr12->gvrr_classes[8][9] = int_stack + 125639;
 Libr12->gvrr_classes[9][6] = int_stack + 128114;
 Libr12->gvrr_classes[9][7] = int_stack + 129654;
 Libr12->gvrr_classes[9][8] = int_stack + 131634;
 Libr12->gvrr_classes[9][9] = int_stack + 134109;
 memset(int_stack,0,137134*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 137134;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hgif(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+137134, int_stack+107382, int_stack+106794, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+138898, int_stack+108138, int_stack+107382, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+141166, int_stack+138898, int_stack+137134, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+144694, int_stack+111022, int_stack+110238, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+147046, int_stack+112030, int_stack+111022, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+150070, int_stack+147046, int_stack+144694, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+154774, int_stack+109083, int_stack+108138, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+157609, int_stack+154774, int_stack+138898, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+162145, int_stack+588, int_stack+0, int_stack+107382, int_stack+110238, int_stack+106794, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+163909, int_stack+1344, int_stack+588, int_stack+108138, int_stack+111022, int_stack+107382, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+166177, int_stack+163909, int_stack+162145, int_stack+138898, int_stack+144694, int_stack+137134, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169705, int_stack+2289, int_stack+1344, int_stack+109083, int_stack+112030, int_stack+108138, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+172540, int_stack+169705, int_stack+163909, int_stack+154774, int_stack+147046, int_stack+138898, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+177076, int_stack+172540, int_stack+166177, int_stack+157609, int_stack+150070, int_stack+141166, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+137134, int_stack+115838, int_stack+114830, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+162145, int_stack+117134, int_stack+115838, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+166033, int_stack+162145, int_stack+137134, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+172081, int_stack+113290, int_stack+112030, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+182956, int_stack+172081, int_stack+147046, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4228, int_stack+3444, int_stack+111022, int_stack+114830, int_stack+110238, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+189004, int_stack+5236, int_stack+4228, int_stack+112030, int_stack+115838, int_stack+111022, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192028, int_stack+189004, int_stack+0, int_stack+147046, int_stack+137134, int_stack+144694, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6496, int_stack+5236, int_stack+113290, int_stack+117134, int_stack+112030, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+196732, int_stack+0, int_stack+189004, int_stack+172081, int_stack+162145, int_stack+147046, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+196732, int_stack+192028, int_stack+182956, int_stack+166033, int_stack+150070, 6, 0);
 /*--- compute (hp|[r12,T2]|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+189004, int_stack+0, int_stack+177076, 280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+144694, int_stack+121994, int_stack+120734, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+175861, int_stack+123614, int_stack+121994, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+206644, int_stack+175861, int_stack+144694, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+214204, int_stack+118754, int_stack+117134, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+219064, int_stack+214204, int_stack+162145, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+110238, int_stack+9044, int_stack+8036, int_stack+115838, int_stack+120734, int_stack+114830, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+226840, int_stack+10340, int_stack+9044, int_stack+117134, int_stack+121994, int_stack+115838, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+230728, int_stack+226840, int_stack+110238, int_stack+162145, int_stack+144694, int_stack+137134, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+236776, int_stack+11960, int_stack+10340, int_stack+118754, int_stack+123614, int_stack+117134, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241636, int_stack+236776, int_stack+226840, int_stack+214204, int_stack+175861, int_stack+162145, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+249412, int_stack+241636, int_stack+230728, int_stack+219064, int_stack+206644, int_stack+166033, 7, 0);
 /*--- compute (ip|[r12,T2]|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+259492, int_stack+249412, int_stack+0, 280);
 /*--- compute (hd|[r12,T2]|if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+283012, int_stack+259492, int_stack+189004, 280);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+189004, int_stack+129654, int_stack+128114, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+193624, int_stack+131634, int_stack+129654, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+193624, int_stack+189004, 55);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+199564, int_stack+125639, int_stack+123614, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+226840, int_stack+199564, int_stack+175861, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9240, int_stack+15200, int_stack+13940, int_stack+121994, int_stack+128114, int_stack+120734, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+236560, int_stack+16820, int_stack+15200, int_stack+123614, int_stack+129654, int_stack+121994, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241420, int_stack+236560, int_stack+9240, int_stack+175861, int_stack+189004, int_stack+144694, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9240, int_stack+18845, int_stack+16820, int_stack+125639, int_stack+131634, int_stack+123614, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318292, int_stack+9240, int_stack+236560, int_stack+199564, int_stack+193624, int_stack+175861, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+328012, int_stack+318292, int_stack+241420, int_stack+226840, int_stack+0, int_stack+206644, 8, 0);
 /*--- compute (kp|[r12,T2]|if) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+340612, int_stack+328012, int_stack+249412, 280);
 /*--- compute (id|[r12,T2]|if) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+370852, int_stack+340612, int_stack+259492, 280);
 /*--- compute (hf|[r12,T2]|if) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+417892, int_stack+370852, int_stack+283012, 280);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+175861, int_stack+24708, int_stack+21320, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+236560, int_stack+29064, int_stack+24708, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+243688, int_stack+236560, int_stack+175861, 66);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+254776, int_stack+134109, int_stack+131634, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+262201, int_stack+254776, int_stack+193624, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+274081, int_stack+27084, int_stack+23168, int_stack+129654, int_stack+21320, int_stack+128114, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+278701, int_stack+32034, int_stack+27084, int_stack+131634, int_stack+24708, int_stack+129654, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+284641, int_stack+278701, int_stack+274081, int_stack+193624, int_stack+175861, int_stack+189004, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+293881, int_stack+34509, int_stack+32034, int_stack+134109, int_stack+29064, int_stack+131634, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+128114, int_stack+293881, int_stack+278701, int_stack+254776, int_stack+236560, int_stack+193624, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+293881, int_stack+128114, int_stack+284641, int_stack+262201, int_stack+243688, int_stack+0, 9, 0);
 /*--- compute (lp|[r12,T2]|if) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+476692, int_stack+293881, int_stack+328012, 280);
 /*--- compute (kd|[r12,T2]|if) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+274081, int_stack+476692, int_stack+340612, 280);
 /*--- compute (if|[r12,T2]|if) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+476692, int_stack+274081, int_stack+370852, 280);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+274081, int_stack+157609, int_stack+141166, 21);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+279961, int_stack+182956, int_stack+150070, 28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+287801, int_stack+279961, int_stack+274081, 280);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+305441, int_stack+219064, int_stack+166033, 36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+315521, int_stack+305441, int_stack+279961, 280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+339041, int_stack+315521, int_stack+287801, 280);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+374321, int_stack+226840, int_stack+206644, 45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+386921, int_stack+374321, int_stack+305441, 280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+555092, int_stack+386921, int_stack+315521, 280);
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+602132, int_stack+555092, int_stack+339041, 280);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+128114, int_stack+37534, int_stack+109083, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+131579, int_stack+128114, int_stack+154774, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+137249, int_stack+131579, int_stack+157609, 21);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+128114, int_stack+42364, int_stack+113290, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+144809, int_stack+128114, int_stack+172081, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+152369, int_stack+144809, int_stack+182956, 28);
 /*--- compute (hp|kf) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+162449, int_stack+152369, int_stack+137249, 360);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+144809, int_stack+48804, int_stack+118754, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+185129, int_stack+144809, int_stack+214204, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+236560, int_stack+185129, int_stack+219064, 36);
 /*--- compute (ip|kf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+660932, int_stack+236560, int_stack+152369, 360);
 /*--- compute (hd|kf) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+691172, int_stack+660932, int_stack+162449, 360);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+185129, int_stack+57084, int_stack+125639, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+249520, int_stack+185129, int_stack+199564, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+185129, int_stack+249520, int_stack+226840, 45);
 /*--- compute (kp|kf) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+736532, int_stack+185129, int_stack+236560, 360);
 /*--- compute (id|kf) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+775412, int_stack+736532, int_stack+660932, 360);
 /*--- compute (hf|kf) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+835892, int_stack+775412, int_stack+691172, 360);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+201329, int_stack+262201, int_stack+0, 55);
 /*--- compute (lp|if) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+201329, int_stack+374321, 280);
 /*--- compute (kd|if) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+911492, int_stack+0, int_stack+386921, 280);
 /*--- compute (if|if) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+971972, int_stack+911492, int_stack+555092, 280);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+249520, int_stack+39508, int_stack+38920, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+251284, int_stack+40264, int_stack+39508, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+253552, int_stack+251284, int_stack+249520, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+257080, int_stack+41209, int_stack+40264, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+37800, int_stack+257080, int_stack+251284, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+257080, int_stack+37800, int_stack+253552, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37800, int_stack+44996, int_stack+44212, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+40152, int_stack+46004, int_stack+44996, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+262960, int_stack+40152, int_stack+37800, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+267664, int_stack+47264, int_stack+46004, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+43176, int_stack+267664, int_stack+40152, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+216729, int_stack+43176, int_stack+262960, 28);
 /*--- compute (hp|[r12,T1]|if) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+106794, int_stack+216729, int_stack+257080, int_stack+279961, int_stack+137249, int_stack+274081, 6, 3);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37800, int_stack+52188, int_stack+51180, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+40824, int_stack+53484, int_stack+52188, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+44712, int_stack+40824, int_stack+37800, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+249520, int_stack+55104, int_stack+53484, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+50760, int_stack+249520, int_stack+40824, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+249520, int_stack+50760, int_stack+44712, 36);
 /*--- compute (ip|[r12,T1]|if) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+124434, int_stack+249520, int_stack+216729, int_stack+305441, int_stack+152369, int_stack+279961, 6, 3);
 /*--- compute (hd|[r12,T1]|if) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1050372, int_stack+124434, int_stack+106794, int_stack+315521, int_stack+162449, int_stack+287801, 6, 3);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+106794, int_stack+61314, int_stack+60054, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+110574, int_stack+62934, int_stack+61314, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+115434, int_stack+110574, int_stack+106794, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+216729, int_stack+64959, int_stack+62934, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+222804, int_stack+216729, int_stack+110574, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+259600, int_stack+222804, int_stack+115434, 45);
 /*--- compute (kp|[r12,T1]|if) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+272200, int_stack+259600, int_stack+249520, int_stack+374321, int_stack+236560, int_stack+305441, 6, 3);
 /*--- compute (id|[r12,T1]|if) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1085652, int_stack+272200, int_stack+124434, int_stack+386921, int_stack+660932, int_stack+315521, 6, 3);
 /*--- compute (hf|[r12,T1]|if) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+106794, int_stack+1085652, int_stack+1050372, int_stack+555092, int_stack+691172, int_stack+339041, 6, 3);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1050372, int_stack+68974, int_stack+67434, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1054992, int_stack+70954, int_stack+68974, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1060932, int_stack+1054992, int_stack+1050372, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1070172, int_stack+73429, int_stack+70954, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+660932, int_stack+1070172, int_stack+1054992, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1070172, int_stack+660932, int_stack+1060932, 55);
 /*--- compute (lp|[r12,T1]|if) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+660932, int_stack+1070172, int_stack+259600, int_stack+201329, int_stack+185129, int_stack+374321, 6, 3);
 /*--- compute (kd|[r12,T1]|if) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+165594, int_stack+660932, int_stack+272200, int_stack+0, int_stack+736532, int_stack+386921, 6, 3);
 /*--- compute (if|[r12,T1]|if) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+660932, int_stack+165594, int_stack+1085652, int_stack+911492, int_stack+775412, int_stack+555092, 6, 3);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+555092, int_stack+77042, int_stack+76454, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+556856, int_stack+77798, int_stack+77042, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+559124, int_stack+556856, int_stack+555092, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+562652, int_stack+78743, int_stack+77798, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+565487, int_stack+562652, int_stack+556856, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+570023, int_stack+565487, int_stack+559124, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+555092, int_stack+80682, int_stack+79898, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+557444, int_stack+81690, int_stack+80682, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+560468, int_stack+557444, int_stack+555092, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+565172, int_stack+82950, int_stack+81690, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+575903, int_stack+565172, int_stack+557444, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+581951, int_stack+575903, int_stack+560468, 28);
 /*--- compute (hp||if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+911492, int_stack+581951, int_stack+570023, 280);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+555092, int_stack+85498, int_stack+84490, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+558116, int_stack+86794, int_stack+85498, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+562004, int_stack+558116, int_stack+555092, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+568052, int_stack+88414, int_stack+86794, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+572912, int_stack+568052, int_stack+558116, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+589791, int_stack+572912, int_stack+562004, 36);
 /*--- compute (ip||if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+555092, int_stack+589791, int_stack+581951, 280);
 /*--- compute (hd||if) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+929132, int_stack+555092, int_stack+911492, 280);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+911492, int_stack+91654, int_stack+90394, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+915272, int_stack+93274, int_stack+91654, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+964412, int_stack+915272, int_stack+911492, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+920132, int_stack+95299, int_stack+93274, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+578612, int_stack+920132, int_stack+915272, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+911492, int_stack+578612, int_stack+964412, 45);
 /*--- compute (kp||if) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+165594, int_stack+911492, int_stack+589791, 280);
 /*--- compute (id||if) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+195834, int_stack+165594, int_stack+555092, 280);
 /*--- compute (hf||if) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+242874, int_stack+195834, int_stack+929132, 280);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+555092, int_stack+99314, int_stack+97774, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+559712, int_stack+101294, int_stack+99314, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+565652, int_stack+559712, int_stack+555092, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+574892, int_stack+103769, int_stack+101294, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+582317, int_stack+574892, int_stack+559712, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+924092, int_stack+582317, int_stack+565652, 55);
 /*--- compute (lp||if) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+555092, int_stack+924092, int_stack+911492, 280);
 /*--- compute (kd||if) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+911492, int_stack+555092, int_stack+165594, 280);
 /*--- compute (if||if) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+301674, int_stack+911492, int_stack+195834, 280);
 /*--- compute (hg|[r12,T2]|if) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+0, int_stack+476692, int_stack+417892, 280);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (hg|[r12,T1]|if) ---*/
   t1hrr1_build_hg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+380074, int_stack+660932, int_stack+106794, int_stack+971972, int_stack+835892, int_stack+602132, 6, 3);
     Libr12->te_ptr[2] = int_stack + 380074;
 /*--- compute (hg||if) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+660932, int_stack+301674, int_stack+242874, 280);
     Libr12->te_ptr[1] = int_stack + 660932;
 /*--- compute (hg|if) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+749132, int_stack+971972, int_stack+602132, 280);
     Libr12->te_ptr[0] = int_stack + 749132;

}
