#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hgih(Libr12_t *, prim_data *);

  /* Computes (hg|ih) integrals for linear R12-methods */

void hrr_grt_order_hgih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[5][10] = int_stack + 3444;
 Libr12->t2vrr_classes[5][11] = int_stack + 4830;
 Libr12->t2vrr_classes[6][6] = int_stack + 6468;
 Libr12->t2vrr_classes[6][7] = int_stack + 7252;
 Libr12->t2vrr_classes[6][8] = int_stack + 8260;
 Libr12->t2vrr_classes[6][9] = int_stack + 9520;
 Libr12->t2vrr_classes[6][10] = int_stack + 11060;
 Libr12->t2vrr_classes[6][11] = int_stack + 12908;
 Libr12->t2vrr_classes[7][6] = int_stack + 15092;
 Libr12->t2vrr_classes[7][7] = int_stack + 16100;
 Libr12->t2vrr_classes[7][8] = int_stack + 17396;
 Libr12->t2vrr_classes[7][9] = int_stack + 19016;
 Libr12->t2vrr_classes[7][10] = int_stack + 20996;
 Libr12->t2vrr_classes[7][11] = int_stack + 23372;
 Libr12->t2vrr_classes[8][6] = int_stack + 26180;
 Libr12->t2vrr_classes[8][7] = int_stack + 27440;
 Libr12->t2vrr_classes[8][8] = int_stack + 29060;
 Libr12->t2vrr_classes[8][9] = int_stack + 31085;
 Libr12->t2vrr_classes[8][10] = int_stack + 33560;
 Libr12->t2vrr_classes[8][11] = int_stack + 36530;
 Libr12->gvrr_classes[10][6] = int_stack + 40040;
 Libr12->t2vrr_classes[9][6] = int_stack + 41888;
 Libr12->gvrr_classes[10][7] = int_stack + 43428;
 Libr12->t2vrr_classes[9][7] = int_stack + 45804;
 Libr12->gvrr_classes[10][8] = int_stack + 47784;
 Libr12->t2vrr_classes[9][8] = int_stack + 50754;
 Libr12->gvrr_classes[10][9] = int_stack + 53229;
 Libr12->t2vrr_classes[9][9] = int_stack + 56859;
 Libr12->gvrr_classes[10][10] = int_stack + 59884;
 Libr12->t2vrr_classes[9][10] = int_stack + 64240;
 Libr12->t2vrr_classes[9][11] = int_stack + 67870;
 Libr12->gvrr_classes[5][12] = int_stack + 72160;
 Libr12->t1vrr_classes[5][6] = int_stack + 74071;
 Libr12->t1vrr_classes[5][7] = int_stack + 74659;
 Libr12->t1vrr_classes[5][8] = int_stack + 75415;
 Libr12->t1vrr_classes[5][9] = int_stack + 76360;
 Libr12->t1vrr_classes[5][10] = int_stack + 77515;
 Libr12->t1vrr_classes[5][11] = int_stack + 78901;
 Libr12->gvrr_classes[6][12] = int_stack + 80539;
 Libr12->t1vrr_classes[6][6] = int_stack + 83087;
 Libr12->t1vrr_classes[6][7] = int_stack + 83871;
 Libr12->t1vrr_classes[6][8] = int_stack + 84879;
 Libr12->t1vrr_classes[6][9] = int_stack + 86139;
 Libr12->t1vrr_classes[6][10] = int_stack + 87679;
 Libr12->t1vrr_classes[6][11] = int_stack + 89527;
 Libr12->gvrr_classes[7][12] = int_stack + 91711;
 Libr12->t1vrr_classes[7][6] = int_stack + 94987;
 Libr12->t1vrr_classes[7][7] = int_stack + 95995;
 Libr12->t1vrr_classes[7][8] = int_stack + 97291;
 Libr12->t1vrr_classes[7][9] = int_stack + 98911;
 Libr12->t1vrr_classes[7][10] = int_stack + 100891;
 Libr12->t1vrr_classes[7][11] = int_stack + 103267;
 Libr12->gvrr_classes[8][12] = int_stack + 106075;
 Libr12->t1vrr_classes[8][6] = int_stack + 110170;
 Libr12->t1vrr_classes[8][7] = int_stack + 111430;
 Libr12->t1vrr_classes[8][8] = int_stack + 113050;
 Libr12->t1vrr_classes[8][9] = int_stack + 115075;
 Libr12->t1vrr_classes[8][10] = int_stack + 117550;
 Libr12->t1vrr_classes[8][11] = int_stack + 120520;
 Libr12->t1vrr_classes[9][6] = int_stack + 124030;
 Libr12->t1vrr_classes[9][7] = int_stack + 125570;
 Libr12->t1vrr_classes[9][8] = int_stack + 127550;
 Libr12->t1vrr_classes[9][9] = int_stack + 130025;
 Libr12->t1vrr_classes[9][10] = int_stack + 133050;
 Libr12->t1vrr_classes[9][11] = int_stack + 136680;
 Libr12->rvrr_classes[5][6] = int_stack + 140970;
 Libr12->rvrr_classes[5][7] = int_stack + 141558;
 Libr12->rvrr_classes[5][8] = int_stack + 142314;
 Libr12->rvrr_classes[5][9] = int_stack + 143259;
 Libr12->rvrr_classes[5][10] = int_stack + 144414;
 Libr12->rvrr_classes[5][11] = int_stack + 145800;
 Libr12->rvrr_classes[6][6] = int_stack + 147438;
 Libr12->rvrr_classes[6][7] = int_stack + 148222;
 Libr12->rvrr_classes[6][8] = int_stack + 149230;
 Libr12->rvrr_classes[6][9] = int_stack + 150490;
 Libr12->rvrr_classes[6][10] = int_stack + 152030;
 Libr12->rvrr_classes[6][11] = int_stack + 153878;
 Libr12->rvrr_classes[7][6] = int_stack + 156062;
 Libr12->rvrr_classes[7][7] = int_stack + 157070;
 Libr12->rvrr_classes[7][8] = int_stack + 158366;
 Libr12->rvrr_classes[7][9] = int_stack + 159986;
 Libr12->rvrr_classes[7][10] = int_stack + 161966;
 Libr12->rvrr_classes[7][11] = int_stack + 164342;
 Libr12->rvrr_classes[8][6] = int_stack + 167150;
 Libr12->rvrr_classes[8][7] = int_stack + 168410;
 Libr12->rvrr_classes[8][8] = int_stack + 170030;
 Libr12->rvrr_classes[8][9] = int_stack + 172055;
 Libr12->rvrr_classes[8][10] = int_stack + 174530;
 Libr12->rvrr_classes[8][11] = int_stack + 177500;
 Libr12->rvrr_classes[9][6] = int_stack + 181010;
 Libr12->rvrr_classes[9][7] = int_stack + 182550;
 Libr12->rvrr_classes[9][8] = int_stack + 184530;
 Libr12->rvrr_classes[9][9] = int_stack + 187005;
 Libr12->rvrr_classes[9][10] = int_stack + 190030;
 Libr12->rvrr_classes[9][11] = int_stack + 193660;
 Libr12->gvrr_classes[5][6] = int_stack + 197950;
 Libr12->gvrr_classes[5][7] = int_stack + 198538;
 Libr12->gvrr_classes[5][8] = int_stack + 199294;
 Libr12->gvrr_classes[5][9] = int_stack + 200239;
 Libr12->gvrr_classes[5][10] = int_stack + 201394;
 Libr12->gvrr_classes[5][11] = int_stack + 202780;
 Libr12->gvrr_classes[6][6] = int_stack + 204418;
 Libr12->gvrr_classes[6][7] = int_stack + 205202;
 Libr12->gvrr_classes[6][8] = int_stack + 206210;
 Libr12->gvrr_classes[6][9] = int_stack + 207470;
 Libr12->gvrr_classes[6][10] = int_stack + 209010;
 Libr12->gvrr_classes[6][11] = int_stack + 210858;
 Libr12->gvrr_classes[7][6] = int_stack + 213042;
 Libr12->gvrr_classes[7][7] = int_stack + 214050;
 Libr12->gvrr_classes[7][8] = int_stack + 215346;
 Libr12->gvrr_classes[7][9] = int_stack + 216966;
 Libr12->gvrr_classes[7][10] = int_stack + 218946;
 Libr12->gvrr_classes[7][11] = int_stack + 221322;
 Libr12->gvrr_classes[8][6] = int_stack + 224130;
 Libr12->gvrr_classes[8][7] = int_stack + 225390;
 Libr12->gvrr_classes[8][8] = int_stack + 227010;
 Libr12->gvrr_classes[8][9] = int_stack + 229035;
 Libr12->gvrr_classes[8][10] = int_stack + 231510;
 Libr12->gvrr_classes[8][11] = int_stack + 234480;
 Libr12->gvrr_classes[9][6] = int_stack + 237990;
 Libr12->gvrr_classes[9][7] = int_stack + 239530;
 Libr12->gvrr_classes[9][8] = int_stack + 241510;
 Libr12->gvrr_classes[9][9] = int_stack + 243985;
 Libr12->gvrr_classes[9][10] = int_stack + 247010;
 Libr12->gvrr_classes[9][11] = int_stack + 250640;
 memset(int_stack,0,254930*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 254930;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hgih(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+254930, int_stack+198538, int_stack+197950, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+256694, int_stack+199294, int_stack+198538, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+258962, int_stack+256694, int_stack+254930, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+262490, int_stack+200239, int_stack+199294, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+265325, int_stack+262490, int_stack+256694, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+269861, int_stack+265325, int_stack+258962, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+275741, int_stack+201394, int_stack+200239, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+279206, int_stack+275741, int_stack+262490, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+284876, int_stack+279206, int_stack+265325, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+292436, int_stack+284876, int_stack+269861, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+301256, int_stack+205202, int_stack+204418, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+303608, int_stack+206210, int_stack+205202, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+306632, int_stack+303608, int_stack+301256, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+311336, int_stack+207470, int_stack+206210, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+315116, int_stack+311336, int_stack+303608, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+321164, int_stack+315116, int_stack+306632, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+329004, int_stack+209010, int_stack+207470, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+333624, int_stack+329004, int_stack+311336, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+341184, int_stack+333624, int_stack+315116, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+351264, int_stack+341184, int_stack+321164, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+363024, int_stack+202780, int_stack+201394, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+367182, int_stack+363024, int_stack+275741, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+374112, int_stack+367182, int_stack+279206, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+383562, int_stack+374112, int_stack+284876, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+394902, int_stack+588, int_stack+0, int_stack+198538, int_stack+204418, int_stack+197950, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+396666, int_stack+1344, int_stack+588, int_stack+199294, int_stack+205202, int_stack+198538, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+398934, int_stack+396666, int_stack+394902, int_stack+256694, int_stack+301256, int_stack+254930, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+402462, int_stack+2289, int_stack+1344, int_stack+200239, int_stack+206210, int_stack+199294, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+405297, int_stack+402462, int_stack+396666, int_stack+262490, int_stack+303608, int_stack+256694, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+409833, int_stack+405297, int_stack+398934, int_stack+265325, int_stack+306632, int_stack+258962, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+254930, int_stack+3444, int_stack+2289, int_stack+201394, int_stack+207470, int_stack+200239, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+394902, int_stack+254930, int_stack+402462, int_stack+275741, int_stack+311336, int_stack+262490, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+415713, int_stack+394902, int_stack+405297, int_stack+279206, int_stack+315116, int_stack+265325, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+258395, int_stack+415713, int_stack+409833, int_stack+284876, int_stack+321164, int_stack+269861, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267215, int_stack+4830, int_stack+3444, int_stack+202780, int_stack+209010, int_stack+201394, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+400572, int_stack+267215, int_stack+254930, int_stack+363024, int_stack+329004, int_stack+275741, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267215, int_stack+400572, int_stack+394902, int_stack+367182, int_stack+333624, int_stack+279206, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+394902, int_stack+267215, int_stack+415713, int_stack+374112, int_stack+341184, int_stack+284876, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267215, int_stack+394902, int_stack+258395, int_stack+383562, int_stack+351264, int_stack+292436, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+394902, int_stack+214050, int_stack+213042, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+397926, int_stack+215346, int_stack+214050, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+401814, int_stack+397926, int_stack+394902, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+407862, int_stack+216966, int_stack+215346, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+412722, int_stack+407862, int_stack+397926, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+279563, int_stack+412722, int_stack+401814, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+254930, int_stack+218946, int_stack+216966, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+420498, int_stack+254930, int_stack+407862, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+430218, int_stack+420498, int_stack+412722, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+443178, int_stack+430218, int_stack+279563, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+260870, int_stack+210858, int_stack+209010, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+458298, int_stack+260870, int_stack+329004, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+467538, int_stack+458298, int_stack+333624, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+480138, int_stack+467538, int_stack+341184, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+289643, int_stack+7252, int_stack+6468, int_stack+205202, int_stack+213042, int_stack+204418, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197950, int_stack+8260, int_stack+7252, int_stack+206210, int_stack+214050, int_stack+205202, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+197950, int_stack+289643, int_stack+303608, int_stack+394902, int_stack+301256, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495258, int_stack+9520, int_stack+8260, int_stack+207470, int_stack+215346, int_stack+206210, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+499038, int_stack+495258, int_stack+197950, int_stack+311336, int_stack+397926, int_stack+303608, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+505086, int_stack+499038, int_stack+0, int_stack+315116, int_stack+401814, int_stack+306632, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+11060, int_stack+9520, int_stack+209010, int_stack+216966, int_stack+207470, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+301256, int_stack+0, int_stack+495258, int_stack+329004, int_stack+407862, int_stack+311336, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+512926, int_stack+301256, int_stack+499038, int_stack+333624, int_stack+412722, int_stack+315116, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+308816, int_stack+512926, int_stack+505086, int_stack+341184, int_stack+279563, int_stack+321164, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495258, int_stack+12908, int_stack+11060, int_stack+210858, int_stack+218946, int_stack+209010, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+500802, int_stack+495258, int_stack+0, int_stack+260870, int_stack+254930, int_stack+329004, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+500802, int_stack+301256, int_stack+458298, int_stack+420498, int_stack+333624, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495258, int_stack+0, int_stack+512926, int_stack+467538, int_stack+430218, int_stack+341184, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320576, int_stack+495258, int_stack+308816, int_stack+480138, int_stack+443178, int_stack+351264, 6, 0);
 /*--- compute (hp|[r12,T2]|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+495258, int_stack+320576, int_stack+267215, 588);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+225390, int_stack+224130, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+227010, int_stack+225390, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+301256, int_stack+3780, int_stack+0, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8640, int_stack+229035, int_stack+227010, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+308816, int_stack+8640, int_stack+3780, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+337040, int_stack+308816, int_stack+301256, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+266414, int_stack+231510, int_stack+229035, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+532302, int_stack+266414, int_stack+8640, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+544452, int_stack+532302, int_stack+308816, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+560652, int_stack+544452, int_stack+337040, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+579552, int_stack+221322, int_stack+218946, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+586680, int_stack+579552, int_stack+254930, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+598560, int_stack+586680, int_stack+420498, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+614760, int_stack+598560, int_stack+430218, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197950, int_stack+16100, int_stack+15092, int_stack+214050, int_stack+224130, int_stack+213042, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+204418, int_stack+17396, int_stack+16100, int_stack+215346, int_stack+225390, int_stack+214050, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+634200, int_stack+204418, int_stack+197950, int_stack+397926, int_stack+0, int_stack+394902, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273839, int_stack+19016, int_stack+17396, int_stack+216966, int_stack+227010, int_stack+215346, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+640248, int_stack+273839, int_stack+204418, int_stack+407862, int_stack+3780, int_stack+397926, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+648024, int_stack+640248, int_stack+634200, int_stack+412722, int_stack+301256, int_stack+401814, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+634200, int_stack+20996, int_stack+19016, int_stack+218946, int_stack+229035, int_stack+216966, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+394902, int_stack+634200, int_stack+273839, int_stack+254930, int_stack+8640, int_stack+407862, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+658104, int_stack+394902, int_stack+640248, int_stack+420498, int_stack+308816, int_stack+412722, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+404622, int_stack+658104, int_stack+648024, int_stack+430218, int_stack+337040, int_stack+279563, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273839, int_stack+23372, int_stack+20996, int_stack+221322, int_stack+231510, int_stack+218946, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+640140, int_stack+273839, int_stack+634200, int_stack+579552, int_stack+266414, int_stack+254930, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273839, int_stack+640140, int_stack+394902, int_stack+586680, int_stack+532302, int_stack+420498, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+634200, int_stack+273839, int_stack+658104, int_stack+598560, int_stack+544452, int_stack+430218, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+419742, int_stack+634200, int_stack+404622, int_stack+614760, int_stack+560652, int_stack+443178, 7, 0);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+634200, int_stack+419742, int_stack+320576, 588);
 /*--- compute (hd|[r12,T2]|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+683592, int_stack+634200, int_stack+495258, 588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+495258, int_stack+239530, int_stack+237990, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+254930, int_stack+241510, int_stack+239530, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+499878, int_stack+254930, int_stack+495258, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+509118, int_stack+243985, int_stack+241510, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+516543, int_stack+509118, int_stack+254930, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+273839, int_stack+516543, int_stack+499878, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+394902, int_stack+247010, int_stack+243985, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+403977, int_stack+394902, int_stack+509118, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+757680, int_stack+403977, int_stack+516543, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+777480, int_stack+757680, int_stack+273839, 55);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+14715, int_stack+234480, int_stack+231510, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+318536, int_stack+14715, int_stack+266414, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+800580, int_stack+318536, int_stack+532302, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+820830, int_stack+800580, int_stack+544452, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+528423, int_stack+27440, int_stack+26180, int_stack+225390, int_stack+237990, int_stack+224130, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+204418, int_stack+29060, int_stack+27440, int_stack+227010, int_stack+239530, int_stack+225390, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+213042, int_stack+204418, int_stack+528423, int_stack+3780, int_stack+495258, int_stack+0, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+845130, int_stack+31085, int_stack+29060, int_stack+229035, int_stack+241510, int_stack+227010, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+851205, int_stack+845130, int_stack+204418, int_stack+8640, int_stack+254930, int_stack+3780, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+860925, int_stack+851205, int_stack+213042, int_stack+308816, int_stack+499878, int_stack+301256, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+301256, int_stack+33560, int_stack+31085, int_stack+231510, int_stack+243985, int_stack+229035, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+873525, int_stack+301256, int_stack+845130, int_stack+266414, int_stack+509118, int_stack+8640, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+885675, int_stack+873525, int_stack+851205, int_stack+532302, int_stack+516543, int_stack+308816, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+901875, int_stack+885675, int_stack+860925, int_stack+544452, int_stack+273839, int_stack+337040, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+845130, int_stack+36530, int_stack+33560, int_stack+234480, int_stack+247010, int_stack+231510, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+854040, int_stack+845130, int_stack+301256, int_stack+14715, int_stack+394902, int_stack+266414, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+920775, int_stack+854040, int_stack+873525, int_stack+318536, int_stack+403977, int_stack+532302, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+845130, int_stack+920775, int_stack+885675, int_stack+800580, int_stack+757680, int_stack+544452, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+869430, int_stack+845130, int_stack+901875, int_stack+820830, int_stack+777480, int_stack+560652, 8, 0);
 /*--- compute (kp|[r12,T2]|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+895890, int_stack+869430, int_stack+419742, 588);
 /*--- compute (id|[r12,T2]|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+959394, int_stack+895890, int_stack+634200, 588);
 /*--- compute (hf|[r12,T2]|ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+1058178, int_stack+959394, int_stack+683592, 588);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+634200, int_stack+43428, int_stack+40040, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+639744, int_stack+47784, int_stack+43428, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+646872, int_stack+639744, int_stack+634200, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+657960, int_stack+53229, int_stack+47784, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+666870, int_stack+657960, int_stack+639744, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+681126, int_stack+666870, int_stack+646872, 66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+699606, int_stack+59884, int_stack+53229, 66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+710496, int_stack+699606, int_stack+657960, 66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+728316, int_stack+710496, int_stack+666870, 66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+528423, int_stack+728316, int_stack+681126, 66);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+845130, int_stack+250640, int_stack+247010, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+418827, int_stack+845130, int_stack+394902, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1181658, int_stack+418827, int_stack+403977, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1206408, int_stack+1181658, int_stack+757680, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+752076, int_stack+45804, int_stack+41888, int_stack+239530, int_stack+40040, int_stack+237990, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+856020, int_stack+50754, int_stack+45804, int_stack+241510, int_stack+43428, int_stack+239530, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+301256, int_stack+856020, int_stack+752076, int_stack+254930, int_stack+634200, int_stack+495258, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+266414, int_stack+56859, int_stack+50754, int_stack+243985, int_stack+47784, int_stack+241510, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+266414, int_stack+856020, int_stack+509118, int_stack+639744, int_stack+254930, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23625, int_stack+0, int_stack+301256, int_stack+516543, int_stack+646872, int_stack+499878, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+301256, int_stack+64240, int_stack+56859, int_stack+247010, int_stack+53229, int_stack+243985, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+634200, int_stack+301256, int_stack+266414, int_stack+394902, int_stack+657960, int_stack+509118, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495258, int_stack+634200, int_stack+0, int_stack+403977, int_stack+666870, int_stack+516543, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+649050, int_stack+495258, int_stack+23625, int_stack+757680, int_stack+681126, int_stack+273839, 9, 0);
 /*--- compute (m0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23625, int_stack+67870, int_stack+64240, int_stack+250640, int_stack+59884, int_stack+247010, 9, 0);
 /*--- compute (m0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+34515, int_stack+23625, int_stack+301256, int_stack+845130, int_stack+699606, int_stack+394902, 9, 0);
 /*--- compute (m0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+266414, int_stack+34515, int_stack+634200, int_stack+418827, int_stack+710496, int_stack+403977, 9, 0);
 /*--- compute (m0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+394902, int_stack+266414, int_stack+495258, int_stack+1181658, int_stack+728316, int_stack+757680, 9, 0);
 /*--- compute (m0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495258, int_stack+394902, int_stack+649050, int_stack+1206408, int_stack+528423, int_stack+777480, 9, 0);
 /*--- compute (lp|[r12,T2]|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+634200, int_stack+495258, int_stack+869430, 588);
 /*--- compute (kd|[r12,T2]|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1236108, int_stack+634200, int_stack+895890, 588);
 /*--- compute (if|[r12,T2]|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1363116, int_stack+1236108, int_stack+959394, 588);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1236108, int_stack+383562, int_stack+292436, 21);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1248456, int_stack+480138, int_stack+351264, 28);
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1264920, int_stack+1248456, int_stack+1236108, 588);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1301964, int_stack+614760, int_stack+443178, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+634200, int_stack+1301964, int_stack+1248456, 588);
 /*--- compute (hd|ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+683592, int_stack+634200, int_stack+1264920, 588);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1323132, int_stack+820830, int_stack+560652, 45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+495258, int_stack+1323132, int_stack+1301964, 588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+845130, int_stack+495258, int_stack+634200, 588);
 /*--- compute (hf|ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+1527756, int_stack+845130, int_stack+683592, 588);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1349592, int_stack+72160, int_stack+202780, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1354506, int_stack+1349592, int_stack+363024, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+757680, int_stack+1354506, int_stack+367182, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+558762, int_stack+757680, int_stack+374112, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+757680, int_stack+558762, int_stack+383562, 21);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+558762, int_stack+80539, int_stack+210858, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+565314, int_stack+558762, int_stack+260870, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1181658, int_stack+565314, int_stack+458298, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+558762, int_stack+1181658, int_stack+467538, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1181658, int_stack+558762, int_stack+480138, 28);
 /*--- compute (hp|kh) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+943914, int_stack+1181658, int_stack+757680, 756);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+558762, int_stack+91711, int_stack+221322, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+991542, int_stack+558762, int_stack+579552, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+558762, int_stack+991542, int_stack+586680, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+991542, int_stack+558762, int_stack+598560, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+558762, int_stack+991542, int_stack+614760, 36);
 /*--- compute (ip|kh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+991542, int_stack+558762, int_stack+1181658, 756);
 /*--- compute (hd|kh) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+333386, int_stack+991542, int_stack+943914, 756);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+585978, int_stack+106075, int_stack+234480, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+596508, int_stack+585978, int_stack+14715, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+596508, int_stack+318536, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+585978, int_stack+0, int_stack+800580, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+585978, int_stack+820830, 45);
 /*--- compute (kp|kh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+197950, int_stack+0, int_stack+558762, 756);
 /*--- compute (id|kh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1651236, int_stack+197950, int_stack+991542, 756);
 /*--- compute (hf|kh) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+1778244, int_stack+1651236, int_stack+333386, 756);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+585978, int_stack+1206408, int_stack+777480, 55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1937004, int_stack+585978, int_stack+1323132, 588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+2016384, int_stack+1937004, int_stack+495258, 588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+2143392, int_stack+2016384, int_stack+845130, 588);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+618318, int_stack+74659, int_stack+74071, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+620082, int_stack+75415, int_stack+74659, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+622350, int_stack+620082, int_stack+618318, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+625878, int_stack+76360, int_stack+75415, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+628713, int_stack+625878, int_stack+620082, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+34020, int_stack+628713, int_stack+622350, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+618318, int_stack+77515, int_stack+76360, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+39900, int_stack+618318, int_stack+625878, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+45570, int_stack+39900, int_stack+628713, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+621783, int_stack+45570, int_stack+34020, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+34020, int_stack+78901, int_stack+77515, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+53130, int_stack+34020, int_stack+618318, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+60060, int_stack+53130, int_stack+39900, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+34020, int_stack+60060, int_stack+45570, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+45360, int_stack+34020, int_stack+621783, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+34020, int_stack+83871, int_stack+83087, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+36372, int_stack+84879, int_stack+83871, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+39396, int_stack+36372, int_stack+34020, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+618318, int_stack+86139, int_stack+84879, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+622098, int_stack+618318, int_stack+36372, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+57708, int_stack+622098, int_stack+39396, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+34020, int_stack+87679, int_stack+86139, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+65548, int_stack+34020, int_stack+618318, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+73108, int_stack+65548, int_stack+622098, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+618318, int_stack+73108, int_stack+57708, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+57708, int_stack+89527, int_stack+87679, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+83188, int_stack+57708, int_stack+34020, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1202826, int_stack+83188, int_stack+65548, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+57708, int_stack+1202826, int_stack+73108, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1202826, int_stack+57708, int_stack+618318, 28);
 /*--- compute (hp|[r12,T1]|ih) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+57708, int_stack+1202826, int_stack+45360, int_stack+1248456, int_stack+757680, int_stack+1236108, 6, 5);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+757680, int_stack+95995, int_stack+94987, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+760704, int_stack+97291, int_stack+95995, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+764592, int_stack+760704, int_stack+757680, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+770640, int_stack+98911, int_stack+97291, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+775500, int_stack+770640, int_stack+760704, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+783276, int_stack+775500, int_stack+764592, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+757680, int_stack+100891, int_stack+98911, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+793356, int_stack+757680, int_stack+770640, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+803076, int_stack+793356, int_stack+775500, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+763620, int_stack+803076, int_stack+783276, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+778740, int_stack+103267, int_stack+100891, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+816036, int_stack+778740, int_stack+757680, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+827916, int_stack+816036, int_stack+793356, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+778740, int_stack+827916, int_stack+803076, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+798180, int_stack+778740, int_stack+763620, 36);
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+279598, int_stack+798180, int_stack+1202826, int_stack+1301964, int_stack+1181658, int_stack+1248456, 6, 5);
 /*--- compute (hd|[r12,T1]|ih) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1181658, int_stack+279598, int_stack+57708, int_stack+634200, int_stack+943914, int_stack+1264920, 6, 5);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+943914, int_stack+111430, int_stack+110170, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+947694, int_stack+113050, int_stack+111430, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+952554, int_stack+947694, int_stack+943914, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+960114, int_stack+115075, int_stack+113050, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+966189, int_stack+960114, int_stack+947694, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+975909, int_stack+966189, int_stack+952554, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+943914, int_stack+117550, int_stack+115075, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1255746, int_stack+943914, int_stack+960114, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1267896, int_stack+1255746, int_stack+966189, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+951339, int_stack+1267896, int_stack+975909, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+970239, int_stack+120520, int_stack+117550, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1284096, int_stack+970239, int_stack+943914, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+970239, int_stack+1284096, int_stack+1255746, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+757680, int_stack+970239, int_stack+1267896, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1255746, int_stack+757680, int_stack+951339, 45);
 /*--- compute (kp|[r12,T1]|ih) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+34020, int_stack+1255746, int_stack+798180, int_stack+1323132, int_stack+558762, int_stack+1301964, 6, 5);
 /*--- compute (id|[r12,T1]|ih) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2308032, int_stack+34020, int_stack+279598, int_stack+495258, int_stack+991542, int_stack+634200, 6, 5);
 /*--- compute (hf|[r12,T1]|ih) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2406816, int_stack+2308032, int_stack+1181658, int_stack+845130, int_stack+333386, int_stack+683592, 6, 5);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1181658, int_stack+125570, int_stack+124030, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1186278, int_stack+127550, int_stack+125570, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1192218, int_stack+1186278, int_stack+1181658, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1201458, int_stack+130025, int_stack+127550, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1208883, int_stack+1201458, int_stack+1186278, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1220763, int_stack+1208883, int_stack+1192218, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1181658, int_stack+133050, int_stack+130025, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1236163, int_stack+1181658, int_stack+1201458, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+279598, int_stack+1236163, int_stack+1208883, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1190733, int_stack+279598, int_stack+1220763, 55);
 /*--- compute (m0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1213833, int_stack+136680, int_stack+133050, 55);
 /*--- compute (m0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+299398, int_stack+1213833, int_stack+1181658, 55);
 /*--- compute (m0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+317548, int_stack+299398, int_stack+1236163, 55);
 /*--- compute (m0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1213833, int_stack+317548, int_stack+279598, 55);
 /*--- compute (m0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+279598, int_stack+1213833, int_stack+1190733, 55);
 /*--- compute (lp|[r12,T1]|ih) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+311938, int_stack+279598, int_stack+1255746, int_stack+585978, int_stack+0, int_stack+1323132, 6, 5);
 /*--- compute (kd|[r12,T1]|ih) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1181658, int_stack+311938, int_stack+34020, int_stack+1937004, int_stack+197950, int_stack+495258, 6, 5);
 /*--- compute (if|[r12,T1]|ih) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+197950, int_stack+1181658, int_stack+2308032, int_stack+2016384, int_stack+1651236, int_stack+845130, 6, 5);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1651236, int_stack+141558, int_stack+140970, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1653000, int_stack+142314, int_stack+141558, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1655268, int_stack+1653000, int_stack+1651236, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1658796, int_stack+143259, int_stack+142314, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1661631, int_stack+1658796, int_stack+1653000, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1666167, int_stack+1661631, int_stack+1655268, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1651236, int_stack+144414, int_stack+143259, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1672047, int_stack+1651236, int_stack+1658796, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1677717, int_stack+1672047, int_stack+1661631, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1654701, int_stack+1677717, int_stack+1666167, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1663521, int_stack+145800, int_stack+144414, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1685277, int_stack+1663521, int_stack+1651236, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1692207, int_stack+1685277, int_stack+1672047, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1663521, int_stack+1692207, int_stack+1677717, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1674861, int_stack+1663521, int_stack+1654701, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1651236, int_stack+148222, int_stack+147438, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1653588, int_stack+149230, int_stack+148222, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1656612, int_stack+1653588, int_stack+1651236, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1661316, int_stack+150490, int_stack+149230, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1665096, int_stack+1661316, int_stack+1653588, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1687209, int_stack+1665096, int_stack+1656612, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1651236, int_stack+152030, int_stack+150490, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1695049, int_stack+1651236, int_stack+1661316, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1702609, int_stack+1695049, int_stack+1665096, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1655856, int_stack+1702609, int_stack+1687209, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1687209, int_stack+153878, int_stack+152030, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1712689, int_stack+1687209, int_stack+1651236, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1721929, int_stack+1712689, int_stack+1695049, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1687209, int_stack+1721929, int_stack+1702609, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1702329, int_stack+1687209, int_stack+1655856, 28);
 /*--- compute (hp||ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1718793, int_stack+1702329, int_stack+1674861, 588);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1651236, int_stack+157070, int_stack+156062, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1654260, int_stack+158366, int_stack+157070, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1658148, int_stack+1654260, int_stack+1651236, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1664196, int_stack+159986, int_stack+158366, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1669056, int_stack+1664196, int_stack+1654260, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1676832, int_stack+1669056, int_stack+1658148, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1651236, int_stack+161966, int_stack+159986, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1686912, int_stack+1651236, int_stack+1664196, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1755837, int_stack+1686912, int_stack+1669056, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1657176, int_stack+1755837, int_stack+1676832, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1672296, int_stack+164342, int_stack+161966, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2308032, int_stack+1672296, int_stack+1651236, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2319912, int_stack+2308032, int_stack+1686912, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1672296, int_stack+2319912, int_stack+1755837, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1755837, int_stack+1672296, int_stack+1657176, 36);
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+2308032, int_stack+1755837, int_stack+1702329, 588);
 /*--- compute (hd||ih) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+1181658, int_stack+2308032, int_stack+1718793, 588);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2357424, int_stack+168410, int_stack+167150, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2361204, int_stack+170030, int_stack+168410, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2366064, int_stack+2361204, int_stack+2357424, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2373624, int_stack+172055, int_stack+170030, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2379699, int_stack+2373624, int_stack+2361204, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2389419, int_stack+2379699, int_stack+2366064, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2357424, int_stack+174530, int_stack+172055, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1651236, int_stack+2357424, int_stack+2373624, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1663386, int_stack+1651236, int_stack+2379699, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2364849, int_stack+1663386, int_stack+2389419, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2383749, int_stack+177500, int_stack+174530, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1679586, int_stack+2383749, int_stack+2357424, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2383749, int_stack+1679586, int_stack+1651236, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1679586, int_stack+2383749, int_stack+1663386, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1651236, int_stack+1679586, int_stack+2364849, 45);
 /*--- compute (kp||ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1677696, int_stack+1651236, int_stack+1755837, 588);
 /*--- compute (id||ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1255746, int_stack+1677696, int_stack+2308032, 588);
 /*--- compute (hf||ih) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+362590, int_stack+1255746, int_stack+1181658, 588);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1181658, int_stack+182550, int_stack+181010, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1186278, int_stack+184530, int_stack+182550, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1192218, int_stack+1186278, int_stack+1181658, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1201458, int_stack+187005, int_stack+184530, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1208883, int_stack+1201458, int_stack+1186278, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1220763, int_stack+1208883, int_stack+1192218, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1181658, int_stack+190030, int_stack+187005, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1236163, int_stack+1181658, int_stack+1201458, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2308032, int_stack+1236163, int_stack+1208883, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1190733, int_stack+2308032, int_stack+1220763, 55);
 /*--- compute (m0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1213833, int_stack+193660, int_stack+190030, 55);
 /*--- compute (m0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2327832, int_stack+1213833, int_stack+1181658, 55);
 /*--- compute (m0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2345982, int_stack+2327832, int_stack+1236163, 55);
 /*--- compute (m0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1213833, int_stack+2345982, int_stack+2308032, 55);
 /*--- compute (m0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2308032, int_stack+1213833, int_stack+1190733, 55);
 /*--- compute (lp||ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+486070, int_stack+2308032, int_stack+1651236, 588);
 /*--- compute (kd||ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+565450, int_stack+486070, int_stack+1677696, 588);
 /*--- compute (if||ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+692458, int_stack+565450, int_stack+1255746, 588);
 /*--- compute (hg|[r12,T2]|ih) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+486070, int_stack+1363116, int_stack+1058178, 588);
     Libr12->te_ptr[3] = int_stack + 486070;
 /*--- compute (hg|[r12,T1]|ih) ---*/
   t1hrr1_build_hg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+857098, int_stack+197950, int_stack+2406816, int_stack+2143392, int_stack+1778244, int_stack+1527756, 6, 5);
     Libr12->te_ptr[2] = int_stack + 857098;
 /*--- compute (hg||ih) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+1651236, int_stack+692458, int_stack+362590, 588);
     Libr12->te_ptr[1] = int_stack + 1651236;
 /*--- compute (hg|ih) ---*/
   hrr1_build_hg(Libr12->ShellQuartet.AB,int_stack+671290, int_stack+2143392, int_stack+1527756, 588);
     Libr12->te_ptr[0] = int_stack + 671290;

}
