#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hpgd(Libr12_t *, prim_data *);

  /* Computes (hp|gd) integrals for linear R12-methods */

void hrr_grt_order_hpgd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][4] = int_stack + 0;
 Libr12->t2vrr_classes[5][5] = int_stack + 315;
 Libr12->t2vrr_classes[5][6] = int_stack + 756;
 Libr12->gvrr_classes[7][4] = int_stack + 1344;
 Libr12->t2vrr_classes[6][4] = int_stack + 1884;
 Libr12->gvrr_classes[7][5] = int_stack + 2304;
 Libr12->t2vrr_classes[6][5] = int_stack + 3060;
 Libr12->t2vrr_classes[6][6] = int_stack + 3648;
 Libr12->gvrr_classes[5][7] = int_stack + 4432;
 Libr12->t1vrr_classes[5][4] = int_stack + 5188;
 Libr12->t1vrr_classes[5][5] = int_stack + 5503;
 Libr12->t1vrr_classes[5][6] = int_stack + 5944;
 Libr12->t1vrr_classes[6][4] = int_stack + 6532;
 Libr12->t1vrr_classes[6][5] = int_stack + 6952;
 Libr12->t1vrr_classes[6][6] = int_stack + 7540;
 Libr12->rvrr_classes[5][4] = int_stack + 8324;
 Libr12->rvrr_classes[5][5] = int_stack + 8639;
 Libr12->rvrr_classes[5][6] = int_stack + 9080;
 Libr12->rvrr_classes[6][4] = int_stack + 9668;
 Libr12->rvrr_classes[6][5] = int_stack + 10088;
 Libr12->rvrr_classes[6][6] = int_stack + 10676;
 Libr12->gvrr_classes[5][4] = int_stack + 11460;
 Libr12->gvrr_classes[5][5] = int_stack + 11775;
 Libr12->gvrr_classes[5][6] = int_stack + 12216;
 Libr12->gvrr_classes[6][4] = int_stack + 12804;
 Libr12->gvrr_classes[6][5] = int_stack + 13224;
 Libr12->gvrr_classes[6][6] = int_stack + 13812;
 memset(int_stack,0,14596*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 14596;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hpgd(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14596, int_stack+11775, int_stack+11460, 21);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+15541, int_stack+13224, int_stack+12804, 28);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+16801, int_stack+12216, int_stack+11775, 21);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18124, int_stack+315, int_stack+0, int_stack+11775, int_stack+12804, int_stack+11460, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19069, int_stack+756, int_stack+315, int_stack+12216, int_stack+13224, int_stack+11775, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20392, int_stack+19069, int_stack+18124, int_stack+16801, int_stack+15541, int_stack+14596, 5, 0);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+18124, int_stack+2304, int_stack+1344, 36);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+22282, int_stack+13812, int_stack+13224, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3060, int_stack+1884, int_stack+13224, int_stack+1344, int_stack+12804, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24046, int_stack+3648, int_stack+3060, int_stack+13812, int_stack+2304, int_stack+13224, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1260, int_stack+24046, int_stack+0, int_stack+22282, int_stack+18124, int_stack+15541, 6, 0);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+18124, int_stack+16801, int_stack+14596, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24046, int_stack+4432, int_stack+12216, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11460, int_stack+24046, int_stack+16801, 21);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+24046, int_stack+22282, int_stack+15541, 28);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+22282, int_stack+5503, int_stack+5188, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14106, int_stack+5944, int_stack+5503, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+15429, int_stack+14106, int_stack+22282, 21);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+6952, int_stack+6532, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+22282, int_stack+7540, int_stack+6952, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+22282, int_stack+0, 28);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+8639, int_stack+8324, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14106, int_stack+9080, int_stack+8639, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+14106, int_stack+0, 21);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10088, int_stack+9668, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+22282, int_stack+10676, int_stack+10088, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+8190, int_stack+22282, int_stack+0, 28);
 /*--- compute (hp|[r12,T2]|gd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+26566, int_stack+1260, int_stack+20392, 90);
     Libr12->te_ptr[3] = int_stack + 26566;
 /*--- compute (hp|[r12,T1]|gd) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+32236, int_stack+3780, int_stack+15429, int_stack+24046, int_stack+11460, int_stack+18124, 4, 2);
     Libr12->te_ptr[2] = int_stack + 32236;
 /*--- compute (hp||gd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+8190, int_stack+6300, 90);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (hp|gd) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+5670, int_stack+24046, int_stack+18124, 90);
     Libr12->te_ptr[0] = int_stack + 5670;

}
