#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hpid(Libr12_t *, prim_data *);

  /* Computes (hp|id) integrals for linear R12-methods */

void hrr_grt_order_hpid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->gvrr_classes[7][6] = int_stack + 2289;
 Libr12->t2vrr_classes[6][6] = int_stack + 3297;
 Libr12->gvrr_classes[7][7] = int_stack + 4081;
 Libr12->t2vrr_classes[6][7] = int_stack + 5377;
 Libr12->t2vrr_classes[6][8] = int_stack + 6385;
 Libr12->gvrr_classes[5][9] = int_stack + 7645;
 Libr12->t1vrr_classes[5][6] = int_stack + 8800;
 Libr12->t1vrr_classes[5][7] = int_stack + 9388;
 Libr12->t1vrr_classes[5][8] = int_stack + 10144;
 Libr12->t1vrr_classes[6][6] = int_stack + 11089;
 Libr12->t1vrr_classes[6][7] = int_stack + 11873;
 Libr12->t1vrr_classes[6][8] = int_stack + 12881;
 Libr12->rvrr_classes[5][6] = int_stack + 14141;
 Libr12->rvrr_classes[5][7] = int_stack + 14729;
 Libr12->rvrr_classes[5][8] = int_stack + 15485;
 Libr12->rvrr_classes[6][6] = int_stack + 16430;
 Libr12->rvrr_classes[6][7] = int_stack + 17214;
 Libr12->rvrr_classes[6][8] = int_stack + 18222;
 Libr12->gvrr_classes[5][6] = int_stack + 19482;
 Libr12->gvrr_classes[5][7] = int_stack + 20070;
 Libr12->gvrr_classes[5][8] = int_stack + 20826;
 Libr12->gvrr_classes[6][6] = int_stack + 21771;
 Libr12->gvrr_classes[6][7] = int_stack + 22555;
 Libr12->gvrr_classes[6][8] = int_stack + 23563;
 memset(int_stack,0,24823*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 24823;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hpid(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24823, int_stack+20070, int_stack+19482, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+26587, int_stack+22555, int_stack+21771, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28939, int_stack+20826, int_stack+20070, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31207, int_stack+588, int_stack+0, int_stack+20070, int_stack+21771, int_stack+19482, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32971, int_stack+1344, int_stack+588, int_stack+20826, int_stack+22555, int_stack+20070, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35239, int_stack+32971, int_stack+31207, int_stack+28939, int_stack+26587, int_stack+24823, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+31207, int_stack+4081, int_stack+2289, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+38767, int_stack+23563, int_stack+22555, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41791, int_stack+5377, int_stack+3297, int_stack+22555, int_stack+2289, int_stack+21771, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6385, int_stack+5377, int_stack+23563, int_stack+4081, int_stack+22555, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44143, int_stack+0, int_stack+41791, int_stack+38767, int_stack+31207, int_stack+26587, 6, 0);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+31207, int_stack+28939, int_stack+24823, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+7645, int_stack+20826, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2835, int_stack+0, int_stack+28939, 21);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+19482, int_stack+38767, int_stack+26587, 28);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+38767, int_stack+9388, int_stack+8800, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+40531, int_stack+10144, int_stack+9388, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7371, int_stack+40531, int_stack+38767, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+38767, int_stack+11873, int_stack+11089, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+41119, int_stack+12881, int_stack+11873, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+24186, int_stack+41119, int_stack+38767, 28);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+38767, int_stack+14729, int_stack+14141, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+40531, int_stack+15485, int_stack+14729, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10899, int_stack+40531, int_stack+38767, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+38767, int_stack+17214, int_stack+16430, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+41119, int_stack+18222, int_stack+17214, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14427, int_stack+41119, int_stack+38767, 28);
 /*--- compute (hp|[r12,T2]|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+48847, int_stack+44143, int_stack+35239, 168);
     Libr12->te_ptr[3] = int_stack + 48847;
 /*--- compute (hp|[r12,T1]|id) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+34735, int_stack+24186, int_stack+7371, int_stack+19482, int_stack+2835, int_stack+31207, 6, 2);
     Libr12->te_ptr[2] = int_stack + 34735;
 /*--- compute (hp||id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+14427, int_stack+10899, 168);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (hp|id) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+59431, int_stack+19482, int_stack+31207, 168);
     Libr12->te_ptr[0] = int_stack + 59431;

}
