#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hpif(Libr12_t *, prim_data *);

  /* Computes (hp|if) integrals for linear R12-methods */

void hrr_grt_order_hpif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->gvrr_classes[7][6] = int_stack + 3444;
 Libr12->t2vrr_classes[6][6] = int_stack + 4452;
 Libr12->gvrr_classes[7][7] = int_stack + 5236;
 Libr12->t2vrr_classes[6][7] = int_stack + 6532;
 Libr12->gvrr_classes[7][8] = int_stack + 7540;
 Libr12->t2vrr_classes[6][8] = int_stack + 9160;
 Libr12->t2vrr_classes[6][9] = int_stack + 10420;
 Libr12->gvrr_classes[5][10] = int_stack + 11960;
 Libr12->t1vrr_classes[5][6] = int_stack + 13346;
 Libr12->t1vrr_classes[5][7] = int_stack + 13934;
 Libr12->t1vrr_classes[5][8] = int_stack + 14690;
 Libr12->t1vrr_classes[5][9] = int_stack + 15635;
 Libr12->t1vrr_classes[6][6] = int_stack + 16790;
 Libr12->t1vrr_classes[6][7] = int_stack + 17574;
 Libr12->t1vrr_classes[6][8] = int_stack + 18582;
 Libr12->t1vrr_classes[6][9] = int_stack + 19842;
 Libr12->rvrr_classes[5][6] = int_stack + 21382;
 Libr12->rvrr_classes[5][7] = int_stack + 21970;
 Libr12->rvrr_classes[5][8] = int_stack + 22726;
 Libr12->rvrr_classes[5][9] = int_stack + 23671;
 Libr12->rvrr_classes[6][6] = int_stack + 24826;
 Libr12->rvrr_classes[6][7] = int_stack + 25610;
 Libr12->rvrr_classes[6][8] = int_stack + 26618;
 Libr12->rvrr_classes[6][9] = int_stack + 27878;
 Libr12->gvrr_classes[5][6] = int_stack + 29418;
 Libr12->gvrr_classes[5][7] = int_stack + 30006;
 Libr12->gvrr_classes[5][8] = int_stack + 30762;
 Libr12->gvrr_classes[5][9] = int_stack + 31707;
 Libr12->gvrr_classes[6][6] = int_stack + 32862;
 Libr12->gvrr_classes[6][7] = int_stack + 33646;
 Libr12->gvrr_classes[6][8] = int_stack + 34654;
 Libr12->gvrr_classes[6][9] = int_stack + 35914;
 memset(int_stack,0,37454*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 37454;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hpif(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37454, int_stack+30006, int_stack+29418, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39218, int_stack+30762, int_stack+30006, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+41486, int_stack+39218, int_stack+37454, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+45014, int_stack+33646, int_stack+32862, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+47366, int_stack+34654, int_stack+33646, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+50390, int_stack+47366, int_stack+45014, 28);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+55094, int_stack+31707, int_stack+30762, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+57929, int_stack+55094, int_stack+39218, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62465, int_stack+588, int_stack+0, int_stack+30006, int_stack+32862, int_stack+29418, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64229, int_stack+1344, int_stack+588, int_stack+30762, int_stack+33646, int_stack+30006, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66497, int_stack+64229, int_stack+62465, int_stack+39218, int_stack+45014, int_stack+37454, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70025, int_stack+2289, int_stack+1344, int_stack+31707, int_stack+34654, int_stack+30762, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72860, int_stack+70025, int_stack+64229, int_stack+55094, int_stack+47366, int_stack+39218, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77396, int_stack+72860, int_stack+66497, int_stack+57929, int_stack+50390, int_stack+41486, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37454, int_stack+5236, int_stack+3444, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+62465, int_stack+7540, int_stack+5236, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+66353, int_stack+62465, int_stack+37454, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+72401, int_stack+35914, int_stack+34654, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+83276, int_stack+72401, int_stack+47366, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6532, int_stack+4452, int_stack+33646, int_stack+3444, int_stack+32862, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89324, int_stack+9160, int_stack+6532, int_stack+34654, int_stack+5236, int_stack+33646, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2352, int_stack+89324, int_stack+0, int_stack+47366, int_stack+37454, int_stack+45014, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37454, int_stack+10420, int_stack+9160, int_stack+35914, int_stack+7540, int_stack+34654, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92348, int_stack+37454, int_stack+89324, int_stack+72401, int_stack+62465, int_stack+47366, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32862, int_stack+92348, int_stack+2352, int_stack+83276, int_stack+66353, int_stack+50390, 6, 0);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+62465, int_stack+57929, int_stack+41486, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+68345, int_stack+11960, int_stack+31707, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+89324, int_stack+68345, int_stack+55094, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+68345, int_stack+89324, int_stack+57929, 21);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+89324, int_stack+83276, int_stack+50390, 28);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+83276, int_stack+13934, int_stack+13346, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+85040, int_stack+14690, int_stack+13934, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+85040, int_stack+83276, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3528, int_stack+15635, int_stack+14690, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+6363, int_stack+3528, int_stack+85040, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+83276, int_stack+6363, int_stack+0, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17574, int_stack+16790, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+18582, int_stack+17574, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+19842, int_stack+18582, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+10080, int_stack+2352, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+40702, int_stack+13860, int_stack+5376, 28);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+21970, int_stack+21382, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+22726, int_stack+21970, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+1764, int_stack+0, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7560, int_stack+23671, int_stack+22726, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10395, int_stack+7560, int_stack+1764, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+14931, int_stack+10395, int_stack+4032, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+25610, int_stack+24826, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+26618, int_stack+25610, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+27878, int_stack+26618, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+20811, int_stack+10080, int_stack+2352, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+48542, int_stack+20811, int_stack+5376, 28);
 /*--- compute (hp|[r12,T2]|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+97164, int_stack+32862, int_stack+77396, 280);
     Libr12->te_ptr[3] = int_stack + 97164;
 /*--- compute (hp|[r12,T1]|if) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+20811, int_stack+40702, int_stack+83276, int_stack+89324, int_stack+68345, int_stack+62465, 6, 3);
     Libr12->te_ptr[2] = int_stack + 20811;
 /*--- compute (hp||if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+68345, int_stack+48542, int_stack+14931, 280);
     Libr12->te_ptr[1] = int_stack + 68345;
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+38451, int_stack+89324, int_stack+62465, 280);
     Libr12->te_ptr[0] = int_stack + 38451;

}
