#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hpig(Libr12_t *, prim_data *);

  /* Computes (hp|ig) integrals for linear R12-methods */

void hrr_grt_order_hpig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[5][10] = int_stack + 3444;
 Libr12->gvrr_classes[7][6] = int_stack + 4830;
 Libr12->t2vrr_classes[6][6] = int_stack + 5838;
 Libr12->gvrr_classes[7][7] = int_stack + 6622;
 Libr12->t2vrr_classes[6][7] = int_stack + 7918;
 Libr12->gvrr_classes[7][8] = int_stack + 8926;
 Libr12->t2vrr_classes[6][8] = int_stack + 10546;
 Libr12->gvrr_classes[7][9] = int_stack + 11806;
 Libr12->t2vrr_classes[6][9] = int_stack + 13786;
 Libr12->t2vrr_classes[6][10] = int_stack + 15326;
 Libr12->gvrr_classes[5][11] = int_stack + 17174;
 Libr12->t1vrr_classes[5][6] = int_stack + 18812;
 Libr12->t1vrr_classes[5][7] = int_stack + 19400;
 Libr12->t1vrr_classes[5][8] = int_stack + 20156;
 Libr12->t1vrr_classes[5][9] = int_stack + 21101;
 Libr12->t1vrr_classes[5][10] = int_stack + 22256;
 Libr12->t1vrr_classes[6][6] = int_stack + 23642;
 Libr12->t1vrr_classes[6][7] = int_stack + 24426;
 Libr12->t1vrr_classes[6][8] = int_stack + 25434;
 Libr12->t1vrr_classes[6][9] = int_stack + 26694;
 Libr12->t1vrr_classes[6][10] = int_stack + 28234;
 Libr12->rvrr_classes[5][6] = int_stack + 30082;
 Libr12->rvrr_classes[5][7] = int_stack + 30670;
 Libr12->rvrr_classes[5][8] = int_stack + 31426;
 Libr12->rvrr_classes[5][9] = int_stack + 32371;
 Libr12->rvrr_classes[5][10] = int_stack + 33526;
 Libr12->rvrr_classes[6][6] = int_stack + 34912;
 Libr12->rvrr_classes[6][7] = int_stack + 35696;
 Libr12->rvrr_classes[6][8] = int_stack + 36704;
 Libr12->rvrr_classes[6][9] = int_stack + 37964;
 Libr12->rvrr_classes[6][10] = int_stack + 39504;
 Libr12->gvrr_classes[5][6] = int_stack + 41352;
 Libr12->gvrr_classes[5][7] = int_stack + 41940;
 Libr12->gvrr_classes[5][8] = int_stack + 42696;
 Libr12->gvrr_classes[5][9] = int_stack + 43641;
 Libr12->gvrr_classes[5][10] = int_stack + 44796;
 Libr12->gvrr_classes[6][6] = int_stack + 46182;
 Libr12->gvrr_classes[6][7] = int_stack + 46966;
 Libr12->gvrr_classes[6][8] = int_stack + 47974;
 Libr12->gvrr_classes[6][9] = int_stack + 49234;
 Libr12->gvrr_classes[6][10] = int_stack + 50774;
 memset(int_stack,0,52622*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 52622;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hpig(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+52622, int_stack+41940, int_stack+41352, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+54386, int_stack+42696, int_stack+41940, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+56654, int_stack+54386, int_stack+52622, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+60182, int_stack+43641, int_stack+42696, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+63017, int_stack+60182, int_stack+54386, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+67553, int_stack+63017, int_stack+56654, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+73433, int_stack+46966, int_stack+46182, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+75785, int_stack+47974, int_stack+46966, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+78809, int_stack+75785, int_stack+73433, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+83513, int_stack+49234, int_stack+47974, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+87293, int_stack+83513, int_stack+75785, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+93341, int_stack+87293, int_stack+78809, 28);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+101181, int_stack+44796, int_stack+43641, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+104646, int_stack+101181, int_stack+60182, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+110316, int_stack+104646, int_stack+63017, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117876, int_stack+588, int_stack+0, int_stack+41940, int_stack+46182, int_stack+41352, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119640, int_stack+1344, int_stack+588, int_stack+42696, int_stack+46966, int_stack+41940, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121908, int_stack+119640, int_stack+117876, int_stack+54386, int_stack+73433, int_stack+52622, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125436, int_stack+2289, int_stack+1344, int_stack+43641, int_stack+47974, int_stack+42696, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+128271, int_stack+125436, int_stack+119640, int_stack+60182, int_stack+75785, int_stack+54386, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132807, int_stack+128271, int_stack+121908, int_stack+63017, int_stack+78809, int_stack+56654, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52622, int_stack+3444, int_stack+2289, int_stack+44796, int_stack+49234, int_stack+43641, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117876, int_stack+52622, int_stack+125436, int_stack+101181, int_stack+83513, int_stack+60182, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52622, int_stack+117876, int_stack+128271, int_stack+104646, int_stack+87293, int_stack+63017, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117876, int_stack+52622, int_stack+132807, int_stack+110316, int_stack+93341, int_stack+67553, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+52622, int_stack+6622, int_stack+4830, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+55646, int_stack+8926, int_stack+6622, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+59534, int_stack+55646, int_stack+52622, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+126696, int_stack+11806, int_stack+8926, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+131556, int_stack+126696, int_stack+55646, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+139332, int_stack+131556, int_stack+59534, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+50774, int_stack+49234, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+149412, int_stack+0, int_stack+83513, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+156972, int_stack+149412, int_stack+87293, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41352, int_stack+7918, int_stack+5838, int_stack+46966, int_stack+4830, int_stack+46182, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+167052, int_stack+10546, int_stack+7918, int_stack+47974, int_stack+6622, int_stack+46966, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+170076, int_stack+167052, int_stack+41352, int_stack+75785, int_stack+52622, int_stack+73433, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4620, int_stack+13786, int_stack+10546, int_stack+49234, int_stack+8926, int_stack+47974, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+174780, int_stack+4620, int_stack+167052, int_stack+83513, int_stack+55646, int_stack+75785, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180828, int_stack+174780, int_stack+170076, int_stack+87293, int_stack+59534, int_stack+78809, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+167052, int_stack+15326, int_stack+13786, int_stack+50774, int_stack+11806, int_stack+49234, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73433, int_stack+167052, int_stack+4620, int_stack+0, int_stack+126696, int_stack+83513, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+73433, int_stack+174780, int_stack+149412, int_stack+131556, int_stack+87293, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+73433, int_stack+0, int_stack+180828, int_stack+156972, int_stack+139332, int_stack+93341, 6, 0);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+110316, int_stack+67553, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+17174, int_stack+44796, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+85193, int_stack+8820, int_stack+101181, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+85193, int_stack+104646, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+126696, int_stack+8820, int_stack+110316, 21);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+101181, int_stack+156972, int_stack+93341, 28);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+19400, int_stack+18812, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10584, int_stack+20156, int_stack+19400, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12852, int_stack+10584, int_stack+8820, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16380, int_stack+21101, int_stack+20156, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+85193, int_stack+16380, int_stack+10584, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+89729, int_stack+85193, int_stack+12852, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+22256, int_stack+21101, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+138036, int_stack+8820, int_stack+16380, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+138036, int_stack+85193, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+138036, int_stack+8820, int_stack+89729, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+24426, int_stack+23642, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+11172, int_stack+25434, int_stack+24426, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14196, int_stack+11172, int_stack+8820, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+26694, int_stack+25434, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+85193, int_stack+18900, int_stack+11172, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+91241, int_stack+85193, int_stack+14196, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+28234, int_stack+26694, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+146856, int_stack+8820, int_stack+18900, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+146856, int_stack+85193, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+146856, int_stack+8820, int_stack+91241, 28);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+30670, int_stack+30082, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10584, int_stack+31426, int_stack+30670, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12852, int_stack+10584, int_stack+8820, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16380, int_stack+32371, int_stack+31426, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+19215, int_stack+16380, int_stack+10584, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+23751, int_stack+19215, int_stack+12852, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+33526, int_stack+32371, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+85193, int_stack+8820, int_stack+16380, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+85193, int_stack+19215, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+85193, int_stack+8820, int_stack+23751, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+35696, int_stack+34912, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+11172, int_stack+36704, int_stack+35696, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14196, int_stack+11172, int_stack+8820, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+37964, int_stack+36704, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22680, int_stack+18900, int_stack+11172, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+28728, int_stack+22680, int_stack+14196, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+39504, int_stack+37964, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+36568, int_stack+8820, int_stack+18900, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+36568, int_stack+22680, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+36568, int_stack+8820, int_stack+28728, 28);
 /*--- compute (hp|[r12,T2]|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+8820, int_stack+73433, int_stack+117876, 420);
     Libr12->te_ptr[3] = int_stack + 8820;
 /*--- compute (hp|[r12,T1]|ig) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+48328, int_stack+146856, int_stack+138036, int_stack+101181, int_stack+126696, int_stack+0, 6, 4);
     Libr12->te_ptr[2] = int_stack + 48328;
 /*--- compute (hp||ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+112941, int_stack+36568, int_stack+85193, 420);
     Libr12->te_ptr[1] = int_stack + 112941;
 /*--- compute (hp|ig) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+139401, int_stack+101181, int_stack+0, 420);
     Libr12->te_ptr[0] = int_stack + 139401;

}
