#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hpih(Libr12_t *, prim_data *);

  /* Computes (hp|ih) integrals for linear R12-methods */

void hrr_grt_order_hpih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[5][10] = int_stack + 3444;
 Libr12->t2vrr_classes[5][11] = int_stack + 4830;
 Libr12->gvrr_classes[7][6] = int_stack + 6468;
 Libr12->t2vrr_classes[6][6] = int_stack + 7476;
 Libr12->gvrr_classes[7][7] = int_stack + 8260;
 Libr12->t2vrr_classes[6][7] = int_stack + 9556;
 Libr12->gvrr_classes[7][8] = int_stack + 10564;
 Libr12->t2vrr_classes[6][8] = int_stack + 12184;
 Libr12->gvrr_classes[7][9] = int_stack + 13444;
 Libr12->t2vrr_classes[6][9] = int_stack + 15424;
 Libr12->gvrr_classes[7][10] = int_stack + 16964;
 Libr12->t2vrr_classes[6][10] = int_stack + 19340;
 Libr12->t2vrr_classes[6][11] = int_stack + 21188;
 Libr12->gvrr_classes[5][12] = int_stack + 23372;
 Libr12->t1vrr_classes[5][6] = int_stack + 25283;
 Libr12->t1vrr_classes[5][7] = int_stack + 25871;
 Libr12->t1vrr_classes[5][8] = int_stack + 26627;
 Libr12->t1vrr_classes[5][9] = int_stack + 27572;
 Libr12->t1vrr_classes[5][10] = int_stack + 28727;
 Libr12->t1vrr_classes[5][11] = int_stack + 30113;
 Libr12->t1vrr_classes[6][6] = int_stack + 31751;
 Libr12->t1vrr_classes[6][7] = int_stack + 32535;
 Libr12->t1vrr_classes[6][8] = int_stack + 33543;
 Libr12->t1vrr_classes[6][9] = int_stack + 34803;
 Libr12->t1vrr_classes[6][10] = int_stack + 36343;
 Libr12->t1vrr_classes[6][11] = int_stack + 38191;
 Libr12->rvrr_classes[5][6] = int_stack + 40375;
 Libr12->rvrr_classes[5][7] = int_stack + 40963;
 Libr12->rvrr_classes[5][8] = int_stack + 41719;
 Libr12->rvrr_classes[5][9] = int_stack + 42664;
 Libr12->rvrr_classes[5][10] = int_stack + 43819;
 Libr12->rvrr_classes[5][11] = int_stack + 45205;
 Libr12->rvrr_classes[6][6] = int_stack + 46843;
 Libr12->rvrr_classes[6][7] = int_stack + 47627;
 Libr12->rvrr_classes[6][8] = int_stack + 48635;
 Libr12->rvrr_classes[6][9] = int_stack + 49895;
 Libr12->rvrr_classes[6][10] = int_stack + 51435;
 Libr12->rvrr_classes[6][11] = int_stack + 53283;
 Libr12->gvrr_classes[5][6] = int_stack + 55467;
 Libr12->gvrr_classes[5][7] = int_stack + 56055;
 Libr12->gvrr_classes[5][8] = int_stack + 56811;
 Libr12->gvrr_classes[5][9] = int_stack + 57756;
 Libr12->gvrr_classes[5][10] = int_stack + 58911;
 Libr12->gvrr_classes[5][11] = int_stack + 60297;
 Libr12->gvrr_classes[6][6] = int_stack + 61935;
 Libr12->gvrr_classes[6][7] = int_stack + 62719;
 Libr12->gvrr_classes[6][8] = int_stack + 63727;
 Libr12->gvrr_classes[6][9] = int_stack + 64987;
 Libr12->gvrr_classes[6][10] = int_stack + 66527;
 Libr12->gvrr_classes[6][11] = int_stack + 68375;
 memset(int_stack,0,70559*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 70559;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hpih(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+70559, int_stack+56055, int_stack+55467, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+72323, int_stack+56811, int_stack+56055, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+74591, int_stack+72323, int_stack+70559, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+78119, int_stack+57756, int_stack+56811, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+80954, int_stack+78119, int_stack+72323, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+85490, int_stack+80954, int_stack+74591, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+91370, int_stack+58911, int_stack+57756, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+94835, int_stack+91370, int_stack+78119, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+100505, int_stack+94835, int_stack+80954, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+108065, int_stack+100505, int_stack+85490, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+116885, int_stack+62719, int_stack+61935, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+119237, int_stack+63727, int_stack+62719, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+122261, int_stack+119237, int_stack+116885, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+126965, int_stack+64987, int_stack+63727, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+130745, int_stack+126965, int_stack+119237, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+136793, int_stack+130745, int_stack+122261, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+144633, int_stack+66527, int_stack+64987, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+149253, int_stack+144633, int_stack+126965, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+156813, int_stack+149253, int_stack+130745, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+166893, int_stack+156813, int_stack+136793, 28);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+178653, int_stack+60297, int_stack+58911, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+182811, int_stack+178653, int_stack+91370, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+189741, int_stack+182811, int_stack+94835, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+199191, int_stack+189741, int_stack+100505, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+210531, int_stack+588, int_stack+0, int_stack+56055, int_stack+61935, int_stack+55467, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+212295, int_stack+1344, int_stack+588, int_stack+56811, int_stack+62719, int_stack+56055, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+214563, int_stack+212295, int_stack+210531, int_stack+72323, int_stack+116885, int_stack+70559, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+218091, int_stack+2289, int_stack+1344, int_stack+57756, int_stack+63727, int_stack+56811, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+220926, int_stack+218091, int_stack+212295, int_stack+78119, int_stack+119237, int_stack+72323, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+225462, int_stack+220926, int_stack+214563, int_stack+80954, int_stack+122261, int_stack+74591, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70559, int_stack+3444, int_stack+2289, int_stack+58911, int_stack+64987, int_stack+57756, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+210531, int_stack+70559, int_stack+218091, int_stack+91370, int_stack+126965, int_stack+78119, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+231342, int_stack+210531, int_stack+220926, int_stack+94835, int_stack+130745, int_stack+80954, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74024, int_stack+231342, int_stack+225462, int_stack+100505, int_stack+136793, int_stack+85490, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82844, int_stack+4830, int_stack+3444, int_stack+60297, int_stack+66527, int_stack+58911, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+216201, int_stack+82844, int_stack+70559, int_stack+178653, int_stack+144633, int_stack+91370, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82844, int_stack+216201, int_stack+210531, int_stack+182811, int_stack+149253, int_stack+94835, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+210531, int_stack+82844, int_stack+231342, int_stack+189741, int_stack+156813, int_stack+100505, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82844, int_stack+210531, int_stack+74024, int_stack+199191, int_stack+166893, int_stack+108065, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+210531, int_stack+8260, int_stack+6468, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+213555, int_stack+10564, int_stack+8260, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+217443, int_stack+213555, int_stack+210531, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+223491, int_stack+13444, int_stack+10564, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+228351, int_stack+223491, int_stack+213555, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+95192, int_stack+228351, int_stack+217443, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+70559, int_stack+16964, int_stack+13444, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+236127, int_stack+70559, int_stack+223491, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+245847, int_stack+236127, int_stack+228351, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+258807, int_stack+245847, int_stack+95192, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+76499, int_stack+68375, int_stack+66527, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+273927, int_stack+76499, int_stack+144633, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+283167, int_stack+273927, int_stack+149253, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+295767, int_stack+283167, int_stack+156813, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105272, int_stack+9556, int_stack+7476, int_stack+62719, int_stack+6468, int_stack+61935, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55467, int_stack+12184, int_stack+9556, int_stack+63727, int_stack+8260, int_stack+62719, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+55467, int_stack+105272, int_stack+119237, int_stack+210531, int_stack+116885, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4704, int_stack+15424, int_stack+12184, int_stack+64987, int_stack+10564, int_stack+63727, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+310887, int_stack+4704, int_stack+55467, int_stack+126965, int_stack+213555, int_stack+119237, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316935, int_stack+310887, int_stack+0, int_stack+130745, int_stack+217443, int_stack+122261, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+19340, int_stack+15424, int_stack+66527, int_stack+13444, int_stack+64987, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+116885, int_stack+0, int_stack+4704, int_stack+144633, int_stack+223491, int_stack+126965, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4620, int_stack+116885, int_stack+310887, int_stack+149253, int_stack+228351, int_stack+130745, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124445, int_stack+4620, int_stack+316935, int_stack+156813, int_stack+95192, int_stack+136793, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95192, int_stack+21188, int_stack+19340, int_stack+68375, int_stack+16964, int_stack+66527, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+310887, int_stack+95192, int_stack+0, int_stack+76499, int_stack+70559, int_stack+144633, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95192, int_stack+310887, int_stack+116885, int_stack+273927, int_stack+236127, int_stack+149253, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136205, int_stack+95192, int_stack+4620, int_stack+283167, int_stack+245847, int_stack+156813, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273927, int_stack+136205, int_stack+124445, int_stack+295767, int_stack+258807, int_stack+166893, 6, 0);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+95192, int_stack+199191, int_stack+108065, 21);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+107540, int_stack+23372, int_stack+60297, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+112454, int_stack+107540, int_stack+178653, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+120770, int_stack+112454, int_stack+182811, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+132320, int_stack+120770, int_stack+189741, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+178653, int_stack+132320, int_stack+199191, 21);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+194529, int_stack+295767, int_stack+166893, 28);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+210993, int_stack+25871, int_stack+25283, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+212757, int_stack+26627, int_stack+25871, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+215025, int_stack+212757, int_stack+210993, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+218553, int_stack+27572, int_stack+26627, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+221388, int_stack+218553, int_stack+212757, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+225924, int_stack+221388, int_stack+215025, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+210993, int_stack+28727, int_stack+27572, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+231804, int_stack+210993, int_stack+218553, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+237474, int_stack+231804, int_stack+221388, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+214458, int_stack+237474, int_stack+225924, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+223278, int_stack+30113, int_stack+28727, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+245034, int_stack+223278, int_stack+210993, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+251964, int_stack+245034, int_stack+231804, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+223278, int_stack+251964, int_stack+237474, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+234618, int_stack+223278, int_stack+214458, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+210993, int_stack+32535, int_stack+31751, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+213345, int_stack+33543, int_stack+32535, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+216369, int_stack+213345, int_stack+210993, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+221073, int_stack+34803, int_stack+33543, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+224853, int_stack+221073, int_stack+213345, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+246966, int_stack+224853, int_stack+216369, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+210993, int_stack+36343, int_stack+34803, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+254806, int_stack+210993, int_stack+221073, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+262366, int_stack+254806, int_stack+224853, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+215613, int_stack+262366, int_stack+246966, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+246966, int_stack+38191, int_stack+36343, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+107540, int_stack+246966, int_stack+210993, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+116780, int_stack+107540, int_stack+254806, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+246966, int_stack+116780, int_stack+262366, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+107540, int_stack+246966, int_stack+215613, 28);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+246966, int_stack+40963, int_stack+40375, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+248730, int_stack+41719, int_stack+40963, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+250998, int_stack+248730, int_stack+246966, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+254526, int_stack+42664, int_stack+41719, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+257361, int_stack+254526, int_stack+248730, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+261897, int_stack+257361, int_stack+250998, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+246966, int_stack+43819, int_stack+42664, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+267777, int_stack+246966, int_stack+254526, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+124004, int_stack+267777, int_stack+257361, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+250431, int_stack+124004, int_stack+261897, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+259251, int_stack+45205, int_stack+43819, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+131564, int_stack+259251, int_stack+246966, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+138494, int_stack+131564, int_stack+267777, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+259251, int_stack+138494, int_stack+124004, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+124004, int_stack+259251, int_stack+250431, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+136352, int_stack+47627, int_stack+46843, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+138704, int_stack+48635, int_stack+47627, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+141728, int_stack+138704, int_stack+136352, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+146432, int_stack+49895, int_stack+48635, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+150212, int_stack+146432, int_stack+138704, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+156260, int_stack+150212, int_stack+141728, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+136352, int_stack+51435, int_stack+49895, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+164100, int_stack+136352, int_stack+146432, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+246966, int_stack+164100, int_stack+150212, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+140972, int_stack+246966, int_stack+156260, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+152732, int_stack+53283, int_stack+51435, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+257046, int_stack+152732, int_stack+136352, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+210993, int_stack+257046, int_stack+164100, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+257046, int_stack+210993, int_stack+246966, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+210993, int_stack+257046, int_stack+140972, 28);
 /*--- compute (hp|[r12,T2]|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+136352, int_stack+273927, int_stack+82844, 588);
     Libr12->te_ptr[3] = int_stack + 136352;
 /*--- compute (hp|[r12,T1]|ih) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+246966, int_stack+107540, int_stack+234618, int_stack+194529, int_stack+178653, int_stack+95192, 6, 5);
     Libr12->te_ptr[2] = int_stack + 246966;
 /*--- compute (hp||ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+284010, int_stack+210993, int_stack+124004, 588);
     Libr12->te_ptr[1] = int_stack + 284010;
 /*--- compute (hp|ih) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+194529, int_stack+95192, 588);
     Libr12->te_ptr[0] = int_stack + 0;

}
