#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hpii(Libr12_t *, prim_data *);

  /* Computes (hp|ii) integrals for linear R12-methods */

void hrr_grt_order_hpii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->t2vrr_classes[5][8] = int_stack + 1344;
 Libr12->t2vrr_classes[5][9] = int_stack + 2289;
 Libr12->t2vrr_classes[5][10] = int_stack + 3444;
 Libr12->t2vrr_classes[5][11] = int_stack + 4830;
 Libr12->t2vrr_classes[5][12] = int_stack + 6468;
 Libr12->gvrr_classes[7][6] = int_stack + 8379;
 Libr12->t2vrr_classes[6][6] = int_stack + 9387;
 Libr12->gvrr_classes[7][7] = int_stack + 10171;
 Libr12->t2vrr_classes[6][7] = int_stack + 11467;
 Libr12->gvrr_classes[7][8] = int_stack + 12475;
 Libr12->t2vrr_classes[6][8] = int_stack + 14095;
 Libr12->gvrr_classes[7][9] = int_stack + 15355;
 Libr12->t2vrr_classes[6][9] = int_stack + 17335;
 Libr12->gvrr_classes[7][10] = int_stack + 18875;
 Libr12->t2vrr_classes[6][10] = int_stack + 21251;
 Libr12->gvrr_classes[7][11] = int_stack + 23099;
 Libr12->t2vrr_classes[6][11] = int_stack + 25907;
 Libr12->t2vrr_classes[6][12] = int_stack + 28091;
 Libr12->gvrr_classes[5][13] = int_stack + 30639;
 Libr12->t1vrr_classes[5][6] = int_stack + 32844;
 Libr12->t1vrr_classes[5][7] = int_stack + 33432;
 Libr12->t1vrr_classes[5][8] = int_stack + 34188;
 Libr12->t1vrr_classes[5][9] = int_stack + 35133;
 Libr12->t1vrr_classes[5][10] = int_stack + 36288;
 Libr12->t1vrr_classes[5][11] = int_stack + 37674;
 Libr12->t1vrr_classes[5][12] = int_stack + 39312;
 Libr12->t1vrr_classes[6][6] = int_stack + 41223;
 Libr12->t1vrr_classes[6][7] = int_stack + 42007;
 Libr12->t1vrr_classes[6][8] = int_stack + 43015;
 Libr12->t1vrr_classes[6][9] = int_stack + 44275;
 Libr12->t1vrr_classes[6][10] = int_stack + 45815;
 Libr12->t1vrr_classes[6][11] = int_stack + 47663;
 Libr12->t1vrr_classes[6][12] = int_stack + 49847;
 Libr12->rvrr_classes[5][6] = int_stack + 52395;
 Libr12->rvrr_classes[5][7] = int_stack + 52983;
 Libr12->rvrr_classes[5][8] = int_stack + 53739;
 Libr12->rvrr_classes[5][9] = int_stack + 54684;
 Libr12->rvrr_classes[5][10] = int_stack + 55839;
 Libr12->rvrr_classes[5][11] = int_stack + 57225;
 Libr12->rvrr_classes[5][12] = int_stack + 58863;
 Libr12->rvrr_classes[6][6] = int_stack + 60774;
 Libr12->rvrr_classes[6][7] = int_stack + 61558;
 Libr12->rvrr_classes[6][8] = int_stack + 62566;
 Libr12->rvrr_classes[6][9] = int_stack + 63826;
 Libr12->rvrr_classes[6][10] = int_stack + 65366;
 Libr12->rvrr_classes[6][11] = int_stack + 67214;
 Libr12->rvrr_classes[6][12] = int_stack + 69398;
 Libr12->gvrr_classes[5][6] = int_stack + 71946;
 Libr12->gvrr_classes[5][7] = int_stack + 72534;
 Libr12->gvrr_classes[5][8] = int_stack + 73290;
 Libr12->gvrr_classes[5][9] = int_stack + 74235;
 Libr12->gvrr_classes[5][10] = int_stack + 75390;
 Libr12->gvrr_classes[5][11] = int_stack + 76776;
 Libr12->gvrr_classes[5][12] = int_stack + 78414;
 Libr12->gvrr_classes[6][6] = int_stack + 80325;
 Libr12->gvrr_classes[6][7] = int_stack + 81109;
 Libr12->gvrr_classes[6][8] = int_stack + 82117;
 Libr12->gvrr_classes[6][9] = int_stack + 83377;
 Libr12->gvrr_classes[6][10] = int_stack + 84917;
 Libr12->gvrr_classes[6][11] = int_stack + 86765;
 Libr12->gvrr_classes[6][12] = int_stack + 88949;
 memset(int_stack,0,91497*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 91497;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hpii(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+91497, int_stack+72534, int_stack+71946, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+93261, int_stack+73290, int_stack+72534, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+95529, int_stack+93261, int_stack+91497, 21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+99057, int_stack+74235, int_stack+73290, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+101892, int_stack+99057, int_stack+93261, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+106428, int_stack+101892, int_stack+95529, 21);
 /*--- compute (h0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+112308, int_stack+75390, int_stack+74235, 21);
 /*--- compute (h0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+115773, int_stack+112308, int_stack+99057, 21);
 /*--- compute (h0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+121443, int_stack+115773, int_stack+101892, 21);
 /*--- compute (h0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+129003, int_stack+121443, int_stack+106428, 21);
 /*--- compute (h0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+137823, int_stack+76776, int_stack+75390, 21);
 /*--- compute (h0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+141981, int_stack+137823, int_stack+112308, 21);
 /*--- compute (h0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+148911, int_stack+141981, int_stack+115773, 21);
 /*--- compute (h0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+158361, int_stack+148911, int_stack+121443, 21);
 /*--- compute (h0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+169701, int_stack+158361, int_stack+129003, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+182049, int_stack+81109, int_stack+80325, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+184401, int_stack+82117, int_stack+81109, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+187425, int_stack+184401, int_stack+182049, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+192129, int_stack+83377, int_stack+82117, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+195909, int_stack+192129, int_stack+184401, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+201957, int_stack+195909, int_stack+187425, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+209797, int_stack+84917, int_stack+83377, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+214417, int_stack+209797, int_stack+192129, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+221977, int_stack+214417, int_stack+195909, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+232057, int_stack+221977, int_stack+201957, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+243817, int_stack+86765, int_stack+84917, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+249361, int_stack+243817, int_stack+209797, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+258601, int_stack+249361, int_stack+214417, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+271201, int_stack+258601, int_stack+221977, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+286321, int_stack+271201, int_stack+232057, 28);
 /*--- compute (h0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+302785, int_stack+78414, int_stack+76776, 21);
 /*--- compute (h0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+307699, int_stack+302785, int_stack+137823, 21);
 /*--- compute (h0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+316015, int_stack+307699, int_stack+141981, 21);
 /*--- compute (h0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+327565, int_stack+316015, int_stack+148911, 21);
 /*--- compute (h0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+341740, int_stack+327565, int_stack+158361, 21);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+357616, int_stack+588, int_stack+0, int_stack+72534, int_stack+80325, int_stack+71946, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+359380, int_stack+1344, int_stack+588, int_stack+73290, int_stack+81109, int_stack+72534, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+361648, int_stack+359380, int_stack+357616, int_stack+93261, int_stack+182049, int_stack+91497, 5, 0);
 /*--- compute (h0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+365176, int_stack+2289, int_stack+1344, int_stack+74235, int_stack+82117, int_stack+73290, 5, 0);
 /*--- compute (h0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+368011, int_stack+365176, int_stack+359380, int_stack+99057, int_stack+184401, int_stack+93261, 5, 0);
 /*--- compute (h0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+372547, int_stack+368011, int_stack+361648, int_stack+101892, int_stack+187425, int_stack+95529, 5, 0);
 /*--- compute (h0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91497, int_stack+3444, int_stack+2289, int_stack+75390, int_stack+83377, int_stack+74235, 5, 0);
 /*--- compute (h0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+357616, int_stack+91497, int_stack+365176, int_stack+112308, int_stack+192129, int_stack+99057, 5, 0);
 /*--- compute (h0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+378427, int_stack+357616, int_stack+368011, int_stack+115773, int_stack+195909, int_stack+101892, 5, 0);
 /*--- compute (h0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94962, int_stack+378427, int_stack+372547, int_stack+121443, int_stack+201957, int_stack+106428, 5, 0);
 /*--- compute (h0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103782, int_stack+4830, int_stack+3444, int_stack+76776, int_stack+84917, int_stack+75390, 5, 0);
 /*--- compute (h0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+363286, int_stack+103782, int_stack+91497, int_stack+137823, int_stack+209797, int_stack+112308, 5, 0);
 /*--- compute (h0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+385987, int_stack+363286, int_stack+357616, int_stack+141981, int_stack+214417, int_stack+115773, 5, 0);
 /*--- compute (h0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+107940, int_stack+385987, int_stack+378427, int_stack+148911, int_stack+221977, int_stack+121443, 5, 0);
 /*--- compute (h0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+370216, int_stack+107940, int_stack+94962, int_stack+158361, int_stack+232057, int_stack+129003, 5, 0);
 /*--- compute (h0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+357616, int_stack+6468, int_stack+4830, int_stack+78414, int_stack+86765, int_stack+76776, 5, 0);
 /*--- compute (h0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91497, int_stack+357616, int_stack+103782, int_stack+302785, int_stack+243817, int_stack+137823, 5, 0);
 /*--- compute (h0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119280, int_stack+91497, int_stack+363286, int_stack+307699, int_stack+249361, int_stack+141981, 5, 0);
 /*--- compute (h0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91497, int_stack+119280, int_stack+385987, int_stack+316015, int_stack+258601, int_stack+148911, 5, 0);
 /*--- compute (h0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119280, int_stack+91497, int_stack+107940, int_stack+327565, int_stack+271201, int_stack+158361, 5, 0);
 /*--- compute (h0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91497, int_stack+119280, int_stack+370216, int_stack+341740, int_stack+286321, int_stack+169701, 5, 0);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+107961, int_stack+10171, int_stack+8379, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+110985, int_stack+12475, int_stack+10171, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114873, int_stack+110985, int_stack+107961, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+120921, int_stack+15355, int_stack+12475, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+125781, int_stack+120921, int_stack+110985, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+133557, int_stack+125781, int_stack+114873, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+143637, int_stack+18875, int_stack+15355, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+149577, int_stack+143637, int_stack+120921, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+357616, int_stack+149577, int_stack+125781, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+370576, int_stack+357616, int_stack+133557, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+159297, int_stack+23099, int_stack+18875, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+385696, int_stack+159297, int_stack+143637, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+397576, int_stack+385696, int_stack+149577, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+413776, int_stack+397576, int_stack+357616, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+433216, int_stack+413776, int_stack+370576, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+88949, int_stack+86765, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+454384, int_stack+0, int_stack+243817, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+465472, int_stack+454384, int_stack+249361, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+480872, int_stack+465472, int_stack+258601, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+499772, int_stack+480872, int_stack+271201, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+166425, int_stack+11467, int_stack+9387, int_stack+81109, int_stack+8379, int_stack+80325, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71946, int_stack+14095, int_stack+11467, int_stack+82117, int_stack+10171, int_stack+81109, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6552, int_stack+71946, int_stack+166425, int_stack+184401, int_stack+107961, int_stack+182049, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+520940, int_stack+17335, int_stack+14095, int_stack+83377, int_stack+12475, int_stack+82117, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+524720, int_stack+520940, int_stack+71946, int_stack+192129, int_stack+110985, int_stack+184401, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+530768, int_stack+524720, int_stack+6552, int_stack+195909, int_stack+114873, int_stack+187425, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6552, int_stack+21251, int_stack+17335, int_stack+84917, int_stack+15355, int_stack+83377, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11172, int_stack+6552, int_stack+520940, int_stack+209797, int_stack+120921, int_stack+192129, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182049, int_stack+11172, int_stack+524720, int_stack+214417, int_stack+125781, int_stack+195909, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+107961, int_stack+182049, int_stack+530768, int_stack+221977, int_stack+133557, int_stack+201957, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+520940, int_stack+25907, int_stack+21251, int_stack+86765, int_stack+18875, int_stack+84917, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+526484, int_stack+520940, int_stack+6552, int_stack+243817, int_stack+143637, int_stack+209797, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192129, int_stack+526484, int_stack+11172, int_stack+249361, int_stack+149577, int_stack+214417, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6552, int_stack+192129, int_stack+182049, int_stack+258601, int_stack+357616, int_stack+221977, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+204729, int_stack+6552, int_stack+107961, int_stack+271201, int_stack+370576, int_stack+232057, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+107961, int_stack+28091, int_stack+25907, int_stack+88949, int_stack+23099, int_stack+86765, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114513, int_stack+107961, int_stack+520940, int_stack+0, int_stack+159297, int_stack+243817, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125601, int_stack+114513, int_stack+526484, int_stack+454384, int_stack+385696, int_stack+249361, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+141001, int_stack+125601, int_stack+192129, int_stack+465472, int_stack+397576, int_stack+258601, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+454384, int_stack+141001, int_stack+6552, int_stack+480872, int_stack+413776, int_stack+271201, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+475552, int_stack+454384, int_stack+204729, int_stack+499772, int_stack+433216, int_stack+286321, 6, 0);
 /*--- compute (h0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+0, int_stack+341740, int_stack+169701, 21);
 /*--- compute (h0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+16464, int_stack+30639, int_stack+78414, 21);
 /*--- compute (h0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+22197, int_stack+16464, int_stack+302785, 21);
 /*--- compute (h0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+520940, int_stack+22197, int_stack+307699, 21);
 /*--- compute (h0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+107961, int_stack+520940, int_stack+316015, 21);
 /*--- compute (h0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+302785, int_stack+107961, int_stack+327565, 21);
 /*--- compute (h0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+107961, int_stack+302785, int_stack+341740, 21);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+302785, int_stack+499772, int_stack+286321, 28);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+33432, int_stack+32844, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+326501, int_stack+34188, int_stack+33432, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+328769, int_stack+326501, int_stack+324737, 21);
 /*--- compute (h0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+332297, int_stack+35133, int_stack+34188, 21);
 /*--- compute (h0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+335132, int_stack+332297, int_stack+326501, 21);
 /*--- compute (h0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+339668, int_stack+335132, int_stack+328769, 21);
 /*--- compute (h0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+36288, int_stack+35133, 21);
 /*--- compute (h0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+345548, int_stack+324737, int_stack+332297, 21);
 /*--- compute (h0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+351218, int_stack+345548, int_stack+335132, 21);
 /*--- compute (h0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+328202, int_stack+351218, int_stack+339668, 21);
 /*--- compute (h0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+337022, int_stack+37674, int_stack+36288, 21);
 /*--- compute (h0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+358778, int_stack+337022, int_stack+324737, 21);
 /*--- compute (h0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+365708, int_stack+358778, int_stack+345548, 21);
 /*--- compute (h0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+375158, int_stack+365708, int_stack+351218, 21);
 /*--- compute (h0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+341180, int_stack+375158, int_stack+328202, 21);
 /*--- compute (h0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+39312, int_stack+37674, 21);
 /*--- compute (h0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+386498, int_stack+324737, int_stack+337022, 21);
 /*--- compute (h0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+386498, int_stack+358778, 21);
 /*--- compute (h0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+386498, int_stack+324737, int_stack+365708, 21);
 /*--- compute (h0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+386498, int_stack+375158, 21);
 /*--- compute (h0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+353528, int_stack+324737, int_stack+341180, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+42007, int_stack+41223, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+327089, int_stack+43015, int_stack+42007, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+330113, int_stack+327089, int_stack+324737, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+334817, int_stack+44275, int_stack+43015, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+338597, int_stack+334817, int_stack+327089, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+344645, int_stack+338597, int_stack+330113, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+45815, int_stack+44275, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+369992, int_stack+324737, int_stack+334817, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+377552, int_stack+369992, int_stack+338597, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+329357, int_stack+377552, int_stack+344645, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+341117, int_stack+47663, int_stack+45815, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+387632, int_stack+341117, int_stack+324737, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+396872, int_stack+387632, int_stack+369992, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+409472, int_stack+396872, int_stack+377552, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+369992, int_stack+409472, int_stack+329357, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+49847, int_stack+47663, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+424592, int_stack+324737, int_stack+341117, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+424592, int_stack+387632, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+424592, int_stack+324737, int_stack+396872, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+424592, int_stack+409472, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+386456, int_stack+324737, int_stack+369992, 28);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+369992, int_stack+52983, int_stack+52395, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+371756, int_stack+53739, int_stack+52983, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+374024, int_stack+371756, int_stack+369992, 21);
 /*--- compute (h0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+377552, int_stack+54684, int_stack+53739, 21);
 /*--- compute (h0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+380387, int_stack+377552, int_stack+371756, 21);
 /*--- compute (h0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+380387, int_stack+374024, 21);
 /*--- compute (h0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+369992, int_stack+55839, int_stack+54684, 21);
 /*--- compute (h0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+330617, int_stack+369992, int_stack+377552, 21);
 /*--- compute (h0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+336287, int_stack+330617, int_stack+380387, 21);
 /*--- compute (h0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+373457, int_stack+336287, int_stack+324737, 21);
 /*--- compute (h0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+57225, int_stack+55839, 21);
 /*--- compute (h0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+343847, int_stack+324737, int_stack+369992, 21);
 /*--- compute (h0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+408408, int_stack+343847, int_stack+330617, 21);
 /*--- compute (h0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+417858, int_stack+408408, int_stack+336287, 21);
 /*--- compute (h0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+328895, int_stack+417858, int_stack+373457, 21);
 /*--- compute (h0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+369992, int_stack+58863, int_stack+57225, 21);
 /*--- compute (h0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+374906, int_stack+369992, int_stack+324737, 21);
 /*--- compute (h0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+429198, int_stack+374906, int_stack+343847, 21);
 /*--- compute (h0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+369992, int_stack+429198, int_stack+408408, 21);
 /*--- compute (h0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+429198, int_stack+369992, int_stack+417858, 21);
 /*--- compute (h0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+369992, int_stack+429198, int_stack+328895, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+408408, int_stack+61558, int_stack+60774, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+410760, int_stack+62566, int_stack+61558, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+413784, int_stack+410760, int_stack+408408, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+418488, int_stack+63826, int_stack+62566, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+422268, int_stack+418488, int_stack+410760, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+428316, int_stack+422268, int_stack+413784, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+408408, int_stack+65366, int_stack+63826, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+436156, int_stack+408408, int_stack+418488, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+443716, int_stack+436156, int_stack+422268, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+413028, int_stack+443716, int_stack+428316, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+424788, int_stack+67214, int_stack+65366, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+453796, int_stack+424788, int_stack+408408, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+324737, int_stack+453796, int_stack+436156, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+337337, int_stack+324737, int_stack+443716, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+430332, int_stack+337337, int_stack+413028, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+408408, int_stack+69398, int_stack+67214, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+463036, int_stack+408408, int_stack+424788, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+408408, int_stack+463036, int_stack+453796, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+446796, int_stack+408408, int_stack+324737, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+408408, int_stack+446796, int_stack+337337, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+446796, int_stack+408408, int_stack+430332, 28);
 /*--- compute (hp|[r12,T2]|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+129129, int_stack+475552, int_stack+91497, 784);
     Libr12->te_ptr[3] = int_stack + 129129;
 /*--- compute (hp|[r12,T1]|ii) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+468748, int_stack+386456, int_stack+353528, int_stack+302785, int_stack+107961, int_stack+0, 6, 6);
     Libr12->te_ptr[2] = int_stack + 468748;
 /*--- compute (hp||ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+386456, int_stack+446796, int_stack+369992, 784);
     Libr12->te_ptr[1] = int_stack + 386456;
 /*--- compute (hp|ii) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+324737, int_stack+302785, int_stack+0, 784);
     Libr12->te_ptr[0] = int_stack + 324737;

}
