#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_hpip(Libr12_t *, prim_data *);

  /* Computes (hp|ip) integrals for linear R12-methods */

void hrr_grt_order_hpip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[5][6] = int_stack + 0;
 Libr12->t2vrr_classes[5][7] = int_stack + 588;
 Libr12->gvrr_classes[7][6] = int_stack + 1344;
 Libr12->t2vrr_classes[6][6] = int_stack + 2352;
 Libr12->t2vrr_classes[6][7] = int_stack + 3136;
 Libr12->gvrr_classes[5][8] = int_stack + 4144;
 Libr12->t1vrr_classes[5][6] = int_stack + 5089;
 Libr12->t1vrr_classes[5][7] = int_stack + 5677;
 Libr12->t1vrr_classes[6][6] = int_stack + 6433;
 Libr12->t1vrr_classes[6][7] = int_stack + 7217;
 Libr12->rvrr_classes[5][6] = int_stack + 8225;
 Libr12->rvrr_classes[5][7] = int_stack + 8813;
 Libr12->rvrr_classes[6][6] = int_stack + 9569;
 Libr12->rvrr_classes[6][7] = int_stack + 10353;
 Libr12->gvrr_classes[5][6] = int_stack + 11361;
 Libr12->gvrr_classes[5][7] = int_stack + 11949;
 Libr12->gvrr_classes[6][6] = int_stack + 12705;
 Libr12->gvrr_classes[6][7] = int_stack + 13489;
 memset(int_stack,0,14497*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 14497;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_hpip(Libr12, Data);
   Data++;
 }

 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14497, int_stack+588, int_stack+0, int_stack+11949, int_stack+12705, int_stack+11361, 5, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16261, int_stack+3136, int_stack+2352, int_stack+13489, int_stack+1344, int_stack+12705, 6, 0);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11949, int_stack+11361, 21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+4144, int_stack+11949, 21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+18613, int_stack+13489, int_stack+12705, 28);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11361, int_stack+5677, int_stack+5089, 21);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4032, int_stack+7217, int_stack+6433, 28);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6384, int_stack+8813, int_stack+8225, 21);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20965, int_stack+10353, int_stack+9569, 28);
 /*--- compute (hp|[r12,T2]|ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+23317, int_stack+16261, int_stack+14497, 84);
     Libr12->te_ptr[3] = int_stack + 23317;
 /*--- compute (hp|[r12,T1]|ip) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+13125, int_stack+4032, int_stack+11361, int_stack+18613, int_stack+1764, int_stack+0, 6, 1);
     Libr12->te_ptr[2] = int_stack + 13125;
 /*--- compute (hp||ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+28609, int_stack+20965, int_stack+6384, 84);
     Libr12->te_ptr[1] = int_stack + 28609;
 /*--- compute (hp|ip) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+1764, int_stack+18613, int_stack+0, 84);
     Libr12->te_ptr[0] = int_stack + 1764;

}
