#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0ff(Libr12_t *, prim_data *);

  /* Computes (i0|ff) integrals for linear R12-methods */

void hrr_grt_order_i0ff(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][3] = int_stack + 0;
 Libr12->t2vrr_classes[6][3] = int_stack + 360;
 Libr12->gvrr_classes[7][4] = int_stack + 640;
 Libr12->t2vrr_classes[6][4] = int_stack + 1180;
 Libr12->gvrr_classes[7][5] = int_stack + 1600;
 Libr12->t2vrr_classes[6][5] = int_stack + 2356;
 Libr12->t2vrr_classes[6][6] = int_stack + 2944;
 Libr12->t1vrr_classes[6][3] = int_stack + 3728;
 Libr12->t1vrr_classes[6][4] = int_stack + 4008;
 Libr12->t1vrr_classes[6][5] = int_stack + 4428;
 Libr12->t1vrr_classes[6][6] = int_stack + 5016;
 Libr12->rvrr_classes[6][3] = int_stack + 5800;
 Libr12->rvrr_classes[6][4] = int_stack + 6080;
 Libr12->rvrr_classes[6][5] = int_stack + 6500;
 Libr12->rvrr_classes[6][6] = int_stack + 7088;
 Libr12->gvrr_classes[6][3] = int_stack + 7872;
 Libr12->gvrr_classes[6][4] = int_stack + 8152;
 Libr12->gvrr_classes[6][5] = int_stack + 8572;
 Libr12->gvrr_classes[6][6] = int_stack + 9160;
 memset(int_stack,0,9944*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 9944;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0ff(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+9944, int_stack+8152, int_stack+7872, 28);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+10784, int_stack+8572, int_stack+8152, 28);
 /*--- compute (i0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+12044, int_stack+10784, int_stack+9944, 28);
 /*--- compute (k0|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+13724, int_stack+640, int_stack+0, 36);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14804, int_stack+1600, int_stack+640, 36);
 /*--- compute (k0|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+16424, int_stack+14804, int_stack+13724, 36);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+18584, int_stack+9160, int_stack+8572, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+20348, int_stack+18584, int_stack+10784, 28);
 /*--- compute (i0|[r12,T2]|fp) ---*/
   t2hrr3_build_fp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22868, int_stack+1180, int_stack+360, int_stack+8152, int_stack+0, int_stack+7872, 6, 0);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23708, int_stack+2356, int_stack+1180, int_stack+8572, int_stack+640, int_stack+8152, 6, 0);
 /*--- compute (i0|[r12,T2]|fd) ---*/
   t2hrr3_build_fd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24968, int_stack+23708, int_stack+22868, int_stack+10784, int_stack+13724, int_stack+9944, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26648, int_stack+2944, int_stack+2356, int_stack+9160, int_stack+1600, int_stack+8572, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7872, int_stack+26648, int_stack+23708, int_stack+18584, int_stack+14804, int_stack+10784, 6, 0);
 /*--- compute (i0|[r12,T1]|fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+18584, int_stack+4008, int_stack+3728, 28);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+26648, int_stack+4428, int_stack+4008, 28);
 /*--- compute (i0|[r12,T1]|fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+13724, int_stack+26648, int_stack+18584, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+18584, int_stack+5016, int_stack+4428, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+18584, int_stack+26648, 28);
 /*--- compute (i0||fp) ---*/
   hrr3_build_fp(Libr12->ShellQuartet.CD,int_stack+26648, int_stack+6080, int_stack+5800, 28);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+27488, int_stack+6500, int_stack+6080, 28);
 /*--- compute (i0||fd) ---*/
   hrr3_build_fd(Libr12->ShellQuartet.CD,int_stack+18584, int_stack+27488, int_stack+26648, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+22868, int_stack+7088, int_stack+6500, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+2520, int_stack+22868, int_stack+27488, 28);
 /*--- compute (i0|[r12,T2]|ff) ---*/
   t2hrr3_build_ff(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5040, int_stack+7872, int_stack+24968, int_stack+20348, int_stack+16424, int_stack+12044, 6, 0);
     Libr12->te_ptr[3] = int_stack + 5040;
 /*--- compute (i0|[r12,T1]|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+22868, int_stack+0, int_stack+13724, 28);
     Libr12->te_ptr[2] = int_stack + 22868;
 /*--- compute (i0||ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+13724, int_stack+2520, int_stack+18584, 28);
     Libr12->te_ptr[1] = int_stack + 13724;
 /*--- compute (i0|ff) ---*/
   hrr3_build_ff(Libr12->ShellQuartet.CD,int_stack+16524, int_stack+20348, int_stack+12044, 28);
     Libr12->te_ptr[0] = int_stack + 16524;

}
