#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0gd(Libr12_t *, prim_data *);

  /* Computes (i0|gd) integrals for linear R12-methods */

void hrr_grt_order_i0gd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][4] = int_stack + 0;
 Libr12->t2vrr_classes[6][4] = int_stack + 540;
 Libr12->gvrr_classes[7][5] = int_stack + 960;
 Libr12->t2vrr_classes[6][5] = int_stack + 1716;
 Libr12->t2vrr_classes[6][6] = int_stack + 2304;
 Libr12->t1vrr_classes[6][4] = int_stack + 3088;
 Libr12->t1vrr_classes[6][5] = int_stack + 3508;
 Libr12->t1vrr_classes[6][6] = int_stack + 4096;
 Libr12->rvrr_classes[6][4] = int_stack + 4880;
 Libr12->rvrr_classes[6][5] = int_stack + 5300;
 Libr12->rvrr_classes[6][6] = int_stack + 5888;
 Libr12->gvrr_classes[6][4] = int_stack + 6672;
 Libr12->gvrr_classes[6][5] = int_stack + 7092;
 Libr12->gvrr_classes[6][6] = int_stack + 7680;
 memset(int_stack,0,8464*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 8464;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0gd(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+8464, int_stack+7092, int_stack+6672, 28);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+9724, int_stack+960, int_stack+0, 36);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+11344, int_stack+7680, int_stack+7092, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13108, int_stack+1716, int_stack+540, int_stack+7092, int_stack+0, int_stack+6672, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14368, int_stack+2304, int_stack+1716, int_stack+7680, int_stack+960, int_stack+7092, 6, 0);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+6672, int_stack+3508, int_stack+3088, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+4096, int_stack+3508, 28);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+5300, int_stack+4880, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+5888, int_stack+5300, 28);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16132, int_stack+14368, int_stack+13108, int_stack+11344, int_stack+9724, int_stack+8464, 6, 0);
     Libr12->te_ptr[3] = int_stack + 16132;
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+13108, int_stack+0, int_stack+6672, 28);
     Libr12->te_ptr[2] = int_stack + 13108;
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+4788, int_stack+3024, int_stack+1764, 28);
     Libr12->te_ptr[1] = int_stack + 4788;
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+11344, int_stack+8464, 28);
     Libr12->te_ptr[0] = int_stack + 0;

}
