#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0gf(Libr12_t *, prim_data *);

  /* Computes (i0|gf) integrals for linear R12-methods */

void hrr_grt_order_i0gf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][4] = int_stack + 0;
 Libr12->t2vrr_classes[6][4] = int_stack + 540;
 Libr12->gvrr_classes[7][5] = int_stack + 960;
 Libr12->t2vrr_classes[6][5] = int_stack + 1716;
 Libr12->gvrr_classes[7][6] = int_stack + 2304;
 Libr12->t2vrr_classes[6][6] = int_stack + 3312;
 Libr12->t2vrr_classes[6][7] = int_stack + 4096;
 Libr12->t1vrr_classes[6][4] = int_stack + 5104;
 Libr12->t1vrr_classes[6][5] = int_stack + 5524;
 Libr12->t1vrr_classes[6][6] = int_stack + 6112;
 Libr12->t1vrr_classes[6][7] = int_stack + 6896;
 Libr12->rvrr_classes[6][4] = int_stack + 7904;
 Libr12->rvrr_classes[6][5] = int_stack + 8324;
 Libr12->rvrr_classes[6][6] = int_stack + 8912;
 Libr12->rvrr_classes[6][7] = int_stack + 9696;
 Libr12->gvrr_classes[6][4] = int_stack + 10704;
 Libr12->gvrr_classes[6][5] = int_stack + 11124;
 Libr12->gvrr_classes[6][6] = int_stack + 11712;
 Libr12->gvrr_classes[6][7] = int_stack + 12496;
 memset(int_stack,0,13504*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 13504;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0gf(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+13504, int_stack+11124, int_stack+10704, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+14764, int_stack+11712, int_stack+11124, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+16528, int_stack+14764, int_stack+13504, 28);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+19048, int_stack+960, int_stack+0, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+20668, int_stack+2304, int_stack+960, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+22936, int_stack+20668, int_stack+19048, 36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+26176, int_stack+12496, int_stack+11712, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+28528, int_stack+26176, int_stack+14764, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32056, int_stack+1716, int_stack+540, int_stack+11124, int_stack+0, int_stack+10704, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33316, int_stack+3312, int_stack+1716, int_stack+11712, int_stack+960, int_stack+11124, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35080, int_stack+33316, int_stack+32056, int_stack+14764, int_stack+19048, int_stack+13504, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37600, int_stack+4096, int_stack+3312, int_stack+12496, int_stack+2304, int_stack+11712, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10704, int_stack+37600, int_stack+33316, int_stack+26176, int_stack+20668, int_stack+14764, 6, 0);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+26176, int_stack+5524, int_stack+5104, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+37600, int_stack+6112, int_stack+5524, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+19048, int_stack+37600, int_stack+26176, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+26176, int_stack+6896, int_stack+6112, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+26176, int_stack+37600, 28);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+37600, int_stack+8324, int_stack+7904, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+26176, int_stack+8912, int_stack+8324, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+32056, int_stack+26176, int_stack+37600, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37600, int_stack+9696, int_stack+8912, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+3528, int_stack+37600, int_stack+26176, 28);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37600, int_stack+10704, int_stack+35080, int_stack+28528, int_stack+22936, int_stack+16528, 6, 0);
     Libr12->te_ptr[3] = int_stack + 37600;
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+21568, int_stack+0, int_stack+19048, 28);
     Libr12->te_ptr[2] = int_stack + 21568;
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+7056, int_stack+3528, int_stack+32056, 28);
     Libr12->te_ptr[1] = int_stack + 7056;
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+32056, int_stack+28528, int_stack+16528, 28);
     Libr12->te_ptr[0] = int_stack + 32056;

}
