#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0gg(Libr12_t *, prim_data *);

  /* Computes (i0|gg) integrals for linear R12-methods */

void hrr_grt_order_i0gg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][4] = int_stack + 0;
 Libr12->t2vrr_classes[6][4] = int_stack + 540;
 Libr12->gvrr_classes[7][5] = int_stack + 960;
 Libr12->t2vrr_classes[6][5] = int_stack + 1716;
 Libr12->gvrr_classes[7][6] = int_stack + 2304;
 Libr12->t2vrr_classes[6][6] = int_stack + 3312;
 Libr12->gvrr_classes[7][7] = int_stack + 4096;
 Libr12->t2vrr_classes[6][7] = int_stack + 5392;
 Libr12->t2vrr_classes[6][8] = int_stack + 6400;
 Libr12->t1vrr_classes[6][4] = int_stack + 7660;
 Libr12->t1vrr_classes[6][5] = int_stack + 8080;
 Libr12->t1vrr_classes[6][6] = int_stack + 8668;
 Libr12->t1vrr_classes[6][7] = int_stack + 9452;
 Libr12->t1vrr_classes[6][8] = int_stack + 10460;
 Libr12->rvrr_classes[6][4] = int_stack + 11720;
 Libr12->rvrr_classes[6][5] = int_stack + 12140;
 Libr12->rvrr_classes[6][6] = int_stack + 12728;
 Libr12->rvrr_classes[6][7] = int_stack + 13512;
 Libr12->rvrr_classes[6][8] = int_stack + 14520;
 Libr12->gvrr_classes[6][4] = int_stack + 15780;
 Libr12->gvrr_classes[6][5] = int_stack + 16200;
 Libr12->gvrr_classes[6][6] = int_stack + 16788;
 Libr12->gvrr_classes[6][7] = int_stack + 17572;
 Libr12->gvrr_classes[6][8] = int_stack + 18580;
 memset(int_stack,0,19840*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 19840;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0gg(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+19840, int_stack+16200, int_stack+15780, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+21100, int_stack+16788, int_stack+16200, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+22864, int_stack+21100, int_stack+19840, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+25384, int_stack+17572, int_stack+16788, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+27736, int_stack+25384, int_stack+21100, 28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+31264, int_stack+27736, int_stack+22864, 28);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+35464, int_stack+960, int_stack+0, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+37084, int_stack+2304, int_stack+960, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+39352, int_stack+37084, int_stack+35464, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+42592, int_stack+4096, int_stack+2304, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+45616, int_stack+42592, int_stack+37084, 36);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+50152, int_stack+45616, int_stack+39352, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+55552, int_stack+18580, int_stack+17572, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+58576, int_stack+55552, int_stack+25384, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+63280, int_stack+58576, int_stack+27736, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69160, int_stack+1716, int_stack+540, int_stack+16200, int_stack+0, int_stack+15780, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70420, int_stack+3312, int_stack+1716, int_stack+16788, int_stack+960, int_stack+16200, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72184, int_stack+70420, int_stack+69160, int_stack+21100, int_stack+35464, int_stack+19840, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74704, int_stack+5392, int_stack+3312, int_stack+17572, int_stack+2304, int_stack+16788, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+74704, int_stack+70420, int_stack+25384, int_stack+37084, int_stack+21100, 6, 0);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77056, int_stack+0, int_stack+72184, int_stack+27736, int_stack+39352, int_stack+22864, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19840, int_stack+6400, int_stack+5392, int_stack+18580, int_stack+4096, int_stack+17572, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35464, int_stack+19840, int_stack+74704, int_stack+55552, int_stack+42592, int_stack+25384, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+69160, int_stack+35464, int_stack+0, int_stack+58576, int_stack+45616, int_stack+27736, 6, 0);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+8080, int_stack+7660, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+8668, int_stack+8080, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+1260, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5544, int_stack+9452, int_stack+8668, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+35464, int_stack+5544, int_stack+1260, 28);
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+38992, int_stack+35464, int_stack+3024, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10460, int_stack+9452, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+43192, int_stack+0, int_stack+5544, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+43192, int_stack+35464, 28);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+35464, int_stack+12140, int_stack+11720, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+36724, int_stack+12728, int_stack+12140, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+43192, int_stack+36724, int_stack+35464, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+45712, int_stack+13512, int_stack+12728, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+45712, int_stack+36724, 28);
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+55552, int_stack+5880, int_stack+43192, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+35464, int_stack+14520, int_stack+13512, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+9408, int_stack+35464, int_stack+45712, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+43192, int_stack+9408, int_stack+5880, 28);
 /*--- compute (i0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5880, int_stack+69160, int_stack+77056, int_stack+63280, int_stack+50152, int_stack+31264, 6, 0);
     Libr12->te_ptr[3] = int_stack + 5880;
 /*--- compute (i0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+69160, int_stack+0, int_stack+38992, 28);
     Libr12->te_ptr[2] = int_stack + 69160;
 /*--- compute (i0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+75460, int_stack+43192, int_stack+55552, 28);
     Libr12->te_ptr[1] = int_stack + 75460;
 /*--- compute (i0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+12180, int_stack+63280, int_stack+31264, 28);
     Libr12->te_ptr[0] = int_stack + 12180;

}
