#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0hd(Libr12_t *, prim_data *);

  /* Computes (i0|hd) integrals for linear R12-methods */

void hrr_grt_order_i0hd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][5] = int_stack + 756;
 Libr12->gvrr_classes[7][6] = int_stack + 1344;
 Libr12->t2vrr_classes[6][6] = int_stack + 2352;
 Libr12->t2vrr_classes[6][7] = int_stack + 3136;
 Libr12->t1vrr_classes[6][5] = int_stack + 4144;
 Libr12->t1vrr_classes[6][6] = int_stack + 4732;
 Libr12->t1vrr_classes[6][7] = int_stack + 5516;
 Libr12->rvrr_classes[6][5] = int_stack + 6524;
 Libr12->rvrr_classes[6][6] = int_stack + 7112;
 Libr12->rvrr_classes[6][7] = int_stack + 7896;
 Libr12->gvrr_classes[6][5] = int_stack + 8904;
 Libr12->gvrr_classes[6][6] = int_stack + 9492;
 Libr12->gvrr_classes[6][7] = int_stack + 10276;
 memset(int_stack,0,11284*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 11284;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0hd(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+11284, int_stack+9492, int_stack+8904, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+13048, int_stack+1344, int_stack+0, 36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15316, int_stack+10276, int_stack+9492, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17668, int_stack+2352, int_stack+756, int_stack+9492, int_stack+0, int_stack+8904, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19432, int_stack+3136, int_stack+2352, int_stack+10276, int_stack+1344, int_stack+9492, 6, 0);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8904, int_stack+4732, int_stack+4144, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5516, int_stack+4732, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+7112, int_stack+6524, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4116, int_stack+7896, int_stack+7112, 28);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21784, int_stack+19432, int_stack+17668, int_stack+15316, int_stack+13048, int_stack+11284, 6, 0);
     Libr12->te_ptr[3] = int_stack + 21784;
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+17668, int_stack+0, int_stack+8904, 28);
     Libr12->te_ptr[2] = int_stack + 17668;
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6468, int_stack+4116, int_stack+2352, 28);
     Libr12->te_ptr[1] = int_stack + 6468;
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+15316, int_stack+11284, 28);
     Libr12->te_ptr[0] = int_stack + 0;

}
