#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0hf(Libr12_t *, prim_data *);

  /* Computes (i0|hf) integrals for linear R12-methods */

void hrr_grt_order_i0hf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][5] = int_stack + 756;
 Libr12->gvrr_classes[7][6] = int_stack + 1344;
 Libr12->t2vrr_classes[6][6] = int_stack + 2352;
 Libr12->gvrr_classes[7][7] = int_stack + 3136;
 Libr12->t2vrr_classes[6][7] = int_stack + 4432;
 Libr12->t2vrr_classes[6][8] = int_stack + 5440;
 Libr12->t1vrr_classes[6][5] = int_stack + 6700;
 Libr12->t1vrr_classes[6][6] = int_stack + 7288;
 Libr12->t1vrr_classes[6][7] = int_stack + 8072;
 Libr12->t1vrr_classes[6][8] = int_stack + 9080;
 Libr12->rvrr_classes[6][5] = int_stack + 10340;
 Libr12->rvrr_classes[6][6] = int_stack + 10928;
 Libr12->rvrr_classes[6][7] = int_stack + 11712;
 Libr12->rvrr_classes[6][8] = int_stack + 12720;
 Libr12->gvrr_classes[6][5] = int_stack + 13980;
 Libr12->gvrr_classes[6][6] = int_stack + 14568;
 Libr12->gvrr_classes[6][7] = int_stack + 15352;
 Libr12->gvrr_classes[6][8] = int_stack + 16360;
 memset(int_stack,0,17620*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 17620;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0hf(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+17620, int_stack+14568, int_stack+13980, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19384, int_stack+15352, int_stack+14568, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+21736, int_stack+19384, int_stack+17620, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+25264, int_stack+1344, int_stack+0, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27532, int_stack+3136, int_stack+1344, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+30556, int_stack+27532, int_stack+25264, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+35092, int_stack+16360, int_stack+15352, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+38116, int_stack+35092, int_stack+19384, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42820, int_stack+2352, int_stack+756, int_stack+14568, int_stack+0, int_stack+13980, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44584, int_stack+4432, int_stack+2352, int_stack+15352, int_stack+1344, int_stack+14568, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46936, int_stack+44584, int_stack+42820, int_stack+19384, int_stack+25264, int_stack+17620, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5440, int_stack+4432, int_stack+16360, int_stack+3136, int_stack+15352, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13980, int_stack+0, int_stack+44584, int_stack+35092, int_stack+27532, int_stack+19384, 6, 0);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+35092, int_stack+7288, int_stack+6700, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+8072, int_stack+7288, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+0, int_stack+35092, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+35092, int_stack+9080, int_stack+8072, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+25264, int_stack+35092, int_stack+0, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10928, int_stack+10340, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+35092, int_stack+11712, int_stack+10928, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+35092, int_stack+0, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+42820, int_stack+12720, int_stack+11712, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+50464, int_stack+42820, int_stack+35092, 28);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55168, int_stack+13980, int_stack+46936, int_stack+38116, int_stack+30556, int_stack+21736, 6, 0);
     Libr12->te_ptr[3] = int_stack + 55168;
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+42820, int_stack+25264, int_stack+2352, 28);
     Libr12->te_ptr[2] = int_stack + 42820;
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+50464, int_stack+5880, 28);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+38116, int_stack+21736, 28);
     Libr12->te_ptr[0] = int_stack + 5880;

}
