#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0hg(Libr12_t *, prim_data *);

  /* Computes (i0|hg) integrals for linear R12-methods */

void hrr_grt_order_i0hg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][5] = int_stack + 756;
 Libr12->gvrr_classes[7][6] = int_stack + 1344;
 Libr12->t2vrr_classes[6][6] = int_stack + 2352;
 Libr12->gvrr_classes[7][7] = int_stack + 3136;
 Libr12->t2vrr_classes[6][7] = int_stack + 4432;
 Libr12->gvrr_classes[7][8] = int_stack + 5440;
 Libr12->t2vrr_classes[6][8] = int_stack + 7060;
 Libr12->t2vrr_classes[6][9] = int_stack + 8320;
 Libr12->t1vrr_classes[6][5] = int_stack + 9860;
 Libr12->t1vrr_classes[6][6] = int_stack + 10448;
 Libr12->t1vrr_classes[6][7] = int_stack + 11232;
 Libr12->t1vrr_classes[6][8] = int_stack + 12240;
 Libr12->t1vrr_classes[6][9] = int_stack + 13500;
 Libr12->rvrr_classes[6][5] = int_stack + 15040;
 Libr12->rvrr_classes[6][6] = int_stack + 15628;
 Libr12->rvrr_classes[6][7] = int_stack + 16412;
 Libr12->rvrr_classes[6][8] = int_stack + 17420;
 Libr12->rvrr_classes[6][9] = int_stack + 18680;
 Libr12->gvrr_classes[6][5] = int_stack + 20220;
 Libr12->gvrr_classes[6][6] = int_stack + 20808;
 Libr12->gvrr_classes[6][7] = int_stack + 21592;
 Libr12->gvrr_classes[6][8] = int_stack + 22600;
 Libr12->gvrr_classes[6][9] = int_stack + 23860;
 memset(int_stack,0,25400*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 25400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0hg(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+25400, int_stack+20808, int_stack+20220, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27164, int_stack+21592, int_stack+20808, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+29516, int_stack+27164, int_stack+25400, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+33044, int_stack+22600, int_stack+21592, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+36068, int_stack+33044, int_stack+27164, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+40772, int_stack+36068, int_stack+29516, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+46652, int_stack+1344, int_stack+0, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48920, int_stack+3136, int_stack+1344, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+51944, int_stack+48920, int_stack+46652, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+56480, int_stack+5440, int_stack+3136, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+60368, int_stack+56480, int_stack+48920, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+66416, int_stack+60368, int_stack+51944, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+73976, int_stack+23860, int_stack+22600, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+77756, int_stack+73976, int_stack+33044, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+83804, int_stack+77756, int_stack+36068, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91644, int_stack+2352, int_stack+756, int_stack+20808, int_stack+0, int_stack+20220, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93408, int_stack+4432, int_stack+2352, int_stack+21592, int_stack+1344, int_stack+20808, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95760, int_stack+93408, int_stack+91644, int_stack+27164, int_stack+46652, int_stack+25400, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+7060, int_stack+4432, int_stack+22600, int_stack+3136, int_stack+21592, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99288, int_stack+0, int_stack+93408, int_stack+33044, int_stack+48920, int_stack+27164, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103992, int_stack+99288, int_stack+95760, int_stack+36068, int_stack+51944, int_stack+29516, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25400, int_stack+8320, int_stack+7060, int_stack+23860, int_stack+5440, int_stack+22600, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46652, int_stack+25400, int_stack+0, int_stack+73976, int_stack+56480, int_stack+33044, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+46652, int_stack+99288, int_stack+77756, int_stack+60368, int_stack+36068, 6, 0);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+46652, int_stack+10448, int_stack+9860, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48416, int_stack+11232, int_stack+10448, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+50768, int_stack+48416, int_stack+46652, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+54296, int_stack+12240, int_stack+11232, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+57320, int_stack+54296, int_stack+48416, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+73976, int_stack+57320, int_stack+50768, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+46652, int_stack+13500, int_stack+12240, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+7840, int_stack+46652, int_stack+54296, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+46652, int_stack+7840, int_stack+57320, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+7840, int_stack+15628, int_stack+15040, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+9604, int_stack+16412, int_stack+15628, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11956, int_stack+9604, int_stack+7840, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+54492, int_stack+17420, int_stack+16412, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+57516, int_stack+54492, int_stack+9604, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+91644, int_stack+57516, int_stack+11956, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7840, int_stack+18680, int_stack+17420, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+11620, int_stack+7840, int_stack+54492, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+17668, int_stack+11620, int_stack+57516, 28);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54492, int_stack+0, int_stack+103992, int_stack+83804, int_stack+66416, int_stack+40772, 6, 0);
     Libr12->te_ptr[3] = int_stack + 54492;
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+46652, int_stack+73976, 28);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+17668, int_stack+91644, 28);
     Libr12->te_ptr[1] = int_stack + 8820;
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+91644, int_stack+83804, int_stack+40772, 28);
     Libr12->te_ptr[0] = int_stack + 91644;

}
