#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0hh(Libr12_t *, prim_data *);

  /* Computes (i0|hh) integrals for linear R12-methods */

void hrr_grt_order_i0hh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][5] = int_stack + 756;
 Libr12->gvrr_classes[7][6] = int_stack + 1344;
 Libr12->t2vrr_classes[6][6] = int_stack + 2352;
 Libr12->gvrr_classes[7][7] = int_stack + 3136;
 Libr12->t2vrr_classes[6][7] = int_stack + 4432;
 Libr12->gvrr_classes[7][8] = int_stack + 5440;
 Libr12->t2vrr_classes[6][8] = int_stack + 7060;
 Libr12->gvrr_classes[7][9] = int_stack + 8320;
 Libr12->t2vrr_classes[6][9] = int_stack + 10300;
 Libr12->t2vrr_classes[6][10] = int_stack + 11840;
 Libr12->t1vrr_classes[6][5] = int_stack + 13688;
 Libr12->t1vrr_classes[6][6] = int_stack + 14276;
 Libr12->t1vrr_classes[6][7] = int_stack + 15060;
 Libr12->t1vrr_classes[6][8] = int_stack + 16068;
 Libr12->t1vrr_classes[6][9] = int_stack + 17328;
 Libr12->t1vrr_classes[6][10] = int_stack + 18868;
 Libr12->rvrr_classes[6][5] = int_stack + 20716;
 Libr12->rvrr_classes[6][6] = int_stack + 21304;
 Libr12->rvrr_classes[6][7] = int_stack + 22088;
 Libr12->rvrr_classes[6][8] = int_stack + 23096;
 Libr12->rvrr_classes[6][9] = int_stack + 24356;
 Libr12->rvrr_classes[6][10] = int_stack + 25896;
 Libr12->gvrr_classes[6][5] = int_stack + 27744;
 Libr12->gvrr_classes[6][6] = int_stack + 28332;
 Libr12->gvrr_classes[6][7] = int_stack + 29116;
 Libr12->gvrr_classes[6][8] = int_stack + 30124;
 Libr12->gvrr_classes[6][9] = int_stack + 31384;
 Libr12->gvrr_classes[6][10] = int_stack + 32924;
 memset(int_stack,0,34772*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 34772;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0hh(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+34772, int_stack+28332, int_stack+27744, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+36536, int_stack+29116, int_stack+28332, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+38888, int_stack+36536, int_stack+34772, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+42416, int_stack+30124, int_stack+29116, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+45440, int_stack+42416, int_stack+36536, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+50144, int_stack+45440, int_stack+38888, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+56024, int_stack+31384, int_stack+30124, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+59804, int_stack+56024, int_stack+42416, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+65852, int_stack+59804, int_stack+45440, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+73692, int_stack+65852, int_stack+50144, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+82512, int_stack+1344, int_stack+0, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+84780, int_stack+3136, int_stack+1344, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+87804, int_stack+84780, int_stack+82512, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+92340, int_stack+5440, int_stack+3136, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+96228, int_stack+92340, int_stack+84780, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+102276, int_stack+96228, int_stack+87804, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+109836, int_stack+8320, int_stack+5440, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+114696, int_stack+109836, int_stack+92340, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+122472, int_stack+114696, int_stack+96228, 36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+132552, int_stack+122472, int_stack+102276, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+143892, int_stack+32924, int_stack+31384, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+148512, int_stack+143892, int_stack+56024, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+156072, int_stack+148512, int_stack+59804, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+166152, int_stack+156072, int_stack+65852, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+177912, int_stack+2352, int_stack+756, int_stack+28332, int_stack+0, int_stack+27744, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+179676, int_stack+4432, int_stack+2352, int_stack+29116, int_stack+1344, int_stack+28332, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+182028, int_stack+179676, int_stack+177912, int_stack+36536, int_stack+82512, int_stack+34772, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+7060, int_stack+4432, int_stack+30124, int_stack+3136, int_stack+29116, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+185556, int_stack+0, int_stack+179676, int_stack+42416, int_stack+84780, int_stack+36536, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+190260, int_stack+185556, int_stack+182028, int_stack+45440, int_stack+87804, int_stack+38888, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+34772, int_stack+10300, int_stack+7060, int_stack+31384, int_stack+5440, int_stack+30124, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82512, int_stack+34772, int_stack+0, int_stack+56024, int_stack+92340, int_stack+42416, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+82512, int_stack+185556, int_stack+59804, int_stack+96228, int_stack+45440, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38552, int_stack+0, int_stack+190260, int_stack+65852, int_stack+102276, int_stack+50144, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47372, int_stack+11840, int_stack+10300, int_stack+32924, int_stack+8320, int_stack+31384, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+88560, int_stack+47372, int_stack+34772, int_stack+143892, int_stack+109836, int_stack+56024, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47372, int_stack+88560, int_stack+82512, int_stack+148512, int_stack+114696, int_stack+59804, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+82512, int_stack+47372, int_stack+0, int_stack+156072, int_stack+122472, int_stack+65852, 6, 0);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+14276, int_stack+13688, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+15060, int_stack+14276, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4116, int_stack+1764, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7644, int_stack+16068, int_stack+15060, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10668, int_stack+7644, int_stack+1764, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+47372, int_stack+10668, int_stack+4116, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17328, int_stack+16068, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+53252, int_stack+0, int_stack+7644, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+59300, int_stack+53252, int_stack+10668, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+59300, int_stack+47372, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+47372, int_stack+18868, int_stack+17328, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+12600, int_stack+47372, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+94272, int_stack+12600, int_stack+53252, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+47372, int_stack+94272, int_stack+59300, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+94272, int_stack+21304, int_stack+20716, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+96036, int_stack+22088, int_stack+21304, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+98388, int_stack+96036, int_stack+94272, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+101916, int_stack+23096, int_stack+22088, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+104940, int_stack+101916, int_stack+96036, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+109644, int_stack+104940, int_stack+98388, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+24356, int_stack+23096, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+94272, int_stack+0, int_stack+101916, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+115524, int_stack+94272, int_stack+104940, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+100320, int_stack+115524, int_stack+109644, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+109140, int_stack+25896, int_stack+24356, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+123364, int_stack+109140, int_stack+0, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+12600, int_stack+123364, int_stack+94272, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+22680, int_stack+12600, int_stack+115524, 28);
 /*--- compute (i0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+109140, int_stack+82512, int_stack+38552, int_stack+166152, int_stack+132552, int_stack+73692, 6, 0);
     Libr12->te_ptr[3] = int_stack + 109140;
 /*--- compute (i0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+82512, int_stack+47372, int_stack+3780, 28);
     Libr12->te_ptr[2] = int_stack + 82512;
 /*--- compute (i0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+22680, int_stack+100320, 28);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+94860, int_stack+166152, int_stack+73692, 28);
     Libr12->te_ptr[0] = int_stack + 94860;

}
