#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0hp(Libr12_t *, prim_data *);

  /* Computes (i0|hp) integrals for linear R12-methods */

void hrr_grt_order_i0hp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][5] = int_stack + 756;
 Libr12->t2vrr_classes[6][6] = int_stack + 1344;
 Libr12->t1vrr_classes[6][5] = int_stack + 2128;
 Libr12->t1vrr_classes[6][6] = int_stack + 2716;
 Libr12->rvrr_classes[6][5] = int_stack + 3500;
 Libr12->rvrr_classes[6][6] = int_stack + 4088;
 Libr12->gvrr_classes[6][5] = int_stack + 4872;
 Libr12->gvrr_classes[6][6] = int_stack + 5460;
 memset(int_stack,0,6244*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 6244;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0hp(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6244, int_stack+1344, int_stack+756, int_stack+5460, int_stack+0, int_stack+4872, 6, 0);
     Libr12->te_ptr[3] = int_stack + 6244;
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2716, int_stack+2128, 28);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8008, int_stack+4088, int_stack+3500, 28);
     Libr12->te_ptr[1] = int_stack + 8008;
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+5460, int_stack+4872, 28);
     Libr12->te_ptr[0] = int_stack + 1764;

}
