#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0id(Libr12_t *, prim_data *);

  /* Computes (i0|id) integrals for linear R12-methods */

void hrr_grt_order_i0id(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 1008;
 Libr12->gvrr_classes[7][7] = int_stack + 1792;
 Libr12->t2vrr_classes[6][7] = int_stack + 3088;
 Libr12->t2vrr_classes[6][8] = int_stack + 4096;
 Libr12->t1vrr_classes[6][6] = int_stack + 5356;
 Libr12->t1vrr_classes[6][7] = int_stack + 6140;
 Libr12->t1vrr_classes[6][8] = int_stack + 7148;
 Libr12->rvrr_classes[6][6] = int_stack + 8408;
 Libr12->rvrr_classes[6][7] = int_stack + 9192;
 Libr12->rvrr_classes[6][8] = int_stack + 10200;
 Libr12->gvrr_classes[6][6] = int_stack + 11460;
 Libr12->gvrr_classes[6][7] = int_stack + 12244;
 Libr12->gvrr_classes[6][8] = int_stack + 13252;
 memset(int_stack,0,14512*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 14512;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0id(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14512, int_stack+12244, int_stack+11460, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16864, int_stack+1792, int_stack+0, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+19888, int_stack+13252, int_stack+12244, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22912, int_stack+3088, int_stack+1008, int_stack+12244, int_stack+0, int_stack+11460, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+25264, int_stack+4096, int_stack+3088, int_stack+13252, int_stack+1792, int_stack+12244, 6, 0);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11460, int_stack+6140, int_stack+5356, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+7148, int_stack+6140, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+9192, int_stack+8408, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+10200, int_stack+9192, 28);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28288, int_stack+25264, int_stack+22912, int_stack+19888, int_stack+16864, int_stack+14512, 6, 0);
     Libr12->te_ptr[3] = int_stack + 28288;
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+22912, int_stack+0, int_stack+11460, 28);
     Libr12->te_ptr[2] = int_stack + 22912;
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8400, int_stack+5376, int_stack+3024, 28);
     Libr12->te_ptr[1] = int_stack + 8400;
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+19888, int_stack+14512, 28);
     Libr12->te_ptr[0] = int_stack + 0;

}
