#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0if(Libr12_t *, prim_data *);

  /* Computes (i0|if) integrals for linear R12-methods */

void hrr_grt_order_i0if(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 1008;
 Libr12->gvrr_classes[7][7] = int_stack + 1792;
 Libr12->t2vrr_classes[6][7] = int_stack + 3088;
 Libr12->gvrr_classes[7][8] = int_stack + 4096;
 Libr12->t2vrr_classes[6][8] = int_stack + 5716;
 Libr12->t2vrr_classes[6][9] = int_stack + 6976;
 Libr12->t1vrr_classes[6][6] = int_stack + 8516;
 Libr12->t1vrr_classes[6][7] = int_stack + 9300;
 Libr12->t1vrr_classes[6][8] = int_stack + 10308;
 Libr12->t1vrr_classes[6][9] = int_stack + 11568;
 Libr12->rvrr_classes[6][6] = int_stack + 13108;
 Libr12->rvrr_classes[6][7] = int_stack + 13892;
 Libr12->rvrr_classes[6][8] = int_stack + 14900;
 Libr12->rvrr_classes[6][9] = int_stack + 16160;
 Libr12->gvrr_classes[6][6] = int_stack + 17700;
 Libr12->gvrr_classes[6][7] = int_stack + 18484;
 Libr12->gvrr_classes[6][8] = int_stack + 19492;
 Libr12->gvrr_classes[6][9] = int_stack + 20752;
 memset(int_stack,0,22292*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 22292;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0if(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+22292, int_stack+18484, int_stack+17700, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24644, int_stack+19492, int_stack+18484, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+27668, int_stack+24644, int_stack+22292, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+32372, int_stack+1792, int_stack+0, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+35396, int_stack+4096, int_stack+1792, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+39284, int_stack+35396, int_stack+32372, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+45332, int_stack+20752, int_stack+19492, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+49112, int_stack+45332, int_stack+24644, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55160, int_stack+3088, int_stack+1008, int_stack+18484, int_stack+0, int_stack+17700, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+57512, int_stack+5716, int_stack+3088, int_stack+19492, int_stack+1792, int_stack+18484, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60536, int_stack+57512, int_stack+55160, int_stack+24644, int_stack+32372, int_stack+22292, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6976, int_stack+5716, int_stack+20752, int_stack+4096, int_stack+19492, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17700, int_stack+0, int_stack+57512, int_stack+45332, int_stack+35396, int_stack+24644, 6, 0);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+45332, int_stack+9300, int_stack+8516, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+10308, int_stack+9300, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+0, int_stack+45332, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+45332, int_stack+11568, int_stack+10308, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+32372, int_stack+45332, int_stack+0, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13892, int_stack+13108, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+45332, int_stack+14900, int_stack+13892, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7728, int_stack+45332, int_stack+0, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+55160, int_stack+16160, int_stack+14900, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+65240, int_stack+55160, int_stack+45332, 28);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71288, int_stack+17700, int_stack+60536, int_stack+49112, int_stack+39284, int_stack+27668, 6, 0);
     Libr12->te_ptr[3] = int_stack + 71288;
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+55160, int_stack+32372, int_stack+3024, 28);
     Libr12->te_ptr[2] = int_stack + 55160;
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+32372, int_stack+65240, int_stack+7728, 28);
     Libr12->te_ptr[1] = int_stack + 32372;
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+40212, int_stack+49112, int_stack+27668, 28);
     Libr12->te_ptr[0] = int_stack + 40212;

}
