#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0ig(Libr12_t *, prim_data *);

  /* Computes (i0|ig) integrals for linear R12-methods */

void hrr_grt_order_i0ig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 1008;
 Libr12->gvrr_classes[7][7] = int_stack + 1792;
 Libr12->t2vrr_classes[6][7] = int_stack + 3088;
 Libr12->gvrr_classes[7][8] = int_stack + 4096;
 Libr12->t2vrr_classes[6][8] = int_stack + 5716;
 Libr12->gvrr_classes[7][9] = int_stack + 6976;
 Libr12->t2vrr_classes[6][9] = int_stack + 8956;
 Libr12->t2vrr_classes[6][10] = int_stack + 10496;
 Libr12->t1vrr_classes[6][6] = int_stack + 12344;
 Libr12->t1vrr_classes[6][7] = int_stack + 13128;
 Libr12->t1vrr_classes[6][8] = int_stack + 14136;
 Libr12->t1vrr_classes[6][9] = int_stack + 15396;
 Libr12->t1vrr_classes[6][10] = int_stack + 16936;
 Libr12->rvrr_classes[6][6] = int_stack + 18784;
 Libr12->rvrr_classes[6][7] = int_stack + 19568;
 Libr12->rvrr_classes[6][8] = int_stack + 20576;
 Libr12->rvrr_classes[6][9] = int_stack + 21836;
 Libr12->rvrr_classes[6][10] = int_stack + 23376;
 Libr12->gvrr_classes[6][6] = int_stack + 25224;
 Libr12->gvrr_classes[6][7] = int_stack + 26008;
 Libr12->gvrr_classes[6][8] = int_stack + 27016;
 Libr12->gvrr_classes[6][9] = int_stack + 28276;
 Libr12->gvrr_classes[6][10] = int_stack + 29816;
 memset(int_stack,0,31664*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 31664;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0ig(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+31664, int_stack+26008, int_stack+25224, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+34016, int_stack+27016, int_stack+26008, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+37040, int_stack+34016, int_stack+31664, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+41744, int_stack+28276, int_stack+27016, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+45524, int_stack+41744, int_stack+34016, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+51572, int_stack+45524, int_stack+37040, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+59412, int_stack+1792, int_stack+0, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+62436, int_stack+4096, int_stack+1792, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+66324, int_stack+62436, int_stack+59412, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+72372, int_stack+6976, int_stack+4096, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+77232, int_stack+72372, int_stack+62436, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+85008, int_stack+77232, int_stack+66324, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+95088, int_stack+29816, int_stack+28276, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+99708, int_stack+95088, int_stack+41744, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+107268, int_stack+99708, int_stack+45524, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117348, int_stack+3088, int_stack+1008, int_stack+26008, int_stack+0, int_stack+25224, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119700, int_stack+5716, int_stack+3088, int_stack+27016, int_stack+1792, int_stack+26008, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122724, int_stack+119700, int_stack+117348, int_stack+34016, int_stack+59412, int_stack+31664, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+8956, int_stack+5716, int_stack+28276, int_stack+4096, int_stack+27016, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127428, int_stack+0, int_stack+119700, int_stack+41744, int_stack+62436, int_stack+34016, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+133476, int_stack+127428, int_stack+122724, int_stack+45524, int_stack+66324, int_stack+37040, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31664, int_stack+10496, int_stack+8956, int_stack+29816, int_stack+6976, int_stack+28276, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59412, int_stack+31664, int_stack+0, int_stack+95088, int_stack+72372, int_stack+41744, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117348, int_stack+59412, int_stack+127428, int_stack+99708, int_stack+77232, int_stack+45524, 6, 0);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+127428, int_stack+13128, int_stack+12344, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+129780, int_stack+14136, int_stack+13128, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+59412, int_stack+129780, int_stack+127428, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+64116, int_stack+15396, int_stack+14136, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+67896, int_stack+64116, int_stack+129780, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+73944, int_stack+67896, int_stack+59412, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+59412, int_stack+16936, int_stack+15396, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+95088, int_stack+59412, int_stack+64116, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+95088, int_stack+67896, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+95088, int_stack+19568, int_stack+18784, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+97440, int_stack+20576, int_stack+19568, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+100464, int_stack+97440, int_stack+95088, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+59412, int_stack+21836, int_stack+20576, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+127428, int_stack+59412, int_stack+97440, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+63192, int_stack+127428, int_stack+100464, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+95088, int_stack+23376, int_stack+21836, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+99708, int_stack+95088, int_stack+59412, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+99708, int_stack+127428, 28);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95088, int_stack+117348, int_stack+133476, int_stack+107268, int_stack+85008, int_stack+51572, 6, 0);
     Libr12->te_ptr[3] = int_stack + 95088;
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+117348, int_stack+0, int_stack+73944, 28);
     Libr12->te_ptr[2] = int_stack + 117348;
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+129108, int_stack+10080, int_stack+63192, 28);
     Libr12->te_ptr[1] = int_stack + 129108;
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+107268, int_stack+51572, 28);
     Libr12->te_ptr[0] = int_stack + 0;

}
