#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0ih(Libr12_t *, prim_data *);

  /* Computes (i0|ih) integrals for linear R12-methods */

void hrr_grt_order_i0ih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 1008;
 Libr12->gvrr_classes[7][7] = int_stack + 1792;
 Libr12->t2vrr_classes[6][7] = int_stack + 3088;
 Libr12->gvrr_classes[7][8] = int_stack + 4096;
 Libr12->t2vrr_classes[6][8] = int_stack + 5716;
 Libr12->gvrr_classes[7][9] = int_stack + 6976;
 Libr12->t2vrr_classes[6][9] = int_stack + 8956;
 Libr12->gvrr_classes[7][10] = int_stack + 10496;
 Libr12->t2vrr_classes[6][10] = int_stack + 12872;
 Libr12->t2vrr_classes[6][11] = int_stack + 14720;
 Libr12->t1vrr_classes[6][6] = int_stack + 16904;
 Libr12->t1vrr_classes[6][7] = int_stack + 17688;
 Libr12->t1vrr_classes[6][8] = int_stack + 18696;
 Libr12->t1vrr_classes[6][9] = int_stack + 19956;
 Libr12->t1vrr_classes[6][10] = int_stack + 21496;
 Libr12->t1vrr_classes[6][11] = int_stack + 23344;
 Libr12->rvrr_classes[6][6] = int_stack + 25528;
 Libr12->rvrr_classes[6][7] = int_stack + 26312;
 Libr12->rvrr_classes[6][8] = int_stack + 27320;
 Libr12->rvrr_classes[6][9] = int_stack + 28580;
 Libr12->rvrr_classes[6][10] = int_stack + 30120;
 Libr12->rvrr_classes[6][11] = int_stack + 31968;
 Libr12->gvrr_classes[6][6] = int_stack + 34152;
 Libr12->gvrr_classes[6][7] = int_stack + 34936;
 Libr12->gvrr_classes[6][8] = int_stack + 35944;
 Libr12->gvrr_classes[6][9] = int_stack + 37204;
 Libr12->gvrr_classes[6][10] = int_stack + 38744;
 Libr12->gvrr_classes[6][11] = int_stack + 40592;
 memset(int_stack,0,42776*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 42776;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0ih(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+42776, int_stack+34936, int_stack+34152, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+45128, int_stack+35944, int_stack+34936, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+48152, int_stack+45128, int_stack+42776, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+52856, int_stack+37204, int_stack+35944, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+56636, int_stack+52856, int_stack+45128, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+62684, int_stack+56636, int_stack+48152, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+70524, int_stack+38744, int_stack+37204, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+75144, int_stack+70524, int_stack+52856, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+82704, int_stack+75144, int_stack+56636, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+92784, int_stack+82704, int_stack+62684, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+104544, int_stack+1792, int_stack+0, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+107568, int_stack+4096, int_stack+1792, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+111456, int_stack+107568, int_stack+104544, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+117504, int_stack+6976, int_stack+4096, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+122364, int_stack+117504, int_stack+107568, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+130140, int_stack+122364, int_stack+111456, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+140220, int_stack+10496, int_stack+6976, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+146160, int_stack+140220, int_stack+117504, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+155880, int_stack+146160, int_stack+122364, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+168840, int_stack+155880, int_stack+130140, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+183960, int_stack+40592, int_stack+38744, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+189504, int_stack+183960, int_stack+70524, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+198744, int_stack+189504, int_stack+75144, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+211344, int_stack+198744, int_stack+82704, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+226464, int_stack+3088, int_stack+1008, int_stack+34936, int_stack+0, int_stack+34152, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+228816, int_stack+5716, int_stack+3088, int_stack+35944, int_stack+1792, int_stack+34936, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+231840, int_stack+228816, int_stack+226464, int_stack+45128, int_stack+104544, int_stack+42776, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+8956, int_stack+5716, int_stack+37204, int_stack+4096, int_stack+35944, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+236544, int_stack+0, int_stack+228816, int_stack+52856, int_stack+107568, int_stack+45128, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+242592, int_stack+236544, int_stack+231840, int_stack+56636, int_stack+111456, int_stack+48152, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42776, int_stack+12872, int_stack+8956, int_stack+38744, int_stack+6976, int_stack+37204, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104544, int_stack+42776, int_stack+0, int_stack+70524, int_stack+117504, int_stack+52856, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+226464, int_stack+104544, int_stack+236544, int_stack+75144, int_stack+122364, int_stack+56636, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+47396, int_stack+226464, int_stack+242592, int_stack+82704, int_stack+130140, int_stack+62684, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+236544, int_stack+14720, int_stack+12872, int_stack+40592, int_stack+10496, int_stack+38744, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+236544, int_stack+42776, int_stack+183960, int_stack+140220, int_stack+70524, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+236544, int_stack+0, int_stack+104544, int_stack+189504, int_stack+146160, int_stack+75144, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104544, int_stack+236544, int_stack+226464, int_stack+198744, int_stack+155880, int_stack+82704, 6, 0);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+226464, int_stack+17688, int_stack+16904, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+228816, int_stack+18696, int_stack+17688, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+231840, int_stack+228816, int_stack+226464, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+236544, int_stack+19956, int_stack+18696, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+240324, int_stack+236544, int_stack+228816, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+119664, int_stack+240324, int_stack+231840, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+226464, int_stack+21496, int_stack+19956, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+127504, int_stack+226464, int_stack+236544, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+135064, int_stack+127504, int_stack+240324, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+231084, int_stack+135064, int_stack+119664, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+119664, int_stack+23344, int_stack+21496, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+145144, int_stack+119664, int_stack+226464, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+154384, int_stack+145144, int_stack+127504, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+119664, int_stack+154384, int_stack+135064, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+226464, int_stack+26312, int_stack+25528, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+134784, int_stack+27320, int_stack+26312, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+137808, int_stack+134784, int_stack+226464, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+226464, int_stack+28580, int_stack+27320, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+142512, int_stack+226464, int_stack+134784, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+148560, int_stack+142512, int_stack+137808, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+134784, int_stack+30120, int_stack+28580, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+156400, int_stack+134784, int_stack+226464, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+156400, int_stack+142512, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+0, int_stack+148560, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+139404, int_stack+31968, int_stack+30120, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+144948, int_stack+139404, int_stack+134784, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+21840, int_stack+144948, int_stack+156400, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+134784, int_stack+21840, int_stack+0, 28);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21840, int_stack+104544, int_stack+47396, int_stack+211344, int_stack+168840, int_stack+92784, 6, 0);
     Libr12->te_ptr[3] = int_stack + 21840;
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+38304, int_stack+119664, int_stack+231084, 28);
     Libr12->te_ptr[2] = int_stack + 38304;
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+104544, int_stack+134784, int_stack+10080, 28);
     Libr12->te_ptr[1] = int_stack + 104544;
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+121008, int_stack+211344, int_stack+92784, 28);
     Libr12->te_ptr[0] = int_stack + 121008;

}
