#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0ii(Libr12_t *, prim_data *);

  /* Computes (i0|ii) integrals for linear R12-methods */

void hrr_grt_order_i0ii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 1008;
 Libr12->gvrr_classes[7][7] = int_stack + 1792;
 Libr12->t2vrr_classes[6][7] = int_stack + 3088;
 Libr12->gvrr_classes[7][8] = int_stack + 4096;
 Libr12->t2vrr_classes[6][8] = int_stack + 5716;
 Libr12->gvrr_classes[7][9] = int_stack + 6976;
 Libr12->t2vrr_classes[6][9] = int_stack + 8956;
 Libr12->gvrr_classes[7][10] = int_stack + 10496;
 Libr12->t2vrr_classes[6][10] = int_stack + 12872;
 Libr12->gvrr_classes[7][11] = int_stack + 14720;
 Libr12->t2vrr_classes[6][11] = int_stack + 17528;
 Libr12->t2vrr_classes[6][12] = int_stack + 19712;
 Libr12->t1vrr_classes[6][6] = int_stack + 22260;
 Libr12->t1vrr_classes[6][7] = int_stack + 23044;
 Libr12->t1vrr_classes[6][8] = int_stack + 24052;
 Libr12->t1vrr_classes[6][9] = int_stack + 25312;
 Libr12->t1vrr_classes[6][10] = int_stack + 26852;
 Libr12->t1vrr_classes[6][11] = int_stack + 28700;
 Libr12->t1vrr_classes[6][12] = int_stack + 30884;
 Libr12->rvrr_classes[6][6] = int_stack + 33432;
 Libr12->rvrr_classes[6][7] = int_stack + 34216;
 Libr12->rvrr_classes[6][8] = int_stack + 35224;
 Libr12->rvrr_classes[6][9] = int_stack + 36484;
 Libr12->rvrr_classes[6][10] = int_stack + 38024;
 Libr12->rvrr_classes[6][11] = int_stack + 39872;
 Libr12->rvrr_classes[6][12] = int_stack + 42056;
 Libr12->gvrr_classes[6][6] = int_stack + 44604;
 Libr12->gvrr_classes[6][7] = int_stack + 45388;
 Libr12->gvrr_classes[6][8] = int_stack + 46396;
 Libr12->gvrr_classes[6][9] = int_stack + 47656;
 Libr12->gvrr_classes[6][10] = int_stack + 49196;
 Libr12->gvrr_classes[6][11] = int_stack + 51044;
 Libr12->gvrr_classes[6][12] = int_stack + 53228;
 memset(int_stack,0,55776*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 55776;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0ii(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55776, int_stack+45388, int_stack+44604, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+58128, int_stack+46396, int_stack+45388, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61152, int_stack+58128, int_stack+55776, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+65856, int_stack+47656, int_stack+46396, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+69636, int_stack+65856, int_stack+58128, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+75684, int_stack+69636, int_stack+61152, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+83524, int_stack+49196, int_stack+47656, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+88144, int_stack+83524, int_stack+65856, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+95704, int_stack+88144, int_stack+69636, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+105784, int_stack+95704, int_stack+75684, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+117544, int_stack+51044, int_stack+49196, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+123088, int_stack+117544, int_stack+83524, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+132328, int_stack+123088, int_stack+88144, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+144928, int_stack+132328, int_stack+95704, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+160048, int_stack+144928, int_stack+105784, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+176512, int_stack+1792, int_stack+0, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+179536, int_stack+4096, int_stack+1792, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+183424, int_stack+179536, int_stack+176512, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+189472, int_stack+6976, int_stack+4096, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+194332, int_stack+189472, int_stack+179536, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+202108, int_stack+194332, int_stack+183424, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+212188, int_stack+10496, int_stack+6976, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+218128, int_stack+212188, int_stack+189472, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+227848, int_stack+218128, int_stack+194332, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+240808, int_stack+227848, int_stack+202108, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+255928, int_stack+14720, int_stack+10496, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+263056, int_stack+255928, int_stack+212188, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+274936, int_stack+263056, int_stack+218128, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+291136, int_stack+274936, int_stack+227848, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+310576, int_stack+291136, int_stack+240808, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+331744, int_stack+53228, int_stack+51044, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+338296, int_stack+331744, int_stack+117544, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+349384, int_stack+338296, int_stack+123088, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+364784, int_stack+349384, int_stack+132328, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+383684, int_stack+364784, int_stack+144928, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+404852, int_stack+3088, int_stack+1008, int_stack+45388, int_stack+0, int_stack+44604, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+407204, int_stack+5716, int_stack+3088, int_stack+46396, int_stack+1792, int_stack+45388, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+410228, int_stack+407204, int_stack+404852, int_stack+58128, int_stack+176512, int_stack+55776, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+8956, int_stack+5716, int_stack+47656, int_stack+4096, int_stack+46396, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+414932, int_stack+0, int_stack+407204, int_stack+65856, int_stack+179536, int_stack+58128, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420980, int_stack+414932, int_stack+410228, int_stack+69636, int_stack+183424, int_stack+61152, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55776, int_stack+12872, int_stack+8956, int_stack+49196, int_stack+6976, int_stack+47656, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+176512, int_stack+55776, int_stack+0, int_stack+83524, int_stack+189472, int_stack+65856, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+404852, int_stack+176512, int_stack+414932, int_stack+88144, int_stack+194332, int_stack+69636, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60396, int_stack+404852, int_stack+420980, int_stack+95704, int_stack+202108, int_stack+75684, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+414932, int_stack+17528, int_stack+12872, int_stack+51044, int_stack+10496, int_stack+49196, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+414932, int_stack+55776, int_stack+117544, int_stack+212188, int_stack+83524, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72156, int_stack+0, int_stack+176512, int_stack+123088, int_stack+218128, int_stack+88144, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+176512, int_stack+72156, int_stack+404852, int_stack+132328, int_stack+227848, int_stack+95704, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+191632, int_stack+176512, int_stack+60396, int_stack+144928, int_stack+240808, int_stack+105784, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+404852, int_stack+19712, int_stack+17528, int_stack+53228, int_stack+14720, int_stack+51044, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+208096, int_stack+404852, int_stack+414932, int_stack+331744, int_stack+255928, int_stack+117544, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+404852, int_stack+208096, int_stack+0, int_stack+338296, int_stack+263056, int_stack+123088, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+404852, int_stack+72156, int_stack+349384, int_stack+274936, int_stack+132328, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+404852, int_stack+0, int_stack+176512, int_stack+364784, int_stack+291136, int_stack+144928, 6, 0);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+176512, int_stack+23044, int_stack+22260, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+178864, int_stack+24052, int_stack+23044, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+181888, int_stack+178864, int_stack+176512, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+186592, int_stack+25312, int_stack+24052, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+186592, int_stack+178864, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+6048, int_stack+0, int_stack+181888, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+176512, int_stack+26852, int_stack+25312, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+13888, int_stack+176512, int_stack+186592, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+181132, int_stack+13888, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+208096, int_stack+181132, int_stack+6048, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+28700, int_stack+26852, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+219856, int_stack+0, int_stack+176512, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+229096, int_stack+219856, int_stack+13888, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+5544, int_stack+229096, int_stack+181132, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+241696, int_stack+5544, int_stack+208096, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+208096, int_stack+30884, int_stack+28700, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+176512, int_stack+208096, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+258160, int_stack+176512, int_stack+219856, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+208096, int_stack+258160, int_stack+229096, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+258160, int_stack+208096, int_stack+5544, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+208096, int_stack+34216, int_stack+33432, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+210448, int_stack+35224, int_stack+34216, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+213472, int_stack+210448, int_stack+208096, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+218176, int_stack+36484, int_stack+35224, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+221956, int_stack+218176, int_stack+210448, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+228004, int_stack+221956, int_stack+213472, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+208096, int_stack+38024, int_stack+36484, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+279328, int_stack+208096, int_stack+218176, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+286888, int_stack+279328, int_stack+221956, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+212716, int_stack+286888, int_stack+228004, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+224476, int_stack+39872, int_stack+38024, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+230020, int_stack+224476, int_stack+208096, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+296968, int_stack+230020, int_stack+279328, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+176512, int_stack+296968, int_stack+286888, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+279328, int_stack+176512, int_stack+212716, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+208096, int_stack+42056, int_stack+39872, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+208096, int_stack+224476, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+208096, int_stack+0, int_stack+230020, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+208096, int_stack+296968, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+208096, int_stack+0, int_stack+176512, 28);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+404852, int_stack+191632, int_stack+383684, int_stack+310576, int_stack+160048, 6, 0);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+404852, int_stack+258160, int_stack+241696, 28);
     Libr12->te_ptr[2] = int_stack + 404852;
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+176512, int_stack+208096, int_stack+279328, 28);
     Libr12->te_ptr[1] = int_stack + 176512;
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+198464, int_stack+383684, int_stack+160048, 28);
     Libr12->te_ptr[0] = int_stack + 198464;

}
