#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_i0ip(Libr12_t *, prim_data *);

  /* Computes (i0|ip) integrals for linear R12-methods */

void hrr_grt_order_i0ip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[7][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 1008;
 Libr12->t2vrr_classes[6][7] = int_stack + 1792;
 Libr12->t1vrr_classes[6][6] = int_stack + 2800;
 Libr12->t1vrr_classes[6][7] = int_stack + 3584;
 Libr12->rvrr_classes[6][6] = int_stack + 4592;
 Libr12->rvrr_classes[6][7] = int_stack + 5376;
 Libr12->gvrr_classes[6][6] = int_stack + 6384;
 Libr12->gvrr_classes[6][7] = int_stack + 7168;
 memset(int_stack,0,8176*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 8176;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_i0ip(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8176, int_stack+1792, int_stack+1008, int_stack+7168, int_stack+0, int_stack+6384, 6, 0);
     Libr12->te_ptr[3] = int_stack + 8176;
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3584, int_stack+2800, 28);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10528, int_stack+5376, int_stack+4592, 28);
     Libr12->te_ptr[1] = int_stack + 10528;
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+7168, int_stack+6384, 28);
     Libr12->te_ptr[0] = int_stack + 2352;

}
