#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_idgg(Libr12_t *, prim_data *);

  /* Computes (id|gg) integrals for linear R12-methods */

void hrr_grt_order_idgg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][4] = int_stack + 0;
 Libr12->t2vrr_classes[6][5] = int_stack + 420;
 Libr12->t2vrr_classes[6][6] = int_stack + 1008;
 Libr12->t2vrr_classes[6][7] = int_stack + 1792;
 Libr12->t2vrr_classes[6][8] = int_stack + 2800;
 Libr12->t2vrr_classes[7][4] = int_stack + 4060;
 Libr12->t2vrr_classes[7][5] = int_stack + 4600;
 Libr12->t2vrr_classes[7][6] = int_stack + 5356;
 Libr12->t2vrr_classes[7][7] = int_stack + 6364;
 Libr12->t2vrr_classes[7][8] = int_stack + 7660;
 Libr12->gvrr_classes[9][4] = int_stack + 9280;
 Libr12->t2vrr_classes[8][4] = int_stack + 10105;
 Libr12->gvrr_classes[9][5] = int_stack + 10780;
 Libr12->t2vrr_classes[8][5] = int_stack + 11935;
 Libr12->gvrr_classes[9][6] = int_stack + 12880;
 Libr12->t2vrr_classes[8][6] = int_stack + 14420;
 Libr12->gvrr_classes[9][7] = int_stack + 15680;
 Libr12->t2vrr_classes[8][7] = int_stack + 17660;
 Libr12->t2vrr_classes[8][8] = int_stack + 19280;
 Libr12->gvrr_classes[6][9] = int_stack + 21305;
 Libr12->t1vrr_classes[6][4] = int_stack + 22845;
 Libr12->t1vrr_classes[6][5] = int_stack + 23265;
 Libr12->t1vrr_classes[6][6] = int_stack + 23853;
 Libr12->t1vrr_classes[6][7] = int_stack + 24637;
 Libr12->t1vrr_classes[6][8] = int_stack + 25645;
 Libr12->gvrr_classes[7][9] = int_stack + 26905;
 Libr12->t1vrr_classes[7][4] = int_stack + 28885;
 Libr12->t1vrr_classes[7][5] = int_stack + 29425;
 Libr12->t1vrr_classes[7][6] = int_stack + 30181;
 Libr12->t1vrr_classes[7][7] = int_stack + 31189;
 Libr12->t1vrr_classes[7][8] = int_stack + 32485;
 Libr12->t1vrr_classes[8][4] = int_stack + 34105;
 Libr12->t1vrr_classes[8][5] = int_stack + 34780;
 Libr12->t1vrr_classes[8][6] = int_stack + 35725;
 Libr12->t1vrr_classes[8][7] = int_stack + 36985;
 Libr12->t1vrr_classes[8][8] = int_stack + 38605;
 Libr12->rvrr_classes[6][4] = int_stack + 40630;
 Libr12->rvrr_classes[6][5] = int_stack + 41050;
 Libr12->rvrr_classes[6][6] = int_stack + 41638;
 Libr12->rvrr_classes[6][7] = int_stack + 42422;
 Libr12->rvrr_classes[6][8] = int_stack + 43430;
 Libr12->rvrr_classes[7][4] = int_stack + 44690;
 Libr12->rvrr_classes[7][5] = int_stack + 45230;
 Libr12->rvrr_classes[7][6] = int_stack + 45986;
 Libr12->rvrr_classes[7][7] = int_stack + 46994;
 Libr12->rvrr_classes[7][8] = int_stack + 48290;
 Libr12->rvrr_classes[8][4] = int_stack + 49910;
 Libr12->rvrr_classes[8][5] = int_stack + 50585;
 Libr12->rvrr_classes[8][6] = int_stack + 51530;
 Libr12->rvrr_classes[8][7] = int_stack + 52790;
 Libr12->rvrr_classes[8][8] = int_stack + 54410;
 Libr12->gvrr_classes[6][4] = int_stack + 56435;
 Libr12->gvrr_classes[6][5] = int_stack + 56855;
 Libr12->gvrr_classes[6][6] = int_stack + 57443;
 Libr12->gvrr_classes[6][7] = int_stack + 58227;
 Libr12->gvrr_classes[6][8] = int_stack + 59235;
 Libr12->gvrr_classes[7][4] = int_stack + 60495;
 Libr12->gvrr_classes[7][5] = int_stack + 61035;
 Libr12->gvrr_classes[7][6] = int_stack + 61791;
 Libr12->gvrr_classes[7][7] = int_stack + 62799;
 Libr12->gvrr_classes[7][8] = int_stack + 64095;
 Libr12->gvrr_classes[8][4] = int_stack + 65715;
 Libr12->gvrr_classes[8][5] = int_stack + 66390;
 Libr12->gvrr_classes[8][6] = int_stack + 67335;
 Libr12->gvrr_classes[8][7] = int_stack + 68595;
 Libr12->gvrr_classes[8][8] = int_stack + 70215;
 memset(int_stack,0,72240*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 72240;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_idgg(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+72240, int_stack+56855, int_stack+56435, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+73500, int_stack+57443, int_stack+56855, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+75264, int_stack+73500, int_stack+72240, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+77784, int_stack+58227, int_stack+57443, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+80136, int_stack+77784, int_stack+73500, 28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+83664, int_stack+80136, int_stack+75264, 28);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+87864, int_stack+61035, int_stack+60495, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+89484, int_stack+61791, int_stack+61035, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+91752, int_stack+89484, int_stack+87864, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+94992, int_stack+62799, int_stack+61791, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+98016, int_stack+94992, int_stack+89484, 36);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+102552, int_stack+98016, int_stack+91752, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+107952, int_stack+59235, int_stack+58227, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+110976, int_stack+107952, int_stack+77784, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+115680, int_stack+110976, int_stack+80136, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121560, int_stack+420, int_stack+0, int_stack+56855, int_stack+60495, int_stack+56435, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122820, int_stack+1008, int_stack+420, int_stack+57443, int_stack+61035, int_stack+56855, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124584, int_stack+122820, int_stack+121560, int_stack+73500, int_stack+87864, int_stack+72240, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127104, int_stack+1792, int_stack+1008, int_stack+58227, int_stack+61791, int_stack+57443, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+129456, int_stack+127104, int_stack+122820, int_stack+77784, int_stack+89484, int_stack+73500, 6, 0);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132984, int_stack+129456, int_stack+124584, int_stack+80136, int_stack+91752, int_stack+75264, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72240, int_stack+2800, int_stack+1792, int_stack+59235, int_stack+62799, int_stack+58227, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121560, int_stack+72240, int_stack+127104, int_stack+107952, int_stack+94992, int_stack+77784, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72240, int_stack+121560, int_stack+129456, int_stack+110976, int_stack+98016, int_stack+80136, 6, 0);
 /*--- compute (i0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121560, int_stack+72240, int_stack+132984, int_stack+115680, int_stack+102552, int_stack+83664, 6, 0);
 /*--- compute (l0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+72240, int_stack+66390, int_stack+65715, 45);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+74265, int_stack+67335, int_stack+66390, 45);
 /*--- compute (l0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+77100, int_stack+74265, int_stack+72240, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+127860, int_stack+68595, int_stack+67335, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+131640, int_stack+127860, int_stack+74265, 45);
 /*--- compute (l0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+137310, int_stack+131640, int_stack+77100, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+64095, int_stack+62799, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+144060, int_stack+0, int_stack+94992, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+150108, int_stack+144060, int_stack+98016, 36);
 /*--- compute (k0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81150, int_stack+4600, int_stack+4060, int_stack+61035, int_stack+65715, int_stack+60495, 7, 0);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56435, int_stack+5356, int_stack+4600, int_stack+61791, int_stack+66390, int_stack+61035, 7, 0);
 /*--- compute (k0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157668, int_stack+56435, int_stack+81150, int_stack+89484, int_stack+72240, int_stack+87864, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160908, int_stack+6364, int_stack+5356, int_stack+62799, int_stack+67335, int_stack+61791, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+163932, int_stack+160908, int_stack+56435, int_stack+94992, int_stack+74265, int_stack+89484, 7, 0);
 /*--- compute (k0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+168468, int_stack+163932, int_stack+157668, int_stack+98016, int_stack+77100, int_stack+91752, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87864, int_stack+7660, int_stack+6364, int_stack+64095, int_stack+68595, int_stack+62799, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+173868, int_stack+87864, int_stack+160908, int_stack+0, int_stack+127860, int_stack+94992, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87864, int_stack+173868, int_stack+163932, int_stack+144060, int_stack+131640, int_stack+98016, 7, 0);
 /*--- compute (k0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157668, int_stack+87864, int_stack+168468, int_stack+150108, int_stack+137310, int_stack+102552, 7, 0);
 /*--- compute (ip|[r12,T2]|gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+165768, int_stack+157668, int_stack+121560, 225);
 /*--- compute (m0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+121560, int_stack+10780, int_stack+9280, 55);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+124035, int_stack+12880, int_stack+10780, 55);
 /*--- compute (m0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+87864, int_stack+124035, int_stack+121560, 55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+92814, int_stack+15680, int_stack+12880, 55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+184668, int_stack+92814, int_stack+124035, 55);
 /*--- compute (m0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+191598, int_stack+184668, int_stack+87864, 55);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+97434, int_stack+70215, int_stack+68595, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+199848, int_stack+97434, int_stack+127860, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+207408, int_stack+199848, int_stack+131640, 45);
 /*--- compute (l0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56435, int_stack+11935, int_stack+10105, int_stack+66390, int_stack+9280, int_stack+65715, 8, 0);
 /*--- compute (l0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+60495, int_stack+14420, int_stack+11935, int_stack+67335, int_stack+10780, int_stack+66390, 8, 0);
 /*--- compute (l0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3888, int_stack+60495, int_stack+56435, int_stack+74265, int_stack+121560, int_stack+72240, 8, 0);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7938, int_stack+17660, int_stack+14420, int_stack+68595, int_stack+12880, int_stack+67335, 8, 0);
 /*--- compute (l0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+216858, int_stack+7938, int_stack+60495, int_stack+127860, int_stack+124035, int_stack+74265, 8, 0);
 /*--- compute (l0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+222528, int_stack+216858, int_stack+3888, int_stack+131640, int_stack+87864, int_stack+77100, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87864, int_stack+19280, int_stack+17660, int_stack+70215, int_stack+15680, int_stack+68595, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65715, int_stack+87864, int_stack+7938, int_stack+97434, int_stack+92814, int_stack+127860, 8, 0);
 /*--- compute (l0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87864, int_stack+65715, int_stack+216858, int_stack+199848, int_stack+184668, int_stack+131640, 8, 0);
 /*--- compute (l0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65715, int_stack+87864, int_stack+222528, int_stack+207408, int_stack+191598, int_stack+137310, 8, 0);
 /*--- compute (kp|[r12,T2]|gg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+216858, int_stack+65715, int_stack+157668, 225);
 /*--- compute (i0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+157668, int_stack+115680, int_stack+83664, 28);
 /*--- compute (k0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+65715, int_stack+150108, int_stack+102552, 36);
 /*--- compute (ip|gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+73815, int_stack+65715, int_stack+157668, 225);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+92715, int_stack+21305, int_stack+59235, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+96495, int_stack+92715, int_stack+107952, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+102543, int_stack+96495, int_stack+110976, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+92715, int_stack+102543, int_stack+115680, 28);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+101535, int_stack+26905, int_stack+64095, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+106395, int_stack+101535, int_stack+0, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+106395, int_stack+144060, 36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+0, int_stack+150108, 36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+101535, int_stack+10080, int_stack+92715, 315);
 /*--- compute (l0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+144060, int_stack+207408, int_stack+137310, 45);
 /*--- compute (kp|gg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+184668, int_stack+144060, int_stack+65715, 225);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+23265, int_stack+22845, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+23853, int_stack+23265, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+1260, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5544, int_stack+24637, int_stack+23853, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+127995, int_stack+5544, int_stack+1260, 28);
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+131523, int_stack+127995, int_stack+3024, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+25645, int_stack+24637, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+21420, int_stack+0, int_stack+5544, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+21420, int_stack+127995, 28);
 /*--- compute (i0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+21420, int_stack+0, int_stack+131523, 28);
 /*--- compute (k0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+29425, int_stack+28885, 36);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+30181, int_stack+29425, 36);
 /*--- compute (k0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3888, int_stack+1620, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+127995, int_stack+31189, int_stack+30181, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+131019, int_stack+127995, int_stack+1620, 36);
 /*--- compute (k0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+135555, int_stack+131019, int_stack+3888, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+32485, int_stack+31189, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3888, int_stack+0, int_stack+127995, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+208968, int_stack+3888, int_stack+131019, 36);
 /*--- compute (k0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+208968, int_stack+135555, 36);
 /*--- compute (ip|[r12,T1]|gg) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+241158, int_stack+0, int_stack+21420, int_stack+65715, int_stack+92715, int_stack+157668, 4, 4);
 /*--- compute (l0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+92715, int_stack+34780, int_stack+34105, 45);
 /*--- compute (l0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+94740, int_stack+35725, int_stack+34780, 45);
 /*--- compute (l0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+21420, int_stack+94740, int_stack+92715, 45);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+97575, int_stack+36985, int_stack+35725, 45);
 /*--- compute (l0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+25470, int_stack+97575, int_stack+94740, 45);
 /*--- compute (l0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+208968, int_stack+25470, int_stack+21420, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+92715, int_stack+38605, int_stack+36985, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+31140, int_stack+92715, int_stack+97575, 45);
 /*--- compute (l0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+127995, int_stack+31140, int_stack+25470, 45);
 /*--- compute (l0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+21420, int_stack+127995, int_stack+208968, 45);
 /*--- compute (kp|[r12,T1]|gg) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+260058, int_stack+21420, int_stack+0, int_stack+144060, int_stack+10080, int_stack+65715, 4, 4);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+41050, int_stack+40630, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1260, int_stack+41638, int_stack+41050, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+1260, int_stack+0, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5544, int_stack+42422, int_stack+41638, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+7896, int_stack+5544, int_stack+1260, 28);
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+11424, int_stack+7896, int_stack+3024, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+43430, int_stack+42422, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+15624, int_stack+0, int_stack+5544, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+15624, int_stack+7896, 28);
 /*--- compute (i0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+15624, int_stack+0, int_stack+11424, 28);
 /*--- compute (k0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+45230, int_stack+44690, 36);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+45986, int_stack+45230, 36);
 /*--- compute (k0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3888, int_stack+1620, int_stack+0, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7128, int_stack+46994, int_stack+45986, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+10152, int_stack+7128, int_stack+1620, 36);
 /*--- compute (k0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+21924, int_stack+10152, int_stack+3888, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+48290, int_stack+46994, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+27324, int_stack+0, int_stack+7128, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+27324, int_stack+10152, 36);
 /*--- compute (k0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+27324, int_stack+0, int_stack+21924, 36);
 /*--- compute (ip||gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+127995, int_stack+27324, int_stack+15624, 225);
 /*--- compute (l0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+50585, int_stack+49910, 45);
 /*--- compute (l0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+2025, int_stack+51530, int_stack+50585, 45);
 /*--- compute (l0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+4860, int_stack+2025, int_stack+0, 45);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8910, int_stack+52790, int_stack+51530, 45);
 /*--- compute (l0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+12690, int_stack+8910, int_stack+2025, 45);
 /*--- compute (l0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+18360, int_stack+12690, int_stack+4860, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+54410, int_stack+52790, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+35424, int_stack+0, int_stack+8910, 45);
 /*--- compute (l0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+35424, int_stack+12690, 45);
 /*--- compute (l0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+35424, int_stack+0, int_stack+18360, 45);
 /*--- compute (kp||gg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+35424, int_stack+27324, 225);
 /*--- compute (id|[r12,T2]|gg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+24300, int_stack+216858, int_stack+165768, 225);
     Libr12->te_ptr[3] = int_stack + 24300;
 /*--- compute (id|[r12,T1]|gg) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+284358, int_stack+260058, int_stack+241158, int_stack+184668, int_stack+101535, int_stack+73815, 4, 4);
     Libr12->te_ptr[2] = int_stack + 284358;
 /*--- compute (id||gg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+208968, int_stack+0, int_stack+127995, 225);
     Libr12->te_ptr[1] = int_stack + 208968;
 /*--- compute (id|gg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+92715, int_stack+184668, int_stack+73815, 225);
     Libr12->te_ptr[0] = int_stack + 92715;

}
