#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_idhf(Libr12_t *, prim_data *);

  /* Computes (id|hf) integrals for linear R12-methods */

void hrr_grt_order_idhf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 588;
 Libr12->t2vrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[6][8] = int_stack + 2380;
 Libr12->t2vrr_classes[7][5] = int_stack + 3640;
 Libr12->t2vrr_classes[7][6] = int_stack + 4396;
 Libr12->t2vrr_classes[7][7] = int_stack + 5404;
 Libr12->t2vrr_classes[7][8] = int_stack + 6700;
 Libr12->gvrr_classes[9][5] = int_stack + 8320;
 Libr12->t2vrr_classes[8][5] = int_stack + 9475;
 Libr12->gvrr_classes[9][6] = int_stack + 10420;
 Libr12->t2vrr_classes[8][6] = int_stack + 11960;
 Libr12->gvrr_classes[9][7] = int_stack + 13220;
 Libr12->t2vrr_classes[8][7] = int_stack + 15200;
 Libr12->t2vrr_classes[8][8] = int_stack + 16820;
 Libr12->gvrr_classes[6][9] = int_stack + 18845;
 Libr12->t1vrr_classes[6][5] = int_stack + 20385;
 Libr12->t1vrr_classes[6][6] = int_stack + 20973;
 Libr12->t1vrr_classes[6][7] = int_stack + 21757;
 Libr12->t1vrr_classes[6][8] = int_stack + 22765;
 Libr12->gvrr_classes[7][9] = int_stack + 24025;
 Libr12->t1vrr_classes[7][5] = int_stack + 26005;
 Libr12->t1vrr_classes[7][6] = int_stack + 26761;
 Libr12->t1vrr_classes[7][7] = int_stack + 27769;
 Libr12->t1vrr_classes[7][8] = int_stack + 29065;
 Libr12->t1vrr_classes[8][5] = int_stack + 30685;
 Libr12->t1vrr_classes[8][6] = int_stack + 31630;
 Libr12->t1vrr_classes[8][7] = int_stack + 32890;
 Libr12->t1vrr_classes[8][8] = int_stack + 34510;
 Libr12->rvrr_classes[6][5] = int_stack + 36535;
 Libr12->rvrr_classes[6][6] = int_stack + 37123;
 Libr12->rvrr_classes[6][7] = int_stack + 37907;
 Libr12->rvrr_classes[6][8] = int_stack + 38915;
 Libr12->rvrr_classes[7][5] = int_stack + 40175;
 Libr12->rvrr_classes[7][6] = int_stack + 40931;
 Libr12->rvrr_classes[7][7] = int_stack + 41939;
 Libr12->rvrr_classes[7][8] = int_stack + 43235;
 Libr12->rvrr_classes[8][5] = int_stack + 44855;
 Libr12->rvrr_classes[8][6] = int_stack + 45800;
 Libr12->rvrr_classes[8][7] = int_stack + 47060;
 Libr12->rvrr_classes[8][8] = int_stack + 48680;
 Libr12->gvrr_classes[6][5] = int_stack + 50705;
 Libr12->gvrr_classes[6][6] = int_stack + 51293;
 Libr12->gvrr_classes[6][7] = int_stack + 52077;
 Libr12->gvrr_classes[6][8] = int_stack + 53085;
 Libr12->gvrr_classes[7][5] = int_stack + 54345;
 Libr12->gvrr_classes[7][6] = int_stack + 55101;
 Libr12->gvrr_classes[7][7] = int_stack + 56109;
 Libr12->gvrr_classes[7][8] = int_stack + 57405;
 Libr12->gvrr_classes[8][5] = int_stack + 59025;
 Libr12->gvrr_classes[8][6] = int_stack + 59970;
 Libr12->gvrr_classes[8][7] = int_stack + 61230;
 Libr12->gvrr_classes[8][8] = int_stack + 62850;
 memset(int_stack,0,64875*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 64875;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_idhf(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+64875, int_stack+51293, int_stack+50705, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+66639, int_stack+52077, int_stack+51293, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+68991, int_stack+66639, int_stack+64875, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+72519, int_stack+55101, int_stack+54345, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+74787, int_stack+56109, int_stack+55101, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+77811, int_stack+74787, int_stack+72519, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+82347, int_stack+53085, int_stack+52077, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+85371, int_stack+82347, int_stack+66639, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+90075, int_stack+588, int_stack+0, int_stack+51293, int_stack+54345, int_stack+50705, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91839, int_stack+1372, int_stack+588, int_stack+52077, int_stack+55101, int_stack+51293, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+94191, int_stack+91839, int_stack+90075, int_stack+66639, int_stack+72519, int_stack+64875, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97719, int_stack+2380, int_stack+1372, int_stack+53085, int_stack+56109, int_stack+52077, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100743, int_stack+97719, int_stack+91839, int_stack+82347, int_stack+74787, int_stack+66639, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+105447, int_stack+100743, int_stack+94191, int_stack+85371, int_stack+77811, int_stack+68991, 6, 0);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+64875, int_stack+59970, int_stack+59025, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+90075, int_stack+61230, int_stack+59970, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+93855, int_stack+90075, int_stack+64875, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+99525, int_stack+57405, int_stack+56109, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+111327, int_stack+99525, int_stack+74787, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+50705, int_stack+4396, int_stack+3640, int_stack+55101, int_stack+59025, int_stack+54345, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5404, int_stack+4396, int_stack+56109, int_stack+59970, int_stack+55101, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117375, int_stack+0, int_stack+50705, int_stack+74787, int_stack+64875, int_stack+72519, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121911, int_stack+6700, int_stack+5404, int_stack+57405, int_stack+61230, int_stack+56109, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125799, int_stack+121911, int_stack+0, int_stack+99525, int_stack+90075, int_stack+74787, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+125799, int_stack+117375, int_stack+111327, int_stack+93855, int_stack+77811, 7, 0);
 /*--- compute (ip|[r12,T2]|hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+117375, int_stack+0, int_stack+105447, 210);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+72519, int_stack+10420, int_stack+8320, 55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+103413, int_stack+13220, int_stack+10420, 55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+135015, int_stack+103413, int_stack+72519, 55);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+141945, int_stack+62850, int_stack+61230, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+146805, int_stack+141945, int_stack+90075, 45);
 /*--- compute (l0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54345, int_stack+11960, int_stack+9475, int_stack+59970, int_stack+8320, int_stack+59025, 8, 0);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154365, int_stack+15200, int_stack+11960, int_stack+61230, int_stack+10420, int_stack+59970, 8, 0);
 /*--- compute (l0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158145, int_stack+154365, int_stack+54345, int_stack+90075, int_stack+72519, int_stack+64875, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72519, int_stack+16820, int_stack+15200, int_stack+62850, int_stack+13220, int_stack+61230, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59025, int_stack+72519, int_stack+154365, int_stack+141945, int_stack+103413, int_stack+90075, 8, 0);
 /*--- compute (l0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7560, int_stack+59025, int_stack+158145, int_stack+146805, int_stack+135015, int_stack+93855, 8, 0);
 /*--- compute (kp|[r12,T2]|hf) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+154365, int_stack+7560, int_stack+0, 210);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+85371, int_stack+68991, 28);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+111327, int_stack+77811, 36);
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+59025, int_stack+5880, int_stack+0, 210);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+90075, int_stack+18845, int_stack+53085, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13440, int_stack+90075, int_stack+82347, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+135015, int_stack+13440, int_stack+85371, 28);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+13440, int_stack+24025, int_stack+57405, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+76665, int_stack+13440, int_stack+99525, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+99525, int_stack+76665, int_stack+111327, 36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+177045, int_stack+99525, int_stack+135015, 280);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+76665, int_stack+146805, int_stack+93855, 45);
 /*--- compute (kp|hf) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+200565, int_stack+76665, int_stack+5880, 210);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+86115, int_stack+20973, int_stack+20385, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+87879, int_stack+21757, int_stack+20973, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+90231, int_stack+87879, int_stack+86115, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+93759, int_stack+22765, int_stack+21757, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+109605, int_stack+93759, int_stack+87879, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+13440, int_stack+109605, int_stack+90231, 28);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+109605, int_stack+26761, int_stack+26005, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+111873, int_stack+27769, int_stack+26761, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+86115, int_stack+111873, int_stack+109605, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+90651, int_stack+29065, int_stack+27769, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+19320, int_stack+90651, int_stack+111873, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+90651, int_stack+19320, int_stack+86115, 36);
 /*--- compute (ip|[r12,T1]|hf) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+223245, int_stack+90651, int_stack+13440, int_stack+5880, int_stack+135015, int_stack+0, 5, 3);
 /*--- compute (l0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+31630, int_stack+30685, 45);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+135015, int_stack+32890, int_stack+31630, 45);
 /*--- compute (l0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+138795, int_stack+135015, int_stack+0, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+34510, int_stack+32890, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+144465, int_stack+0, int_stack+135015, 45);
 /*--- compute (l0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+13440, int_stack+144465, int_stack+138795, 45);
 /*--- compute (kp|[r12,T1]|hf) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+240885, int_stack+13440, int_stack+90651, int_stack+76665, int_stack+99525, int_stack+5880, 5, 3);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+76665, int_stack+37123, int_stack+36535, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+78429, int_stack+37907, int_stack+37123, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+80781, int_stack+78429, int_stack+76665, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+84309, int_stack+38915, int_stack+37907, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+87333, int_stack+84309, int_stack+78429, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+92037, int_stack+87333, int_stack+80781, 28);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+76665, int_stack+40931, int_stack+40175, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+78933, int_stack+41939, int_stack+40931, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+81957, int_stack+78933, int_stack+76665, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+86493, int_stack+43235, int_stack+41939, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+97917, int_stack+86493, int_stack+78933, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+103965, int_stack+97917, int_stack+81957, 36);
 /*--- compute (ip||hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+135015, int_stack+103965, int_stack+92037, 210);
 /*--- compute (l0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+76665, int_stack+45800, int_stack+44855, 45);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+79500, int_stack+47060, int_stack+45800, 45);
 /*--- compute (l0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+83280, int_stack+79500, int_stack+76665, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+88950, int_stack+48680, int_stack+47060, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+93810, int_stack+88950, int_stack+79500, 45);
 /*--- compute (l0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+93810, int_stack+83280, 45);
 /*--- compute (kp||hf) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+76665, int_stack+0, int_stack+103965, 210);
 /*--- compute (id|[r12,T2]|hf) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+0, int_stack+154365, int_stack+117375, 210);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (id|[r12,T1]|hf) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+99345, int_stack+240885, int_stack+223245, int_stack+200565, int_stack+177045, int_stack+59025, 5, 3);
     Libr12->te_ptr[2] = int_stack + 99345;
 /*--- compute (id||hf) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+223245, int_stack+76665, int_stack+135015, 210);
     Libr12->te_ptr[1] = int_stack + 223245;
 /*--- compute (id|hf) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+134625, int_stack+200565, int_stack+59025, 210);
     Libr12->te_ptr[0] = int_stack + 134625;

}
