#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_idhg(Libr12_t *, prim_data *);

  /* Computes (id|hg) integrals for linear R12-methods */

void hrr_grt_order_idhg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 588;
 Libr12->t2vrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[6][8] = int_stack + 2380;
 Libr12->t2vrr_classes[6][9] = int_stack + 3640;
 Libr12->t2vrr_classes[7][5] = int_stack + 5180;
 Libr12->t2vrr_classes[7][6] = int_stack + 5936;
 Libr12->t2vrr_classes[7][7] = int_stack + 6944;
 Libr12->t2vrr_classes[7][8] = int_stack + 8240;
 Libr12->t2vrr_classes[7][9] = int_stack + 9860;
 Libr12->gvrr_classes[9][5] = int_stack + 11840;
 Libr12->t2vrr_classes[8][5] = int_stack + 12995;
 Libr12->gvrr_classes[9][6] = int_stack + 13940;
 Libr12->t2vrr_classes[8][6] = int_stack + 15480;
 Libr12->gvrr_classes[9][7] = int_stack + 16740;
 Libr12->t2vrr_classes[8][7] = int_stack + 18720;
 Libr12->gvrr_classes[9][8] = int_stack + 20340;
 Libr12->t2vrr_classes[8][8] = int_stack + 22815;
 Libr12->t2vrr_classes[8][9] = int_stack + 24840;
 Libr12->gvrr_classes[6][10] = int_stack + 27315;
 Libr12->t1vrr_classes[6][5] = int_stack + 29163;
 Libr12->t1vrr_classes[6][6] = int_stack + 29751;
 Libr12->t1vrr_classes[6][7] = int_stack + 30535;
 Libr12->t1vrr_classes[6][8] = int_stack + 31543;
 Libr12->t1vrr_classes[6][9] = int_stack + 32803;
 Libr12->gvrr_classes[7][10] = int_stack + 34343;
 Libr12->t1vrr_classes[7][5] = int_stack + 36719;
 Libr12->t1vrr_classes[7][6] = int_stack + 37475;
 Libr12->t1vrr_classes[7][7] = int_stack + 38483;
 Libr12->t1vrr_classes[7][8] = int_stack + 39779;
 Libr12->t1vrr_classes[7][9] = int_stack + 41399;
 Libr12->t1vrr_classes[8][5] = int_stack + 43379;
 Libr12->t1vrr_classes[8][6] = int_stack + 44324;
 Libr12->t1vrr_classes[8][7] = int_stack + 45584;
 Libr12->t1vrr_classes[8][8] = int_stack + 47204;
 Libr12->t1vrr_classes[8][9] = int_stack + 49229;
 Libr12->rvrr_classes[6][5] = int_stack + 51704;
 Libr12->rvrr_classes[6][6] = int_stack + 52292;
 Libr12->rvrr_classes[6][7] = int_stack + 53076;
 Libr12->rvrr_classes[6][8] = int_stack + 54084;
 Libr12->rvrr_classes[6][9] = int_stack + 55344;
 Libr12->rvrr_classes[7][5] = int_stack + 56884;
 Libr12->rvrr_classes[7][6] = int_stack + 57640;
 Libr12->rvrr_classes[7][7] = int_stack + 58648;
 Libr12->rvrr_classes[7][8] = int_stack + 59944;
 Libr12->rvrr_classes[7][9] = int_stack + 61564;
 Libr12->rvrr_classes[8][5] = int_stack + 63544;
 Libr12->rvrr_classes[8][6] = int_stack + 64489;
 Libr12->rvrr_classes[8][7] = int_stack + 65749;
 Libr12->rvrr_classes[8][8] = int_stack + 67369;
 Libr12->rvrr_classes[8][9] = int_stack + 69394;
 Libr12->gvrr_classes[6][5] = int_stack + 71869;
 Libr12->gvrr_classes[6][6] = int_stack + 72457;
 Libr12->gvrr_classes[6][7] = int_stack + 73241;
 Libr12->gvrr_classes[6][8] = int_stack + 74249;
 Libr12->gvrr_classes[6][9] = int_stack + 75509;
 Libr12->gvrr_classes[7][5] = int_stack + 77049;
 Libr12->gvrr_classes[7][6] = int_stack + 77805;
 Libr12->gvrr_classes[7][7] = int_stack + 78813;
 Libr12->gvrr_classes[7][8] = int_stack + 80109;
 Libr12->gvrr_classes[7][9] = int_stack + 81729;
 Libr12->gvrr_classes[8][5] = int_stack + 83709;
 Libr12->gvrr_classes[8][6] = int_stack + 84654;
 Libr12->gvrr_classes[8][7] = int_stack + 85914;
 Libr12->gvrr_classes[8][8] = int_stack + 87534;
 Libr12->gvrr_classes[8][9] = int_stack + 89559;
 memset(int_stack,0,92034*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 92034;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_idhg(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+92034, int_stack+72457, int_stack+71869, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+93798, int_stack+73241, int_stack+72457, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+96150, int_stack+93798, int_stack+92034, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+99678, int_stack+74249, int_stack+73241, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+102702, int_stack+99678, int_stack+93798, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+107406, int_stack+102702, int_stack+96150, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+113286, int_stack+77805, int_stack+77049, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+115554, int_stack+78813, int_stack+77805, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+118578, int_stack+115554, int_stack+113286, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+123114, int_stack+80109, int_stack+78813, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+127002, int_stack+123114, int_stack+115554, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+133050, int_stack+127002, int_stack+118578, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+140610, int_stack+75509, int_stack+74249, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+144390, int_stack+140610, int_stack+99678, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+150438, int_stack+144390, int_stack+102702, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158278, int_stack+588, int_stack+0, int_stack+72457, int_stack+77049, int_stack+71869, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160042, int_stack+1372, int_stack+588, int_stack+73241, int_stack+77805, int_stack+72457, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+162394, int_stack+160042, int_stack+158278, int_stack+93798, int_stack+113286, int_stack+92034, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+165922, int_stack+2380, int_stack+1372, int_stack+74249, int_stack+78813, int_stack+73241, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+168946, int_stack+165922, int_stack+160042, int_stack+99678, int_stack+115554, int_stack+93798, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+173650, int_stack+168946, int_stack+162394, int_stack+102702, int_stack+118578, int_stack+96150, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92034, int_stack+3640, int_stack+2380, int_stack+75509, int_stack+80109, int_stack+74249, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158278, int_stack+92034, int_stack+165922, int_stack+140610, int_stack+123114, int_stack+99678, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92034, int_stack+158278, int_stack+168946, int_stack+144390, int_stack+127002, int_stack+102702, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158278, int_stack+92034, int_stack+173650, int_stack+150438, int_stack+133050, int_stack+107406, 6, 0);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+92034, int_stack+84654, int_stack+83709, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+94869, int_stack+85914, int_stack+84654, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+98649, int_stack+94869, int_stack+92034, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+167098, int_stack+87534, int_stack+85914, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+171958, int_stack+167098, int_stack+94869, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+179518, int_stack+171958, int_stack+98649, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+81729, int_stack+80109, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+188968, int_stack+0, int_stack+123114, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+196744, int_stack+188968, int_stack+127002, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+104319, int_stack+5936, int_stack+5180, int_stack+77805, int_stack+83709, int_stack+77049, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71869, int_stack+6944, int_stack+5936, int_stack+78813, int_stack+84654, int_stack+77805, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206824, int_stack+71869, int_stack+104319, int_stack+115554, int_stack+92034, int_stack+113286, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+211360, int_stack+8240, int_stack+6944, int_stack+80109, int_stack+85914, int_stack+78813, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+215248, int_stack+211360, int_stack+71869, int_stack+123114, int_stack+94869, int_stack+115554, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+221296, int_stack+215248, int_stack+206824, int_stack+127002, int_stack+98649, int_stack+118578, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+113286, int_stack+9860, int_stack+8240, int_stack+81729, int_stack+87534, int_stack+80109, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+228856, int_stack+113286, int_stack+211360, int_stack+0, int_stack+167098, int_stack+123114, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+113286, int_stack+228856, int_stack+215248, int_stack+188968, int_stack+171958, int_stack+127002, 7, 0);
 /*--- compute (k0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+206824, int_stack+113286, int_stack+221296, int_stack+196744, int_stack+179518, int_stack+133050, 7, 0);
 /*--- compute (ip|[r12,T2]|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+218164, int_stack+206824, int_stack+158278, 315);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+158278, int_stack+13940, int_stack+11840, 55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+161743, int_stack+16740, int_stack+13940, 55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+113286, int_stack+161743, int_stack+158278, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+120216, int_stack+20340, int_stack+16740, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+244624, int_stack+120216, int_stack+161743, 55);
 /*--- compute (m0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+253864, int_stack+244624, int_stack+113286, 55);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+126156, int_stack+89559, int_stack+87534, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+265414, int_stack+126156, int_stack+167098, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+275134, int_stack+265414, int_stack+171958, 45);
 /*--- compute (l0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71869, int_stack+15480, int_stack+12995, int_stack+84654, int_stack+11840, int_stack+83709, 8, 0);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+77049, int_stack+18720, int_stack+15480, int_stack+85914, int_stack+13940, int_stack+84654, 8, 0);
 /*--- compute (l0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4860, int_stack+77049, int_stack+71869, int_stack+94869, int_stack+158278, int_stack+92034, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10530, int_stack+22815, int_stack+18720, int_stack+87534, int_stack+16740, int_stack+85914, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+287734, int_stack+10530, int_stack+77049, int_stack+167098, int_stack+161743, int_stack+94869, 8, 0);
 /*--- compute (l0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+295294, int_stack+287734, int_stack+4860, int_stack+171958, int_stack+113286, int_stack+98649, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+113286, int_stack+24840, int_stack+22815, int_stack+89559, int_stack+20340, int_stack+87534, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83709, int_stack+113286, int_stack+10530, int_stack+126156, int_stack+120216, int_stack+167098, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+113286, int_stack+83709, int_stack+287734, int_stack+265414, int_stack+244624, int_stack+171958, 8, 0);
 /*--- compute (l0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83709, int_stack+113286, int_stack+295294, int_stack+275134, int_stack+253864, int_stack+179518, 8, 0);
 /*--- compute (kp|[r12,T2]|hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+287734, int_stack+83709, int_stack+206824, 315);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+206824, int_stack+150438, int_stack+107406, 28);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+83709, int_stack+196744, int_stack+133050, 36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+95049, int_stack+83709, int_stack+206824, 315);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+121509, int_stack+27315, int_stack+75509, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+126129, int_stack+121509, int_stack+140610, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+133689, int_stack+126129, int_stack+144390, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+121509, int_stack+133689, int_stack+150438, 28);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+133269, int_stack+34343, int_stack+81729, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+139209, int_stack+133269, int_stack+0, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+139209, int_stack+188968, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+12960, int_stack+0, int_stack+196744, 36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+133269, int_stack+12960, int_stack+121509, 420);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+188968, int_stack+275134, int_stack+179518, 45);
 /*--- compute (kp|hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+244624, int_stack+188968, int_stack+83709, 315);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+29751, int_stack+29163, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+30535, int_stack+29751, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4116, int_stack+1764, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7644, int_stack+31543, int_stack+30535, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+168549, int_stack+7644, int_stack+1764, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+173253, int_stack+168549, int_stack+4116, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+32803, int_stack+31543, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+28080, int_stack+0, int_stack+7644, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+28080, int_stack+168549, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+179133, int_stack+0, int_stack+173253, 28);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+37475, int_stack+36719, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+38483, int_stack+37475, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+5292, int_stack+2268, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+168549, int_stack+39779, int_stack+38483, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+172437, int_stack+168549, int_stack+2268, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+28080, int_stack+172437, int_stack+5292, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+41399, int_stack+39779, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+4860, int_stack+0, int_stack+168549, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+71869, int_stack+4860, int_stack+172437, 36);
 /*--- compute (k0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+71869, int_stack+28080, 36);
 /*--- compute (ip|[r12,T1]|hg) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+321754, int_stack+0, int_stack+179133, int_stack+83709, int_stack+121509, int_stack+206824, 5, 4);
 /*--- compute (l0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+121509, int_stack+44324, int_stack+43379, 45);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+124344, int_stack+45584, int_stack+44324, 45);
 /*--- compute (l0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+28080, int_stack+124344, int_stack+121509, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+128124, int_stack+47204, int_stack+45584, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+33750, int_stack+128124, int_stack+124344, 45);
 /*--- compute (l0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+71869, int_stack+33750, int_stack+28080, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+121509, int_stack+49229, int_stack+47204, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+41310, int_stack+121509, int_stack+128124, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+168549, int_stack+41310, int_stack+33750, 45);
 /*--- compute (l0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+28080, int_stack+168549, int_stack+71869, 45);
 /*--- compute (kp|[r12,T1]|hg) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+348214, int_stack+28080, int_stack+0, int_stack+188968, int_stack+12960, int_stack+83709, 5, 4);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+52292, int_stack+51704, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+53076, int_stack+52292, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4116, int_stack+1764, int_stack+0, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7644, int_stack+54084, int_stack+53076, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10668, int_stack+7644, int_stack+1764, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+15372, int_stack+10668, int_stack+4116, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+55344, int_stack+54084, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+21252, int_stack+0, int_stack+7644, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+21252, int_stack+10668, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+21252, int_stack+0, int_stack+15372, 28);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+57640, int_stack+56884, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+58648, int_stack+57640, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+5292, int_stack+2268, int_stack+0, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+9828, int_stack+59944, int_stack+58648, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13716, int_stack+9828, int_stack+2268, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+30072, int_stack+13716, int_stack+5292, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+61564, int_stack+59944, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+37632, int_stack+0, int_stack+9828, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+37632, int_stack+13716, 36);
 /*--- compute (k0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+37632, int_stack+0, int_stack+30072, 36);
 /*--- compute (ip||hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+168549, int_stack+37632, int_stack+21252, 315);
 /*--- compute (l0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+64489, int_stack+63544, 45);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2835, int_stack+65749, int_stack+64489, 45);
 /*--- compute (l0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+2835, int_stack+0, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12285, int_stack+67369, int_stack+65749, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+17145, int_stack+12285, int_stack+2835, 45);
 /*--- compute (l0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+24705, int_stack+17145, int_stack+6615, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+69394, int_stack+67369, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+48972, int_stack+0, int_stack+12285, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+48972, int_stack+17145, 45);
 /*--- compute (l0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+48972, int_stack+0, int_stack+24705, 45);
 /*--- compute (kp||hg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+48972, int_stack+37632, 315);
 /*--- compute (id|[r12,T2]|hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+34020, int_stack+287734, int_stack+218164, 315);
     Libr12->te_ptr[3] = int_stack + 34020;
 /*--- compute (id|[r12,T1]|hg) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+382234, int_stack+348214, int_stack+321754, int_stack+244624, int_stack+133269, int_stack+95049, 5, 4);
     Libr12->te_ptr[2] = int_stack + 382234;
 /*--- compute (id||hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+278644, int_stack+0, int_stack+168549, 315);
     Libr12->te_ptr[1] = int_stack + 278644;
 /*--- compute (id|hg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+121509, int_stack+244624, int_stack+95049, 315);
     Libr12->te_ptr[0] = int_stack + 121509;

}
