#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_idhh(Libr12_t *, prim_data *);

  /* Computes (id|hh) integrals for linear R12-methods */

void hrr_grt_order_idhh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 588;
 Libr12->t2vrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[6][8] = int_stack + 2380;
 Libr12->t2vrr_classes[6][9] = int_stack + 3640;
 Libr12->t2vrr_classes[6][10] = int_stack + 5180;
 Libr12->t2vrr_classes[7][5] = int_stack + 7028;
 Libr12->t2vrr_classes[7][6] = int_stack + 7784;
 Libr12->t2vrr_classes[7][7] = int_stack + 8792;
 Libr12->t2vrr_classes[7][8] = int_stack + 10088;
 Libr12->t2vrr_classes[7][9] = int_stack + 11708;
 Libr12->t2vrr_classes[7][10] = int_stack + 13688;
 Libr12->gvrr_classes[9][5] = int_stack + 16064;
 Libr12->t2vrr_classes[8][5] = int_stack + 17219;
 Libr12->gvrr_classes[9][6] = int_stack + 18164;
 Libr12->t2vrr_classes[8][6] = int_stack + 19704;
 Libr12->gvrr_classes[9][7] = int_stack + 20964;
 Libr12->t2vrr_classes[8][7] = int_stack + 22944;
 Libr12->gvrr_classes[9][8] = int_stack + 24564;
 Libr12->t2vrr_classes[8][8] = int_stack + 27039;
 Libr12->gvrr_classes[9][9] = int_stack + 29064;
 Libr12->t2vrr_classes[8][9] = int_stack + 32089;
 Libr12->t2vrr_classes[8][10] = int_stack + 34564;
 Libr12->gvrr_classes[6][11] = int_stack + 37534;
 Libr12->t1vrr_classes[6][5] = int_stack + 39718;
 Libr12->t1vrr_classes[6][6] = int_stack + 40306;
 Libr12->t1vrr_classes[6][7] = int_stack + 41090;
 Libr12->t1vrr_classes[6][8] = int_stack + 42098;
 Libr12->t1vrr_classes[6][9] = int_stack + 43358;
 Libr12->t1vrr_classes[6][10] = int_stack + 44898;
 Libr12->gvrr_classes[7][11] = int_stack + 46746;
 Libr12->t1vrr_classes[7][5] = int_stack + 49554;
 Libr12->t1vrr_classes[7][6] = int_stack + 50310;
 Libr12->t1vrr_classes[7][7] = int_stack + 51318;
 Libr12->t1vrr_classes[7][8] = int_stack + 52614;
 Libr12->t1vrr_classes[7][9] = int_stack + 54234;
 Libr12->t1vrr_classes[7][10] = int_stack + 56214;
 Libr12->t1vrr_classes[8][5] = int_stack + 58590;
 Libr12->t1vrr_classes[8][6] = int_stack + 59535;
 Libr12->t1vrr_classes[8][7] = int_stack + 60795;
 Libr12->t1vrr_classes[8][8] = int_stack + 62415;
 Libr12->t1vrr_classes[8][9] = int_stack + 64440;
 Libr12->t1vrr_classes[8][10] = int_stack + 66915;
 Libr12->rvrr_classes[6][5] = int_stack + 69885;
 Libr12->rvrr_classes[6][6] = int_stack + 70473;
 Libr12->rvrr_classes[6][7] = int_stack + 71257;
 Libr12->rvrr_classes[6][8] = int_stack + 72265;
 Libr12->rvrr_classes[6][9] = int_stack + 73525;
 Libr12->rvrr_classes[6][10] = int_stack + 75065;
 Libr12->rvrr_classes[7][5] = int_stack + 76913;
 Libr12->rvrr_classes[7][6] = int_stack + 77669;
 Libr12->rvrr_classes[7][7] = int_stack + 78677;
 Libr12->rvrr_classes[7][8] = int_stack + 79973;
 Libr12->rvrr_classes[7][9] = int_stack + 81593;
 Libr12->rvrr_classes[7][10] = int_stack + 83573;
 Libr12->rvrr_classes[8][5] = int_stack + 85949;
 Libr12->rvrr_classes[8][6] = int_stack + 86894;
 Libr12->rvrr_classes[8][7] = int_stack + 88154;
 Libr12->rvrr_classes[8][8] = int_stack + 89774;
 Libr12->rvrr_classes[8][9] = int_stack + 91799;
 Libr12->rvrr_classes[8][10] = int_stack + 94274;
 Libr12->gvrr_classes[6][5] = int_stack + 97244;
 Libr12->gvrr_classes[6][6] = int_stack + 97832;
 Libr12->gvrr_classes[6][7] = int_stack + 98616;
 Libr12->gvrr_classes[6][8] = int_stack + 99624;
 Libr12->gvrr_classes[6][9] = int_stack + 100884;
 Libr12->gvrr_classes[6][10] = int_stack + 102424;
 Libr12->gvrr_classes[7][5] = int_stack + 104272;
 Libr12->gvrr_classes[7][6] = int_stack + 105028;
 Libr12->gvrr_classes[7][7] = int_stack + 106036;
 Libr12->gvrr_classes[7][8] = int_stack + 107332;
 Libr12->gvrr_classes[7][9] = int_stack + 108952;
 Libr12->gvrr_classes[7][10] = int_stack + 110932;
 Libr12->gvrr_classes[8][5] = int_stack + 113308;
 Libr12->gvrr_classes[8][6] = int_stack + 114253;
 Libr12->gvrr_classes[8][7] = int_stack + 115513;
 Libr12->gvrr_classes[8][8] = int_stack + 117133;
 Libr12->gvrr_classes[8][9] = int_stack + 119158;
 Libr12->gvrr_classes[8][10] = int_stack + 121633;
 memset(int_stack,0,124603*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 124603;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_idhh(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+124603, int_stack+97832, int_stack+97244, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+126367, int_stack+98616, int_stack+97832, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+128719, int_stack+126367, int_stack+124603, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+132247, int_stack+99624, int_stack+98616, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+135271, int_stack+132247, int_stack+126367, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+139975, int_stack+135271, int_stack+128719, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+145855, int_stack+100884, int_stack+99624, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+149635, int_stack+145855, int_stack+132247, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+155683, int_stack+149635, int_stack+135271, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+163523, int_stack+155683, int_stack+139975, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+172343, int_stack+105028, int_stack+104272, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+174611, int_stack+106036, int_stack+105028, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+177635, int_stack+174611, int_stack+172343, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+182171, int_stack+107332, int_stack+106036, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+186059, int_stack+182171, int_stack+174611, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+192107, int_stack+186059, int_stack+177635, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+199667, int_stack+108952, int_stack+107332, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+204527, int_stack+199667, int_stack+182171, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+212303, int_stack+204527, int_stack+186059, 36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+222383, int_stack+212303, int_stack+192107, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+233723, int_stack+102424, int_stack+100884, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+238343, int_stack+233723, int_stack+145855, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+245903, int_stack+238343, int_stack+149635, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+255983, int_stack+245903, int_stack+155683, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267743, int_stack+588, int_stack+0, int_stack+97832, int_stack+104272, int_stack+97244, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+269507, int_stack+1372, int_stack+588, int_stack+98616, int_stack+105028, int_stack+97832, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+271859, int_stack+269507, int_stack+267743, int_stack+126367, int_stack+172343, int_stack+124603, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+275387, int_stack+2380, int_stack+1372, int_stack+99624, int_stack+106036, int_stack+98616, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+278411, int_stack+275387, int_stack+269507, int_stack+132247, int_stack+174611, int_stack+126367, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+283115, int_stack+278411, int_stack+271859, int_stack+135271, int_stack+177635, int_stack+128719, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124603, int_stack+3640, int_stack+2380, int_stack+100884, int_stack+107332, int_stack+99624, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267743, int_stack+124603, int_stack+275387, int_stack+145855, int_stack+182171, int_stack+132247, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+288995, int_stack+267743, int_stack+278411, int_stack+149635, int_stack+186059, int_stack+135271, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+128383, int_stack+288995, int_stack+283115, int_stack+155683, int_stack+192107, int_stack+139975, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137203, int_stack+5180, int_stack+3640, int_stack+102424, int_stack+108952, int_stack+100884, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273791, int_stack+137203, int_stack+124603, int_stack+233723, int_stack+199667, int_stack+145855, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137203, int_stack+273791, int_stack+267743, int_stack+238343, int_stack+204527, int_stack+149635, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267743, int_stack+137203, int_stack+288995, int_stack+245903, int_stack+212303, int_stack+155683, 6, 0);
 /*--- compute (i0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137203, int_stack+267743, int_stack+128383, int_stack+255983, int_stack+222383, int_stack+163523, 6, 0);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+267743, int_stack+114253, int_stack+113308, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+270578, int_stack+115513, int_stack+114253, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+274358, int_stack+270578, int_stack+267743, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+280028, int_stack+117133, int_stack+115513, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+284888, int_stack+280028, int_stack+270578, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+149551, int_stack+284888, int_stack+274358, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+124603, int_stack+119158, int_stack+117133, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+292448, int_stack+124603, int_stack+280028, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+302168, int_stack+292448, int_stack+284888, 45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+314768, int_stack+302168, int_stack+149551, 45);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+130678, int_stack+110932, int_stack+108952, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+328943, int_stack+130678, int_stack+199667, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+338663, int_stack+328943, int_stack+204527, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+351623, int_stack+338663, int_stack+212303, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159001, int_stack+7784, int_stack+7028, int_stack+105028, int_stack+113308, int_stack+104272, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97244, int_stack+8792, int_stack+7784, int_stack+106036, int_stack+114253, int_stack+105028, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+97244, int_stack+159001, int_stack+174611, int_stack+267743, int_stack+172343, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159001, int_stack+10088, int_stack+8792, int_stack+107332, int_stack+115513, int_stack+106036, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+366743, int_stack+159001, int_stack+97244, int_stack+182171, int_stack+270578, int_stack+174611, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+372791, int_stack+366743, int_stack+0, int_stack+186059, int_stack+274358, int_stack+177635, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+11708, int_stack+10088, int_stack+108952, int_stack+117133, int_stack+107332, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+172343, int_stack+0, int_stack+159001, int_stack+199667, int_stack+280028, int_stack+182171, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+380351, int_stack+172343, int_stack+366743, int_stack+204527, int_stack+284888, int_stack+186059, 7, 0);
 /*--- compute (k0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180119, int_stack+380351, int_stack+372791, int_stack+212303, int_stack+149551, int_stack+192107, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+366743, int_stack+13688, int_stack+11708, int_stack+110932, int_stack+119158, int_stack+108952, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4860, int_stack+366743, int_stack+0, int_stack+130678, int_stack+124603, int_stack+199667, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+366743, int_stack+4860, int_stack+172343, int_stack+328943, int_stack+292448, int_stack+204527, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+366743, int_stack+380351, int_stack+338663, int_stack+302168, int_stack+212303, 7, 0);
 /*--- compute (k0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+366743, int_stack+0, int_stack+180119, int_stack+351623, int_stack+314768, int_stack+222383, 7, 0);
 /*--- compute (ip|[r12,T2]|hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+172343, int_stack+366743, int_stack+137203, 441);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+18164, int_stack+16064, 55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3465, int_stack+20964, int_stack+18164, 55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+8085, int_stack+3465, int_stack+0, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+382619, int_stack+24564, int_stack+20964, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+209387, int_stack+382619, int_stack+3465, 55);
 /*--- compute (m0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+136618, int_stack+209387, int_stack+8085, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+388559, int_stack+29064, int_stack+24564, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+395984, int_stack+388559, int_stack+382619, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+407864, int_stack+395984, int_stack+209387, 55);
 /*--- compute (m0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+423264, int_stack+407864, int_stack+136618, 55);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+440589, int_stack+121633, int_stack+119158, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+448014, int_stack+440589, int_stack+124603, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+460164, int_stack+448014, int_stack+292448, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+476364, int_stack+460164, int_stack+302168, 45);
 /*--- compute (l0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+218627, int_stack+19704, int_stack+17219, int_stack+114253, int_stack+16064, int_stack+113308, 8, 0);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159001, int_stack+22944, int_stack+19704, int_stack+115513, int_stack+18164, int_stack+114253, 8, 0);
 /*--- compute (l0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15015, int_stack+159001, int_stack+218627, int_stack+270578, int_stack+0, int_stack+267743, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+97244, int_stack+27039, int_stack+22944, int_stack+117133, int_stack+20964, int_stack+115513, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495264, int_stack+97244, int_stack+159001, int_stack+280028, int_stack+3465, int_stack+270578, 8, 0);
 /*--- compute (l0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+502824, int_stack+495264, int_stack+15015, int_stack+284888, int_stack+8085, int_stack+274358, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+267743, int_stack+32089, int_stack+27039, int_stack+119158, int_stack+24564, int_stack+117133, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+267743, int_stack+97244, int_stack+124603, int_stack+382619, int_stack+280028, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+9720, int_stack+0, int_stack+495264, int_stack+292448, int_stack+209387, int_stack+284888, 8, 0);
 /*--- compute (l0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273818, int_stack+9720, int_stack+502824, int_stack+302168, int_stack+136618, int_stack+149551, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136618, int_stack+34564, int_stack+32089, int_stack+121633, int_stack+29064, int_stack+119158, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+144043, int_stack+136618, int_stack+267743, int_stack+440589, int_stack+388559, int_stack+124603, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495264, int_stack+144043, int_stack+0, int_stack+448014, int_stack+395984, int_stack+292448, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+440589, int_stack+495264, int_stack+9720, int_stack+460164, int_stack+407864, int_stack+302168, 8, 0);
 /*--- compute (l0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+440589, int_stack+273818, int_stack+476364, int_stack+423264, int_stack+314768, 8, 0);
 /*--- compute (kp|[r12,T2]|hh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+382619, int_stack+0, int_stack+366743, 441);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+366743, int_stack+255983, int_stack+163523, 28);
 /*--- compute (k0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+351623, int_stack+222383, 36);
 /*--- compute (ip|hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+267743, int_stack+0, int_stack+366743, 441);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+15876, int_stack+37534, int_stack+102424, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+21420, int_stack+15876, int_stack+233723, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+495264, int_stack+21420, int_stack+238343, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+15876, int_stack+495264, int_stack+245903, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+495264, int_stack+15876, int_stack+255983, 28);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+15876, int_stack+46746, int_stack+110932, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+23004, int_stack+15876, int_stack+130678, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+209387, int_stack+23004, int_stack+328943, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+15876, int_stack+209387, int_stack+338663, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+209387, int_stack+15876, int_stack+351623, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+97244, int_stack+209387, int_stack+495264, 588);
 /*--- compute (l0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+15876, int_stack+476364, int_stack+314768, 45);
 /*--- compute (kp|hh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+304787, int_stack+15876, int_stack+0, 441);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+35721, int_stack+40306, int_stack+39718, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37485, int_stack+41090, int_stack+40306, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+379091, int_stack+37485, int_stack+35721, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+230555, int_stack+42098, int_stack+41090, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+233579, int_stack+230555, int_stack+37485, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+35721, int_stack+233579, int_stack+379091, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+238283, int_stack+43358, int_stack+42098, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+242063, int_stack+238283, int_stack+230555, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+248111, int_stack+242063, int_stack+233579, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+255951, int_stack+248111, int_stack+35721, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+35721, int_stack+44898, int_stack+43358, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+40341, int_stack+35721, int_stack+238283, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+230555, int_stack+40341, int_stack+242063, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+35721, int_stack+230555, int_stack+248111, 28);
 /*--- compute (i0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+230555, int_stack+35721, int_stack+255951, 28);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+35721, int_stack+50310, int_stack+49554, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+37989, int_stack+51318, int_stack+50310, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+41013, int_stack+37989, int_stack+35721, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+45549, int_stack+52614, int_stack+51318, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+242903, int_stack+45549, int_stack+37989, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+248951, int_stack+242903, int_stack+41013, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+35721, int_stack+54234, int_stack+52614, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+256511, int_stack+35721, int_stack+45549, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+40581, int_stack+256511, int_stack+242903, 36);
 /*--- compute (k0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+352415, int_stack+40581, int_stack+248951, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+242903, int_stack+56214, int_stack+54234, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+430247, int_stack+242903, int_stack+35721, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+242903, int_stack+430247, int_stack+256511, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+430247, int_stack+242903, int_stack+40581, 36);
 /*--- compute (k0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+242903, int_stack+430247, int_stack+352415, 36);
 /*--- compute (ip|[r12,T1]|hh) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+430247, int_stack+242903, int_stack+230555, int_stack+0, int_stack+495264, int_stack+366743, 5, 5);
 /*--- compute (l0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+230555, int_stack+59535, int_stack+58590, 45);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+233390, int_stack+60795, int_stack+59535, 45);
 /*--- compute (l0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+237170, int_stack+233390, int_stack+230555, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+352415, int_stack+62415, int_stack+60795, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+357275, int_stack+352415, int_stack+233390, 45);
 /*--- compute (l0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+364835, int_stack+357275, int_stack+237170, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+230555, int_stack+64440, int_stack+62415, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+467291, int_stack+230555, int_stack+352415, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+477011, int_stack+467291, int_stack+357275, 45);
 /*--- compute (l0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+489611, int_stack+477011, int_stack+364835, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+352415, int_stack+66915, int_stack+64440, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+359840, int_stack+352415, int_stack+230555, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+35721, int_stack+359840, int_stack+467291, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+352415, int_stack+35721, int_stack+477011, 45);
 /*--- compute (l0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+35721, int_stack+352415, int_stack+489611, 45);
 /*--- compute (kp|[r12,T1]|hh) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+467291, int_stack+35721, int_stack+242903, int_stack+15876, int_stack+209387, int_stack+0, 5, 5);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+70473, int_stack+69885, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+71257, int_stack+70473, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+4116, int_stack+1764, int_stack+0, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7644, int_stack+72265, int_stack+71257, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10668, int_stack+7644, int_stack+1764, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+15372, int_stack+10668, int_stack+4116, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+73525, int_stack+72265, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+21252, int_stack+0, int_stack+7644, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+27300, int_stack+21252, int_stack+10668, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+27300, int_stack+15372, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+12600, int_stack+75065, int_stack+73525, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+35140, int_stack+12600, int_stack+0, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+42700, int_stack+35140, int_stack+21252, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+12600, int_stack+42700, int_stack+27300, 28);
 /*--- compute (i0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+24360, int_stack+12600, int_stack+3780, 28);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+77669, int_stack+76913, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+78677, int_stack+77669, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+5292, int_stack+2268, int_stack+0, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+9828, int_stack+79973, int_stack+78677, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13716, int_stack+9828, int_stack+2268, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+36708, int_stack+13716, int_stack+5292, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+81593, int_stack+79973, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+44268, int_stack+0, int_stack+9828, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+52044, int_stack+44268, int_stack+13716, 36);
 /*--- compute (k0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+4860, int_stack+52044, int_stack+36708, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+36708, int_stack+83573, int_stack+81593, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+62124, int_stack+36708, int_stack+0, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+71844, int_stack+62124, int_stack+44268, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+36708, int_stack+71844, int_stack+52044, 36);
 /*--- compute (k0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+51828, int_stack+36708, int_stack+4860, 36);
 /*--- compute (ip||hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+209387, int_stack+51828, int_stack+24360, 441);
 /*--- compute (l0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+86894, int_stack+85949, 45);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2835, int_stack+88154, int_stack+86894, 45);
 /*--- compute (l0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6615, int_stack+2835, int_stack+0, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12285, int_stack+89774, int_stack+88154, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+17145, int_stack+12285, int_stack+2835, 45);
 /*--- compute (l0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+24705, int_stack+17145, int_stack+6615, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+91799, int_stack+89774, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+34155, int_stack+0, int_stack+12285, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+67704, int_stack+34155, int_stack+17145, 45);
 /*--- compute (l0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+6075, int_stack+67704, int_stack+24705, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+20250, int_stack+94274, int_stack+91799, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+80304, int_stack+20250, int_stack+0, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+246431, int_stack+80304, int_stack+34155, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+20250, int_stack+246431, int_stack+67704, 45);
 /*--- compute (l0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+67704, int_stack+20250, int_stack+6075, 45);
 /*--- compute (kp||hh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+67704, int_stack+51828, 441);
 /*--- compute (id|[r12,T2]|hh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+514919, int_stack+382619, int_stack+172343, 441);
     Libr12->te_ptr[3] = int_stack + 514919;
 /*--- compute (id|[r12,T1]|hh) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+352415, int_stack+467291, int_stack+430247, int_stack+304787, int_stack+97244, int_stack+267743, 5, 5);
     Libr12->te_ptr[2] = int_stack + 352415;
 /*--- compute (id||hh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+47628, int_stack+0, int_stack+209387, 441);
     Libr12->te_ptr[1] = int_stack + 47628;
 /*--- compute (id|hh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+121716, int_stack+304787, int_stack+267743, 441);
     Libr12->te_ptr[0] = int_stack + 121716;

}
