#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_idid(Libr12_t *, prim_data *);

  /* Computes (id|id) integrals for linear R12-methods */

void hrr_grt_order_idid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[7][6] = int_stack + 3052;
 Libr12->t2vrr_classes[7][7] = int_stack + 4060;
 Libr12->t2vrr_classes[7][8] = int_stack + 5356;
 Libr12->gvrr_classes[9][6] = int_stack + 6976;
 Libr12->t2vrr_classes[8][6] = int_stack + 8516;
 Libr12->gvrr_classes[9][7] = int_stack + 9776;
 Libr12->t2vrr_classes[8][7] = int_stack + 11756;
 Libr12->t2vrr_classes[8][8] = int_stack + 13376;
 Libr12->gvrr_classes[6][9] = int_stack + 15401;
 Libr12->t1vrr_classes[6][6] = int_stack + 16941;
 Libr12->t1vrr_classes[6][7] = int_stack + 17725;
 Libr12->t1vrr_classes[6][8] = int_stack + 18733;
 Libr12->gvrr_classes[7][9] = int_stack + 19993;
 Libr12->t1vrr_classes[7][6] = int_stack + 21973;
 Libr12->t1vrr_classes[7][7] = int_stack + 22981;
 Libr12->t1vrr_classes[7][8] = int_stack + 24277;
 Libr12->t1vrr_classes[8][6] = int_stack + 25897;
 Libr12->t1vrr_classes[8][7] = int_stack + 27157;
 Libr12->t1vrr_classes[8][8] = int_stack + 28777;
 Libr12->rvrr_classes[6][6] = int_stack + 30802;
 Libr12->rvrr_classes[6][7] = int_stack + 31586;
 Libr12->rvrr_classes[6][8] = int_stack + 32594;
 Libr12->rvrr_classes[7][6] = int_stack + 33854;
 Libr12->rvrr_classes[7][7] = int_stack + 34862;
 Libr12->rvrr_classes[7][8] = int_stack + 36158;
 Libr12->rvrr_classes[8][6] = int_stack + 37778;
 Libr12->rvrr_classes[8][7] = int_stack + 39038;
 Libr12->rvrr_classes[8][8] = int_stack + 40658;
 Libr12->gvrr_classes[6][6] = int_stack + 42683;
 Libr12->gvrr_classes[6][7] = int_stack + 43467;
 Libr12->gvrr_classes[6][8] = int_stack + 44475;
 Libr12->gvrr_classes[7][6] = int_stack + 45735;
 Libr12->gvrr_classes[7][7] = int_stack + 46743;
 Libr12->gvrr_classes[7][8] = int_stack + 48039;
 Libr12->gvrr_classes[8][6] = int_stack + 49659;
 Libr12->gvrr_classes[8][7] = int_stack + 50919;
 Libr12->gvrr_classes[8][8] = int_stack + 52539;
 memset(int_stack,0,54564*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 54564;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_idid(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+54564, int_stack+43467, int_stack+42683, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+56916, int_stack+46743, int_stack+45735, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+59940, int_stack+44475, int_stack+43467, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+62964, int_stack+784, int_stack+0, int_stack+43467, int_stack+45735, int_stack+42683, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65316, int_stack+1792, int_stack+784, int_stack+44475, int_stack+46743, int_stack+43467, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68340, int_stack+65316, int_stack+62964, int_stack+59940, int_stack+56916, int_stack+54564, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+62964, int_stack+50919, int_stack+49659, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+73044, int_stack+48039, int_stack+46743, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4060, int_stack+3052, int_stack+46743, int_stack+49659, int_stack+45735, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+76932, int_stack+5356, int_stack+4060, int_stack+48039, int_stack+50919, int_stack+46743, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+80820, int_stack+76932, int_stack+0, int_stack+73044, int_stack+62964, int_stack+56916, 7, 0);
 /*--- compute (ip|[r12,T2]|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+86868, int_stack+80820, int_stack+68340, 168);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+9776, int_stack+6976, 55);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+66744, int_stack+52539, int_stack+50919, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+76932, int_stack+11756, int_stack+8516, int_stack+50919, int_stack+6976, int_stack+49659, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4620, int_stack+13376, int_stack+11756, int_stack+52539, int_stack+9776, int_stack+50919, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100980, int_stack+4620, int_stack+76932, int_stack+66744, int_stack+0, int_stack+62964, 8, 0);
 /*--- compute (kp|[r12,T2]|id) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+108540, int_stack+100980, int_stack+80820, 168);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+100980, int_stack+59940, int_stack+54564, 28);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+73044, int_stack+56916, 36);
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+126684, int_stack+0, int_stack+100980, 168);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6048, int_stack+15401, int_stack+44475, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+9828, int_stack+6048, int_stack+59940, 28);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+76932, int_stack+19993, int_stack+48039, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+42683, int_stack+76932, int_stack+73044, 36);
 /*--- compute (ip|kd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+140796, int_stack+42683, int_stack+9828, 216);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+71604, int_stack+66744, int_stack+62964, 45);
 /*--- compute (kp|id) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+50459, int_stack+71604, int_stack+0, 168);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6048, int_stack+17725, int_stack+16941, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+79164, int_stack+18733, int_stack+17725, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+15876, int_stack+79164, int_stack+6048, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6048, int_stack+22981, int_stack+21973, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+79164, int_stack+24277, int_stack+22981, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+158940, int_stack+79164, int_stack+6048, 36);
 /*--- compute (ip|[r12,T1]|id) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+164988, int_stack+158940, int_stack+15876, int_stack+0, int_stack+9828, int_stack+100980, 6, 2);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+100980, int_stack+27157, int_stack+25897, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+6048, int_stack+28777, int_stack+27157, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10908, int_stack+6048, int_stack+100980, 45);
 /*--- compute (kp|[r12,T1]|id) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+179100, int_stack+10908, int_stack+158940, int_stack+71604, int_stack+42683, int_stack+0, 6, 2);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+31586, int_stack+30802, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+32594, int_stack+31586, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+34862, int_stack+33854, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+36158, int_stack+34862, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+158940, int_stack+10080, int_stack+0, 36);
 /*--- compute (ip||id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+10080, int_stack+158940, int_stack+5376, 168);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+39038, int_stack+37778, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+40658, int_stack+39038, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+100980, int_stack+3780, int_stack+0, 45);
 /*--- compute (kp||id) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+24192, int_stack+100980, int_stack+158940, 168);
 /*--- compute (id|[r12,T2]|id) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+197244, int_stack+108540, int_stack+86868, 168);
     Libr12->te_ptr[3] = int_stack + 197244;
 /*--- compute (id|[r12,T1]|id) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+68603, int_stack+179100, int_stack+164988, int_stack+50459, int_stack+140796, int_stack+126684, 6, 2);
     Libr12->te_ptr[2] = int_stack + 68603;
 /*--- compute (id||id) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+140796, int_stack+24192, int_stack+10080, 168);
     Libr12->te_ptr[1] = int_stack + 140796;
 /*--- compute (id|id) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+169020, int_stack+50459, int_stack+126684, 168);
     Libr12->te_ptr[0] = int_stack + 169020;

}
