#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_idif(Libr12_t *, prim_data *);

  /* Computes (id|if) integrals for linear R12-methods */

void hrr_grt_order_idif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[7][6] = int_stack + 4592;
 Libr12->t2vrr_classes[7][7] = int_stack + 5600;
 Libr12->t2vrr_classes[7][8] = int_stack + 6896;
 Libr12->t2vrr_classes[7][9] = int_stack + 8516;
 Libr12->gvrr_classes[9][6] = int_stack + 10496;
 Libr12->t2vrr_classes[8][6] = int_stack + 12036;
 Libr12->gvrr_classes[9][7] = int_stack + 13296;
 Libr12->t2vrr_classes[8][7] = int_stack + 15276;
 Libr12->gvrr_classes[9][8] = int_stack + 16896;
 Libr12->t2vrr_classes[8][8] = int_stack + 19371;
 Libr12->t2vrr_classes[8][9] = int_stack + 21396;
 Libr12->gvrr_classes[6][10] = int_stack + 23871;
 Libr12->t1vrr_classes[6][6] = int_stack + 25719;
 Libr12->t1vrr_classes[6][7] = int_stack + 26503;
 Libr12->t1vrr_classes[6][8] = int_stack + 27511;
 Libr12->t1vrr_classes[6][9] = int_stack + 28771;
 Libr12->gvrr_classes[7][10] = int_stack + 30311;
 Libr12->t1vrr_classes[7][6] = int_stack + 32687;
 Libr12->t1vrr_classes[7][7] = int_stack + 33695;
 Libr12->t1vrr_classes[7][8] = int_stack + 34991;
 Libr12->t1vrr_classes[7][9] = int_stack + 36611;
 Libr12->t1vrr_classes[8][6] = int_stack + 38591;
 Libr12->t1vrr_classes[8][7] = int_stack + 39851;
 Libr12->t1vrr_classes[8][8] = int_stack + 41471;
 Libr12->t1vrr_classes[8][9] = int_stack + 43496;
 Libr12->rvrr_classes[6][6] = int_stack + 45971;
 Libr12->rvrr_classes[6][7] = int_stack + 46755;
 Libr12->rvrr_classes[6][8] = int_stack + 47763;
 Libr12->rvrr_classes[6][9] = int_stack + 49023;
 Libr12->rvrr_classes[7][6] = int_stack + 50563;
 Libr12->rvrr_classes[7][7] = int_stack + 51571;
 Libr12->rvrr_classes[7][8] = int_stack + 52867;
 Libr12->rvrr_classes[7][9] = int_stack + 54487;
 Libr12->rvrr_classes[8][6] = int_stack + 56467;
 Libr12->rvrr_classes[8][7] = int_stack + 57727;
 Libr12->rvrr_classes[8][8] = int_stack + 59347;
 Libr12->rvrr_classes[8][9] = int_stack + 61372;
 Libr12->gvrr_classes[6][6] = int_stack + 63847;
 Libr12->gvrr_classes[6][7] = int_stack + 64631;
 Libr12->gvrr_classes[6][8] = int_stack + 65639;
 Libr12->gvrr_classes[6][9] = int_stack + 66899;
 Libr12->gvrr_classes[7][6] = int_stack + 68439;
 Libr12->gvrr_classes[7][7] = int_stack + 69447;
 Libr12->gvrr_classes[7][8] = int_stack + 70743;
 Libr12->gvrr_classes[7][9] = int_stack + 72363;
 Libr12->gvrr_classes[8][6] = int_stack + 74343;
 Libr12->gvrr_classes[8][7] = int_stack + 75603;
 Libr12->gvrr_classes[8][8] = int_stack + 77223;
 Libr12->gvrr_classes[8][9] = int_stack + 79248;
 memset(int_stack,0,81723*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 81723;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_idif(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+81723, int_stack+64631, int_stack+63847, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+84075, int_stack+65639, int_stack+64631, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+87099, int_stack+84075, int_stack+81723, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+91803, int_stack+69447, int_stack+68439, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+94827, int_stack+70743, int_stack+69447, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+98715, int_stack+94827, int_stack+91803, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+104763, int_stack+66899, int_stack+65639, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+108543, int_stack+104763, int_stack+84075, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114591, int_stack+784, int_stack+0, int_stack+64631, int_stack+68439, int_stack+63847, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+116943, int_stack+1792, int_stack+784, int_stack+65639, int_stack+69447, int_stack+64631, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119967, int_stack+116943, int_stack+114591, int_stack+84075, int_stack+91803, int_stack+81723, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124671, int_stack+3052, int_stack+1792, int_stack+66899, int_stack+70743, int_stack+65639, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+128451, int_stack+124671, int_stack+116943, int_stack+104763, int_stack+94827, int_stack+84075, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+134499, int_stack+128451, int_stack+119967, int_stack+108543, int_stack+98715, int_stack+87099, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+81723, int_stack+75603, int_stack+74343, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+114591, int_stack+77223, int_stack+75603, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+119451, int_stack+114591, int_stack+81723, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+127011, int_stack+72363, int_stack+70743, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+142339, int_stack+127011, int_stack+94827, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+63847, int_stack+5600, int_stack+4592, int_stack+69447, int_stack+74343, int_stack+68439, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6896, int_stack+5600, int_stack+70743, int_stack+75603, int_stack+69447, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+150115, int_stack+0, int_stack+63847, int_stack+94827, int_stack+81723, int_stack+91803, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+156163, int_stack+8516, int_stack+6896, int_stack+72363, int_stack+77223, int_stack+70743, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+161023, int_stack+156163, int_stack+0, int_stack+127011, int_stack+114591, int_stack+94827, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+161023, int_stack+150115, int_stack+142339, int_stack+119451, int_stack+98715, 7, 0);
 /*--- compute (ip|[r12,T2]|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+150115, int_stack+0, int_stack+134499, 280);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+91803, int_stack+13296, int_stack+10496, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+131871, int_stack+16896, int_stack+13296, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+173635, int_stack+131871, int_stack+91803, 55);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+182875, int_stack+79248, int_stack+77223, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+188950, int_stack+182875, int_stack+114591, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68439, int_stack+15276, int_stack+12036, int_stack+75603, int_stack+10496, int_stack+74343, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+198670, int_stack+19371, int_stack+15276, int_stack+77223, int_stack+13296, int_stack+75603, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+203530, int_stack+198670, int_stack+68439, int_stack+114591, int_stack+91803, int_stack+81723, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91803, int_stack+21396, int_stack+19371, int_stack+79248, int_stack+16896, int_stack+77223, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74343, int_stack+91803, int_stack+198670, int_stack+182875, int_stack+131871, int_stack+114591, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10080, int_stack+74343, int_stack+203530, int_stack+188950, int_stack+173635, int_stack+119451, 8, 0);
 /*--- compute (kp|[r12,T2]|if) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+198670, int_stack+10080, int_stack+0, 280);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+108543, int_stack+87099, 28);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7840, int_stack+142339, int_stack+98715, 36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+74343, int_stack+7840, int_stack+0, 280);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+17920, int_stack+23871, int_stack+66899, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+173635, int_stack+17920, int_stack+104763, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+97863, int_stack+173635, int_stack+108543, 28);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+173635, int_stack+30311, int_stack+72363, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+107943, int_stack+173635, int_stack+127011, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+127011, int_stack+107943, int_stack+142339, 36);
 /*--- compute (ip|kf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+228910, int_stack+127011, int_stack+97863, 360);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+173635, int_stack+188950, int_stack+119451, 45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+259150, int_stack+173635, int_stack+7840, 280);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+107943, int_stack+26503, int_stack+25719, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+110295, int_stack+27511, int_stack+26503, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+113319, int_stack+110295, int_stack+107943, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+118023, int_stack+28771, int_stack+27511, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+139971, int_stack+118023, int_stack+110295, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+118023, int_stack+139971, int_stack+113319, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+139971, int_stack+33695, int_stack+32687, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+142995, int_stack+34991, int_stack+33695, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+107943, int_stack+142995, int_stack+139971, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+186235, int_stack+36611, int_stack+34991, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17920, int_stack+186235, int_stack+142995, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+186235, int_stack+17920, int_stack+107943, 36);
 /*--- compute (ip|[r12,T1]|if) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+289390, int_stack+186235, int_stack+118023, int_stack+7840, int_stack+97863, int_stack+0, 6, 3);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+39851, int_stack+38591, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+97863, int_stack+41471, int_stack+39851, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+102723, int_stack+97863, int_stack+0, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+43496, int_stack+41471, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+110283, int_stack+0, int_stack+97863, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+17920, int_stack+110283, int_stack+102723, 45);
 /*--- compute (kp|[r12,T1]|if) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+312910, int_stack+17920, int_stack+186235, int_stack+173635, int_stack+127011, int_stack+7840, 6, 3);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+173635, int_stack+46755, int_stack+45971, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+175987, int_stack+47763, int_stack+46755, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+179011, int_stack+175987, int_stack+173635, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+183715, int_stack+49023, int_stack+47763, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+187495, int_stack+183715, int_stack+175987, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+97863, int_stack+187495, int_stack+179011, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+173635, int_stack+51571, int_stack+50563, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+176659, int_stack+52867, int_stack+51571, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+180547, int_stack+176659, int_stack+173635, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+186595, int_stack+54487, int_stack+52867, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+105703, int_stack+186595, int_stack+176659, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+186595, int_stack+105703, int_stack+180547, 36);
 /*--- compute (ip||if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+105703, int_stack+186595, int_stack+97863, 280);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+97863, int_stack+57727, int_stack+56467, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+129223, int_stack+59347, int_stack+57727, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+134083, int_stack+129223, int_stack+97863, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+97863, int_stack+61372, int_stack+59347, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+173635, int_stack+97863, int_stack+129223, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+173635, int_stack+134083, 45);
 /*--- compute (kp||if) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+12600, int_stack+0, int_stack+186595, 280);
 /*--- compute (id|[r12,T2]|if) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+343150, int_stack+198670, int_stack+150115, 280);
     Libr12->te_ptr[3] = int_stack + 343150;
 /*--- compute (id|[r12,T1]|if) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+129223, int_stack+312910, int_stack+289390, int_stack+259150, int_stack+228910, int_stack+74343, 6, 3);
     Libr12->te_ptr[2] = int_stack + 129223;
 /*--- compute (id||if) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+289390, int_stack+12600, int_stack+105703, 280);
     Libr12->te_ptr[1] = int_stack + 289390;
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+0, int_stack+259150, int_stack+74343, 280);
     Libr12->te_ptr[0] = int_stack + 0;

}
