#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_idig(Libr12_t *, prim_data *);

  /* Computes (id|ig) integrals for linear R12-methods */

void hrr_grt_order_idig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[7][6] = int_stack + 6440;
 Libr12->t2vrr_classes[7][7] = int_stack + 7448;
 Libr12->t2vrr_classes[7][8] = int_stack + 8744;
 Libr12->t2vrr_classes[7][9] = int_stack + 10364;
 Libr12->t2vrr_classes[7][10] = int_stack + 12344;
 Libr12->gvrr_classes[9][6] = int_stack + 14720;
 Libr12->t2vrr_classes[8][6] = int_stack + 16260;
 Libr12->gvrr_classes[9][7] = int_stack + 17520;
 Libr12->t2vrr_classes[8][7] = int_stack + 19500;
 Libr12->gvrr_classes[9][8] = int_stack + 21120;
 Libr12->t2vrr_classes[8][8] = int_stack + 23595;
 Libr12->gvrr_classes[9][9] = int_stack + 25620;
 Libr12->t2vrr_classes[8][9] = int_stack + 28645;
 Libr12->t2vrr_classes[8][10] = int_stack + 31120;
 Libr12->gvrr_classes[6][11] = int_stack + 34090;
 Libr12->t1vrr_classes[6][6] = int_stack + 36274;
 Libr12->t1vrr_classes[6][7] = int_stack + 37058;
 Libr12->t1vrr_classes[6][8] = int_stack + 38066;
 Libr12->t1vrr_classes[6][9] = int_stack + 39326;
 Libr12->t1vrr_classes[6][10] = int_stack + 40866;
 Libr12->gvrr_classes[7][11] = int_stack + 42714;
 Libr12->t1vrr_classes[7][6] = int_stack + 45522;
 Libr12->t1vrr_classes[7][7] = int_stack + 46530;
 Libr12->t1vrr_classes[7][8] = int_stack + 47826;
 Libr12->t1vrr_classes[7][9] = int_stack + 49446;
 Libr12->t1vrr_classes[7][10] = int_stack + 51426;
 Libr12->t1vrr_classes[8][6] = int_stack + 53802;
 Libr12->t1vrr_classes[8][7] = int_stack + 55062;
 Libr12->t1vrr_classes[8][8] = int_stack + 56682;
 Libr12->t1vrr_classes[8][9] = int_stack + 58707;
 Libr12->t1vrr_classes[8][10] = int_stack + 61182;
 Libr12->rvrr_classes[6][6] = int_stack + 64152;
 Libr12->rvrr_classes[6][7] = int_stack + 64936;
 Libr12->rvrr_classes[6][8] = int_stack + 65944;
 Libr12->rvrr_classes[6][9] = int_stack + 67204;
 Libr12->rvrr_classes[6][10] = int_stack + 68744;
 Libr12->rvrr_classes[7][6] = int_stack + 70592;
 Libr12->rvrr_classes[7][7] = int_stack + 71600;
 Libr12->rvrr_classes[7][8] = int_stack + 72896;
 Libr12->rvrr_classes[7][9] = int_stack + 74516;
 Libr12->rvrr_classes[7][10] = int_stack + 76496;
 Libr12->rvrr_classes[8][6] = int_stack + 78872;
 Libr12->rvrr_classes[8][7] = int_stack + 80132;
 Libr12->rvrr_classes[8][8] = int_stack + 81752;
 Libr12->rvrr_classes[8][9] = int_stack + 83777;
 Libr12->rvrr_classes[8][10] = int_stack + 86252;
 Libr12->gvrr_classes[6][6] = int_stack + 89222;
 Libr12->gvrr_classes[6][7] = int_stack + 90006;
 Libr12->gvrr_classes[6][8] = int_stack + 91014;
 Libr12->gvrr_classes[6][9] = int_stack + 92274;
 Libr12->gvrr_classes[6][10] = int_stack + 93814;
 Libr12->gvrr_classes[7][6] = int_stack + 95662;
 Libr12->gvrr_classes[7][7] = int_stack + 96670;
 Libr12->gvrr_classes[7][8] = int_stack + 97966;
 Libr12->gvrr_classes[7][9] = int_stack + 99586;
 Libr12->gvrr_classes[7][10] = int_stack + 101566;
 Libr12->gvrr_classes[8][6] = int_stack + 103942;
 Libr12->gvrr_classes[8][7] = int_stack + 105202;
 Libr12->gvrr_classes[8][8] = int_stack + 106822;
 Libr12->gvrr_classes[8][9] = int_stack + 108847;
 Libr12->gvrr_classes[8][10] = int_stack + 111322;
 memset(int_stack,0,114292*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 114292;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_idig(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+114292, int_stack+90006, int_stack+89222, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+116644, int_stack+91014, int_stack+90006, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+119668, int_stack+116644, int_stack+114292, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+124372, int_stack+92274, int_stack+91014, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+128152, int_stack+124372, int_stack+116644, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+134200, int_stack+128152, int_stack+119668, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+142040, int_stack+96670, int_stack+95662, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+145064, int_stack+97966, int_stack+96670, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+148952, int_stack+145064, int_stack+142040, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+155000, int_stack+99586, int_stack+97966, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+159860, int_stack+155000, int_stack+145064, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+167636, int_stack+159860, int_stack+148952, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+177716, int_stack+93814, int_stack+92274, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+182336, int_stack+177716, int_stack+124372, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+189896, int_stack+182336, int_stack+128152, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199976, int_stack+784, int_stack+0, int_stack+90006, int_stack+95662, int_stack+89222, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+202328, int_stack+1792, int_stack+784, int_stack+91014, int_stack+96670, int_stack+90006, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+205352, int_stack+202328, int_stack+199976, int_stack+116644, int_stack+142040, int_stack+114292, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+210056, int_stack+3052, int_stack+1792, int_stack+92274, int_stack+97966, int_stack+91014, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+213836, int_stack+210056, int_stack+202328, int_stack+124372, int_stack+145064, int_stack+116644, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+219884, int_stack+213836, int_stack+205352, int_stack+128152, int_stack+148952, int_stack+119668, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114292, int_stack+4592, int_stack+3052, int_stack+93814, int_stack+99586, int_stack+92274, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199976, int_stack+114292, int_stack+210056, int_stack+177716, int_stack+155000, int_stack+124372, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114292, int_stack+199976, int_stack+213836, int_stack+182336, int_stack+159860, int_stack+128152, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199976, int_stack+114292, int_stack+219884, int_stack+189896, int_stack+167636, int_stack+134200, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+114292, int_stack+105202, int_stack+103942, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+118072, int_stack+106822, int_stack+105202, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+122932, int_stack+118072, int_stack+114292, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+211736, int_stack+108847, int_stack+106822, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+217811, int_stack+211736, int_stack+118072, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+227531, int_stack+217811, int_stack+122932, 45);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+101566, int_stack+99586, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+240131, int_stack+0, int_stack+155000, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+249851, int_stack+240131, int_stack+159860, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+130492, int_stack+7448, int_stack+6440, int_stack+96670, int_stack+103942, int_stack+95662, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89222, int_stack+8744, int_stack+7448, int_stack+97966, int_stack+105202, int_stack+96670, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+262811, int_stack+89222, int_stack+130492, int_stack+145064, int_stack+114292, int_stack+142040, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+268859, int_stack+10364, int_stack+8744, int_stack+99586, int_stack+106822, int_stack+97966, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+273719, int_stack+268859, int_stack+89222, int_stack+155000, int_stack+118072, int_stack+145064, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+281495, int_stack+273719, int_stack+262811, int_stack+159860, int_stack+122932, int_stack+148952, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+262811, int_stack+12344, int_stack+10364, int_stack+101566, int_stack+108847, int_stack+99586, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142040, int_stack+262811, int_stack+268859, int_stack+0, int_stack+211736, int_stack+155000, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+291575, int_stack+142040, int_stack+273719, int_stack+240131, int_stack+217811, int_stack+159860, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+142040, int_stack+291575, int_stack+281495, int_stack+249851, int_stack+227531, int_stack+167636, 7, 0);
 /*--- compute (ip|[r12,T2]|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+262811, int_stack+142040, int_stack+199976, 420);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+199976, int_stack+17520, int_stack+14720, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+204596, int_stack+21120, int_stack+17520, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+157160, int_stack+204596, int_stack+199976, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5940, int_stack+25620, int_stack+21120, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+298091, int_stack+5940, int_stack+204596, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+309971, int_stack+298091, int_stack+157160, 55);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+325371, int_stack+111322, int_stack+108847, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+332796, int_stack+325371, int_stack+211736, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+344946, int_stack+332796, int_stack+217811, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+89222, int_stack+19500, int_stack+16260, int_stack+105202, int_stack+14720, int_stack+103942, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95662, int_stack+23595, int_stack+19500, int_stack+106822, int_stack+17520, int_stack+105202, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13365, int_stack+95662, int_stack+89222, int_stack+118072, int_stack+199976, int_stack+114292, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+361146, int_stack+28645, int_stack+23595, int_stack+108847, int_stack+21120, int_stack+106822, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+367221, int_stack+361146, int_stack+95662, int_stack+211736, int_stack+204596, int_stack+118072, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+376941, int_stack+367221, int_stack+13365, int_stack+217811, int_stack+157160, int_stack+122932, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157160, int_stack+31120, int_stack+28645, int_stack+111322, int_stack+25620, int_stack+108847, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13365, int_stack+157160, int_stack+361146, int_stack+325371, int_stack+5940, int_stack+211736, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+199976, int_stack+13365, int_stack+367221, int_stack+332796, int_stack+298091, int_stack+217811, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5940, int_stack+199976, int_stack+376941, int_stack+344946, int_stack+309971, int_stack+227531, 8, 0);
 /*--- compute (kp|[r12,T2]|ig) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+298091, int_stack+5940, int_stack+142040, 420);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+142040, int_stack+189896, int_stack+134200, 28);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+5940, int_stack+249851, int_stack+167636, 36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+103942, int_stack+5940, int_stack+142040, 420);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+153800, int_stack+34090, int_stack+93814, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+159344, int_stack+153800, int_stack+177716, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+168584, int_stack+159344, int_stack+182336, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+21060, int_stack+168584, int_stack+189896, 28);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+153800, int_stack+42714, int_stack+101566, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+160928, int_stack+153800, int_stack+0, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+172808, int_stack+160928, int_stack+240131, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+189008, int_stack+172808, int_stack+249851, 36);
 /*--- compute (ip|kg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+361146, int_stack+189008, int_stack+21060, 540);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+240131, int_stack+344946, int_stack+227531, 45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+406506, int_stack+240131, int_stack+5940, 420);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+259031, int_stack+37058, int_stack+36274, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+38066, int_stack+37058, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+153800, int_stack+0, int_stack+259031, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+259031, int_stack+39326, int_stack+38066, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+158504, int_stack+259031, int_stack+0, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+164552, int_stack+158504, int_stack+153800, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+153800, int_stack+40866, int_stack+39326, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+172392, int_stack+153800, int_stack+259031, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+208448, int_stack+172392, int_stack+158504, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+172392, int_stack+208448, int_stack+164552, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+208448, int_stack+46530, int_stack+45522, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+211472, int_stack+47826, int_stack+46530, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+215360, int_stack+211472, int_stack+208448, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+221408, int_stack+49446, int_stack+47826, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+226268, int_stack+221408, int_stack+211472, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+153800, int_stack+226268, int_stack+215360, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+51426, int_stack+49446, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+208448, int_stack+0, int_stack+221408, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+36180, int_stack+208448, int_stack+226268, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+208448, int_stack+36180, int_stack+153800, 36);
 /*--- compute (ip|[r12,T1]|ig) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+451866, int_stack+208448, int_stack+172392, int_stack+5940, int_stack+21060, int_stack+142040, 6, 4);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+259031, int_stack+55062, int_stack+53802, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+21060, int_stack+56682, int_stack+55062, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+25920, int_stack+21060, int_stack+259031, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+33480, int_stack+58707, int_stack+56682, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+39555, int_stack+33480, int_stack+21060, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+223568, int_stack+39555, int_stack+25920, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+21060, int_stack+61182, int_stack+58707, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+49275, int_stack+21060, int_stack+33480, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+21060, int_stack+49275, int_stack+39555, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+37260, int_stack+21060, int_stack+223568, 45);
 /*--- compute (kp|[r12,T1]|ig) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+139222, int_stack+37260, int_stack+208448, int_stack+240131, int_stack+189008, int_stack+5940, 6, 4);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+64936, int_stack+64152, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+65944, int_stack+64936, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+67204, int_stack+65944, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+10080, int_stack+2352, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+19908, int_stack+13860, int_stack+5376, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+68744, int_stack+67204, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+27748, int_stack+0, int_stack+10080, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+27748, int_stack+13860, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+27748, int_stack+0, int_stack+19908, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+71600, int_stack+70592, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+72896, int_stack+71600, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6912, int_stack+3024, int_stack+0, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+12960, int_stack+74516, int_stack+72896, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17820, int_stack+12960, int_stack+3024, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+39508, int_stack+17820, int_stack+6912, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+76496, int_stack+74516, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+49588, int_stack+0, int_stack+12960, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+49588, int_stack+17820, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+49588, int_stack+0, int_stack+39508, 36);
 /*--- compute (ip||ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+184582, int_stack+49588, int_stack+27748, 420);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+80132, int_stack+78872, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+81752, int_stack+80132, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8640, int_stack+3780, int_stack+0, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16200, int_stack+83777, int_stack+81752, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22275, int_stack+16200, int_stack+3780, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31995, int_stack+22275, int_stack+8640, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+86252, int_stack+83777, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+64708, int_stack+0, int_stack+16200, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+64708, int_stack+22275, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+64708, int_stack+0, int_stack+31995, 45);
 /*--- compute (kp||ig) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+64708, int_stack+49588, 420);
 /*--- compute (id|[r12,T2]|ig) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+487146, int_stack+298091, int_stack+262811, 420);
     Libr12->te_ptr[3] = int_stack + 487146;
 /*--- compute (id|[r12,T1]|ig) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+219862, int_stack+139222, int_stack+451866, int_stack+406506, int_stack+361146, int_stack+103942, 6, 4);
     Libr12->te_ptr[2] = int_stack + 219862;
 /*--- compute (id||ig) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+290422, int_stack+0, int_stack+184582, 420);
     Libr12->te_ptr[1] = int_stack + 290422;
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+0, int_stack+406506, int_stack+103942, 420);
     Libr12->te_ptr[0] = int_stack + 0;

}
