#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_idih(Libr12_t *, prim_data *);

  /* Computes (id|ih) integrals for linear R12-methods */

void hrr_grt_order_idih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[6][11] = int_stack + 6440;
 Libr12->t2vrr_classes[7][6] = int_stack + 8624;
 Libr12->t2vrr_classes[7][7] = int_stack + 9632;
 Libr12->t2vrr_classes[7][8] = int_stack + 10928;
 Libr12->t2vrr_classes[7][9] = int_stack + 12548;
 Libr12->t2vrr_classes[7][10] = int_stack + 14528;
 Libr12->t2vrr_classes[7][11] = int_stack + 16904;
 Libr12->gvrr_classes[9][6] = int_stack + 19712;
 Libr12->t2vrr_classes[8][6] = int_stack + 21252;
 Libr12->gvrr_classes[9][7] = int_stack + 22512;
 Libr12->t2vrr_classes[8][7] = int_stack + 24492;
 Libr12->gvrr_classes[9][8] = int_stack + 26112;
 Libr12->t2vrr_classes[8][8] = int_stack + 28587;
 Libr12->gvrr_classes[9][9] = int_stack + 30612;
 Libr12->t2vrr_classes[8][9] = int_stack + 33637;
 Libr12->gvrr_classes[9][10] = int_stack + 36112;
 Libr12->t2vrr_classes[8][10] = int_stack + 39742;
 Libr12->t2vrr_classes[8][11] = int_stack + 42712;
 Libr12->gvrr_classes[6][12] = int_stack + 46222;
 Libr12->t1vrr_classes[6][6] = int_stack + 48770;
 Libr12->t1vrr_classes[6][7] = int_stack + 49554;
 Libr12->t1vrr_classes[6][8] = int_stack + 50562;
 Libr12->t1vrr_classes[6][9] = int_stack + 51822;
 Libr12->t1vrr_classes[6][10] = int_stack + 53362;
 Libr12->t1vrr_classes[6][11] = int_stack + 55210;
 Libr12->gvrr_classes[7][12] = int_stack + 57394;
 Libr12->t1vrr_classes[7][6] = int_stack + 60670;
 Libr12->t1vrr_classes[7][7] = int_stack + 61678;
 Libr12->t1vrr_classes[7][8] = int_stack + 62974;
 Libr12->t1vrr_classes[7][9] = int_stack + 64594;
 Libr12->t1vrr_classes[7][10] = int_stack + 66574;
 Libr12->t1vrr_classes[7][11] = int_stack + 68950;
 Libr12->t1vrr_classes[8][6] = int_stack + 71758;
 Libr12->t1vrr_classes[8][7] = int_stack + 73018;
 Libr12->t1vrr_classes[8][8] = int_stack + 74638;
 Libr12->t1vrr_classes[8][9] = int_stack + 76663;
 Libr12->t1vrr_classes[8][10] = int_stack + 79138;
 Libr12->t1vrr_classes[8][11] = int_stack + 82108;
 Libr12->rvrr_classes[6][6] = int_stack + 85618;
 Libr12->rvrr_classes[6][7] = int_stack + 86402;
 Libr12->rvrr_classes[6][8] = int_stack + 87410;
 Libr12->rvrr_classes[6][9] = int_stack + 88670;
 Libr12->rvrr_classes[6][10] = int_stack + 90210;
 Libr12->rvrr_classes[6][11] = int_stack + 92058;
 Libr12->rvrr_classes[7][6] = int_stack + 94242;
 Libr12->rvrr_classes[7][7] = int_stack + 95250;
 Libr12->rvrr_classes[7][8] = int_stack + 96546;
 Libr12->rvrr_classes[7][9] = int_stack + 98166;
 Libr12->rvrr_classes[7][10] = int_stack + 100146;
 Libr12->rvrr_classes[7][11] = int_stack + 102522;
 Libr12->rvrr_classes[8][6] = int_stack + 105330;
 Libr12->rvrr_classes[8][7] = int_stack + 106590;
 Libr12->rvrr_classes[8][8] = int_stack + 108210;
 Libr12->rvrr_classes[8][9] = int_stack + 110235;
 Libr12->rvrr_classes[8][10] = int_stack + 112710;
 Libr12->rvrr_classes[8][11] = int_stack + 115680;
 Libr12->gvrr_classes[6][6] = int_stack + 119190;
 Libr12->gvrr_classes[6][7] = int_stack + 119974;
 Libr12->gvrr_classes[6][8] = int_stack + 120982;
 Libr12->gvrr_classes[6][9] = int_stack + 122242;
 Libr12->gvrr_classes[6][10] = int_stack + 123782;
 Libr12->gvrr_classes[6][11] = int_stack + 125630;
 Libr12->gvrr_classes[7][6] = int_stack + 127814;
 Libr12->gvrr_classes[7][7] = int_stack + 128822;
 Libr12->gvrr_classes[7][8] = int_stack + 130118;
 Libr12->gvrr_classes[7][9] = int_stack + 131738;
 Libr12->gvrr_classes[7][10] = int_stack + 133718;
 Libr12->gvrr_classes[7][11] = int_stack + 136094;
 Libr12->gvrr_classes[8][6] = int_stack + 138902;
 Libr12->gvrr_classes[8][7] = int_stack + 140162;
 Libr12->gvrr_classes[8][8] = int_stack + 141782;
 Libr12->gvrr_classes[8][9] = int_stack + 143807;
 Libr12->gvrr_classes[8][10] = int_stack + 146282;
 Libr12->gvrr_classes[8][11] = int_stack + 149252;
 memset(int_stack,0,152762*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 152762;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_idih(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+152762, int_stack+119974, int_stack+119190, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+155114, int_stack+120982, int_stack+119974, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+158138, int_stack+155114, int_stack+152762, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+162842, int_stack+122242, int_stack+120982, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+166622, int_stack+162842, int_stack+155114, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+172670, int_stack+166622, int_stack+158138, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+180510, int_stack+123782, int_stack+122242, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+185130, int_stack+180510, int_stack+162842, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+192690, int_stack+185130, int_stack+166622, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+202770, int_stack+192690, int_stack+172670, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+214530, int_stack+128822, int_stack+127814, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+217554, int_stack+130118, int_stack+128822, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+221442, int_stack+217554, int_stack+214530, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+227490, int_stack+131738, int_stack+130118, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+232350, int_stack+227490, int_stack+217554, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+240126, int_stack+232350, int_stack+221442, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+250206, int_stack+133718, int_stack+131738, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+256146, int_stack+250206, int_stack+227490, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+265866, int_stack+256146, int_stack+232350, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+278826, int_stack+265866, int_stack+240126, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+293946, int_stack+125630, int_stack+123782, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+299490, int_stack+293946, int_stack+180510, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+308730, int_stack+299490, int_stack+185130, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+321330, int_stack+308730, int_stack+192690, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+336450, int_stack+784, int_stack+0, int_stack+119974, int_stack+127814, int_stack+119190, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+338802, int_stack+1792, int_stack+784, int_stack+120982, int_stack+128822, int_stack+119974, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+341826, int_stack+338802, int_stack+336450, int_stack+155114, int_stack+214530, int_stack+152762, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+346530, int_stack+3052, int_stack+1792, int_stack+122242, int_stack+130118, int_stack+120982, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+350310, int_stack+346530, int_stack+338802, int_stack+162842, int_stack+217554, int_stack+155114, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+356358, int_stack+350310, int_stack+341826, int_stack+166622, int_stack+221442, int_stack+158138, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+152762, int_stack+4592, int_stack+3052, int_stack+123782, int_stack+131738, int_stack+122242, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+336450, int_stack+152762, int_stack+346530, int_stack+180510, int_stack+227490, int_stack+162842, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+364198, int_stack+336450, int_stack+350310, int_stack+185130, int_stack+232350, int_stack+166622, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+157382, int_stack+364198, int_stack+356358, int_stack+192690, int_stack+240126, int_stack+172670, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169142, int_stack+6440, int_stack+4592, int_stack+125630, int_stack+133718, int_stack+123782, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+344010, int_stack+169142, int_stack+152762, int_stack+293946, int_stack+250206, int_stack+180510, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169142, int_stack+344010, int_stack+336450, int_stack+299490, int_stack+256146, int_stack+185130, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+336450, int_stack+169142, int_stack+364198, int_stack+308730, int_stack+265866, int_stack+192690, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169142, int_stack+336450, int_stack+157382, int_stack+321330, int_stack+278826, int_stack+202770, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+336450, int_stack+140162, int_stack+138902, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+340230, int_stack+141782, int_stack+140162, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+345090, int_stack+340230, int_stack+336450, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+352650, int_stack+143807, int_stack+141782, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+358725, int_stack+352650, int_stack+340230, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+185606, int_stack+358725, int_stack+345090, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+152762, int_stack+146282, int_stack+143807, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+368445, int_stack+152762, int_stack+352650, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+380595, int_stack+368445, int_stack+358725, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+396795, int_stack+380595, int_stack+185606, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+160187, int_stack+136094, int_stack+133718, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+415695, int_stack+160187, int_stack+250206, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+427575, int_stack+415695, int_stack+256146, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+443775, int_stack+427575, int_stack+265866, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+198206, int_stack+9632, int_stack+8624, int_stack+128822, int_stack+138902, int_stack+127814, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119190, int_stack+10928, int_stack+9632, int_stack+130118, int_stack+140162, int_stack+128822, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+119190, int_stack+198206, int_stack+217554, int_stack+336450, int_stack+214530, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6048, int_stack+12548, int_stack+10928, int_stack+131738, int_stack+141782, int_stack+130118, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+463215, int_stack+6048, int_stack+119190, int_stack+227490, int_stack+340230, int_stack+217554, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+470991, int_stack+463215, int_stack+0, int_stack+232350, int_stack+345090, int_stack+221442, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+14528, int_stack+12548, int_stack+133718, int_stack+143807, int_stack+131738, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+214530, int_stack+0, int_stack+6048, int_stack+250206, int_stack+352650, int_stack+227490, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+481071, int_stack+214530, int_stack+463215, int_stack+256146, int_stack+358725, int_stack+232350, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+224250, int_stack+481071, int_stack+470991, int_stack+265866, int_stack+185606, int_stack+240126, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+463215, int_stack+16904, int_stack+14528, int_stack+136094, int_stack+146282, int_stack+133718, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5940, int_stack+463215, int_stack+0, int_stack+160187, int_stack+152762, int_stack+250206, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+463215, int_stack+5940, int_stack+214530, int_stack+415695, int_stack+368445, int_stack+256146, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+463215, int_stack+481071, int_stack+427575, int_stack+380595, int_stack+265866, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+463215, int_stack+0, int_stack+224250, int_stack+443775, int_stack+396795, int_stack+278826, 7, 0);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+214530, int_stack+463215, int_stack+169142, 588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+22512, int_stack+19712, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+26112, int_stack+22512, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+484383, int_stack+4620, int_stack+0, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10560, int_stack+30612, int_stack+26112, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+263922, int_stack+10560, int_stack+4620, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+167315, int_stack+263922, int_stack+484383, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+493623, int_stack+36112, int_stack+30612, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+502698, int_stack+493623, int_stack+10560, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+517548, int_stack+502698, int_stack+263922, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+537348, int_stack+517548, int_stack+167315, 55);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+560448, int_stack+149252, int_stack+146282, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+569358, int_stack+560448, int_stack+152762, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+584208, int_stack+569358, int_stack+368445, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+604458, int_stack+584208, int_stack+380595, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119190, int_stack+24492, int_stack+21252, int_stack+140162, int_stack+19712, int_stack+138902, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+127814, int_stack+28587, int_stack+24492, int_stack+141782, int_stack+22512, int_stack+140162, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17985, int_stack+127814, int_stack+119190, int_stack+340230, int_stack+0, int_stack+336450, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+119190, int_stack+33637, int_stack+28587, int_stack+143807, int_stack+26112, int_stack+141782, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+628758, int_stack+119190, int_stack+127814, int_stack+352650, int_stack+4620, int_stack+340230, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+638478, int_stack+628758, int_stack+17985, int_stack+358725, int_stack+484383, int_stack+345090, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+484383, int_stack+39742, int_stack+33637, int_stack+146282, int_stack+30612, int_stack+143807, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17985, int_stack+484383, int_stack+119190, int_stack+152762, int_stack+10560, int_stack+352650, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+336450, int_stack+17985, int_stack+628758, int_stack+368445, int_stack+263922, int_stack+358725, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+651078, int_stack+336450, int_stack+638478, int_stack+380595, int_stack+167315, int_stack+185606, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+167315, int_stack+42712, int_stack+39742, int_stack+149252, int_stack+36112, int_stack+146282, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+176225, int_stack+167315, int_stack+484383, int_stack+560448, int_stack+493623, int_stack+152762, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+628758, int_stack+176225, int_stack+17985, int_stack+569358, int_stack+502698, int_stack+368445, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+484383, int_stack+628758, int_stack+336450, int_stack+584208, int_stack+517548, int_stack+380595, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+336450, int_stack+484383, int_stack+651078, int_stack+604458, int_stack+537348, int_stack+396795, 8, 0);
 /*--- compute (kp|[r12,T2]|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+484383, int_stack+336450, int_stack+463215, 588);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+463215, int_stack+321330, int_stack+202770, 28);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+336450, int_stack+443775, int_stack+278826, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+547887, int_stack+336450, int_stack+463215, 588);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+357618, int_stack+46222, int_stack+125630, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+364170, int_stack+357618, int_stack+293946, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+375258, int_stack+364170, int_stack+299490, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+628758, int_stack+375258, int_stack+308730, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+357618, int_stack+628758, int_stack+321330, 28);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+628758, int_stack+57394, int_stack+136094, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+637182, int_stack+628758, int_stack+160187, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+263922, int_stack+637182, int_stack+415695, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+628758, int_stack+263922, int_stack+427575, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+263922, int_stack+628758, int_stack+443775, 36);
 /*--- compute (ip|kh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+119190, int_stack+263922, int_stack+357618, 756);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+628758, int_stack+604458, int_stack+396795, 45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+378786, int_stack+628758, int_stack+336450, 588);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+655218, int_stack+49554, int_stack+48770, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+657570, int_stack+50562, int_stack+49554, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+479679, int_stack+657570, int_stack+655218, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+660594, int_stack+51822, int_stack+50562, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+291138, int_stack+660594, int_stack+657570, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+297186, int_stack+291138, int_stack+479679, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+479679, int_stack+53362, int_stack+51822, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+305026, int_stack+479679, int_stack+660594, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+655218, int_stack+305026, int_stack+291138, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+312586, int_stack+655218, int_stack+297186, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+291138, int_stack+55210, int_stack+53362, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+324346, int_stack+291138, int_stack+479679, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+291138, int_stack+324346, int_stack+305026, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+442290, int_stack+291138, int_stack+655218, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+291138, int_stack+442290, int_stack+312586, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+442290, int_stack+61678, int_stack+60670, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+445314, int_stack+62974, int_stack+61678, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+449202, int_stack+445314, int_stack+442290, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+455250, int_stack+64594, int_stack+62974, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+655218, int_stack+455250, int_stack+445314, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+307602, int_stack+655218, int_stack+449202, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+442290, int_stack+66574, int_stack+64594, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+317682, int_stack+442290, int_stack+455250, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+448230, int_stack+317682, int_stack+655218, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+597279, int_stack+448230, int_stack+307602, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+307602, int_stack+68950, int_stack+66574, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+655218, int_stack+307602, int_stack+442290, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+612399, int_stack+655218, int_stack+317682, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+307602, int_stack+612399, int_stack+448230, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+182694, int_stack+307602, int_stack+597279, 36);
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+182694, int_stack+291138, int_stack+336450, int_stack+357618, int_stack+463215, 6, 5);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+357618, int_stack+73018, int_stack+71758, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+361398, int_stack+74638, int_stack+73018, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+366258, int_stack+361398, int_stack+357618, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+291138, int_stack+76663, int_stack+74638, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+297213, int_stack+291138, int_stack+361398, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+306933, int_stack+297213, int_stack+366258, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+357618, int_stack+79138, int_stack+76663, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+365043, int_stack+357618, int_stack+291138, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+319533, int_stack+365043, int_stack+297213, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+597279, int_stack+319533, int_stack+306933, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+291138, int_stack+82108, int_stack+79138, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+300048, int_stack+291138, int_stack+357618, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+442290, int_stack+300048, int_stack+365043, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+291138, int_stack+442290, int_stack+319533, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+442290, int_stack+291138, int_stack+597279, 45);
 /*--- compute (kp|[r12,T1]|ih) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+655218, int_stack+442290, int_stack+182694, int_stack+628758, int_stack+263922, int_stack+336450, 6, 5);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+263922, int_stack+86402, int_stack+85618, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+266274, int_stack+87410, int_stack+86402, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+269298, int_stack+266274, int_stack+263922, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+274002, int_stack+88670, int_stack+87410, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+277782, int_stack+274002, int_stack+266274, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+283830, int_stack+277782, int_stack+269298, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+263922, int_stack+90210, int_stack+88670, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+291670, int_stack+263922, int_stack+274002, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+299230, int_stack+291670, int_stack+277782, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+268542, int_stack+299230, int_stack+283830, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+280302, int_stack+92058, int_stack+90210, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+309310, int_stack+280302, int_stack+263922, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+318550, int_stack+309310, int_stack+291670, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+280302, int_stack+318550, int_stack+299230, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+295422, int_stack+280302, int_stack+268542, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+263922, int_stack+95250, int_stack+94242, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+266946, int_stack+96546, int_stack+95250, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+270834, int_stack+266946, int_stack+263922, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+276882, int_stack+98166, int_stack+96546, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+281742, int_stack+276882, int_stack+266946, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+311886, int_stack+281742, int_stack+270834, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+263922, int_stack+100146, int_stack+98166, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+321966, int_stack+263922, int_stack+276882, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+331686, int_stack+321966, int_stack+281742, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+269862, int_stack+331686, int_stack+311886, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+311886, int_stack+102522, int_stack+100146, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+344646, int_stack+311886, int_stack+263922, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+356526, int_stack+344646, int_stack+321966, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+311886, int_stack+356526, int_stack+331686, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+331326, int_stack+311886, int_stack+269862, 36);
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+597279, int_stack+331326, int_stack+295422, 588);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+263922, int_stack+106590, int_stack+105330, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+267702, int_stack+108210, int_stack+106590, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+272562, int_stack+267702, int_stack+263922, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+280122, int_stack+110235, int_stack+108210, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+286197, int_stack+280122, int_stack+267702, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+295917, int_stack+286197, int_stack+272562, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+263922, int_stack+112710, int_stack+110235, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+308517, int_stack+263922, int_stack+280122, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+352494, int_stack+308517, int_stack+286197, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+271347, int_stack+352494, int_stack+295917, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+290247, int_stack+115680, int_stack+112710, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+182694, int_stack+290247, int_stack+263922, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+442290, int_stack+182694, int_stack+308517, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+182694, int_stack+442290, int_stack+352494, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+442290, int_stack+182694, int_stack+271347, 45);
 /*--- compute (kp||ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+263922, int_stack+442290, int_stack+331326, 588);
 /*--- compute (id|[r12,T2]|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+718722, int_stack+484383, int_stack+214530, 588);
     Libr12->te_ptr[3] = int_stack + 718722;
 /*--- compute (id|[r12,T1]|ih) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+442290, int_stack+655218, int_stack+0, int_stack+378786, int_stack+119190, int_stack+547887, 6, 5);
     Libr12->te_ptr[2] = int_stack + 442290;
 /*--- compute (id||ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+0, int_stack+263922, int_stack+597279, 588);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+597279, int_stack+378786, int_stack+547887, 588);
     Libr12->te_ptr[0] = int_stack + 597279;

}
