#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ifig(Libr12_t *, prim_data *);

  /* Computes (if|ig) integrals for linear R12-methods */

void hrr_grt_order_ifig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[7][6] = int_stack + 6440;
 Libr12->t2vrr_classes[7][7] = int_stack + 7448;
 Libr12->t2vrr_classes[7][8] = int_stack + 8744;
 Libr12->t2vrr_classes[7][9] = int_stack + 10364;
 Libr12->t2vrr_classes[7][10] = int_stack + 12344;
 Libr12->t2vrr_classes[8][6] = int_stack + 14720;
 Libr12->t2vrr_classes[8][7] = int_stack + 15980;
 Libr12->t2vrr_classes[8][8] = int_stack + 17600;
 Libr12->t2vrr_classes[8][9] = int_stack + 19625;
 Libr12->t2vrr_classes[8][10] = int_stack + 22100;
 Libr12->gvrr_classes[10][6] = int_stack + 25070;
 Libr12->t2vrr_classes[9][6] = int_stack + 26918;
 Libr12->gvrr_classes[10][7] = int_stack + 28458;
 Libr12->t2vrr_classes[9][7] = int_stack + 30834;
 Libr12->gvrr_classes[10][8] = int_stack + 32814;
 Libr12->t2vrr_classes[9][8] = int_stack + 35784;
 Libr12->gvrr_classes[10][9] = int_stack + 38259;
 Libr12->t2vrr_classes[9][9] = int_stack + 41889;
 Libr12->t2vrr_classes[9][10] = int_stack + 44914;
 Libr12->gvrr_classes[6][11] = int_stack + 48544;
 Libr12->t1vrr_classes[6][6] = int_stack + 50728;
 Libr12->t1vrr_classes[6][7] = int_stack + 51512;
 Libr12->t1vrr_classes[6][8] = int_stack + 52520;
 Libr12->t1vrr_classes[6][9] = int_stack + 53780;
 Libr12->t1vrr_classes[6][10] = int_stack + 55320;
 Libr12->gvrr_classes[7][11] = int_stack + 57168;
 Libr12->t1vrr_classes[7][6] = int_stack + 59976;
 Libr12->t1vrr_classes[7][7] = int_stack + 60984;
 Libr12->t1vrr_classes[7][8] = int_stack + 62280;
 Libr12->t1vrr_classes[7][9] = int_stack + 63900;
 Libr12->t1vrr_classes[7][10] = int_stack + 65880;
 Libr12->gvrr_classes[8][11] = int_stack + 68256;
 Libr12->t1vrr_classes[8][6] = int_stack + 71766;
 Libr12->t1vrr_classes[8][7] = int_stack + 73026;
 Libr12->t1vrr_classes[8][8] = int_stack + 74646;
 Libr12->t1vrr_classes[8][9] = int_stack + 76671;
 Libr12->t1vrr_classes[8][10] = int_stack + 79146;
 Libr12->t1vrr_classes[9][6] = int_stack + 82116;
 Libr12->t1vrr_classes[9][7] = int_stack + 83656;
 Libr12->t1vrr_classes[9][8] = int_stack + 85636;
 Libr12->t1vrr_classes[9][9] = int_stack + 88111;
 Libr12->t1vrr_classes[9][10] = int_stack + 91136;
 Libr12->rvrr_classes[6][6] = int_stack + 94766;
 Libr12->rvrr_classes[6][7] = int_stack + 95550;
 Libr12->rvrr_classes[6][8] = int_stack + 96558;
 Libr12->rvrr_classes[6][9] = int_stack + 97818;
 Libr12->rvrr_classes[6][10] = int_stack + 99358;
 Libr12->rvrr_classes[7][6] = int_stack + 101206;
 Libr12->rvrr_classes[7][7] = int_stack + 102214;
 Libr12->rvrr_classes[7][8] = int_stack + 103510;
 Libr12->rvrr_classes[7][9] = int_stack + 105130;
 Libr12->rvrr_classes[7][10] = int_stack + 107110;
 Libr12->rvrr_classes[8][6] = int_stack + 109486;
 Libr12->rvrr_classes[8][7] = int_stack + 110746;
 Libr12->rvrr_classes[8][8] = int_stack + 112366;
 Libr12->rvrr_classes[8][9] = int_stack + 114391;
 Libr12->rvrr_classes[8][10] = int_stack + 116866;
 Libr12->rvrr_classes[9][6] = int_stack + 119836;
 Libr12->rvrr_classes[9][7] = int_stack + 121376;
 Libr12->rvrr_classes[9][8] = int_stack + 123356;
 Libr12->rvrr_classes[9][9] = int_stack + 125831;
 Libr12->rvrr_classes[9][10] = int_stack + 128856;
 Libr12->gvrr_classes[6][6] = int_stack + 132486;
 Libr12->gvrr_classes[6][7] = int_stack + 133270;
 Libr12->gvrr_classes[6][8] = int_stack + 134278;
 Libr12->gvrr_classes[6][9] = int_stack + 135538;
 Libr12->gvrr_classes[6][10] = int_stack + 137078;
 Libr12->gvrr_classes[7][6] = int_stack + 138926;
 Libr12->gvrr_classes[7][7] = int_stack + 139934;
 Libr12->gvrr_classes[7][8] = int_stack + 141230;
 Libr12->gvrr_classes[7][9] = int_stack + 142850;
 Libr12->gvrr_classes[7][10] = int_stack + 144830;
 Libr12->gvrr_classes[8][6] = int_stack + 147206;
 Libr12->gvrr_classes[8][7] = int_stack + 148466;
 Libr12->gvrr_classes[8][8] = int_stack + 150086;
 Libr12->gvrr_classes[8][9] = int_stack + 152111;
 Libr12->gvrr_classes[8][10] = int_stack + 154586;
 Libr12->gvrr_classes[9][6] = int_stack + 157556;
 Libr12->gvrr_classes[9][7] = int_stack + 159096;
 Libr12->gvrr_classes[9][8] = int_stack + 161076;
 Libr12->gvrr_classes[9][9] = int_stack + 163551;
 Libr12->gvrr_classes[9][10] = int_stack + 166576;
 memset(int_stack,0,170206*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 170206;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ifig(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+170206, int_stack+133270, int_stack+132486, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+172558, int_stack+134278, int_stack+133270, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+175582, int_stack+172558, int_stack+170206, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+180286, int_stack+135538, int_stack+134278, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+184066, int_stack+180286, int_stack+172558, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+190114, int_stack+184066, int_stack+175582, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+197954, int_stack+139934, int_stack+138926, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+200978, int_stack+141230, int_stack+139934, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+204866, int_stack+200978, int_stack+197954, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+210914, int_stack+142850, int_stack+141230, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+215774, int_stack+210914, int_stack+200978, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+223550, int_stack+215774, int_stack+204866, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+233630, int_stack+137078, int_stack+135538, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+238250, int_stack+233630, int_stack+180286, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+245810, int_stack+238250, int_stack+184066, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+255890, int_stack+784, int_stack+0, int_stack+133270, int_stack+138926, int_stack+132486, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+258242, int_stack+1792, int_stack+784, int_stack+134278, int_stack+139934, int_stack+133270, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+261266, int_stack+258242, int_stack+255890, int_stack+172558, int_stack+197954, int_stack+170206, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265970, int_stack+3052, int_stack+1792, int_stack+135538, int_stack+141230, int_stack+134278, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+269750, int_stack+265970, int_stack+258242, int_stack+180286, int_stack+200978, int_stack+172558, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+275798, int_stack+269750, int_stack+261266, int_stack+184066, int_stack+204866, int_stack+175582, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+170206, int_stack+4592, int_stack+3052, int_stack+137078, int_stack+142850, int_stack+135538, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+255890, int_stack+170206, int_stack+265970, int_stack+233630, int_stack+210914, int_stack+180286, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+170206, int_stack+255890, int_stack+269750, int_stack+238250, int_stack+215774, int_stack+184066, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+255890, int_stack+170206, int_stack+275798, int_stack+245810, int_stack+223550, int_stack+190114, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+170206, int_stack+148466, int_stack+147206, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+173986, int_stack+150086, int_stack+148466, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+178846, int_stack+173986, int_stack+170206, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+267650, int_stack+152111, int_stack+150086, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+273725, int_stack+267650, int_stack+173986, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+283445, int_stack+273725, int_stack+178846, 45);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+144830, int_stack+142850, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+296045, int_stack+0, int_stack+210914, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+305765, int_stack+296045, int_stack+215774, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+186406, int_stack+7448, int_stack+6440, int_stack+139934, int_stack+147206, int_stack+138926, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132486, int_stack+8744, int_stack+7448, int_stack+141230, int_stack+148466, int_stack+139934, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318725, int_stack+132486, int_stack+186406, int_stack+200978, int_stack+170206, int_stack+197954, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+324773, int_stack+10364, int_stack+8744, int_stack+142850, int_stack+150086, int_stack+141230, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+329633, int_stack+324773, int_stack+132486, int_stack+210914, int_stack+173986, int_stack+200978, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+337409, int_stack+329633, int_stack+318725, int_stack+215774, int_stack+178846, int_stack+204866, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318725, int_stack+12344, int_stack+10364, int_stack+144830, int_stack+152111, int_stack+142850, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197954, int_stack+318725, int_stack+324773, int_stack+0, int_stack+267650, int_stack+210914, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+347489, int_stack+197954, int_stack+329633, int_stack+296045, int_stack+273725, int_stack+215774, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197954, int_stack+347489, int_stack+337409, int_stack+305765, int_stack+283445, int_stack+223550, 7, 0);
 /*--- compute (ip|[r12,T2]|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+318725, int_stack+197954, int_stack+255890, 420);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+255890, int_stack+159096, int_stack+157556, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+260510, int_stack+161076, int_stack+159096, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+213074, int_stack+260510, int_stack+255890, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5940, int_stack+163551, int_stack+161076, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+354005, int_stack+5940, int_stack+260510, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+365885, int_stack+354005, int_stack+213074, 55);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+381285, int_stack+154586, int_stack+152111, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+388710, int_stack+381285, int_stack+267650, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+400860, int_stack+388710, int_stack+273725, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+132486, int_stack+15980, int_stack+14720, int_stack+148466, int_stack+157556, int_stack+147206, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+138926, int_stack+17600, int_stack+15980, int_stack+150086, int_stack+159096, int_stack+148466, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+417060, int_stack+138926, int_stack+132486, int_stack+173986, int_stack+255890, int_stack+170206, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+424620, int_stack+19625, int_stack+17600, int_stack+152111, int_stack+161076, int_stack+150086, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+430695, int_stack+424620, int_stack+138926, int_stack+267650, int_stack+260510, int_stack+173986, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+440415, int_stack+430695, int_stack+417060, int_stack+273725, int_stack+213074, int_stack+178846, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+417060, int_stack+22100, int_stack+19625, int_stack+154586, int_stack+163551, int_stack+152111, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+170206, int_stack+417060, int_stack+424620, int_stack+381285, int_stack+5940, int_stack+267650, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+453015, int_stack+170206, int_stack+430695, int_stack+388710, int_stack+354005, int_stack+273725, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+170206, int_stack+453015, int_stack+440415, int_stack+400860, int_stack+365885, int_stack+283445, 8, 0);
 /*--- compute (kp|[r12,T2]|ig) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+417060, int_stack+170206, int_stack+197954, 420);
 /*--- compute (id|[r12,T2]|ig) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+462420, int_stack+417060, int_stack+318725, 420);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+318725, int_stack+28458, int_stack+25070, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+324269, int_stack+32814, int_stack+28458, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+331397, int_stack+324269, int_stack+318725, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+342485, int_stack+38259, int_stack+32814, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+197954, int_stack+342485, int_stack+324269, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+532980, int_stack+197954, int_stack+331397, 66);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+266450, int_stack+166576, int_stack+163551, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+551460, int_stack+266450, int_stack+5940, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+566310, int_stack+551460, int_stack+354005, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+138926, int_stack+30834, int_stack+26918, int_stack+159096, int_stack+25070, int_stack+157556, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+147206, int_stack+35784, int_stack+30834, int_stack+161076, int_stack+28458, int_stack+159096, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13365, int_stack+147206, int_stack+138926, int_stack+260510, int_stack+318725, int_stack+255890, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+275525, int_stack+41889, int_stack+35784, int_stack+163551, int_stack+32814, int_stack+161076, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22605, int_stack+275525, int_stack+147206, int_stack+5940, int_stack+324269, int_stack+260510, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+586110, int_stack+22605, int_stack+13365, int_stack+354005, int_stack+331397, int_stack+213074, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13365, int_stack+44914, int_stack+41889, int_stack+166576, int_stack+38259, int_stack+163551, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318725, int_stack+13365, int_stack+275525, int_stack+266450, int_stack+342485, int_stack+5940, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+255890, int_stack+318725, int_stack+22605, int_stack+551460, int_stack+197954, int_stack+354005, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+197954, int_stack+255890, int_stack+586110, int_stack+566310, int_stack+532980, int_stack+365885, 9, 0);
 /*--- compute (lp|[r12,T2]|ig) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+586110, int_stack+197954, int_stack+170206, 420);
 /*--- compute (kd|[r12,T2]|ig) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+642810, int_stack+586110, int_stack+417060, 420);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+417060, int_stack+245810, int_stack+190114, 28);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+428820, int_stack+305765, int_stack+223550, 36);
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+586110, int_stack+428820, int_stack+417060, 420);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+621390, int_stack+400860, int_stack+283445, 45);
 /*--- compute (kp|ig) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+318725, int_stack+621390, int_stack+428820, 420);
 /*--- compute (id|ig) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+157556, int_stack+318725, int_stack+586110, 420);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+443940, int_stack+48544, int_stack+137078, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+449484, int_stack+443940, int_stack+233630, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+532980, int_stack+449484, int_stack+238250, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+443940, int_stack+532980, int_stack+245810, 28);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+532980, int_stack+57168, int_stack+144830, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+540108, int_stack+532980, int_stack+0, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+540108, int_stack+296045, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+16200, int_stack+0, int_stack+305765, 36);
 /*--- compute (ip|kg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+228116, int_stack+16200, int_stack+443940, 540);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+0, int_stack+68256, int_stack+154586, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+35640, int_stack+0, int_stack+381285, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+532980, int_stack+35640, int_stack+388710, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+273476, int_stack+532980, int_stack+400860, 45);
 /*--- compute (kp|kg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+733530, int_stack+273476, int_stack+16200, 540);
 /*--- compute (id|kg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+791850, int_stack+733530, int_stack+228116, 540);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+532980, int_stack+566310, int_stack+365885, 55);
 /*--- compute (lp|ig) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+882570, int_stack+532980, int_stack+621390, 420);
 /*--- compute (kd|ig) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+939270, int_stack+882570, int_stack+318725, 420);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+556080, int_stack+51512, int_stack+50728, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+558432, int_stack+52520, int_stack+51512, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+561456, int_stack+558432, int_stack+556080, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+566160, int_stack+53780, int_stack+52520, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+569940, int_stack+566160, int_stack+558432, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+575988, int_stack+569940, int_stack+561456, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+556080, int_stack+55320, int_stack+53780, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+35640, int_stack+556080, int_stack+566160, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+556080, int_stack+35640, int_stack+569940, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+35640, int_stack+556080, int_stack+575988, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+556080, int_stack+60984, int_stack+59976, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+559104, int_stack+62280, int_stack+60984, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+562992, int_stack+559104, int_stack+556080, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+569040, int_stack+63900, int_stack+62280, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+573900, int_stack+569040, int_stack+559104, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47400, int_stack+573900, int_stack+562992, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+556080, int_stack+65880, int_stack+63900, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+57480, int_stack+556080, int_stack+569040, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+556080, int_stack+57480, int_stack+573900, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+569040, int_stack+556080, int_stack+47400, 36);
 /*--- compute (ip|[r12,T1]|ig) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+364085, int_stack+569040, int_stack+35640, int_stack+428820, int_stack+443940, int_stack+417060, 6, 4);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+443940, int_stack+73026, int_stack+71766, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+447720, int_stack+74646, int_stack+73026, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+452580, int_stack+447720, int_stack+443940, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+35640, int_stack+76671, int_stack+74646, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+41715, int_stack+35640, int_stack+447720, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+51435, int_stack+41715, int_stack+452580, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+443940, int_stack+79146, int_stack+76671, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+64035, int_stack+443940, int_stack+35640, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+64035, int_stack+41715, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+399365, int_stack+0, int_stack+51435, 45);
 /*--- compute (kp|[r12,T1]|ig) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+35640, int_stack+399365, int_stack+569040, int_stack+621390, int_stack+16200, int_stack+428820, 6, 4);
 /*--- compute (id|[r12,T1]|ig) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1029990, int_stack+35640, int_stack+364085, int_stack+318725, int_stack+228116, int_stack+586110, 6, 4);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+228116, int_stack+83656, int_stack+82116, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+232736, int_stack+85636, int_stack+83656, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+238676, int_stack+232736, int_stack+228116, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+247916, int_stack+88111, int_stack+85636, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+255341, int_stack+247916, int_stack+232736, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+364085, int_stack+255341, int_stack+238676, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+228116, int_stack+91136, int_stack+88111, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+379485, int_stack+228116, int_stack+247916, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+228116, int_stack+379485, int_stack+255341, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+247916, int_stack+228116, int_stack+364085, 55);
 /*--- compute (lp|[r12,T1]|ig) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+556080, int_stack+247916, int_stack+399365, int_stack+532980, int_stack+273476, int_stack+621390, 6, 4);
 /*--- compute (kd|[r12,T1]|ig) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+364085, int_stack+556080, int_stack+35640, int_stack+882570, int_stack+733530, int_stack+318725, 6, 4);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+733530, int_stack+95550, int_stack+94766, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+735882, int_stack+96558, int_stack+95550, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+738906, int_stack+735882, int_stack+733530, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+743610, int_stack+97818, int_stack+96558, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+747390, int_stack+743610, int_stack+735882, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+753438, int_stack+747390, int_stack+738906, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+733530, int_stack+99358, int_stack+97818, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+761278, int_stack+733530, int_stack+743610, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+733530, int_stack+761278, int_stack+747390, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+761278, int_stack+733530, int_stack+753438, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+733530, int_stack+102214, int_stack+101206, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+736554, int_stack+103510, int_stack+102214, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+740442, int_stack+736554, int_stack+733530, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+746490, int_stack+105130, int_stack+103510, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+751350, int_stack+746490, int_stack+736554, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+773038, int_stack+751350, int_stack+740442, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+733530, int_stack+107110, int_stack+105130, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+882570, int_stack+733530, int_stack+746490, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+733530, int_stack+882570, int_stack+751350, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+882570, int_stack+733530, int_stack+773038, 36);
 /*--- compute (ip||ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+897690, int_stack+882570, int_stack+761278, 420);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+733530, int_stack+110746, int_stack+109486, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+737310, int_stack+112366, int_stack+110746, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+742170, int_stack+737310, int_stack+733530, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+749730, int_stack+114391, int_stack+112366, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+755805, int_stack+749730, int_stack+737310, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+765525, int_stack+755805, int_stack+742170, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+733530, int_stack+116866, int_stack+114391, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+778125, int_stack+733530, int_stack+749730, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+733530, int_stack+778125, int_stack+755805, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+532980, int_stack+733530, int_stack+765525, 45);
 /*--- compute (kp||ig) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+733530, int_stack+532980, int_stack+882570, 420);
 /*--- compute (id||ig) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+551880, int_stack+733530, int_stack+897690, 420);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+882570, int_stack+121376, int_stack+119836, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+887190, int_stack+123356, int_stack+121376, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+893130, int_stack+887190, int_stack+882570, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+902370, int_stack+125831, int_stack+123356, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+909795, int_stack+902370, int_stack+887190, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+921675, int_stack+909795, int_stack+893130, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+882570, int_stack+128856, int_stack+125831, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+622440, int_stack+882570, int_stack+902370, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+882570, int_stack+622440, int_stack+909795, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+228116, int_stack+882570, int_stack+921675, 55);
 /*--- compute (lp||ig) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+882570, int_stack+228116, int_stack+532980, 420);
 /*--- compute (kd||ig) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+228116, int_stack+882570, int_stack+733530, 420);
 /*--- compute (if|[r12,T2]|ig) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+0, int_stack+642810, int_stack+462420, 420);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (if|[r12,T1]|ig) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+622440, int_stack+364085, int_stack+1029990, int_stack+939270, int_stack+791850, int_stack+157556, 6, 4);
     Libr12->te_ptr[2] = int_stack + 622440;
 /*--- compute (if||ig) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+318836, int_stack+228116, int_stack+551880, 420);
     Libr12->te_ptr[1] = int_stack + 318836;
 /*--- compute (if|ig) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+436436, int_stack+939270, int_stack+157556, 420);
     Libr12->te_ptr[0] = int_stack + 436436;

}
