#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ifih(Libr12_t *, prim_data *);

  /* Computes (if|ih) integrals for linear R12-methods */

void hrr_grt_order_ifih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[6][11] = int_stack + 6440;
 Libr12->t2vrr_classes[7][6] = int_stack + 8624;
 Libr12->t2vrr_classes[7][7] = int_stack + 9632;
 Libr12->t2vrr_classes[7][8] = int_stack + 10928;
 Libr12->t2vrr_classes[7][9] = int_stack + 12548;
 Libr12->t2vrr_classes[7][10] = int_stack + 14528;
 Libr12->t2vrr_classes[7][11] = int_stack + 16904;
 Libr12->t2vrr_classes[8][6] = int_stack + 19712;
 Libr12->t2vrr_classes[8][7] = int_stack + 20972;
 Libr12->t2vrr_classes[8][8] = int_stack + 22592;
 Libr12->t2vrr_classes[8][9] = int_stack + 24617;
 Libr12->t2vrr_classes[8][10] = int_stack + 27092;
 Libr12->t2vrr_classes[8][11] = int_stack + 30062;
 Libr12->gvrr_classes[10][6] = int_stack + 33572;
 Libr12->t2vrr_classes[9][6] = int_stack + 35420;
 Libr12->gvrr_classes[10][7] = int_stack + 36960;
 Libr12->t2vrr_classes[9][7] = int_stack + 39336;
 Libr12->gvrr_classes[10][8] = int_stack + 41316;
 Libr12->t2vrr_classes[9][8] = int_stack + 44286;
 Libr12->gvrr_classes[10][9] = int_stack + 46761;
 Libr12->t2vrr_classes[9][9] = int_stack + 50391;
 Libr12->gvrr_classes[10][10] = int_stack + 53416;
 Libr12->t2vrr_classes[9][10] = int_stack + 57772;
 Libr12->t2vrr_classes[9][11] = int_stack + 61402;
 Libr12->gvrr_classes[6][12] = int_stack + 65692;
 Libr12->t1vrr_classes[6][6] = int_stack + 68240;
 Libr12->t1vrr_classes[6][7] = int_stack + 69024;
 Libr12->t1vrr_classes[6][8] = int_stack + 70032;
 Libr12->t1vrr_classes[6][9] = int_stack + 71292;
 Libr12->t1vrr_classes[6][10] = int_stack + 72832;
 Libr12->t1vrr_classes[6][11] = int_stack + 74680;
 Libr12->gvrr_classes[7][12] = int_stack + 76864;
 Libr12->t1vrr_classes[7][6] = int_stack + 80140;
 Libr12->t1vrr_classes[7][7] = int_stack + 81148;
 Libr12->t1vrr_classes[7][8] = int_stack + 82444;
 Libr12->t1vrr_classes[7][9] = int_stack + 84064;
 Libr12->t1vrr_classes[7][10] = int_stack + 86044;
 Libr12->t1vrr_classes[7][11] = int_stack + 88420;
 Libr12->gvrr_classes[8][12] = int_stack + 91228;
 Libr12->t1vrr_classes[8][6] = int_stack + 95323;
 Libr12->t1vrr_classes[8][7] = int_stack + 96583;
 Libr12->t1vrr_classes[8][8] = int_stack + 98203;
 Libr12->t1vrr_classes[8][9] = int_stack + 100228;
 Libr12->t1vrr_classes[8][10] = int_stack + 102703;
 Libr12->t1vrr_classes[8][11] = int_stack + 105673;
 Libr12->t1vrr_classes[9][6] = int_stack + 109183;
 Libr12->t1vrr_classes[9][7] = int_stack + 110723;
 Libr12->t1vrr_classes[9][8] = int_stack + 112703;
 Libr12->t1vrr_classes[9][9] = int_stack + 115178;
 Libr12->t1vrr_classes[9][10] = int_stack + 118203;
 Libr12->t1vrr_classes[9][11] = int_stack + 121833;
 Libr12->rvrr_classes[6][6] = int_stack + 126123;
 Libr12->rvrr_classes[6][7] = int_stack + 126907;
 Libr12->rvrr_classes[6][8] = int_stack + 127915;
 Libr12->rvrr_classes[6][9] = int_stack + 129175;
 Libr12->rvrr_classes[6][10] = int_stack + 130715;
 Libr12->rvrr_classes[6][11] = int_stack + 132563;
 Libr12->rvrr_classes[7][6] = int_stack + 134747;
 Libr12->rvrr_classes[7][7] = int_stack + 135755;
 Libr12->rvrr_classes[7][8] = int_stack + 137051;
 Libr12->rvrr_classes[7][9] = int_stack + 138671;
 Libr12->rvrr_classes[7][10] = int_stack + 140651;
 Libr12->rvrr_classes[7][11] = int_stack + 143027;
 Libr12->rvrr_classes[8][6] = int_stack + 145835;
 Libr12->rvrr_classes[8][7] = int_stack + 147095;
 Libr12->rvrr_classes[8][8] = int_stack + 148715;
 Libr12->rvrr_classes[8][9] = int_stack + 150740;
 Libr12->rvrr_classes[8][10] = int_stack + 153215;
 Libr12->rvrr_classes[8][11] = int_stack + 156185;
 Libr12->rvrr_classes[9][6] = int_stack + 159695;
 Libr12->rvrr_classes[9][7] = int_stack + 161235;
 Libr12->rvrr_classes[9][8] = int_stack + 163215;
 Libr12->rvrr_classes[9][9] = int_stack + 165690;
 Libr12->rvrr_classes[9][10] = int_stack + 168715;
 Libr12->rvrr_classes[9][11] = int_stack + 172345;
 Libr12->gvrr_classes[6][6] = int_stack + 176635;
 Libr12->gvrr_classes[6][7] = int_stack + 177419;
 Libr12->gvrr_classes[6][8] = int_stack + 178427;
 Libr12->gvrr_classes[6][9] = int_stack + 179687;
 Libr12->gvrr_classes[6][10] = int_stack + 181227;
 Libr12->gvrr_classes[6][11] = int_stack + 183075;
 Libr12->gvrr_classes[7][6] = int_stack + 185259;
 Libr12->gvrr_classes[7][7] = int_stack + 186267;
 Libr12->gvrr_classes[7][8] = int_stack + 187563;
 Libr12->gvrr_classes[7][9] = int_stack + 189183;
 Libr12->gvrr_classes[7][10] = int_stack + 191163;
 Libr12->gvrr_classes[7][11] = int_stack + 193539;
 Libr12->gvrr_classes[8][6] = int_stack + 196347;
 Libr12->gvrr_classes[8][7] = int_stack + 197607;
 Libr12->gvrr_classes[8][8] = int_stack + 199227;
 Libr12->gvrr_classes[8][9] = int_stack + 201252;
 Libr12->gvrr_classes[8][10] = int_stack + 203727;
 Libr12->gvrr_classes[8][11] = int_stack + 206697;
 Libr12->gvrr_classes[9][6] = int_stack + 210207;
 Libr12->gvrr_classes[9][7] = int_stack + 211747;
 Libr12->gvrr_classes[9][8] = int_stack + 213727;
 Libr12->gvrr_classes[9][9] = int_stack + 216202;
 Libr12->gvrr_classes[9][10] = int_stack + 219227;
 Libr12->gvrr_classes[9][11] = int_stack + 222857;
 memset(int_stack,0,227147*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 227147;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ifih(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+227147, int_stack+177419, int_stack+176635, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+229499, int_stack+178427, int_stack+177419, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+232523, int_stack+229499, int_stack+227147, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+237227, int_stack+179687, int_stack+178427, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+241007, int_stack+237227, int_stack+229499, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+247055, int_stack+241007, int_stack+232523, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+254895, int_stack+181227, int_stack+179687, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+259515, int_stack+254895, int_stack+237227, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+267075, int_stack+259515, int_stack+241007, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+277155, int_stack+267075, int_stack+247055, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+288915, int_stack+186267, int_stack+185259, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+291939, int_stack+187563, int_stack+186267, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+295827, int_stack+291939, int_stack+288915, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+301875, int_stack+189183, int_stack+187563, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+306735, int_stack+301875, int_stack+291939, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+314511, int_stack+306735, int_stack+295827, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+324591, int_stack+191163, int_stack+189183, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+330531, int_stack+324591, int_stack+301875, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+340251, int_stack+330531, int_stack+306735, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+353211, int_stack+340251, int_stack+314511, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+368331, int_stack+183075, int_stack+181227, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+373875, int_stack+368331, int_stack+254895, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+383115, int_stack+373875, int_stack+259515, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+395715, int_stack+383115, int_stack+267075, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+410835, int_stack+784, int_stack+0, int_stack+177419, int_stack+185259, int_stack+176635, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+413187, int_stack+1792, int_stack+784, int_stack+178427, int_stack+186267, int_stack+177419, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+416211, int_stack+413187, int_stack+410835, int_stack+229499, int_stack+288915, int_stack+227147, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+420915, int_stack+3052, int_stack+1792, int_stack+179687, int_stack+187563, int_stack+178427, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+424695, int_stack+420915, int_stack+413187, int_stack+237227, int_stack+291939, int_stack+229499, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+430743, int_stack+424695, int_stack+416211, int_stack+241007, int_stack+295827, int_stack+232523, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+227147, int_stack+4592, int_stack+3052, int_stack+181227, int_stack+189183, int_stack+179687, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+410835, int_stack+227147, int_stack+420915, int_stack+254895, int_stack+301875, int_stack+237227, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+438583, int_stack+410835, int_stack+424695, int_stack+259515, int_stack+306735, int_stack+241007, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+231767, int_stack+438583, int_stack+430743, int_stack+267075, int_stack+314511, int_stack+247055, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+243527, int_stack+6440, int_stack+4592, int_stack+183075, int_stack+191163, int_stack+181227, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+418395, int_stack+243527, int_stack+227147, int_stack+368331, int_stack+324591, int_stack+254895, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+243527, int_stack+418395, int_stack+410835, int_stack+373875, int_stack+330531, int_stack+259515, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+410835, int_stack+243527, int_stack+438583, int_stack+383115, int_stack+340251, int_stack+267075, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+243527, int_stack+410835, int_stack+231767, int_stack+395715, int_stack+353211, int_stack+277155, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+410835, int_stack+197607, int_stack+196347, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+414615, int_stack+199227, int_stack+197607, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+419475, int_stack+414615, int_stack+410835, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+427035, int_stack+201252, int_stack+199227, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+433110, int_stack+427035, int_stack+414615, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+259991, int_stack+433110, int_stack+419475, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+227147, int_stack+203727, int_stack+201252, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+442830, int_stack+227147, int_stack+427035, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+454980, int_stack+442830, int_stack+433110, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+471180, int_stack+454980, int_stack+259991, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+234572, int_stack+193539, int_stack+191163, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+490080, int_stack+234572, int_stack+324591, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+501960, int_stack+490080, int_stack+330531, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+518160, int_stack+501960, int_stack+340251, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+272591, int_stack+9632, int_stack+8624, int_stack+186267, int_stack+196347, int_stack+185259, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+176635, int_stack+10928, int_stack+9632, int_stack+187563, int_stack+197607, int_stack+186267, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+176635, int_stack+272591, int_stack+291939, int_stack+410835, int_stack+288915, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6048, int_stack+12548, int_stack+10928, int_stack+189183, int_stack+199227, int_stack+187563, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+537600, int_stack+6048, int_stack+176635, int_stack+301875, int_stack+414615, int_stack+291939, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+545376, int_stack+537600, int_stack+0, int_stack+306735, int_stack+419475, int_stack+295827, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+14528, int_stack+12548, int_stack+191163, int_stack+201252, int_stack+189183, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+288915, int_stack+0, int_stack+6048, int_stack+324591, int_stack+427035, int_stack+301875, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+555456, int_stack+288915, int_stack+537600, int_stack+330531, int_stack+433110, int_stack+306735, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+298635, int_stack+555456, int_stack+545376, int_stack+340251, int_stack+259991, int_stack+314511, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+537600, int_stack+16904, int_stack+14528, int_stack+193539, int_stack+203727, int_stack+191163, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5940, int_stack+537600, int_stack+0, int_stack+234572, int_stack+227147, int_stack+324591, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+537600, int_stack+5940, int_stack+288915, int_stack+490080, int_stack+442830, int_stack+330531, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+537600, int_stack+555456, int_stack+501960, int_stack+454980, int_stack+340251, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+537600, int_stack+0, int_stack+298635, int_stack+518160, int_stack+471180, int_stack+353211, 7, 0);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+288915, int_stack+537600, int_stack+243527, 588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+211747, int_stack+210207, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+213727, int_stack+211747, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+558768, int_stack+4620, int_stack+0, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10560, int_stack+216202, int_stack+213727, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+338307, int_stack+10560, int_stack+4620, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+241700, int_stack+338307, int_stack+558768, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+568008, int_stack+219227, int_stack+216202, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+577083, int_stack+568008, int_stack+10560, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+591933, int_stack+577083, int_stack+338307, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+611733, int_stack+591933, int_stack+241700, 55);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+634833, int_stack+206697, int_stack+203727, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+643743, int_stack+634833, int_stack+227147, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+658593, int_stack+643743, int_stack+442830, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+678843, int_stack+658593, int_stack+454980, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+176635, int_stack+20972, int_stack+19712, int_stack+197607, int_stack+210207, int_stack+196347, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+185259, int_stack+22592, int_stack+20972, int_stack+199227, int_stack+211747, int_stack+197607, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+703143, int_stack+185259, int_stack+176635, int_stack+414615, int_stack+0, int_stack+410835, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+176635, int_stack+24617, int_stack+22592, int_stack+201252, int_stack+213727, int_stack+199227, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+710703, int_stack+176635, int_stack+185259, int_stack+427035, int_stack+4620, int_stack+414615, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+720423, int_stack+710703, int_stack+703143, int_stack+433110, int_stack+558768, int_stack+419475, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+703143, int_stack+27092, int_stack+24617, int_stack+203727, int_stack+216202, int_stack+201252, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+410835, int_stack+703143, int_stack+176635, int_stack+227147, int_stack+10560, int_stack+427035, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+733023, int_stack+410835, int_stack+710703, int_stack+442830, int_stack+338307, int_stack+433110, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+422985, int_stack+733023, int_stack+720423, int_stack+454980, int_stack+241700, int_stack+259991, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+710568, int_stack+30062, int_stack+27092, int_stack+206697, int_stack+219227, int_stack+203727, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17985, int_stack+710568, int_stack+703143, int_stack+634833, int_stack+568008, int_stack+227147, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+703143, int_stack+17985, int_stack+410835, int_stack+643743, int_stack+577083, int_stack+442830, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+749223, int_stack+703143, int_stack+733023, int_stack+658593, int_stack+591933, int_stack+454980, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+703143, int_stack+749223, int_stack+422985, int_stack+678843, int_stack+611733, int_stack+471180, 8, 0);
 /*--- compute (kp|[r12,T2]|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+729603, int_stack+703143, int_stack+537600, 588);
 /*--- compute (id|[r12,T2]|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+793107, int_stack+729603, int_stack+288915, 588);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+288915, int_stack+36960, int_stack+33572, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+294459, int_stack+41316, int_stack+36960, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+301587, int_stack+294459, int_stack+288915, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+312675, int_stack+46761, int_stack+41316, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+321585, int_stack+312675, int_stack+294459, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+537600, int_stack+321585, int_stack+301587, 66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+410835, int_stack+53416, int_stack+46761, 66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+421725, int_stack+410835, int_stack+312675, 66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+439545, int_stack+421725, int_stack+321585, 66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+891891, int_stack+439545, int_stack+537600, 66);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+17985, int_stack+222857, int_stack+219227, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+257100, int_stack+17985, int_stack+568008, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+919611, int_stack+257100, int_stack+577083, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+944361, int_stack+919611, int_stack+591933, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+463305, int_stack+39336, int_stack+35420, int_stack+211747, int_stack+33572, int_stack+210207, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+44286, int_stack+39336, int_stack+213727, int_stack+36960, int_stack+211747, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+196347, int_stack+28875, int_stack+463305, int_stack+4620, int_stack+288915, int_stack+0, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+227147, int_stack+50391, int_stack+44286, int_stack+216202, int_stack+41316, int_stack+213727, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+34815, int_stack+227147, int_stack+28875, int_stack+10560, int_stack+294459, int_stack+4620, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+974061, int_stack+34815, int_stack+196347, int_stack+338307, int_stack+301587, int_stack+558768, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+196347, int_stack+57772, int_stack+50391, int_stack+219227, int_stack+46761, int_stack+216202, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+288915, int_stack+196347, int_stack+227147, int_stack+568008, int_stack+312675, int_stack+10560, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+989461, int_stack+288915, int_stack+34815, int_stack+577083, int_stack+321585, int_stack+338307, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+989461, int_stack+974061, int_stack+591933, int_stack+537600, int_stack+241700, 9, 0);
 /*--- compute (m0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+241700, int_stack+61402, int_stack+57772, int_stack+222857, int_stack+53416, int_stack+219227, 9, 0);
 /*--- compute (m0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+537600, int_stack+241700, int_stack+196347, int_stack+17985, int_stack+410835, int_stack+568008, 9, 0);
 /*--- compute (m0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+537600, int_stack+288915, int_stack+257100, int_stack+421725, int_stack+577083, 9, 0);
 /*--- compute (m0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+288915, int_stack+0, int_stack+989461, int_stack+919611, int_stack+439545, int_stack+591933, 9, 0);
 /*--- compute (m0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+318615, int_stack+288915, int_stack+28875, int_stack+944361, int_stack+891891, int_stack+611733, 9, 0);
 /*--- compute (lp|[r12,T2]|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+974061, int_stack+318615, int_stack+703143, 588);
 /*--- compute (kd|[r12,T2]|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1053441, int_stack+974061, int_stack+729603, 588);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+974061, int_stack+395715, int_stack+277155, 28);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+990525, int_stack+518160, int_stack+353211, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+703143, int_stack+990525, int_stack+974061, 588);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1011693, int_stack+678843, int_stack+471180, 45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+1011693, int_stack+990525, 588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+241700, int_stack+0, int_stack+703143, 588);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1038153, int_stack+65692, int_stack+183075, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+752535, int_stack+1038153, int_stack+368331, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+763623, int_stack+752535, int_stack+373875, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+891891, int_stack+763623, int_stack+383115, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+752535, int_stack+891891, int_stack+395715, 28);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+891891, int_stack+76864, int_stack+193539, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+900315, int_stack+891891, int_stack+234572, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+914571, int_stack+900315, int_stack+490080, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+537600, int_stack+914571, int_stack+501960, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+891891, int_stack+537600, int_stack+518160, 36);
 /*--- compute (ip|kh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+340484, int_stack+891891, int_stack+752535, 756);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+919107, int_stack+91228, int_stack+206697, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+773703, int_stack+919107, int_stack+634833, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+919107, int_stack+773703, int_stack+643743, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+403988, int_stack+919107, int_stack+658593, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+634833, int_stack+403988, int_stack+678843, 45);
 /*--- compute (kp|kh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+403988, int_stack+634833, int_stack+891891, 756);
 /*--- compute (id|kh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1180449, int_stack+403988, int_stack+340484, 756);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+485636, int_stack+944361, int_stack+611733, 55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+517976, int_stack+485636, int_stack+1011693, 588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1307457, int_stack+517976, int_stack+0, 588);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+597356, int_stack+69024, int_stack+68240, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+599708, int_stack+70032, int_stack+69024, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+602732, int_stack+599708, int_stack+597356, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+607436, int_stack+71292, int_stack+70032, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+611216, int_stack+607436, int_stack+599708, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+617264, int_stack+611216, int_stack+602732, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+597356, int_stack+72832, int_stack+71292, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+625104, int_stack+597356, int_stack+607436, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+919107, int_stack+625104, int_stack+611216, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+601976, int_stack+919107, int_stack+617264, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+613736, int_stack+74680, int_stack+72832, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+929187, int_stack+613736, int_stack+597356, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+938427, int_stack+929187, int_stack+625104, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+613736, int_stack+938427, int_stack+919107, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+919107, int_stack+613736, int_stack+601976, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+935571, int_stack+81148, int_stack+80140, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+938595, int_stack+82444, int_stack+81148, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+942483, int_stack+938595, int_stack+935571, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+948531, int_stack+84064, int_stack+82444, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+953391, int_stack+948531, int_stack+938595, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+961167, int_stack+953391, int_stack+942483, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+935571, int_stack+86044, int_stack+84064, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+597356, int_stack+935571, int_stack+948531, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+607076, int_stack+597356, int_stack+953391, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+941511, int_stack+607076, int_stack+961167, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+956631, int_stack+88420, int_stack+86044, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+620036, int_stack+956631, int_stack+935571, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+956631, int_stack+620036, int_stack+597356, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+668853, int_stack+956631, int_stack+607076, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+597356, int_stack+668853, int_stack+941511, 36);
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+176635, int_stack+597356, int_stack+919107, int_stack+990525, int_stack+752535, int_stack+974061, 6, 5);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+752535, int_stack+96583, int_stack+95323, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+756315, int_stack+98203, int_stack+96583, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+761175, int_stack+756315, int_stack+752535, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+768735, int_stack+100228, int_stack+98203, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+774810, int_stack+768735, int_stack+756315, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+919107, int_stack+774810, int_stack+761175, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+752535, int_stack+102703, int_stack+100228, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+931707, int_stack+752535, int_stack+768735, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+943857, int_stack+931707, int_stack+774810, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+759960, int_stack+943857, int_stack+919107, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+919107, int_stack+105673, int_stack+102703, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+960057, int_stack+919107, int_stack+752535, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+668853, int_stack+960057, int_stack+931707, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+960057, int_stack+668853, int_stack+943857, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+668853, int_stack+960057, int_stack+759960, 45);
 /*--- compute (kp|[r12,T1]|ih) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+919107, int_stack+668853, int_stack+597356, int_stack+1011693, int_stack+891891, int_stack+990525, 6, 5);
 /*--- compute (id|[r12,T1]|ih) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1434465, int_stack+919107, int_stack+176635, int_stack+0, int_stack+340484, int_stack+703143, 6, 5);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+340484, int_stack+110723, int_stack+109183, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+345104, int_stack+112703, int_stack+110723, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+351044, int_stack+345104, int_stack+340484, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+360284, int_stack+115178, int_stack+112703, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+367709, int_stack+360284, int_stack+345104, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+379589, int_stack+367709, int_stack+351044, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+340484, int_stack+118203, int_stack+115178, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+176635, int_stack+340484, int_stack+360284, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+191485, int_stack+176635, int_stack+367709, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+349559, int_stack+191485, int_stack+379589, 55);
 /*--- compute (m0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+372659, int_stack+121833, int_stack+118203, 55);
 /*--- compute (m0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+383549, int_stack+372659, int_stack+340484, 55);
 /*--- compute (m0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+211285, int_stack+383549, int_stack+176635, 55);
 /*--- compute (m0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+372659, int_stack+211285, int_stack+191485, 55);
 /*--- compute (m0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+176635, int_stack+372659, int_stack+349559, 55);
 /*--- compute (lp|[r12,T1]|ih) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+695313, int_stack+176635, int_stack+668853, int_stack+485636, int_stack+634833, int_stack+1011693, 6, 5);
 /*--- compute (kd|[r12,T1]|ih) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1533249, int_stack+695313, int_stack+919107, int_stack+517976, int_stack+403988, int_stack+0, 6, 5);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+126907, int_stack+126123, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+127915, int_stack+126907, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+2352, int_stack+0, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+129175, int_stack+127915, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13860, int_stack+10080, int_stack+2352, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+19908, int_stack+13860, int_stack+5376, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+130715, int_stack+129175, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+27748, int_stack+0, int_stack+10080, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+35308, int_stack+27748, int_stack+13860, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+35308, int_stack+19908, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+16380, int_stack+132563, int_stack+130715, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+45388, int_stack+16380, int_stack+0, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+54628, int_stack+45388, int_stack+27748, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+16380, int_stack+54628, int_stack+35308, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+31500, int_stack+16380, int_stack+4620, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+135755, int_stack+134747, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3024, int_stack+137051, int_stack+135755, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6912, int_stack+3024, int_stack+0, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+12960, int_stack+138671, int_stack+137051, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+17820, int_stack+12960, int_stack+3024, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47964, int_stack+17820, int_stack+6912, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+140651, int_stack+138671, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+58044, int_stack+0, int_stack+12960, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+67764, int_stack+58044, int_stack+17820, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+5940, int_stack+67764, int_stack+47964, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+47964, int_stack+143027, int_stack+140651, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+80724, int_stack+47964, int_stack+0, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+92604, int_stack+80724, int_stack+58044, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+47964, int_stack+92604, int_stack+67764, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+67404, int_stack+47964, int_stack+5940, 36);
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+88572, int_stack+67404, int_stack+31500, 588);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+147095, int_stack+145835, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3780, int_stack+148715, int_stack+147095, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+8640, int_stack+3780, int_stack+0, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16200, int_stack+150740, int_stack+148715, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22275, int_stack+16200, int_stack+3780, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31995, int_stack+22275, int_stack+8640, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+153215, int_stack+150740, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+44595, int_stack+0, int_stack+16200, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+176635, int_stack+44595, int_stack+22275, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+7425, int_stack+176635, int_stack+31995, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+26325, int_stack+156185, int_stack+153215, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+137964, int_stack+26325, int_stack+0, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+192835, int_stack+137964, int_stack+44595, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+26325, int_stack+192835, int_stack+176635, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+176635, int_stack+26325, int_stack+7425, 45);
 /*--- compute (kp||ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+176635, int_stack+67404, 588);
 /*--- compute (id||ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+340484, int_stack+0, int_stack+88572, 588);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+203095, int_stack+161235, int_stack+159695, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+207715, int_stack+163215, int_stack+161235, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+213655, int_stack+207715, int_stack+203095, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+222895, int_stack+165690, int_stack+163215, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+63504, int_stack+222895, int_stack+207715, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+75384, int_stack+63504, int_stack+213655, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+203095, int_stack+168715, int_stack+165690, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+90784, int_stack+203095, int_stack+222895, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+212170, int_stack+90784, int_stack+63504, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+105634, int_stack+212170, int_stack+75384, 55);
 /*--- compute (m0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+63504, int_stack+172345, int_stack+168715, 55);
 /*--- compute (m0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+128734, int_stack+63504, int_stack+203095, 55);
 /*--- compute (m0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+63504, int_stack+128734, int_stack+90784, 55);
 /*--- compute (m0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+128734, int_stack+63504, int_stack+212170, 55);
 /*--- compute (m0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+63504, int_stack+128734, int_stack+105634, 55);
 /*--- compute (lp||ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+95844, int_stack+63504, int_stack+176635, 588);
 /*--- compute (kd||ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+439268, int_stack+95844, int_stack+0, 588);
 /*--- compute (if|[r12,T2]|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+0, int_stack+1053441, int_stack+793107, 588);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (if|[r12,T1]|ih) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+566276, int_stack+1533249, int_stack+1434465, int_stack+1307457, int_stack+1180449, int_stack+241700, 6, 5);
     Libr12->te_ptr[2] = int_stack + 566276;
 /*--- compute (if||ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1434465, int_stack+439268, int_stack+340484, 588);
     Libr12->te_ptr[1] = int_stack + 1434465;
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+340484, int_stack+1307457, int_stack+241700, 588);
     Libr12->te_ptr[0] = int_stack + 340484;

}
