#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ighh(Libr12_t *, prim_data *);

  /* Computes (ig|hh) integrals for linear R12-methods */

void hrr_grt_order_ighh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 588;
 Libr12->t2vrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[6][8] = int_stack + 2380;
 Libr12->t2vrr_classes[6][9] = int_stack + 3640;
 Libr12->t2vrr_classes[6][10] = int_stack + 5180;
 Libr12->t2vrr_classes[7][5] = int_stack + 7028;
 Libr12->t2vrr_classes[7][6] = int_stack + 7784;
 Libr12->t2vrr_classes[7][7] = int_stack + 8792;
 Libr12->t2vrr_classes[7][8] = int_stack + 10088;
 Libr12->t2vrr_classes[7][9] = int_stack + 11708;
 Libr12->t2vrr_classes[7][10] = int_stack + 13688;
 Libr12->t2vrr_classes[8][5] = int_stack + 16064;
 Libr12->t2vrr_classes[8][6] = int_stack + 17009;
 Libr12->t2vrr_classes[8][7] = int_stack + 18269;
 Libr12->t2vrr_classes[8][8] = int_stack + 19889;
 Libr12->t2vrr_classes[8][9] = int_stack + 21914;
 Libr12->t2vrr_classes[8][10] = int_stack + 24389;
 Libr12->t2vrr_classes[9][5] = int_stack + 27359;
 Libr12->t2vrr_classes[9][6] = int_stack + 28514;
 Libr12->t2vrr_classes[9][7] = int_stack + 30054;
 Libr12->t2vrr_classes[9][8] = int_stack + 32034;
 Libr12->t2vrr_classes[9][9] = int_stack + 34509;
 Libr12->t2vrr_classes[9][10] = int_stack + 37534;
 Libr12->gvrr_classes[11][5] = int_stack + 41164;
 Libr12->t2vrr_classes[10][5] = int_stack + 42802;
 Libr12->gvrr_classes[11][6] = int_stack + 44188;
 Libr12->t2vrr_classes[10][6] = int_stack + 46372;
 Libr12->gvrr_classes[11][7] = int_stack + 48220;
 Libr12->t2vrr_classes[10][7] = int_stack + 51028;
 Libr12->gvrr_classes[11][8] = int_stack + 53404;
 Libr12->t2vrr_classes[10][8] = int_stack + 56914;
 Libr12->gvrr_classes[11][9] = int_stack + 59884;
 Libr12->t2vrr_classes[10][9] = int_stack + 64174;
 Libr12->t2vrr_classes[10][10] = int_stack + 67804;
 Libr12->gvrr_classes[6][11] = int_stack + 72160;
 Libr12->t1vrr_classes[6][5] = int_stack + 74344;
 Libr12->t1vrr_classes[6][6] = int_stack + 74932;
 Libr12->t1vrr_classes[6][7] = int_stack + 75716;
 Libr12->t1vrr_classes[6][8] = int_stack + 76724;
 Libr12->t1vrr_classes[6][9] = int_stack + 77984;
 Libr12->t1vrr_classes[6][10] = int_stack + 79524;
 Libr12->gvrr_classes[7][11] = int_stack + 81372;
 Libr12->t1vrr_classes[7][5] = int_stack + 84180;
 Libr12->t1vrr_classes[7][6] = int_stack + 84936;
 Libr12->t1vrr_classes[7][7] = int_stack + 85944;
 Libr12->t1vrr_classes[7][8] = int_stack + 87240;
 Libr12->t1vrr_classes[7][9] = int_stack + 88860;
 Libr12->t1vrr_classes[7][10] = int_stack + 90840;
 Libr12->gvrr_classes[8][11] = int_stack + 93216;
 Libr12->t1vrr_classes[8][5] = int_stack + 96726;
 Libr12->t1vrr_classes[8][6] = int_stack + 97671;
 Libr12->t1vrr_classes[8][7] = int_stack + 98931;
 Libr12->t1vrr_classes[8][8] = int_stack + 100551;
 Libr12->t1vrr_classes[8][9] = int_stack + 102576;
 Libr12->t1vrr_classes[8][10] = int_stack + 105051;
 Libr12->gvrr_classes[9][11] = int_stack + 108021;
 Libr12->t1vrr_classes[9][5] = int_stack + 112311;
 Libr12->t1vrr_classes[9][6] = int_stack + 113466;
 Libr12->t1vrr_classes[9][7] = int_stack + 115006;
 Libr12->t1vrr_classes[9][8] = int_stack + 116986;
 Libr12->t1vrr_classes[9][9] = int_stack + 119461;
 Libr12->t1vrr_classes[9][10] = int_stack + 122486;
 Libr12->t1vrr_classes[10][5] = int_stack + 126116;
 Libr12->t1vrr_classes[10][6] = int_stack + 127502;
 Libr12->t1vrr_classes[10][7] = int_stack + 129350;
 Libr12->t1vrr_classes[10][8] = int_stack + 131726;
 Libr12->t1vrr_classes[10][9] = int_stack + 134696;
 Libr12->t1vrr_classes[10][10] = int_stack + 138326;
 Libr12->rvrr_classes[6][5] = int_stack + 142682;
 Libr12->rvrr_classes[6][6] = int_stack + 143270;
 Libr12->rvrr_classes[6][7] = int_stack + 144054;
 Libr12->rvrr_classes[6][8] = int_stack + 145062;
 Libr12->rvrr_classes[6][9] = int_stack + 146322;
 Libr12->rvrr_classes[6][10] = int_stack + 147862;
 Libr12->rvrr_classes[7][5] = int_stack + 149710;
 Libr12->rvrr_classes[7][6] = int_stack + 150466;
 Libr12->rvrr_classes[7][7] = int_stack + 151474;
 Libr12->rvrr_classes[7][8] = int_stack + 152770;
 Libr12->rvrr_classes[7][9] = int_stack + 154390;
 Libr12->rvrr_classes[7][10] = int_stack + 156370;
 Libr12->rvrr_classes[8][5] = int_stack + 158746;
 Libr12->rvrr_classes[8][6] = int_stack + 159691;
 Libr12->rvrr_classes[8][7] = int_stack + 160951;
 Libr12->rvrr_classes[8][8] = int_stack + 162571;
 Libr12->rvrr_classes[8][9] = int_stack + 164596;
 Libr12->rvrr_classes[8][10] = int_stack + 167071;
 Libr12->rvrr_classes[9][5] = int_stack + 170041;
 Libr12->rvrr_classes[9][6] = int_stack + 171196;
 Libr12->rvrr_classes[9][7] = int_stack + 172736;
 Libr12->rvrr_classes[9][8] = int_stack + 174716;
 Libr12->rvrr_classes[9][9] = int_stack + 177191;
 Libr12->rvrr_classes[9][10] = int_stack + 180216;
 Libr12->rvrr_classes[10][5] = int_stack + 183846;
 Libr12->rvrr_classes[10][6] = int_stack + 185232;
 Libr12->rvrr_classes[10][7] = int_stack + 187080;
 Libr12->rvrr_classes[10][8] = int_stack + 189456;
 Libr12->rvrr_classes[10][9] = int_stack + 192426;
 Libr12->rvrr_classes[10][10] = int_stack + 196056;
 Libr12->gvrr_classes[6][5] = int_stack + 200412;
 Libr12->gvrr_classes[6][6] = int_stack + 201000;
 Libr12->gvrr_classes[6][7] = int_stack + 201784;
 Libr12->gvrr_classes[6][8] = int_stack + 202792;
 Libr12->gvrr_classes[6][9] = int_stack + 204052;
 Libr12->gvrr_classes[6][10] = int_stack + 205592;
 Libr12->gvrr_classes[7][5] = int_stack + 207440;
 Libr12->gvrr_classes[7][6] = int_stack + 208196;
 Libr12->gvrr_classes[7][7] = int_stack + 209204;
 Libr12->gvrr_classes[7][8] = int_stack + 210500;
 Libr12->gvrr_classes[7][9] = int_stack + 212120;
 Libr12->gvrr_classes[7][10] = int_stack + 214100;
 Libr12->gvrr_classes[8][5] = int_stack + 216476;
 Libr12->gvrr_classes[8][6] = int_stack + 217421;
 Libr12->gvrr_classes[8][7] = int_stack + 218681;
 Libr12->gvrr_classes[8][8] = int_stack + 220301;
 Libr12->gvrr_classes[8][9] = int_stack + 222326;
 Libr12->gvrr_classes[8][10] = int_stack + 224801;
 Libr12->gvrr_classes[9][5] = int_stack + 227771;
 Libr12->gvrr_classes[9][6] = int_stack + 228926;
 Libr12->gvrr_classes[9][7] = int_stack + 230466;
 Libr12->gvrr_classes[9][8] = int_stack + 232446;
 Libr12->gvrr_classes[9][9] = int_stack + 234921;
 Libr12->gvrr_classes[9][10] = int_stack + 237946;
 Libr12->gvrr_classes[10][5] = int_stack + 241576;
 Libr12->gvrr_classes[10][6] = int_stack + 242962;
 Libr12->gvrr_classes[10][7] = int_stack + 244810;
 Libr12->gvrr_classes[10][8] = int_stack + 247186;
 Libr12->gvrr_classes[10][9] = int_stack + 250156;
 Libr12->gvrr_classes[10][10] = int_stack + 253786;
 memset(int_stack,0,258142*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 258142;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ighh(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+258142, int_stack+201000, int_stack+200412, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+259906, int_stack+201784, int_stack+201000, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+262258, int_stack+259906, int_stack+258142, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+265786, int_stack+202792, int_stack+201784, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+268810, int_stack+265786, int_stack+259906, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+273514, int_stack+268810, int_stack+262258, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+279394, int_stack+204052, int_stack+202792, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+283174, int_stack+279394, int_stack+265786, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+289222, int_stack+283174, int_stack+268810, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+297062, int_stack+289222, int_stack+273514, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+305882, int_stack+208196, int_stack+207440, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+308150, int_stack+209204, int_stack+208196, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+311174, int_stack+308150, int_stack+305882, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+315710, int_stack+210500, int_stack+209204, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+319598, int_stack+315710, int_stack+308150, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+325646, int_stack+319598, int_stack+311174, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+333206, int_stack+212120, int_stack+210500, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+338066, int_stack+333206, int_stack+315710, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+345842, int_stack+338066, int_stack+319598, 36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+355922, int_stack+345842, int_stack+325646, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+367262, int_stack+205592, int_stack+204052, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+371882, int_stack+367262, int_stack+279394, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+379442, int_stack+371882, int_stack+283174, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+389522, int_stack+379442, int_stack+289222, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+401282, int_stack+588, int_stack+0, int_stack+201000, int_stack+207440, int_stack+200412, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+403046, int_stack+1372, int_stack+588, int_stack+201784, int_stack+208196, int_stack+201000, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+405398, int_stack+403046, int_stack+401282, int_stack+259906, int_stack+305882, int_stack+258142, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+408926, int_stack+2380, int_stack+1372, int_stack+202792, int_stack+209204, int_stack+201784, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+411950, int_stack+408926, int_stack+403046, int_stack+265786, int_stack+308150, int_stack+259906, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+416654, int_stack+411950, int_stack+405398, int_stack+268810, int_stack+311174, int_stack+262258, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+258142, int_stack+3640, int_stack+2380, int_stack+204052, int_stack+210500, int_stack+202792, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+401282, int_stack+258142, int_stack+408926, int_stack+279394, int_stack+315710, int_stack+265786, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+422534, int_stack+401282, int_stack+411950, int_stack+283174, int_stack+319598, int_stack+268810, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+261922, int_stack+422534, int_stack+416654, int_stack+289222, int_stack+325646, int_stack+273514, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+270742, int_stack+5180, int_stack+3640, int_stack+205592, int_stack+212120, int_stack+204052, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+407330, int_stack+270742, int_stack+258142, int_stack+367262, int_stack+333206, int_stack+279394, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+270742, int_stack+407330, int_stack+401282, int_stack+371882, int_stack+338066, int_stack+283174, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+401282, int_stack+270742, int_stack+422534, int_stack+379442, int_stack+345842, int_stack+289222, 6, 0);
 /*--- compute (i0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+270742, int_stack+401282, int_stack+261922, int_stack+389522, int_stack+355922, int_stack+297062, 6, 0);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+401282, int_stack+217421, int_stack+216476, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+404117, int_stack+218681, int_stack+217421, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+407897, int_stack+404117, int_stack+401282, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+413567, int_stack+220301, int_stack+218681, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+418427, int_stack+413567, int_stack+404117, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+283090, int_stack+418427, int_stack+407897, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+258142, int_stack+222326, int_stack+220301, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+425987, int_stack+258142, int_stack+413567, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+435707, int_stack+425987, int_stack+418427, 45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+448307, int_stack+435707, int_stack+283090, 45);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+264217, int_stack+214100, int_stack+212120, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+462482, int_stack+264217, int_stack+333206, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+472202, int_stack+462482, int_stack+338066, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+485162, int_stack+472202, int_stack+345842, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+292540, int_stack+7784, int_stack+7028, int_stack+208196, int_stack+216476, int_stack+207440, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200412, int_stack+8792, int_stack+7784, int_stack+209204, int_stack+217421, int_stack+208196, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+200412, int_stack+292540, int_stack+308150, int_stack+401282, int_stack+305882, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+292540, int_stack+10088, int_stack+8792, int_stack+210500, int_stack+218681, int_stack+209204, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+500282, int_stack+292540, int_stack+200412, int_stack+315710, int_stack+404117, int_stack+308150, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+506330, int_stack+500282, int_stack+0, int_stack+319598, int_stack+407897, int_stack+311174, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+11708, int_stack+10088, int_stack+212120, int_stack+220301, int_stack+210500, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+305882, int_stack+0, int_stack+292540, int_stack+333206, int_stack+413567, int_stack+315710, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+513890, int_stack+305882, int_stack+500282, int_stack+338066, int_stack+418427, int_stack+319598, 7, 0);
 /*--- compute (k0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+313658, int_stack+513890, int_stack+506330, int_stack+345842, int_stack+283090, int_stack+325646, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+500282, int_stack+13688, int_stack+11708, int_stack+214100, int_stack+222326, int_stack+212120, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4860, int_stack+500282, int_stack+0, int_stack+264217, int_stack+258142, int_stack+333206, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+500282, int_stack+4860, int_stack+305882, int_stack+462482, int_stack+425987, int_stack+338066, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+500282, int_stack+513890, int_stack+472202, int_stack+435707, int_stack+345842, 7, 0);
 /*--- compute (k0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+500282, int_stack+0, int_stack+313658, int_stack+485162, int_stack+448307, int_stack+355922, 7, 0);
 /*--- compute (ip|[r12,T2]|hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+305882, int_stack+500282, int_stack+270742, 441);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+228926, int_stack+227771, 55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3465, int_stack+230466, int_stack+228926, 55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+8085, int_stack+3465, int_stack+0, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+516158, int_stack+232446, int_stack+230466, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+342926, int_stack+516158, int_stack+3465, 55);
 /*--- compute (m0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+270157, int_stack+342926, int_stack+8085, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+522098, int_stack+234921, int_stack+232446, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+529523, int_stack+522098, int_stack+516158, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+541403, int_stack+529523, int_stack+342926, 55);
 /*--- compute (m0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+556803, int_stack+541403, int_stack+270157, 55);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+574128, int_stack+224801, int_stack+222326, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+581553, int_stack+574128, int_stack+258142, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+593703, int_stack+581553, int_stack+425987, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+609903, int_stack+593703, int_stack+435707, 45);
 /*--- compute (l0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+352166, int_stack+17009, int_stack+16064, int_stack+217421, int_stack+227771, int_stack+216476, 8, 0);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+292540, int_stack+18269, int_stack+17009, int_stack+218681, int_stack+228926, int_stack+217421, 8, 0);
 /*--- compute (l0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+207440, int_stack+292540, int_stack+352166, int_stack+404117, int_stack+0, int_stack+401282, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+200412, int_stack+19889, int_stack+18269, int_stack+220301, int_stack+230466, int_stack+218681, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+628803, int_stack+200412, int_stack+292540, int_stack+413567, int_stack+3465, int_stack+404117, 8, 0);
 /*--- compute (l0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+636363, int_stack+628803, int_stack+207440, int_stack+418427, int_stack+8085, int_stack+407897, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+207440, int_stack+21914, int_stack+19889, int_stack+222326, int_stack+232446, int_stack+220301, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+401282, int_stack+207440, int_stack+200412, int_stack+258142, int_stack+516158, int_stack+413567, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+645813, int_stack+401282, int_stack+628803, int_stack+425987, int_stack+342926, int_stack+418427, 8, 0);
 /*--- compute (l0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+411002, int_stack+645813, int_stack+636363, int_stack+435707, int_stack+270157, int_stack+283090, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+628803, int_stack+24389, int_stack+21914, int_stack+224801, int_stack+234921, int_stack+222326, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15015, int_stack+628803, int_stack+207440, int_stack+574128, int_stack+522098, int_stack+258142, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+628803, int_stack+15015, int_stack+401282, int_stack+581553, int_stack+529523, int_stack+425987, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+658413, int_stack+628803, int_stack+645813, int_stack+593703, int_stack+541403, int_stack+435707, 8, 0);
 /*--- compute (l0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+628803, int_stack+658413, int_stack+411002, int_stack+609903, int_stack+556803, int_stack+448307, 8, 0);
 /*--- compute (kp|[r12,T2]|hh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+648648, int_stack+628803, int_stack+500282, 441);
 /*--- compute (id|[r12,T2]|hh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+696276, int_stack+648648, int_stack+305882, 441);
 /*--- compute (n0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+305882, int_stack+242962, int_stack+241576, 66);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+310040, int_stack+244810, int_stack+242962, 66);
 /*--- compute (n0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+315584, int_stack+310040, int_stack+305882, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+323900, int_stack+247186, int_stack+244810, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+331028, int_stack+323900, int_stack+310040, 66);
 /*--- compute (n0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+500282, int_stack+331028, int_stack+315584, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+401282, int_stack+250156, int_stack+247186, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+410192, int_stack+401282, int_stack+323900, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+424448, int_stack+410192, int_stack+331028, 66);
 /*--- compute (n0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+770364, int_stack+424448, int_stack+500282, 66);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+15015, int_stack+237946, int_stack+234921, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+281707, int_stack+15015, int_stack+522098, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+791154, int_stack+281707, int_stack+529523, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+810954, int_stack+791154, int_stack+541403, 55);
 /*--- compute (m0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+442928, int_stack+28514, int_stack+27359, int_stack+228926, int_stack+241576, int_stack+227771, 9, 0);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+258142, int_stack+30054, int_stack+28514, int_stack+230466, int_stack+242962, int_stack+228926, 9, 0);
 /*--- compute (m0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+216476, int_stack+258142, int_stack+442928, int_stack+3465, int_stack+305882, int_stack+0, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24090, int_stack+32034, int_stack+30054, int_stack+232446, int_stack+244810, int_stack+230466, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+834054, int_stack+24090, int_stack+258142, int_stack+516158, int_stack+310040, int_stack+3465, 9, 0);
 /*--- compute (m0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+843294, int_stack+834054, int_stack+216476, int_stack+342926, int_stack+315584, int_stack+8085, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+216476, int_stack+34509, int_stack+32034, int_stack+234921, int_stack+247186, int_stack+232446, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+216476, int_stack+24090, int_stack+522098, int_stack+323900, int_stack+516158, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+854844, int_stack+0, int_stack+834054, int_stack+529523, int_stack+331028, int_stack+342926, 9, 0);
 /*--- compute (m0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+870244, int_stack+854844, int_stack+843294, int_stack+541403, int_stack+500282, int_stack+270157, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+270157, int_stack+37534, int_stack+34509, int_stack+237946, int_stack+250156, int_stack+234921, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+834054, int_stack+270157, int_stack+216476, int_stack+15015, int_stack+401282, int_stack+522098, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+887569, int_stack+834054, int_stack+0, int_stack+281707, int_stack+410192, int_stack+529523, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+514142, int_stack+887569, int_stack+854844, int_stack+791154, int_stack+424448, int_stack+541403, 9, 0);
 /*--- compute (m0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+834054, int_stack+514142, int_stack+870244, int_stack+810954, int_stack+770364, int_stack+556803, 9, 0);
 /*--- compute (lp|[r12,T2]|hh) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+858309, int_stack+834054, int_stack+628803, 441);
 /*--- compute (kd|[r12,T2]|hh) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+917844, int_stack+858309, int_stack+648648, 441);
 /*--- compute (if|[r12,T2]|hh) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1013100, int_stack+917844, int_stack+696276, 441);
 /*--- compute (o0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+628803, int_stack+44188, int_stack+41164, 78);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+633717, int_stack+48220, int_stack+44188, 78);
 /*--- compute (o0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+640269, int_stack+633717, int_stack+628803, 78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+650097, int_stack+53404, int_stack+48220, 78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+658521, int_stack+650097, int_stack+633717, 78);
 /*--- compute (o0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+671625, int_stack+658521, int_stack+640269, 78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+688005, int_stack+59884, int_stack+53404, 78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+698535, int_stack+688005, int_stack+650097, 78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+715383, int_stack+698535, int_stack+658521, 78);
 /*--- compute (o0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+737223, int_stack+715383, int_stack+671625, 78);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+514142, int_stack+253786, int_stack+250156, 66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+525032, int_stack+514142, int_stack+401282, 66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1136580, int_stack+525032, int_stack+410192, 66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1160340, int_stack+1136580, int_stack+424448, 66);
 /*--- compute (n0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+761793, int_stack+46372, int_stack+42802, int_stack+242962, int_stack+41164, int_stack+241576, 10, 0);
 /*--- compute (n0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+542852, int_stack+51028, int_stack+46372, int_stack+244810, int_stack+44188, int_stack+242962, 10, 0);
 /*--- compute (n0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+548396, int_stack+542852, int_stack+761793, int_stack+310040, int_stack+628803, int_stack+305882, 10, 0);
 /*--- compute (n0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+761793, int_stack+56914, int_stack+51028, int_stack+247186, int_stack+48220, int_stack+244810, 10, 0);
 /*--- compute (n0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+761793, int_stack+542852, int_stack+323900, int_stack+633717, int_stack+310040, 10, 0);
 /*--- compute (n0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24090, int_stack+0, int_stack+548396, int_stack+331028, int_stack+640269, int_stack+315584, 10, 0);
 /*--- compute (n0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+542852, int_stack+64174, int_stack+56914, int_stack+250156, int_stack+53404, int_stack+247186, 10, 0);
 /*--- compute (n0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+305882, int_stack+542852, int_stack+761793, int_stack+401282, int_stack+650097, int_stack+323900, 10, 0);
 /*--- compute (n0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+628803, int_stack+305882, int_stack+0, int_stack+410192, int_stack+658521, int_stack+331028, 10, 0);
 /*--- compute (n0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320138, int_stack+628803, int_stack+24090, int_stack+424448, int_stack+671625, int_stack+500282, 10, 0);
 /*--- compute (n0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+500282, int_stack+67804, int_stack+64174, int_stack+253786, int_stack+59884, int_stack+250156, 10, 0);
 /*--- compute (n0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24090, int_stack+500282, int_stack+542852, int_stack+514142, int_stack+688005, int_stack+401282, 10, 0);
 /*--- compute (n0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+500282, int_stack+24090, int_stack+305882, int_stack+525032, int_stack+698535, int_stack+410192, 10, 0);
 /*--- compute (n0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24090, int_stack+500282, int_stack+628803, int_stack+1136580, int_stack+715383, int_stack+424448, 10, 0);
 /*--- compute (n0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+628803, int_stack+24090, int_stack+320138, int_stack+1160340, int_stack+737223, int_stack+770364, 10, 0);
 /*--- compute (mp|[r12,T2]|hh) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+657909, int_stack+628803, int_stack+834054, 441);
 /*--- compute (ld|[r12,T2]|hh) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+1188060, int_stack+657909, int_stack+858309, 441);
 /*--- compute (kf|[r12,T2]|hh) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+1307130, int_stack+1188060, int_stack+917844, 441);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1188060, int_stack+389522, int_stack+297062, 28);
 /*--- compute (k0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1200408, int_stack+485162, int_stack+355922, 36);
 /*--- compute (ip|hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+1216284, int_stack+1200408, int_stack+1188060, 441);
 /*--- compute (l0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1253328, int_stack+609903, int_stack+448307, 45);
 /*--- compute (kp|hh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+834054, int_stack+1253328, int_stack+1200408, 441);
 /*--- compute (id|hh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+881682, int_stack+834054, int_stack+1216284, 441);
 /*--- compute (m0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1273173, int_stack+810954, int_stack+556803, 55);
 /*--- compute (lp|hh) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+628803, int_stack+1273173, int_stack+1253328, 441);
 /*--- compute (kd|hh) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1465890, int_stack+628803, int_stack+834054, 441);
 /*--- compute (if|hh) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1561146, int_stack+1465890, int_stack+881682, 441);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1297428, int_stack+72160, int_stack+205592, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+955770, int_stack+1297428, int_stack+367262, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+965010, int_stack+955770, int_stack+371882, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+977610, int_stack+965010, int_stack+379442, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+955770, int_stack+977610, int_stack+389522, 28);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+972234, int_stack+81372, int_stack+214100, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+979362, int_stack+972234, int_stack+264217, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+991242, int_stack+979362, int_stack+462482, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+688338, int_stack+991242, int_stack+472202, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+972234, int_stack+688338, int_stack+485162, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+688338, int_stack+972234, int_stack+955770, 588);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+737730, int_stack+93216, int_stack+224801, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+746640, int_stack+737730, int_stack+574128, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+24090, int_stack+746640, int_stack+581553, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+737730, int_stack+24090, int_stack+593703, 45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+24090, int_stack+737730, int_stack+609903, 45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+296557, int_stack+24090, int_stack+972234, 588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+360061, int_stack+296557, int_stack+688338, 588);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+737730, int_stack+108021, int_stack+237946, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+748620, int_stack+737730, int_stack+15015, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+200412, int_stack+748620, int_stack+281707, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+737730, int_stack+200412, int_stack+791154, 55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+200412, int_stack+737730, int_stack+810954, 55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+458845, int_stack+200412, int_stack+24090, 588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1684626, int_stack+458845, int_stack+296557, 588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1811634, int_stack+1684626, int_stack+360061, 588);
 /*--- compute (n0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+737730, int_stack+1160340, int_stack+770364, 66);
 /*--- compute (mp|hh) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+538225, int_stack+737730, int_stack+1273173, 441);
 /*--- compute (ld|hh) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+1976274, int_stack+538225, int_stack+628803, 441);
 /*--- compute (kf|hh) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+2095344, int_stack+1976274, int_stack+1465890, 441);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+766836, int_stack+74932, int_stack+74344, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+768600, int_stack+75716, int_stack+74932, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+770952, int_stack+768600, int_stack+766836, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+774480, int_stack+76724, int_stack+75716, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+777504, int_stack+774480, int_stack+768600, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+782208, int_stack+777504, int_stack+770952, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+766836, int_stack+77984, int_stack+76724, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+788088, int_stack+766836, int_stack+774480, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+794136, int_stack+788088, int_stack+777504, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+770616, int_stack+794136, int_stack+782208, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+779436, int_stack+79524, int_stack+77984, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+801976, int_stack+779436, int_stack+766836, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+809536, int_stack+801976, int_stack+788088, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+779436, int_stack+809536, int_stack+794136, 28);
 /*--- compute (i0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+791196, int_stack+779436, int_stack+770616, 28);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+766836, int_stack+84936, int_stack+84180, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+769104, int_stack+85944, int_stack+84936, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+772128, int_stack+769104, int_stack+766836, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+776664, int_stack+87240, int_stack+85944, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+780552, int_stack+776664, int_stack+769104, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+803544, int_stack+780552, int_stack+772128, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+766836, int_stack+88860, int_stack+87240, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+811104, int_stack+766836, int_stack+776664, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+818880, int_stack+811104, int_stack+780552, 36);
 /*--- compute (k0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+771696, int_stack+818880, int_stack+803544, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+803544, int_stack+90840, int_stack+88860, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+232752, int_stack+803544, int_stack+766836, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+242472, int_stack+232752, int_stack+811104, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+803544, int_stack+242472, int_stack+818880, 36);
 /*--- compute (k0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+232752, int_stack+803544, int_stack+771696, 36);
 /*--- compute (ip|[r12,T1]|hh) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+248628, int_stack+232752, int_stack+791196, int_stack+1200408, int_stack+955770, int_stack+1188060, 5, 5);
 /*--- compute (l0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+955770, int_stack+97671, int_stack+96726, 45);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+958605, int_stack+98931, int_stack+97671, 45);
 /*--- compute (l0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+962385, int_stack+958605, int_stack+955770, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+285672, int_stack+100551, int_stack+98931, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+766836, int_stack+285672, int_stack+958605, 45);
 /*--- compute (l0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+774396, int_stack+766836, int_stack+962385, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+955770, int_stack+102576, int_stack+100551, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+961845, int_stack+955770, int_stack+285672, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+783846, int_stack+961845, int_stack+766836, 45);
 /*--- compute (l0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+796446, int_stack+783846, int_stack+774396, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+766836, int_stack+105051, int_stack+102576, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+810621, int_stack+766836, int_stack+955770, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+766836, int_stack+810621, int_stack+961845, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+810621, int_stack+766836, int_stack+783846, 45);
 /*--- compute (l0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+766836, int_stack+810621, int_stack+796446, 45);
 /*--- compute (kp|[r12,T1]|hh) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+50550, int_stack+766836, int_stack+232752, int_stack+1253328, int_stack+972234, int_stack+1200408, 5, 5);
 /*--- compute (id|[r12,T1]|hh) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1136580, int_stack+50550, int_stack+248628, int_stack+834054, int_stack+688338, int_stack+1216284, 5, 5);
 /*--- compute (m0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+688338, int_stack+113466, int_stack+112311, 55);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+691803, int_stack+115006, int_stack+113466, 55);
 /*--- compute (m0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+696423, int_stack+691803, int_stack+688338, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+703353, int_stack+116986, int_stack+115006, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+709293, int_stack+703353, int_stack+691803, 55);
 /*--- compute (m0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+718533, int_stack+709293, int_stack+696423, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+688338, int_stack+119461, int_stack+116986, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+232752, int_stack+688338, int_stack+703353, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+244632, int_stack+232752, int_stack+709293, 55);
 /*--- compute (m0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+695763, int_stack+244632, int_stack+718533, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+713088, int_stack+122486, int_stack+119461, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+722163, int_stack+713088, int_stack+688338, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+260032, int_stack+722163, int_stack+232752, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+713088, int_stack+260032, int_stack+244632, 55);
 /*--- compute (m0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+232752, int_stack+713088, int_stack+695763, 55);
 /*--- compute (lp|[r12,T1]|hh) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2254104, int_stack+232752, int_stack+766836, int_stack+1273173, int_stack+24090, int_stack+1253328, 5, 5);
 /*--- compute (kd|[r12,T1]|hh) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2313639, int_stack+2254104, int_stack+50550, int_stack+628803, int_stack+296557, int_stack+834054, 5, 5);
 /*--- compute (if|[r12,T1]|hh) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2313639, int_stack+1136580, int_stack+1465890, int_stack+360061, int_stack+881682, 5, 5);
 /*--- compute (n0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1136580, int_stack+127502, int_stack+126116, 66);
 /*--- compute (n0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1140738, int_stack+129350, int_stack+127502, 66);
 /*--- compute (n0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1146282, int_stack+1140738, int_stack+1136580, 66);
 /*--- compute (n0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1154598, int_stack+131726, int_stack+129350, 66);
 /*--- compute (n0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1161726, int_stack+1154598, int_stack+1140738, 66);
 /*--- compute (n0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+1172814, int_stack+1161726, int_stack+1146282, 66);
 /*--- compute (n0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1136580, int_stack+134696, int_stack+131726, 66);
 /*--- compute (n0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1186674, int_stack+1136580, int_stack+1154598, 66);
 /*--- compute (n0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1200930, int_stack+1186674, int_stack+1161726, 66);
 /*--- compute (n0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+1145490, int_stack+1200930, int_stack+1172814, 66);
 /*--- compute (n0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1166280, int_stack+138326, int_stack+134696, 66);
 /*--- compute (n0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1219410, int_stack+1166280, int_stack+1136580, 66);
 /*--- compute (n0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1237230, int_stack+1219410, int_stack+1186674, 66);
 /*--- compute (n0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1166280, int_stack+1237230, int_stack+1200930, 66);
 /*--- compute (n0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1194000, int_stack+1166280, int_stack+1145490, 66);
 /*--- compute (mp|[r12,T1]|hh) ---*/
   t1hrr1_build_mp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+766836, int_stack+1194000, int_stack+232752, int_stack+737730, int_stack+200412, int_stack+1273173, 5, 5);
 /*--- compute (ld|[r12,T1]|hh) ---*/
   t1hrr1_build_ld(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+200412, int_stack+766836, int_stack+2254104, int_stack+538225, int_stack+458845, int_stack+628803, 5, 5);
 /*--- compute (kf|[r12,T1]|hh) ---*/
   t1hrr1_build_kf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+319482, int_stack+200412, int_stack+2313639, int_stack+1976274, int_stack+1684626, int_stack+1465890, 5, 5);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1465890, int_stack+143270, int_stack+142682, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1467654, int_stack+144054, int_stack+143270, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1470006, int_stack+1467654, int_stack+1465890, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1473534, int_stack+145062, int_stack+144054, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1476558, int_stack+1473534, int_stack+1467654, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+1481262, int_stack+1476558, int_stack+1470006, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1465890, int_stack+146322, int_stack+145062, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1487142, int_stack+1465890, int_stack+1473534, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1493190, int_stack+1487142, int_stack+1476558, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+1469670, int_stack+1493190, int_stack+1481262, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1478490, int_stack+147862, int_stack+146322, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1501030, int_stack+1478490, int_stack+1465890, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1508590, int_stack+1501030, int_stack+1487142, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1478490, int_stack+1508590, int_stack+1493190, 28);
 /*--- compute (i0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1490250, int_stack+1478490, int_stack+1469670, 28);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1465890, int_stack+150466, int_stack+149710, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1468158, int_stack+151474, int_stack+150466, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1471182, int_stack+1468158, int_stack+1465890, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1475718, int_stack+152770, int_stack+151474, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1479606, int_stack+1475718, int_stack+1468158, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+1502598, int_stack+1479606, int_stack+1471182, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1465890, int_stack+154390, int_stack+152770, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1510158, int_stack+1465890, int_stack+1475718, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1517934, int_stack+1510158, int_stack+1479606, 36);
 /*--- compute (k0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+1470750, int_stack+1517934, int_stack+1502598, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1502598, int_stack+156370, int_stack+154390, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1528014, int_stack+1502598, int_stack+1465890, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1537734, int_stack+1528014, int_stack+1510158, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1502598, int_stack+1537734, int_stack+1517934, 36);
 /*--- compute (k0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1517718, int_stack+1502598, int_stack+1470750, 36);
 /*--- compute (ip||hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+1684626, int_stack+1517718, int_stack+1490250, 441);
 /*--- compute (l0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1465890, int_stack+159691, int_stack+158746, 45);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1468725, int_stack+160951, int_stack+159691, 45);
 /*--- compute (l0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1472505, int_stack+1468725, int_stack+1465890, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1478175, int_stack+162571, int_stack+160951, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1483035, int_stack+1478175, int_stack+1468725, 45);
 /*--- compute (l0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+1490595, int_stack+1483035, int_stack+1472505, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1465890, int_stack+164596, int_stack+162571, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1500045, int_stack+1465890, int_stack+1478175, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1533594, int_stack+1500045, int_stack+1483035, 45);
 /*--- compute (l0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+1471965, int_stack+1533594, int_stack+1490595, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1486140, int_stack+167071, int_stack+164596, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1546194, int_stack+1486140, int_stack+1465890, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1721670, int_stack+1546194, int_stack+1500045, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1486140, int_stack+1721670, int_stack+1533594, 45);
 /*--- compute (l0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1533594, int_stack+1486140, int_stack+1471965, 45);
 /*--- compute (kp||hh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1721670, int_stack+1533594, int_stack+1517718, 441);
 /*--- compute (id||hh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1976274, int_stack+1721670, int_stack+1684626, 441);
 /*--- compute (m0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1684626, int_stack+171196, int_stack+170041, 55);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1688091, int_stack+172736, int_stack+171196, 55);
 /*--- compute (m0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1692711, int_stack+1688091, int_stack+1684626, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1699641, int_stack+174716, int_stack+172736, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1705581, int_stack+1699641, int_stack+1688091, 55);
 /*--- compute (m0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+1769298, int_stack+1705581, int_stack+1692711, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1684626, int_stack+177191, int_stack+174716, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1780848, int_stack+1684626, int_stack+1699641, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1792728, int_stack+1780848, int_stack+1705581, 55);
 /*--- compute (m0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+1692051, int_stack+1792728, int_stack+1769298, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1769298, int_stack+180216, int_stack+177191, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1465890, int_stack+1769298, int_stack+1684626, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1480740, int_stack+1465890, int_stack+1780848, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1769298, int_stack+1480740, int_stack+1792728, 55);
 /*--- compute (m0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1465890, int_stack+1769298, int_stack+1692051, 55);
 /*--- compute (lp||hh) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+200412, int_stack+1465890, int_stack+1533594, 441);
 /*--- compute (kd||hh) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+2254104, int_stack+200412, int_stack+1721670, 441);
 /*--- compute (if||hh) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1684626, int_stack+2254104, int_stack+1976274, 441);
 /*--- compute (n0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1976274, int_stack+185232, int_stack+183846, 66);
 /*--- compute (n0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1980432, int_stack+187080, int_stack+185232, 66);
 /*--- compute (n0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+1985976, int_stack+1980432, int_stack+1976274, 66);
 /*--- compute (n0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1994292, int_stack+189456, int_stack+187080, 66);
 /*--- compute (n0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2001420, int_stack+1994292, int_stack+1980432, 66);
 /*--- compute (n0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+2012508, int_stack+2001420, int_stack+1985976, 66);
 /*--- compute (n0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1976274, int_stack+192426, int_stack+189456, 66);
 /*--- compute (n0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2026368, int_stack+1976274, int_stack+1994292, 66);
 /*--- compute (n0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2040624, int_stack+2026368, int_stack+2001420, 66);
 /*--- compute (n0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+1985184, int_stack+2040624, int_stack+2012508, 66);
 /*--- compute (n0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2005974, int_stack+196056, int_stack+192426, 66);
 /*--- compute (n0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2059104, int_stack+2005974, int_stack+1976274, 66);
 /*--- compute (n0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1490145, int_stack+2059104, int_stack+2026368, 66);
 /*--- compute (n0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2059104, int_stack+1490145, int_stack+2040624, 66);
 /*--- compute (n0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+1490145, int_stack+2059104, int_stack+1985184, 66);
 /*--- compute (mp||hh) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+1976274, int_stack+1490145, int_stack+1465890, 441);
 /*--- compute (ld||hh) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+478242, int_stack+1976274, int_stack+200412, 441);
 /*--- compute (kf||hh) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+597312, int_stack+478242, int_stack+2254104, 441);
 /*--- compute (ig|[r12,T2]|hh) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+756072, int_stack+1307130, int_stack+1013100, 441);
     Libr12->te_ptr[3] = int_stack + 756072;
 /*--- compute (ig|[r12,T1]|hh) ---*/
   t1hrr1_build_ig(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+941292, int_stack+319482, int_stack+0, int_stack+2095344, int_stack+1811634, int_stack+1561146, 5, 5);
     Libr12->te_ptr[2] = int_stack + 941292;
 /*--- compute (ig||hh) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+0, int_stack+597312, int_stack+1684626, 441);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (ig|hh) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+1684626, int_stack+2095344, int_stack+1561146, 441);
     Libr12->te_ptr[0] = int_stack + 1684626;

}
