#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_igih(Libr12_t *, prim_data *);

  /* Computes (ig|ih) integrals for linear R12-methods */

void hrr_grt_order_igih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[6][11] = int_stack + 6440;
 Libr12->t2vrr_classes[7][6] = int_stack + 8624;
 Libr12->t2vrr_classes[7][7] = int_stack + 9632;
 Libr12->t2vrr_classes[7][8] = int_stack + 10928;
 Libr12->t2vrr_classes[7][9] = int_stack + 12548;
 Libr12->t2vrr_classes[7][10] = int_stack + 14528;
 Libr12->t2vrr_classes[7][11] = int_stack + 16904;
 Libr12->t2vrr_classes[8][6] = int_stack + 19712;
 Libr12->t2vrr_classes[8][7] = int_stack + 20972;
 Libr12->t2vrr_classes[8][8] = int_stack + 22592;
 Libr12->t2vrr_classes[8][9] = int_stack + 24617;
 Libr12->t2vrr_classes[8][10] = int_stack + 27092;
 Libr12->t2vrr_classes[8][11] = int_stack + 30062;
 Libr12->t2vrr_classes[9][6] = int_stack + 33572;
 Libr12->t2vrr_classes[9][7] = int_stack + 35112;
 Libr12->t2vrr_classes[9][8] = int_stack + 37092;
 Libr12->t2vrr_classes[9][9] = int_stack + 39567;
 Libr12->t2vrr_classes[9][10] = int_stack + 42592;
 Libr12->t2vrr_classes[9][11] = int_stack + 46222;
 Libr12->gvrr_classes[11][6] = int_stack + 50512;
 Libr12->t2vrr_classes[10][6] = int_stack + 52696;
 Libr12->gvrr_classes[11][7] = int_stack + 54544;
 Libr12->t2vrr_classes[10][7] = int_stack + 57352;
 Libr12->gvrr_classes[11][8] = int_stack + 59728;
 Libr12->t2vrr_classes[10][8] = int_stack + 63238;
 Libr12->gvrr_classes[11][9] = int_stack + 66208;
 Libr12->t2vrr_classes[10][9] = int_stack + 70498;
 Libr12->gvrr_classes[11][10] = int_stack + 74128;
 Libr12->t2vrr_classes[10][10] = int_stack + 79276;
 Libr12->t2vrr_classes[10][11] = int_stack + 83632;
 Libr12->gvrr_classes[6][12] = int_stack + 88780;
 Libr12->t1vrr_classes[6][6] = int_stack + 91328;
 Libr12->t1vrr_classes[6][7] = int_stack + 92112;
 Libr12->t1vrr_classes[6][8] = int_stack + 93120;
 Libr12->t1vrr_classes[6][9] = int_stack + 94380;
 Libr12->t1vrr_classes[6][10] = int_stack + 95920;
 Libr12->t1vrr_classes[6][11] = int_stack + 97768;
 Libr12->gvrr_classes[7][12] = int_stack + 99952;
 Libr12->t1vrr_classes[7][6] = int_stack + 103228;
 Libr12->t1vrr_classes[7][7] = int_stack + 104236;
 Libr12->t1vrr_classes[7][8] = int_stack + 105532;
 Libr12->t1vrr_classes[7][9] = int_stack + 107152;
 Libr12->t1vrr_classes[7][10] = int_stack + 109132;
 Libr12->t1vrr_classes[7][11] = int_stack + 111508;
 Libr12->gvrr_classes[8][12] = int_stack + 114316;
 Libr12->t1vrr_classes[8][6] = int_stack + 118411;
 Libr12->t1vrr_classes[8][7] = int_stack + 119671;
 Libr12->t1vrr_classes[8][8] = int_stack + 121291;
 Libr12->t1vrr_classes[8][9] = int_stack + 123316;
 Libr12->t1vrr_classes[8][10] = int_stack + 125791;
 Libr12->t1vrr_classes[8][11] = int_stack + 128761;
 Libr12->gvrr_classes[9][12] = int_stack + 132271;
 Libr12->t1vrr_classes[9][6] = int_stack + 137276;
 Libr12->t1vrr_classes[9][7] = int_stack + 138816;
 Libr12->t1vrr_classes[9][8] = int_stack + 140796;
 Libr12->t1vrr_classes[9][9] = int_stack + 143271;
 Libr12->t1vrr_classes[9][10] = int_stack + 146296;
 Libr12->t1vrr_classes[9][11] = int_stack + 149926;
 Libr12->t1vrr_classes[10][6] = int_stack + 154216;
 Libr12->t1vrr_classes[10][7] = int_stack + 156064;
 Libr12->t1vrr_classes[10][8] = int_stack + 158440;
 Libr12->t1vrr_classes[10][9] = int_stack + 161410;
 Libr12->t1vrr_classes[10][10] = int_stack + 165040;
 Libr12->t1vrr_classes[10][11] = int_stack + 169396;
 Libr12->rvrr_classes[6][6] = int_stack + 174544;
 Libr12->rvrr_classes[6][7] = int_stack + 175328;
 Libr12->rvrr_classes[6][8] = int_stack + 176336;
 Libr12->rvrr_classes[6][9] = int_stack + 177596;
 Libr12->rvrr_classes[6][10] = int_stack + 179136;
 Libr12->rvrr_classes[6][11] = int_stack + 180984;
 Libr12->rvrr_classes[7][6] = int_stack + 183168;
 Libr12->rvrr_classes[7][7] = int_stack + 184176;
 Libr12->rvrr_classes[7][8] = int_stack + 185472;
 Libr12->rvrr_classes[7][9] = int_stack + 187092;
 Libr12->rvrr_classes[7][10] = int_stack + 189072;
 Libr12->rvrr_classes[7][11] = int_stack + 191448;
 Libr12->rvrr_classes[8][6] = int_stack + 194256;
 Libr12->rvrr_classes[8][7] = int_stack + 195516;
 Libr12->rvrr_classes[8][8] = int_stack + 197136;
 Libr12->rvrr_classes[8][9] = int_stack + 199161;
 Libr12->rvrr_classes[8][10] = int_stack + 201636;
 Libr12->rvrr_classes[8][11] = int_stack + 204606;
 Libr12->rvrr_classes[9][6] = int_stack + 208116;
 Libr12->rvrr_classes[9][7] = int_stack + 209656;
 Libr12->rvrr_classes[9][8] = int_stack + 211636;
 Libr12->rvrr_classes[9][9] = int_stack + 214111;
 Libr12->rvrr_classes[9][10] = int_stack + 217136;
 Libr12->rvrr_classes[9][11] = int_stack + 220766;
 Libr12->rvrr_classes[10][6] = int_stack + 225056;
 Libr12->rvrr_classes[10][7] = int_stack + 226904;
 Libr12->rvrr_classes[10][8] = int_stack + 229280;
 Libr12->rvrr_classes[10][9] = int_stack + 232250;
 Libr12->rvrr_classes[10][10] = int_stack + 235880;
 Libr12->rvrr_classes[10][11] = int_stack + 240236;
 Libr12->gvrr_classes[6][6] = int_stack + 245384;
 Libr12->gvrr_classes[6][7] = int_stack + 246168;
 Libr12->gvrr_classes[6][8] = int_stack + 247176;
 Libr12->gvrr_classes[6][9] = int_stack + 248436;
 Libr12->gvrr_classes[6][10] = int_stack + 249976;
 Libr12->gvrr_classes[6][11] = int_stack + 251824;
 Libr12->gvrr_classes[7][6] = int_stack + 254008;
 Libr12->gvrr_classes[7][7] = int_stack + 255016;
 Libr12->gvrr_classes[7][8] = int_stack + 256312;
 Libr12->gvrr_classes[7][9] = int_stack + 257932;
 Libr12->gvrr_classes[7][10] = int_stack + 259912;
 Libr12->gvrr_classes[7][11] = int_stack + 262288;
 Libr12->gvrr_classes[8][6] = int_stack + 265096;
 Libr12->gvrr_classes[8][7] = int_stack + 266356;
 Libr12->gvrr_classes[8][8] = int_stack + 267976;
 Libr12->gvrr_classes[8][9] = int_stack + 270001;
 Libr12->gvrr_classes[8][10] = int_stack + 272476;
 Libr12->gvrr_classes[8][11] = int_stack + 275446;
 Libr12->gvrr_classes[9][6] = int_stack + 278956;
 Libr12->gvrr_classes[9][7] = int_stack + 280496;
 Libr12->gvrr_classes[9][8] = int_stack + 282476;
 Libr12->gvrr_classes[9][9] = int_stack + 284951;
 Libr12->gvrr_classes[9][10] = int_stack + 287976;
 Libr12->gvrr_classes[9][11] = int_stack + 291606;
 Libr12->gvrr_classes[10][6] = int_stack + 295896;
 Libr12->gvrr_classes[10][7] = int_stack + 297744;
 Libr12->gvrr_classes[10][8] = int_stack + 300120;
 Libr12->gvrr_classes[10][9] = int_stack + 303090;
 Libr12->gvrr_classes[10][10] = int_stack + 306720;
 Libr12->gvrr_classes[10][11] = int_stack + 311076;
 memset(int_stack,0,316224*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 316224;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_igih(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+316224, int_stack+246168, int_stack+245384, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+318576, int_stack+247176, int_stack+246168, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+321600, int_stack+318576, int_stack+316224, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+326304, int_stack+248436, int_stack+247176, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+330084, int_stack+326304, int_stack+318576, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+336132, int_stack+330084, int_stack+321600, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+343972, int_stack+249976, int_stack+248436, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+348592, int_stack+343972, int_stack+326304, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+356152, int_stack+348592, int_stack+330084, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+366232, int_stack+356152, int_stack+336132, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+377992, int_stack+255016, int_stack+254008, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+381016, int_stack+256312, int_stack+255016, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+384904, int_stack+381016, int_stack+377992, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+390952, int_stack+257932, int_stack+256312, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+395812, int_stack+390952, int_stack+381016, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+403588, int_stack+395812, int_stack+384904, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+413668, int_stack+259912, int_stack+257932, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+419608, int_stack+413668, int_stack+390952, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+429328, int_stack+419608, int_stack+395812, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+442288, int_stack+429328, int_stack+403588, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+457408, int_stack+251824, int_stack+249976, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+462952, int_stack+457408, int_stack+343972, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+472192, int_stack+462952, int_stack+348592, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+484792, int_stack+472192, int_stack+356152, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+499912, int_stack+784, int_stack+0, int_stack+246168, int_stack+254008, int_stack+245384, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+502264, int_stack+1792, int_stack+784, int_stack+247176, int_stack+255016, int_stack+246168, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+505288, int_stack+502264, int_stack+499912, int_stack+318576, int_stack+377992, int_stack+316224, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+509992, int_stack+3052, int_stack+1792, int_stack+248436, int_stack+256312, int_stack+247176, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+513772, int_stack+509992, int_stack+502264, int_stack+326304, int_stack+381016, int_stack+318576, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+519820, int_stack+513772, int_stack+505288, int_stack+330084, int_stack+384904, int_stack+321600, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316224, int_stack+4592, int_stack+3052, int_stack+249976, int_stack+257932, int_stack+248436, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+499912, int_stack+316224, int_stack+509992, int_stack+343972, int_stack+390952, int_stack+326304, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+527660, int_stack+499912, int_stack+513772, int_stack+348592, int_stack+395812, int_stack+330084, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+320844, int_stack+527660, int_stack+519820, int_stack+356152, int_stack+403588, int_stack+336132, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+332604, int_stack+6440, int_stack+4592, int_stack+251824, int_stack+259912, int_stack+249976, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+507472, int_stack+332604, int_stack+316224, int_stack+457408, int_stack+413668, int_stack+343972, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+332604, int_stack+507472, int_stack+499912, int_stack+462952, int_stack+419608, int_stack+348592, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+499912, int_stack+332604, int_stack+527660, int_stack+472192, int_stack+429328, int_stack+356152, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+332604, int_stack+499912, int_stack+320844, int_stack+484792, int_stack+442288, int_stack+366232, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+499912, int_stack+266356, int_stack+265096, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+503692, int_stack+267976, int_stack+266356, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+508552, int_stack+503692, int_stack+499912, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+516112, int_stack+270001, int_stack+267976, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+522187, int_stack+516112, int_stack+503692, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+349068, int_stack+522187, int_stack+508552, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+316224, int_stack+272476, int_stack+270001, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+531907, int_stack+316224, int_stack+516112, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+544057, int_stack+531907, int_stack+522187, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+560257, int_stack+544057, int_stack+349068, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+323649, int_stack+262288, int_stack+259912, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+579157, int_stack+323649, int_stack+413668, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+591037, int_stack+579157, int_stack+419608, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+607237, int_stack+591037, int_stack+429328, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+361668, int_stack+9632, int_stack+8624, int_stack+255016, int_stack+265096, int_stack+254008, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245384, int_stack+10928, int_stack+9632, int_stack+256312, int_stack+266356, int_stack+255016, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+245384, int_stack+361668, int_stack+381016, int_stack+499912, int_stack+377992, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6048, int_stack+12548, int_stack+10928, int_stack+257932, int_stack+267976, int_stack+256312, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+626677, int_stack+6048, int_stack+245384, int_stack+390952, int_stack+503692, int_stack+381016, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+634453, int_stack+626677, int_stack+0, int_stack+395812, int_stack+508552, int_stack+384904, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+14528, int_stack+12548, int_stack+259912, int_stack+270001, int_stack+257932, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+377992, int_stack+0, int_stack+6048, int_stack+413668, int_stack+516112, int_stack+390952, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+644533, int_stack+377992, int_stack+626677, int_stack+419608, int_stack+522187, int_stack+395812, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+387712, int_stack+644533, int_stack+634453, int_stack+429328, int_stack+349068, int_stack+403588, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+626677, int_stack+16904, int_stack+14528, int_stack+262288, int_stack+272476, int_stack+259912, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5940, int_stack+626677, int_stack+0, int_stack+323649, int_stack+316224, int_stack+413668, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+626677, int_stack+5940, int_stack+377992, int_stack+579157, int_stack+531907, int_stack+419608, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+626677, int_stack+644533, int_stack+591037, int_stack+544057, int_stack+429328, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+626677, int_stack+0, int_stack+387712, int_stack+607237, int_stack+560257, int_stack+442288, 7, 0);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+377992, int_stack+626677, int_stack+332604, 588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+280496, int_stack+278956, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+282476, int_stack+280496, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+647845, int_stack+4620, int_stack+0, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10560, int_stack+284951, int_stack+282476, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+427384, int_stack+10560, int_stack+4620, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+330777, int_stack+427384, int_stack+647845, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+657085, int_stack+287976, int_stack+284951, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+666160, int_stack+657085, int_stack+10560, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+681010, int_stack+666160, int_stack+427384, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+700810, int_stack+681010, int_stack+330777, 55);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+723910, int_stack+275446, int_stack+272476, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+732820, int_stack+723910, int_stack+316224, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+747670, int_stack+732820, int_stack+531907, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+767920, int_stack+747670, int_stack+544057, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245384, int_stack+20972, int_stack+19712, int_stack+266356, int_stack+278956, int_stack+265096, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+254008, int_stack+22592, int_stack+20972, int_stack+267976, int_stack+280496, int_stack+266356, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+792220, int_stack+254008, int_stack+245384, int_stack+503692, int_stack+0, int_stack+499912, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245384, int_stack+24617, int_stack+22592, int_stack+270001, int_stack+282476, int_stack+267976, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+799780, int_stack+245384, int_stack+254008, int_stack+516112, int_stack+4620, int_stack+503692, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+809500, int_stack+799780, int_stack+792220, int_stack+522187, int_stack+647845, int_stack+508552, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+792220, int_stack+27092, int_stack+24617, int_stack+272476, int_stack+284951, int_stack+270001, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+499912, int_stack+792220, int_stack+245384, int_stack+316224, int_stack+10560, int_stack+516112, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+822100, int_stack+499912, int_stack+799780, int_stack+531907, int_stack+427384, int_stack+522187, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+512062, int_stack+822100, int_stack+809500, int_stack+544057, int_stack+330777, int_stack+349068, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+799645, int_stack+30062, int_stack+27092, int_stack+275446, int_stack+287976, int_stack+272476, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17985, int_stack+799645, int_stack+792220, int_stack+723910, int_stack+657085, int_stack+316224, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+792220, int_stack+17985, int_stack+499912, int_stack+732820, int_stack+666160, int_stack+531907, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+838300, int_stack+792220, int_stack+822100, int_stack+747670, int_stack+681010, int_stack+544057, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+792220, int_stack+838300, int_stack+512062, int_stack+767920, int_stack+700810, int_stack+560257, 8, 0);
 /*--- compute (kp|[r12,T2]|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+818680, int_stack+792220, int_stack+626677, 588);
 /*--- compute (id|[r12,T2]|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+882184, int_stack+818680, int_stack+377992, 588);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+377992, int_stack+297744, int_stack+295896, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+383536, int_stack+300120, int_stack+297744, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+390664, int_stack+383536, int_stack+377992, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+401752, int_stack+303090, int_stack+300120, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+410662, int_stack+401752, int_stack+383536, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+626677, int_stack+410662, int_stack+390664, 66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+499912, int_stack+306720, int_stack+303090, 66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+510802, int_stack+499912, int_stack+401752, 66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+528622, int_stack+510802, int_stack+410662, 66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+980968, int_stack+528622, int_stack+626677, 66);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+17985, int_stack+291606, int_stack+287976, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+346177, int_stack+17985, int_stack+657085, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1008688, int_stack+346177, int_stack+666160, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1033438, int_stack+1008688, int_stack+681010, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+552382, int_stack+35112, int_stack+33572, int_stack+280496, int_stack+295896, int_stack+278956, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+37092, int_stack+35112, int_stack+282476, int_stack+297744, int_stack+280496, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265096, int_stack+28875, int_stack+552382, int_stack+4620, int_stack+377992, int_stack+0, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316224, int_stack+39567, int_stack+37092, int_stack+284951, int_stack+300120, int_stack+282476, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1063138, int_stack+316224, int_stack+28875, int_stack+10560, int_stack+383536, int_stack+4620, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1075018, int_stack+1063138, int_stack+265096, int_stack+427384, int_stack+390664, int_stack+647845, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265096, int_stack+42592, int_stack+39567, int_stack+287976, int_stack+303090, int_stack+284951, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1090418, int_stack+265096, int_stack+316224, int_stack+657085, int_stack+401752, int_stack+10560, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1105268, int_stack+1090418, int_stack+1063138, int_stack+666160, int_stack+410662, int_stack+427384, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1125068, int_stack+1105268, int_stack+1075018, int_stack+681010, int_stack+626677, int_stack+330777, 9, 0);
 /*--- compute (m0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+330777, int_stack+46222, int_stack+42592, int_stack+291606, int_stack+306720, int_stack+287976, 9, 0);
 /*--- compute (m0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1063138, int_stack+330777, int_stack+265096, int_stack+17985, int_stack+499912, int_stack+657085, 9, 0);
 /*--- compute (m0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1148168, int_stack+1063138, int_stack+1090418, int_stack+346177, int_stack+510802, int_stack+666160, 9, 0);
 /*--- compute (m0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1063138, int_stack+1148168, int_stack+1105268, int_stack+1008688, int_stack+528622, int_stack+681010, 9, 0);
 /*--- compute (m0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+645157, int_stack+1063138, int_stack+1125068, int_stack+1033438, int_stack+980968, int_stack+700810, 9, 0);
 /*--- compute (lp|[r12,T2]|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1063138, int_stack+645157, int_stack+792220, 588);
 /*--- compute (kd|[r12,T2]|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1142518, int_stack+1063138, int_stack+818680, 588);
 /*--- compute (if|[r12,T2]|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1269526, int_stack+1142518, int_stack+882184, 588);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+792220, int_stack+54544, int_stack+50512, 78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+798772, int_stack+59728, int_stack+54544, 78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+807196, int_stack+798772, int_stack+792220, 78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+820300, int_stack+66208, int_stack+59728, 78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+830830, int_stack+820300, int_stack+798772, 78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+847678, int_stack+830830, int_stack+807196, 78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+869518, int_stack+74128, int_stack+66208, 78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+882388, int_stack+869518, int_stack+820300, 78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+903448, int_stack+882388, int_stack+830830, 78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+931528, int_stack+903448, int_stack+847678, 78);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+964288, int_stack+311076, int_stack+306720, 66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+677497, int_stack+964288, int_stack+499912, 66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1434166, int_stack+677497, int_stack+510802, 66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1463866, int_stack+1434166, int_stack+528622, 66);
 /*--- compute (n0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265096, int_stack+57352, int_stack+52696, int_stack+297744, int_stack+50512, int_stack+295896, 10, 0);
 /*--- compute (n0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+330777, int_stack+63238, int_stack+57352, int_stack+300120, int_stack+54544, int_stack+297744, 10, 0);
 /*--- compute (n0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+330777, int_stack+265096, int_stack+383536, int_stack+792220, int_stack+377992, 10, 0);
 /*--- compute (n0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+265096, int_stack+70498, int_stack+63238, int_stack+303090, int_stack+59728, int_stack+300120, 10, 0);
 /*--- compute (n0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39963, int_stack+265096, int_stack+330777, int_stack+401752, int_stack+798772, int_stack+383536, 10, 0);
 /*--- compute (n0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1499506, int_stack+39963, int_stack+28875, int_stack+410662, int_stack+807196, int_stack+390664, 10, 0);
 /*--- compute (n0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+79276, int_stack+70498, int_stack+306720, int_stack+66208, int_stack+303090, 10, 0);
 /*--- compute (n0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+377992, int_stack+28875, int_stack+265096, int_stack+499912, int_stack+820300, int_stack+401752, 10, 0);
 /*--- compute (n0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+792220, int_stack+377992, int_stack+39963, int_stack+510802, int_stack+830830, int_stack+410662, 10, 0);
 /*--- compute (n0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39765, int_stack+792220, int_stack+1499506, int_stack+528622, int_stack+847678, int_stack+626677, 10, 0);
 /*--- compute (n0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+626677, int_stack+83632, int_stack+79276, int_stack+311076, int_stack+74128, int_stack+306720, 10, 0);
 /*--- compute (n0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+395812, int_stack+626677, int_stack+28875, int_stack+964288, int_stack+869518, int_stack+499912, 10, 0);
 /*--- compute (n0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+815980, int_stack+395812, int_stack+377992, int_stack+677497, int_stack+882388, int_stack+510802, 10, 0);
 /*--- compute (n0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+377992, int_stack+815980, int_stack+792220, int_stack+1434166, int_stack+903448, int_stack+528622, 10, 0);
 /*--- compute (n0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+792220, int_stack+377992, int_stack+39765, int_stack+1463866, int_stack+931528, int_stack+980968, 10, 0);
 /*--- compute (mp|[r12,T2]|ih) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+831028, int_stack+792220, int_stack+645157, 588);
 /*--- compute (ld|[r12,T2]|ih) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+1499506, int_stack+831028, int_stack+1063138, 588);
 /*--- compute (kf|[r12,T2]|ih) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+1658266, int_stack+1499506, int_stack+1142518, 588);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1499506, int_stack+484792, int_stack+366232, 28);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1515970, int_stack+607237, int_stack+442288, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+1537138, int_stack+1515970, int_stack+1499506, 588);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1586530, int_stack+767920, int_stack+560257, 45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1063138, int_stack+1586530, int_stack+1515970, 588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1126642, int_stack+1063138, int_stack+1537138, 588);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1612990, int_stack+1033438, int_stack+700810, 55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+792220, int_stack+1612990, int_stack+1586530, 588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1869946, int_stack+792220, int_stack+1063138, 588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1996954, int_stack+1869946, int_stack+1126642, 588);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1645330, int_stack+88780, int_stack+251824, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1225426, int_stack+1645330, int_stack+457408, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+330777, int_stack+1225426, int_stack+462952, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1225426, int_stack+330777, int_stack+472192, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1244326, int_stack+1225426, int_stack+484792, 28);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1225426, int_stack+99952, int_stack+262288, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+330777, int_stack+1225426, int_stack+323649, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+871600, int_stack+330777, int_stack+579157, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+891400, int_stack+871600, int_stack+591037, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+915700, int_stack+891400, int_stack+607237, 36);
 /*--- compute (ip|kh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+364327, int_stack+915700, int_stack+1244326, 756);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+871600, int_stack+114316, int_stack+275446, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+882130, int_stack+871600, int_stack+723910, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+942916, int_stack+882130, int_stack+732820, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+871600, int_stack+942916, int_stack+747670, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+942916, int_stack+871600, int_stack+767920, 45);
 /*--- compute (kp|kh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+427831, int_stack+942916, int_stack+915700, 756);
 /*--- compute (id|kh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+509479, int_stack+427831, int_stack+364327, 756);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+871600, int_stack+132271, int_stack+291606, 55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+884470, int_stack+871600, int_stack+17985, 55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+884470, int_stack+346177, 55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+871600, int_stack+0, int_stack+1008688, 55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+871600, int_stack+1033438, 55);
 /*--- compute (lp|kh) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+245384, int_stack+0, int_stack+942916, 756);
 /*--- compute (kd|kh) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+2161594, int_stack+245384, int_stack+427831, 756);
 /*--- compute (if|kh) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+2324890, int_stack+2161594, int_stack+509479, 756);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+871600, int_stack+1463866, int_stack+980968, 66);
 /*--- compute (mp|ih) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+636487, int_stack+871600, int_stack+1612990, 588);
 /*--- compute (ld|ih) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+2536570, int_stack+636487, int_stack+792220, 588);
 /*--- compute (kf|ih) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+2695330, int_stack+2536570, int_stack+1869946, 588);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+910408, int_stack+92112, int_stack+91328, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+41580, int_stack+93120, int_stack+92112, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+44604, int_stack+41580, int_stack+910408, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+910408, int_stack+94380, int_stack+93120, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+49308, int_stack+910408, int_stack+41580, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+55356, int_stack+49308, int_stack+44604, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+41580, int_stack+95920, int_stack+94380, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+63196, int_stack+41580, int_stack+910408, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+70756, int_stack+63196, int_stack+49308, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+80836, int_stack+70756, int_stack+55356, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+46200, int_stack+97768, int_stack+95920, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+51744, int_stack+46200, int_stack+41580, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+976936, int_stack+51744, int_stack+63196, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+41580, int_stack+976936, int_stack+70756, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+976936, int_stack+41580, int_stack+80836, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+41580, int_stack+104236, int_stack+103228, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+44604, int_stack+105532, int_stack+104236, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+48492, int_stack+44604, int_stack+41580, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+54540, int_stack+107152, int_stack+105532, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+59400, int_stack+54540, int_stack+44604, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+67176, int_stack+59400, int_stack+48492, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+41580, int_stack+109132, int_stack+107152, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+77256, int_stack+41580, int_stack+54540, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+86976, int_stack+77256, int_stack+59400, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+47520, int_stack+86976, int_stack+67176, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+62640, int_stack+111508, int_stack+109132, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+99936, int_stack+62640, int_stack+41580, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+993400, int_stack+99936, int_stack+77256, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+62640, int_stack+993400, int_stack+86976, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+993400, int_stack+62640, int_stack+47520, 36);
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+41580, int_stack+993400, int_stack+976936, int_stack+1515970, int_stack+1244326, int_stack+1499506, 6, 5);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+976936, int_stack+119671, int_stack+118411, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+980716, int_stack+121291, int_stack+119671, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+985576, int_stack+980716, int_stack+976936, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1014568, int_stack+123316, int_stack+121291, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1020643, int_stack+1014568, int_stack+980716, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1030363, int_stack+1020643, int_stack+985576, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+976936, int_stack+125791, int_stack+123316, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1042963, int_stack+976936, int_stack+1014568, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+90972, int_stack+1042963, int_stack+1020643, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1225426, int_stack+90972, int_stack+1030363, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1014568, int_stack+128761, int_stack+125791, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1023478, int_stack+1014568, int_stack+976936, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+107172, int_stack+1023478, int_stack+1042963, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1014568, int_stack+107172, int_stack+90972, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+90972, int_stack+1014568, int_stack+1225426, 45);
 /*--- compute (kp|[r12,T1]|ih) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1434166, int_stack+90972, int_stack+993400, int_stack+1586530, int_stack+915700, int_stack+1515970, 6, 5);
 /*--- compute (id|[r12,T1]|ih) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2907010, int_stack+1434166, int_stack+41580, int_stack+1063138, int_stack+364327, int_stack+1537138, 6, 5);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+41580, int_stack+138816, int_stack+137276, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+46200, int_stack+140796, int_stack+138816, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+52140, int_stack+46200, int_stack+41580, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+61380, int_stack+143271, int_stack+140796, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+68805, int_stack+61380, int_stack+46200, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1225426, int_stack+68805, int_stack+52140, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+41580, int_stack+146296, int_stack+143271, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1240826, int_stack+41580, int_stack+61380, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+117432, int_stack+1240826, int_stack+68805, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+50655, int_stack+117432, int_stack+1225426, 55);
 /*--- compute (m0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1225426, int_stack+149926, int_stack+146296, 55);
 /*--- compute (m0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+976936, int_stack+1225426, int_stack+41580, 55);
 /*--- compute (m0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+995086, int_stack+976936, int_stack+1240826, 55);
 /*--- compute (m0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1225426, int_stack+995086, int_stack+117432, 55);
 /*--- compute (m0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+117432, int_stack+1225426, int_stack+50655, 55);
 /*--- compute (lp|[r12,T1]|ih) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+976936, int_stack+117432, int_stack+90972, int_stack+1612990, int_stack+942916, int_stack+1586530, 6, 5);
 /*--- compute (kd|[r12,T1]|ih) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3005794, int_stack+976936, int_stack+1434166, int_stack+792220, int_stack+427831, int_stack+1063138, 6, 5);
 /*--- compute (if|[r12,T1]|ih) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1434166, int_stack+3005794, int_stack+2907010, int_stack+1869946, int_stack+509479, int_stack+1126642, 6, 5);
 /*--- compute (n0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2907010, int_stack+156064, int_stack+154216, 66);
 /*--- compute (n0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2912554, int_stack+158440, int_stack+156064, 66);
 /*--- compute (n0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2919682, int_stack+2912554, int_stack+2907010, 66);
 /*--- compute (n0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2930770, int_stack+161410, int_stack+158440, 66);
 /*--- compute (n0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2939680, int_stack+2930770, int_stack+2912554, 66);
 /*--- compute (n0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2953936, int_stack+2939680, int_stack+2919682, 66);
 /*--- compute (n0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2907010, int_stack+165040, int_stack+161410, 66);
 /*--- compute (n0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2972416, int_stack+2907010, int_stack+2930770, 66);
 /*--- compute (n0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1056316, int_stack+2972416, int_stack+2939680, 66);
 /*--- compute (n0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2917900, int_stack+1056316, int_stack+2953936, 66);
 /*--- compute (n0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2945620, int_stack+169396, int_stack+165040, 66);
 /*--- compute (n0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+149772, int_stack+2945620, int_stack+2907010, 66);
 /*--- compute (n0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1080076, int_stack+149772, int_stack+2972416, 66);
 /*--- compute (n0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2945620, int_stack+1080076, int_stack+1056316, 66);
 /*--- compute (n0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1056316, int_stack+2945620, int_stack+2917900, 66);
 /*--- compute (mp|[r12,T1]|ih) ---*/
   t1hrr1_build_mp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1095124, int_stack+1056316, int_stack+117432, int_stack+871600, int_stack+0, int_stack+1612990, 6, 5);
 /*--- compute (ld|[r12,T1]|ih) ---*/
   t1hrr1_build_ld(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1095124, int_stack+976936, int_stack+636487, int_stack+245384, int_stack+792220, 6, 5);
 /*--- compute (kf|[r12,T1]|ih) ---*/
   t1hrr1_build_kf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+245384, int_stack+0, int_stack+3005794, int_stack+2536570, int_stack+2161594, int_stack+1869946, 6, 5);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1869946, int_stack+175328, int_stack+174544, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1872298, int_stack+176336, int_stack+175328, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1875322, int_stack+1872298, int_stack+1869946, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1880026, int_stack+177596, int_stack+176336, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1883806, int_stack+1880026, int_stack+1872298, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1889854, int_stack+1883806, int_stack+1875322, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1869946, int_stack+179136, int_stack+177596, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1897694, int_stack+1869946, int_stack+1880026, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1905254, int_stack+1897694, int_stack+1883806, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1874566, int_stack+1905254, int_stack+1889854, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1886326, int_stack+180984, int_stack+179136, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1915334, int_stack+1886326, int_stack+1869946, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1924574, int_stack+1915334, int_stack+1897694, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1886326, int_stack+1924574, int_stack+1905254, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1901446, int_stack+1886326, int_stack+1874566, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1869946, int_stack+184176, int_stack+183168, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1872970, int_stack+185472, int_stack+184176, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1876858, int_stack+1872970, int_stack+1869946, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1882906, int_stack+187092, int_stack+185472, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1887766, int_stack+1882906, int_stack+1872970, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1917910, int_stack+1887766, int_stack+1876858, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1869946, int_stack+189072, int_stack+187092, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1927990, int_stack+1869946, int_stack+1882906, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1937710, int_stack+1927990, int_stack+1887766, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1875886, int_stack+1937710, int_stack+1917910, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1917910, int_stack+191448, int_stack+189072, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1950670, int_stack+1917910, int_stack+1869946, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1962550, int_stack+1950670, int_stack+1927990, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1917910, int_stack+1962550, int_stack+1937710, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1937350, int_stack+1917910, int_stack+1875886, 36);
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+2161594, int_stack+1937350, int_stack+1901446, 588);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1869946, int_stack+195516, int_stack+194256, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1873726, int_stack+197136, int_stack+195516, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1878586, int_stack+1873726, int_stack+1869946, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1886146, int_stack+199161, int_stack+197136, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1892221, int_stack+1886146, int_stack+1873726, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1901941, int_stack+1892221, int_stack+1878586, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1869946, int_stack+201636, int_stack+199161, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1914541, int_stack+1869946, int_stack+1886146, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1958518, int_stack+1914541, int_stack+1892221, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1877371, int_stack+1958518, int_stack+1901941, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1896271, int_stack+204606, int_stack+201636, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1974718, int_stack+1896271, int_stack+1869946, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2210986, int_stack+1974718, int_stack+1914541, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1896271, int_stack+2210986, int_stack+1958518, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1958518, int_stack+1896271, int_stack+1877371, 45);
 /*--- compute (kp||ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+2210986, int_stack+1958518, int_stack+1937350, 588);
 /*--- compute (id||ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+2536570, int_stack+2210986, int_stack+2161594, 588);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2161594, int_stack+209656, int_stack+208116, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2166214, int_stack+211636, int_stack+209656, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2172154, int_stack+2166214, int_stack+2161594, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2181394, int_stack+214111, int_stack+211636, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2188819, int_stack+2181394, int_stack+2166214, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2274490, int_stack+2188819, int_stack+2172154, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2161594, int_stack+217136, int_stack+214111, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2289890, int_stack+2161594, int_stack+2181394, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2304740, int_stack+2289890, int_stack+2188819, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2170669, int_stack+2304740, int_stack+2274490, 55);
 /*--- compute (m0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2274490, int_stack+220766, int_stack+217136, 55);
 /*--- compute (m0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1869946, int_stack+2274490, int_stack+2161594, 55);
 /*--- compute (m0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1888096, int_stack+1869946, int_stack+2289890, 55);
 /*--- compute (m0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2274490, int_stack+1888096, int_stack+2304740, 55);
 /*--- compute (m0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1869946, int_stack+2274490, int_stack+2170669, 55);
 /*--- compute (lp||ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+1869946, int_stack+1958518, 588);
 /*--- compute (kd||ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+79380, int_stack+0, int_stack+2210986, 588);
 /*--- compute (if||ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+457064, int_stack+79380, int_stack+2536570, 588);
 /*--- compute (n0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2536570, int_stack+226904, int_stack+225056, 66);
 /*--- compute (n0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2542114, int_stack+229280, int_stack+226904, 66);
 /*--- compute (n0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2549242, int_stack+2542114, int_stack+2536570, 66);
 /*--- compute (n0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2560330, int_stack+232250, int_stack+229280, 66);
 /*--- compute (n0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2569240, int_stack+2560330, int_stack+2542114, 66);
 /*--- compute (n0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2583496, int_stack+2569240, int_stack+2549242, 66);
 /*--- compute (n0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2536570, int_stack+235880, int_stack+232250, 66);
 /*--- compute (n0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2601976, int_stack+2536570, int_stack+2560330, 66);
 /*--- compute (n0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2619796, int_stack+2601976, int_stack+2569240, 66);
 /*--- compute (n0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2547460, int_stack+2619796, int_stack+2583496, 66);
 /*--- compute (n0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2575180, int_stack+240236, int_stack+235880, 66);
 /*--- compute (n0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2643556, int_stack+2575180, int_stack+2536570, 66);
 /*--- compute (n0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2665336, int_stack+2643556, int_stack+2601976, 66);
 /*--- compute (n0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2575180, int_stack+2665336, int_stack+2619796, 66);
 /*--- compute (n0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2610820, int_stack+2575180, int_stack+2547460, 66);
 /*--- compute (mp||ih) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+2161594, int_stack+2610820, int_stack+1869946, 588);
 /*--- compute (ld||ih) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+2536570, int_stack+2161594, int_stack+0, 588);
 /*--- compute (kf||ih) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+621704, int_stack+2536570, int_stack+79380, 588);
 /*--- compute (ig|[r12,T2]|ih) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+833384, int_stack+1658266, int_stack+1269526, 588);
     Libr12->te_ptr[3] = int_stack + 833384;
 /*--- compute (ig|[r12,T1]|ih) ---*/
   t1hrr1_build_ig(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1080344, int_stack+245384, int_stack+1434166, int_stack+2695330, int_stack+2324890, int_stack+1996954, 6, 5);
     Libr12->te_ptr[2] = int_stack + 1080344;
 /*--- compute (ig||ih) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+0, int_stack+621704, int_stack+457064, 588);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (ig|ih) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+246960, int_stack+2695330, int_stack+1996954, 588);
     Libr12->te_ptr[0] = int_stack + 246960;

}
