#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_igii(Libr12_t *, prim_data *);

  /* Computes (ig|ii) integrals for linear R12-methods */

void hrr_grt_order_igii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[6][11] = int_stack + 6440;
 Libr12->t2vrr_classes[6][12] = int_stack + 8624;
 Libr12->t2vrr_classes[7][6] = int_stack + 11172;
 Libr12->t2vrr_classes[7][7] = int_stack + 12180;
 Libr12->t2vrr_classes[7][8] = int_stack + 13476;
 Libr12->t2vrr_classes[7][9] = int_stack + 15096;
 Libr12->t2vrr_classes[7][10] = int_stack + 17076;
 Libr12->t2vrr_classes[7][11] = int_stack + 19452;
 Libr12->t2vrr_classes[7][12] = int_stack + 22260;
 Libr12->t2vrr_classes[8][6] = int_stack + 25536;
 Libr12->t2vrr_classes[8][7] = int_stack + 26796;
 Libr12->t2vrr_classes[8][8] = int_stack + 28416;
 Libr12->t2vrr_classes[8][9] = int_stack + 30441;
 Libr12->t2vrr_classes[8][10] = int_stack + 32916;
 Libr12->t2vrr_classes[8][11] = int_stack + 35886;
 Libr12->t2vrr_classes[8][12] = int_stack + 39396;
 Libr12->t2vrr_classes[9][6] = int_stack + 43491;
 Libr12->t2vrr_classes[9][7] = int_stack + 45031;
 Libr12->t2vrr_classes[9][8] = int_stack + 47011;
 Libr12->t2vrr_classes[9][9] = int_stack + 49486;
 Libr12->t2vrr_classes[9][10] = int_stack + 52511;
 Libr12->t2vrr_classes[9][11] = int_stack + 56141;
 Libr12->t2vrr_classes[9][12] = int_stack + 60431;
 Libr12->gvrr_classes[11][6] = int_stack + 65436;
 Libr12->t2vrr_classes[10][6] = int_stack + 67620;
 Libr12->gvrr_classes[11][7] = int_stack + 69468;
 Libr12->t2vrr_classes[10][7] = int_stack + 72276;
 Libr12->gvrr_classes[11][8] = int_stack + 74652;
 Libr12->t2vrr_classes[10][8] = int_stack + 78162;
 Libr12->gvrr_classes[11][9] = int_stack + 81132;
 Libr12->t2vrr_classes[10][9] = int_stack + 85422;
 Libr12->gvrr_classes[11][10] = int_stack + 89052;
 Libr12->t2vrr_classes[10][10] = int_stack + 94200;
 Libr12->gvrr_classes[11][11] = int_stack + 98556;
 Libr12->t2vrr_classes[10][11] = int_stack + 104640;
 Libr12->t2vrr_classes[10][12] = int_stack + 109788;
 Libr12->gvrr_classes[6][13] = int_stack + 115794;
 Libr12->t1vrr_classes[6][6] = int_stack + 118734;
 Libr12->t1vrr_classes[6][7] = int_stack + 119518;
 Libr12->t1vrr_classes[6][8] = int_stack + 120526;
 Libr12->t1vrr_classes[6][9] = int_stack + 121786;
 Libr12->t1vrr_classes[6][10] = int_stack + 123326;
 Libr12->t1vrr_classes[6][11] = int_stack + 125174;
 Libr12->t1vrr_classes[6][12] = int_stack + 127358;
 Libr12->gvrr_classes[7][13] = int_stack + 129906;
 Libr12->t1vrr_classes[7][6] = int_stack + 133686;
 Libr12->t1vrr_classes[7][7] = int_stack + 134694;
 Libr12->t1vrr_classes[7][8] = int_stack + 135990;
 Libr12->t1vrr_classes[7][9] = int_stack + 137610;
 Libr12->t1vrr_classes[7][10] = int_stack + 139590;
 Libr12->t1vrr_classes[7][11] = int_stack + 141966;
 Libr12->t1vrr_classes[7][12] = int_stack + 144774;
 Libr12->gvrr_classes[8][13] = int_stack + 148050;
 Libr12->t1vrr_classes[8][6] = int_stack + 152775;
 Libr12->t1vrr_classes[8][7] = int_stack + 154035;
 Libr12->t1vrr_classes[8][8] = int_stack + 155655;
 Libr12->t1vrr_classes[8][9] = int_stack + 157680;
 Libr12->t1vrr_classes[8][10] = int_stack + 160155;
 Libr12->t1vrr_classes[8][11] = int_stack + 163125;
 Libr12->t1vrr_classes[8][12] = int_stack + 166635;
 Libr12->gvrr_classes[9][13] = int_stack + 170730;
 Libr12->t1vrr_classes[9][6] = int_stack + 176505;
 Libr12->t1vrr_classes[9][7] = int_stack + 178045;
 Libr12->t1vrr_classes[9][8] = int_stack + 180025;
 Libr12->t1vrr_classes[9][9] = int_stack + 182500;
 Libr12->t1vrr_classes[9][10] = int_stack + 185525;
 Libr12->t1vrr_classes[9][11] = int_stack + 189155;
 Libr12->t1vrr_classes[9][12] = int_stack + 193445;
 Libr12->t1vrr_classes[10][6] = int_stack + 198450;
 Libr12->t1vrr_classes[10][7] = int_stack + 200298;
 Libr12->t1vrr_classes[10][8] = int_stack + 202674;
 Libr12->t1vrr_classes[10][9] = int_stack + 205644;
 Libr12->t1vrr_classes[10][10] = int_stack + 209274;
 Libr12->t1vrr_classes[10][11] = int_stack + 213630;
 Libr12->t1vrr_classes[10][12] = int_stack + 218778;
 Libr12->rvrr_classes[6][6] = int_stack + 224784;
 Libr12->rvrr_classes[6][7] = int_stack + 225568;
 Libr12->rvrr_classes[6][8] = int_stack + 226576;
 Libr12->rvrr_classes[6][9] = int_stack + 227836;
 Libr12->rvrr_classes[6][10] = int_stack + 229376;
 Libr12->rvrr_classes[6][11] = int_stack + 231224;
 Libr12->rvrr_classes[6][12] = int_stack + 233408;
 Libr12->rvrr_classes[7][6] = int_stack + 235956;
 Libr12->rvrr_classes[7][7] = int_stack + 236964;
 Libr12->rvrr_classes[7][8] = int_stack + 238260;
 Libr12->rvrr_classes[7][9] = int_stack + 239880;
 Libr12->rvrr_classes[7][10] = int_stack + 241860;
 Libr12->rvrr_classes[7][11] = int_stack + 244236;
 Libr12->rvrr_classes[7][12] = int_stack + 247044;
 Libr12->rvrr_classes[8][6] = int_stack + 250320;
 Libr12->rvrr_classes[8][7] = int_stack + 251580;
 Libr12->rvrr_classes[8][8] = int_stack + 253200;
 Libr12->rvrr_classes[8][9] = int_stack + 255225;
 Libr12->rvrr_classes[8][10] = int_stack + 257700;
 Libr12->rvrr_classes[8][11] = int_stack + 260670;
 Libr12->rvrr_classes[8][12] = int_stack + 264180;
 Libr12->rvrr_classes[9][6] = int_stack + 268275;
 Libr12->rvrr_classes[9][7] = int_stack + 269815;
 Libr12->rvrr_classes[9][8] = int_stack + 271795;
 Libr12->rvrr_classes[9][9] = int_stack + 274270;
 Libr12->rvrr_classes[9][10] = int_stack + 277295;
 Libr12->rvrr_classes[9][11] = int_stack + 280925;
 Libr12->rvrr_classes[9][12] = int_stack + 285215;
 Libr12->rvrr_classes[10][6] = int_stack + 290220;
 Libr12->rvrr_classes[10][7] = int_stack + 292068;
 Libr12->rvrr_classes[10][8] = int_stack + 294444;
 Libr12->rvrr_classes[10][9] = int_stack + 297414;
 Libr12->rvrr_classes[10][10] = int_stack + 301044;
 Libr12->rvrr_classes[10][11] = int_stack + 305400;
 Libr12->rvrr_classes[10][12] = int_stack + 310548;
 Libr12->gvrr_classes[6][6] = int_stack + 316554;
 Libr12->gvrr_classes[6][7] = int_stack + 317338;
 Libr12->gvrr_classes[6][8] = int_stack + 318346;
 Libr12->gvrr_classes[6][9] = int_stack + 319606;
 Libr12->gvrr_classes[6][10] = int_stack + 321146;
 Libr12->gvrr_classes[6][11] = int_stack + 322994;
 Libr12->gvrr_classes[6][12] = int_stack + 325178;
 Libr12->gvrr_classes[7][6] = int_stack + 327726;
 Libr12->gvrr_classes[7][7] = int_stack + 328734;
 Libr12->gvrr_classes[7][8] = int_stack + 330030;
 Libr12->gvrr_classes[7][9] = int_stack + 331650;
 Libr12->gvrr_classes[7][10] = int_stack + 333630;
 Libr12->gvrr_classes[7][11] = int_stack + 336006;
 Libr12->gvrr_classes[7][12] = int_stack + 338814;
 Libr12->gvrr_classes[8][6] = int_stack + 342090;
 Libr12->gvrr_classes[8][7] = int_stack + 343350;
 Libr12->gvrr_classes[8][8] = int_stack + 344970;
 Libr12->gvrr_classes[8][9] = int_stack + 346995;
 Libr12->gvrr_classes[8][10] = int_stack + 349470;
 Libr12->gvrr_classes[8][11] = int_stack + 352440;
 Libr12->gvrr_classes[8][12] = int_stack + 355950;
 Libr12->gvrr_classes[9][6] = int_stack + 360045;
 Libr12->gvrr_classes[9][7] = int_stack + 361585;
 Libr12->gvrr_classes[9][8] = int_stack + 363565;
 Libr12->gvrr_classes[9][9] = int_stack + 366040;
 Libr12->gvrr_classes[9][10] = int_stack + 369065;
 Libr12->gvrr_classes[9][11] = int_stack + 372695;
 Libr12->gvrr_classes[9][12] = int_stack + 376985;
 Libr12->gvrr_classes[10][6] = int_stack + 381990;
 Libr12->gvrr_classes[10][7] = int_stack + 383838;
 Libr12->gvrr_classes[10][8] = int_stack + 386214;
 Libr12->gvrr_classes[10][9] = int_stack + 389184;
 Libr12->gvrr_classes[10][10] = int_stack + 392814;
 Libr12->gvrr_classes[10][11] = int_stack + 397170;
 Libr12->gvrr_classes[10][12] = int_stack + 402318;
 memset(int_stack,0,408324*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 408324;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_igii(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+408324, int_stack+317338, int_stack+316554, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+410676, int_stack+318346, int_stack+317338, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+413700, int_stack+410676, int_stack+408324, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+418404, int_stack+319606, int_stack+318346, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+422184, int_stack+418404, int_stack+410676, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+428232, int_stack+422184, int_stack+413700, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+436072, int_stack+321146, int_stack+319606, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+440692, int_stack+436072, int_stack+418404, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+448252, int_stack+440692, int_stack+422184, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+458332, int_stack+448252, int_stack+428232, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+470092, int_stack+322994, int_stack+321146, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+475636, int_stack+470092, int_stack+436072, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+484876, int_stack+475636, int_stack+440692, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+497476, int_stack+484876, int_stack+448252, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+512596, int_stack+497476, int_stack+458332, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+529060, int_stack+328734, int_stack+327726, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+532084, int_stack+330030, int_stack+328734, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+535972, int_stack+532084, int_stack+529060, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+542020, int_stack+331650, int_stack+330030, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+546880, int_stack+542020, int_stack+532084, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+554656, int_stack+546880, int_stack+535972, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+564736, int_stack+333630, int_stack+331650, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+570676, int_stack+564736, int_stack+542020, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+580396, int_stack+570676, int_stack+546880, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+593356, int_stack+580396, int_stack+554656, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+608476, int_stack+336006, int_stack+333630, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+615604, int_stack+608476, int_stack+564736, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+627484, int_stack+615604, int_stack+570676, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+643684, int_stack+627484, int_stack+580396, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+663124, int_stack+643684, int_stack+593356, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+684292, int_stack+325178, int_stack+322994, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+690844, int_stack+684292, int_stack+470092, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+701932, int_stack+690844, int_stack+475636, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+717332, int_stack+701932, int_stack+484876, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+736232, int_stack+717332, int_stack+497476, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+757400, int_stack+784, int_stack+0, int_stack+317338, int_stack+327726, int_stack+316554, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+759752, int_stack+1792, int_stack+784, int_stack+318346, int_stack+328734, int_stack+317338, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+762776, int_stack+759752, int_stack+757400, int_stack+410676, int_stack+529060, int_stack+408324, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+767480, int_stack+3052, int_stack+1792, int_stack+319606, int_stack+330030, int_stack+318346, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+771260, int_stack+767480, int_stack+759752, int_stack+418404, int_stack+532084, int_stack+410676, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+777308, int_stack+771260, int_stack+762776, int_stack+422184, int_stack+535972, int_stack+413700, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+408324, int_stack+4592, int_stack+3052, int_stack+321146, int_stack+331650, int_stack+319606, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+757400, int_stack+408324, int_stack+767480, int_stack+436072, int_stack+542020, int_stack+418404, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+785148, int_stack+757400, int_stack+771260, int_stack+440692, int_stack+546880, int_stack+422184, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+412944, int_stack+785148, int_stack+777308, int_stack+448252, int_stack+554656, int_stack+428232, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+424704, int_stack+6440, int_stack+4592, int_stack+322994, int_stack+333630, int_stack+321146, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+764960, int_stack+424704, int_stack+408324, int_stack+470092, int_stack+564736, int_stack+436072, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+795228, int_stack+764960, int_stack+757400, int_stack+475636, int_stack+570676, int_stack+440692, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+430248, int_stack+795228, int_stack+785148, int_stack+484876, int_stack+580396, int_stack+448252, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+774200, int_stack+430248, int_stack+412944, int_stack+497476, int_stack+593356, int_stack+458332, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+757400, int_stack+8624, int_stack+6440, int_stack+325178, int_stack+336006, int_stack+322994, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+408324, int_stack+757400, int_stack+424704, int_stack+684292, int_stack+608476, int_stack+470092, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+445368, int_stack+408324, int_stack+764960, int_stack+690844, int_stack+615604, int_stack+475636, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+408324, int_stack+445368, int_stack+795228, int_stack+701932, int_stack+627484, int_stack+484876, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+445368, int_stack+408324, int_stack+430248, int_stack+717332, int_stack+643684, int_stack+497476, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+408324, int_stack+445368, int_stack+774200, int_stack+736232, int_stack+663124, int_stack+512596, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+430276, int_stack+343350, int_stack+342090, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+434056, int_stack+344970, int_stack+343350, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+438916, int_stack+434056, int_stack+430276, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+446476, int_stack+346995, int_stack+344970, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+452551, int_stack+446476, int_stack+434056, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+462271, int_stack+452551, int_stack+438916, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+474871, int_stack+349470, int_stack+346995, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+482296, int_stack+474871, int_stack+446476, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+494446, int_stack+482296, int_stack+452551, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+757400, int_stack+494446, int_stack+462271, 45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+776300, int_stack+352440, int_stack+349470, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+785210, int_stack+776300, int_stack+474871, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+800060, int_stack+785210, int_stack+482296, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+820310, int_stack+800060, int_stack+494446, 45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+844610, int_stack+820310, int_stack+757400, 45);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+316554, int_stack+338814, int_stack+336006, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+871070, int_stack+316554, int_stack+608476, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+885326, int_stack+871070, int_stack+615604, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+905126, int_stack+885326, int_stack+627484, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+929426, int_stack+905126, int_stack+643684, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+12180, int_stack+11172, int_stack+328734, int_stack+342090, int_stack+327726, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+13476, int_stack+12180, int_stack+330030, int_stack+343350, int_stack+328734, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6912, int_stack+3024, int_stack+0, int_stack+532084, int_stack+430276, int_stack+529060, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+956642, int_stack+15096, int_stack+13476, int_stack+331650, int_stack+344970, int_stack+330030, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+961502, int_stack+956642, int_stack+3024, int_stack+542020, int_stack+434056, int_stack+532084, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+969278, int_stack+961502, int_stack+6912, int_stack+546880, int_stack+438916, int_stack+535972, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+529060, int_stack+17076, int_stack+15096, int_stack+333630, int_stack+346995, int_stack+331650, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+529060, int_stack+956642, int_stack+564736, int_stack+446476, int_stack+542020, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+979358, int_stack+0, int_stack+961502, int_stack+570676, int_stack+452551, int_stack+546880, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+535000, int_stack+979358, int_stack+969278, int_stack+580396, int_stack+462271, int_stack+554656, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+956642, int_stack+19452, int_stack+17076, int_stack+336006, int_stack+349470, int_stack+333630, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+963770, int_stack+956642, int_stack+529060, int_stack+608476, int_stack+474871, int_stack+564736, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+550120, int_stack+963770, int_stack+0, int_stack+615604, int_stack+482296, int_stack+570676, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+550120, int_stack+979358, int_stack+627484, int_stack+494446, int_stack+580396, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+566320, int_stack+0, int_stack+535000, int_stack+643684, int_stack+757400, int_stack+593356, 7, 0);
 /*--- compute (k0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+529060, int_stack+22260, int_stack+19452, int_stack+338814, int_stack+352440, int_stack+336006, 7, 0);
 /*--- compute (k0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+975650, int_stack+529060, int_stack+956642, int_stack+316554, int_stack+776300, int_stack+608476, 7, 0);
 /*--- compute (k0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+529060, int_stack+975650, int_stack+963770, int_stack+871070, int_stack+785210, int_stack+615604, 7, 0);
 /*--- compute (k0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+956642, int_stack+529060, int_stack+550120, int_stack+885326, int_stack+800060, int_stack+627484, 7, 0);
 /*--- compute (k0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+529060, int_stack+956642, int_stack+0, int_stack+905126, int_stack+820310, int_stack+643684, 7, 0);
 /*--- compute (k0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+956642, int_stack+529060, int_stack+566320, int_stack+929426, int_stack+844610, int_stack+663124, 7, 0);
 /*--- compute (ip|[r12,T2]|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+529060, int_stack+956642, int_stack+408324, 784);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+408324, int_stack+361585, int_stack+360045, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+412944, int_stack+363565, int_stack+361585, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+418884, int_stack+412944, int_stack+408324, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+594916, int_stack+366040, int_stack+363565, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+602341, int_stack+594916, int_stack+412944, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+614221, int_stack+602341, int_stack+418884, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+629621, int_stack+369065, int_stack+366040, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+638696, int_stack+629621, int_stack+594916, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+638696, int_stack+602341, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+984866, int_stack+0, int_stack+614221, 55);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+327726, int_stack+372695, int_stack+369065, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1007966, int_stack+327726, int_stack+629621, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1026116, int_stack+1007966, int_stack+638696, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1050866, int_stack+1026116, int_stack+0, 55);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1080566, int_stack+1050866, int_stack+984866, 55);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1112906, int_stack+355950, int_stack+352440, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1123436, int_stack+1112906, int_stack+776300, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1141256, int_stack+1123436, int_stack+785210, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1166006, int_stack+1141256, int_stack+800060, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1196381, int_stack+1166006, int_stack+820310, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+653546, int_stack+26796, int_stack+25536, int_stack+343350, int_stack+360045, int_stack+342090, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+657326, int_stack+28416, int_stack+26796, int_stack+344970, int_stack+361585, int_stack+343350, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19800, int_stack+657326, int_stack+653546, int_stack+434056, int_stack+408324, int_stack+430276, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1230401, int_stack+30441, int_stack+28416, int_stack+346995, int_stack+363565, int_stack+344970, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1236476, int_stack+1230401, int_stack+657326, int_stack+446476, int_stack+412944, int_stack+434056, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1246196, int_stack+1236476, int_stack+19800, int_stack+452551, int_stack+418884, int_stack+438916, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19800, int_stack+32916, int_stack+30441, int_stack+349470, int_stack+366040, int_stack+346995, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+428124, int_stack+19800, int_stack+1230401, int_stack+474871, int_stack+594916, int_stack+446476, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1258796, int_stack+428124, int_stack+1236476, int_stack+482296, int_stack+602341, int_stack+452551, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+440274, int_stack+1258796, int_stack+1246196, int_stack+494446, int_stack+614221, int_stack+462271, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1230401, int_stack+35886, int_stack+32916, int_stack+352440, int_stack+369065, int_stack+349470, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1239311, int_stack+1230401, int_stack+19800, int_stack+776300, int_stack+629621, int_stack+474871, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+459174, int_stack+1239311, int_stack+428124, int_stack+785210, int_stack+638696, int_stack+482296, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1274996, int_stack+459174, int_stack+1258796, int_stack+800060, int_stack+0, int_stack+494446, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+479424, int_stack+1274996, int_stack+440274, int_stack+820310, int_stack+984866, int_stack+757400, 8, 0);
 /*--- compute (l0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+757400, int_stack+39396, int_stack+35886, int_stack+355950, int_stack+372695, int_stack+352440, 8, 0);
 /*--- compute (l0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+428124, int_stack+757400, int_stack+1230401, int_stack+1112906, int_stack+327726, int_stack+776300, 8, 0);
 /*--- compute (l0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+757400, int_stack+428124, int_stack+1239311, int_stack+1123436, int_stack+1007966, int_stack+785210, 8, 0);
 /*--- compute (l0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+428124, int_stack+757400, int_stack+459174, int_stack+1141256, int_stack+1026116, int_stack+800060, 8, 0);
 /*--- compute (l0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+757400, int_stack+428124, int_stack+1274996, int_stack+1166006, int_stack+1050866, int_stack+820310, 8, 0);
 /*--- compute (l0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+428124, int_stack+757400, int_stack+479424, int_stack+1196381, int_stack+1080566, int_stack+844610, 8, 0);
 /*--- compute (kp|[r12,T2]|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+757400, int_stack+428124, int_stack+956642, 784);
 /*--- compute (id|[r12,T2]|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1230401, int_stack+757400, int_stack+529060, 784);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+529060, int_stack+383838, int_stack+381990, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+534604, int_stack+386214, int_stack+383838, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+541732, int_stack+534604, int_stack+529060, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+552820, int_stack+389184, int_stack+386214, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+561730, int_stack+552820, int_stack+534604, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+575986, int_stack+561730, int_stack+541732, 66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+956642, int_stack+392814, int_stack+389184, 66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+463404, int_stack+956642, int_stack+552820, 66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+481224, int_stack+463404, int_stack+561730, 66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1362113, int_stack+481224, int_stack+575986, 66);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+967532, int_stack+397170, int_stack+392814, 66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+19800, int_stack+967532, int_stack+956642, 66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1389833, int_stack+19800, int_stack+463404, 66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1419533, int_stack+1389833, int_stack+481224, 66);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1455173, int_stack+1419533, int_stack+1362113, 66);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+342090, int_stack+376985, int_stack+372695, 55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1493981, int_stack+342090, int_stack+327726, 55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1515761, int_stack+1493981, int_stack+1007966, 55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1546011, int_stack+1515761, int_stack+1026116, 55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1583136, int_stack+1546011, int_stack+1050866, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+504984, int_stack+45031, int_stack+43491, int_stack+361585, int_stack+381990, int_stack+360045, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+653546, int_stack+47011, int_stack+45031, int_stack+363565, int_stack+383838, int_stack+361585, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1624716, int_stack+653546, int_stack+504984, int_stack+412944, int_stack+529060, int_stack+408324, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+504984, int_stack+49486, int_stack+47011, int_stack+366040, int_stack+386214, int_stack+363565, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1633956, int_stack+504984, int_stack+653546, int_stack+594916, int_stack+534604, int_stack+412944, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1645836, int_stack+1633956, int_stack+1624716, int_stack+602341, int_stack+541732, int_stack+418884, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1624716, int_stack+52511, int_stack+49486, int_stack+369065, int_stack+389184, int_stack+366040, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+408324, int_stack+1624716, int_stack+504984, int_stack+629621, int_stack+552820, int_stack+594916, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1661236, int_stack+408324, int_stack+1633956, int_stack+638696, int_stack+561730, int_stack+602341, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1681036, int_stack+1661236, int_stack+1645836, int_stack+0, int_stack+575986, int_stack+614221, 9, 0);
 /*--- compute (m0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1633791, int_stack+56141, int_stack+52511, int_stack+372695, int_stack+392814, int_stack+369065, 9, 0);
 /*--- compute (m0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+594466, int_stack+1633791, int_stack+1624716, int_stack+327726, int_stack+956642, int_stack+629621, 9, 0);
 /*--- compute (m0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+612616, int_stack+594466, int_stack+408324, int_stack+1007966, int_stack+463404, int_stack+638696, 9, 0);
 /*--- compute (m0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1704136, int_stack+612616, int_stack+1661236, int_stack+1026116, int_stack+481224, int_stack+0, 9, 0);
 /*--- compute (m0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1644681, int_stack+1704136, int_stack+1681036, int_stack+1050866, int_stack+1362113, int_stack+984866, 9, 0);
 /*--- compute (m0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+60431, int_stack+56141, int_stack+376985, int_stack+397170, int_stack+372695, 9, 0);
 /*--- compute (m0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1677021, int_stack+0, int_stack+1633791, int_stack+342090, int_stack+967532, int_stack+327726, 9, 0);
 /*--- compute (m0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1733836, int_stack+1677021, int_stack+594466, int_stack+1493981, int_stack+19800, int_stack+1007966, 9, 0);
 /*--- compute (m0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+980600, int_stack+1733836, int_stack+612616, int_stack+1515761, int_stack+1389833, int_stack+1026116, 9, 0);
 /*--- compute (m0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+594466, int_stack+980600, int_stack+1704136, int_stack+1546011, int_stack+1419533, int_stack+1050866, 9, 0);
 /*--- compute (m0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+980600, int_stack+594466, int_stack+1644681, int_stack+1583136, int_stack+1455173, int_stack+1080566, 9, 0);
 /*--- compute (lp|[r12,T2]|ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1624716, int_stack+980600, int_stack+428124, 784);
 /*--- compute (kd|[r12,T2]|ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1730556, int_stack+1624716, int_stack+757400, 784);
 /*--- compute (if|[r12,T2]|ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1899900, int_stack+1730556, int_stack+1230401, 784);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1230401, int_stack+69468, int_stack+65436, 78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1236953, int_stack+74652, int_stack+69468, 78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1245377, int_stack+1236953, int_stack+1230401, 78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1258481, int_stack+81132, int_stack+74652, 78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1269011, int_stack+1258481, int_stack+1236953, 78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1285859, int_stack+1269011, int_stack+1245377, 78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1307699, int_stack+89052, int_stack+81132, 78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1320569, int_stack+1307699, int_stack+1258481, 78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+757400, int_stack+1320569, int_stack+1269011, 78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+785480, int_stack+757400, int_stack+1285859, 78);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1341629, int_stack+98556, int_stack+89052, 78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+818240, int_stack+1341629, int_stack+1307699, 78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+594466, int_stack+818240, int_stack+1320569, 78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1023720, int_stack+594466, int_stack+757400, 78);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+408324, int_stack+1023720, int_stack+785480, 78);
 /*--- compute (n0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+629566, int_stack+402318, int_stack+397170, 66);
 /*--- compute (n0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2119420, int_stack+629566, int_stack+967532, 66);
 /*--- compute (n0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+2145556, int_stack+2119420, int_stack+19800, 66);
 /*--- compute (n0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+2181856, int_stack+2145556, int_stack+1389833, 66);
 /*--- compute (n0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+2226406, int_stack+2181856, int_stack+1419533, 66);
 /*--- compute (n0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+645010, int_stack+72276, int_stack+67620, int_stack+383838, int_stack+65436, int_stack+381990, 10, 0);
 /*--- compute (n0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+650554, int_stack+78162, int_stack+72276, int_stack+386214, int_stack+69468, int_stack+383838, 10, 0);
 /*--- compute (n0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+327726, int_stack+650554, int_stack+645010, int_stack+534604, int_stack+1230401, int_stack+529060, 10, 0);
 /*--- compute (n0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1065840, int_stack+85422, int_stack+78162, int_stack+389184, int_stack+74652, int_stack+386214, 10, 0);
 /*--- compute (n0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1065840, int_stack+650554, int_stack+552820, int_stack+1236953, int_stack+534604, 10, 0);
 /*--- compute (n0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41580, int_stack+0, int_stack+327726, int_stack+561730, int_stack+1245377, int_stack+541732, 10, 0);
 /*--- compute (n0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+327726, int_stack+94200, int_stack+85422, int_stack+392814, int_stack+81132, int_stack+389184, 10, 0);
 /*--- compute (n0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+529060, int_stack+327726, int_stack+1065840, int_stack+956642, int_stack+1258481, int_stack+552820, 10, 0);
 /*--- compute (n0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1230401, int_stack+529060, int_stack+0, int_stack+463404, int_stack+1269011, int_stack+561730, 10, 0);
 /*--- compute (n0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+546880, int_stack+1230401, int_stack+41580, int_stack+481224, int_stack+1285859, int_stack+575986, 10, 0);
 /*--- compute (n0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41580, int_stack+104640, int_stack+94200, int_stack+397170, int_stack+89052, int_stack+392814, 10, 0);
 /*--- compute (n0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54648, int_stack+41580, int_stack+327726, int_stack+967532, int_stack+1307699, int_stack+956642, 10, 0);
 /*--- compute (n0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1254161, int_stack+54648, int_stack+529060, int_stack+19800, int_stack+1320569, int_stack+463404, 10, 0);
 /*--- compute (n0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1283861, int_stack+1254161, int_stack+1230401, int_stack+1389833, int_stack+757400, int_stack+481224, 10, 0);
 /*--- compute (n0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+454188, int_stack+1283861, int_stack+546880, int_stack+1419533, int_stack+785480, int_stack+1362113, 10, 0);
 /*--- compute (n0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+757400, int_stack+109788, int_stack+104640, int_stack+402318, int_stack+98556, int_stack+397170, 10, 0);
 /*--- compute (n0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+772844, int_stack+757400, int_stack+41580, int_stack+629566, int_stack+1341629, int_stack+967532, 10, 0);
 /*--- compute (n0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+529060, int_stack+772844, int_stack+54648, int_stack+2119420, int_stack+818240, int_stack+19800, 10, 0);
 /*--- compute (n0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+757400, int_stack+529060, int_stack+1254161, int_stack+2145556, int_stack+594466, int_stack+1389833, 10, 0);
 /*--- compute (n0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+529060, int_stack+757400, int_stack+1283861, int_stack+2181856, int_stack+1023720, int_stack+1419533, 10, 0);
 /*--- compute (n0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1023720, int_stack+529060, int_stack+454188, int_stack+2226406, int_stack+408324, int_stack+1455173, 10, 0);
 /*--- compute (mp|[r12,T2]|ii) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+529060, int_stack+1023720, int_stack+980600, 784);
 /*--- compute (ld|[r12,T2]|ii) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+1230401, int_stack+529060, int_stack+1624716, 784);
 /*--- compute (kf|[r12,T2]|ii) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+2276302, int_stack+1230401, int_stack+1730556, 784);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1230401, int_stack+736232, int_stack+512596, 28);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1252353, int_stack+929426, int_stack+663124, 36);
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+1280577, int_stack+1252353, int_stack+1230401, 784);
 /*--- compute (l0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1346433, int_stack+1196381, int_stack+844610, 45);
 /*--- compute (kp|ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1624716, int_stack+1346433, int_stack+1252353, 784);
 /*--- compute (id|ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1709388, int_stack+1624716, int_stack+1280577, 784);
 /*--- compute (m0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1381713, int_stack+1583136, int_stack+1080566, 55);
 /*--- compute (lp|ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+757400, int_stack+1381713, int_stack+1346433, 784);
 /*--- compute (kd|ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+381990, int_stack+757400, int_stack+1624716, 784);
 /*--- compute (if|ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+2558542, int_stack+381990, int_stack+1709388, 784);
 /*--- compute (i0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+1424833, int_stack+115794, int_stack+325178, 28);
 /*--- compute (i0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+1432477, int_stack+1424833, int_stack+684292, 28);
 /*--- compute (i0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+1841100, int_stack+1432477, int_stack+690844, 28);
 /*--- compute (i0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1424833, int_stack+1841100, int_stack+701932, 28);
 /*--- compute (i0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+1841100, int_stack+1424833, int_stack+717332, 28);
 /*--- compute (i0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+1424833, int_stack+1841100, int_stack+736232, 28);
 /*--- compute (k0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+1841100, int_stack+129906, int_stack+338814, 36);
 /*--- compute (k0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+1850928, int_stack+1841100, int_stack+316554, 36);
 /*--- compute (k0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+316554, int_stack+1850928, int_stack+871070, 36);
 /*--- compute (k0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1841100, int_stack+316554, int_stack+885326, 36);
 /*--- compute (k0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+863240, int_stack+1841100, int_stack+905126, 36);
 /*--- compute (k0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+1841100, int_stack+863240, int_stack+929426, 36);
 /*--- compute (ip|ki) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+863240, int_stack+1841100, int_stack+1424833, 1008);
 /*--- compute (l0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+947912, int_stack+148050, int_stack+355950, 45);
 /*--- compute (l0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+960197, int_stack+947912, int_stack+1112906, 45);
 /*--- compute (l0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+981257, int_stack+960197, int_stack+1123436, 45);
 /*--- compute (l0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1010957, int_stack+981257, int_stack+1141256, 45);
 /*--- compute (l0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+947912, int_stack+1010957, int_stack+1166006, 45);
 /*--- compute (l0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+990437, int_stack+947912, int_stack+1196381, 45);
 /*--- compute (kp|ki) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1035797, int_stack+990437, int_stack+1841100, 1008);
 /*--- compute (id|ki) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+551334, int_stack+1035797, int_stack+863240, 1008);
 /*--- compute (m0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+947912, int_stack+170730, int_stack+376985, 55);
 /*--- compute (m0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+962927, int_stack+947912, int_stack+342090, 55);
 /*--- compute (m0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+1144661, int_stack+962927, int_stack+1493981, 55);
 /*--- compute (m0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+1180961, int_stack+1144661, int_stack+1515761, 55);
 /*--- compute (m0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+1493981, int_stack+1180961, int_stack+1546011, 55);
 /*--- compute (m0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+1144661, int_stack+1493981, int_stack+1583136, 55);
 /*--- compute (lp|ki) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+2778062, int_stack+1144661, int_stack+990437, 1008);
 /*--- compute (kd|ki) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+2914142, int_stack+2778062, int_stack+1035797, 1008);
 /*--- compute (if|ki) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+3131870, int_stack+2914142, int_stack+551334, 1008);
 /*--- compute (n0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1493981, int_stack+2226406, int_stack+1455173, 66);
 /*--- compute (mp|ii) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+2119420, int_stack+1493981, int_stack+1381713, 784);
 /*--- compute (ld|ii) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+3414110, int_stack+2119420, int_stack+757400, 784);
 /*--- compute (kf|ii) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+3625790, int_stack+3414110, int_stack+381990, 784);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1545725, int_stack+119518, int_stack+118734, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1548077, int_stack+120526, int_stack+119518, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1551101, int_stack+1548077, int_stack+1545725, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+129906, int_stack+121786, int_stack+120526, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1555805, int_stack+129906, int_stack+1548077, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1561853, int_stack+1555805, int_stack+1551101, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1545725, int_stack+123326, int_stack+121786, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1569693, int_stack+1545725, int_stack+129906, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1577253, int_stack+1569693, int_stack+1555805, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1587333, int_stack+1577253, int_stack+1561853, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1550345, int_stack+125174, int_stack+123326, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1555889, int_stack+1550345, int_stack+1545725, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1599093, int_stack+1555889, int_stack+1569693, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1200101, int_stack+1599093, int_stack+1577253, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1565129, int_stack+1200101, int_stack+1587333, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1581593, int_stack+127358, int_stack+125174, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1611693, int_stack+1581593, int_stack+1550345, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1581593, int_stack+1611693, int_stack+1555889, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1545725, int_stack+1581593, int_stack+1599093, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1581593, int_stack+1545725, int_stack+1200101, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1200101, int_stack+1581593, int_stack+1565129, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1222053, int_stack+134694, int_stack+133686, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1225077, int_stack+135990, int_stack+134694, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1545725, int_stack+1225077, int_stack+1222053, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1551773, int_stack+137610, int_stack+135990, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1556633, int_stack+1551773, int_stack+1225077, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1564409, int_stack+1556633, int_stack+1545725, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1545725, int_stack+139590, int_stack+137610, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1574489, int_stack+1545725, int_stack+1551773, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1584209, int_stack+1574489, int_stack+1556633, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1597169, int_stack+1584209, int_stack+1564409, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1551665, int_stack+141966, int_stack+139590, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1558793, int_stack+1551665, int_stack+1545725, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+947912, int_stack+1558793, int_stack+1574489, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+964112, int_stack+947912, int_stack+1584209, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1570673, int_stack+964112, int_stack+1597169, 36);
 /*--- compute (k0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1591841, int_stack+144774, int_stack+141966, 36);
 /*--- compute (k0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1600265, int_stack+1591841, int_stack+1551665, 36);
 /*--- compute (k0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1877388, int_stack+1600265, int_stack+1558793, 36);
 /*--- compute (k0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1591841, int_stack+1877388, int_stack+947912, 36);
 /*--- compute (k0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+316554, int_stack+1591841, int_stack+964112, 36);
 /*--- compute (k0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1591841, int_stack+316554, int_stack+1570673, 36);
 /*--- compute (ip|[r12,T1]|ii) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1591841, int_stack+1200101, int_stack+1252353, int_stack+1424833, int_stack+1230401, 6, 6);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1424833, int_stack+154035, int_stack+152775, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1428613, int_stack+155655, int_stack+154035, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1433473, int_stack+1428613, int_stack+1424833, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1441033, int_stack+157680, int_stack+155655, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1447108, int_stack+1441033, int_stack+1428613, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1456828, int_stack+1447108, int_stack+1433473, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1424833, int_stack+160155, int_stack+157680, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1469428, int_stack+1424833, int_stack+1441033, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1200101, int_stack+1469428, int_stack+1447108, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1432258, int_stack+1200101, int_stack+1456828, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1451158, int_stack+163125, int_stack+160155, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1216301, int_stack+1451158, int_stack+1424833, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1231151, int_stack+1216301, int_stack+1469428, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1460068, int_stack+1231151, int_stack+1200101, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+316554, int_stack+1460068, int_stack+1432258, 45);
 /*--- compute (l0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1200101, int_stack+166635, int_stack+163125, 45);
 /*--- compute (l0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1424833, int_stack+1200101, int_stack+1451158, 45);
 /*--- compute (l0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+343014, int_stack+1424833, int_stack+1216301, 45);
 /*--- compute (l0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1424833, int_stack+343014, int_stack+1231151, 45);
 /*--- compute (l0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+343014, int_stack+1424833, int_stack+1460068, 45);
 /*--- compute (l0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1424833, int_stack+343014, int_stack+316554, 45);
 /*--- compute (kp|[r12,T1]|ii) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+65856, int_stack+1424833, int_stack+1591841, int_stack+1346433, int_stack+1841100, int_stack+1252353, 6, 6);
 /*--- compute (id|[r12,T1]|ii) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3908030, int_stack+65856, int_stack+0, int_stack+1624716, int_stack+863240, int_stack+1280577, 6, 6);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+863240, int_stack+178045, int_stack+176505, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+867860, int_stack+180025, int_stack+178045, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+873800, int_stack+867860, int_stack+863240, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+883040, int_stack+182500, int_stack+180025, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+890465, int_stack+883040, int_stack+867860, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+902345, int_stack+890465, int_stack+873800, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+863240, int_stack+185525, int_stack+182500, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+917745, int_stack+863240, int_stack+883040, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+932595, int_stack+917745, int_stack+890465, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+872315, int_stack+932595, int_stack+902345, 55);
 /*--- compute (m0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+895415, int_stack+189155, int_stack+185525, 55);
 /*--- compute (m0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+952395, int_stack+895415, int_stack+863240, 55);
 /*--- compute (m0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+952395, int_stack+917745, 55);
 /*--- compute (m0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+24750, int_stack+0, int_stack+932595, 55);
 /*--- compute (m0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+906305, int_stack+24750, int_stack+872315, 55);
 /*--- compute (m0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+863240, int_stack+193445, int_stack+189155, 55);
 /*--- compute (m0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1841100, int_stack+863240, int_stack+895415, 55);
 /*--- compute (m0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+863240, int_stack+1841100, int_stack+952395, 55);
 /*--- compute (m0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1841100, int_stack+863240, int_stack+0, 55);
 /*--- compute (m0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+863240, int_stack+1841100, int_stack+24750, 55);
 /*--- compute (m0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+1841100, int_stack+863240, int_stack+906305, 55);
 /*--- compute (lp|[r12,T1]|ii) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+863240, int_stack+1841100, int_stack+1424833, int_stack+1381713, int_stack+990437, int_stack+1346433, 6, 6);
 /*--- compute (kd|[r12,T1]|ii) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1200101, int_stack+863240, int_stack+65856, int_stack+757400, int_stack+1035797, int_stack+1624716, 6, 6);
 /*--- compute (if|[r12,T1]|ii) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+4039742, int_stack+1200101, int_stack+3908030, int_stack+381990, int_stack+551334, int_stack+1709388, 6, 6);
 /*--- compute (n0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+551334, int_stack+200298, int_stack+198450, 66);
 /*--- compute (n0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+556878, int_stack+202674, int_stack+200298, 66);
 /*--- compute (n0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+564006, int_stack+556878, int_stack+551334, 66);
 /*--- compute (n0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+575094, int_stack+205644, int_stack+202674, 66);
 /*--- compute (n0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+584004, int_stack+575094, int_stack+556878, 66);
 /*--- compute (n0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+598260, int_stack+584004, int_stack+564006, 66);
 /*--- compute (n0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+551334, int_stack+209274, int_stack+205644, 66);
 /*--- compute (n0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+616740, int_stack+551334, int_stack+575094, 66);
 /*--- compute (n0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+634560, int_stack+616740, int_stack+584004, 66);
 /*--- compute (n0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+562224, int_stack+634560, int_stack+598260, 66);
 /*--- compute (n0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+589944, int_stack+213630, int_stack+209274, 66);
 /*--- compute (n0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+658320, int_stack+589944, int_stack+551334, 66);
 /*--- compute (n0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+680100, int_stack+658320, int_stack+616740, 66);
 /*--- compute (n0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+709800, int_stack+680100, int_stack+634560, 66);
 /*--- compute (n0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+603012, int_stack+709800, int_stack+562224, 66);
 /*--- compute (n0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+551334, int_stack+218778, int_stack+213630, 66);
 /*--- compute (n0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3908030, int_stack+551334, int_stack+589944, 66);
 /*--- compute (n0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+551334, int_stack+3908030, int_stack+658320, 66);
 /*--- compute (n0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3908030, int_stack+551334, int_stack+680100, 66);
 /*--- compute (n0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+551334, int_stack+3908030, int_stack+709800, 66);
 /*--- compute (n0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3908030, int_stack+551334, int_stack+603012, 66);
 /*--- compute (mp|[r12,T1]|ii) ---*/
   t1hrr1_build_mp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+551334, int_stack+3908030, int_stack+1841100, int_stack+1493981, int_stack+1144661, int_stack+1381713, 6, 6);
 /*--- compute (ld|[r12,T1]|ii) ---*/
   t1hrr1_build_ld(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+969080, int_stack+551334, int_stack+863240, int_stack+2119420, int_stack+2778062, int_stack+757400, 6, 6);
 /*--- compute (kf|[r12,T1]|ii) ---*/
   t1hrr1_build_kf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+551334, int_stack+969080, int_stack+1200101, int_stack+3414110, int_stack+2914142, int_stack+381990, 6, 6);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+225568, int_stack+224784, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3416462, int_stack+226576, int_stack+225568, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3419486, int_stack+3416462, int_stack+3414110, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3424190, int_stack+227836, int_stack+226576, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3427970, int_stack+3424190, int_stack+3416462, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3434018, int_stack+3427970, int_stack+3419486, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+229376, int_stack+227836, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3441858, int_stack+3414110, int_stack+3424190, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3449418, int_stack+3441858, int_stack+3427970, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3418730, int_stack+3449418, int_stack+3434018, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3430490, int_stack+231224, int_stack+229376, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3459498, int_stack+3430490, int_stack+3414110, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3468738, int_stack+3459498, int_stack+3441858, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3481338, int_stack+3468738, int_stack+3449418, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3436034, int_stack+3481338, int_stack+3418730, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+233408, int_stack+231224, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3496458, int_stack+3414110, int_stack+3430490, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+3496458, int_stack+3459498, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3496458, int_stack+3414110, int_stack+3468738, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+3496458, int_stack+3481338, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3452498, int_stack+3414110, int_stack+3436034, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+236964, int_stack+235956, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3417134, int_stack+238260, int_stack+236964, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3421022, int_stack+3417134, int_stack+3414110, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3427070, int_stack+239880, int_stack+238260, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3431930, int_stack+3427070, int_stack+3417134, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3439706, int_stack+3431930, int_stack+3421022, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+241860, int_stack+239880, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3474450, int_stack+3414110, int_stack+3427070, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3484170, int_stack+3474450, int_stack+3431930, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3420050, int_stack+3484170, int_stack+3439706, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3435170, int_stack+244236, int_stack+241860, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3497130, int_stack+3435170, int_stack+3414110, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3509010, int_stack+3497130, int_stack+3474450, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3525210, int_stack+3509010, int_stack+3484170, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3474450, int_stack+3525210, int_stack+3420050, 36);
 /*--- compute (k0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+247044, int_stack+244236, 36);
 /*--- compute (k0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3544650, int_stack+3414110, int_stack+3435170, 36);
 /*--- compute (k0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+3544650, int_stack+3497130, 36);
 /*--- compute (k0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3544650, int_stack+3414110, int_stack+3509010, 36);
 /*--- compute (k0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+3544650, int_stack+3525210, 36);
 /*--- compute (k0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3495618, int_stack+3414110, int_stack+3474450, 36);
 /*--- compute (ip||ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+3523842, int_stack+3495618, int_stack+3452498, 784);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+251580, int_stack+250320, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3417890, int_stack+253200, int_stack+251580, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3422750, int_stack+3417890, int_stack+3414110, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3430310, int_stack+255225, int_stack+253200, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3436385, int_stack+3430310, int_stack+3417890, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3446105, int_stack+3436385, int_stack+3422750, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+257700, int_stack+255225, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3458705, int_stack+3414110, int_stack+3430310, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3470855, int_stack+3458705, int_stack+3436385, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3421535, int_stack+3470855, int_stack+3446105, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3440435, int_stack+260670, int_stack+257700, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3589698, int_stack+3440435, int_stack+3414110, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3604548, int_stack+3589698, int_stack+3458705, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2778062, int_stack+3604548, int_stack+3470855, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3449345, int_stack+2778062, int_stack+3421535, 45);
 /*--- compute (l0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+264180, int_stack+260670, 45);
 /*--- compute (l0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3475805, int_stack+3414110, int_stack+3440435, 45);
 /*--- compute (l0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+3475805, int_stack+3589698, 45);
 /*--- compute (l0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+2802362, int_stack+3414110, int_stack+3604548, 45);
 /*--- compute (l0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+2802362, int_stack+2778062, 45);
 /*--- compute (l0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+2778062, int_stack+3414110, int_stack+3449345, 45);
 /*--- compute (kp||ii) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+2813342, int_stack+2778062, int_stack+3495618, 784);
 /*--- compute (id||ii) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+3908030, int_stack+2813342, int_stack+3523842, 784);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+269815, int_stack+268275, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3418730, int_stack+271795, int_stack+269815, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3424670, int_stack+3418730, int_stack+3414110, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3433910, int_stack+274270, int_stack+271795, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3441335, int_stack+3433910, int_stack+3418730, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3453215, int_stack+3441335, int_stack+3424670, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+277295, int_stack+274270, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3468615, int_stack+3414110, int_stack+3433910, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3483465, int_stack+3468615, int_stack+3441335, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3423185, int_stack+3483465, int_stack+3453215, 55);
 /*--- compute (m0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3446285, int_stack+280925, int_stack+277295, 55);
 /*--- compute (m0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3503265, int_stack+3446285, int_stack+3414110, 55);
 /*--- compute (m0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+3521415, int_stack+3503265, int_stack+3468615, 55);
 /*--- compute (m0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3546165, int_stack+3521415, int_stack+3483465, 55);
 /*--- compute (m0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3457175, int_stack+3546165, int_stack+3423185, 55);
 /*--- compute (m0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+285215, int_stack+280925, 55);
 /*--- compute (m0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+3575865, int_stack+3414110, int_stack+3446285, 55);
 /*--- compute (m0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+3575865, int_stack+3503265, 55);
 /*--- compute (m0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+3575865, int_stack+3414110, int_stack+3521415, 55);
 /*--- compute (m0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3414110, int_stack+3575865, int_stack+3546165, 55);
 /*--- compute (m0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+3489515, int_stack+3414110, int_stack+3457175, 55);
 /*--- compute (lp||ii) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+2898014, int_stack+3489515, int_stack+2778062, 784);
 /*--- compute (kd||ii) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+833574, int_stack+2898014, int_stack+2813342, 784);
 /*--- compute (if||ii) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1002918, int_stack+833574, int_stack+3908030, 784);
 /*--- compute (n0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3908030, int_stack+292068, int_stack+290220, 66);
 /*--- compute (n0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3913574, int_stack+294444, int_stack+292068, 66);
 /*--- compute (n0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3920702, int_stack+3913574, int_stack+3908030, 66);
 /*--- compute (n0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+3931790, int_stack+297414, int_stack+294444, 66);
 /*--- compute (n0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+3940700, int_stack+3931790, int_stack+3913574, 66);
 /*--- compute (n0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+3954956, int_stack+3940700, int_stack+3920702, 66);
 /*--- compute (n0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+3908030, int_stack+301044, int_stack+297414, 66);
 /*--- compute (n0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+3973436, int_stack+3908030, int_stack+3931790, 66);
 /*--- compute (n0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+3991256, int_stack+3973436, int_stack+3940700, 66);
 /*--- compute (n0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+3918920, int_stack+3991256, int_stack+3954956, 66);
 /*--- compute (n0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+3946640, int_stack+305400, int_stack+301044, 66);
 /*--- compute (n0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+4015016, int_stack+3946640, int_stack+3908030, 66);
 /*--- compute (n0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2778062, int_stack+4015016, int_stack+3973436, 66);
 /*--- compute (n0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2807762, int_stack+2778062, int_stack+3991256, 66);
 /*--- compute (n0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+3959708, int_stack+2807762, int_stack+3918920, 66);
 /*--- compute (n0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+3908030, int_stack+310548, int_stack+305400, 66);
 /*--- compute (n0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2843402, int_stack+3908030, int_stack+3946640, 66);
 /*--- compute (n0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+3908030, int_stack+2843402, int_stack+4015016, 66);
 /*--- compute (n0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+2843402, int_stack+3908030, int_stack+2778062, 66);
 /*--- compute (n0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+3908030, int_stack+2843402, int_stack+2807762, 66);
 /*--- compute (n0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+2778062, int_stack+3908030, int_stack+3959708, 66);
 /*--- compute (mp||ii) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+3908030, int_stack+2778062, int_stack+3489515, 784);
 /*--- compute (ld||ii) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+3414110, int_stack+3908030, int_stack+2898014, 784);
 /*--- compute (kf||ii) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+2778062, int_stack+3414110, int_stack+833574, 784);
 /*--- compute (ig|[r12,T2]|ii) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+1222438, int_stack+2276302, int_stack+1899900, 784);
     Libr12->te_ptr[3] = int_stack + 1222438;
 /*--- compute (ig|[r12,T1]|ii) ---*/
   t1hrr1_build_ig(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1551718, int_stack+551334, int_stack+4039742, int_stack+3625790, int_stack+3131870, int_stack+2558542, 6, 6);
     Libr12->te_ptr[2] = int_stack + 1551718;
 /*--- compute (ig||ii) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+3908030, int_stack+2778062, int_stack+1002918, 784);
     Libr12->te_ptr[1] = int_stack + 3908030;
 /*--- compute (ig|ii) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+2778062, int_stack+3625790, int_stack+2558542, 784);
     Libr12->te_ptr[0] = int_stack + 2778062;

}
