#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ihih(Libr12_t *, prim_data *);

  /* Computes (ih|ih) integrals for linear R12-methods */

void hrr_grt_order_ihih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[6][11] = int_stack + 6440;
 Libr12->t2vrr_classes[7][6] = int_stack + 8624;
 Libr12->t2vrr_classes[7][7] = int_stack + 9632;
 Libr12->t2vrr_classes[7][8] = int_stack + 10928;
 Libr12->t2vrr_classes[7][9] = int_stack + 12548;
 Libr12->t2vrr_classes[7][10] = int_stack + 14528;
 Libr12->t2vrr_classes[7][11] = int_stack + 16904;
 Libr12->t2vrr_classes[8][6] = int_stack + 19712;
 Libr12->t2vrr_classes[8][7] = int_stack + 20972;
 Libr12->t2vrr_classes[8][8] = int_stack + 22592;
 Libr12->t2vrr_classes[8][9] = int_stack + 24617;
 Libr12->t2vrr_classes[8][10] = int_stack + 27092;
 Libr12->t2vrr_classes[8][11] = int_stack + 30062;
 Libr12->t2vrr_classes[9][6] = int_stack + 33572;
 Libr12->t2vrr_classes[9][7] = int_stack + 35112;
 Libr12->t2vrr_classes[9][8] = int_stack + 37092;
 Libr12->t2vrr_classes[9][9] = int_stack + 39567;
 Libr12->t2vrr_classes[9][10] = int_stack + 42592;
 Libr12->t2vrr_classes[9][11] = int_stack + 46222;
 Libr12->t2vrr_classes[10][6] = int_stack + 50512;
 Libr12->t2vrr_classes[10][7] = int_stack + 52360;
 Libr12->t2vrr_classes[10][8] = int_stack + 54736;
 Libr12->t2vrr_classes[10][9] = int_stack + 57706;
 Libr12->t2vrr_classes[10][10] = int_stack + 61336;
 Libr12->t2vrr_classes[10][11] = int_stack + 65692;
 Libr12->gvrr_classes[12][6] = int_stack + 70840;
 Libr12->t2vrr_classes[11][6] = int_stack + 73388;
 Libr12->gvrr_classes[12][7] = int_stack + 75572;
 Libr12->t2vrr_classes[11][7] = int_stack + 78848;
 Libr12->gvrr_classes[12][8] = int_stack + 81656;
 Libr12->t2vrr_classes[11][8] = int_stack + 85751;
 Libr12->gvrr_classes[12][9] = int_stack + 89261;
 Libr12->t2vrr_classes[11][9] = int_stack + 94266;
 Libr12->gvrr_classes[12][10] = int_stack + 98556;
 Libr12->t2vrr_classes[11][10] = int_stack + 104562;
 Libr12->t2vrr_classes[11][11] = int_stack + 109710;
 Libr12->gvrr_classes[6][12] = int_stack + 115794;
 Libr12->t1vrr_classes[6][6] = int_stack + 118342;
 Libr12->t1vrr_classes[6][7] = int_stack + 119126;
 Libr12->t1vrr_classes[6][8] = int_stack + 120134;
 Libr12->t1vrr_classes[6][9] = int_stack + 121394;
 Libr12->t1vrr_classes[6][10] = int_stack + 122934;
 Libr12->t1vrr_classes[6][11] = int_stack + 124782;
 Libr12->gvrr_classes[7][12] = int_stack + 126966;
 Libr12->t1vrr_classes[7][6] = int_stack + 130242;
 Libr12->t1vrr_classes[7][7] = int_stack + 131250;
 Libr12->t1vrr_classes[7][8] = int_stack + 132546;
 Libr12->t1vrr_classes[7][9] = int_stack + 134166;
 Libr12->t1vrr_classes[7][10] = int_stack + 136146;
 Libr12->t1vrr_classes[7][11] = int_stack + 138522;
 Libr12->gvrr_classes[8][12] = int_stack + 141330;
 Libr12->t1vrr_classes[8][6] = int_stack + 145425;
 Libr12->t1vrr_classes[8][7] = int_stack + 146685;
 Libr12->t1vrr_classes[8][8] = int_stack + 148305;
 Libr12->t1vrr_classes[8][9] = int_stack + 150330;
 Libr12->t1vrr_classes[8][10] = int_stack + 152805;
 Libr12->t1vrr_classes[8][11] = int_stack + 155775;
 Libr12->gvrr_classes[9][12] = int_stack + 159285;
 Libr12->t1vrr_classes[9][6] = int_stack + 164290;
 Libr12->t1vrr_classes[9][7] = int_stack + 165830;
 Libr12->t1vrr_classes[9][8] = int_stack + 167810;
 Libr12->t1vrr_classes[9][9] = int_stack + 170285;
 Libr12->t1vrr_classes[9][10] = int_stack + 173310;
 Libr12->t1vrr_classes[9][11] = int_stack + 176940;
 Libr12->gvrr_classes[10][12] = int_stack + 181230;
 Libr12->t1vrr_classes[10][6] = int_stack + 187236;
 Libr12->t1vrr_classes[10][7] = int_stack + 189084;
 Libr12->t1vrr_classes[10][8] = int_stack + 191460;
 Libr12->t1vrr_classes[10][9] = int_stack + 194430;
 Libr12->t1vrr_classes[10][10] = int_stack + 198060;
 Libr12->t1vrr_classes[10][11] = int_stack + 202416;
 Libr12->t1vrr_classes[11][6] = int_stack + 207564;
 Libr12->t1vrr_classes[11][7] = int_stack + 209748;
 Libr12->t1vrr_classes[11][8] = int_stack + 212556;
 Libr12->t1vrr_classes[11][9] = int_stack + 216066;
 Libr12->t1vrr_classes[11][10] = int_stack + 220356;
 Libr12->t1vrr_classes[11][11] = int_stack + 225504;
 Libr12->rvrr_classes[6][6] = int_stack + 231588;
 Libr12->rvrr_classes[6][7] = int_stack + 232372;
 Libr12->rvrr_classes[6][8] = int_stack + 233380;
 Libr12->rvrr_classes[6][9] = int_stack + 234640;
 Libr12->rvrr_classes[6][10] = int_stack + 236180;
 Libr12->rvrr_classes[6][11] = int_stack + 238028;
 Libr12->rvrr_classes[7][6] = int_stack + 240212;
 Libr12->rvrr_classes[7][7] = int_stack + 241220;
 Libr12->rvrr_classes[7][8] = int_stack + 242516;
 Libr12->rvrr_classes[7][9] = int_stack + 244136;
 Libr12->rvrr_classes[7][10] = int_stack + 246116;
 Libr12->rvrr_classes[7][11] = int_stack + 248492;
 Libr12->rvrr_classes[8][6] = int_stack + 251300;
 Libr12->rvrr_classes[8][7] = int_stack + 252560;
 Libr12->rvrr_classes[8][8] = int_stack + 254180;
 Libr12->rvrr_classes[8][9] = int_stack + 256205;
 Libr12->rvrr_classes[8][10] = int_stack + 258680;
 Libr12->rvrr_classes[8][11] = int_stack + 261650;
 Libr12->rvrr_classes[9][6] = int_stack + 265160;
 Libr12->rvrr_classes[9][7] = int_stack + 266700;
 Libr12->rvrr_classes[9][8] = int_stack + 268680;
 Libr12->rvrr_classes[9][9] = int_stack + 271155;
 Libr12->rvrr_classes[9][10] = int_stack + 274180;
 Libr12->rvrr_classes[9][11] = int_stack + 277810;
 Libr12->rvrr_classes[10][6] = int_stack + 282100;
 Libr12->rvrr_classes[10][7] = int_stack + 283948;
 Libr12->rvrr_classes[10][8] = int_stack + 286324;
 Libr12->rvrr_classes[10][9] = int_stack + 289294;
 Libr12->rvrr_classes[10][10] = int_stack + 292924;
 Libr12->rvrr_classes[10][11] = int_stack + 297280;
 Libr12->rvrr_classes[11][6] = int_stack + 302428;
 Libr12->rvrr_classes[11][7] = int_stack + 304612;
 Libr12->rvrr_classes[11][8] = int_stack + 307420;
 Libr12->rvrr_classes[11][9] = int_stack + 310930;
 Libr12->rvrr_classes[11][10] = int_stack + 315220;
 Libr12->rvrr_classes[11][11] = int_stack + 320368;
 Libr12->gvrr_classes[6][6] = int_stack + 326452;
 Libr12->gvrr_classes[6][7] = int_stack + 327236;
 Libr12->gvrr_classes[6][8] = int_stack + 328244;
 Libr12->gvrr_classes[6][9] = int_stack + 329504;
 Libr12->gvrr_classes[6][10] = int_stack + 331044;
 Libr12->gvrr_classes[6][11] = int_stack + 332892;
 Libr12->gvrr_classes[7][6] = int_stack + 335076;
 Libr12->gvrr_classes[7][7] = int_stack + 336084;
 Libr12->gvrr_classes[7][8] = int_stack + 337380;
 Libr12->gvrr_classes[7][9] = int_stack + 339000;
 Libr12->gvrr_classes[7][10] = int_stack + 340980;
 Libr12->gvrr_classes[7][11] = int_stack + 343356;
 Libr12->gvrr_classes[8][6] = int_stack + 346164;
 Libr12->gvrr_classes[8][7] = int_stack + 347424;
 Libr12->gvrr_classes[8][8] = int_stack + 349044;
 Libr12->gvrr_classes[8][9] = int_stack + 351069;
 Libr12->gvrr_classes[8][10] = int_stack + 353544;
 Libr12->gvrr_classes[8][11] = int_stack + 356514;
 Libr12->gvrr_classes[9][6] = int_stack + 360024;
 Libr12->gvrr_classes[9][7] = int_stack + 361564;
 Libr12->gvrr_classes[9][8] = int_stack + 363544;
 Libr12->gvrr_classes[9][9] = int_stack + 366019;
 Libr12->gvrr_classes[9][10] = int_stack + 369044;
 Libr12->gvrr_classes[9][11] = int_stack + 372674;
 Libr12->gvrr_classes[10][6] = int_stack + 376964;
 Libr12->gvrr_classes[10][7] = int_stack + 378812;
 Libr12->gvrr_classes[10][8] = int_stack + 381188;
 Libr12->gvrr_classes[10][9] = int_stack + 384158;
 Libr12->gvrr_classes[10][10] = int_stack + 387788;
 Libr12->gvrr_classes[10][11] = int_stack + 392144;
 Libr12->gvrr_classes[11][6] = int_stack + 397292;
 Libr12->gvrr_classes[11][7] = int_stack + 399476;
 Libr12->gvrr_classes[11][8] = int_stack + 402284;
 Libr12->gvrr_classes[11][9] = int_stack + 405794;
 Libr12->gvrr_classes[11][10] = int_stack + 410084;
 Libr12->gvrr_classes[11][11] = int_stack + 415232;
 memset(int_stack,0,421316*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 421316;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ihih(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+421316, int_stack+327236, int_stack+326452, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+423668, int_stack+328244, int_stack+327236, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+426692, int_stack+423668, int_stack+421316, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+431396, int_stack+329504, int_stack+328244, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+435176, int_stack+431396, int_stack+423668, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+441224, int_stack+435176, int_stack+426692, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+449064, int_stack+331044, int_stack+329504, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+453684, int_stack+449064, int_stack+431396, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+461244, int_stack+453684, int_stack+435176, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+471324, int_stack+461244, int_stack+441224, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+483084, int_stack+336084, int_stack+335076, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+486108, int_stack+337380, int_stack+336084, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+489996, int_stack+486108, int_stack+483084, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+496044, int_stack+339000, int_stack+337380, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+500904, int_stack+496044, int_stack+486108, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+508680, int_stack+500904, int_stack+489996, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+518760, int_stack+340980, int_stack+339000, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+524700, int_stack+518760, int_stack+496044, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+534420, int_stack+524700, int_stack+500904, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+547380, int_stack+534420, int_stack+508680, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+562500, int_stack+332892, int_stack+331044, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+568044, int_stack+562500, int_stack+449064, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+577284, int_stack+568044, int_stack+453684, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+589884, int_stack+577284, int_stack+461244, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+605004, int_stack+784, int_stack+0, int_stack+327236, int_stack+335076, int_stack+326452, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+607356, int_stack+1792, int_stack+784, int_stack+328244, int_stack+336084, int_stack+327236, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+610380, int_stack+607356, int_stack+605004, int_stack+423668, int_stack+483084, int_stack+421316, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+615084, int_stack+3052, int_stack+1792, int_stack+329504, int_stack+337380, int_stack+328244, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+618864, int_stack+615084, int_stack+607356, int_stack+431396, int_stack+486108, int_stack+423668, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+624912, int_stack+618864, int_stack+610380, int_stack+435176, int_stack+489996, int_stack+426692, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+421316, int_stack+4592, int_stack+3052, int_stack+331044, int_stack+339000, int_stack+329504, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+605004, int_stack+421316, int_stack+615084, int_stack+449064, int_stack+496044, int_stack+431396, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+632752, int_stack+605004, int_stack+618864, int_stack+453684, int_stack+500904, int_stack+435176, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+425936, int_stack+632752, int_stack+624912, int_stack+461244, int_stack+508680, int_stack+441224, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+437696, int_stack+6440, int_stack+4592, int_stack+332892, int_stack+340980, int_stack+331044, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+612564, int_stack+437696, int_stack+421316, int_stack+562500, int_stack+518760, int_stack+449064, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+437696, int_stack+612564, int_stack+605004, int_stack+568044, int_stack+524700, int_stack+453684, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+605004, int_stack+437696, int_stack+632752, int_stack+577284, int_stack+534420, int_stack+461244, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+437696, int_stack+605004, int_stack+425936, int_stack+589884, int_stack+547380, int_stack+471324, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+605004, int_stack+347424, int_stack+346164, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+608784, int_stack+349044, int_stack+347424, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+613644, int_stack+608784, int_stack+605004, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+621204, int_stack+351069, int_stack+349044, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+627279, int_stack+621204, int_stack+608784, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+454160, int_stack+627279, int_stack+613644, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+421316, int_stack+353544, int_stack+351069, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+636999, int_stack+421316, int_stack+621204, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+649149, int_stack+636999, int_stack+627279, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+665349, int_stack+649149, int_stack+454160, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+428741, int_stack+343356, int_stack+340980, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+684249, int_stack+428741, int_stack+518760, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+696129, int_stack+684249, int_stack+524700, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+712329, int_stack+696129, int_stack+534420, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+466760, int_stack+9632, int_stack+8624, int_stack+336084, int_stack+346164, int_stack+335076, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+326452, int_stack+10928, int_stack+9632, int_stack+337380, int_stack+347424, int_stack+336084, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+326452, int_stack+466760, int_stack+486108, int_stack+605004, int_stack+483084, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6048, int_stack+12548, int_stack+10928, int_stack+339000, int_stack+349044, int_stack+337380, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+731769, int_stack+6048, int_stack+326452, int_stack+496044, int_stack+608784, int_stack+486108, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+739545, int_stack+731769, int_stack+0, int_stack+500904, int_stack+613644, int_stack+489996, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+14528, int_stack+12548, int_stack+340980, int_stack+351069, int_stack+339000, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+483084, int_stack+0, int_stack+6048, int_stack+518760, int_stack+621204, int_stack+496044, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+749625, int_stack+483084, int_stack+731769, int_stack+524700, int_stack+627279, int_stack+500904, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+492804, int_stack+749625, int_stack+739545, int_stack+534420, int_stack+454160, int_stack+508680, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+731769, int_stack+16904, int_stack+14528, int_stack+343356, int_stack+353544, int_stack+340980, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5940, int_stack+731769, int_stack+0, int_stack+428741, int_stack+421316, int_stack+518760, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+731769, int_stack+5940, int_stack+483084, int_stack+684249, int_stack+636999, int_stack+524700, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+731769, int_stack+749625, int_stack+696129, int_stack+649149, int_stack+534420, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+731769, int_stack+0, int_stack+492804, int_stack+712329, int_stack+665349, int_stack+547380, 7, 0);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+483084, int_stack+731769, int_stack+437696, 588);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+361564, int_stack+360024, 55);
 /*--- compute (m0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4620, int_stack+363544, int_stack+361564, 55);
 /*--- compute (m0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+752937, int_stack+4620, int_stack+0, 55);
 /*--- compute (m0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10560, int_stack+366019, int_stack+363544, 55);
 /*--- compute (m0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+532476, int_stack+10560, int_stack+4620, 55);
 /*--- compute (m0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+435869, int_stack+532476, int_stack+752937, 55);
 /*--- compute (m0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+762177, int_stack+369044, int_stack+366019, 55);
 /*--- compute (m0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+771252, int_stack+762177, int_stack+10560, 55);
 /*--- compute (m0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+786102, int_stack+771252, int_stack+532476, 55);
 /*--- compute (m0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+805902, int_stack+786102, int_stack+435869, 55);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+829002, int_stack+356514, int_stack+353544, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+837912, int_stack+829002, int_stack+421316, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+852762, int_stack+837912, int_stack+636999, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+873012, int_stack+852762, int_stack+649149, 45);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+326452, int_stack+20972, int_stack+19712, int_stack+347424, int_stack+360024, int_stack+346164, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+335076, int_stack+22592, int_stack+20972, int_stack+349044, int_stack+361564, int_stack+347424, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+897312, int_stack+335076, int_stack+326452, int_stack+608784, int_stack+0, int_stack+605004, 8, 0);
 /*--- compute (l0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+326452, int_stack+24617, int_stack+22592, int_stack+351069, int_stack+363544, int_stack+349044, 8, 0);
 /*--- compute (l0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+904872, int_stack+326452, int_stack+335076, int_stack+621204, int_stack+4620, int_stack+608784, 8, 0);
 /*--- compute (l0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+914592, int_stack+904872, int_stack+897312, int_stack+627279, int_stack+752937, int_stack+613644, 8, 0);
 /*--- compute (l0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+897312, int_stack+27092, int_stack+24617, int_stack+353544, int_stack+366019, int_stack+351069, 8, 0);
 /*--- compute (l0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+605004, int_stack+897312, int_stack+326452, int_stack+421316, int_stack+10560, int_stack+621204, 8, 0);
 /*--- compute (l0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+927192, int_stack+605004, int_stack+904872, int_stack+636999, int_stack+532476, int_stack+627279, 8, 0);
 /*--- compute (l0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+617154, int_stack+927192, int_stack+914592, int_stack+649149, int_stack+435869, int_stack+454160, 8, 0);
 /*--- compute (l0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+904737, int_stack+30062, int_stack+27092, int_stack+356514, int_stack+369044, int_stack+353544, 8, 0);
 /*--- compute (l0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17985, int_stack+904737, int_stack+897312, int_stack+829002, int_stack+762177, int_stack+421316, 8, 0);
 /*--- compute (l0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+897312, int_stack+17985, int_stack+605004, int_stack+837912, int_stack+771252, int_stack+636999, 8, 0);
 /*--- compute (l0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+943392, int_stack+897312, int_stack+927192, int_stack+852762, int_stack+786102, int_stack+649149, 8, 0);
 /*--- compute (l0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+897312, int_stack+943392, int_stack+617154, int_stack+873012, int_stack+805902, int_stack+665349, 8, 0);
 /*--- compute (kp|[r12,T2]|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+923772, int_stack+897312, int_stack+731769, 588);
 /*--- compute (id|[r12,T2]|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+987276, int_stack+923772, int_stack+483084, 588);
 /*--- compute (n0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+483084, int_stack+378812, int_stack+376964, 66);
 /*--- compute (n0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+488628, int_stack+381188, int_stack+378812, 66);
 /*--- compute (n0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+495756, int_stack+488628, int_stack+483084, 66);
 /*--- compute (n0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+506844, int_stack+384158, int_stack+381188, 66);
 /*--- compute (n0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+515754, int_stack+506844, int_stack+488628, 66);
 /*--- compute (n0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+731769, int_stack+515754, int_stack+495756, 66);
 /*--- compute (n0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+605004, int_stack+387788, int_stack+384158, 66);
 /*--- compute (n0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+615894, int_stack+605004, int_stack+506844, 66);
 /*--- compute (n0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+633714, int_stack+615894, int_stack+515754, 66);
 /*--- compute (n0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1086060, int_stack+633714, int_stack+731769, 66);
 /*--- compute (m0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+17985, int_stack+372674, int_stack+369044, 55);
 /*--- compute (m0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+451269, int_stack+17985, int_stack+762177, 55);
 /*--- compute (m0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1113780, int_stack+451269, int_stack+771252, 55);
 /*--- compute (m0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1138530, int_stack+1113780, int_stack+786102, 55);
 /*--- compute (m0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+657474, int_stack+35112, int_stack+33572, int_stack+361564, int_stack+376964, int_stack+360024, 9, 0);
 /*--- compute (m0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+37092, int_stack+35112, int_stack+363544, int_stack+378812, int_stack+361564, 9, 0);
 /*--- compute (m0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+346164, int_stack+28875, int_stack+657474, int_stack+4620, int_stack+483084, int_stack+0, 9, 0);
 /*--- compute (m0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+421316, int_stack+39567, int_stack+37092, int_stack+366019, int_stack+381188, int_stack+363544, 9, 0);
 /*--- compute (m0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1168230, int_stack+421316, int_stack+28875, int_stack+10560, int_stack+488628, int_stack+4620, 9, 0);
 /*--- compute (m0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1180110, int_stack+1168230, int_stack+346164, int_stack+532476, int_stack+495756, int_stack+752937, 9, 0);
 /*--- compute (m0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+346164, int_stack+42592, int_stack+39567, int_stack+369044, int_stack+384158, int_stack+366019, 9, 0);
 /*--- compute (m0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1195510, int_stack+346164, int_stack+421316, int_stack+762177, int_stack+506844, int_stack+10560, 9, 0);
 /*--- compute (m0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1210360, int_stack+1195510, int_stack+1168230, int_stack+771252, int_stack+515754, int_stack+532476, 9, 0);
 /*--- compute (m0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1230160, int_stack+1210360, int_stack+1180110, int_stack+786102, int_stack+731769, int_stack+435869, 9, 0);
 /*--- compute (m0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+435869, int_stack+46222, int_stack+42592, int_stack+372674, int_stack+387788, int_stack+369044, 9, 0);
 /*--- compute (m0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1168230, int_stack+435869, int_stack+346164, int_stack+17985, int_stack+605004, int_stack+762177, 9, 0);
 /*--- compute (m0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1253260, int_stack+1168230, int_stack+1195510, int_stack+451269, int_stack+615894, int_stack+771252, 9, 0);
 /*--- compute (m0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1168230, int_stack+1253260, int_stack+1210360, int_stack+1113780, int_stack+633714, int_stack+786102, 9, 0);
 /*--- compute (m0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+750249, int_stack+1168230, int_stack+1230160, int_stack+1138530, int_stack+1086060, int_stack+805902, 9, 0);
 /*--- compute (lp|[r12,T2]|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1168230, int_stack+750249, int_stack+897312, 588);
 /*--- compute (kd|[r12,T2]|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1247610, int_stack+1168230, int_stack+923772, 588);
 /*--- compute (if|[r12,T2]|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1374618, int_stack+1247610, int_stack+987276, 588);
 /*--- compute (o0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+897312, int_stack+399476, int_stack+397292, 78);
 /*--- compute (o0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+903864, int_stack+402284, int_stack+399476, 78);
 /*--- compute (o0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+912288, int_stack+903864, int_stack+897312, 78);
 /*--- compute (o0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+925392, int_stack+405794, int_stack+402284, 78);
 /*--- compute (o0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+935922, int_stack+925392, int_stack+903864, 78);
 /*--- compute (o0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+952770, int_stack+935922, int_stack+912288, 78);
 /*--- compute (o0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+974610, int_stack+410084, int_stack+405794, 78);
 /*--- compute (o0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+987480, int_stack+974610, int_stack+925392, 78);
 /*--- compute (o0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1008540, int_stack+987480, int_stack+935922, 78);
 /*--- compute (o0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1036620, int_stack+1008540, int_stack+952770, 78);
 /*--- compute (n0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1069380, int_stack+392144, int_stack+387788, 66);
 /*--- compute (n0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+782589, int_stack+1069380, int_stack+605004, 66);
 /*--- compute (n0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1539258, int_stack+782589, int_stack+615894, 66);
 /*--- compute (n0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1568958, int_stack+1539258, int_stack+633714, 66);
 /*--- compute (n0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+346164, int_stack+52360, int_stack+50512, int_stack+378812, int_stack+397292, int_stack+376964, 10, 0);
 /*--- compute (n0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+435869, int_stack+54736, int_stack+52360, int_stack+381188, int_stack+399476, int_stack+378812, 10, 0);
 /*--- compute (n0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+435869, int_stack+346164, int_stack+488628, int_stack+897312, int_stack+483084, 10, 0);
 /*--- compute (n0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+346164, int_stack+57706, int_stack+54736, int_stack+384158, int_stack+402284, int_stack+381188, 10, 0);
 /*--- compute (n0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39963, int_stack+346164, int_stack+435869, int_stack+506844, int_stack+903864, int_stack+488628, 10, 0);
 /*--- compute (n0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1604598, int_stack+39963, int_stack+28875, int_stack+515754, int_stack+912288, int_stack+495756, 10, 0);
 /*--- compute (n0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+61336, int_stack+57706, int_stack+387788, int_stack+405794, int_stack+384158, 10, 0);
 /*--- compute (n0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+483084, int_stack+28875, int_stack+346164, int_stack+605004, int_stack+925392, int_stack+506844, 10, 0);
 /*--- compute (n0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1623078, int_stack+483084, int_stack+39963, int_stack+615894, int_stack+935922, int_stack+515754, 10, 0);
 /*--- compute (n0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+500904, int_stack+1623078, int_stack+1604598, int_stack+633714, int_stack+952770, int_stack+731769, 10, 0);
 /*--- compute (n0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+731769, int_stack+65692, int_stack+61336, int_stack+392144, int_stack+410084, int_stack+387788, 10, 0);
 /*--- compute (n0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39765, int_stack+731769, int_stack+28875, int_stack+1069380, int_stack+974610, int_stack+605004, 10, 0);
 /*--- compute (n0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1646838, int_stack+39765, int_stack+483084, int_stack+782589, int_stack+987480, int_stack+615894, 10, 0);
 /*--- compute (n0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+1646838, int_stack+1623078, int_stack+1539258, int_stack+1008540, int_stack+633714, 10, 0);
 /*--- compute (n0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+605004, int_stack+28875, int_stack+500904, int_stack+1568958, int_stack+1036620, int_stack+1086060, 10, 0);
 /*--- compute (mp|[r12,T2]|ih) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+1604598, int_stack+605004, int_stack+750249, 588);
 /*--- compute (ld|[r12,T2]|ih) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+1701618, int_stack+1604598, int_stack+1168230, 588);
 /*--- compute (kf|[r12,T2]|ih) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+1860378, int_stack+1701618, int_stack+1247610, 588);
 /*--- compute (ig|[r12,T2]|ih) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+2072058, int_stack+1860378, int_stack+1374618, 588);
 /*--- compute (q0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1168230, int_stack+75572, int_stack+70840, 91);
 /*--- compute (q0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1175874, int_stack+81656, int_stack+75572, 91);
 /*--- compute (q0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1185702, int_stack+1175874, int_stack+1168230, 91);
 /*--- compute (q0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1200990, int_stack+89261, int_stack+81656, 91);
 /*--- compute (q0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1213275, int_stack+1200990, int_stack+1175874, 91);
 /*--- compute (q0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1232931, int_stack+1213275, int_stack+1185702, 91);
 /*--- compute (q0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1258411, int_stack+98556, int_stack+89261, 91);
 /*--- compute (q0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1273426, int_stack+1258411, int_stack+1200990, 91);
 /*--- compute (q0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1297996, int_stack+1273426, int_stack+1213275, 91);
 /*--- compute (q0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1330756, int_stack+1297996, int_stack+1232931, 91);
 /*--- compute (o0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1368976, int_stack+415232, int_stack+410084, 78);
 /*--- compute (o0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1384420, int_stack+1368976, int_stack+974610, 78);
 /*--- compute (o0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1410160, int_stack+1384420, int_stack+987480, 78);
 /*--- compute (o0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1445260, int_stack+1410160, int_stack+1008540, 78);
 /*--- compute (o0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1487380, int_stack+78848, int_stack+73388, int_stack+399476, int_stack+70840, int_stack+397292, 11, 0);
 /*--- compute (o0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1493932, int_stack+85751, int_stack+78848, int_stack+402284, int_stack+75572, int_stack+399476, 11, 0);
 /*--- compute (o0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1502356, int_stack+1493932, int_stack+1487380, int_stack+903864, int_stack+1168230, int_stack+897312, 11, 0);
 /*--- compute (o0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1515460, int_stack+94266, int_stack+85751, int_stack+405794, int_stack+81656, int_stack+402284, 11, 0);
 /*--- compute (o0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+1515460, int_stack+1493932, int_stack+925392, int_stack+1175874, int_stack+903864, 11, 0);
 /*--- compute (o0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+45723, int_stack+28875, int_stack+1502356, int_stack+935922, int_stack+1185702, int_stack+912288, 11, 0);
 /*--- compute (o0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+897312, int_stack+104562, int_stack+94266, int_stack+410084, int_stack+89261, int_stack+405794, 11, 0);
 /*--- compute (o0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1168230, int_stack+897312, int_stack+1515460, int_stack+974610, int_stack+1200990, int_stack+925392, 11, 0);
 /*--- compute (o0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1487380, int_stack+1168230, int_stack+28875, int_stack+987480, int_stack+1213275, int_stack+935922, 11, 0);
 /*--- compute (o0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+910182, int_stack+1487380, int_stack+45723, int_stack+1008540, int_stack+1232931, int_stack+952770, 11, 0);
 /*--- compute (o0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+28875, int_stack+109710, int_stack+104562, int_stack+415232, int_stack+98556, int_stack+410084, 11, 0);
 /*--- compute (o0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+44319, int_stack+28875, int_stack+897312, int_stack+1368976, int_stack+1258411, int_stack+974610, 11, 0);
 /*--- compute (o0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+70059, int_stack+44319, int_stack+1168230, int_stack+1384420, int_stack+1273426, int_stack+987480, 11, 0);
 /*--- compute (o0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1168230, int_stack+70059, int_stack+1487380, int_stack+1410160, int_stack+1297996, int_stack+1008540, 11, 0);
 /*--- compute (o0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1487380, int_stack+1168230, int_stack+910182, int_stack+1445260, int_stack+1330756, int_stack+1036620, 11, 0);
 /*--- compute (np|[r12,T2]|ih) ---*/
   hrr1_build_np(Libr12->ShellQuartet.AB,int_stack+1168230, int_stack+1487380, int_stack+605004, 588);
 /*--- compute (md|[r12,T2]|ih) ---*/
   hrr1_build_md(Libr12->ShellQuartet.AB,int_stack+2319018, int_stack+1168230, int_stack+1604598, 588);
 /*--- compute (lf|[r12,T2]|ih) ---*/
   hrr1_build_lf(Libr12->ShellQuartet.AB,int_stack+1168230, int_stack+2319018, int_stack+1701618, 588);
 /*--- compute (kg|[r12,T2]|ih) ---*/
   hrr1_build_kg(Libr12->ShellQuartet.AB,int_stack+2319018, int_stack+1168230, int_stack+1860378, 588);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1168230, int_stack+589884, int_stack+471324, 28);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1184694, int_stack+712329, int_stack+547380, 36);
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+1205862, int_stack+1184694, int_stack+1168230, 588);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1255254, int_stack+873012, int_stack+665349, 45);
 /*--- compute (kp|ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+1281714, int_stack+1255254, int_stack+1184694, 588);
 /*--- compute (id|ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+1345218, int_stack+1281714, int_stack+1205862, 588);
 /*--- compute (m0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1604598, int_stack+1138530, int_stack+805902, 55);
 /*--- compute (lp|ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+1636938, int_stack+1604598, int_stack+1255254, 588);
 /*--- compute (kd|ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+1716318, int_stack+1636938, int_stack+1281714, 588);
 /*--- compute (if|ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+1843326, int_stack+1716318, int_stack+1345218, 588);
 /*--- compute (n0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2007966, int_stack+1568958, int_stack+1086060, 66);
 /*--- compute (mp|ih) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+897312, int_stack+2007966, int_stack+1604598, 588);
 /*--- compute (ld|ih) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+2636538, int_stack+897312, int_stack+1636938, 588);
 /*--- compute (kf|ih) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+2795298, int_stack+2636538, int_stack+1716318, 588);
 /*--- compute (ig|ih) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+3006978, int_stack+2795298, int_stack+1843326, 588);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+2046774, int_stack+115794, int_stack+332892, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2053326, int_stack+2046774, int_stack+562500, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+435869, int_stack+2053326, int_stack+568044, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+2046774, int_stack+435869, int_stack+577284, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+605004, int_stack+2046774, int_stack+589884, 28);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+2046774, int_stack+126966, int_stack+343356, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2055198, int_stack+2046774, int_stack+428741, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+626172, int_stack+2055198, int_stack+684249, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+2046774, int_stack+626172, int_stack+696129, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+626172, int_stack+2046774, int_stack+712329, 36);
 /*--- compute (ip|kh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+653388, int_stack+626172, int_stack+605004, 756);
 /*--- compute (l0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+2046774, int_stack+141330, int_stack+356514, 45);
 /*--- compute (l0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+716892, int_stack+2046774, int_stack+829002, 45);
 /*--- compute (l0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+2046774, int_stack+716892, int_stack+837912, 45);
 /*--- compute (l0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+716892, int_stack+2046774, int_stack+852762, 45);
 /*--- compute (l0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+747267, int_stack+716892, int_stack+873012, 45);
 /*--- compute (kp|kh) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+28875, int_stack+747267, int_stack+626172, 756);
 /*--- compute (id|kh) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+469419, int_stack+28875, int_stack+653388, 756);
 /*--- compute (m0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+716892, int_stack+159285, int_stack+372674, 55);
 /*--- compute (m0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+2046774, int_stack+716892, int_stack+17985, 55);
 /*--- compute (m0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+716892, int_stack+2046774, int_stack+451269, 55);
 /*--- compute (m0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1487380, int_stack+716892, int_stack+1113780, 55);
 /*--- compute (m0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+994332, int_stack+1487380, int_stack+1138530, 55);
 /*--- compute (lp|kh) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+3253938, int_stack+994332, int_stack+747267, 756);
 /*--- compute (kd|kh) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+3355998, int_stack+3253938, int_stack+28875, 756);
 /*--- compute (if|kh) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+3519294, int_stack+3355998, int_stack+469419, 756);
 /*--- compute (n0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+1487380, int_stack+181230, int_stack+392144, 66);
 /*--- compute (n0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+1502824, int_stack+1487380, int_stack+1069380, 66);
 /*--- compute (n0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+1069380, int_stack+1502824, int_stack+782589, 66);
 /*--- compute (n0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+1105680, int_stack+1069380, int_stack+1539258, 66);
 /*--- compute (n0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+1487380, int_stack+1105680, int_stack+1568958, 66);
 /*--- compute (mp|kh) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+326452, int_stack+1487380, int_stack+994332, 756);
 /*--- compute (ld|kh) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+3730974, int_stack+326452, int_stack+3253938, 756);
 /*--- compute (kf|kh) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+3935094, int_stack+3730974, int_stack+3355998, 756);
 /*--- compute (ig|kh) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+4207254, int_stack+3935094, int_stack+3519294, 756);
 /*--- compute (o0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1069380, int_stack+1445260, int_stack+1036620, 78);
 /*--- compute (np|ih) ---*/
   hrr1_build_np(Libr12->ShellQuartet.AB,int_stack+4524774, int_stack+1069380, int_stack+2007966, 588);
 /*--- compute (md|ih) ---*/
   hrr1_build_md(Libr12->ShellQuartet.AB,int_stack+4641198, int_stack+4524774, int_stack+897312, 588);
 /*--- compute (lf|ih) ---*/
   hrr1_build_lf(Libr12->ShellQuartet.AB,int_stack+4835238, int_stack+4641198, int_stack+2636538, 588);
 /*--- compute (kg|ih) ---*/
   hrr1_build_kg(Libr12->ShellQuartet.AB,int_stack+5099838, int_stack+4835238, int_stack+2795298, 588);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1115244, int_stack+119126, int_stack+118342, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1117596, int_stack+120134, int_stack+119126, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1120620, int_stack+1117596, int_stack+1115244, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1125324, int_stack+121394, int_stack+120134, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1129104, int_stack+1125324, int_stack+1117596, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1135152, int_stack+1129104, int_stack+1120620, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1115244, int_stack+122934, int_stack+121394, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1142992, int_stack+1115244, int_stack+1125324, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1150552, int_stack+1142992, int_stack+1129104, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1119864, int_stack+1150552, int_stack+1135152, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1131624, int_stack+124782, int_stack+122934, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1537276, int_stack+1131624, int_stack+1115244, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1546516, int_stack+1537276, int_stack+1142992, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1131624, int_stack+1546516, int_stack+1150552, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1537276, int_stack+1131624, int_stack+1119864, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1553740, int_stack+131250, int_stack+130242, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1556764, int_stack+132546, int_stack+131250, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1560652, int_stack+1556764, int_stack+1553740, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1566700, int_stack+134166, int_stack+132546, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1571560, int_stack+1566700, int_stack+1556764, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1579336, int_stack+1571560, int_stack+1560652, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1553740, int_stack+136146, int_stack+134166, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1589416, int_stack+1553740, int_stack+1566700, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1115244, int_stack+1589416, int_stack+1571560, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1559680, int_stack+1115244, int_stack+1579336, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1574800, int_stack+138522, int_stack+136146, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1128204, int_stack+1574800, int_stack+1553740, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1140084, int_stack+1128204, int_stack+1589416, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1574800, int_stack+1140084, int_stack+1115244, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1115244, int_stack+1574800, int_stack+1559680, 36);
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1553740, int_stack+1115244, int_stack+1537276, int_stack+1184694, int_stack+605004, int_stack+1168230, 6, 5);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1537276, int_stack+146685, int_stack+145425, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1541056, int_stack+148305, int_stack+146685, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1545916, int_stack+1541056, int_stack+1537276, 45);
 /*--- compute (l0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1136412, int_stack+150330, int_stack+148305, 45);
 /*--- compute (l0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1142487, int_stack+1136412, int_stack+1541056, 45);
 /*--- compute (l0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1152207, int_stack+1142487, int_stack+1545916, 45);
 /*--- compute (l0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1537276, int_stack+152805, int_stack+150330, 45);
 /*--- compute (l0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1164807, int_stack+1537276, int_stack+1136412, 45);
 /*--- compute (l0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+716892, int_stack+1164807, int_stack+1142487, 45);
 /*--- compute (l0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2046774, int_stack+716892, int_stack+1152207, 45);
 /*--- compute (l0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1136412, int_stack+155775, int_stack+152805, 45);
 /*--- compute (l0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1145322, int_stack+1136412, int_stack+1537276, 45);
 /*--- compute (l0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+781287, int_stack+1145322, int_stack+1164807, 45);
 /*--- compute (l0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1136412, int_stack+781287, int_stack+716892, 45);
 /*--- compute (l0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+716892, int_stack+1136412, int_stack+2046774, 45);
 /*--- compute (kp|[r12,T1]|ih) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+781287, int_stack+716892, int_stack+1115244, int_stack+1255254, int_stack+626172, int_stack+1184694, 6, 5);
 /*--- compute (id|[r12,T1]|ih) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5417358, int_stack+781287, int_stack+1553740, int_stack+1281714, int_stack+653388, int_stack+1205862, 6, 5);
 /*--- compute (m0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1115244, int_stack+165830, int_stack+164290, 55);
 /*--- compute (m0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1119864, int_stack+167810, int_stack+165830, 55);
 /*--- compute (m0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1125804, int_stack+1119864, int_stack+1115244, 55);
 /*--- compute (m0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1135044, int_stack+170285, int_stack+167810, 55);
 /*--- compute (m0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1142469, int_stack+1135044, int_stack+1119864, 55);
 /*--- compute (m0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1154349, int_stack+1142469, int_stack+1125804, 55);
 /*--- compute (m0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1115244, int_stack+173310, int_stack+170285, 55);
 /*--- compute (m0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+1169749, int_stack+1115244, int_stack+1135044, 55);
 /*--- compute (m0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1184599, int_stack+1169749, int_stack+1142469, 55);
 /*--- compute (m0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+1124319, int_stack+1184599, int_stack+1154349, 55);
 /*--- compute (m0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1147419, int_stack+176940, int_stack+173310, 55);
 /*--- compute (m0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1204399, int_stack+1147419, int_stack+1115244, 55);
 /*--- compute (m0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1222549, int_stack+1204399, int_stack+1169749, 55);
 /*--- compute (m0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1147419, int_stack+1222549, int_stack+1184599, 55);
 /*--- compute (m0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1177119, int_stack+1147419, int_stack+1124319, 55);
 /*--- compute (lp|[r12,T1]|ih) ---*/
   t1hrr1_build_lp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+596427, int_stack+1177119, int_stack+716892, int_stack+1604598, int_stack+747267, int_stack+1255254, 6, 5);
 /*--- compute (kd|[r12,T1]|ih) ---*/
   t1hrr1_build_kd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+5516142, int_stack+596427, int_stack+781287, int_stack+1636938, int_stack+28875, int_stack+1281714, 6, 5);
 /*--- compute (if|[r12,T1]|ih) ---*/
   t1hrr1_build_if(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5516142, int_stack+5417358, int_stack+1716318, int_stack+469419, int_stack+1345218, 6, 5);
 /*--- compute (n0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5417358, int_stack+189084, int_stack+187236, 66);
 /*--- compute (n0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5422902, int_stack+191460, int_stack+189084, 66);
 /*--- compute (n0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5430030, int_stack+5422902, int_stack+5417358, 66);
 /*--- compute (n0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5441118, int_stack+194430, int_stack+191460, 66);
 /*--- compute (n0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5450028, int_stack+5441118, int_stack+5422902, 66);
 /*--- compute (n0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+5464284, int_stack+5450028, int_stack+5430030, 66);
 /*--- compute (n0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+5417358, int_stack+198060, int_stack+194430, 66);
 /*--- compute (n0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+5482764, int_stack+5417358, int_stack+5441118, 66);
 /*--- compute (n0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1115244, int_stack+5482764, int_stack+5450028, 66);
 /*--- compute (n0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+5428248, int_stack+1115244, int_stack+5464284, 66);
 /*--- compute (n0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+5455968, int_stack+202416, int_stack+198060, 66);
 /*--- compute (n0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+1139004, int_stack+5455968, int_stack+5417358, 66);
 /*--- compute (n0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+1209459, int_stack+1139004, int_stack+5482764, 66);
 /*--- compute (n0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+1139004, int_stack+1209459, int_stack+1115244, 66);
 /*--- compute (n0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1209459, int_stack+1139004, int_stack+5428248, 66);
 /*--- compute (mp|[r12,T1]|ih) ---*/
   t1hrr1_build_mp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1248267, int_stack+1209459, int_stack+1177119, int_stack+2007966, int_stack+994332, int_stack+1604598, 6, 5);
 /*--- compute (ld|[r12,T1]|ih) ---*/
   t1hrr1_build_ld(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+675807, int_stack+1248267, int_stack+596427, int_stack+897312, int_stack+3253938, int_stack+1636938, 6, 5);
 /*--- compute (kf|[r12,T1]|ih) ---*/
   t1hrr1_build_kf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+451192, int_stack+675807, int_stack+5516142, int_stack+2636538, int_stack+3355998, int_stack+1716318, 6, 5);
 /*--- compute (ig|[r12,T1]|ih) ---*/
   t1hrr1_build_ig(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3253938, int_stack+451192, int_stack+0, int_stack+2795298, int_stack+3519294, int_stack+1843326, 6, 5);
 /*--- compute (o0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+209748, int_stack+207564, 78);
 /*--- compute (o0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+6552, int_stack+212556, int_stack+209748, 78);
 /*--- compute (o0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14976, int_stack+6552, int_stack+0, 78);
 /*--- compute (o0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+28080, int_stack+216066, int_stack+212556, 78);
 /*--- compute (o0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+38610, int_stack+28080, int_stack+6552, 78);
 /*--- compute (o0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+55458, int_stack+38610, int_stack+14976, 78);
 /*--- compute (o0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+220356, int_stack+216066, 78);
 /*--- compute (o0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+77298, int_stack+0, int_stack+28080, 78);
 /*--- compute (o0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+98358, int_stack+77298, int_stack+38610, 78);
 /*--- compute (o0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+12870, int_stack+98358, int_stack+55458, 78);
 /*--- compute (o0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+45630, int_stack+225504, int_stack+220356, 78);
 /*--- compute (o0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+126438, int_stack+45630, int_stack+0, 78);
 /*--- compute (o0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+152178, int_stack+126438, int_stack+77298, 78);
 /*--- compute (o0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+45630, int_stack+152178, int_stack+98358, 78);
 /*--- compute (o0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+87750, int_stack+45630, int_stack+12870, 78);
 /*--- compute (np|[r12,T1]|ih) ---*/
   t1hrr1_build_np(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3500898, int_stack+87750, int_stack+1209459, int_stack+1069380, int_stack+1487380, int_stack+2007966, 6, 5);
 /*--- compute (md|[r12,T1]|ih) ---*/
   t1hrr1_build_md(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+3500898, int_stack+1248267, int_stack+4524774, int_stack+326452, int_stack+897312, 6, 5);
 /*--- compute (lf|[r12,T1]|ih) ---*/
   t1hrr1_build_lf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+834567, int_stack+0, int_stack+675807, int_stack+4641198, int_stack+3730974, int_stack+2636538, 6, 5);
 /*--- compute (kg|[r12,T1]|ih) ---*/
   t1hrr1_build_kg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+3500898, int_stack+834567, int_stack+451192, int_stack+4835238, int_stack+3935094, int_stack+2795298, 6, 5);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+232372, int_stack+231588, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2638890, int_stack+233380, int_stack+232372, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2641914, int_stack+2638890, int_stack+2636538, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2646618, int_stack+234640, int_stack+233380, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2650398, int_stack+2646618, int_stack+2638890, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2656446, int_stack+2650398, int_stack+2641914, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+236180, int_stack+234640, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2664286, int_stack+2636538, int_stack+2646618, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2671846, int_stack+2664286, int_stack+2650398, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2641158, int_stack+2671846, int_stack+2656446, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2652918, int_stack+238028, int_stack+236180, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2681926, int_stack+2652918, int_stack+2636538, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2691166, int_stack+2681926, int_stack+2664286, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2652918, int_stack+2691166, int_stack+2671846, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2668038, int_stack+2652918, int_stack+2641158, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+241220, int_stack+240212, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2639562, int_stack+242516, int_stack+241220, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2643450, int_stack+2639562, int_stack+2636538, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2649498, int_stack+244136, int_stack+242516, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2654358, int_stack+2649498, int_stack+2639562, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2684502, int_stack+2654358, int_stack+2643450, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+246116, int_stack+244136, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2694582, int_stack+2636538, int_stack+2649498, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2704302, int_stack+2694582, int_stack+2654358, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2642478, int_stack+2704302, int_stack+2684502, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2684502, int_stack+248492, int_stack+246116, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2717262, int_stack+2684502, int_stack+2636538, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2729142, int_stack+2717262, int_stack+2694582, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2684502, int_stack+2729142, int_stack+2704302, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2703942, int_stack+2684502, int_stack+2642478, 36);
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+2725110, int_stack+2703942, int_stack+2668038, 588);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+252560, int_stack+251300, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2640318, int_stack+254180, int_stack+252560, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2645178, int_stack+2640318, int_stack+2636538, 45);
 /*--- compute (l0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2652738, int_stack+256205, int_stack+254180, 45);
 /*--- compute (l0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2658813, int_stack+2652738, int_stack+2640318, 45);
 /*--- compute (l0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2668533, int_stack+2658813, int_stack+2645178, 45);
 /*--- compute (l0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+258680, int_stack+256205, 45);
 /*--- compute (l0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2681133, int_stack+2636538, int_stack+2652738, 45);
 /*--- compute (l0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2774502, int_stack+2681133, int_stack+2658813, 45);
 /*--- compute (l0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2643963, int_stack+2774502, int_stack+2668533, 45);
 /*--- compute (l0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2662863, int_stack+261650, int_stack+258680, 45);
 /*--- compute (l0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2790702, int_stack+2662863, int_stack+2636538, 45);
 /*--- compute (l0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2805552, int_stack+2790702, int_stack+2681133, 45);
 /*--- compute (l0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2662863, int_stack+2805552, int_stack+2774502, 45);
 /*--- compute (l0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2774502, int_stack+2662863, int_stack+2643963, 45);
 /*--- compute (kp||ih) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+2800962, int_stack+2774502, int_stack+2703942, 588);
 /*--- compute (id||ih) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+2864466, int_stack+2800962, int_stack+2725110, 588);
 /*--- compute (m0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2963250, int_stack+266700, int_stack+265160, 55);
 /*--- compute (m0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2967870, int_stack+268680, int_stack+266700, 55);
 /*--- compute (m0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2973810, int_stack+2967870, int_stack+2963250, 55);
 /*--- compute (m0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2983050, int_stack+271155, int_stack+268680, 55);
 /*--- compute (m0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2990475, int_stack+2983050, int_stack+2967870, 55);
 /*--- compute (m0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+2990475, int_stack+2973810, 55);
 /*--- compute (m0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2963250, int_stack+274180, int_stack+271155, 55);
 /*--- compute (m0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2651938, int_stack+2963250, int_stack+2983050, 55);
 /*--- compute (m0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2666788, int_stack+2651938, int_stack+2990475, 55);
 /*--- compute (m0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2972325, int_stack+2666788, int_stack+2636538, 55);
 /*--- compute (m0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+277810, int_stack+274180, 55);
 /*--- compute (m0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2686588, int_stack+2636538, int_stack+2963250, 55);
 /*--- compute (m0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2704738, int_stack+2686588, int_stack+2651938, 55);
 /*--- compute (m0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+2704738, int_stack+2666788, 55);
 /*--- compute (m0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2666238, int_stack+2636538, int_stack+2972325, 55);
 /*--- compute (lp||ih) ---*/
   hrr1_build_lp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+2666238, int_stack+2774502, 588);
 /*--- compute (kd||ih) ---*/
   hrr1_build_kd(Libr12->ShellQuartet.AB,int_stack+79380, int_stack+0, int_stack+2800962, 588);
 /*--- compute (if||ih) ---*/
   hrr1_build_if(Libr12->ShellQuartet.AB,int_stack+2698578, int_stack+79380, int_stack+2864466, 588);
 /*--- compute (n0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+283948, int_stack+282100, 66);
 /*--- compute (n0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2642082, int_stack+286324, int_stack+283948, 66);
 /*--- compute (n0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2649210, int_stack+2642082, int_stack+2636538, 66);
 /*--- compute (n0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2863218, int_stack+289294, int_stack+286324, 66);
 /*--- compute (n0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+2872128, int_stack+2863218, int_stack+2642082, 66);
 /*--- compute (n0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2886384, int_stack+2872128, int_stack+2649210, 66);
 /*--- compute (n0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+292924, int_stack+289294, 66);
 /*--- compute (n0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2647428, int_stack+2636538, int_stack+2863218, 66);
 /*--- compute (n0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2904864, int_stack+2647428, int_stack+2872128, 66);
 /*--- compute (n0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2928624, int_stack+2904864, int_stack+2886384, 66);
 /*--- compute (n0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2863218, int_stack+297280, int_stack+292924, 66);
 /*--- compute (n0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2876286, int_stack+2863218, int_stack+2636538, 66);
 /*--- compute (n0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2956344, int_stack+2876286, int_stack+2647428, 66);
 /*--- compute (n0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2863218, int_stack+2956344, int_stack+2904864, 66);
 /*--- compute (n0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2956344, int_stack+2863218, int_stack+2928624, 66);
 /*--- compute (mp||ih) ---*/
   hrr1_build_mp(Libr12->ShellQuartet.AB,int_stack+326452, int_stack+2956344, int_stack+2666238, 588);
 /*--- compute (ld||ih) ---*/
   hrr1_build_ld(Libr12->ShellQuartet.AB,int_stack+423472, int_stack+326452, int_stack+0, 588);
 /*--- compute (kf||ih) ---*/
   hrr1_build_kf(Libr12->ShellQuartet.AB,int_stack+582232, int_stack+423472, int_stack+79380, 588);
 /*--- compute (ig||ih) ---*/
   hrr1_build_ig(Libr12->ShellQuartet.AB,int_stack+0, int_stack+582232, int_stack+2698578, 588);
 /*--- compute (o0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+246960, int_stack+304612, int_stack+302428, 78);
 /*--- compute (o0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+253512, int_stack+307420, int_stack+304612, 78);
 /*--- compute (o0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+261936, int_stack+253512, int_stack+246960, 78);
 /*--- compute (o0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+275040, int_stack+310930, int_stack+307420, 78);
 /*--- compute (o0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+285570, int_stack+275040, int_stack+253512, 78);
 /*--- compute (o0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+285570, int_stack+261936, 78);
 /*--- compute (o0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+246960, int_stack+315220, int_stack+310930, 78);
 /*--- compute (o0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+2658378, int_stack+246960, int_stack+275040, 78);
 /*--- compute (o0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+2679438, int_stack+2658378, int_stack+285570, 78);
 /*--- compute (o0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+259830, int_stack+2679438, int_stack+2636538, 78);
 /*--- compute (o0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+320368, int_stack+315220, 78);
 /*--- compute (o0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+292590, int_stack+2636538, int_stack+246960, 78);
 /*--- compute (o0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+2707518, int_stack+292590, int_stack+2658378, 78);
 /*--- compute (o0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+2636538, int_stack+2707518, int_stack+2679438, 78);
 /*--- compute (o0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+2678658, int_stack+2636538, int_stack+259830, 78);
 /*--- compute (np||ih) ---*/
   hrr1_build_np(Libr12->ShellQuartet.AB,int_stack+2724522, int_stack+2678658, int_stack+2956344, 588);
 /*--- compute (md||ih) ---*/
   hrr1_build_md(Libr12->ShellQuartet.AB,int_stack+793912, int_stack+2724522, int_stack+326452, 588);
 /*--- compute (lf||ih) ---*/
   hrr1_build_lf(Libr12->ShellQuartet.AB,int_stack+2636538, int_stack+793912, int_stack+423472, 588);
 /*--- compute (kg||ih) ---*/
   hrr1_build_kg(Libr12->ShellQuartet.AB,int_stack+793912, int_stack+2636538, int_stack+582232, 588);
 /*--- compute (ih|[r12,T2]|ih) ---*/
   hrr1_build_ih(Libr12->ShellQuartet.AB,int_stack+2636538, int_stack+2319018, int_stack+2072058, 588);
     Libr12->te_ptr[3] = int_stack + 2636538;
 /*--- compute (ih|[r12,T1]|ih) ---*/
   t1hrr1_build_ih(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+1111432, int_stack+3500898, int_stack+3253938, int_stack+5099838, int_stack+4207254, int_stack+3006978, 6, 5);
     Libr12->te_ptr[2] = int_stack + 1111432;
 /*--- compute (ih||ih) ---*/
   hrr1_build_ih(Libr12->ShellQuartet.AB,int_stack+3253938, int_stack+793912, int_stack+0, 588);
     Libr12->te_ptr[1] = int_stack + 3253938;
 /*--- compute (ih|ih) ---*/
   hrr1_build_ih(Libr12->ShellQuartet.AB,int_stack+0, int_stack+5099838, int_stack+3006978, 588);
     Libr12->te_ptr[0] = int_stack + 0;

}
