#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ipgf(Libr12_t *, prim_data *);

  /* Computes (ip|gf) integrals for linear R12-methods */

void hrr_grt_order_ipgf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][4] = int_stack + 0;
 Libr12->t2vrr_classes[6][5] = int_stack + 420;
 Libr12->t2vrr_classes[6][6] = int_stack + 1008;
 Libr12->t2vrr_classes[6][7] = int_stack + 1792;
 Libr12->gvrr_classes[8][4] = int_stack + 2800;
 Libr12->t2vrr_classes[7][4] = int_stack + 3475;
 Libr12->gvrr_classes[8][5] = int_stack + 4015;
 Libr12->t2vrr_classes[7][5] = int_stack + 4960;
 Libr12->gvrr_classes[8][6] = int_stack + 5716;
 Libr12->t2vrr_classes[7][6] = int_stack + 6976;
 Libr12->t2vrr_classes[7][7] = int_stack + 7984;
 Libr12->gvrr_classes[6][8] = int_stack + 9280;
 Libr12->t1vrr_classes[6][4] = int_stack + 10540;
 Libr12->t1vrr_classes[6][5] = int_stack + 10960;
 Libr12->t1vrr_classes[6][6] = int_stack + 11548;
 Libr12->t1vrr_classes[6][7] = int_stack + 12332;
 Libr12->t1vrr_classes[7][4] = int_stack + 13340;
 Libr12->t1vrr_classes[7][5] = int_stack + 13880;
 Libr12->t1vrr_classes[7][6] = int_stack + 14636;
 Libr12->t1vrr_classes[7][7] = int_stack + 15644;
 Libr12->rvrr_classes[6][4] = int_stack + 16940;
 Libr12->rvrr_classes[6][5] = int_stack + 17360;
 Libr12->rvrr_classes[6][6] = int_stack + 17948;
 Libr12->rvrr_classes[6][7] = int_stack + 18732;
 Libr12->rvrr_classes[7][4] = int_stack + 19740;
 Libr12->rvrr_classes[7][5] = int_stack + 20280;
 Libr12->rvrr_classes[7][6] = int_stack + 21036;
 Libr12->rvrr_classes[7][7] = int_stack + 22044;
 Libr12->gvrr_classes[6][4] = int_stack + 23340;
 Libr12->gvrr_classes[6][5] = int_stack + 23760;
 Libr12->gvrr_classes[6][6] = int_stack + 24348;
 Libr12->gvrr_classes[6][7] = int_stack + 25132;
 Libr12->gvrr_classes[7][4] = int_stack + 26140;
 Libr12->gvrr_classes[7][5] = int_stack + 26680;
 Libr12->gvrr_classes[7][6] = int_stack + 27436;
 Libr12->gvrr_classes[7][7] = int_stack + 28444;
 memset(int_stack,0,29740*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 29740;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ipgf(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+29740, int_stack+23760, int_stack+23340, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+31000, int_stack+24348, int_stack+23760, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+32764, int_stack+31000, int_stack+29740, 28);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+35284, int_stack+26680, int_stack+26140, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+36904, int_stack+27436, int_stack+26680, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+39172, int_stack+36904, int_stack+35284, 36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+42412, int_stack+25132, int_stack+24348, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+44764, int_stack+42412, int_stack+31000, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48292, int_stack+420, int_stack+0, int_stack+23760, int_stack+26140, int_stack+23340, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+49552, int_stack+1008, int_stack+420, int_stack+24348, int_stack+26680, int_stack+23760, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+51316, int_stack+49552, int_stack+48292, int_stack+31000, int_stack+35284, int_stack+29740, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53836, int_stack+1792, int_stack+1008, int_stack+25132, int_stack+27436, int_stack+24348, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+56188, int_stack+53836, int_stack+49552, int_stack+42412, int_stack+36904, int_stack+31000, 6, 0);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+59716, int_stack+56188, int_stack+51316, int_stack+44764, int_stack+39172, int_stack+32764, 6, 0);
 /*--- compute (l0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+29740, int_stack+4015, int_stack+2800, 45);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+48292, int_stack+5716, int_stack+4015, 45);
 /*--- compute (l0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+51127, int_stack+48292, int_stack+29740, 45);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+55177, int_stack+28444, int_stack+27436, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+63916, int_stack+55177, int_stack+36904, 36);
 /*--- compute (k0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23340, int_stack+4960, int_stack+3475, int_stack+26680, int_stack+2800, int_stack+26140, 7, 0);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6976, int_stack+4960, int_stack+27436, int_stack+4015, int_stack+26680, 7, 0);
 /*--- compute (k0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2268, int_stack+0, int_stack+23340, int_stack+36904, int_stack+29740, int_stack+35284, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29740, int_stack+7984, int_stack+6976, int_stack+28444, int_stack+5716, int_stack+27436, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68452, int_stack+29740, int_stack+0, int_stack+55177, int_stack+48292, int_stack+36904, 7, 0);
 /*--- compute (k0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26140, int_stack+68452, int_stack+2268, int_stack+63916, int_stack+51127, int_stack+39172, 7, 0);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+68452, int_stack+44764, int_stack+32764, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+48292, int_stack+9280, int_stack+25132, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+51316, int_stack+48292, int_stack+42412, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+51316, int_stack+44764, 28);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+42412, int_stack+63916, int_stack+39172, 36);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+63916, int_stack+10960, int_stack+10540, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+65176, int_stack+11548, int_stack+10960, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+47812, int_stack+65176, int_stack+63916, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+50332, int_stack+12332, int_stack+11548, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+52684, int_stack+50332, int_stack+65176, 28);
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+63916, int_stack+52684, int_stack+47812, 28);
 /*--- compute (k0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+47812, int_stack+13880, int_stack+13340, 36);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+49432, int_stack+14636, int_stack+13880, 36);
 /*--- compute (k0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+51700, int_stack+49432, int_stack+47812, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+54940, int_stack+15644, int_stack+14636, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+54940, int_stack+49432, 36);
 /*--- compute (k0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+10416, int_stack+5880, int_stack+51700, 36);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+17360, int_stack+16940, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+7140, int_stack+17948, int_stack+17360, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+47812, int_stack+7140, int_stack+5880, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+50332, int_stack+18732, int_stack+17948, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+52684, int_stack+50332, int_stack+7140, 28);
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+5880, int_stack+52684, int_stack+47812, 28);
 /*--- compute (k0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+47812, int_stack+20280, int_stack+19740, 36);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+49432, int_stack+21036, int_stack+20280, 36);
 /*--- compute (k0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+51700, int_stack+49432, int_stack+47812, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+54940, int_stack+22044, int_stack+21036, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+15816, int_stack+54940, int_stack+49432, 36);
 /*--- compute (k0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+20352, int_stack+15816, int_stack+51700, 36);
 /*--- compute (ip|[r12,T2]|gf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+72652, int_stack+26140, int_stack+59716, 150);
     Libr12->te_ptr[3] = int_stack + 72652;
 /*--- compute (ip|[r12,T1]|gf) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+47812, int_stack+10416, int_stack+63916, int_stack+42412, int_stack+0, int_stack+68452, 4, 3);
     Libr12->te_ptr[2] = int_stack + 47812;
 /*--- compute (ip||gf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+25752, int_stack+20352, int_stack+5880, 150);
     Libr12->te_ptr[1] = int_stack + 25752;
 /*--- compute (ip|gf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+42412, int_stack+68452, 150);
     Libr12->te_ptr[0] = int_stack + 0;

}
