#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ipgg(Libr12_t *, prim_data *);

  /* Computes (ip|gg) integrals for linear R12-methods */

void hrr_grt_order_ipgg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][4] = int_stack + 0;
 Libr12->t2vrr_classes[6][5] = int_stack + 420;
 Libr12->t2vrr_classes[6][6] = int_stack + 1008;
 Libr12->t2vrr_classes[6][7] = int_stack + 1792;
 Libr12->t2vrr_classes[6][8] = int_stack + 2800;
 Libr12->gvrr_classes[8][4] = int_stack + 4060;
 Libr12->t2vrr_classes[7][4] = int_stack + 4735;
 Libr12->gvrr_classes[8][5] = int_stack + 5275;
 Libr12->t2vrr_classes[7][5] = int_stack + 6220;
 Libr12->gvrr_classes[8][6] = int_stack + 6976;
 Libr12->t2vrr_classes[7][6] = int_stack + 8236;
 Libr12->gvrr_classes[8][7] = int_stack + 9244;
 Libr12->t2vrr_classes[7][7] = int_stack + 10864;
 Libr12->t2vrr_classes[7][8] = int_stack + 12160;
 Libr12->gvrr_classes[6][9] = int_stack + 13780;
 Libr12->t1vrr_classes[6][4] = int_stack + 15320;
 Libr12->t1vrr_classes[6][5] = int_stack + 15740;
 Libr12->t1vrr_classes[6][6] = int_stack + 16328;
 Libr12->t1vrr_classes[6][7] = int_stack + 17112;
 Libr12->t1vrr_classes[6][8] = int_stack + 18120;
 Libr12->t1vrr_classes[7][4] = int_stack + 19380;
 Libr12->t1vrr_classes[7][5] = int_stack + 19920;
 Libr12->t1vrr_classes[7][6] = int_stack + 20676;
 Libr12->t1vrr_classes[7][7] = int_stack + 21684;
 Libr12->t1vrr_classes[7][8] = int_stack + 22980;
 Libr12->rvrr_classes[6][4] = int_stack + 24600;
 Libr12->rvrr_classes[6][5] = int_stack + 25020;
 Libr12->rvrr_classes[6][6] = int_stack + 25608;
 Libr12->rvrr_classes[6][7] = int_stack + 26392;
 Libr12->rvrr_classes[6][8] = int_stack + 27400;
 Libr12->rvrr_classes[7][4] = int_stack + 28660;
 Libr12->rvrr_classes[7][5] = int_stack + 29200;
 Libr12->rvrr_classes[7][6] = int_stack + 29956;
 Libr12->rvrr_classes[7][7] = int_stack + 30964;
 Libr12->rvrr_classes[7][8] = int_stack + 32260;
 Libr12->gvrr_classes[6][4] = int_stack + 33880;
 Libr12->gvrr_classes[6][5] = int_stack + 34300;
 Libr12->gvrr_classes[6][6] = int_stack + 34888;
 Libr12->gvrr_classes[6][7] = int_stack + 35672;
 Libr12->gvrr_classes[6][8] = int_stack + 36680;
 Libr12->gvrr_classes[7][4] = int_stack + 37940;
 Libr12->gvrr_classes[7][5] = int_stack + 38480;
 Libr12->gvrr_classes[7][6] = int_stack + 39236;
 Libr12->gvrr_classes[7][7] = int_stack + 40244;
 Libr12->gvrr_classes[7][8] = int_stack + 41540;
 memset(int_stack,0,43160*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 43160;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ipgg(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+43160, int_stack+34300, int_stack+33880, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+44420, int_stack+34888, int_stack+34300, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+46184, int_stack+44420, int_stack+43160, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48704, int_stack+35672, int_stack+34888, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+51056, int_stack+48704, int_stack+44420, 28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+54584, int_stack+51056, int_stack+46184, 28);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+58784, int_stack+38480, int_stack+37940, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+60404, int_stack+39236, int_stack+38480, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+62672, int_stack+60404, int_stack+58784, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+65912, int_stack+40244, int_stack+39236, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+68936, int_stack+65912, int_stack+60404, 36);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+73472, int_stack+68936, int_stack+62672, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+78872, int_stack+36680, int_stack+35672, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+81896, int_stack+78872, int_stack+48704, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+86600, int_stack+81896, int_stack+51056, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92480, int_stack+420, int_stack+0, int_stack+34300, int_stack+37940, int_stack+33880, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+93740, int_stack+1008, int_stack+420, int_stack+34888, int_stack+38480, int_stack+34300, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95504, int_stack+93740, int_stack+92480, int_stack+44420, int_stack+58784, int_stack+43160, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+98024, int_stack+1792, int_stack+1008, int_stack+35672, int_stack+39236, int_stack+34888, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+100376, int_stack+98024, int_stack+93740, int_stack+48704, int_stack+60404, int_stack+44420, 6, 0);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103904, int_stack+100376, int_stack+95504, int_stack+51056, int_stack+62672, int_stack+46184, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43160, int_stack+2800, int_stack+1792, int_stack+36680, int_stack+40244, int_stack+35672, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92480, int_stack+43160, int_stack+98024, int_stack+78872, int_stack+65912, int_stack+48704, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43160, int_stack+92480, int_stack+100376, int_stack+81896, int_stack+68936, int_stack+51056, 6, 0);
 /*--- compute (i0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+92480, int_stack+43160, int_stack+103904, int_stack+86600, int_stack+73472, int_stack+54584, 6, 0);
 /*--- compute (l0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+43160, int_stack+5275, int_stack+4060, 45);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+45185, int_stack+6976, int_stack+5275, 45);
 /*--- compute (l0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+48020, int_stack+45185, int_stack+43160, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+98780, int_stack+9244, int_stack+6976, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+102560, int_stack+98780, int_stack+45185, 45);
 /*--- compute (l0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+108230, int_stack+102560, int_stack+48020, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+41540, int_stack+40244, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114980, int_stack+0, int_stack+65912, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+121028, int_stack+114980, int_stack+68936, 36);
 /*--- compute (k0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+52070, int_stack+6220, int_stack+4735, int_stack+38480, int_stack+4060, int_stack+37940, 7, 0);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33880, int_stack+8236, int_stack+6220, int_stack+39236, int_stack+5275, int_stack+38480, 7, 0);
 /*--- compute (k0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+128588, int_stack+33880, int_stack+52070, int_stack+60404, int_stack+43160, int_stack+58784, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3888, int_stack+10864, int_stack+8236, int_stack+40244, int_stack+6976, int_stack+39236, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131828, int_stack+3888, int_stack+33880, int_stack+65912, int_stack+45185, int_stack+60404, 7, 0);
 /*--- compute (k0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136364, int_stack+131828, int_stack+128588, int_stack+68936, int_stack+48020, int_stack+62672, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58784, int_stack+12160, int_stack+10864, int_stack+41540, int_stack+9244, int_stack+40244, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37940, int_stack+58784, int_stack+3888, int_stack+0, int_stack+98780, int_stack+65912, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+37940, int_stack+131828, int_stack+114980, int_stack+102560, int_stack+68936, 7, 0);
 /*--- compute (k0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+37940, int_stack+0, int_stack+136364, int_stack+121028, int_stack+108230, int_stack+73472, 7, 0);
 /*--- compute (i0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+86600, int_stack+54584, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+13780, int_stack+36680, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+46040, int_stack+6300, int_stack+78872, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+46040, int_stack+81896, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+46040, int_stack+6300, int_stack+86600, 28);
 /*--- compute (k0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+6300, int_stack+121028, int_stack+73472, 36);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+54860, int_stack+15740, int_stack+15320, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+56120, int_stack+16328, int_stack+15740, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+57884, int_stack+56120, int_stack+54860, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+60404, int_stack+17112, int_stack+16328, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+62756, int_stack+60404, int_stack+56120, 28);
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+66284, int_stack+62756, int_stack+57884, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+54860, int_stack+18120, int_stack+17112, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+54860, int_stack+60404, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+54860, int_stack+14400, int_stack+62756, 28);
 /*--- compute (i0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+70484, int_stack+54860, int_stack+66284, 28);
 /*--- compute (k0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+54860, int_stack+19920, int_stack+19380, 36);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+56480, int_stack+20676, int_stack+19920, 36);
 /*--- compute (k0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+58748, int_stack+56480, int_stack+54860, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+61988, int_stack+21684, int_stack+20676, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+65012, int_stack+61988, int_stack+56480, 36);
 /*--- compute (k0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+65012, int_stack+58748, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+54860, int_stack+22980, int_stack+21684, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+76784, int_stack+54860, int_stack+61988, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+54860, int_stack+76784, int_stack+65012, 36);
 /*--- compute (k0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+76784, int_stack+54860, int_stack+14400, 36);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+25020, int_stack+24600, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+15660, int_stack+25608, int_stack+25020, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+17424, int_stack+15660, int_stack+14400, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19944, int_stack+26392, int_stack+25608, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+22296, int_stack+19944, int_stack+15660, 28);
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+54860, int_stack+22296, int_stack+17424, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+27400, int_stack+26392, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+59060, int_stack+14400, int_stack+19944, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+59060, int_stack+22296, 28);
 /*--- compute (i0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+59060, int_stack+14400, int_stack+54860, 28);
 /*--- compute (k0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+54860, int_stack+29200, int_stack+28660, 36);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+56480, int_stack+29956, int_stack+29200, 36);
 /*--- compute (k0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+56480, int_stack+54860, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17640, int_stack+30964, int_stack+29956, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+20664, int_stack+17640, int_stack+56480, 36);
 /*--- compute (k0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+25200, int_stack+20664, int_stack+14400, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+54860, int_stack+32260, int_stack+30964, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+30600, int_stack+54860, int_stack+17640, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+84884, int_stack+30600, int_stack+20664, 36);
 /*--- compute (k0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+14400, int_stack+84884, int_stack+25200, 36);
 /*--- compute (ip|[r12,T2]|gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+98780, int_stack+37940, int_stack+92480, 225);
     Libr12->te_ptr[3] = int_stack + 98780;
 /*--- compute (ip|[r12,T1]|gg) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+22500, int_stack+76784, int_stack+70484, int_stack+6300, int_stack+46040, int_stack+0, 4, 4);
     Libr12->te_ptr[2] = int_stack + 22500;
 /*--- compute (ip||gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+65360, int_stack+14400, int_stack+59060, 225);
     Libr12->te_ptr[1] = int_stack + 65360;
 /*--- compute (ip|gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+41400, int_stack+6300, int_stack+0, 225);
     Libr12->te_ptr[0] = int_stack + 41400;

}
