#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_iphd(Libr12_t *, prim_data *);

  /* Computes (ip|hd) integrals for linear R12-methods */

void hrr_grt_order_iphd(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 588;
 Libr12->t2vrr_classes[6][7] = int_stack + 1372;
 Libr12->gvrr_classes[8][5] = int_stack + 2380;
 Libr12->t2vrr_classes[7][5] = int_stack + 3325;
 Libr12->gvrr_classes[8][6] = int_stack + 4081;
 Libr12->t2vrr_classes[7][6] = int_stack + 5341;
 Libr12->t2vrr_classes[7][7] = int_stack + 6349;
 Libr12->gvrr_classes[6][8] = int_stack + 7645;
 Libr12->t1vrr_classes[6][5] = int_stack + 8905;
 Libr12->t1vrr_classes[6][6] = int_stack + 9493;
 Libr12->t1vrr_classes[6][7] = int_stack + 10277;
 Libr12->t1vrr_classes[7][5] = int_stack + 11285;
 Libr12->t1vrr_classes[7][6] = int_stack + 12041;
 Libr12->t1vrr_classes[7][7] = int_stack + 13049;
 Libr12->rvrr_classes[6][5] = int_stack + 14345;
 Libr12->rvrr_classes[6][6] = int_stack + 14933;
 Libr12->rvrr_classes[6][7] = int_stack + 15717;
 Libr12->rvrr_classes[7][5] = int_stack + 16725;
 Libr12->rvrr_classes[7][6] = int_stack + 17481;
 Libr12->rvrr_classes[7][7] = int_stack + 18489;
 Libr12->gvrr_classes[6][5] = int_stack + 19785;
 Libr12->gvrr_classes[6][6] = int_stack + 20373;
 Libr12->gvrr_classes[6][7] = int_stack + 21157;
 Libr12->gvrr_classes[7][5] = int_stack + 22165;
 Libr12->gvrr_classes[7][6] = int_stack + 22921;
 Libr12->gvrr_classes[7][7] = int_stack + 23929;
 memset(int_stack,0,25225*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 25225;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_iphd(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+25225, int_stack+20373, int_stack+19785, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+26989, int_stack+22921, int_stack+22165, 36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+29257, int_stack+21157, int_stack+20373, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+31609, int_stack+588, int_stack+0, int_stack+20373, int_stack+22165, int_stack+19785, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33373, int_stack+1372, int_stack+588, int_stack+21157, int_stack+22921, int_stack+20373, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35725, int_stack+33373, int_stack+31609, int_stack+29257, int_stack+26989, int_stack+25225, 6, 0);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+31609, int_stack+4081, int_stack+2380, 45);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+39253, int_stack+23929, int_stack+22921, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+5341, int_stack+3325, int_stack+22921, int_stack+2380, int_stack+22165, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42277, int_stack+6349, int_stack+5341, int_stack+23929, int_stack+4081, int_stack+22921, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2268, int_stack+42277, int_stack+0, int_stack+39253, int_stack+31609, int_stack+26989, 7, 0);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+31609, int_stack+29257, int_stack+25225, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+42277, int_stack+7645, int_stack+21157, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+19785, int_stack+42277, int_stack+29257, 28);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+42277, int_stack+39253, int_stack+26989, 36);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+39253, int_stack+9493, int_stack+8905, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24489, int_stack+10277, int_stack+9493, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+26841, int_stack+24489, int_stack+39253, 28);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+12041, int_stack+11285, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+39253, int_stack+13049, int_stack+12041, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+6804, int_stack+39253, int_stack+0, 36);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+14933, int_stack+14345, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+24489, int_stack+15717, int_stack+14933, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+11340, int_stack+24489, int_stack+0, 28);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+17481, int_stack+16725, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+39253, int_stack+18489, int_stack+17481, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+14868, int_stack+39253, int_stack+0, 36);
 /*--- compute (ip|[r12,T2]|hd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+46813, int_stack+2268, int_stack+35725, 126);
     Libr12->te_ptr[3] = int_stack + 46813;
 /*--- compute (ip|[r12,T1]|hd) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+57397, int_stack+6804, int_stack+26841, int_stack+42277, int_stack+19785, int_stack+31609, 5, 2);
     Libr12->te_ptr[2] = int_stack + 57397;
 /*--- compute (ip||hd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+14868, int_stack+11340, 126);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+10584, int_stack+42277, int_stack+31609, 126);
     Libr12->te_ptr[0] = int_stack + 10584;

}
