#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_iphf(Libr12_t *, prim_data *);

  /* Computes (ip|hf) integrals for linear R12-methods */

void hrr_grt_order_iphf(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 588;
 Libr12->t2vrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[6][8] = int_stack + 2380;
 Libr12->gvrr_classes[8][5] = int_stack + 3640;
 Libr12->t2vrr_classes[7][5] = int_stack + 4585;
 Libr12->gvrr_classes[8][6] = int_stack + 5341;
 Libr12->t2vrr_classes[7][6] = int_stack + 6601;
 Libr12->gvrr_classes[8][7] = int_stack + 7609;
 Libr12->t2vrr_classes[7][7] = int_stack + 9229;
 Libr12->t2vrr_classes[7][8] = int_stack + 10525;
 Libr12->gvrr_classes[6][9] = int_stack + 12145;
 Libr12->t1vrr_classes[6][5] = int_stack + 13685;
 Libr12->t1vrr_classes[6][6] = int_stack + 14273;
 Libr12->t1vrr_classes[6][7] = int_stack + 15057;
 Libr12->t1vrr_classes[6][8] = int_stack + 16065;
 Libr12->t1vrr_classes[7][5] = int_stack + 17325;
 Libr12->t1vrr_classes[7][6] = int_stack + 18081;
 Libr12->t1vrr_classes[7][7] = int_stack + 19089;
 Libr12->t1vrr_classes[7][8] = int_stack + 20385;
 Libr12->rvrr_classes[6][5] = int_stack + 22005;
 Libr12->rvrr_classes[6][6] = int_stack + 22593;
 Libr12->rvrr_classes[6][7] = int_stack + 23377;
 Libr12->rvrr_classes[6][8] = int_stack + 24385;
 Libr12->rvrr_classes[7][5] = int_stack + 25645;
 Libr12->rvrr_classes[7][6] = int_stack + 26401;
 Libr12->rvrr_classes[7][7] = int_stack + 27409;
 Libr12->rvrr_classes[7][8] = int_stack + 28705;
 Libr12->gvrr_classes[6][5] = int_stack + 30325;
 Libr12->gvrr_classes[6][6] = int_stack + 30913;
 Libr12->gvrr_classes[6][7] = int_stack + 31697;
 Libr12->gvrr_classes[6][8] = int_stack + 32705;
 Libr12->gvrr_classes[7][5] = int_stack + 33965;
 Libr12->gvrr_classes[7][6] = int_stack + 34721;
 Libr12->gvrr_classes[7][7] = int_stack + 35729;
 Libr12->gvrr_classes[7][8] = int_stack + 37025;
 memset(int_stack,0,38645*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 38645;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_iphf(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+38645, int_stack+30913, int_stack+30325, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+40409, int_stack+31697, int_stack+30913, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+42761, int_stack+40409, int_stack+38645, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+46289, int_stack+34721, int_stack+33965, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48557, int_stack+35729, int_stack+34721, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+51581, int_stack+48557, int_stack+46289, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+56117, int_stack+32705, int_stack+31697, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+59141, int_stack+56117, int_stack+40409, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+63845, int_stack+588, int_stack+0, int_stack+30913, int_stack+33965, int_stack+30325, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65609, int_stack+1372, int_stack+588, int_stack+31697, int_stack+34721, int_stack+30913, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67961, int_stack+65609, int_stack+63845, int_stack+40409, int_stack+46289, int_stack+38645, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+71489, int_stack+2380, int_stack+1372, int_stack+32705, int_stack+35729, int_stack+31697, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74513, int_stack+71489, int_stack+65609, int_stack+56117, int_stack+48557, int_stack+40409, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+79217, int_stack+74513, int_stack+67961, int_stack+59141, int_stack+51581, int_stack+42761, 6, 0);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+38645, int_stack+5341, int_stack+3640, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+63845, int_stack+7609, int_stack+5341, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+67625, int_stack+63845, int_stack+38645, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+73295, int_stack+37025, int_stack+35729, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+85097, int_stack+73295, int_stack+48557, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30325, int_stack+6601, int_stack+4585, int_stack+34721, int_stack+3640, int_stack+33965, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+9229, int_stack+6601, int_stack+35729, int_stack+5341, int_stack+34721, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+0, int_stack+30325, int_stack+48557, int_stack+38645, int_stack+46289, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38645, int_stack+10525, int_stack+9229, int_stack+37025, int_stack+7609, int_stack+35729, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91145, int_stack+38645, int_stack+0, int_stack+73295, int_stack+63845, int_stack+48557, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33965, int_stack+91145, int_stack+3024, int_stack+85097, int_stack+67625, int_stack+51581, 7, 0);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+91145, int_stack+59141, int_stack+42761, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+63845, int_stack+12145, int_stack+32705, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+67625, int_stack+63845, int_stack+56117, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+67625, int_stack+59141, 28);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+56117, int_stack+85097, int_stack+51581, 36);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+85097, int_stack+14273, int_stack+13685, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+86861, int_stack+15057, int_stack+14273, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+63677, int_stack+86861, int_stack+85097, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+67205, int_stack+16065, int_stack+15057, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+70229, int_stack+67205, int_stack+86861, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+85097, int_stack+70229, int_stack+63677, 28);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+63677, int_stack+18081, int_stack+17325, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+65945, int_stack+19089, int_stack+18081, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+68969, int_stack+65945, int_stack+63677, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+73505, int_stack+20385, int_stack+19089, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7840, int_stack+73505, int_stack+65945, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+13888, int_stack+7840, int_stack+68969, 36);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+7840, int_stack+22593, int_stack+22005, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+9604, int_stack+23377, int_stack+22593, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+63677, int_stack+9604, int_stack+7840, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+67205, int_stack+24385, int_stack+23377, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+70229, int_stack+67205, int_stack+9604, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+7840, int_stack+70229, int_stack+63677, 28);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+63677, int_stack+26401, int_stack+25645, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+65945, int_stack+27409, int_stack+26401, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+68969, int_stack+65945, int_stack+63677, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+73505, int_stack+28705, int_stack+27409, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+21448, int_stack+73505, int_stack+65945, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+41525, int_stack+21448, int_stack+68969, 36);
 /*--- compute (ip|[r12,T2]|hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+97025, int_stack+33965, int_stack+79217, 210);
     Libr12->te_ptr[3] = int_stack + 97025;
 /*--- compute (ip|[r12,T1]|hf) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+21448, int_stack+13888, int_stack+85097, int_stack+56117, int_stack+0, int_stack+91145, 5, 3);
     Libr12->te_ptr[2] = int_stack + 21448;
 /*--- compute (ip||hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+63677, int_stack+41525, int_stack+7840, 210);
     Libr12->te_ptr[1] = int_stack + 63677;
 /*--- compute (ip|hf) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+56117, int_stack+91145, 210);
     Libr12->te_ptr[0] = int_stack + 0;

}
