#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_iphg(Libr12_t *, prim_data *);

  /* Computes (ip|hg) integrals for linear R12-methods */

void hrr_grt_order_iphg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 588;
 Libr12->t2vrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[6][8] = int_stack + 2380;
 Libr12->t2vrr_classes[6][9] = int_stack + 3640;
 Libr12->gvrr_classes[8][5] = int_stack + 5180;
 Libr12->t2vrr_classes[7][5] = int_stack + 6125;
 Libr12->gvrr_classes[8][6] = int_stack + 6881;
 Libr12->t2vrr_classes[7][6] = int_stack + 8141;
 Libr12->gvrr_classes[8][7] = int_stack + 9149;
 Libr12->t2vrr_classes[7][7] = int_stack + 10769;
 Libr12->gvrr_classes[8][8] = int_stack + 12065;
 Libr12->t2vrr_classes[7][8] = int_stack + 14090;
 Libr12->t2vrr_classes[7][9] = int_stack + 15710;
 Libr12->gvrr_classes[6][10] = int_stack + 17690;
 Libr12->t1vrr_classes[6][5] = int_stack + 19538;
 Libr12->t1vrr_classes[6][6] = int_stack + 20126;
 Libr12->t1vrr_classes[6][7] = int_stack + 20910;
 Libr12->t1vrr_classes[6][8] = int_stack + 21918;
 Libr12->t1vrr_classes[6][9] = int_stack + 23178;
 Libr12->t1vrr_classes[7][5] = int_stack + 24718;
 Libr12->t1vrr_classes[7][6] = int_stack + 25474;
 Libr12->t1vrr_classes[7][7] = int_stack + 26482;
 Libr12->t1vrr_classes[7][8] = int_stack + 27778;
 Libr12->t1vrr_classes[7][9] = int_stack + 29398;
 Libr12->rvrr_classes[6][5] = int_stack + 31378;
 Libr12->rvrr_classes[6][6] = int_stack + 31966;
 Libr12->rvrr_classes[6][7] = int_stack + 32750;
 Libr12->rvrr_classes[6][8] = int_stack + 33758;
 Libr12->rvrr_classes[6][9] = int_stack + 35018;
 Libr12->rvrr_classes[7][5] = int_stack + 36558;
 Libr12->rvrr_classes[7][6] = int_stack + 37314;
 Libr12->rvrr_classes[7][7] = int_stack + 38322;
 Libr12->rvrr_classes[7][8] = int_stack + 39618;
 Libr12->rvrr_classes[7][9] = int_stack + 41238;
 Libr12->gvrr_classes[6][5] = int_stack + 43218;
 Libr12->gvrr_classes[6][6] = int_stack + 43806;
 Libr12->gvrr_classes[6][7] = int_stack + 44590;
 Libr12->gvrr_classes[6][8] = int_stack + 45598;
 Libr12->gvrr_classes[6][9] = int_stack + 46858;
 Libr12->gvrr_classes[7][5] = int_stack + 48398;
 Libr12->gvrr_classes[7][6] = int_stack + 49154;
 Libr12->gvrr_classes[7][7] = int_stack + 50162;
 Libr12->gvrr_classes[7][8] = int_stack + 51458;
 Libr12->gvrr_classes[7][9] = int_stack + 53078;
 memset(int_stack,0,55058*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 55058;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_iphg(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+55058, int_stack+43806, int_stack+43218, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+56822, int_stack+44590, int_stack+43806, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+59174, int_stack+56822, int_stack+55058, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+62702, int_stack+45598, int_stack+44590, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+65726, int_stack+62702, int_stack+56822, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+70430, int_stack+65726, int_stack+59174, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+76310, int_stack+49154, int_stack+48398, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+78578, int_stack+50162, int_stack+49154, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+81602, int_stack+78578, int_stack+76310, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+86138, int_stack+51458, int_stack+50162, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+90026, int_stack+86138, int_stack+78578, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+96074, int_stack+90026, int_stack+81602, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+103634, int_stack+46858, int_stack+45598, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+107414, int_stack+103634, int_stack+62702, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+113462, int_stack+107414, int_stack+65726, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121302, int_stack+588, int_stack+0, int_stack+43806, int_stack+48398, int_stack+43218, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123066, int_stack+1372, int_stack+588, int_stack+44590, int_stack+49154, int_stack+43806, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125418, int_stack+123066, int_stack+121302, int_stack+56822, int_stack+76310, int_stack+55058, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+128946, int_stack+2380, int_stack+1372, int_stack+45598, int_stack+50162, int_stack+44590, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+131970, int_stack+128946, int_stack+123066, int_stack+62702, int_stack+78578, int_stack+56822, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+136674, int_stack+131970, int_stack+125418, int_stack+65726, int_stack+81602, int_stack+59174, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55058, int_stack+3640, int_stack+2380, int_stack+46858, int_stack+51458, int_stack+45598, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121302, int_stack+55058, int_stack+128946, int_stack+103634, int_stack+86138, int_stack+62702, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+55058, int_stack+121302, int_stack+131970, int_stack+107414, int_stack+90026, int_stack+65726, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+121302, int_stack+55058, int_stack+136674, int_stack+113462, int_stack+96074, int_stack+70430, 6, 0);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+55058, int_stack+6881, int_stack+5180, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+57893, int_stack+9149, int_stack+6881, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+61673, int_stack+57893, int_stack+55058, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+130122, int_stack+12065, int_stack+9149, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+134982, int_stack+130122, int_stack+57893, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+142542, int_stack+134982, int_stack+61673, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+53078, int_stack+51458, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+151992, int_stack+0, int_stack+86138, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+159768, int_stack+151992, int_stack+90026, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67343, int_stack+8141, int_stack+6125, int_stack+49154, int_stack+5180, int_stack+48398, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43218, int_stack+10769, int_stack+8141, int_stack+50162, int_stack+6881, int_stack+49154, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+169848, int_stack+43218, int_stack+67343, int_stack+78578, int_stack+55058, int_stack+76310, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4860, int_stack+14090, int_stack+10769, int_stack+51458, int_stack+9149, int_stack+50162, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+174384, int_stack+4860, int_stack+43218, int_stack+86138, int_stack+57893, int_stack+78578, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+180432, int_stack+174384, int_stack+169848, int_stack+90026, int_stack+61673, int_stack+81602, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+76310, int_stack+15710, int_stack+14090, int_stack+53078, int_stack+12065, int_stack+51458, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48398, int_stack+76310, int_stack+4860, int_stack+0, int_stack+130122, int_stack+86138, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+48398, int_stack+174384, int_stack+151992, int_stack+134982, int_stack+90026, 7, 0);
 /*--- compute (k0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48398, int_stack+0, int_stack+180432, int_stack+159768, int_stack+142542, int_stack+96074, 7, 0);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+113462, int_stack+70430, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+17690, int_stack+46858, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+59738, int_stack+8820, int_stack+103634, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+59738, int_stack+107414, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+59738, int_stack+8820, int_stack+113462, 28);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+71498, int_stack+159768, int_stack+96074, 36);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+20126, int_stack+19538, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10584, int_stack+20910, int_stack+20126, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+12936, int_stack+10584, int_stack+8820, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+16464, int_stack+21918, int_stack+20910, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+82838, int_stack+16464, int_stack+10584, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+87542, int_stack+82838, int_stack+12936, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+23178, int_stack+21918, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+93422, int_stack+8820, int_stack+16464, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+93422, int_stack+82838, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+93422, int_stack+8820, int_stack+87542, 28);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+25474, int_stack+24718, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11088, int_stack+26482, int_stack+25474, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+14112, int_stack+11088, int_stack+8820, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+18648, int_stack+27778, int_stack+26482, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+82838, int_stack+18648, int_stack+11088, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+102242, int_stack+82838, int_stack+14112, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+29398, int_stack+27778, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22536, int_stack+8820, int_stack+18648, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+22536, int_stack+82838, 36);
 /*--- compute (k0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+18900, int_stack+8820, int_stack+102242, 36);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+102242, int_stack+31966, int_stack+31378, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+104006, int_stack+32750, int_stack+31966, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+106358, int_stack+104006, int_stack+102242, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+109886, int_stack+33758, int_stack+32750, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+112910, int_stack+109886, int_stack+104006, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+112910, int_stack+106358, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+102242, int_stack+35018, int_stack+33758, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+82838, int_stack+102242, int_stack+109886, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+102242, int_stack+82838, int_stack+112910, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+82838, int_stack+102242, int_stack+8820, 28);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+37314, int_stack+36558, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11088, int_stack+38322, int_stack+37314, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+14112, int_stack+11088, int_stack+8820, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+102242, int_stack+39618, int_stack+38322, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+106130, int_stack+102242, int_stack+11088, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+112178, int_stack+106130, int_stack+14112, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+41238, int_stack+39618, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+30240, int_stack+8820, int_stack+102242, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+8820, int_stack+30240, int_stack+106130, 36);
 /*--- compute (k0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+30240, int_stack+8820, int_stack+112178, 36);
 /*--- compute (ip|[r12,T2]|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+130122, int_stack+48398, int_stack+121302, 315);
     Libr12->te_ptr[3] = int_stack + 130122;
 /*--- compute (ip|[r12,T1]|hg) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+102242, int_stack+18900, int_stack+93422, int_stack+71498, int_stack+59738, int_stack+0, 5, 4);
     Libr12->te_ptr[2] = int_stack + 102242;
 /*--- compute (ip||hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+41580, int_stack+30240, int_stack+82838, 315);
     Libr12->te_ptr[1] = int_stack + 41580;
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+8820, int_stack+71498, int_stack+0, 315);
     Libr12->te_ptr[0] = int_stack + 8820;

}
