#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_iphh(Libr12_t *, prim_data *);

  /* Computes (ip|hh) integrals for linear R12-methods */

void hrr_grt_order_iphh(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][5] = int_stack + 0;
 Libr12->t2vrr_classes[6][6] = int_stack + 588;
 Libr12->t2vrr_classes[6][7] = int_stack + 1372;
 Libr12->t2vrr_classes[6][8] = int_stack + 2380;
 Libr12->t2vrr_classes[6][9] = int_stack + 3640;
 Libr12->t2vrr_classes[6][10] = int_stack + 5180;
 Libr12->gvrr_classes[8][5] = int_stack + 7028;
 Libr12->t2vrr_classes[7][5] = int_stack + 7973;
 Libr12->gvrr_classes[8][6] = int_stack + 8729;
 Libr12->t2vrr_classes[7][6] = int_stack + 9989;
 Libr12->gvrr_classes[8][7] = int_stack + 10997;
 Libr12->t2vrr_classes[7][7] = int_stack + 12617;
 Libr12->gvrr_classes[8][8] = int_stack + 13913;
 Libr12->t2vrr_classes[7][8] = int_stack + 15938;
 Libr12->gvrr_classes[8][9] = int_stack + 17558;
 Libr12->t2vrr_classes[7][9] = int_stack + 20033;
 Libr12->t2vrr_classes[7][10] = int_stack + 22013;
 Libr12->gvrr_classes[6][11] = int_stack + 24389;
 Libr12->t1vrr_classes[6][5] = int_stack + 26573;
 Libr12->t1vrr_classes[6][6] = int_stack + 27161;
 Libr12->t1vrr_classes[6][7] = int_stack + 27945;
 Libr12->t1vrr_classes[6][8] = int_stack + 28953;
 Libr12->t1vrr_classes[6][9] = int_stack + 30213;
 Libr12->t1vrr_classes[6][10] = int_stack + 31753;
 Libr12->t1vrr_classes[7][5] = int_stack + 33601;
 Libr12->t1vrr_classes[7][6] = int_stack + 34357;
 Libr12->t1vrr_classes[7][7] = int_stack + 35365;
 Libr12->t1vrr_classes[7][8] = int_stack + 36661;
 Libr12->t1vrr_classes[7][9] = int_stack + 38281;
 Libr12->t1vrr_classes[7][10] = int_stack + 40261;
 Libr12->rvrr_classes[6][5] = int_stack + 42637;
 Libr12->rvrr_classes[6][6] = int_stack + 43225;
 Libr12->rvrr_classes[6][7] = int_stack + 44009;
 Libr12->rvrr_classes[6][8] = int_stack + 45017;
 Libr12->rvrr_classes[6][9] = int_stack + 46277;
 Libr12->rvrr_classes[6][10] = int_stack + 47817;
 Libr12->rvrr_classes[7][5] = int_stack + 49665;
 Libr12->rvrr_classes[7][6] = int_stack + 50421;
 Libr12->rvrr_classes[7][7] = int_stack + 51429;
 Libr12->rvrr_classes[7][8] = int_stack + 52725;
 Libr12->rvrr_classes[7][9] = int_stack + 54345;
 Libr12->rvrr_classes[7][10] = int_stack + 56325;
 Libr12->gvrr_classes[6][5] = int_stack + 58701;
 Libr12->gvrr_classes[6][6] = int_stack + 59289;
 Libr12->gvrr_classes[6][7] = int_stack + 60073;
 Libr12->gvrr_classes[6][8] = int_stack + 61081;
 Libr12->gvrr_classes[6][9] = int_stack + 62341;
 Libr12->gvrr_classes[6][10] = int_stack + 63881;
 Libr12->gvrr_classes[7][5] = int_stack + 65729;
 Libr12->gvrr_classes[7][6] = int_stack + 66485;
 Libr12->gvrr_classes[7][7] = int_stack + 67493;
 Libr12->gvrr_classes[7][8] = int_stack + 68789;
 Libr12->gvrr_classes[7][9] = int_stack + 70409;
 Libr12->gvrr_classes[7][10] = int_stack + 72389;
 memset(int_stack,0,74765*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 74765;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_iphh(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+74765, int_stack+59289, int_stack+58701, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+76529, int_stack+60073, int_stack+59289, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+78881, int_stack+76529, int_stack+74765, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+82409, int_stack+61081, int_stack+60073, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+85433, int_stack+82409, int_stack+76529, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+90137, int_stack+85433, int_stack+78881, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+96017, int_stack+62341, int_stack+61081, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+99797, int_stack+96017, int_stack+82409, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+105845, int_stack+99797, int_stack+85433, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+113685, int_stack+105845, int_stack+90137, 28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+122505, int_stack+66485, int_stack+65729, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+124773, int_stack+67493, int_stack+66485, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+127797, int_stack+124773, int_stack+122505, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+132333, int_stack+68789, int_stack+67493, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+136221, int_stack+132333, int_stack+124773, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+142269, int_stack+136221, int_stack+127797, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+149829, int_stack+70409, int_stack+68789, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+154689, int_stack+149829, int_stack+132333, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+162465, int_stack+154689, int_stack+136221, 36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+172545, int_stack+162465, int_stack+142269, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+183885, int_stack+63881, int_stack+62341, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+188505, int_stack+183885, int_stack+96017, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+196065, int_stack+188505, int_stack+99797, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+206145, int_stack+196065, int_stack+105845, 28);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+217905, int_stack+588, int_stack+0, int_stack+59289, int_stack+65729, int_stack+58701, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+219669, int_stack+1372, int_stack+588, int_stack+60073, int_stack+66485, int_stack+59289, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+222021, int_stack+219669, int_stack+217905, int_stack+76529, int_stack+122505, int_stack+74765, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+225549, int_stack+2380, int_stack+1372, int_stack+61081, int_stack+67493, int_stack+60073, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+228573, int_stack+225549, int_stack+219669, int_stack+82409, int_stack+124773, int_stack+76529, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+233277, int_stack+228573, int_stack+222021, int_stack+85433, int_stack+127797, int_stack+78881, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74765, int_stack+3640, int_stack+2380, int_stack+62341, int_stack+68789, int_stack+61081, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+217905, int_stack+74765, int_stack+225549, int_stack+96017, int_stack+132333, int_stack+82409, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+239157, int_stack+217905, int_stack+228573, int_stack+99797, int_stack+136221, int_stack+85433, 6, 0);
 /*--- compute (i0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+78545, int_stack+239157, int_stack+233277, int_stack+105845, int_stack+142269, int_stack+90137, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87365, int_stack+5180, int_stack+3640, int_stack+63881, int_stack+70409, int_stack+62341, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+223953, int_stack+87365, int_stack+74765, int_stack+183885, int_stack+149829, int_stack+96017, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87365, int_stack+223953, int_stack+217905, int_stack+188505, int_stack+154689, int_stack+99797, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+217905, int_stack+87365, int_stack+239157, int_stack+196065, int_stack+162465, int_stack+105845, 6, 0);
 /*--- compute (i0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+87365, int_stack+217905, int_stack+78545, int_stack+206145, int_stack+172545, int_stack+113685, 6, 0);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+217905, int_stack+8729, int_stack+7028, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+220740, int_stack+10997, int_stack+8729, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+224520, int_stack+220740, int_stack+217905, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+230190, int_stack+13913, int_stack+10997, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+235050, int_stack+230190, int_stack+220740, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+99713, int_stack+235050, int_stack+224520, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+74765, int_stack+17558, int_stack+13913, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+242610, int_stack+74765, int_stack+230190, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+252330, int_stack+242610, int_stack+235050, 45);
 /*--- compute (l0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+264930, int_stack+252330, int_stack+99713, 45);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+80840, int_stack+72389, int_stack+70409, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+279105, int_stack+80840, int_stack+149829, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+288825, int_stack+279105, int_stack+154689, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+301785, int_stack+288825, int_stack+162465, 36);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+109163, int_stack+9989, int_stack+7973, int_stack+66485, int_stack+7028, int_stack+65729, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58701, int_stack+12617, int_stack+9989, int_stack+67493, int_stack+8729, int_stack+66485, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+58701, int_stack+109163, int_stack+124773, int_stack+217905, int_stack+122505, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+109163, int_stack+15938, int_stack+12617, int_stack+68789, int_stack+10997, int_stack+67493, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+4536, int_stack+109163, int_stack+58701, int_stack+132333, int_stack+220740, int_stack+124773, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+316905, int_stack+4536, int_stack+0, int_stack+136221, int_stack+224520, int_stack+127797, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+58701, int_stack+20033, int_stack+15938, int_stack+70409, int_stack+13913, int_stack+68789, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122505, int_stack+58701, int_stack+109163, int_stack+149829, int_stack+230190, int_stack+132333, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+217905, int_stack+122505, int_stack+4536, int_stack+154689, int_stack+235050, int_stack+136221, 7, 0);
 /*--- compute (k0|[r12,T2]|hg) ---*/
   t2hrr3_build_hg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+217905, int_stack+316905, int_stack+162465, int_stack+99713, int_stack+142269, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99713, int_stack+22013, int_stack+20033, int_stack+72389, int_stack+17558, int_stack+70409, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11340, int_stack+99713, int_stack+58701, int_stack+80840, int_stack+74765, int_stack+149829, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+99713, int_stack+11340, int_stack+122505, int_stack+279105, int_stack+242610, int_stack+154689, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122505, int_stack+99713, int_stack+217905, int_stack+288825, int_stack+252330, int_stack+162465, 7, 0);
 /*--- compute (k0|[r12,T2]|hh) ---*/
   t2hrr3_build_hh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+217905, int_stack+122505, int_stack+0, int_stack+301785, int_stack+264930, int_stack+172545, 7, 0);
 /*--- compute (i0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+206145, int_stack+113685, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+24389, int_stack+63881, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+233781, int_stack+12348, int_stack+183885, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+233781, int_stack+188505, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+233781, int_stack+12348, int_stack+196065, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+248901, int_stack+233781, int_stack+206145, 28);
 /*--- compute (k0|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+265365, int_stack+301785, int_stack+172545, 36);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+233781, int_stack+27161, int_stack+26573, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+235545, int_stack+27945, int_stack+27161, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+237897, int_stack+235545, int_stack+233781, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+241425, int_stack+28953, int_stack+27945, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+241425, int_stack+235545, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+17052, int_stack+12348, int_stack+237897, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+233781, int_stack+30213, int_stack+28953, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22932, int_stack+233781, int_stack+241425, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+237561, int_stack+22932, int_stack+12348, 28);
 /*--- compute (i0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+281241, int_stack+237561, int_stack+17052, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+31753, int_stack+30213, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+290061, int_stack+12348, int_stack+233781, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+290061, int_stack+22932, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+290061, int_stack+12348, int_stack+237561, 28);
 /*--- compute (i0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+12348, int_stack+290061, int_stack+281241, 28);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+281241, int_stack+34357, int_stack+33601, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+283509, int_stack+35365, int_stack+34357, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+286533, int_stack+283509, int_stack+281241, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+291069, int_stack+36661, int_stack+35365, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+294957, int_stack+291069, int_stack+283509, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+301005, int_stack+294957, int_stack+286533, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+281241, int_stack+38281, int_stack+36661, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+308565, int_stack+281241, int_stack+291069, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+24696, int_stack+308565, int_stack+294957, 36);
 /*--- compute (k0|[r12,T1]|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+286101, int_stack+24696, int_stack+301005, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+297441, int_stack+40261, int_stack+38281, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+233781, int_stack+297441, int_stack+281241, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+99713, int_stack+233781, int_stack+308565, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+233781, int_stack+99713, int_stack+24696, 36);
 /*--- compute (k0|[r12,T1]|hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+24696, int_stack+233781, int_stack+286101, 36);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+233781, int_stack+43225, int_stack+42637, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+235545, int_stack+44009, int_stack+43225, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+237897, int_stack+235545, int_stack+233781, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+241425, int_stack+45017, int_stack+44009, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+99713, int_stack+241425, int_stack+235545, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+104417, int_stack+99713, int_stack+237897, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+233781, int_stack+46277, int_stack+45017, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+110297, int_stack+233781, int_stack+241425, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+237561, int_stack+110297, int_stack+99713, 28);
 /*--- compute (i0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+116345, int_stack+237561, int_stack+104417, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+99713, int_stack+47817, int_stack+46277, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+40572, int_stack+99713, int_stack+233781, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+99713, int_stack+40572, int_stack+110297, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+125165, int_stack+99713, int_stack+237561, 28);
 /*--- compute (i0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+99713, int_stack+125165, int_stack+116345, 28);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+112061, int_stack+50421, int_stack+49665, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+114329, int_stack+51429, int_stack+50421, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+117353, int_stack+114329, int_stack+112061, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+121889, int_stack+52725, int_stack+51429, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+125777, int_stack+121889, int_stack+114329, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+131825, int_stack+125777, int_stack+117353, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+112061, int_stack+54345, int_stack+52725, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+139385, int_stack+112061, int_stack+121889, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+147161, int_stack+139385, int_stack+125777, 36);
 /*--- compute (k0||hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+116921, int_stack+147161, int_stack+131825, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+128261, int_stack+56325, int_stack+54345, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+157241, int_stack+128261, int_stack+112061, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+166961, int_stack+157241, int_stack+139385, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+233781, int_stack+166961, int_stack+147161, 36);
 /*--- compute (k0||hh) ---*/
   hrr3_build_hh(Libr12->ShellQuartet.CD,int_stack+128261, int_stack+233781, int_stack+116921, 36);
 /*--- compute (ip|[r12,T2]|hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+144137, int_stack+217905, int_stack+87365, 441);
     Libr12->te_ptr[3] = int_stack + 144137;
 /*--- compute (ip|[r12,T1]|hh) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+181181, int_stack+24696, int_stack+12348, int_stack+265365, int_stack+248901, int_stack+0, 5, 5);
     Libr12->te_ptr[2] = int_stack + 181181;
 /*--- compute (ip||hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+12348, int_stack+128261, int_stack+99713, 441);
     Libr12->te_ptr[1] = int_stack + 12348;
 /*--- compute (ip|hh) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+49392, int_stack+265365, int_stack+0, 441);
     Libr12->te_ptr[0] = int_stack + 49392;

}
