#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ipid(Libr12_t *, prim_data *);

  /* Computes (ip|id) integrals for linear R12-methods */

void hrr_grt_order_ipid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->gvrr_classes[8][6] = int_stack + 3052;
 Libr12->t2vrr_classes[7][6] = int_stack + 4312;
 Libr12->gvrr_classes[8][7] = int_stack + 5320;
 Libr12->t2vrr_classes[7][7] = int_stack + 6940;
 Libr12->t2vrr_classes[7][8] = int_stack + 8236;
 Libr12->gvrr_classes[6][9] = int_stack + 9856;
 Libr12->t1vrr_classes[6][6] = int_stack + 11396;
 Libr12->t1vrr_classes[6][7] = int_stack + 12180;
 Libr12->t1vrr_classes[6][8] = int_stack + 13188;
 Libr12->t1vrr_classes[7][6] = int_stack + 14448;
 Libr12->t1vrr_classes[7][7] = int_stack + 15456;
 Libr12->t1vrr_classes[7][8] = int_stack + 16752;
 Libr12->rvrr_classes[6][6] = int_stack + 18372;
 Libr12->rvrr_classes[6][7] = int_stack + 19156;
 Libr12->rvrr_classes[6][8] = int_stack + 20164;
 Libr12->rvrr_classes[7][6] = int_stack + 21424;
 Libr12->rvrr_classes[7][7] = int_stack + 22432;
 Libr12->rvrr_classes[7][8] = int_stack + 23728;
 Libr12->gvrr_classes[6][6] = int_stack + 25348;
 Libr12->gvrr_classes[6][7] = int_stack + 26132;
 Libr12->gvrr_classes[6][8] = int_stack + 27140;
 Libr12->gvrr_classes[7][6] = int_stack + 28400;
 Libr12->gvrr_classes[7][7] = int_stack + 29408;
 Libr12->gvrr_classes[7][8] = int_stack + 30704;
 memset(int_stack,0,32324*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 32324;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ipid(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+32324, int_stack+26132, int_stack+25348, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+34676, int_stack+29408, int_stack+28400, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+37700, int_stack+27140, int_stack+26132, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40724, int_stack+784, int_stack+0, int_stack+26132, int_stack+28400, int_stack+25348, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+43076, int_stack+1792, int_stack+784, int_stack+27140, int_stack+29408, int_stack+26132, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+46100, int_stack+43076, int_stack+40724, int_stack+37700, int_stack+34676, int_stack+32324, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+40724, int_stack+5320, int_stack+3052, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+50804, int_stack+30704, int_stack+29408, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6940, int_stack+4312, int_stack+29408, int_stack+3052, int_stack+28400, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54692, int_stack+8236, int_stack+6940, int_stack+30704, int_stack+5320, int_stack+29408, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+54692, int_stack+0, int_stack+50804, int_stack+40724, int_stack+34676, 7, 0);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+40724, int_stack+37700, int_stack+32324, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+54692, int_stack+9856, int_stack+27140, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+25348, int_stack+54692, int_stack+37700, 28);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+54692, int_stack+50804, int_stack+34676, 36);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+50804, int_stack+12180, int_stack+11396, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13188, int_stack+12180, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+31396, int_stack+0, int_stack+50804, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+15456, int_stack+14448, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+50804, int_stack+16752, int_stack+15456, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+9072, int_stack+50804, int_stack+0, 36);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+19156, int_stack+18372, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+50804, int_stack+20164, int_stack+19156, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+15120, int_stack+50804, int_stack+0, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+22432, int_stack+21424, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+50804, int_stack+23728, int_stack+22432, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+60740, int_stack+50804, int_stack+0, 36);
 /*--- compute (ip|[r12,T2]|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+66788, int_stack+3024, int_stack+46100, 168);
     Libr12->te_ptr[3] = int_stack + 66788;
 /*--- compute (ip|[r12,T1]|id) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+80900, int_stack+9072, int_stack+31396, int_stack+54692, int_stack+25348, int_stack+40724, 6, 2);
     Libr12->te_ptr[2] = int_stack + 80900;
 /*--- compute (ip||id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+60740, int_stack+15120, 168);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (ip|id) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+14112, int_stack+54692, int_stack+40724, 168);
     Libr12->te_ptr[0] = int_stack + 14112;

}
