#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ipif(Libr12_t *, prim_data *);

  /* Computes (ip|if) integrals for linear R12-methods */

void hrr_grt_order_ipif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->gvrr_classes[8][6] = int_stack + 4592;
 Libr12->t2vrr_classes[7][6] = int_stack + 5852;
 Libr12->gvrr_classes[8][7] = int_stack + 6860;
 Libr12->t2vrr_classes[7][7] = int_stack + 8480;
 Libr12->gvrr_classes[8][8] = int_stack + 9776;
 Libr12->t2vrr_classes[7][8] = int_stack + 11801;
 Libr12->t2vrr_classes[7][9] = int_stack + 13421;
 Libr12->gvrr_classes[6][10] = int_stack + 15401;
 Libr12->t1vrr_classes[6][6] = int_stack + 17249;
 Libr12->t1vrr_classes[6][7] = int_stack + 18033;
 Libr12->t1vrr_classes[6][8] = int_stack + 19041;
 Libr12->t1vrr_classes[6][9] = int_stack + 20301;
 Libr12->t1vrr_classes[7][6] = int_stack + 21841;
 Libr12->t1vrr_classes[7][7] = int_stack + 22849;
 Libr12->t1vrr_classes[7][8] = int_stack + 24145;
 Libr12->t1vrr_classes[7][9] = int_stack + 25765;
 Libr12->rvrr_classes[6][6] = int_stack + 27745;
 Libr12->rvrr_classes[6][7] = int_stack + 28529;
 Libr12->rvrr_classes[6][8] = int_stack + 29537;
 Libr12->rvrr_classes[6][9] = int_stack + 30797;
 Libr12->rvrr_classes[7][6] = int_stack + 32337;
 Libr12->rvrr_classes[7][7] = int_stack + 33345;
 Libr12->rvrr_classes[7][8] = int_stack + 34641;
 Libr12->rvrr_classes[7][9] = int_stack + 36261;
 Libr12->gvrr_classes[6][6] = int_stack + 38241;
 Libr12->gvrr_classes[6][7] = int_stack + 39025;
 Libr12->gvrr_classes[6][8] = int_stack + 40033;
 Libr12->gvrr_classes[6][9] = int_stack + 41293;
 Libr12->gvrr_classes[7][6] = int_stack + 42833;
 Libr12->gvrr_classes[7][7] = int_stack + 43841;
 Libr12->gvrr_classes[7][8] = int_stack + 45137;
 Libr12->gvrr_classes[7][9] = int_stack + 46757;
 memset(int_stack,0,48737*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 48737;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ipif(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48737, int_stack+39025, int_stack+38241, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+51089, int_stack+40033, int_stack+39025, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+54113, int_stack+51089, int_stack+48737, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+58817, int_stack+43841, int_stack+42833, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+61841, int_stack+45137, int_stack+43841, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+65729, int_stack+61841, int_stack+58817, 36);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+71777, int_stack+41293, int_stack+40033, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+75557, int_stack+71777, int_stack+51089, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+81605, int_stack+784, int_stack+0, int_stack+39025, int_stack+42833, int_stack+38241, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+83957, int_stack+1792, int_stack+784, int_stack+40033, int_stack+43841, int_stack+39025, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+86981, int_stack+83957, int_stack+81605, int_stack+51089, int_stack+58817, int_stack+48737, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91685, int_stack+3052, int_stack+1792, int_stack+41293, int_stack+45137, int_stack+40033, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95465, int_stack+91685, int_stack+83957, int_stack+71777, int_stack+61841, int_stack+51089, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+101513, int_stack+95465, int_stack+86981, int_stack+75557, int_stack+65729, int_stack+54113, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+48737, int_stack+6860, int_stack+4592, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+81605, int_stack+9776, int_stack+6860, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+86465, int_stack+81605, int_stack+48737, 45);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+94025, int_stack+46757, int_stack+45137, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+109353, int_stack+94025, int_stack+61841, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38241, int_stack+8480, int_stack+5852, int_stack+43841, int_stack+4592, int_stack+42833, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+11801, int_stack+8480, int_stack+45137, int_stack+6860, int_stack+43841, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+117129, int_stack+0, int_stack+38241, int_stack+61841, int_stack+48737, int_stack+58817, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+48737, int_stack+13421, int_stack+11801, int_stack+46757, int_stack+9776, int_stack+45137, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3888, int_stack+48737, int_stack+0, int_stack+94025, int_stack+81605, int_stack+61841, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42833, int_stack+3888, int_stack+117129, int_stack+109353, int_stack+86465, int_stack+65729, 7, 0);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+81605, int_stack+75557, int_stack+54113, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+117129, int_stack+15401, int_stack+41293, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+89445, int_stack+117129, int_stack+71777, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+89445, int_stack+75557, 28);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+89445, int_stack+109353, int_stack+65729, 36);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+109353, int_stack+18033, int_stack+17249, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+111705, int_stack+19041, int_stack+18033, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114729, int_stack+111705, int_stack+109353, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+119433, int_stack+20301, int_stack+19041, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+119433, int_stack+111705, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+52913, int_stack+10080, int_stack+114729, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+22849, int_stack+21841, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13104, int_stack+24145, int_stack+22849, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+16992, int_stack+13104, int_stack+10080, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+109353, int_stack+25765, int_stack+24145, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+114213, int_stack+109353, int_stack+13104, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+60753, int_stack+114213, int_stack+16992, 36);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+109353, int_stack+28529, int_stack+27745, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+111705, int_stack+29537, int_stack+28529, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+114729, int_stack+111705, int_stack+109353, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+119433, int_stack+30797, int_stack+29537, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+119433, int_stack+111705, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+16128, int_stack+10080, int_stack+114729, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+33345, int_stack+32337, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+109353, int_stack+34641, int_stack+33345, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+113241, int_stack+109353, int_stack+10080, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10080, int_stack+36261, int_stack+34641, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+23968, int_stack+10080, int_stack+109353, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31744, int_stack+23968, int_stack+113241, 36);
 /*--- compute (ip|[r12,T2]|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+109353, int_stack+42833, int_stack+101513, 280);
     Libr12->te_ptr[3] = int_stack + 109353;
 /*--- compute (ip|[r12,T1]|if) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+132873, int_stack+60753, int_stack+52913, int_stack+89445, int_stack+0, int_stack+81605, 6, 3);
     Libr12->te_ptr[2] = int_stack + 132873;
 /*--- compute (ip||if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+41824, int_stack+31744, int_stack+16128, 280);
     Libr12->te_ptr[1] = int_stack + 41824;
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+89445, int_stack+81605, 280);
     Libr12->te_ptr[0] = int_stack + 0;

}
