#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ipig(Libr12_t *, prim_data *);

  /* Computes (ip|ig) integrals for linear R12-methods */

void hrr_grt_order_ipig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->gvrr_classes[8][6] = int_stack + 6440;
 Libr12->t2vrr_classes[7][6] = int_stack + 7700;
 Libr12->gvrr_classes[8][7] = int_stack + 8708;
 Libr12->t2vrr_classes[7][7] = int_stack + 10328;
 Libr12->gvrr_classes[8][8] = int_stack + 11624;
 Libr12->t2vrr_classes[7][8] = int_stack + 13649;
 Libr12->gvrr_classes[8][9] = int_stack + 15269;
 Libr12->t2vrr_classes[7][9] = int_stack + 17744;
 Libr12->t2vrr_classes[7][10] = int_stack + 19724;
 Libr12->gvrr_classes[6][11] = int_stack + 22100;
 Libr12->t1vrr_classes[6][6] = int_stack + 24284;
 Libr12->t1vrr_classes[6][7] = int_stack + 25068;
 Libr12->t1vrr_classes[6][8] = int_stack + 26076;
 Libr12->t1vrr_classes[6][9] = int_stack + 27336;
 Libr12->t1vrr_classes[6][10] = int_stack + 28876;
 Libr12->t1vrr_classes[7][6] = int_stack + 30724;
 Libr12->t1vrr_classes[7][7] = int_stack + 31732;
 Libr12->t1vrr_classes[7][8] = int_stack + 33028;
 Libr12->t1vrr_classes[7][9] = int_stack + 34648;
 Libr12->t1vrr_classes[7][10] = int_stack + 36628;
 Libr12->rvrr_classes[6][6] = int_stack + 39004;
 Libr12->rvrr_classes[6][7] = int_stack + 39788;
 Libr12->rvrr_classes[6][8] = int_stack + 40796;
 Libr12->rvrr_classes[6][9] = int_stack + 42056;
 Libr12->rvrr_classes[6][10] = int_stack + 43596;
 Libr12->rvrr_classes[7][6] = int_stack + 45444;
 Libr12->rvrr_classes[7][7] = int_stack + 46452;
 Libr12->rvrr_classes[7][8] = int_stack + 47748;
 Libr12->rvrr_classes[7][9] = int_stack + 49368;
 Libr12->rvrr_classes[7][10] = int_stack + 51348;
 Libr12->gvrr_classes[6][6] = int_stack + 53724;
 Libr12->gvrr_classes[6][7] = int_stack + 54508;
 Libr12->gvrr_classes[6][8] = int_stack + 55516;
 Libr12->gvrr_classes[6][9] = int_stack + 56776;
 Libr12->gvrr_classes[6][10] = int_stack + 58316;
 Libr12->gvrr_classes[7][6] = int_stack + 60164;
 Libr12->gvrr_classes[7][7] = int_stack + 61172;
 Libr12->gvrr_classes[7][8] = int_stack + 62468;
 Libr12->gvrr_classes[7][9] = int_stack + 64088;
 Libr12->gvrr_classes[7][10] = int_stack + 66068;
 memset(int_stack,0,68444*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 68444;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ipig(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+68444, int_stack+54508, int_stack+53724, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+70796, int_stack+55516, int_stack+54508, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+73820, int_stack+70796, int_stack+68444, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+78524, int_stack+56776, int_stack+55516, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+82304, int_stack+78524, int_stack+70796, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+88352, int_stack+82304, int_stack+73820, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+96192, int_stack+61172, int_stack+60164, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+99216, int_stack+62468, int_stack+61172, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+103104, int_stack+99216, int_stack+96192, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+109152, int_stack+64088, int_stack+62468, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+114012, int_stack+109152, int_stack+99216, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+121788, int_stack+114012, int_stack+103104, 36);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+131868, int_stack+58316, int_stack+56776, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+136488, int_stack+131868, int_stack+78524, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+144048, int_stack+136488, int_stack+82304, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154128, int_stack+784, int_stack+0, int_stack+54508, int_stack+60164, int_stack+53724, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+156480, int_stack+1792, int_stack+784, int_stack+55516, int_stack+61172, int_stack+54508, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+159504, int_stack+156480, int_stack+154128, int_stack+70796, int_stack+96192, int_stack+68444, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+164208, int_stack+3052, int_stack+1792, int_stack+56776, int_stack+62468, int_stack+55516, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+167988, int_stack+164208, int_stack+156480, int_stack+78524, int_stack+99216, int_stack+70796, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+174036, int_stack+167988, int_stack+159504, int_stack+82304, int_stack+103104, int_stack+73820, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68444, int_stack+4592, int_stack+3052, int_stack+58316, int_stack+64088, int_stack+56776, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154128, int_stack+68444, int_stack+164208, int_stack+131868, int_stack+109152, int_stack+78524, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68444, int_stack+154128, int_stack+167988, int_stack+136488, int_stack+114012, int_stack+82304, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+154128, int_stack+68444, int_stack+174036, int_stack+144048, int_stack+121788, int_stack+88352, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+68444, int_stack+8708, int_stack+6440, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+72224, int_stack+11624, int_stack+8708, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+77084, int_stack+72224, int_stack+68444, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+165888, int_stack+15269, int_stack+11624, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+171963, int_stack+165888, int_stack+72224, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+181683, int_stack+171963, int_stack+77084, 45);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+66068, int_stack+64088, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+194283, int_stack+0, int_stack+109152, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+204003, int_stack+194283, int_stack+114012, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+84644, int_stack+10328, int_stack+7700, int_stack+61172, int_stack+6440, int_stack+60164, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53724, int_stack+13649, int_stack+10328, int_stack+62468, int_stack+8708, int_stack+61172, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+216963, int_stack+53724, int_stack+84644, int_stack+99216, int_stack+68444, int_stack+96192, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5940, int_stack+17744, int_stack+13649, int_stack+64088, int_stack+11624, int_stack+62468, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+223011, int_stack+5940, int_stack+53724, int_stack+109152, int_stack+72224, int_stack+99216, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+230787, int_stack+223011, int_stack+216963, int_stack+114012, int_stack+77084, int_stack+103104, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+216963, int_stack+19724, int_stack+17744, int_stack+66068, int_stack+15269, int_stack+64088, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+96192, int_stack+216963, int_stack+5940, int_stack+0, int_stack+165888, int_stack+109152, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+96192, int_stack+223011, int_stack+194283, int_stack+171963, int_stack+114012, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+96192, int_stack+0, int_stack+230787, int_stack+204003, int_stack+181683, int_stack+121788, 7, 0);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+144048, int_stack+88352, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+22100, int_stack+58316, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+111312, int_stack+11760, int_stack+131868, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+165888, int_stack+111312, int_stack+136488, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+178488, int_stack+165888, int_stack+144048, 28);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+131868, int_stack+204003, int_stack+121788, 36);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+165888, int_stack+25068, int_stack+24284, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+168240, int_stack+26076, int_stack+25068, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+171264, int_stack+168240, int_stack+165888, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+111312, int_stack+27336, int_stack+26076, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+115092, int_stack+111312, int_stack+168240, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+121140, int_stack+115092, int_stack+171264, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+165888, int_stack+28876, int_stack+27336, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+170508, int_stack+165888, int_stack+111312, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+170508, int_stack+115092, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+165888, int_stack+11760, int_stack+121140, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+31732, int_stack+30724, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+14784, int_stack+33028, int_stack+31732, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18672, int_stack+14784, int_stack+11760, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+24720, int_stack+34648, int_stack+33028, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+111312, int_stack+24720, int_stack+14784, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+119088, int_stack+111312, int_stack+18672, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+36628, int_stack+34648, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+193608, int_stack+11760, int_stack+24720, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+193608, int_stack+111312, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+193608, int_stack+11760, int_stack+119088, 36);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+39788, int_stack+39004, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+14112, int_stack+40796, int_stack+39788, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+17136, int_stack+14112, int_stack+11760, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+21840, int_stack+42056, int_stack+40796, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+25620, int_stack+21840, int_stack+14112, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31668, int_stack+25620, int_stack+17136, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+43596, int_stack+42056, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+111312, int_stack+11760, int_stack+21840, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+111312, int_stack+25620, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+111312, int_stack+11760, int_stack+31668, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+46452, int_stack+45444, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+14784, int_stack+47748, int_stack+46452, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18672, int_stack+14784, int_stack+11760, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+24720, int_stack+49368, int_stack+47748, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+29580, int_stack+24720, int_stack+14784, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+37356, int_stack+29580, int_stack+18672, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+51348, int_stack+49368, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+47436, int_stack+11760, int_stack+24720, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+11760, int_stack+47436, int_stack+29580, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+47436, int_stack+11760, int_stack+37356, 36);
 /*--- compute (ip|[r12,T2]|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+11760, int_stack+96192, int_stack+154128, 420);
     Libr12->te_ptr[3] = int_stack + 11760;
 /*--- compute (ip|[r12,T1]|ig) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+62556, int_stack+193608, int_stack+165888, int_stack+131868, int_stack+178488, int_stack+0, 6, 4);
     Libr12->te_ptr[2] = int_stack + 62556;
 /*--- compute (ip||ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+146988, int_stack+47436, int_stack+111312, 420);
     Libr12->te_ptr[1] = int_stack + 146988;
 /*--- compute (ip|ig) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+182268, int_stack+131868, int_stack+0, 420);
     Libr12->te_ptr[0] = int_stack + 182268;

}
