#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ipih(Libr12_t *, prim_data *);

  /* Computes (ip|ih) integrals for linear R12-methods */

void hrr_grt_order_ipih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[6][11] = int_stack + 6440;
 Libr12->gvrr_classes[8][6] = int_stack + 8624;
 Libr12->t2vrr_classes[7][6] = int_stack + 9884;
 Libr12->gvrr_classes[8][7] = int_stack + 10892;
 Libr12->t2vrr_classes[7][7] = int_stack + 12512;
 Libr12->gvrr_classes[8][8] = int_stack + 13808;
 Libr12->t2vrr_classes[7][8] = int_stack + 15833;
 Libr12->gvrr_classes[8][9] = int_stack + 17453;
 Libr12->t2vrr_classes[7][9] = int_stack + 19928;
 Libr12->gvrr_classes[8][10] = int_stack + 21908;
 Libr12->t2vrr_classes[7][10] = int_stack + 24878;
 Libr12->t2vrr_classes[7][11] = int_stack + 27254;
 Libr12->gvrr_classes[6][12] = int_stack + 30062;
 Libr12->t1vrr_classes[6][6] = int_stack + 32610;
 Libr12->t1vrr_classes[6][7] = int_stack + 33394;
 Libr12->t1vrr_classes[6][8] = int_stack + 34402;
 Libr12->t1vrr_classes[6][9] = int_stack + 35662;
 Libr12->t1vrr_classes[6][10] = int_stack + 37202;
 Libr12->t1vrr_classes[6][11] = int_stack + 39050;
 Libr12->t1vrr_classes[7][6] = int_stack + 41234;
 Libr12->t1vrr_classes[7][7] = int_stack + 42242;
 Libr12->t1vrr_classes[7][8] = int_stack + 43538;
 Libr12->t1vrr_classes[7][9] = int_stack + 45158;
 Libr12->t1vrr_classes[7][10] = int_stack + 47138;
 Libr12->t1vrr_classes[7][11] = int_stack + 49514;
 Libr12->rvrr_classes[6][6] = int_stack + 52322;
 Libr12->rvrr_classes[6][7] = int_stack + 53106;
 Libr12->rvrr_classes[6][8] = int_stack + 54114;
 Libr12->rvrr_classes[6][9] = int_stack + 55374;
 Libr12->rvrr_classes[6][10] = int_stack + 56914;
 Libr12->rvrr_classes[6][11] = int_stack + 58762;
 Libr12->rvrr_classes[7][6] = int_stack + 60946;
 Libr12->rvrr_classes[7][7] = int_stack + 61954;
 Libr12->rvrr_classes[7][8] = int_stack + 63250;
 Libr12->rvrr_classes[7][9] = int_stack + 64870;
 Libr12->rvrr_classes[7][10] = int_stack + 66850;
 Libr12->rvrr_classes[7][11] = int_stack + 69226;
 Libr12->gvrr_classes[6][6] = int_stack + 72034;
 Libr12->gvrr_classes[6][7] = int_stack + 72818;
 Libr12->gvrr_classes[6][8] = int_stack + 73826;
 Libr12->gvrr_classes[6][9] = int_stack + 75086;
 Libr12->gvrr_classes[6][10] = int_stack + 76626;
 Libr12->gvrr_classes[6][11] = int_stack + 78474;
 Libr12->gvrr_classes[7][6] = int_stack + 80658;
 Libr12->gvrr_classes[7][7] = int_stack + 81666;
 Libr12->gvrr_classes[7][8] = int_stack + 82962;
 Libr12->gvrr_classes[7][9] = int_stack + 84582;
 Libr12->gvrr_classes[7][10] = int_stack + 86562;
 Libr12->gvrr_classes[7][11] = int_stack + 88938;
 memset(int_stack,0,91746*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 91746;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ipih(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+91746, int_stack+72818, int_stack+72034, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+94098, int_stack+73826, int_stack+72818, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+97122, int_stack+94098, int_stack+91746, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+101826, int_stack+75086, int_stack+73826, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+105606, int_stack+101826, int_stack+94098, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+111654, int_stack+105606, int_stack+97122, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+119494, int_stack+76626, int_stack+75086, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+124114, int_stack+119494, int_stack+101826, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+131674, int_stack+124114, int_stack+105606, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+141754, int_stack+131674, int_stack+111654, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+153514, int_stack+81666, int_stack+80658, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+156538, int_stack+82962, int_stack+81666, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+160426, int_stack+156538, int_stack+153514, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+166474, int_stack+84582, int_stack+82962, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+171334, int_stack+166474, int_stack+156538, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+179110, int_stack+171334, int_stack+160426, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+189190, int_stack+86562, int_stack+84582, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+195130, int_stack+189190, int_stack+166474, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+204850, int_stack+195130, int_stack+171334, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+217810, int_stack+204850, int_stack+179110, 36);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+232930, int_stack+78474, int_stack+76626, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+238474, int_stack+232930, int_stack+119494, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+247714, int_stack+238474, int_stack+124114, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+260314, int_stack+247714, int_stack+131674, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+275434, int_stack+784, int_stack+0, int_stack+72818, int_stack+80658, int_stack+72034, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+277786, int_stack+1792, int_stack+784, int_stack+73826, int_stack+81666, int_stack+72818, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+280810, int_stack+277786, int_stack+275434, int_stack+94098, int_stack+153514, int_stack+91746, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+285514, int_stack+3052, int_stack+1792, int_stack+75086, int_stack+82962, int_stack+73826, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+289294, int_stack+285514, int_stack+277786, int_stack+101826, int_stack+156538, int_stack+94098, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+295342, int_stack+289294, int_stack+280810, int_stack+105606, int_stack+160426, int_stack+97122, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+91746, int_stack+4592, int_stack+3052, int_stack+76626, int_stack+84582, int_stack+75086, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+275434, int_stack+91746, int_stack+285514, int_stack+119494, int_stack+166474, int_stack+101826, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+303182, int_stack+275434, int_stack+289294, int_stack+124114, int_stack+171334, int_stack+105606, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+96366, int_stack+303182, int_stack+295342, int_stack+131674, int_stack+179110, int_stack+111654, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108126, int_stack+6440, int_stack+4592, int_stack+78474, int_stack+86562, int_stack+76626, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+282994, int_stack+108126, int_stack+91746, int_stack+232930, int_stack+189190, int_stack+119494, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108126, int_stack+282994, int_stack+275434, int_stack+238474, int_stack+195130, int_stack+124114, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+275434, int_stack+108126, int_stack+303182, int_stack+247714, int_stack+204850, int_stack+131674, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+108126, int_stack+275434, int_stack+96366, int_stack+260314, int_stack+217810, int_stack+141754, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+275434, int_stack+10892, int_stack+8624, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+279214, int_stack+13808, int_stack+10892, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+284074, int_stack+279214, int_stack+275434, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+291634, int_stack+17453, int_stack+13808, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+297709, int_stack+291634, int_stack+279214, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+124590, int_stack+297709, int_stack+284074, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+91746, int_stack+21908, int_stack+17453, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+307429, int_stack+91746, int_stack+291634, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+319579, int_stack+307429, int_stack+297709, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+335779, int_stack+319579, int_stack+124590, 45);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+99171, int_stack+88938, int_stack+86562, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+354679, int_stack+99171, int_stack+189190, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+366559, int_stack+354679, int_stack+195130, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+382759, int_stack+366559, int_stack+204850, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+137190, int_stack+12512, int_stack+9884, int_stack+81666, int_stack+8624, int_stack+80658, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+72034, int_stack+15833, int_stack+12512, int_stack+82962, int_stack+10892, int_stack+81666, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+72034, int_stack+137190, int_stack+156538, int_stack+275434, int_stack+153514, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6048, int_stack+19928, int_stack+15833, int_stack+84582, int_stack+13808, int_stack+82962, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+402199, int_stack+6048, int_stack+72034, int_stack+166474, int_stack+279214, int_stack+156538, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+409975, int_stack+402199, int_stack+0, int_stack+171334, int_stack+284074, int_stack+160426, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+24878, int_stack+19928, int_stack+86562, int_stack+17453, int_stack+84582, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+153514, int_stack+0, int_stack+6048, int_stack+189190, int_stack+291634, int_stack+166474, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5940, int_stack+153514, int_stack+402199, int_stack+195130, int_stack+297709, int_stack+171334, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+163234, int_stack+5940, int_stack+409975, int_stack+204850, int_stack+124590, int_stack+179110, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124590, int_stack+27254, int_stack+24878, int_stack+88938, int_stack+21908, int_stack+86562, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+402199, int_stack+124590, int_stack+0, int_stack+99171, int_stack+91746, int_stack+189190, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124590, int_stack+402199, int_stack+153514, int_stack+354679, int_stack+307429, int_stack+195130, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+178354, int_stack+124590, int_stack+5940, int_stack+366559, int_stack+319579, int_stack+204850, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+354679, int_stack+178354, int_stack+163234, int_stack+382759, int_stack+335779, int_stack+217810, 7, 0);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+124590, int_stack+260314, int_stack+141754, 28);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+141054, int_stack+30062, int_stack+78474, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+147606, int_stack+141054, int_stack+232930, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+158694, int_stack+147606, int_stack+238474, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+174094, int_stack+158694, int_stack+247714, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+232930, int_stack+174094, int_stack+260314, 28);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+254098, int_stack+382759, int_stack+217810, 36);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+275266, int_stack+33394, int_stack+32610, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+277618, int_stack+34402, int_stack+33394, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+280642, int_stack+277618, int_stack+275266, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+285346, int_stack+35662, int_stack+34402, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+289126, int_stack+285346, int_stack+277618, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+295174, int_stack+289126, int_stack+280642, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+275266, int_stack+37202, int_stack+35662, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+303014, int_stack+275266, int_stack+285346, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+310574, int_stack+303014, int_stack+289126, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+279886, int_stack+310574, int_stack+295174, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+291646, int_stack+39050, int_stack+37202, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+320654, int_stack+291646, int_stack+275266, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+329894, int_stack+320654, int_stack+303014, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+291646, int_stack+329894, int_stack+310574, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+306766, int_stack+291646, int_stack+279886, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+275266, int_stack+42242, int_stack+41234, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+278290, int_stack+43538, int_stack+42242, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+282178, int_stack+278290, int_stack+275266, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+288226, int_stack+45158, int_stack+43538, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+293086, int_stack+288226, int_stack+278290, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+323230, int_stack+293086, int_stack+282178, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+275266, int_stack+47138, int_stack+45158, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+333310, int_stack+275266, int_stack+288226, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+141054, int_stack+333310, int_stack+293086, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+281206, int_stack+141054, int_stack+323230, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+323230, int_stack+49514, int_stack+47138, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+154014, int_stack+323230, int_stack+275266, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+165894, int_stack+154014, int_stack+333310, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+323230, int_stack+165894, int_stack+141054, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+141054, int_stack+323230, int_stack+281206, 36);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+323230, int_stack+53106, int_stack+52322, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+325582, int_stack+54114, int_stack+53106, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+328606, int_stack+325582, int_stack+323230, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+333310, int_stack+55374, int_stack+54114, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+337090, int_stack+333310, int_stack+325582, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+343138, int_stack+337090, int_stack+328606, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+323230, int_stack+56914, int_stack+55374, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+162222, int_stack+323230, int_stack+333310, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+169782, int_stack+162222, int_stack+337090, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+327850, int_stack+169782, int_stack+343138, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+339610, int_stack+58762, int_stack+56914, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+345154, int_stack+339610, int_stack+323230, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+179862, int_stack+345154, int_stack+162222, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+192462, int_stack+179862, int_stack+169782, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+162222, int_stack+192462, int_stack+327850, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+178686, int_stack+61954, int_stack+60946, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+181710, int_stack+63250, int_stack+61954, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+185598, int_stack+181710, int_stack+178686, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+191646, int_stack+64870, int_stack+63250, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+196506, int_stack+191646, int_stack+181710, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+204282, int_stack+196506, int_stack+185598, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+178686, int_stack+66850, int_stack+64870, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+214362, int_stack+178686, int_stack+191646, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+323230, int_stack+214362, int_stack+196506, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+184626, int_stack+323230, int_stack+204282, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+199746, int_stack+69226, int_stack+66850, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+336190, int_stack+199746, int_stack+178686, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+275266, int_stack+336190, int_stack+214362, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+199746, int_stack+275266, int_stack+323230, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+323230, int_stack+199746, int_stack+184626, 36);
 /*--- compute (ip|[r12,T2]|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+178686, int_stack+354679, int_stack+108126, 588);
     Libr12->te_ptr[3] = int_stack + 178686;
 /*--- compute (ip|[r12,T1]|ih) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+344398, int_stack+141054, int_stack+306766, int_stack+254098, int_stack+232930, int_stack+124590, 6, 5);
     Libr12->te_ptr[2] = int_stack + 344398;
 /*--- compute (ip||ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+0, int_stack+323230, int_stack+162222, 588);
     Libr12->te_ptr[1] = int_stack + 0;
 /*--- compute (ip|ih) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+275266, int_stack+254098, int_stack+124590, 588);
     Libr12->te_ptr[0] = int_stack + 275266;

}
