#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ipii(Libr12_t *, prim_data *);

  /* Computes (ip|ii) integrals for linear R12-methods */

void hrr_grt_order_ipii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->t2vrr_classes[6][8] = int_stack + 1792;
 Libr12->t2vrr_classes[6][9] = int_stack + 3052;
 Libr12->t2vrr_classes[6][10] = int_stack + 4592;
 Libr12->t2vrr_classes[6][11] = int_stack + 6440;
 Libr12->t2vrr_classes[6][12] = int_stack + 8624;
 Libr12->gvrr_classes[8][6] = int_stack + 11172;
 Libr12->t2vrr_classes[7][6] = int_stack + 12432;
 Libr12->gvrr_classes[8][7] = int_stack + 13440;
 Libr12->t2vrr_classes[7][7] = int_stack + 15060;
 Libr12->gvrr_classes[8][8] = int_stack + 16356;
 Libr12->t2vrr_classes[7][8] = int_stack + 18381;
 Libr12->gvrr_classes[8][9] = int_stack + 20001;
 Libr12->t2vrr_classes[7][9] = int_stack + 22476;
 Libr12->gvrr_classes[8][10] = int_stack + 24456;
 Libr12->t2vrr_classes[7][10] = int_stack + 27426;
 Libr12->gvrr_classes[8][11] = int_stack + 29802;
 Libr12->t2vrr_classes[7][11] = int_stack + 33312;
 Libr12->t2vrr_classes[7][12] = int_stack + 36120;
 Libr12->gvrr_classes[6][13] = int_stack + 39396;
 Libr12->t1vrr_classes[6][6] = int_stack + 42336;
 Libr12->t1vrr_classes[6][7] = int_stack + 43120;
 Libr12->t1vrr_classes[6][8] = int_stack + 44128;
 Libr12->t1vrr_classes[6][9] = int_stack + 45388;
 Libr12->t1vrr_classes[6][10] = int_stack + 46928;
 Libr12->t1vrr_classes[6][11] = int_stack + 48776;
 Libr12->t1vrr_classes[6][12] = int_stack + 50960;
 Libr12->t1vrr_classes[7][6] = int_stack + 53508;
 Libr12->t1vrr_classes[7][7] = int_stack + 54516;
 Libr12->t1vrr_classes[7][8] = int_stack + 55812;
 Libr12->t1vrr_classes[7][9] = int_stack + 57432;
 Libr12->t1vrr_classes[7][10] = int_stack + 59412;
 Libr12->t1vrr_classes[7][11] = int_stack + 61788;
 Libr12->t1vrr_classes[7][12] = int_stack + 64596;
 Libr12->rvrr_classes[6][6] = int_stack + 67872;
 Libr12->rvrr_classes[6][7] = int_stack + 68656;
 Libr12->rvrr_classes[6][8] = int_stack + 69664;
 Libr12->rvrr_classes[6][9] = int_stack + 70924;
 Libr12->rvrr_classes[6][10] = int_stack + 72464;
 Libr12->rvrr_classes[6][11] = int_stack + 74312;
 Libr12->rvrr_classes[6][12] = int_stack + 76496;
 Libr12->rvrr_classes[7][6] = int_stack + 79044;
 Libr12->rvrr_classes[7][7] = int_stack + 80052;
 Libr12->rvrr_classes[7][8] = int_stack + 81348;
 Libr12->rvrr_classes[7][9] = int_stack + 82968;
 Libr12->rvrr_classes[7][10] = int_stack + 84948;
 Libr12->rvrr_classes[7][11] = int_stack + 87324;
 Libr12->rvrr_classes[7][12] = int_stack + 90132;
 Libr12->gvrr_classes[6][6] = int_stack + 93408;
 Libr12->gvrr_classes[6][7] = int_stack + 94192;
 Libr12->gvrr_classes[6][8] = int_stack + 95200;
 Libr12->gvrr_classes[6][9] = int_stack + 96460;
 Libr12->gvrr_classes[6][10] = int_stack + 98000;
 Libr12->gvrr_classes[6][11] = int_stack + 99848;
 Libr12->gvrr_classes[6][12] = int_stack + 102032;
 Libr12->gvrr_classes[7][6] = int_stack + 104580;
 Libr12->gvrr_classes[7][7] = int_stack + 105588;
 Libr12->gvrr_classes[7][8] = int_stack + 106884;
 Libr12->gvrr_classes[7][9] = int_stack + 108504;
 Libr12->gvrr_classes[7][10] = int_stack + 110484;
 Libr12->gvrr_classes[7][11] = int_stack + 112860;
 Libr12->gvrr_classes[7][12] = int_stack + 115668;
 memset(int_stack,0,118944*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 118944;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ipii(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+118944, int_stack+94192, int_stack+93408, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+121296, int_stack+95200, int_stack+94192, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+124320, int_stack+121296, int_stack+118944, 28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+129024, int_stack+96460, int_stack+95200, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+132804, int_stack+129024, int_stack+121296, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+138852, int_stack+132804, int_stack+124320, 28);
 /*--- compute (i0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+146692, int_stack+98000, int_stack+96460, 28);
 /*--- compute (i0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+151312, int_stack+146692, int_stack+129024, 28);
 /*--- compute (i0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+158872, int_stack+151312, int_stack+132804, 28);
 /*--- compute (i0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+168952, int_stack+158872, int_stack+138852, 28);
 /*--- compute (i0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+180712, int_stack+99848, int_stack+98000, 28);
 /*--- compute (i0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+186256, int_stack+180712, int_stack+146692, 28);
 /*--- compute (i0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+195496, int_stack+186256, int_stack+151312, 28);
 /*--- compute (i0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+208096, int_stack+195496, int_stack+158872, 28);
 /*--- compute (i0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+223216, int_stack+208096, int_stack+168952, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+239680, int_stack+105588, int_stack+104580, 36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+242704, int_stack+106884, int_stack+105588, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+246592, int_stack+242704, int_stack+239680, 36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+252640, int_stack+108504, int_stack+106884, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+257500, int_stack+252640, int_stack+242704, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+265276, int_stack+257500, int_stack+246592, 36);
 /*--- compute (k0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+275356, int_stack+110484, int_stack+108504, 36);
 /*--- compute (k0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+281296, int_stack+275356, int_stack+252640, 36);
 /*--- compute (k0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+291016, int_stack+281296, int_stack+257500, 36);
 /*--- compute (k0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+303976, int_stack+291016, int_stack+265276, 36);
 /*--- compute (k0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+319096, int_stack+112860, int_stack+110484, 36);
 /*--- compute (k0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+326224, int_stack+319096, int_stack+275356, 36);
 /*--- compute (k0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+338104, int_stack+326224, int_stack+281296, 36);
 /*--- compute (k0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+354304, int_stack+338104, int_stack+291016, 36);
 /*--- compute (k0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+373744, int_stack+354304, int_stack+303976, 36);
 /*--- compute (i0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+394912, int_stack+102032, int_stack+99848, 28);
 /*--- compute (i0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+401464, int_stack+394912, int_stack+180712, 28);
 /*--- compute (i0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+412552, int_stack+401464, int_stack+186256, 28);
 /*--- compute (i0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+427952, int_stack+412552, int_stack+195496, 28);
 /*--- compute (i0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+446852, int_stack+427952, int_stack+208096, 28);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+468020, int_stack+784, int_stack+0, int_stack+94192, int_stack+104580, int_stack+93408, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+470372, int_stack+1792, int_stack+784, int_stack+95200, int_stack+105588, int_stack+94192, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+473396, int_stack+470372, int_stack+468020, int_stack+121296, int_stack+239680, int_stack+118944, 6, 0);
 /*--- compute (i0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+478100, int_stack+3052, int_stack+1792, int_stack+96460, int_stack+106884, int_stack+95200, 6, 0);
 /*--- compute (i0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+481880, int_stack+478100, int_stack+470372, int_stack+129024, int_stack+242704, int_stack+121296, 6, 0);
 /*--- compute (i0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+487928, int_stack+481880, int_stack+473396, int_stack+132804, int_stack+246592, int_stack+124320, 6, 0);
 /*--- compute (i0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118944, int_stack+4592, int_stack+3052, int_stack+98000, int_stack+108504, int_stack+96460, 6, 0);
 /*--- compute (i0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+468020, int_stack+118944, int_stack+478100, int_stack+146692, int_stack+252640, int_stack+129024, 6, 0);
 /*--- compute (i0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495768, int_stack+468020, int_stack+481880, int_stack+151312, int_stack+257500, int_stack+132804, 6, 0);
 /*--- compute (i0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123564, int_stack+495768, int_stack+487928, int_stack+158872, int_stack+265276, int_stack+138852, 6, 0);
 /*--- compute (i0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+135324, int_stack+6440, int_stack+4592, int_stack+99848, int_stack+110484, int_stack+98000, 6, 0);
 /*--- compute (i0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+475580, int_stack+135324, int_stack+118944, int_stack+180712, int_stack+275356, int_stack+146692, 6, 0);
 /*--- compute (i0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+505848, int_stack+475580, int_stack+468020, int_stack+186256, int_stack+281296, int_stack+151312, 6, 0);
 /*--- compute (i0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140868, int_stack+505848, int_stack+495768, int_stack+195496, int_stack+291016, int_stack+158872, 6, 0);
 /*--- compute (i0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+484820, int_stack+140868, int_stack+123564, int_stack+208096, int_stack+303976, int_stack+168952, 6, 0);
 /*--- compute (i0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+468020, int_stack+8624, int_stack+6440, int_stack+102032, int_stack+112860, int_stack+99848, 6, 0);
 /*--- compute (i0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118944, int_stack+468020, int_stack+135324, int_stack+394912, int_stack+319096, int_stack+180712, 6, 0);
 /*--- compute (i0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155988, int_stack+118944, int_stack+475580, int_stack+401464, int_stack+326224, int_stack+186256, 6, 0);
 /*--- compute (i0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118944, int_stack+155988, int_stack+505848, int_stack+412552, int_stack+338104, int_stack+195496, 6, 0);
 /*--- compute (i0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+155988, int_stack+118944, int_stack+140868, int_stack+427952, int_stack+354304, int_stack+208096, 6, 0);
 /*--- compute (i0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+118944, int_stack+155988, int_stack+484820, int_stack+446852, int_stack+373744, int_stack+223216, 6, 0);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+140896, int_stack+13440, int_stack+11172, 45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+144676, int_stack+16356, int_stack+13440, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+149536, int_stack+144676, int_stack+140896, 45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+157096, int_stack+20001, int_stack+16356, 45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+163171, int_stack+157096, int_stack+144676, 45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+172891, int_stack+163171, int_stack+149536, 45);
 /*--- compute (l0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+185491, int_stack+24456, int_stack+20001, 45);
 /*--- compute (l0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+192916, int_stack+185491, int_stack+157096, 45);
 /*--- compute (l0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+205066, int_stack+192916, int_stack+163171, 45);
 /*--- compute (l0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+468020, int_stack+205066, int_stack+172891, 45);
 /*--- compute (l0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+486920, int_stack+29802, int_stack+24456, 45);
 /*--- compute (l0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+495830, int_stack+486920, int_stack+185491, 45);
 /*--- compute (l0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+510680, int_stack+495830, int_stack+192916, 45);
 /*--- compute (l0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+530930, int_stack+510680, int_stack+205066, 45);
 /*--- compute (l0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+555230, int_stack+530930, int_stack+468020, 45);
 /*--- compute (k0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+93408, int_stack+115668, int_stack+112860, 36);
 /*--- compute (k0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+581690, int_stack+93408, int_stack+319096, 36);
 /*--- compute (k0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+595946, int_stack+581690, int_stack+326224, 36);
 /*--- compute (k0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+615746, int_stack+595946, int_stack+338104, 36);
 /*--- compute (k0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+640046, int_stack+615746, int_stack+354304, 36);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+15060, int_stack+12432, int_stack+105588, int_stack+11172, int_stack+104580, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+18381, int_stack+15060, int_stack+106884, int_stack+13440, int_stack+105588, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6912, int_stack+3024, int_stack+0, int_stack+242704, int_stack+140896, int_stack+239680, 7, 0);
 /*--- compute (k0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+667262, int_stack+22476, int_stack+18381, int_stack+108504, int_stack+16356, int_stack+106884, 7, 0);
 /*--- compute (k0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+672122, int_stack+667262, int_stack+3024, int_stack+252640, int_stack+144676, int_stack+242704, 7, 0);
 /*--- compute (k0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+679898, int_stack+672122, int_stack+6912, int_stack+257500, int_stack+149536, int_stack+246592, 7, 0);
 /*--- compute (k0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+239680, int_stack+27426, int_stack+22476, int_stack+110484, int_stack+20001, int_stack+108504, 7, 0);
 /*--- compute (k0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140896, int_stack+239680, int_stack+667262, int_stack+275356, int_stack+157096, int_stack+252640, 7, 0);
 /*--- compute (k0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+140896, int_stack+672122, int_stack+281296, int_stack+163171, int_stack+257500, 7, 0);
 /*--- compute (k0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245620, int_stack+0, int_stack+679898, int_stack+291016, int_stack+172891, int_stack+265276, 7, 0);
 /*--- compute (k0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+667262, int_stack+33312, int_stack+27426, int_stack+112860, int_stack+24456, int_stack+110484, 7, 0);
 /*--- compute (k0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+674390, int_stack+667262, int_stack+239680, int_stack+319096, int_stack+185491, int_stack+275356, 7, 0);
 /*--- compute (k0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+260740, int_stack+674390, int_stack+140896, int_stack+326224, int_stack+192916, int_stack+281296, 7, 0);
 /*--- compute (k0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140896, int_stack+260740, int_stack+0, int_stack+338104, int_stack+205066, int_stack+291016, 7, 0);
 /*--- compute (k0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+140896, int_stack+245620, int_stack+354304, int_stack+468020, int_stack+303976, 7, 0);
 /*--- compute (k0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+468020, int_stack+36120, int_stack+33312, int_stack+115668, int_stack+29802, int_stack+112860, 7, 0);
 /*--- compute (k0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21168, int_stack+468020, int_stack+667262, int_stack+93408, int_stack+486920, int_stack+319096, 7, 0);
 /*--- compute (k0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+468020, int_stack+21168, int_stack+674390, int_stack+581690, int_stack+495830, int_stack+326224, 7, 0);
 /*--- compute (k0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+160336, int_stack+468020, int_stack+260740, int_stack+595946, int_stack+510680, int_stack+338104, 7, 0);
 /*--- compute (k0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+468020, int_stack+160336, int_stack+140896, int_stack+615746, int_stack+530930, int_stack+354304, 7, 0);
 /*--- compute (k0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+140896, int_stack+468020, int_stack+0, int_stack+640046, int_stack+555230, int_stack+373744, 7, 0);
 /*--- compute (i0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+0, int_stack+446852, int_stack+223216, 28);
 /*--- compute (i0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+39396, int_stack+102032, 28);
 /*--- compute (i0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+468020, int_stack+21952, int_stack+394912, 28);
 /*--- compute (i0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+468020, int_stack+401464, 28);
 /*--- compute (i0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+468020, int_stack+21952, int_stack+412552, 28);
 /*--- compute (i0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+491120, int_stack+468020, int_stack+427952, 28);
 /*--- compute (i0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+517580, int_stack+491120, int_stack+446852, 28);
 /*--- compute (k0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+545804, int_stack+640046, int_stack+373744, 36);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+43120, int_stack+42336, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24304, int_stack+44128, int_stack+43120, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+27328, int_stack+24304, int_stack+21952, 28);
 /*--- compute (i0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+32032, int_stack+45388, int_stack+44128, 28);
 /*--- compute (i0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+35812, int_stack+32032, int_stack+24304, 28);
 /*--- compute (i0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+574028, int_stack+35812, int_stack+27328, 28);
 /*--- compute (i0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+46928, int_stack+45388, 28);
 /*--- compute (i0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+581868, int_stack+21952, int_stack+32032, 28);
 /*--- compute (i0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+589428, int_stack+581868, int_stack+35812, 28);
 /*--- compute (i0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+26572, int_stack+589428, int_stack+574028, 28);
 /*--- compute (i0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+574028, int_stack+48776, int_stack+46928, 28);
 /*--- compute (i0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+38332, int_stack+574028, int_stack+21952, 28);
 /*--- compute (i0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+599508, int_stack+38332, int_stack+581868, 28);
 /*--- compute (i0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+612108, int_stack+599508, int_stack+589428, 28);
 /*--- compute (i0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+579572, int_stack+612108, int_stack+26572, 28);
 /*--- compute (i0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+50960, int_stack+48776, 28);
 /*--- compute (i0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+627228, int_stack+21952, int_stack+574028, 28);
 /*--- compute (i0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+627228, int_stack+38332, 28);
 /*--- compute (i0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+627228, int_stack+21952, int_stack+599508, 28);
 /*--- compute (i0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+627228, int_stack+612108, 28);
 /*--- compute (i0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+596036, int_stack+21952, int_stack+579572, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+54516, int_stack+53508, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24976, int_stack+55812, int_stack+54516, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+28864, int_stack+24976, int_stack+21952, 36);
 /*--- compute (k0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+34912, int_stack+57432, int_stack+55812, 36);
 /*--- compute (k0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+39772, int_stack+34912, int_stack+24976, 36);
 /*--- compute (k0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+574028, int_stack+39772, int_stack+28864, 36);
 /*--- compute (k0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+59412, int_stack+57432, 36);
 /*--- compute (k0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+47548, int_stack+21952, int_stack+34912, 36);
 /*--- compute (k0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+617988, int_stack+47548, int_stack+39772, 36);
 /*--- compute (k0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+27892, int_stack+617988, int_stack+574028, 36);
 /*--- compute (k0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+574028, int_stack+61788, int_stack+59412, 36);
 /*--- compute (k0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+581156, int_stack+574028, int_stack+21952, 36);
 /*--- compute (k0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+630948, int_stack+581156, int_stack+47548, 36);
 /*--- compute (k0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+647148, int_stack+630948, int_stack+617988, 36);
 /*--- compute (k0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+666588, int_stack+647148, int_stack+27892, 36);
 /*--- compute (k0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+617988, int_stack+64596, int_stack+61788, 36);
 /*--- compute (k0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+617988, int_stack+574028, 36);
 /*--- compute (k0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+36208, int_stack+21952, int_stack+581156, 36);
 /*--- compute (k0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+169120, int_stack+36208, int_stack+630948, 36);
 /*--- compute (k0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+169120, int_stack+647148, 36);
 /*--- compute (k0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+169120, int_stack+21952, int_stack+666588, 36);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+68656, int_stack+67872, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24304, int_stack+69664, int_stack+68656, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+27328, int_stack+24304, int_stack+21952, 28);
 /*--- compute (i0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+32032, int_stack+70924, int_stack+69664, 28);
 /*--- compute (i0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+35812, int_stack+32032, int_stack+24304, 28);
 /*--- compute (i0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+41860, int_stack+35812, int_stack+27328, 28);
 /*--- compute (i0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+72464, int_stack+70924, 28);
 /*--- compute (i0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+49700, int_stack+21952, int_stack+32032, 28);
 /*--- compute (i0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+57260, int_stack+49700, int_stack+35812, 28);
 /*--- compute (i0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+26572, int_stack+57260, int_stack+41860, 28);
 /*--- compute (i0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+38332, int_stack+74312, int_stack+72464, 28);
 /*--- compute (i0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+197344, int_stack+38332, int_stack+21952, 28);
 /*--- compute (i0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+206584, int_stack+197344, int_stack+49700, 28);
 /*--- compute (i0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+219184, int_stack+206584, int_stack+57260, 28);
 /*--- compute (i0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+43876, int_stack+219184, int_stack+26572, 28);
 /*--- compute (i0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+76496, int_stack+74312, 28);
 /*--- compute (i0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+60340, int_stack+21952, int_stack+38332, 28);
 /*--- compute (i0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+60340, int_stack+197344, 28);
 /*--- compute (i0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+234304, int_stack+21952, int_stack+206584, 28);
 /*--- compute (i0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+234304, int_stack+219184, 28);
 /*--- compute (i0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+197344, int_stack+21952, int_stack+43876, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+80052, int_stack+79044, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24976, int_stack+81348, int_stack+80052, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+28864, int_stack+24976, int_stack+21952, 36);
 /*--- compute (k0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+34912, int_stack+82968, int_stack+81348, 36);
 /*--- compute (k0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+39772, int_stack+34912, int_stack+24976, 36);
 /*--- compute (k0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+47548, int_stack+39772, int_stack+28864, 36);
 /*--- compute (k0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+84948, int_stack+82968, 36);
 /*--- compute (k0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+57628, int_stack+21952, int_stack+34912, 36);
 /*--- compute (k0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+67348, int_stack+57628, int_stack+39772, 36);
 /*--- compute (k0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+27892, int_stack+67348, int_stack+47548, 36);
 /*--- compute (k0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+43012, int_stack+87324, int_stack+84948, 36);
 /*--- compute (k0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+219296, int_stack+43012, int_stack+21952, 36);
 /*--- compute (k0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+231176, int_stack+219296, int_stack+57628, 36);
 /*--- compute (k0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+247376, int_stack+231176, int_stack+67348, 36);
 /*--- compute (k0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+50140, int_stack+247376, int_stack+27892, 36);
 /*--- compute (k0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+90132, int_stack+87324, 36);
 /*--- compute (k0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+71308, int_stack+21952, int_stack+43012, 36);
 /*--- compute (k0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+71308, int_stack+219296, 36);
 /*--- compute (k0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+71308, int_stack+21952, int_stack+231176, 36);
 /*--- compute (k0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+21952, int_stack+71308, int_stack+247376, 36);
 /*--- compute (k0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+71308, int_stack+21952, int_stack+50140, 36);
 /*--- compute (ip|[r12,T2]|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+219296, int_stack+140896, int_stack+118944, 784);
     Libr12->te_ptr[3] = int_stack + 219296;
 /*--- compute (ip|[r12,T1]|ii) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+99532, int_stack+169120, int_stack+596036, int_stack+545804, int_stack+517580, int_stack+0, 6, 6);
     Libr12->te_ptr[2] = int_stack + 99532;
 /*--- compute (ip||ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+285152, int_stack+71308, int_stack+197344, 784);
     Libr12->te_ptr[1] = int_stack + 285152;
 /*--- compute (ip|ii) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+21952, int_stack+545804, int_stack+0, 784);
     Libr12->te_ptr[0] = int_stack + 21952;

}
