#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ipip(Libr12_t *, prim_data *);

  /* Computes (ip|ip) integrals for linear R12-methods */

void hrr_grt_order_ipip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[6][6] = int_stack + 0;
 Libr12->t2vrr_classes[6][7] = int_stack + 784;
 Libr12->gvrr_classes[8][6] = int_stack + 1792;
 Libr12->t2vrr_classes[7][6] = int_stack + 3052;
 Libr12->t2vrr_classes[7][7] = int_stack + 4060;
 Libr12->gvrr_classes[6][8] = int_stack + 5356;
 Libr12->t1vrr_classes[6][6] = int_stack + 6616;
 Libr12->t1vrr_classes[6][7] = int_stack + 7400;
 Libr12->t1vrr_classes[7][6] = int_stack + 8408;
 Libr12->t1vrr_classes[7][7] = int_stack + 9416;
 Libr12->rvrr_classes[6][6] = int_stack + 10712;
 Libr12->rvrr_classes[6][7] = int_stack + 11496;
 Libr12->rvrr_classes[7][6] = int_stack + 12504;
 Libr12->rvrr_classes[7][7] = int_stack + 13512;
 Libr12->gvrr_classes[6][6] = int_stack + 14808;
 Libr12->gvrr_classes[6][7] = int_stack + 15592;
 Libr12->gvrr_classes[7][6] = int_stack + 16600;
 Libr12->gvrr_classes[7][7] = int_stack + 17608;
 memset(int_stack,0,18904*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 18904;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ipip(Libr12, Data);
   Data++;
 }

 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18904, int_stack+784, int_stack+0, int_stack+15592, int_stack+16600, int_stack+14808, 6, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21256, int_stack+4060, int_stack+3052, int_stack+17608, int_stack+1792, int_stack+16600, 7, 0);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+15592, int_stack+14808, 28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+24280, int_stack+5356, int_stack+15592, 28);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+17608, int_stack+16600, 36);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+14808, int_stack+7400, int_stack+6616, 28);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5376, int_stack+9416, int_stack+8408, 36);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+27304, int_stack+11496, int_stack+10712, 28);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8400, int_stack+13512, int_stack+12504, 36);
 /*--- compute (ip|[r12,T2]|ip) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+29656, int_stack+21256, int_stack+18904, 84);
     Libr12->te_ptr[3] = int_stack + 29656;
 /*--- compute (ip|[r12,T1]|ip) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+17160, int_stack+5376, int_stack+14808, int_stack+2352, int_stack+24280, int_stack+0, 6, 1);
     Libr12->te_ptr[2] = int_stack + 17160;
 /*--- compute (ip||ip) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+36712, int_stack+8400, int_stack+27304, 84);
     Libr12->te_ptr[1] = int_stack + 36712;
 /*--- compute (ip|ip) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+5376, int_stack+2352, int_stack+0, 84);
     Libr12->te_ptr[0] = int_stack + 5376;

}
