#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_p0id(Libr12_t *, prim_data *);

  /* Computes (p0|id) integrals for linear R12-methods */

void hrr_grt_order_p0id(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][6] = int_stack + 168;
 Libr12->gvrr_classes[2][7] = int_stack + 252;
 Libr12->t2vrr_classes[1][7] = int_stack + 468;
 Libr12->t2vrr_classes[1][8] = int_stack + 576;
 Libr12->t1vrr_classes[1][6] = int_stack + 711;
 Libr12->t1vrr_classes[1][7] = int_stack + 795;
 Libr12->t1vrr_classes[1][8] = int_stack + 903;
 Libr12->rvrr_classes[1][6] = int_stack + 1038;
 Libr12->rvrr_classes[1][7] = int_stack + 1122;
 Libr12->rvrr_classes[1][8] = int_stack + 1230;
 Libr12->gvrr_classes[1][6] = int_stack + 1365;
 Libr12->gvrr_classes[1][7] = int_stack + 1449;
 Libr12->gvrr_classes[1][8] = int_stack + 1557;
 memset(int_stack,0,1692*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 1692;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_p0id(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1692, int_stack+1449, int_stack+1365, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1944, int_stack+252, int_stack+0, 6);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2448, int_stack+1557, int_stack+1449, 3);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2772, int_stack+468, int_stack+168, int_stack+1449, int_stack+0, int_stack+1365, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3024, int_stack+576, int_stack+468, int_stack+1557, int_stack+252, int_stack+1449, 1, 0);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1365, int_stack+795, int_stack+711, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+903, int_stack+795, 3);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+324, int_stack+1122, int_stack+1038, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+576, int_stack+1230, int_stack+1122, 3);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3348, int_stack+3024, int_stack+2772, int_stack+2448, int_stack+1944, int_stack+1692, 1, 0);
     Libr12->te_ptr[3] = int_stack + 3348;
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1944, int_stack+0, int_stack+1365, 3);
     Libr12->te_ptr[2] = int_stack + 1944;
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2772, int_stack+576, int_stack+324, 3);
     Libr12->te_ptr[1] = int_stack + 2772;
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2448, int_stack+1692, 3);
     Libr12->te_ptr[0] = int_stack + 0;

}
