#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_p0if(Libr12_t *, prim_data *);

  /* Computes (p0|if) integrals for linear R12-methods */

void hrr_grt_order_p0if(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][6] = int_stack + 168;
 Libr12->gvrr_classes[2][7] = int_stack + 252;
 Libr12->t2vrr_classes[1][7] = int_stack + 468;
 Libr12->gvrr_classes[2][8] = int_stack + 576;
 Libr12->t2vrr_classes[1][8] = int_stack + 846;
 Libr12->t2vrr_classes[1][9] = int_stack + 981;
 Libr12->t1vrr_classes[1][6] = int_stack + 1146;
 Libr12->t1vrr_classes[1][7] = int_stack + 1230;
 Libr12->t1vrr_classes[1][8] = int_stack + 1338;
 Libr12->t1vrr_classes[1][9] = int_stack + 1473;
 Libr12->rvrr_classes[1][6] = int_stack + 1638;
 Libr12->rvrr_classes[1][7] = int_stack + 1722;
 Libr12->rvrr_classes[1][8] = int_stack + 1830;
 Libr12->rvrr_classes[1][9] = int_stack + 1965;
 Libr12->gvrr_classes[1][6] = int_stack + 2130;
 Libr12->gvrr_classes[1][7] = int_stack + 2214;
 Libr12->gvrr_classes[1][8] = int_stack + 2322;
 Libr12->gvrr_classes[1][9] = int_stack + 2457;
 memset(int_stack,0,2622*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 2622;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_p0if(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2622, int_stack+2214, int_stack+2130, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2874, int_stack+2322, int_stack+2214, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3198, int_stack+2874, int_stack+2622, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3702, int_stack+252, int_stack+0, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4206, int_stack+576, int_stack+252, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4854, int_stack+4206, int_stack+3702, 6);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5862, int_stack+2457, int_stack+2322, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+6267, int_stack+5862, int_stack+2874, 3);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6915, int_stack+468, int_stack+168, int_stack+2214, int_stack+0, int_stack+2130, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7167, int_stack+846, int_stack+468, int_stack+2322, int_stack+252, int_stack+2214, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+7167, int_stack+6915, int_stack+2874, int_stack+3702, int_stack+2622, 1, 0);
 /*--- compute (p0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+3702, int_stack+981, int_stack+846, int_stack+2457, int_stack+576, int_stack+2322, 1, 0);
 /*--- compute (p0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2130, int_stack+3702, int_stack+7167, int_stack+5862, int_stack+4206, int_stack+2874, 1, 0);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5862, int_stack+1230, int_stack+1146, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3702, int_stack+1338, int_stack+1230, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4026, int_stack+3702, int_stack+5862, 3);
 /*--- compute (p0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5862, int_stack+1473, int_stack+1338, 3);
 /*--- compute (p0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+6915, int_stack+5862, int_stack+3702, 3);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3702, int_stack+1722, int_stack+1638, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4530, int_stack+1830, int_stack+1722, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+504, int_stack+4530, int_stack+3702, 3);
 /*--- compute (p0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5862, int_stack+1965, int_stack+1830, 3);
 /*--- compute (p0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1008, int_stack+5862, int_stack+4530, 3);
 /*--- compute (p0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7563, int_stack+2130, int_stack+0, int_stack+6267, int_stack+4854, int_stack+3198, 1, 0);
     Libr12->te_ptr[3] = int_stack + 7563;
 /*--- compute (p0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+4530, int_stack+6915, int_stack+4026, 3);
     Libr12->te_ptr[2] = int_stack + 4530;
 /*--- compute (p0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+5370, int_stack+1008, int_stack+504, 3);
     Libr12->te_ptr[1] = int_stack + 5370;
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+6267, int_stack+3198, 3);
     Libr12->te_ptr[0] = int_stack + 0;

}
