#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_p0ig(Libr12_t *, prim_data *);

  /* Computes (p0|ig) integrals for linear R12-methods */

void hrr_grt_order_p0ig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][6] = int_stack + 168;
 Libr12->gvrr_classes[2][7] = int_stack + 252;
 Libr12->t2vrr_classes[1][7] = int_stack + 468;
 Libr12->gvrr_classes[2][8] = int_stack + 576;
 Libr12->t2vrr_classes[1][8] = int_stack + 846;
 Libr12->gvrr_classes[2][9] = int_stack + 981;
 Libr12->t2vrr_classes[1][9] = int_stack + 1311;
 Libr12->t2vrr_classes[1][10] = int_stack + 1476;
 Libr12->t1vrr_classes[1][6] = int_stack + 1674;
 Libr12->t1vrr_classes[1][7] = int_stack + 1758;
 Libr12->t1vrr_classes[1][8] = int_stack + 1866;
 Libr12->t1vrr_classes[1][9] = int_stack + 2001;
 Libr12->t1vrr_classes[1][10] = int_stack + 2166;
 Libr12->rvrr_classes[1][6] = int_stack + 2364;
 Libr12->rvrr_classes[1][7] = int_stack + 2448;
 Libr12->rvrr_classes[1][8] = int_stack + 2556;
 Libr12->rvrr_classes[1][9] = int_stack + 2691;
 Libr12->rvrr_classes[1][10] = int_stack + 2856;
 Libr12->gvrr_classes[1][6] = int_stack + 3054;
 Libr12->gvrr_classes[1][7] = int_stack + 3138;
 Libr12->gvrr_classes[1][8] = int_stack + 3246;
 Libr12->gvrr_classes[1][9] = int_stack + 3381;
 Libr12->gvrr_classes[1][10] = int_stack + 3546;
 memset(int_stack,0,3744*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 3744;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_p0ig(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3744, int_stack+3138, int_stack+3054, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+3996, int_stack+3246, int_stack+3138, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4320, int_stack+3996, int_stack+3744, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4824, int_stack+3381, int_stack+3246, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+5229, int_stack+4824, int_stack+3996, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+5877, int_stack+5229, int_stack+4320, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6717, int_stack+252, int_stack+0, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7221, int_stack+576, int_stack+252, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7869, int_stack+7221, int_stack+6717, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8877, int_stack+981, int_stack+576, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+9687, int_stack+8877, int_stack+7221, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10983, int_stack+9687, int_stack+7869, 6);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+12663, int_stack+3546, int_stack+3381, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+13158, int_stack+12663, int_stack+4824, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+13968, int_stack+13158, int_stack+5229, 3);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15048, int_stack+468, int_stack+168, int_stack+3138, int_stack+0, int_stack+3054, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15300, int_stack+846, int_stack+468, int_stack+3246, int_stack+252, int_stack+3138, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+15300, int_stack+15048, int_stack+3996, int_stack+6717, int_stack+3744, 1, 0);
 /*--- compute (p0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6717, int_stack+1311, int_stack+846, int_stack+3381, int_stack+576, int_stack+3246, 1, 0);
 /*--- compute (p0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15624, int_stack+6717, int_stack+15300, int_stack+4824, int_stack+7221, int_stack+3996, 1, 0);
 /*--- compute (p0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+16272, int_stack+15624, int_stack+0, int_stack+5229, int_stack+7869, int_stack+4320, 1, 0);
 /*--- compute (p0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1476, int_stack+1311, int_stack+3546, int_stack+981, int_stack+3381, 1, 0);
 /*--- compute (p0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495, int_stack+0, int_stack+6717, int_stack+12663, int_stack+8877, int_stack+4824, 1, 0);
 /*--- compute (p0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6717, int_stack+495, int_stack+15624, int_stack+13158, int_stack+9687, int_stack+5229, 1, 0);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12663, int_stack+1758, int_stack+1674, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12915, int_stack+1866, int_stack+1758, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+13239, int_stack+12915, int_stack+12663, 3);
 /*--- compute (p0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7797, int_stack+2001, int_stack+1866, 3);
 /*--- compute (p0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+8202, int_stack+7797, int_stack+12915, 3);
 /*--- compute (p0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+8850, int_stack+8202, int_stack+13239, 3);
 /*--- compute (p0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+12663, int_stack+2166, int_stack+2001, 3);
 /*--- compute (p0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+13158, int_stack+12663, int_stack+7797, 3);
 /*--- compute (p0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+9690, int_stack+13158, int_stack+8202, 3);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7797, int_stack+2448, int_stack+2364, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+8049, int_stack+2556, int_stack+2448, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12663, int_stack+8049, int_stack+7797, 3);
 /*--- compute (p0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+8373, int_stack+2691, int_stack+2556, 3);
 /*--- compute (p0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+13167, int_stack+8373, int_stack+8049, 3);
 /*--- compute (p0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13167, int_stack+12663, 3);
 /*--- compute (p0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+12663, int_stack+2856, int_stack+2691, 3);
 /*--- compute (p0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+840, int_stack+12663, int_stack+8373, 3);
 /*--- compute (p0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1650, int_stack+840, int_stack+13167, 3);
 /*--- compute (p0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12663, int_stack+6717, int_stack+16272, int_stack+13968, int_stack+10983, int_stack+5877, 1, 0);
     Libr12->te_ptr[3] = int_stack + 12663;
 /*--- compute (p0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+6717, int_stack+9690, int_stack+8850, 3);
     Libr12->te_ptr[2] = int_stack + 6717;
 /*--- compute (p0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+7977, int_stack+1650, int_stack+0, 3);
     Libr12->te_ptr[1] = int_stack + 7977;
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+0, int_stack+13968, int_stack+5877, 3);
     Libr12->te_ptr[0] = int_stack + 0;

}
