#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_p0ih(Libr12_t *, prim_data *);

  /* Computes (p0|ih) integrals for linear R12-methods */

void hrr_grt_order_p0ih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][6] = int_stack + 168;
 Libr12->gvrr_classes[2][7] = int_stack + 252;
 Libr12->t2vrr_classes[1][7] = int_stack + 468;
 Libr12->gvrr_classes[2][8] = int_stack + 576;
 Libr12->t2vrr_classes[1][8] = int_stack + 846;
 Libr12->gvrr_classes[2][9] = int_stack + 981;
 Libr12->t2vrr_classes[1][9] = int_stack + 1311;
 Libr12->gvrr_classes[2][10] = int_stack + 1476;
 Libr12->t2vrr_classes[1][10] = int_stack + 1872;
 Libr12->t2vrr_classes[1][11] = int_stack + 2070;
 Libr12->t1vrr_classes[1][6] = int_stack + 2304;
 Libr12->t1vrr_classes[1][7] = int_stack + 2388;
 Libr12->t1vrr_classes[1][8] = int_stack + 2496;
 Libr12->t1vrr_classes[1][9] = int_stack + 2631;
 Libr12->t1vrr_classes[1][10] = int_stack + 2796;
 Libr12->t1vrr_classes[1][11] = int_stack + 2994;
 Libr12->rvrr_classes[1][6] = int_stack + 3228;
 Libr12->rvrr_classes[1][7] = int_stack + 3312;
 Libr12->rvrr_classes[1][8] = int_stack + 3420;
 Libr12->rvrr_classes[1][9] = int_stack + 3555;
 Libr12->rvrr_classes[1][10] = int_stack + 3720;
 Libr12->rvrr_classes[1][11] = int_stack + 3918;
 Libr12->gvrr_classes[1][6] = int_stack + 4152;
 Libr12->gvrr_classes[1][7] = int_stack + 4236;
 Libr12->gvrr_classes[1][8] = int_stack + 4344;
 Libr12->gvrr_classes[1][9] = int_stack + 4479;
 Libr12->gvrr_classes[1][10] = int_stack + 4644;
 Libr12->gvrr_classes[1][11] = int_stack + 4842;
 memset(int_stack,0,5076*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 5076;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_p0ih(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+5076, int_stack+4236, int_stack+4152, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5328, int_stack+4344, int_stack+4236, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+5652, int_stack+5328, int_stack+5076, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+6156, int_stack+4479, int_stack+4344, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+6561, int_stack+6156, int_stack+5328, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7209, int_stack+6561, int_stack+5652, 3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+8049, int_stack+4644, int_stack+4479, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+8544, int_stack+8049, int_stack+6156, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+9354, int_stack+8544, int_stack+6561, 3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+10434, int_stack+9354, int_stack+7209, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11694, int_stack+252, int_stack+0, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12198, int_stack+576, int_stack+252, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12846, int_stack+12198, int_stack+11694, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+13854, int_stack+981, int_stack+576, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+14664, int_stack+13854, int_stack+12198, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+15960, int_stack+14664, int_stack+12846, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+17640, int_stack+1476, int_stack+981, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+18630, int_stack+17640, int_stack+13854, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+20250, int_stack+18630, int_stack+14664, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+22410, int_stack+20250, int_stack+15960, 6);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+24930, int_stack+4842, int_stack+4644, 3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+25524, int_stack+24930, int_stack+8049, 3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+26514, int_stack+25524, int_stack+8544, 3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+27864, int_stack+26514, int_stack+9354, 3);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29484, int_stack+468, int_stack+168, int_stack+4236, int_stack+0, int_stack+4152, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+29736, int_stack+846, int_stack+468, int_stack+4344, int_stack+252, int_stack+4236, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+29736, int_stack+29484, int_stack+5328, int_stack+11694, int_stack+5076, 1, 0);
 /*--- compute (p0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11694, int_stack+1311, int_stack+846, int_stack+4479, int_stack+576, int_stack+4344, 1, 0);
 /*--- compute (p0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30060, int_stack+11694, int_stack+29736, int_stack+6156, int_stack+12198, int_stack+5328, 1, 0);
 /*--- compute (p0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30708, int_stack+30060, int_stack+0, int_stack+6561, int_stack+12846, int_stack+5652, 1, 0);
 /*--- compute (p0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1872, int_stack+1311, int_stack+4644, int_stack+981, int_stack+4479, 1, 0);
 /*--- compute (p0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495, int_stack+0, int_stack+11694, int_stack+8049, int_stack+13854, int_stack+6156, 1, 0);
 /*--- compute (p0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11694, int_stack+495, int_stack+30060, int_stack+8544, int_stack+14664, int_stack+6561, 1, 0);
 /*--- compute (p0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12774, int_stack+11694, int_stack+30708, int_stack+9354, int_stack+15960, int_stack+7209, 1, 0);
 /*--- compute (p0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14034, int_stack+2070, int_stack+1872, int_stack+4842, int_stack+1476, int_stack+4644, 1, 0);
 /*--- compute (p0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14628, int_stack+14034, int_stack+0, int_stack+24930, int_stack+17640, int_stack+8049, 1, 0);
 /*--- compute (p0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15618, int_stack+14628, int_stack+495, int_stack+25524, int_stack+18630, int_stack+8544, 1, 0);
 /*--- compute (p0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+15618, int_stack+11694, int_stack+26514, int_stack+20250, int_stack+9354, 1, 0);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11694, int_stack+2388, int_stack+2304, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+11946, int_stack+2496, int_stack+2388, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12270, int_stack+11946, int_stack+11694, 3);
 /*--- compute (p0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+24930, int_stack+2631, int_stack+2496, 3);
 /*--- compute (p0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+25335, int_stack+24930, int_stack+11946, 3);
 /*--- compute (p0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+25983, int_stack+25335, int_stack+12270, 3);
 /*--- compute (p0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+11694, int_stack+2796, int_stack+2631, 3);
 /*--- compute (p0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+26823, int_stack+11694, int_stack+24930, 3);
 /*--- compute (p0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+26823, int_stack+25335, 3);
 /*--- compute (p0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+14034, int_stack+1620, int_stack+25983, 3);
 /*--- compute (p0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+24930, int_stack+2994, int_stack+2796, 3);
 /*--- compute (p0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+25524, int_stack+24930, int_stack+11694, 3);
 /*--- compute (p0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+15294, int_stack+25524, int_stack+26823, 3);
 /*--- compute (p0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+24930, int_stack+15294, int_stack+1620, 3);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+3312, int_stack+3228, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+1872, int_stack+3420, int_stack+3312, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2196, int_stack+1872, int_stack+1620, 3);
 /*--- compute (p0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+2700, int_stack+3555, int_stack+3420, 3);
 /*--- compute (p0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+15294, int_stack+2700, int_stack+1872, 3);
 /*--- compute (p0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+15942, int_stack+15294, int_stack+2196, 3);
 /*--- compute (p0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+3720, int_stack+3555, 3);
 /*--- compute (p0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+16782, int_stack+1620, int_stack+2700, 3);
 /*--- compute (p0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+11694, int_stack+16782, int_stack+15294, 3);
 /*--- compute (p0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+2115, int_stack+11694, int_stack+15942, 3);
 /*--- compute (p0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+15294, int_stack+3918, int_stack+3720, 3);
 /*--- compute (p0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+3375, int_stack+15294, int_stack+1620, 3);
 /*--- compute (p0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+15294, int_stack+3375, int_stack+16782, 3);
 /*--- compute (p0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+3375, int_stack+15294, int_stack+11694, 3);
 /*--- compute (p0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15294, int_stack+0, int_stack+12774, int_stack+27864, int_stack+22410, int_stack+10434, 1, 0);
     Libr12->te_ptr[3] = int_stack + 15294;
 /*--- compute (p0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+0, int_stack+24930, int_stack+14034, 3);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (p0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+11694, int_stack+3375, int_stack+2115, 3);
     Libr12->te_ptr[1] = int_stack + 11694;
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+1764, int_stack+27864, int_stack+10434, 3);
     Libr12->te_ptr[0] = int_stack + 1764;

}
