#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_p0ii(Libr12_t *, prim_data *);

  /* Computes (p0|ii) integrals for linear R12-methods */

void hrr_grt_order_p0ii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[2][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][6] = int_stack + 168;
 Libr12->gvrr_classes[2][7] = int_stack + 252;
 Libr12->t2vrr_classes[1][7] = int_stack + 468;
 Libr12->gvrr_classes[2][8] = int_stack + 576;
 Libr12->t2vrr_classes[1][8] = int_stack + 846;
 Libr12->gvrr_classes[2][9] = int_stack + 981;
 Libr12->t2vrr_classes[1][9] = int_stack + 1311;
 Libr12->gvrr_classes[2][10] = int_stack + 1476;
 Libr12->t2vrr_classes[1][10] = int_stack + 1872;
 Libr12->gvrr_classes[2][11] = int_stack + 2070;
 Libr12->t2vrr_classes[1][11] = int_stack + 2538;
 Libr12->t2vrr_classes[1][12] = int_stack + 2772;
 Libr12->t1vrr_classes[1][6] = int_stack + 3045;
 Libr12->t1vrr_classes[1][7] = int_stack + 3129;
 Libr12->t1vrr_classes[1][8] = int_stack + 3237;
 Libr12->t1vrr_classes[1][9] = int_stack + 3372;
 Libr12->t1vrr_classes[1][10] = int_stack + 3537;
 Libr12->t1vrr_classes[1][11] = int_stack + 3735;
 Libr12->t1vrr_classes[1][12] = int_stack + 3969;
 Libr12->rvrr_classes[1][6] = int_stack + 4242;
 Libr12->rvrr_classes[1][7] = int_stack + 4326;
 Libr12->rvrr_classes[1][8] = int_stack + 4434;
 Libr12->rvrr_classes[1][9] = int_stack + 4569;
 Libr12->rvrr_classes[1][10] = int_stack + 4734;
 Libr12->rvrr_classes[1][11] = int_stack + 4932;
 Libr12->rvrr_classes[1][12] = int_stack + 5166;
 Libr12->gvrr_classes[1][6] = int_stack + 5439;
 Libr12->gvrr_classes[1][7] = int_stack + 5523;
 Libr12->gvrr_classes[1][8] = int_stack + 5631;
 Libr12->gvrr_classes[1][9] = int_stack + 5766;
 Libr12->gvrr_classes[1][10] = int_stack + 5931;
 Libr12->gvrr_classes[1][11] = int_stack + 6129;
 Libr12->gvrr_classes[1][12] = int_stack + 6363;
 memset(int_stack,0,6636*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 6636;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_p0ii(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6636, int_stack+5523, int_stack+5439, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+6888, int_stack+5631, int_stack+5523, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7212, int_stack+6888, int_stack+6636, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+7716, int_stack+5766, int_stack+5631, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+8121, int_stack+7716, int_stack+6888, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+8769, int_stack+8121, int_stack+7212, 3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+9609, int_stack+5931, int_stack+5766, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+10104, int_stack+9609, int_stack+7716, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+10914, int_stack+10104, int_stack+8121, 3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+11994, int_stack+10914, int_stack+8769, 3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+13254, int_stack+6129, int_stack+5931, 3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+13848, int_stack+13254, int_stack+9609, 3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+14838, int_stack+13848, int_stack+10104, 3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+16188, int_stack+14838, int_stack+10914, 3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+17808, int_stack+16188, int_stack+11994, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+19572, int_stack+252, int_stack+0, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+20076, int_stack+576, int_stack+252, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+20724, int_stack+20076, int_stack+19572, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+21732, int_stack+981, int_stack+576, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+22542, int_stack+21732, int_stack+20076, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+23838, int_stack+22542, int_stack+20724, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+25518, int_stack+1476, int_stack+981, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+26508, int_stack+25518, int_stack+21732, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+28128, int_stack+26508, int_stack+22542, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+30288, int_stack+28128, int_stack+23838, 6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+32808, int_stack+2070, int_stack+1476, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+33996, int_stack+32808, int_stack+25518, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+35976, int_stack+33996, int_stack+26508, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+38676, int_stack+35976, int_stack+28128, 6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+41916, int_stack+38676, int_stack+30288, 6);
 /*--- compute (p0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+45444, int_stack+6363, int_stack+6129, 3);
 /*--- compute (p0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+46146, int_stack+45444, int_stack+13254, 3);
 /*--- compute (p0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+47334, int_stack+46146, int_stack+13848, 3);
 /*--- compute (p0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+48984, int_stack+47334, int_stack+14838, 3);
 /*--- compute (p0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+51009, int_stack+48984, int_stack+16188, 3);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53277, int_stack+468, int_stack+168, int_stack+5523, int_stack+0, int_stack+5439, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53529, int_stack+846, int_stack+468, int_stack+5631, int_stack+252, int_stack+5523, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+53529, int_stack+53277, int_stack+6888, int_stack+19572, int_stack+6636, 1, 0);
 /*--- compute (p0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19572, int_stack+1311, int_stack+846, int_stack+5766, int_stack+576, int_stack+5631, 1, 0);
 /*--- compute (p0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+53853, int_stack+19572, int_stack+53529, int_stack+7716, int_stack+20076, int_stack+6888, 1, 0);
 /*--- compute (p0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+54501, int_stack+53853, int_stack+0, int_stack+8121, int_stack+20724, int_stack+7212, 1, 0);
 /*--- compute (p0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1872, int_stack+1311, int_stack+5931, int_stack+981, int_stack+5766, 1, 0);
 /*--- compute (p0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+495, int_stack+0, int_stack+19572, int_stack+9609, int_stack+21732, int_stack+7716, 1, 0);
 /*--- compute (p0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19572, int_stack+495, int_stack+53853, int_stack+10104, int_stack+22542, int_stack+8121, 1, 0);
 /*--- compute (p0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20652, int_stack+19572, int_stack+54501, int_stack+10914, int_stack+23838, int_stack+8769, 1, 0);
 /*--- compute (p0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21912, int_stack+2538, int_stack+1872, int_stack+6129, int_stack+1476, int_stack+5931, 1, 0);
 /*--- compute (p0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22506, int_stack+21912, int_stack+0, int_stack+13254, int_stack+25518, int_stack+9609, 1, 0);
 /*--- compute (p0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23496, int_stack+22506, int_stack+495, int_stack+13848, int_stack+26508, int_stack+10104, 1, 0);
 /*--- compute (p0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+23496, int_stack+19572, int_stack+14838, int_stack+28128, int_stack+10914, 1, 0);
 /*--- compute (p0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+24846, int_stack+0, int_stack+20652, int_stack+16188, int_stack+30288, int_stack+11994, 1, 0);
 /*--- compute (p0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19572, int_stack+2772, int_stack+2538, int_stack+6363, int_stack+2070, int_stack+6129, 1, 0);
 /*--- compute (p0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20274, int_stack+19572, int_stack+21912, int_stack+45444, int_stack+32808, int_stack+13254, 1, 0);
 /*--- compute (p0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26610, int_stack+20274, int_stack+22506, int_stack+46146, int_stack+33996, int_stack+13848, 1, 0);
 /*--- compute (p0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19572, int_stack+26610, int_stack+23496, int_stack+47334, int_stack+35976, int_stack+14838, 1, 0);
 /*--- compute (p0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+26610, int_stack+19572, int_stack+0, int_stack+48984, int_stack+38676, int_stack+16188, 1, 0);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3129, int_stack+3045, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+252, int_stack+3237, int_stack+3129, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+576, int_stack+252, int_stack+0, 3);
 /*--- compute (p0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1080, int_stack+3372, int_stack+3237, 3);
 /*--- compute (p0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1485, int_stack+1080, int_stack+252, 3);
 /*--- compute (p0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2133, int_stack+1485, int_stack+576, 3);
 /*--- compute (p0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3537, int_stack+3372, 3);
 /*--- compute (p0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+19572, int_stack+0, int_stack+1080, 3);
 /*--- compute (p0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+20382, int_stack+19572, int_stack+1485, 3);
 /*--- compute (p0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+495, int_stack+20382, int_stack+2133, 3);
 /*--- compute (p0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+1755, int_stack+3735, int_stack+3537, 3);
 /*--- compute (p0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+2349, int_stack+1755, int_stack+0, 3);
 /*--- compute (p0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+21462, int_stack+2349, int_stack+19572, 3);
 /*--- compute (p0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+22812, int_stack+21462, int_stack+20382, 3);
 /*--- compute (p0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+19572, int_stack+22812, int_stack+495, 3);
 /*--- compute (p0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+0, int_stack+3969, int_stack+3735, 3);
 /*--- compute (p0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+28878, int_stack+0, int_stack+1755, 3);
 /*--- compute (p0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+28878, int_stack+2349, 3);
 /*--- compute (p0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+28878, int_stack+0, int_stack+21462, 3);
 /*--- compute (p0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+0, int_stack+28878, int_stack+22812, 3);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+28878, int_stack+4326, int_stack+4242, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+29130, int_stack+4434, int_stack+4326, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+29454, int_stack+29130, int_stack+28878, 3);
 /*--- compute (p0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+29958, int_stack+4569, int_stack+4434, 3);
 /*--- compute (p0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+30363, int_stack+29958, int_stack+29130, 3);
 /*--- compute (p0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31011, int_stack+30363, int_stack+29454, 3);
 /*--- compute (p0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+28878, int_stack+4734, int_stack+4569, 3);
 /*--- compute (p0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+31851, int_stack+28878, int_stack+29958, 3);
 /*--- compute (p0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+32661, int_stack+31851, int_stack+30363, 3);
 /*--- compute (p0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+29373, int_stack+32661, int_stack+31011, 3);
 /*--- compute (p0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+30633, int_stack+4932, int_stack+4734, 3);
 /*--- compute (p0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+33741, int_stack+30633, int_stack+28878, 3);
 /*--- compute (p0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+34731, int_stack+33741, int_stack+31851, 3);
 /*--- compute (p0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+36081, int_stack+34731, int_stack+32661, 3);
 /*--- compute (p0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+31227, int_stack+36081, int_stack+29373, 3);
 /*--- compute (p0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+28878, int_stack+5166, int_stack+4932, 3);
 /*--- compute (p0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+37701, int_stack+28878, int_stack+30633, 3);
 /*--- compute (p0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+28878, int_stack+37701, int_stack+33741, 3);
 /*--- compute (p0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+37701, int_stack+28878, int_stack+34731, 3);
 /*--- compute (p0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+28878, int_stack+37701, int_stack+36081, 3);
 /*--- compute (p0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+32991, int_stack+26610, int_stack+24846, int_stack+51009, int_stack+41916, int_stack+17808, 1, 0);
     Libr12->te_ptr[3] = int_stack + 32991;
 /*--- compute (p0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+35343, int_stack+0, int_stack+19572, 3);
     Libr12->te_ptr[2] = int_stack + 35343;
 /*--- compute (p0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+19572, int_stack+28878, int_stack+31227, 3);
     Libr12->te_ptr[1] = int_stack + 19572;
 /*--- compute (p0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+21924, int_stack+51009, int_stack+17808, 3);
     Libr12->te_ptr[0] = int_stack + 21924;

}
