#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppid(Libr12_t *, prim_data *);

  /* Computes (pp|id) integrals for linear R12-methods */

void hrr_grt_order_ppid(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][7] = int_stack + 84;
 Libr12->t2vrr_classes[1][8] = int_stack + 192;
 Libr12->gvrr_classes[3][6] = int_stack + 327;
 Libr12->t2vrr_classes[2][6] = int_stack + 607;
 Libr12->gvrr_classes[3][7] = int_stack + 775;
 Libr12->t2vrr_classes[2][7] = int_stack + 1135;
 Libr12->t2vrr_classes[2][8] = int_stack + 1351;
 Libr12->gvrr_classes[1][9] = int_stack + 1621;
 Libr12->t1vrr_classes[1][6] = int_stack + 1786;
 Libr12->t1vrr_classes[1][7] = int_stack + 1870;
 Libr12->t1vrr_classes[1][8] = int_stack + 1978;
 Libr12->t1vrr_classes[2][6] = int_stack + 2113;
 Libr12->t1vrr_classes[2][7] = int_stack + 2281;
 Libr12->t1vrr_classes[2][8] = int_stack + 2497;
 Libr12->rvrr_classes[1][6] = int_stack + 2767;
 Libr12->rvrr_classes[1][7] = int_stack + 2851;
 Libr12->rvrr_classes[1][8] = int_stack + 2959;
 Libr12->rvrr_classes[2][6] = int_stack + 3094;
 Libr12->rvrr_classes[2][7] = int_stack + 3262;
 Libr12->rvrr_classes[2][8] = int_stack + 3478;
 Libr12->gvrr_classes[1][6] = int_stack + 3748;
 Libr12->gvrr_classes[1][7] = int_stack + 3832;
 Libr12->gvrr_classes[1][8] = int_stack + 3940;
 Libr12->gvrr_classes[2][6] = int_stack + 4075;
 Libr12->gvrr_classes[2][7] = int_stack + 4243;
 Libr12->gvrr_classes[2][8] = int_stack + 4459;
 memset(int_stack,0,4729*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 4729;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppid(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4729, int_stack+3832, int_stack+3748, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+4981, int_stack+4243, int_stack+4075, 6);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+5485, int_stack+3940, int_stack+3832, 3);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5809, int_stack+84, int_stack+0, int_stack+3832, int_stack+4075, int_stack+3748, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6061, int_stack+192, int_stack+84, int_stack+3940, int_stack+4243, int_stack+3832, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6385, int_stack+6061, int_stack+5809, int_stack+5485, int_stack+4981, int_stack+4729, 1, 0);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+6889, int_stack+775, int_stack+327, 10);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7729, int_stack+4459, int_stack+4243, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+5809, int_stack+1135, int_stack+607, int_stack+4243, int_stack+327, int_stack+4075, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1351, int_stack+1135, int_stack+4459, int_stack+775, int_stack+4243, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+8377, int_stack+0, int_stack+5809, int_stack+7729, int_stack+6889, int_stack+4981, 2, 0);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+6889, int_stack+5485, int_stack+4729, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+5809, int_stack+1621, int_stack+3940, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+5809, int_stack+5485, 3);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+648, int_stack+7729, int_stack+4981, 6);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7393, int_stack+1870, int_stack+1786, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7645, int_stack+1978, int_stack+1870, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3748, int_stack+7645, int_stack+7393, 3);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7393, int_stack+2281, int_stack+2113, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4252, int_stack+2497, int_stack+2281, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+1656, int_stack+4252, int_stack+7393, 6);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7393, int_stack+2851, int_stack+2767, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7645, int_stack+2959, int_stack+2851, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+4252, int_stack+7645, int_stack+7393, 3);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7393, int_stack+3262, int_stack+3094, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+4756, int_stack+3478, int_stack+3262, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+2664, int_stack+4756, int_stack+7393, 6);
 /*--- compute (pp|[r12,T2]|id) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+4756, int_stack+8377, int_stack+6385, 168);
     Libr12->te_ptr[3] = int_stack + 4756;
 /*--- compute (pp|[r12,T1]|id) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+7393, int_stack+1656, int_stack+3748, int_stack+648, int_stack+0, int_stack+6889, 6, 2);
     Libr12->te_ptr[2] = int_stack + 7393;
 /*--- compute (pp||id) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+8905, int_stack+2664, int_stack+4252, 168);
     Libr12->te_ptr[1] = int_stack + 8905;
 /*--- compute (pp|id) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+1656, int_stack+648, int_stack+6889, 168);
     Libr12->te_ptr[0] = int_stack + 1656;

}
