#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppif(Libr12_t *, prim_data *);

  /* Computes (pp|if) integrals for linear R12-methods */

void hrr_grt_order_ppif(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][7] = int_stack + 84;
 Libr12->t2vrr_classes[1][8] = int_stack + 192;
 Libr12->t2vrr_classes[1][9] = int_stack + 327;
 Libr12->gvrr_classes[3][6] = int_stack + 492;
 Libr12->t2vrr_classes[2][6] = int_stack + 772;
 Libr12->gvrr_classes[3][7] = int_stack + 940;
 Libr12->t2vrr_classes[2][7] = int_stack + 1300;
 Libr12->gvrr_classes[3][8] = int_stack + 1516;
 Libr12->t2vrr_classes[2][8] = int_stack + 1966;
 Libr12->t2vrr_classes[2][9] = int_stack + 2236;
 Libr12->gvrr_classes[1][10] = int_stack + 2566;
 Libr12->t1vrr_classes[1][6] = int_stack + 2764;
 Libr12->t1vrr_classes[1][7] = int_stack + 2848;
 Libr12->t1vrr_classes[1][8] = int_stack + 2956;
 Libr12->t1vrr_classes[1][9] = int_stack + 3091;
 Libr12->t1vrr_classes[2][6] = int_stack + 3256;
 Libr12->t1vrr_classes[2][7] = int_stack + 3424;
 Libr12->t1vrr_classes[2][8] = int_stack + 3640;
 Libr12->t1vrr_classes[2][9] = int_stack + 3910;
 Libr12->rvrr_classes[1][6] = int_stack + 4240;
 Libr12->rvrr_classes[1][7] = int_stack + 4324;
 Libr12->rvrr_classes[1][8] = int_stack + 4432;
 Libr12->rvrr_classes[1][9] = int_stack + 4567;
 Libr12->rvrr_classes[2][6] = int_stack + 4732;
 Libr12->rvrr_classes[2][7] = int_stack + 4900;
 Libr12->rvrr_classes[2][8] = int_stack + 5116;
 Libr12->rvrr_classes[2][9] = int_stack + 5386;
 Libr12->gvrr_classes[1][6] = int_stack + 5716;
 Libr12->gvrr_classes[1][7] = int_stack + 5800;
 Libr12->gvrr_classes[1][8] = int_stack + 5908;
 Libr12->gvrr_classes[1][9] = int_stack + 6043;
 Libr12->gvrr_classes[2][6] = int_stack + 6208;
 Libr12->gvrr_classes[2][7] = int_stack + 6376;
 Libr12->gvrr_classes[2][8] = int_stack + 6592;
 Libr12->gvrr_classes[2][9] = int_stack + 6862;
 memset(int_stack,0,7192*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 7192;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppif(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7192, int_stack+5800, int_stack+5716, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+7444, int_stack+5908, int_stack+5800, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+7768, int_stack+7444, int_stack+7192, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+8272, int_stack+6376, int_stack+6208, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+8776, int_stack+6592, int_stack+6376, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+9424, int_stack+8776, int_stack+8272, 6);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+10432, int_stack+6043, int_stack+5908, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+10837, int_stack+10432, int_stack+7444, 3);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11485, int_stack+84, int_stack+0, int_stack+5800, int_stack+6208, int_stack+5716, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11737, int_stack+192, int_stack+84, int_stack+5908, int_stack+6376, int_stack+5800, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12061, int_stack+11737, int_stack+11485, int_stack+7444, int_stack+8272, int_stack+7192, 1, 0);
 /*--- compute (p0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12565, int_stack+327, int_stack+192, int_stack+6043, int_stack+6592, int_stack+5908, 1, 0);
 /*--- compute (p0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+12970, int_stack+12565, int_stack+11737, int_stack+10432, int_stack+8776, int_stack+7444, 1, 0);
 /*--- compute (p0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13618, int_stack+12970, int_stack+12061, int_stack+10837, int_stack+9424, int_stack+7768, 1, 0);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+11485, int_stack+940, int_stack+492, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12325, int_stack+1516, int_stack+940, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14458, int_stack+12325, int_stack+11485, 10);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+16138, int_stack+6862, int_stack+6592, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+16948, int_stack+16138, int_stack+8776, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7192, int_stack+1300, int_stack+772, int_stack+6376, int_stack+492, int_stack+6208, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+1966, int_stack+1300, int_stack+6592, int_stack+940, int_stack+6376, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18244, int_stack+0, int_stack+7192, int_stack+8776, int_stack+11485, int_stack+8272, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11485, int_stack+2236, int_stack+1966, int_stack+6862, int_stack+1516, int_stack+6592, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+6208, int_stack+11485, int_stack+0, int_stack+16138, int_stack+12325, int_stack+8776, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+6208, int_stack+18244, int_stack+16948, int_stack+14458, int_stack+9424, 2, 0);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+14458, int_stack+10837, int_stack+7768, 3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+15298, int_stack+2566, int_stack+6043, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+15793, int_stack+15298, int_stack+10432, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+18244, int_stack+15793, int_stack+10837, 3);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+10432, int_stack+16948, int_stack+9424, 6);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+12112, int_stack+2848, int_stack+2764, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12364, int_stack+2956, int_stack+2848, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12688, int_stack+12364, int_stack+12112, 3);
 /*--- compute (p0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+13192, int_stack+3091, int_stack+2956, 3);
 /*--- compute (p0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+15298, int_stack+13192, int_stack+12364, 3);
 /*--- compute (p0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+15946, int_stack+15298, int_stack+12688, 3);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15298, int_stack+3424, int_stack+3256, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+12112, int_stack+3640, int_stack+3424, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+16786, int_stack+12112, int_stack+15298, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+12760, int_stack+3910, int_stack+3640, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+1680, int_stack+12760, int_stack+12112, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+5716, int_stack+1680, int_stack+16786, 6);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+16786, int_stack+4324, int_stack+4240, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+17038, int_stack+4432, int_stack+4324, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+17362, int_stack+17038, int_stack+16786, 3);
 /*--- compute (p0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+1680, int_stack+4567, int_stack+4432, 3);
 /*--- compute (p0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+15298, int_stack+1680, int_stack+17038, 3);
 /*--- compute (p0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+1680, int_stack+15298, int_stack+17362, 3);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+15298, int_stack+4900, int_stack+4732, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+2520, int_stack+5116, int_stack+4900, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+3168, int_stack+2520, int_stack+15298, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+4176, int_stack+5386, int_stack+5116, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+16786, int_stack+4176, int_stack+2520, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+7396, int_stack+16786, int_stack+3168, 6);
 /*--- compute (pp|[r12,T2]|if) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+2520, int_stack+0, int_stack+13618, 280);
     Libr12->te_ptr[3] = int_stack + 2520;
 /*--- compute (pp|[r12,T1]|if) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+19324, int_stack+5716, int_stack+15946, int_stack+10432, int_stack+18244, int_stack+14458, 6, 3);
     Libr12->te_ptr[2] = int_stack + 19324;
 /*--- compute (pp||if) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+15298, int_stack+7396, int_stack+1680, 280);
     Libr12->te_ptr[1] = int_stack + 15298;
 /*--- compute (pp|if) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+10432, int_stack+14458, 280);
     Libr12->te_ptr[0] = int_stack + 0;

}
