#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppig(Libr12_t *, prim_data *);

  /* Computes (pp|ig) integrals for linear R12-methods */

void hrr_grt_order_ppig(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][7] = int_stack + 84;
 Libr12->t2vrr_classes[1][8] = int_stack + 192;
 Libr12->t2vrr_classes[1][9] = int_stack + 327;
 Libr12->t2vrr_classes[1][10] = int_stack + 492;
 Libr12->gvrr_classes[3][6] = int_stack + 690;
 Libr12->t2vrr_classes[2][6] = int_stack + 970;
 Libr12->gvrr_classes[3][7] = int_stack + 1138;
 Libr12->t2vrr_classes[2][7] = int_stack + 1498;
 Libr12->gvrr_classes[3][8] = int_stack + 1714;
 Libr12->t2vrr_classes[2][8] = int_stack + 2164;
 Libr12->gvrr_classes[3][9] = int_stack + 2434;
 Libr12->t2vrr_classes[2][9] = int_stack + 2984;
 Libr12->t2vrr_classes[2][10] = int_stack + 3314;
 Libr12->gvrr_classes[1][11] = int_stack + 3710;
 Libr12->t1vrr_classes[1][6] = int_stack + 3944;
 Libr12->t1vrr_classes[1][7] = int_stack + 4028;
 Libr12->t1vrr_classes[1][8] = int_stack + 4136;
 Libr12->t1vrr_classes[1][9] = int_stack + 4271;
 Libr12->t1vrr_classes[1][10] = int_stack + 4436;
 Libr12->t1vrr_classes[2][6] = int_stack + 4634;
 Libr12->t1vrr_classes[2][7] = int_stack + 4802;
 Libr12->t1vrr_classes[2][8] = int_stack + 5018;
 Libr12->t1vrr_classes[2][9] = int_stack + 5288;
 Libr12->t1vrr_classes[2][10] = int_stack + 5618;
 Libr12->rvrr_classes[1][6] = int_stack + 6014;
 Libr12->rvrr_classes[1][7] = int_stack + 6098;
 Libr12->rvrr_classes[1][8] = int_stack + 6206;
 Libr12->rvrr_classes[1][9] = int_stack + 6341;
 Libr12->rvrr_classes[1][10] = int_stack + 6506;
 Libr12->rvrr_classes[2][6] = int_stack + 6704;
 Libr12->rvrr_classes[2][7] = int_stack + 6872;
 Libr12->rvrr_classes[2][8] = int_stack + 7088;
 Libr12->rvrr_classes[2][9] = int_stack + 7358;
 Libr12->rvrr_classes[2][10] = int_stack + 7688;
 Libr12->gvrr_classes[1][6] = int_stack + 8084;
 Libr12->gvrr_classes[1][7] = int_stack + 8168;
 Libr12->gvrr_classes[1][8] = int_stack + 8276;
 Libr12->gvrr_classes[1][9] = int_stack + 8411;
 Libr12->gvrr_classes[1][10] = int_stack + 8576;
 Libr12->gvrr_classes[2][6] = int_stack + 8774;
 Libr12->gvrr_classes[2][7] = int_stack + 8942;
 Libr12->gvrr_classes[2][8] = int_stack + 9158;
 Libr12->gvrr_classes[2][9] = int_stack + 9428;
 Libr12->gvrr_classes[2][10] = int_stack + 9758;
 memset(int_stack,0,10154*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 10154;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppig(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10154, int_stack+8168, int_stack+8084, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10406, int_stack+8276, int_stack+8168, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+10730, int_stack+10406, int_stack+10154, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+11234, int_stack+8411, int_stack+8276, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+11639, int_stack+11234, int_stack+10406, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+12287, int_stack+11639, int_stack+10730, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13127, int_stack+8942, int_stack+8774, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13631, int_stack+9158, int_stack+8942, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14279, int_stack+13631, int_stack+13127, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+15287, int_stack+9428, int_stack+9158, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+16097, int_stack+15287, int_stack+13631, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+17393, int_stack+16097, int_stack+14279, 6);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+19073, int_stack+8576, int_stack+8411, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+19568, int_stack+19073, int_stack+11234, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+20378, int_stack+19568, int_stack+11639, 3);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21458, int_stack+84, int_stack+0, int_stack+8168, int_stack+8774, int_stack+8084, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21710, int_stack+192, int_stack+84, int_stack+8276, int_stack+8942, int_stack+8168, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22034, int_stack+21710, int_stack+21458, int_stack+10406, int_stack+13127, int_stack+10154, 1, 0);
 /*--- compute (p0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22538, int_stack+327, int_stack+192, int_stack+8411, int_stack+9158, int_stack+8276, 1, 0);
 /*--- compute (p0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22943, int_stack+22538, int_stack+21710, int_stack+11234, int_stack+13631, int_stack+10406, 1, 0);
 /*--- compute (p0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+23591, int_stack+22943, int_stack+22034, int_stack+11639, int_stack+14279, int_stack+10730, 1, 0);
 /*--- compute (p0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10154, int_stack+492, int_stack+327, int_stack+8576, int_stack+9428, int_stack+8411, 1, 0);
 /*--- compute (p0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21458, int_stack+10154, int_stack+22538, int_stack+19073, int_stack+15287, int_stack+11234, 1, 0);
 /*--- compute (p0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10154, int_stack+21458, int_stack+22943, int_stack+19568, int_stack+16097, int_stack+11639, 1, 0);
 /*--- compute (p0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21458, int_stack+10154, int_stack+23591, int_stack+20378, int_stack+17393, int_stack+12287, 1, 0);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+10154, int_stack+1138, int_stack+690, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+10994, int_stack+1714, int_stack+1138, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+22718, int_stack+10994, int_stack+10154, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+24398, int_stack+2434, int_stack+1714, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+25748, int_stack+24398, int_stack+10994, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+27908, int_stack+25748, int_stack+22718, 10);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+30708, int_stack+9758, int_stack+9428, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+31698, int_stack+30708, int_stack+15287, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+33318, int_stack+31698, int_stack+16097, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35478, int_stack+1498, int_stack+970, int_stack+8942, int_stack+690, int_stack+8774, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2164, int_stack+1498, int_stack+9158, int_stack+1138, int_stack+8942, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+648, int_stack+0, int_stack+35478, int_stack+13631, int_stack+10154, int_stack+13127, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10154, int_stack+2984, int_stack+2164, int_stack+9428, int_stack+1714, int_stack+9158, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+35478, int_stack+10154, int_stack+0, int_stack+15287, int_stack+10994, int_stack+13631, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+36774, int_stack+35478, int_stack+648, int_stack+16097, int_stack+22718, int_stack+14279, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22718, int_stack+3314, int_stack+2984, int_stack+9758, int_stack+2434, int_stack+9428, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+22718, int_stack+10154, int_stack+30708, int_stack+24398, int_stack+15287, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22718, int_stack+0, int_stack+35478, int_stack+31698, int_stack+25748, int_stack+16097, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+22718, int_stack+36774, int_stack+33318, int_stack+27908, int_stack+17393, 2, 0);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+22718, int_stack+20378, int_stack+12287, 3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+23978, int_stack+3710, int_stack+8576, 3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+24572, int_stack+23978, int_stack+19073, 3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+25562, int_stack+24572, int_stack+19568, 3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+26912, int_stack+25562, int_stack+20378, 3);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+23978, int_stack+33318, int_stack+17393, 6);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+26498, int_stack+4028, int_stack+3944, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+28532, int_stack+4136, int_stack+4028, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+28856, int_stack+28532, int_stack+26498, 3);
 /*--- compute (p0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+26498, int_stack+4271, int_stack+4136, 3);
 /*--- compute (p0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+29360, int_stack+26498, int_stack+28532, 3);
 /*--- compute (p0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+30008, int_stack+29360, int_stack+28856, 3);
 /*--- compute (p0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+28532, int_stack+4436, int_stack+4271, 3);
 /*--- compute (p0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+30848, int_stack+28532, int_stack+26498, 3);
 /*--- compute (p0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+31658, int_stack+30848, int_stack+29360, 3);
 /*--- compute (p0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+28532, int_stack+31658, int_stack+30008, 3);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+29792, int_stack+4802, int_stack+4634, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+30296, int_stack+5018, int_stack+4802, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+30944, int_stack+30296, int_stack+29792, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+31952, int_stack+5288, int_stack+5018, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+32762, int_stack+31952, int_stack+30296, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+34058, int_stack+32762, int_stack+30944, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+29792, int_stack+5618, int_stack+5288, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+35738, int_stack+29792, int_stack+31952, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+29792, int_stack+35738, int_stack+32762, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+35738, int_stack+29792, int_stack+34058, 6);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+29792, int_stack+6098, int_stack+6014, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+30044, int_stack+6206, int_stack+6098, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+30368, int_stack+30044, int_stack+29792, 3);
 /*--- compute (p0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+30872, int_stack+6341, int_stack+6206, 3);
 /*--- compute (p0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+31277, int_stack+30872, int_stack+30044, 3);
 /*--- compute (p0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+31925, int_stack+31277, int_stack+30368, 3);
 /*--- compute (p0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+29792, int_stack+6506, int_stack+6341, 3);
 /*--- compute (p0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+32765, int_stack+29792, int_stack+30872, 3);
 /*--- compute (p0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+29792, int_stack+32765, int_stack+31277, 3);
 /*--- compute (p0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+32765, int_stack+29792, int_stack+31925, 3);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+29792, int_stack+6872, int_stack+6704, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+30296, int_stack+7088, int_stack+6872, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+30944, int_stack+30296, int_stack+29792, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+31952, int_stack+7358, int_stack+7088, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+34025, int_stack+31952, int_stack+30296, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+2520, int_stack+34025, int_stack+30944, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+29792, int_stack+7688, int_stack+7358, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+29792, int_stack+31952, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+29792, int_stack+4200, int_stack+34025, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+4200, int_stack+29792, int_stack+2520, 6);
 /*--- compute (pp|[r12,T2]|ig) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+6720, int_stack+0, int_stack+21458, 420);
     Libr12->te_ptr[3] = int_stack + 6720;
 /*--- compute (pp|[r12,T1]|ig) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+35738, int_stack+28532, int_stack+23978, int_stack+26912, int_stack+22718, 6, 4);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (pp||ig) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+34025, int_stack+4200, int_stack+32765, 420);
     Libr12->te_ptr[1] = int_stack + 34025;
 /*--- compute (pp|ig) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+10500, int_stack+23978, int_stack+22718, 420);
     Libr12->te_ptr[0] = int_stack + 10500;

}
