#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppih(Libr12_t *, prim_data *);

  /* Computes (pp|ih) integrals for linear R12-methods */

void hrr_grt_order_ppih(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][7] = int_stack + 84;
 Libr12->t2vrr_classes[1][8] = int_stack + 192;
 Libr12->t2vrr_classes[1][9] = int_stack + 327;
 Libr12->t2vrr_classes[1][10] = int_stack + 492;
 Libr12->t2vrr_classes[1][11] = int_stack + 690;
 Libr12->gvrr_classes[3][6] = int_stack + 924;
 Libr12->t2vrr_classes[2][6] = int_stack + 1204;
 Libr12->gvrr_classes[3][7] = int_stack + 1372;
 Libr12->t2vrr_classes[2][7] = int_stack + 1732;
 Libr12->gvrr_classes[3][8] = int_stack + 1948;
 Libr12->t2vrr_classes[2][8] = int_stack + 2398;
 Libr12->gvrr_classes[3][9] = int_stack + 2668;
 Libr12->t2vrr_classes[2][9] = int_stack + 3218;
 Libr12->gvrr_classes[3][10] = int_stack + 3548;
 Libr12->t2vrr_classes[2][10] = int_stack + 4208;
 Libr12->t2vrr_classes[2][11] = int_stack + 4604;
 Libr12->gvrr_classes[1][12] = int_stack + 5072;
 Libr12->t1vrr_classes[1][6] = int_stack + 5345;
 Libr12->t1vrr_classes[1][7] = int_stack + 5429;
 Libr12->t1vrr_classes[1][8] = int_stack + 5537;
 Libr12->t1vrr_classes[1][9] = int_stack + 5672;
 Libr12->t1vrr_classes[1][10] = int_stack + 5837;
 Libr12->t1vrr_classes[1][11] = int_stack + 6035;
 Libr12->t1vrr_classes[2][6] = int_stack + 6269;
 Libr12->t1vrr_classes[2][7] = int_stack + 6437;
 Libr12->t1vrr_classes[2][8] = int_stack + 6653;
 Libr12->t1vrr_classes[2][9] = int_stack + 6923;
 Libr12->t1vrr_classes[2][10] = int_stack + 7253;
 Libr12->t1vrr_classes[2][11] = int_stack + 7649;
 Libr12->rvrr_classes[1][6] = int_stack + 8117;
 Libr12->rvrr_classes[1][7] = int_stack + 8201;
 Libr12->rvrr_classes[1][8] = int_stack + 8309;
 Libr12->rvrr_classes[1][9] = int_stack + 8444;
 Libr12->rvrr_classes[1][10] = int_stack + 8609;
 Libr12->rvrr_classes[1][11] = int_stack + 8807;
 Libr12->rvrr_classes[2][6] = int_stack + 9041;
 Libr12->rvrr_classes[2][7] = int_stack + 9209;
 Libr12->rvrr_classes[2][8] = int_stack + 9425;
 Libr12->rvrr_classes[2][9] = int_stack + 9695;
 Libr12->rvrr_classes[2][10] = int_stack + 10025;
 Libr12->rvrr_classes[2][11] = int_stack + 10421;
 Libr12->gvrr_classes[1][6] = int_stack + 10889;
 Libr12->gvrr_classes[1][7] = int_stack + 10973;
 Libr12->gvrr_classes[1][8] = int_stack + 11081;
 Libr12->gvrr_classes[1][9] = int_stack + 11216;
 Libr12->gvrr_classes[1][10] = int_stack + 11381;
 Libr12->gvrr_classes[1][11] = int_stack + 11579;
 Libr12->gvrr_classes[2][6] = int_stack + 11813;
 Libr12->gvrr_classes[2][7] = int_stack + 11981;
 Libr12->gvrr_classes[2][8] = int_stack + 12197;
 Libr12->gvrr_classes[2][9] = int_stack + 12467;
 Libr12->gvrr_classes[2][10] = int_stack + 12797;
 Libr12->gvrr_classes[2][11] = int_stack + 13193;
 memset(int_stack,0,13661*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 13661;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppih(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+13661, int_stack+10973, int_stack+10889, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+13913, int_stack+11081, int_stack+10973, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+14237, int_stack+13913, int_stack+13661, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+14741, int_stack+11216, int_stack+11081, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+15146, int_stack+14741, int_stack+13913, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+15794, int_stack+15146, int_stack+14237, 3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+16634, int_stack+11381, int_stack+11216, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+17129, int_stack+16634, int_stack+14741, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+17939, int_stack+17129, int_stack+15146, 3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+19019, int_stack+17939, int_stack+15794, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20279, int_stack+11981, int_stack+11813, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+20783, int_stack+12197, int_stack+11981, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+21431, int_stack+20783, int_stack+20279, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+22439, int_stack+12467, int_stack+12197, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+23249, int_stack+22439, int_stack+20783, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+24545, int_stack+23249, int_stack+21431, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+26225, int_stack+12797, int_stack+12467, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+27215, int_stack+26225, int_stack+22439, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+28835, int_stack+27215, int_stack+23249, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+30995, int_stack+28835, int_stack+24545, 6);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+33515, int_stack+11579, int_stack+11381, 3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+34109, int_stack+33515, int_stack+16634, 3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+35099, int_stack+34109, int_stack+17129, 3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+36449, int_stack+35099, int_stack+17939, 3);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38069, int_stack+84, int_stack+0, int_stack+10973, int_stack+11813, int_stack+10889, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38321, int_stack+192, int_stack+84, int_stack+11081, int_stack+11981, int_stack+10973, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38645, int_stack+38321, int_stack+38069, int_stack+13913, int_stack+20279, int_stack+13661, 1, 0);
 /*--- compute (p0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39149, int_stack+327, int_stack+192, int_stack+11216, int_stack+12197, int_stack+11081, 1, 0);
 /*--- compute (p0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+39554, int_stack+39149, int_stack+38321, int_stack+14741, int_stack+20783, int_stack+13913, 1, 0);
 /*--- compute (p0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40202, int_stack+39554, int_stack+38645, int_stack+15146, int_stack+21431, int_stack+14237, 1, 0);
 /*--- compute (p0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+13661, int_stack+492, int_stack+327, int_stack+11381, int_stack+12467, int_stack+11216, 1, 0);
 /*--- compute (p0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38069, int_stack+13661, int_stack+39149, int_stack+16634, int_stack+22439, int_stack+14741, 1, 0);
 /*--- compute (p0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+41042, int_stack+38069, int_stack+39554, int_stack+17129, int_stack+23249, int_stack+15146, 1, 0);
 /*--- compute (p0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14156, int_stack+41042, int_stack+40202, int_stack+17939, int_stack+24545, int_stack+15794, 1, 0);
 /*--- compute (p0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15416, int_stack+690, int_stack+492, int_stack+11579, int_stack+12797, int_stack+11381, 1, 0);
 /*--- compute (p0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38879, int_stack+15416, int_stack+13661, int_stack+33515, int_stack+26225, int_stack+16634, 1, 0);
 /*--- compute (p0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15416, int_stack+38879, int_stack+38069, int_stack+34109, int_stack+27215, int_stack+17129, 1, 0);
 /*--- compute (p0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38069, int_stack+15416, int_stack+41042, int_stack+35099, int_stack+28835, int_stack+17939, 1, 0);
 /*--- compute (p0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+15416, int_stack+38069, int_stack+14156, int_stack+36449, int_stack+30995, int_stack+19019, 1, 0);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+38069, int_stack+1372, int_stack+924, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+38909, int_stack+1948, int_stack+1372, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+39989, int_stack+38909, int_stack+38069, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+17180, int_stack+2668, int_stack+1948, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+41669, int_stack+17180, int_stack+38909, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+43829, int_stack+41669, int_stack+39989, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+13661, int_stack+3548, int_stack+2668, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+46629, int_stack+13661, int_stack+17180, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+49329, int_stack+46629, int_stack+41669, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+52929, int_stack+49329, int_stack+43829, 10);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+57129, int_stack+13193, int_stack+12797, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+58317, int_stack+57129, int_stack+26225, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+60297, int_stack+58317, int_stack+27215, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+62997, int_stack+60297, int_stack+28835, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66237, int_stack+1732, int_stack+1204, int_stack+11981, int_stack+924, int_stack+11813, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+10889, int_stack+2398, int_stack+1732, int_stack+12197, int_stack+1372, int_stack+11981, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+10889, int_stack+66237, int_stack+20783, int_stack+38069, int_stack+20279, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38069, int_stack+3218, int_stack+2398, int_stack+12467, int_stack+1948, int_stack+12197, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1008, int_stack+38069, int_stack+10889, int_stack+22439, int_stack+38909, int_stack+20783, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66237, int_stack+1008, int_stack+0, int_stack+23249, int_stack+39989, int_stack+21431, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4208, int_stack+3218, int_stack+12797, int_stack+2668, int_stack+12467, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20279, int_stack+0, int_stack+38069, int_stack+26225, int_stack+17180, int_stack+22439, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+38069, int_stack+20279, int_stack+1008, int_stack+27215, int_stack+41669, int_stack+23249, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+40229, int_stack+38069, int_stack+66237, int_stack+28835, int_stack+43829, int_stack+24545, 2, 0);
 /*--- compute (d0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66237, int_stack+4604, int_stack+4208, int_stack+13193, int_stack+3548, int_stack+12797, 2, 0);
 /*--- compute (d0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+42749, int_stack+66237, int_stack+0, int_stack+57129, int_stack+13661, int_stack+26225, 2, 0);
 /*--- compute (d0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+42749, int_stack+20279, int_stack+58317, int_stack+46629, int_stack+27215, 2, 0);
 /*--- compute (d0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20279, int_stack+0, int_stack+38069, int_stack+60297, int_stack+49329, int_stack+28835, 2, 0);
 /*--- compute (d0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+20279, int_stack+40229, int_stack+62997, int_stack+52929, int_stack+30995, 2, 0);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+66237, int_stack+36449, int_stack+19019, 3);
 /*--- compute (p0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+38069, int_stack+5072, int_stack+11579, 3);
 /*--- compute (p0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+38771, int_stack+38069, int_stack+33515, 3);
 /*--- compute (p0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+39959, int_stack+38771, int_stack+34109, 3);
 /*--- compute (p0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+41609, int_stack+39959, int_stack+35099, 3);
 /*--- compute (p0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+33515, int_stack+41609, int_stack+36449, 3);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+35783, int_stack+62997, int_stack+30995, 6);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+39311, int_stack+5429, int_stack+5345, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39563, int_stack+5537, int_stack+5429, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+39887, int_stack+39563, int_stack+39311, 3);
 /*--- compute (p0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+40391, int_stack+5672, int_stack+5537, 3);
 /*--- compute (p0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+40796, int_stack+40391, int_stack+39563, 3);
 /*--- compute (p0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+41444, int_stack+40796, int_stack+39887, 3);
 /*--- compute (p0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+39311, int_stack+5837, int_stack+5672, 3);
 /*--- compute (p0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+42284, int_stack+39311, int_stack+40391, 3);
 /*--- compute (p0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+43094, int_stack+42284, int_stack+40796, 3);
 /*--- compute (p0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+39806, int_stack+43094, int_stack+41444, 3);
 /*--- compute (p0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+41066, int_stack+6035, int_stack+5837, 3);
 /*--- compute (p0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+44174, int_stack+41066, int_stack+39311, 3);
 /*--- compute (p0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+45164, int_stack+44174, int_stack+42284, 3);
 /*--- compute (p0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+41066, int_stack+45164, int_stack+43094, 3);
 /*--- compute (p0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+42686, int_stack+41066, int_stack+39806, 3);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+39311, int_stack+6437, int_stack+6269, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+39815, int_stack+6653, int_stack+6437, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+40463, int_stack+39815, int_stack+39311, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+41471, int_stack+6923, int_stack+6653, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+44450, int_stack+41471, int_stack+39815, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+45746, int_stack+44450, int_stack+40463, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+39311, int_stack+7253, int_stack+6923, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+47426, int_stack+39311, int_stack+41471, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+40301, int_stack+47426, int_stack+44450, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+49046, int_stack+40301, int_stack+45746, 6);
 /*--- compute (d0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+44450, int_stack+7649, int_stack+7253, 6);
 /*--- compute (d0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+51566, int_stack+44450, int_stack+39311, 6);
 /*--- compute (d0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+44450, int_stack+51566, int_stack+47426, 6);
 /*--- compute (d0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+51566, int_stack+44450, int_stack+40301, 6);
 /*--- compute (d0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+44450, int_stack+51566, int_stack+49046, 6);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+47978, int_stack+8201, int_stack+8117, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+48230, int_stack+8309, int_stack+8201, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+48554, int_stack+48230, int_stack+47978, 3);
 /*--- compute (p0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+49058, int_stack+8444, int_stack+8309, 3);
 /*--- compute (p0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+49463, int_stack+49058, int_stack+48230, 3);
 /*--- compute (p0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+50111, int_stack+49463, int_stack+48554, 3);
 /*--- compute (p0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+47978, int_stack+8609, int_stack+8444, 3);
 /*--- compute (p0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+50951, int_stack+47978, int_stack+49058, 3);
 /*--- compute (p0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+51761, int_stack+50951, int_stack+49463, 3);
 /*--- compute (p0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+48473, int_stack+51761, int_stack+50111, 3);
 /*--- compute (p0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+49733, int_stack+8807, int_stack+8609, 3);
 /*--- compute (p0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+52841, int_stack+49733, int_stack+47978, 3);
 /*--- compute (p0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+53831, int_stack+52841, int_stack+50951, 3);
 /*--- compute (p0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+49733, int_stack+53831, int_stack+51761, 3);
 /*--- compute (p0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+51353, int_stack+49733, int_stack+48473, 3);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+47978, int_stack+9209, int_stack+9041, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+48482, int_stack+9425, int_stack+9209, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+49130, int_stack+48482, int_stack+47978, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+50138, int_stack+9695, int_stack+9425, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+53117, int_stack+50138, int_stack+48482, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+54413, int_stack+53117, int_stack+49130, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+47978, int_stack+10025, int_stack+9695, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+56093, int_stack+47978, int_stack+50138, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+48968, int_stack+56093, int_stack+53117, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+57713, int_stack+48968, int_stack+54413, 6);
 /*--- compute (d0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+53117, int_stack+10421, int_stack+10025, 6);
 /*--- compute (d0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+60233, int_stack+53117, int_stack+47978, 6);
 /*--- compute (d0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+53117, int_stack+60233, int_stack+56093, 6);
 /*--- compute (d0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+60233, int_stack+53117, int_stack+48968, 6);
 /*--- compute (d0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+53117, int_stack+60233, int_stack+57713, 6);
 /*--- compute (pp|[r12,T2]|ih) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+56645, int_stack+0, int_stack+15416, 588);
     Libr12->te_ptr[3] = int_stack + 56645;
 /*--- compute (pp|[r12,T1]|ih) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+44450, int_stack+42686, int_stack+35783, int_stack+33515, int_stack+66237, 6, 5);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (pp||ih) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+5292, int_stack+53117, int_stack+51353, 588);
     Libr12->te_ptr[1] = int_stack + 5292;
 /*--- compute (pp|ih) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+10584, int_stack+35783, int_stack+66237, 588);
     Libr12->te_ptr[0] = int_stack + 10584;

}
