#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppii(Libr12_t *, prim_data *);

  /* Computes (pp|ii) integrals for linear R12-methods */

void hrr_grt_order_ppii(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][7] = int_stack + 84;
 Libr12->t2vrr_classes[1][8] = int_stack + 192;
 Libr12->t2vrr_classes[1][9] = int_stack + 327;
 Libr12->t2vrr_classes[1][10] = int_stack + 492;
 Libr12->t2vrr_classes[1][11] = int_stack + 690;
 Libr12->t2vrr_classes[1][12] = int_stack + 924;
 Libr12->gvrr_classes[3][6] = int_stack + 1197;
 Libr12->t2vrr_classes[2][6] = int_stack + 1477;
 Libr12->gvrr_classes[3][7] = int_stack + 1645;
 Libr12->t2vrr_classes[2][7] = int_stack + 2005;
 Libr12->gvrr_classes[3][8] = int_stack + 2221;
 Libr12->t2vrr_classes[2][8] = int_stack + 2671;
 Libr12->gvrr_classes[3][9] = int_stack + 2941;
 Libr12->t2vrr_classes[2][9] = int_stack + 3491;
 Libr12->gvrr_classes[3][10] = int_stack + 3821;
 Libr12->t2vrr_classes[2][10] = int_stack + 4481;
 Libr12->gvrr_classes[3][11] = int_stack + 4877;
 Libr12->t2vrr_classes[2][11] = int_stack + 5657;
 Libr12->t2vrr_classes[2][12] = int_stack + 6125;
 Libr12->gvrr_classes[1][13] = int_stack + 6671;
 Libr12->t1vrr_classes[1][6] = int_stack + 6986;
 Libr12->t1vrr_classes[1][7] = int_stack + 7070;
 Libr12->t1vrr_classes[1][8] = int_stack + 7178;
 Libr12->t1vrr_classes[1][9] = int_stack + 7313;
 Libr12->t1vrr_classes[1][10] = int_stack + 7478;
 Libr12->t1vrr_classes[1][11] = int_stack + 7676;
 Libr12->t1vrr_classes[1][12] = int_stack + 7910;
 Libr12->t1vrr_classes[2][6] = int_stack + 8183;
 Libr12->t1vrr_classes[2][7] = int_stack + 8351;
 Libr12->t1vrr_classes[2][8] = int_stack + 8567;
 Libr12->t1vrr_classes[2][9] = int_stack + 8837;
 Libr12->t1vrr_classes[2][10] = int_stack + 9167;
 Libr12->t1vrr_classes[2][11] = int_stack + 9563;
 Libr12->t1vrr_classes[2][12] = int_stack + 10031;
 Libr12->rvrr_classes[1][6] = int_stack + 10577;
 Libr12->rvrr_classes[1][7] = int_stack + 10661;
 Libr12->rvrr_classes[1][8] = int_stack + 10769;
 Libr12->rvrr_classes[1][9] = int_stack + 10904;
 Libr12->rvrr_classes[1][10] = int_stack + 11069;
 Libr12->rvrr_classes[1][11] = int_stack + 11267;
 Libr12->rvrr_classes[1][12] = int_stack + 11501;
 Libr12->rvrr_classes[2][6] = int_stack + 11774;
 Libr12->rvrr_classes[2][7] = int_stack + 11942;
 Libr12->rvrr_classes[2][8] = int_stack + 12158;
 Libr12->rvrr_classes[2][9] = int_stack + 12428;
 Libr12->rvrr_classes[2][10] = int_stack + 12758;
 Libr12->rvrr_classes[2][11] = int_stack + 13154;
 Libr12->rvrr_classes[2][12] = int_stack + 13622;
 Libr12->gvrr_classes[1][6] = int_stack + 14168;
 Libr12->gvrr_classes[1][7] = int_stack + 14252;
 Libr12->gvrr_classes[1][8] = int_stack + 14360;
 Libr12->gvrr_classes[1][9] = int_stack + 14495;
 Libr12->gvrr_classes[1][10] = int_stack + 14660;
 Libr12->gvrr_classes[1][11] = int_stack + 14858;
 Libr12->gvrr_classes[1][12] = int_stack + 15092;
 Libr12->gvrr_classes[2][6] = int_stack + 15365;
 Libr12->gvrr_classes[2][7] = int_stack + 15533;
 Libr12->gvrr_classes[2][8] = int_stack + 15749;
 Libr12->gvrr_classes[2][9] = int_stack + 16019;
 Libr12->gvrr_classes[2][10] = int_stack + 16349;
 Libr12->gvrr_classes[2][11] = int_stack + 16745;
 Libr12->gvrr_classes[2][12] = int_stack + 17213;
 memset(int_stack,0,17759*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 17759;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppii(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+17759, int_stack+14252, int_stack+14168, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+18011, int_stack+14360, int_stack+14252, 3);
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+18335, int_stack+18011, int_stack+17759, 3);
 /*--- compute (p0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+18839, int_stack+14495, int_stack+14360, 3);
 /*--- compute (p0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+19244, int_stack+18839, int_stack+18011, 3);
 /*--- compute (p0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+19892, int_stack+19244, int_stack+18335, 3);
 /*--- compute (p0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+20732, int_stack+14660, int_stack+14495, 3);
 /*--- compute (p0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+21227, int_stack+20732, int_stack+18839, 3);
 /*--- compute (p0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+22037, int_stack+21227, int_stack+19244, 3);
 /*--- compute (p0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+23117, int_stack+22037, int_stack+19892, 3);
 /*--- compute (p0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+24377, int_stack+14858, int_stack+14660, 3);
 /*--- compute (p0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+24971, int_stack+24377, int_stack+20732, 3);
 /*--- compute (p0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+25961, int_stack+24971, int_stack+21227, 3);
 /*--- compute (p0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+27311, int_stack+25961, int_stack+22037, 3);
 /*--- compute (p0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+28931, int_stack+27311, int_stack+23117, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+30695, int_stack+15533, int_stack+15365, 6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+31199, int_stack+15749, int_stack+15533, 6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+31847, int_stack+31199, int_stack+30695, 6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+32855, int_stack+16019, int_stack+15749, 6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+33665, int_stack+32855, int_stack+31199, 6);
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+34961, int_stack+33665, int_stack+31847, 6);
 /*--- compute (d0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+36641, int_stack+16349, int_stack+16019, 6);
 /*--- compute (d0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+37631, int_stack+36641, int_stack+32855, 6);
 /*--- compute (d0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+39251, int_stack+37631, int_stack+33665, 6);
 /*--- compute (d0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+41411, int_stack+39251, int_stack+34961, 6);
 /*--- compute (d0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+43931, int_stack+16745, int_stack+16349, 6);
 /*--- compute (d0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+45119, int_stack+43931, int_stack+36641, 6);
 /*--- compute (d0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+47099, int_stack+45119, int_stack+37631, 6);
 /*--- compute (d0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+49799, int_stack+47099, int_stack+39251, 6);
 /*--- compute (d0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+53039, int_stack+49799, int_stack+41411, 6);
 /*--- compute (p0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+56567, int_stack+15092, int_stack+14858, 3);
 /*--- compute (p0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+57269, int_stack+56567, int_stack+24377, 3);
 /*--- compute (p0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+58457, int_stack+57269, int_stack+24971, 3);
 /*--- compute (p0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+60107, int_stack+58457, int_stack+25961, 3);
 /*--- compute (p0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+62132, int_stack+60107, int_stack+27311, 3);
 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64400, int_stack+84, int_stack+0, int_stack+14252, int_stack+15365, int_stack+14168, 1, 0);
 /*--- compute (p0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64652, int_stack+192, int_stack+84, int_stack+14360, int_stack+15533, int_stack+14252, 1, 0);
 /*--- compute (p0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64976, int_stack+64652, int_stack+64400, int_stack+18011, int_stack+30695, int_stack+17759, 1, 0);
 /*--- compute (p0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65480, int_stack+327, int_stack+192, int_stack+14495, int_stack+15749, int_stack+14360, 1, 0);
 /*--- compute (p0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65885, int_stack+65480, int_stack+64652, int_stack+18839, int_stack+31199, int_stack+18011, 1, 0);
 /*--- compute (p0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66533, int_stack+65885, int_stack+64976, int_stack+19244, int_stack+31847, int_stack+18335, 1, 0);
 /*--- compute (p0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17759, int_stack+492, int_stack+327, int_stack+14660, int_stack+16019, int_stack+14495, 1, 0);
 /*--- compute (p0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64400, int_stack+17759, int_stack+65480, int_stack+20732, int_stack+32855, int_stack+18839, 1, 0);
 /*--- compute (p0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67373, int_stack+64400, int_stack+65885, int_stack+21227, int_stack+33665, int_stack+19244, 1, 0);
 /*--- compute (p0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+18254, int_stack+67373, int_stack+66533, int_stack+22037, int_stack+34961, int_stack+19892, 1, 0);
 /*--- compute (p0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+19514, int_stack+690, int_stack+492, int_stack+14858, int_stack+16349, int_stack+14660, 1, 0);
 /*--- compute (p0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+65210, int_stack+19514, int_stack+17759, int_stack+24377, int_stack+36641, int_stack+20732, 1, 0);
 /*--- compute (p0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+68453, int_stack+65210, int_stack+64400, int_stack+24971, int_stack+37631, int_stack+21227, 1, 0);
 /*--- compute (p0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20108, int_stack+68453, int_stack+67373, int_stack+25961, int_stack+39251, int_stack+22037, 1, 0);
 /*--- compute (p0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+66200, int_stack+20108, int_stack+18254, int_stack+27311, int_stack+41411, int_stack+23117, 1, 0);
 /*--- compute (p0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64400, int_stack+924, int_stack+690, int_stack+15092, int_stack+16745, int_stack+14858, 1, 0);
 /*--- compute (p0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17759, int_stack+64400, int_stack+19514, int_stack+56567, int_stack+43931, int_stack+24377, 1, 0);
 /*--- compute (p0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21728, int_stack+17759, int_stack+65210, int_stack+57269, int_stack+45119, int_stack+24971, 1, 0);
 /*--- compute (p0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17759, int_stack+21728, int_stack+68453, int_stack+58457, int_stack+47099, int_stack+25961, 1, 0);
 /*--- compute (p0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21728, int_stack+17759, int_stack+20108, int_stack+60107, int_stack+49799, int_stack+27311, 1, 0);
 /*--- compute (p0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+17759, int_stack+21728, int_stack+66200, int_stack+62132, int_stack+53039, int_stack+28931, 1, 0);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+20111, int_stack+1645, int_stack+1197, 10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+20951, int_stack+2221, int_stack+1645, 10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+22031, int_stack+20951, int_stack+20111, 10);
 /*--- compute (f0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+23711, int_stack+2941, int_stack+2221, 10);
 /*--- compute (f0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+25061, int_stack+23711, int_stack+20951, 10);
 /*--- compute (f0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+64400, int_stack+25061, int_stack+22031, 10);
 /*--- compute (f0|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+27221, int_stack+3821, int_stack+2941, 10);
 /*--- compute (f0|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+67200, int_stack+27221, int_stack+23711, 10);
 /*--- compute (f0|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+69900, int_stack+67200, int_stack+25061, 10);
 /*--- compute (f0|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+73500, int_stack+69900, int_stack+64400, 10);
 /*--- compute (f0|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+77700, int_stack+4877, int_stack+3821, 10);
 /*--- compute (f0|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+79680, int_stack+77700, int_stack+27221, 10);
 /*--- compute (f0|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+82980, int_stack+79680, int_stack+67200, 10);
 /*--- compute (f0|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+87480, int_stack+82980, int_stack+69900, 10);
 /*--- compute (f0|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+92880, int_stack+87480, int_stack+73500, 10);
 /*--- compute (d0|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+98760, int_stack+17213, int_stack+16745, 6);
 /*--- compute (d0|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+100164, int_stack+98760, int_stack+43931, 6);
 /*--- compute (d0|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+102540, int_stack+100164, int_stack+45119, 6);
 /*--- compute (d0|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+105840, int_stack+102540, int_stack+47099, 6);
 /*--- compute (d0|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+109890, int_stack+105840, int_stack+49799, 6);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114426, int_stack+2005, int_stack+1477, int_stack+15533, int_stack+1197, int_stack+15365, 2, 0);
 /*--- compute (d0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+14168, int_stack+2671, int_stack+2005, int_stack+15749, int_stack+1645, int_stack+15533, 2, 0);
 /*--- compute (d0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+14168, int_stack+114426, int_stack+31199, int_stack+20111, int_stack+30695, 2, 0);
 /*--- compute (d0|[r12,T2]|lp) ---*/
   t2hrr3_build_lp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20111, int_stack+3491, int_stack+2671, int_stack+16019, int_stack+2221, int_stack+15749, 2, 0);
 /*--- compute (d0|[r12,T2]|kd) ---*/
   t2hrr3_build_kd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+1008, int_stack+20111, int_stack+14168, int_stack+32855, int_stack+20951, int_stack+31199, 2, 0);
 /*--- compute (d0|[r12,T2]|if) ---*/
   t2hrr3_build_if(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114426, int_stack+1008, int_stack+0, int_stack+33665, int_stack+22031, int_stack+31847, 2, 0);
 /*--- compute (d0|[r12,T2]|mp) ---*/
   t2hrr3_build_mp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+4481, int_stack+3491, int_stack+16349, int_stack+2941, int_stack+16019, 2, 0);
 /*--- compute (d0|[r12,T2]|ld) ---*/
   t2hrr3_build_ld(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30695, int_stack+0, int_stack+20111, int_stack+36641, int_stack+23711, int_stack+32855, 2, 0);
 /*--- compute (d0|[r12,T2]|kf) ---*/
   t2hrr3_build_kf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20111, int_stack+30695, int_stack+1008, int_stack+37631, int_stack+25061, int_stack+33665, 2, 0);
 /*--- compute (d0|[r12,T2]|ig) ---*/
   t2hrr3_build_ig(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+22271, int_stack+20111, int_stack+114426, int_stack+39251, int_stack+64400, int_stack+34961, 2, 0);
 /*--- compute (d0|[r12,T2]|np) ---*/
   t2hrr3_build_np(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64400, int_stack+5657, int_stack+4481, int_stack+16745, int_stack+3821, int_stack+16349, 2, 0);
 /*--- compute (d0|[r12,T2]|md) ---*/
   t2hrr3_build_md(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+114426, int_stack+64400, int_stack+0, int_stack+43931, int_stack+27221, int_stack+36641, 2, 0);
 /*--- compute (d0|[r12,T2]|lf) ---*/
   t2hrr3_build_lf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+114426, int_stack+30695, int_stack+45119, int_stack+67200, int_stack+37631, 2, 0);
 /*--- compute (d0|[r12,T2]|kg) ---*/
   t2hrr3_build_kg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+30695, int_stack+0, int_stack+20111, int_stack+47099, int_stack+69900, int_stack+39251, 2, 0);
 /*--- compute (d0|[r12,T2]|ih) ---*/
   t2hrr3_build_ih(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+33935, int_stack+30695, int_stack+22271, int_stack+49799, int_stack+73500, int_stack+41411, 2, 0);
 /*--- compute (d0|[r12,T2]|op) ---*/
   t2hrr3_build_op(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+20111, int_stack+6125, int_stack+5657, int_stack+17213, int_stack+4877, int_stack+16745, 2, 0);
 /*--- compute (d0|[r12,T2]|nd) ---*/
   t2hrr3_build_nd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+21515, int_stack+20111, int_stack+64400, int_stack+98760, int_stack+77700, int_stack+43931, 2, 0);
 /*--- compute (d0|[r12,T2]|mf) ---*/
   t2hrr3_build_mf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64400, int_stack+21515, int_stack+114426, int_stack+100164, int_stack+79680, int_stack+45119, 2, 0);
 /*--- compute (d0|[r12,T2]|lg) ---*/
   t2hrr3_build_lg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+67700, int_stack+64400, int_stack+0, int_stack+102540, int_stack+82980, int_stack+47099, 2, 0);
 /*--- compute (d0|[r12,T2]|kh) ---*/
   t2hrr3_build_kh(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+67700, int_stack+30695, int_stack+105840, int_stack+87480, int_stack+49799, 2, 0);
 /*--- compute (d0|[r12,T2]|ii) ---*/
   t2hrr3_build_ii(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+64400, int_stack+0, int_stack+33935, int_stack+109890, int_stack+92880, int_stack+53039, 2, 0);
 /*--- compute (p0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+0, int_stack+62132, int_stack+28931, 3);
 /*--- compute (p0|qp) ---*/
   hrr3_build_qp(Libr12->ShellQuartet.CD,int_stack+2352, int_stack+6671, int_stack+15092, 3);
 /*--- compute (p0|od) ---*/
   hrr3_build_od(Libr12->ShellQuartet.CD,int_stack+3171, int_stack+2352, int_stack+56567, 3);
 /*--- compute (p0|nf) ---*/
   hrr3_build_nf(Libr12->ShellQuartet.CD,int_stack+4575, int_stack+3171, int_stack+57269, 3);
 /*--- compute (p0|mg) ---*/
   hrr3_build_mg(Libr12->ShellQuartet.CD,int_stack+69104, int_stack+4575, int_stack+58457, 3);
 /*--- compute (p0|lh) ---*/
   hrr3_build_lh(Libr12->ShellQuartet.CD,int_stack+56567, int_stack+69104, int_stack+60107, 3);
 /*--- compute (p0|ki) ---*/
   hrr3_build_ki(Libr12->ShellQuartet.CD,int_stack+69104, int_stack+56567, int_stack+62132, 3);
 /*--- compute (d0|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+56567, int_stack+109890, int_stack+53039, 6);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+61271, int_stack+7070, int_stack+6986, 3);
 /*--- compute (p0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+61523, int_stack+7178, int_stack+7070, 3);
 /*--- compute (p0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61847, int_stack+61523, int_stack+61271, 3);
 /*--- compute (p0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+62351, int_stack+7313, int_stack+7178, 3);
 /*--- compute (p0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+62756, int_stack+62351, int_stack+61523, 3);
 /*--- compute (p0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+63404, int_stack+62756, int_stack+61847, 3);
 /*--- compute (p0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+61271, int_stack+7478, int_stack+7313, 3);
 /*--- compute (p0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+72128, int_stack+61271, int_stack+62351, 3);
 /*--- compute (p0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+72938, int_stack+72128, int_stack+62756, 3);
 /*--- compute (p0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+61766, int_stack+72938, int_stack+63404, 3);
 /*--- compute (p0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+63026, int_stack+7676, int_stack+7478, 3);
 /*--- compute (p0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+74018, int_stack+63026, int_stack+61271, 3);
 /*--- compute (p0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+75008, int_stack+74018, int_stack+72128, 3);
 /*--- compute (p0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+76358, int_stack+75008, int_stack+72938, 3);
 /*--- compute (p0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+72128, int_stack+76358, int_stack+61766, 3);
 /*--- compute (p0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+61271, int_stack+7910, int_stack+7676, 3);
 /*--- compute (p0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+77978, int_stack+61271, int_stack+63026, 3);
 /*--- compute (p0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+61271, int_stack+77978, int_stack+74018, 3);
 /*--- compute (p0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+77978, int_stack+61271, int_stack+75008, 3);
 /*--- compute (p0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+61271, int_stack+77978, int_stack+76358, 3);
 /*--- compute (p0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+73892, int_stack+61271, int_stack+72128, 3);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+72128, int_stack+8351, int_stack+8183, 6);
 /*--- compute (d0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+72632, int_stack+8567, int_stack+8351, 6);
 /*--- compute (d0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+61271, int_stack+72632, int_stack+72128, 6);
 /*--- compute (d0|[r12,T1]|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+62279, int_stack+8837, int_stack+8567, 6);
 /*--- compute (d0|[r12,T1]|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+63089, int_stack+62279, int_stack+72632, 6);
 /*--- compute (d0|[r12,T1]|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+72128, int_stack+63089, int_stack+61271, 6);
 /*--- compute (d0|[r12,T1]|mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+61271, int_stack+9167, int_stack+8837, 6);
 /*--- compute (d0|[r12,T1]|ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+76244, int_stack+61271, int_stack+62279, 6);
 /*--- compute (d0|[r12,T1]|kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+77864, int_stack+76244, int_stack+63089, 6);
 /*--- compute (d0|[r12,T1]|ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+80024, int_stack+77864, int_stack+72128, 6);
 /*--- compute (d0|[r12,T1]|np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+72128, int_stack+9563, int_stack+9167, 6);
 /*--- compute (d0|[r12,T1]|md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+62261, int_stack+72128, int_stack+61271, 6);
 /*--- compute (d0|[r12,T1]|lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+82544, int_stack+62261, int_stack+76244, 6);
 /*--- compute (d0|[r12,T1]|kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+85244, int_stack+82544, int_stack+77864, 6);
 /*--- compute (d0|[r12,T1]|ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+76244, int_stack+85244, int_stack+80024, 6);
 /*--- compute (d0|[r12,T1]|op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+79772, int_stack+10031, int_stack+9563, 6);
 /*--- compute (d0|[r12,T1]|nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+88484, int_stack+79772, int_stack+72128, 6);
 /*--- compute (d0|[r12,T1]|mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+90860, int_stack+88484, int_stack+62261, 6);
 /*--- compute (d0|[r12,T1]|lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+94160, int_stack+90860, int_stack+82544, 6);
 /*--- compute (d0|[r12,T1]|kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+88484, int_stack+94160, int_stack+85244, 6);
 /*--- compute (d0|[r12,T1]|ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+93020, int_stack+88484, int_stack+76244, 6);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+76244, int_stack+10661, int_stack+10577, 3);
 /*--- compute (p0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+76496, int_stack+10769, int_stack+10661, 3);
 /*--- compute (p0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+76820, int_stack+76496, int_stack+76244, 3);
 /*--- compute (p0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+77324, int_stack+10904, int_stack+10769, 3);
 /*--- compute (p0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+77729, int_stack+77324, int_stack+76496, 3);
 /*--- compute (p0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+78377, int_stack+77729, int_stack+76820, 3);
 /*--- compute (p0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+76244, int_stack+11069, int_stack+10904, 3);
 /*--- compute (p0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+79217, int_stack+76244, int_stack+77324, 3);
 /*--- compute (p0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+80027, int_stack+79217, int_stack+77729, 3);
 /*--- compute (p0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+76739, int_stack+80027, int_stack+78377, 3);
 /*--- compute (p0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+77999, int_stack+11267, int_stack+11069, 3);
 /*--- compute (p0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+81107, int_stack+77999, int_stack+76244, 3);
 /*--- compute (p0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+82097, int_stack+81107, int_stack+79217, 3);
 /*--- compute (p0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+83447, int_stack+82097, int_stack+80027, 3);
 /*--- compute (p0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+72128, int_stack+83447, int_stack+76739, 3);
 /*--- compute (p0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+76244, int_stack+11501, int_stack+11267, 3);
 /*--- compute (p0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+78593, int_stack+76244, int_stack+77999, 3);
 /*--- compute (p0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+76244, int_stack+78593, int_stack+81107, 3);
 /*--- compute (p0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+77894, int_stack+76244, int_stack+82097, 3);
 /*--- compute (p0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+79919, int_stack+77894, int_stack+83447, 3);
 /*--- compute (p0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+76244, int_stack+79919, int_stack+72128, 3);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+72128, int_stack+11942, int_stack+11774, 6);
 /*--- compute (d0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+72632, int_stack+12158, int_stack+11942, 6);
 /*--- compute (d0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+78596, int_stack+72632, int_stack+72128, 6);
 /*--- compute (d0||lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+79604, int_stack+12428, int_stack+12158, 6);
 /*--- compute (d0||kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+80414, int_stack+79604, int_stack+72632, 6);
 /*--- compute (d0||if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+72128, int_stack+80414, int_stack+78596, 6);
 /*--- compute (d0||mp) ---*/
   hrr3_build_mp(Libr12->ShellQuartet.CD,int_stack+78596, int_stack+12758, int_stack+12428, 6);
 /*--- compute (d0||ld) ---*/
   hrr3_build_ld(Libr12->ShellQuartet.CD,int_stack+81710, int_stack+78596, int_stack+79604, 6);
 /*--- compute (d0||kf) ---*/
   hrr3_build_kf(Libr12->ShellQuartet.CD,int_stack+83330, int_stack+81710, int_stack+80414, 6);
 /*--- compute (d0||ig) ---*/
   hrr3_build_ig(Libr12->ShellQuartet.CD,int_stack+85490, int_stack+83330, int_stack+72128, 6);
 /*--- compute (d0||np) ---*/
   hrr3_build_np(Libr12->ShellQuartet.CD,int_stack+72128, int_stack+13154, int_stack+12758, 6);
 /*--- compute (d0||md) ---*/
   hrr3_build_md(Libr12->ShellQuartet.CD,int_stack+79586, int_stack+72128, int_stack+78596, 6);
 /*--- compute (d0||lf) ---*/
   hrr3_build_lf(Libr12->ShellQuartet.CD,int_stack+88010, int_stack+79586, int_stack+81710, 6);
 /*--- compute (d0||kg) ---*/
   hrr3_build_kg(Libr12->ShellQuartet.CD,int_stack+97724, int_stack+88010, int_stack+83330, 6);
 /*--- compute (d0||ih) ---*/
   hrr3_build_ih(Libr12->ShellQuartet.CD,int_stack+81566, int_stack+97724, int_stack+85490, 6);
 /*--- compute (d0||op) ---*/
   hrr3_build_op(Libr12->ShellQuartet.CD,int_stack+85094, int_stack+13622, int_stack+13154, 6);
 /*--- compute (d0||nd) ---*/
   hrr3_build_nd(Libr12->ShellQuartet.CD,int_stack+100964, int_stack+85094, int_stack+72128, 6);
 /*--- compute (d0||mf) ---*/
   hrr3_build_mf(Libr12->ShellQuartet.CD,int_stack+103340, int_stack+100964, int_stack+79586, 6);
 /*--- compute (d0||lg) ---*/
   hrr3_build_lg(Libr12->ShellQuartet.CD,int_stack+106640, int_stack+103340, int_stack+88010, 6);
 /*--- compute (d0||kh) ---*/
   hrr3_build_kh(Libr12->ShellQuartet.CD,int_stack+100964, int_stack+106640, int_stack+97724, 6);
 /*--- compute (d0||ii) ---*/
   hrr3_build_ii(Libr12->ShellQuartet.CD,int_stack+105500, int_stack+100964, int_stack+81566, 6);
 /*--- compute (pp|[r12,T2]|ii) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+97724, int_stack+64400, int_stack+17759, 784);
     Libr12->te_ptr[3] = int_stack + 97724;
 /*--- compute (pp|[r12,T1]|ii) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+78596, int_stack+93020, int_stack+73892, int_stack+56567, int_stack+69104, int_stack+0, 6, 6);
     Libr12->te_ptr[2] = int_stack + 78596;
 /*--- compute (pp||ii) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+85652, int_stack+105500, int_stack+76244, 784);
     Libr12->te_ptr[1] = int_stack + 85652;
 /*--- compute (pp|ii) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+104780, int_stack+56567, int_stack+0, 784);
     Libr12->te_ptr[0] = int_stack + 104780;

}
