#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_ppip(Libr12_t *, prim_data *);

  /* Computes (pp|ip) integrals for linear R12-methods */

void hrr_grt_order_ppip(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[1][6] = int_stack + 0;
 Libr12->t2vrr_classes[1][7] = int_stack + 84;
 Libr12->gvrr_classes[3][6] = int_stack + 192;
 Libr12->t2vrr_classes[2][6] = int_stack + 472;
 Libr12->t2vrr_classes[2][7] = int_stack + 640;
 Libr12->gvrr_classes[1][8] = int_stack + 856;
 Libr12->t1vrr_classes[1][6] = int_stack + 991;
 Libr12->t1vrr_classes[1][7] = int_stack + 1075;
 Libr12->t1vrr_classes[2][6] = int_stack + 1183;
 Libr12->t1vrr_classes[2][7] = int_stack + 1351;
 Libr12->rvrr_classes[1][6] = int_stack + 1567;
 Libr12->rvrr_classes[1][7] = int_stack + 1651;
 Libr12->rvrr_classes[2][6] = int_stack + 1759;
 Libr12->rvrr_classes[2][7] = int_stack + 1927;
 Libr12->gvrr_classes[1][6] = int_stack + 2143;
 Libr12->gvrr_classes[1][7] = int_stack + 2227;
 Libr12->gvrr_classes[2][6] = int_stack + 2335;
 Libr12->gvrr_classes[2][7] = int_stack + 2503;
 memset(int_stack,0,2719*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 2719;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_ppip(Libr12, Data);
   Data++;
 }

 /*--- compute (p0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2719, int_stack+84, int_stack+0, int_stack+2227, int_stack+2335, int_stack+2143, 1, 0);
 /*--- compute (d0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2971, int_stack+640, int_stack+472, int_stack+2503, int_stack+192, int_stack+2335, 2, 0);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+0, int_stack+2227, int_stack+2143, 3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+252, int_stack+856, int_stack+2227, 3);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+3475, int_stack+2503, int_stack+2335, 6);
 /*--- compute (p0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2143, int_stack+1075, int_stack+991, 3);
 /*--- compute (d0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+576, int_stack+1351, int_stack+1183, 6);
 /*--- compute (p0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+2395, int_stack+1651, int_stack+1567, 3);
 /*--- compute (d0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+1080, int_stack+1927, int_stack+1759, 6);
 /*--- compute (pp|[r12,T2]|ip) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+3979, int_stack+2971, int_stack+2719, 84);
     Libr12->te_ptr[3] = int_stack + 3979;
 /*--- compute (pp|[r12,T1]|ip) ---*/
   t1hrr1_build_pp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+2647, int_stack+576, int_stack+2143, int_stack+3475, int_stack+252, int_stack+0, 6, 1);
     Libr12->te_ptr[2] = int_stack + 2647;
 /*--- compute (pp||ip) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+252, int_stack+1080, int_stack+2395, 84);
     Libr12->te_ptr[1] = int_stack + 252;
 /*--- compute (pp|ip) ---*/
   hrr1_build_pp(Libr12->ShellQuartet.AB,int_stack+1008, int_stack+3475, int_stack+0, 84);
     Libr12->te_ptr[0] = int_stack + 1008;

}
