#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_00dd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+1);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+18, r12vrr_stack+3, r12vrr_stack+15, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+0, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);
 tmp = r12vrr_stack + 24;
 target_ptr = Libr12->gvrr_classes[0][2];
 for(i=0;i<6;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+30, r12vrr_stack+24, r12vrr_stack+18, NULL, NULL, r12vrr_stack+3);
 tmp = r12vrr_stack + 30;
 target_ptr = Libr12->gvrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+48, r12vrr_stack+24, r12vrr_stack+18, r12vrr_stack+0, r12vrr_stack+3, NULL);
 tmp = r12vrr_stack + 48;
 target_ptr = Libr12->gvrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+58, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+61, r12vrr_stack+15, r12vrr_stack+58, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+67, r12vrr_stack+18, r12vrr_stack+61, r12vrr_stack+3, r12vrr_stack+15, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+77, r12vrr_stack+48, r12vrr_stack+67, NULL, NULL, r12vrr_stack+18);
 tmp = r12vrr_stack + 77;
 target_ptr = Libr12->gvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+107, r12vrr_stack+48, r12vrr_stack+67, r12vrr_stack+24, r12vrr_stack+18, NULL);
 tmp = r12vrr_stack + 107;
 target_ptr = Libr12->gvrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+122, r12vrr_stack+58, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+128, r12vrr_stack+61, r12vrr_stack+122, r12vrr_stack+15, r12vrr_stack+58, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+138, r12vrr_stack+67, r12vrr_stack+128, r12vrr_stack+18, r12vrr_stack+61, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+153, r12vrr_stack+107, r12vrr_stack+138, NULL, NULL, r12vrr_stack+67);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+198, r12vrr_stack+107, r12vrr_stack+138, r12vrr_stack+48, r12vrr_stack+67, NULL);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3, &(Data->ss_r12_ss), NULL, r12vrr_stack+0, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+58, r12vrr_stack+3, &(Data->ss_r12_ss), r12vrr_stack+24, r12vrr_stack+0, Data->F+0, NULL);
 tmp = r12vrr_stack + 58;
 target_ptr = Libr12->rvrr_classes[0][2];
 for(i=0;i<6;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+64, r12vrr_stack+58, r12vrr_stack+3, r12vrr_stack+48, r12vrr_stack+24, r12vrr_stack+0, NULL);
 tmp = r12vrr_stack + 64;
 target_ptr = Libr12->rvrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_00d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15, r12vrr_stack+24, r12vrr_stack+48, r12vrr_stack+30, r12vrr_stack+6, r12vrr_stack+0);
 tmp = r12vrr_stack + 15;
 target_ptr = Libr12->t2vrr_classes[0][2];
 for(i=0;i<6;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_00f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+48, r12vrr_stack+107, r12vrr_stack+77, r12vrr_stack+30, r12vrr_stack+24);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_00g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+122, r12vrr_stack+107, r12vrr_stack+198, r12vrr_stack+153, r12vrr_stack+77, r12vrr_stack+48);
 tmp = r12vrr_stack + 122;
 target_ptr = Libr12->t2vrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_00d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+137, r12vrr_stack+24, r12vrr_stack+30, r12vrr_stack+48, NULL, NULL);
 tmp = r12vrr_stack + 137;
 target_ptr = Libr12->t1vrr_classes[0][2];
 for(i=0;i<6;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_00f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+143, r12vrr_stack+48, r12vrr_stack+77, r12vrr_stack+107, NULL, NULL);
 tmp = r12vrr_stack + 143;
 target_ptr = Libr12->t1vrr_classes[0][3];
 for(i=0;i<10;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_00g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+30, r12vrr_stack+107, r12vrr_stack+153, r12vrr_stack+198, NULL, NULL);
 tmp = r12vrr_stack + 30;
 target_ptr = Libr12->t1vrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+153, r12vrr_stack+64, r12vrr_stack+58, r12vrr_stack+107, r12vrr_stack+48, r12vrr_stack+24, NULL);
 tmp = r12vrr_stack + 153;
 target_ptr = Libr12->rvrr_classes[0][4];
 for(i=0;i<15;i++)
   target_ptr[i] += tmp[i];


}

