#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_d0gg(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+204, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+3);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+213, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+231, r12vrr_stack+21, r12vrr_stack+213, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+204);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+204, r12vrr_stack+12, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+68, r12vrr_stack+204, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+267, r12vrr_stack+74, r12vrr_stack+21, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+297, r12vrr_stack+84, r12vrr_stack+267, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+213);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+357, r12vrr_stack+144, r12vrr_stack+297, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+231);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+210, r12vrr_stack+74, r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+225, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+457, r12vrr_stack+225, r12vrr_stack+210, NULL, NULL, r12vrr_stack+74);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+240, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+502, r12vrr_stack+240, r12vrr_stack+225, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+15, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+255, r12vrr_stack+204, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+547, r12vrr_stack+21, r12vrr_stack+255, r12vrr_stack+68, r12vrr_stack+204, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+562, r12vrr_stack+210, r12vrr_stack+547, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+607, r12vrr_stack+457, r12vrr_stack+562, r12vrr_stack+225, r12vrr_stack+210, r12vrr_stack+267);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+697, r12vrr_stack+502, r12vrr_stack+457, r12vrr_stack+240, r12vrr_stack+225, r12vrr_stack+84);
 tmp = r12vrr_stack + 697;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+787, r12vrr_stack+697, r12vrr_stack+607, r12vrr_stack+502, r12vrr_stack+457, r12vrr_stack+297);
 tmp = r12vrr_stack + 787;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+84, r12vrr_stack+225, r12vrr_stack+210, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+265, r12vrr_stack+240, r12vrr_stack+225, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+286, r12vrr_stack+210, r12vrr_stack+547, r12vrr_stack+74, r12vrr_stack+21, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+937, r12vrr_stack+84, r12vrr_stack+286, NULL, NULL, r12vrr_stack+210);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1000, r12vrr_stack+265, r12vrr_stack+84, NULL, NULL, r12vrr_stack+225);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1063, r12vrr_stack+1000, r12vrr_stack+937, r12vrr_stack+265, r12vrr_stack+84, r12vrr_stack+457);
 tmp = r12vrr_stack + 1063;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+15, r12vrr_stack+18, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+457, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+467, r12vrr_stack+255, r12vrr_stack+457, r12vrr_stack+204, r12vrr_stack+3, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+307, r12vrr_stack+547, r12vrr_stack+467, r12vrr_stack+21, r12vrr_stack+255, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1189, r12vrr_stack+286, r12vrr_stack+307, NULL, NULL, r12vrr_stack+547);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1252, r12vrr_stack+937, r12vrr_stack+1189, r12vrr_stack+84, r12vrr_stack+286, r12vrr_stack+562);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1378, r12vrr_stack+1063, r12vrr_stack+1252, r12vrr_stack+1000, r12vrr_stack+937, r12vrr_stack+607);
 tmp = r12vrr_stack + 1378;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+84, r12vrr_stack+286, r12vrr_stack+225, r12vrr_stack+210, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+562, r12vrr_stack+265, r12vrr_stack+84, r12vrr_stack+240, r12vrr_stack+225, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+286, r12vrr_stack+307, r12vrr_stack+210, r12vrr_stack+547, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1588, r12vrr_stack+21, r12vrr_stack+590, NULL, NULL, r12vrr_stack+286);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1672, r12vrr_stack+562, r12vrr_stack+21, NULL, NULL, r12vrr_stack+84);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1756, r12vrr_stack+1672, r12vrr_stack+1588, r12vrr_stack+562, r12vrr_stack+21, r12vrr_stack+937);
 tmp = r12vrr_stack + 1756;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+937, r12vrr_stack+18, r12vrr_stack+0, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+943, r12vrr_stack+9, r12vrr_stack+937, r12vrr_stack+15, r12vrr_stack+18, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+953, r12vrr_stack+457, r12vrr_stack+943, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+968, r12vrr_stack+467, r12vrr_stack+953, r12vrr_stack+255, r12vrr_stack+457, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+618, r12vrr_stack+307, r12vrr_stack+968, r12vrr_stack+547, r12vrr_stack+467, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1924, r12vrr_stack+590, r12vrr_stack+618, NULL, NULL, r12vrr_stack+307);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2008, r12vrr_stack+1588, r12vrr_stack+1924, r12vrr_stack+21, r12vrr_stack+590, r12vrr_stack+1189);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2176, r12vrr_stack+1756, r12vrr_stack+2008, r12vrr_stack+1672, r12vrr_stack+1588, r12vrr_stack+1252);
 tmp = r12vrr_stack + 2176;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+204, r12vrr_stack+21, r12vrr_stack+590, r12vrr_stack+84, r12vrr_stack+286, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1189, r12vrr_stack+562, r12vrr_stack+21, r12vrr_stack+265, r12vrr_stack+84, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1225, r12vrr_stack+590, r12vrr_stack+618, r12vrr_stack+286, r12vrr_stack+307, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1261, r12vrr_stack+204, r12vrr_stack+1225, NULL, NULL, r12vrr_stack+590);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2456, r12vrr_stack+1189, r12vrr_stack+204, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2564, r12vrr_stack+2456, r12vrr_stack+1261, r12vrr_stack+1189, r12vrr_stack+204, r12vrr_stack+1588);
 tmp = r12vrr_stack + 2564;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+15, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+255, r12vrr_stack+937, r12vrr_stack+3, r12vrr_stack+18, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+547, r12vrr_stack+943, r12vrr_stack+255, r12vrr_stack+9, r12vrr_stack+937, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+286, r12vrr_stack+953, r12vrr_stack+547, r12vrr_stack+457, r12vrr_stack+943, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1588, r12vrr_stack+968, r12vrr_stack+286, r12vrr_stack+467, r12vrr_stack+953, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+457, r12vrr_stack+618, r12vrr_stack+1588, r12vrr_stack+307, r12vrr_stack+968, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2780, r12vrr_stack+1225, r12vrr_stack+457, NULL, NULL, r12vrr_stack+618);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2888, r12vrr_stack+1261, r12vrr_stack+2780, r12vrr_stack+204, r12vrr_stack+1225, r12vrr_stack+1924);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3104, r12vrr_stack+2564, r12vrr_stack+2888, r12vrr_stack+2456, r12vrr_stack+1261, r12vrr_stack+2008);
 tmp = r12vrr_stack + 3104;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1924, r12vrr_stack+204, r12vrr_stack+1225, r12vrr_stack+21, r12vrr_stack+590, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1969, r12vrr_stack+1189, r12vrr_stack+204, r12vrr_stack+562, r12vrr_stack+21, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2014, r12vrr_stack+1225, r12vrr_stack+457, r12vrr_stack+590, r12vrr_stack+618, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3464, r12vrr_stack+1924, r12vrr_stack+2014, NULL, NULL, r12vrr_stack+1225);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3599, r12vrr_stack+1969, r12vrr_stack+1924, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3734, r12vrr_stack+3599, r12vrr_stack+3464, r12vrr_stack+1969, r12vrr_stack+1924, r12vrr_stack+1261);
 tmp = r12vrr_stack + 3734;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1261, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+15, r12vrr_stack+1261, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1261, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+9, r12vrr_stack+255, r12vrr_stack+1261, r12vrr_stack+937, r12vrr_stack+3, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1261, r12vrr_stack+547, r12vrr_stack+9, r12vrr_stack+943, r12vrr_stack+255, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+286, r12vrr_stack+1261, r12vrr_stack+953, r12vrr_stack+547, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1261, r12vrr_stack+1588, r12vrr_stack+590, r12vrr_stack+968, r12vrr_stack+286, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+286, r12vrr_stack+457, r12vrr_stack+1261, r12vrr_stack+618, r12vrr_stack+1588, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4004, r12vrr_stack+2014, r12vrr_stack+286, NULL, NULL, r12vrr_stack+457);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4139, r12vrr_stack+3464, r12vrr_stack+4004, r12vrr_stack+1924, r12vrr_stack+2014, r12vrr_stack+2780);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4409, r12vrr_stack+3734, r12vrr_stack+4139, r12vrr_stack+3599, r12vrr_stack+3464, r12vrr_stack+2888);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2780, r12vrr_stack+1924, r12vrr_stack+2014, r12vrr_stack+204, r12vrr_stack+1225, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2835, r12vrr_stack+1969, r12vrr_stack+1924, r12vrr_stack+1189, r12vrr_stack+204, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2890, r12vrr_stack+2014, r12vrr_stack+286, r12vrr_stack+1225, r12vrr_stack+457, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4004, r12vrr_stack+2780, r12vrr_stack+2890, NULL, NULL, r12vrr_stack+2014);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2890, r12vrr_stack+2835, r12vrr_stack+2780, NULL, NULL, r12vrr_stack+1924);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4859, r12vrr_stack+2890, r12vrr_stack+4004, r12vrr_stack+2835, r12vrr_stack+2780, r12vrr_stack+3464);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3464, &(Data->ss_r12_ss), NULL, r12vrr_stack+49, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+3467, r12vrr_stack+3464, &(Data->ss_r12_ss), r12vrr_stack+52, r12vrr_stack+49, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+255, r12vrr_stack+3467, r12vrr_stack+3464, r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+49, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+547, r12vrr_stack+255, r12vrr_stack+3467, r12vrr_stack+240, r12vrr_stack+58, r12vrr_stack+52, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+1924, r12vrr_stack+547, NULL, r12vrr_stack+502, r12vrr_stack+240, NULL, r12vrr_stack+58);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+3464, r12vrr_stack+547, r12vrr_stack+255, r12vrr_stack+265, r12vrr_stack+240, r12vrr_stack+58, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+937, r12vrr_stack+3464, NULL, r12vrr_stack+1000, r12vrr_stack+265, NULL, r12vrr_stack+240);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+3485, r12vrr_stack+3464, r12vrr_stack+547, r12vrr_stack+562, r12vrr_stack+265, r12vrr_stack+240, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+1588, r12vrr_stack+3485, NULL, r12vrr_stack+1672, r12vrr_stack+562, NULL, r12vrr_stack+265);

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+204, r12vrr_stack+3485, r12vrr_stack+3464, r12vrr_stack+1189, r12vrr_stack+562, r12vrr_stack+265, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+2780, r12vrr_stack+204, NULL, r12vrr_stack+2456, r12vrr_stack+1189, NULL, r12vrr_stack+562);

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+457, r12vrr_stack+204, r12vrr_stack+3485, r12vrr_stack+1969, r12vrr_stack+1189, r12vrr_stack+562, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+4004, r12vrr_stack+457, NULL, r12vrr_stack+3599, r12vrr_stack+1969, NULL, r12vrr_stack+1189);

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4139, r12vrr_stack+697, r12vrr_stack+1063, r12vrr_stack+787, r12vrr_stack+357, r12vrr_stack+144);
 tmp = r12vrr_stack + 4139;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4229, r12vrr_stack+1063, r12vrr_stack+1756, r12vrr_stack+1378, r12vrr_stack+787, r12vrr_stack+697);
 tmp = r12vrr_stack + 4229;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+286, r12vrr_stack+1756, r12vrr_stack+2564, r12vrr_stack+2176, r12vrr_stack+1378, r12vrr_stack+1063);
 tmp = r12vrr_stack + 286;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5189, r12vrr_stack+2564, r12vrr_stack+3734, r12vrr_stack+3104, r12vrr_stack+2176, r12vrr_stack+1756);
 tmp = r12vrr_stack + 5189;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5405, r12vrr_stack+3734, r12vrr_stack+4859, r12vrr_stack+4409, r12vrr_stack+3104, r12vrr_stack+2564);
 tmp = r12vrr_stack + 5405;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2014, r12vrr_stack+697, r12vrr_stack+787, r12vrr_stack+1063, r12vrr_stack+1000, r12vrr_stack+502);
 tmp = r12vrr_stack + 2014;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+787, r12vrr_stack+1063, r12vrr_stack+1378, r12vrr_stack+1756, r12vrr_stack+1672, r12vrr_stack+1000);
 tmp = r12vrr_stack + 787;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1225, r12vrr_stack+1756, r12vrr_stack+2176, r12vrr_stack+2564, r12vrr_stack+2456, r12vrr_stack+1672);
 tmp = r12vrr_stack + 1225;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2104, r12vrr_stack+2564, r12vrr_stack+3104, r12vrr_stack+3734, r12vrr_stack+3599, r12vrr_stack+2456);
 tmp = r12vrr_stack + 2104;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3055, r12vrr_stack+3734, r12vrr_stack+4409, r12vrr_stack+4859, r12vrr_stack+2890, r12vrr_stack+3599);
 tmp = r12vrr_stack + 3055;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+2888, r12vrr_stack+1924, r12vrr_stack+547, r12vrr_stack+697, r12vrr_stack+502, r12vrr_stack+240, r12vrr_stack+114);
 tmp = r12vrr_stack + 2888;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+4355, r12vrr_stack+937, r12vrr_stack+3464, r12vrr_stack+1063, r12vrr_stack+1000, r12vrr_stack+265, r12vrr_stack+502);
 tmp = r12vrr_stack + 4355;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+4481, r12vrr_stack+1588, r12vrr_stack+3485, r12vrr_stack+1756, r12vrr_stack+1672, r12vrr_stack+562, r12vrr_stack+1000);
 tmp = r12vrr_stack + 4481;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+502, r12vrr_stack+2780, r12vrr_stack+204, r12vrr_stack+2564, r12vrr_stack+2456, r12vrr_stack+1189, r12vrr_stack+1672);
 tmp = r12vrr_stack + 502;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+2564, r12vrr_stack+4004, r12vrr_stack+457, r12vrr_stack+3734, r12vrr_stack+3599, r12vrr_stack+1969, r12vrr_stack+2456);
 tmp = r12vrr_stack + 2564;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];


}

