#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_d0ih(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+65, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+71, r12vrr_stack+21, r12vrr_stack+65, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+96, r12vrr_stack+81, r12vrr_stack+50, NULL, NULL, r12vrr_stack+21);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+71, r12vrr_stack+21, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+65, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+71, r12vrr_stack+15, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+81, r12vrr_stack+162, r12vrr_stack+71, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+31, r12vrr_stack+0, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+34, r12vrr_stack+65, r12vrr_stack+6, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+208, r12vrr_stack+40, r12vrr_stack+71, r12vrr_stack+9, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+223, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+21, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+141, r12vrr_stack+223, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+307, r12vrr_stack+187, r12vrr_stack+141, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+370, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+96);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+496, r12vrr_stack+21, r12vrr_stack+40, NULL, NULL, r12vrr_stack+9);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+526, r12vrr_stack+50, r12vrr_stack+208, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+571, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+496);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+496, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+499, r12vrr_stack+0, r12vrr_stack+496, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+65, r12vrr_stack+499, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+505, r12vrr_stack+71, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+96, r12vrr_stack+208, r12vrr_stack+505, r12vrr_stack+40, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+661, r12vrr_stack+223, r12vrr_stack+96, NULL, NULL, r12vrr_stack+208);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+724, r12vrr_stack+244, r12vrr_stack+661, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+526);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+850, r12vrr_stack+370, r12vrr_stack+724, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+571);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+520, r12vrr_stack+223, r12vrr_stack+96, r12vrr_stack+50, r12vrr_stack+208, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+548, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+81, r12vrr_stack+50, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+576, r12vrr_stack+548, r12vrr_stack+520, NULL, NULL, r12vrr_stack+223);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+172, r12vrr_stack+81, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1060, r12vrr_stack+31, r12vrr_stack+548, NULL, NULL, r12vrr_stack+141);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+81, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+59, r12vrr_stack+496, r12vrr_stack+81, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+84, r12vrr_stack+499, r12vrr_stack+59, r12vrr_stack+0, r12vrr_stack+496, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+117, r12vrr_stack+21, r12vrr_stack+84, r12vrr_stack+65, r12vrr_stack+499, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1144, r12vrr_stack+505, r12vrr_stack+117, r12vrr_stack+71, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1165, r12vrr_stack+96, r12vrr_stack+1144, r12vrr_stack+208, r12vrr_stack+505, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1193, r12vrr_stack+520, r12vrr_stack+1165, NULL, NULL, r12vrr_stack+96);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1277, r12vrr_stack+576, r12vrr_stack+1193, r12vrr_stack+548, r12vrr_stack+520, r12vrr_stack+661);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1445, r12vrr_stack+1060, r12vrr_stack+576, r12vrr_stack+31, r12vrr_stack+548, r12vrr_stack+244);
 tmp = r12vrr_stack + 1445;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1613, r12vrr_stack+1445, r12vrr_stack+1277, r12vrr_stack+1060, r12vrr_stack+576, r12vrr_stack+724);
 tmp = r12vrr_stack + 1613;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+548, r12vrr_stack+520, r12vrr_stack+141, r12vrr_stack+223, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+660, r12vrr_stack+31, r12vrr_stack+548, r12vrr_stack+187, r12vrr_stack+141, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+696, r12vrr_stack+520, r12vrr_stack+1165, r12vrr_stack+223, r12vrr_stack+96, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1893, r12vrr_stack+244, r12vrr_stack+696, NULL, NULL, r12vrr_stack+520);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+732, r12vrr_stack+660, r12vrr_stack+244, NULL, NULL, r12vrr_stack+548);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2001, r12vrr_stack+732, r12vrr_stack+1893, r12vrr_stack+660, r12vrr_stack+244, r12vrr_stack+576);
 tmp = r12vrr_stack + 2001;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+576, r12vrr_stack+81, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+840, r12vrr_stack+59, r12vrr_stack+576, r12vrr_stack+496, r12vrr_stack+81, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+582, r12vrr_stack+84, r12vrr_stack+840, r12vrr_stack+499, r12vrr_stack+59, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+597, r12vrr_stack+117, r12vrr_stack+582, r12vrr_stack+21, r12vrr_stack+84, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+618, r12vrr_stack+1144, r12vrr_stack+597, r12vrr_stack+505, r12vrr_stack+117, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+208, r12vrr_stack+1165, r12vrr_stack+618, r12vrr_stack+96, r12vrr_stack+1144, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2217, r12vrr_stack+696, r12vrr_stack+208, NULL, NULL, r12vrr_stack+1165);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2325, r12vrr_stack+1893, r12vrr_stack+2217, r12vrr_stack+244, r12vrr_stack+696, r12vrr_stack+1193);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2541, r12vrr_stack+2001, r12vrr_stack+2325, r12vrr_stack+732, r12vrr_stack+1893, r12vrr_stack+1277);
 tmp = r12vrr_stack + 2541;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1193, r12vrr_stack+244, r12vrr_stack+696, r12vrr_stack+548, r12vrr_stack+520, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1238, r12vrr_stack+660, r12vrr_stack+244, r12vrr_stack+31, r12vrr_stack+548, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1283, r12vrr_stack+696, r12vrr_stack+208, r12vrr_stack+520, r12vrr_stack+1165, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2901, r12vrr_stack+1193, r12vrr_stack+1283, NULL, NULL, r12vrr_stack+696);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3036, r12vrr_stack+1238, r12vrr_stack+1193, NULL, NULL, r12vrr_stack+244);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3171, r12vrr_stack+3036, r12vrr_stack+2901, r12vrr_stack+1238, r12vrr_stack+1193, r12vrr_stack+1893);
 tmp = r12vrr_stack + 3171;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1893, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1896, r12vrr_stack+0, r12vrr_stack+1893, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+576, r12vrr_stack+1896, r12vrr_stack+81, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1902, r12vrr_stack+840, r12vrr_stack+21, r12vrr_stack+59, r12vrr_stack+576, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+59, r12vrr_stack+582, r12vrr_stack+1902, r12vrr_stack+84, r12vrr_stack+840, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+80, r12vrr_stack+597, r12vrr_stack+59, r12vrr_stack+117, r12vrr_stack+582, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+108, r12vrr_stack+618, r12vrr_stack+80, r12vrr_stack+1144, r12vrr_stack+597, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1917, r12vrr_stack+208, r12vrr_stack+108, r12vrr_stack+1165, r12vrr_stack+618, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3441, r12vrr_stack+1283, r12vrr_stack+1917, NULL, NULL, r12vrr_stack+208);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3576, r12vrr_stack+2901, r12vrr_stack+3441, r12vrr_stack+1193, r12vrr_stack+1283, r12vrr_stack+2217);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3846, r12vrr_stack+3171, r12vrr_stack+3576, r12vrr_stack+3036, r12vrr_stack+2901, r12vrr_stack+2325);
 tmp = r12vrr_stack + 3846;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2217, r12vrr_stack+1193, r12vrr_stack+1283, r12vrr_stack+244, r12vrr_stack+696, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2272, r12vrr_stack+1238, r12vrr_stack+1193, r12vrr_stack+660, r12vrr_stack+244, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+1283, r12vrr_stack+1917, r12vrr_stack+696, r12vrr_stack+208, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2327, r12vrr_stack+2217, r12vrr_stack+244, NULL, NULL, r12vrr_stack+1283);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4296, r12vrr_stack+2272, r12vrr_stack+2217, NULL, NULL, r12vrr_stack+1193);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4461, r12vrr_stack+4296, r12vrr_stack+2327, r12vrr_stack+2272, r12vrr_stack+2217, r12vrr_stack+2901);
 tmp = r12vrr_stack + 4461;
 target_ptr = Libr12->gvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2901, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2904, r12vrr_stack+1893, r12vrr_stack+2901, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2910, r12vrr_stack+1896, r12vrr_stack+2904, r12vrr_stack+0, r12vrr_stack+1893, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2920, r12vrr_stack+21, r12vrr_stack+2910, r12vrr_stack+576, r12vrr_stack+1896, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2935, r12vrr_stack+1902, r12vrr_stack+2920, r12vrr_stack+840, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2956, r12vrr_stack+59, r12vrr_stack+2935, r12vrr_stack+582, r12vrr_stack+1902, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+696, r12vrr_stack+80, r12vrr_stack+2956, r12vrr_stack+597, r12vrr_stack+59, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2984, r12vrr_stack+108, r12vrr_stack+696, r12vrr_stack+618, r12vrr_stack+80, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1328, r12vrr_stack+1917, r12vrr_stack+2984, r12vrr_stack+208, r12vrr_stack+108, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4791, r12vrr_stack+244, r12vrr_stack+1328, NULL, NULL, r12vrr_stack+1917);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4956, r12vrr_stack+2327, r12vrr_stack+4791, r12vrr_stack+2217, r12vrr_stack+244, r12vrr_stack+3441);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5286, r12vrr_stack+4461, r12vrr_stack+4956, r12vrr_stack+4296, r12vrr_stack+2327, r12vrr_stack+3576);
 tmp = r12vrr_stack + 5286;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3441, r12vrr_stack+2217, r12vrr_stack+244, r12vrr_stack+1193, r12vrr_stack+1283, NULL);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3507, r12vrr_stack+2272, r12vrr_stack+2217, r12vrr_stack+1238, r12vrr_stack+1193, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3573, r12vrr_stack+244, r12vrr_stack+1328, r12vrr_stack+1283, r12vrr_stack+1917, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3639, r12vrr_stack+3441, r12vrr_stack+3573, NULL, NULL, r12vrr_stack+244);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+5836, r12vrr_stack+3507, r12vrr_stack+3441, NULL, NULL, r12vrr_stack+2217);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6034, r12vrr_stack+5836, r12vrr_stack+3639, r12vrr_stack+3507, r12vrr_stack+3441, r12vrr_stack+2327);
 tmp = r12vrr_stack + 6034;
 target_ptr = Libr12->gvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2327, r12vrr_stack+2901, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+840, r12vrr_stack+2904, r12vrr_stack+2327, r12vrr_stack+1893, r12vrr_stack+2901, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2333, r12vrr_stack+2910, r12vrr_stack+840, r12vrr_stack+1896, r12vrr_stack+2904, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2348, r12vrr_stack+2920, r12vrr_stack+2333, r12vrr_stack+21, r12vrr_stack+2910, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2369, r12vrr_stack+2935, r12vrr_stack+2348, r12vrr_stack+1902, r12vrr_stack+2920, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+208, r12vrr_stack+2956, r12vrr_stack+2369, r12vrr_stack+59, r12vrr_stack+2935, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1283, r12vrr_stack+696, r12vrr_stack+208, r12vrr_stack+80, r12vrr_stack+2956, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2397, r12vrr_stack+2984, r12vrr_stack+1283, r12vrr_stack+108, r12vrr_stack+696, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59, r12vrr_stack+1328, r12vrr_stack+2397, r12vrr_stack+1917, r12vrr_stack+2984, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6430, r12vrr_stack+3573, r12vrr_stack+59, NULL, NULL, r12vrr_stack+1328);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6628, r12vrr_stack+3639, r12vrr_stack+6430, r12vrr_stack+3441, r12vrr_stack+3573, r12vrr_stack+4791);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7024, r12vrr_stack+6034, r12vrr_stack+6628, r12vrr_stack+5836, r12vrr_stack+3639, r12vrr_stack+4956);
 tmp = r12vrr_stack + 7024;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4791, r12vrr_stack+3441, r12vrr_stack+3573, r12vrr_stack+2217, r12vrr_stack+244, NULL);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4869, r12vrr_stack+3507, r12vrr_stack+3441, r12vrr_stack+2272, r12vrr_stack+2217, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4947, r12vrr_stack+3573, r12vrr_stack+59, r12vrr_stack+244, r12vrr_stack+1328, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+5025, r12vrr_stack+4791, r12vrr_stack+4947, NULL, NULL, r12vrr_stack+3573);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+7684, r12vrr_stack+4869, r12vrr_stack+4791, NULL, NULL, r12vrr_stack+3441);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+7918, r12vrr_stack+7684, r12vrr_stack+5025, r12vrr_stack+4869, r12vrr_stack+4791, r12vrr_stack+3639);
 tmp = r12vrr_stack + 7918;
 target_ptr = Libr12->gvrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3639, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3642, r12vrr_stack+0, r12vrr_stack+3639, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+2327, r12vrr_stack+3642, r12vrr_stack+2901, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3639, r12vrr_stack+840, r12vrr_stack+21, r12vrr_stack+2904, r12vrr_stack+2327, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3654, r12vrr_stack+2333, r12vrr_stack+3639, r12vrr_stack+2910, r12vrr_stack+840, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3675, r12vrr_stack+2348, r12vrr_stack+3654, r12vrr_stack+2920, r12vrr_stack+2333, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3639, r12vrr_stack+2369, r12vrr_stack+3675, r12vrr_stack+2935, r12vrr_stack+2348, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3675, r12vrr_stack+208, r12vrr_stack+3639, r12vrr_stack+2956, r12vrr_stack+2369, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2217, r12vrr_stack+1283, r12vrr_stack+3675, r12vrr_stack+696, r12vrr_stack+208, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+208, r12vrr_stack+2397, r12vrr_stack+2217, r12vrr_stack+2984, r12vrr_stack+1283, NULL);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+3639, r12vrr_stack+59, r12vrr_stack+208, r12vrr_stack+1328, r12vrr_stack+2397, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+8386, r12vrr_stack+4947, r12vrr_stack+3639, NULL, NULL, r12vrr_stack+59);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+8620, r12vrr_stack+5025, r12vrr_stack+8386, r12vrr_stack+4791, r12vrr_stack+4947, r12vrr_stack+6430);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9088, r12vrr_stack+7918, r12vrr_stack+8620, r12vrr_stack+7684, r12vrr_stack+5025, r12vrr_stack+6628);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+6430, r12vrr_stack+4791, r12vrr_stack+4947, r12vrr_stack+3441, r12vrr_stack+3573, NULL);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+6521, r12vrr_stack+4869, r12vrr_stack+4791, r12vrr_stack+3507, r12vrr_stack+3441, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+6612, r12vrr_stack+4947, r12vrr_stack+3639, r12vrr_stack+3573, r12vrr_stack+59, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+3573, r12vrr_stack+6430, r12vrr_stack+6612, NULL, NULL, r12vrr_stack+4947);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+6612, r12vrr_stack+6521, r12vrr_stack+6430, NULL, NULL, r12vrr_stack+4791);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+8386, r12vrr_stack+6612, r12vrr_stack+3573, r12vrr_stack+6521, r12vrr_stack+6430, r12vrr_stack+5025);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+6430, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+840, r12vrr_stack+6430, r12vrr_stack+0, r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+840, r12vrr_stack+6430, r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+15, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+6430, r12vrr_stack+0, r12vrr_stack+840, r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+162, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+6451, r12vrr_stack+6430, r12vrr_stack+0, r12vrr_stack+31, r12vrr_stack+187, r12vrr_stack+172, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+6479, r12vrr_stack+6451, NULL, r12vrr_stack+1060, r12vrr_stack+31, NULL, r12vrr_stack+187);

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+696, r12vrr_stack+6451, r12vrr_stack+6430, r12vrr_stack+660, r12vrr_stack+31, r12vrr_stack+187, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+1893, r12vrr_stack+696, NULL, r12vrr_stack+732, r12vrr_stack+660, NULL, r12vrr_stack+31);

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+6563, r12vrr_stack+696, r12vrr_stack+6451, r12vrr_stack+1238, r12vrr_stack+660, r12vrr_stack+31, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+2901, r12vrr_stack+6563, NULL, r12vrr_stack+3036, r12vrr_stack+1238, NULL, r12vrr_stack+660);

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2217, r12vrr_stack+6563, r12vrr_stack+696, r12vrr_stack+2272, r12vrr_stack+1238, r12vrr_stack+660, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3573, r12vrr_stack+2217, NULL, r12vrr_stack+4296, r12vrr_stack+2272, NULL, r12vrr_stack+1238);

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3441, r12vrr_stack+2217, r12vrr_stack+6563, r12vrr_stack+3507, r12vrr_stack+2272, r12vrr_stack+1238, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4947, r12vrr_stack+3441, NULL, r12vrr_stack+5836, r12vrr_stack+3507, NULL, r12vrr_stack+2272);

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4791, r12vrr_stack+3441, r12vrr_stack+2217, r12vrr_stack+4869, r12vrr_stack+3507, r12vrr_stack+2272, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+59, r12vrr_stack+4791, NULL, r12vrr_stack+7684, r12vrr_stack+4869, NULL, r12vrr_stack+3507);

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2327, r12vrr_stack+1445, r12vrr_stack+2001, r12vrr_stack+1613, r12vrr_stack+850, r12vrr_stack+370);
 tmp = r12vrr_stack + 2327;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+370, r12vrr_stack+2001, r12vrr_stack+3171, r12vrr_stack+2541, r12vrr_stack+1613, r12vrr_stack+1445);
 tmp = r12vrr_stack + 370;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9868, r12vrr_stack+3171, r12vrr_stack+4461, r12vrr_stack+3846, r12vrr_stack+2541, r12vrr_stack+2001);
 tmp = r12vrr_stack + 9868;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+10138, r12vrr_stack+4461, r12vrr_stack+6034, r12vrr_stack+5286, r12vrr_stack+3846, r12vrr_stack+3171);
 tmp = r12vrr_stack + 10138;
 target_ptr = Libr12->t2vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+10468, r12vrr_stack+6034, r12vrr_stack+7918, r12vrr_stack+7024, r12vrr_stack+5286, r12vrr_stack+4461);
 tmp = r12vrr_stack + 10468;
 target_ptr = Libr12->t2vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+10864, r12vrr_stack+7918, r12vrr_stack+8386, r12vrr_stack+9088, r12vrr_stack+7024, r12vrr_stack+6034);
 tmp = r12vrr_stack + 10864;
 target_ptr = Libr12->t2vrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+840, r12vrr_stack+1445, r12vrr_stack+1613, r12vrr_stack+2001, r12vrr_stack+732, r12vrr_stack+1060);
 tmp = r12vrr_stack + 840;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1613, r12vrr_stack+2001, r12vrr_stack+2541, r12vrr_stack+3171, r12vrr_stack+3036, r12vrr_stack+732);
 tmp = r12vrr_stack + 1613;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2495, r12vrr_stack+3171, r12vrr_stack+3846, r12vrr_stack+4461, r12vrr_stack+4296, r12vrr_stack+3036);
 tmp = r12vrr_stack + 2495;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3738, r12vrr_stack+4461, r12vrr_stack+5286, r12vrr_stack+6034, r12vrr_stack+5836, r12vrr_stack+4296);
 tmp = r12vrr_stack + 3738;
 target_ptr = Libr12->t1vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5145, r12vrr_stack+6034, r12vrr_stack+7024, r12vrr_stack+7918, r12vrr_stack+7684, r12vrr_stack+5836);
 tmp = r12vrr_stack + 5145;
 target_ptr = Libr12->t1vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6885, r12vrr_stack+7918, r12vrr_stack+9088, r12vrr_stack+8386, r12vrr_stack+6612, r12vrr_stack+7684);
 tmp = r12vrr_stack + 6885;
 target_ptr = Libr12->t1vrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+8386, r12vrr_stack+6479, r12vrr_stack+6451, r12vrr_stack+1445, r12vrr_stack+1060, r12vrr_stack+31, r12vrr_stack+307);
 tmp = r12vrr_stack + 8386;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+8554, r12vrr_stack+1893, r12vrr_stack+696, r12vrr_stack+2001, r12vrr_stack+732, r12vrr_stack+660, r12vrr_stack+1060);
 tmp = r12vrr_stack + 8554;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+8770, r12vrr_stack+2901, r12vrr_stack+6563, r12vrr_stack+3171, r12vrr_stack+3036, r12vrr_stack+1238, r12vrr_stack+732);
 tmp = r12vrr_stack + 8770;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+9040, r12vrr_stack+3573, r12vrr_stack+2217, r12vrr_stack+4461, r12vrr_stack+4296, r12vrr_stack+2272, r12vrr_stack+3036);
 tmp = r12vrr_stack + 9040;
 target_ptr = Libr12->rvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+9370, r12vrr_stack+4947, r12vrr_stack+3441, r12vrr_stack+6034, r12vrr_stack+5836, r12vrr_stack+3507, r12vrr_stack+4296);
 tmp = r12vrr_stack + 9370;
 target_ptr = Libr12->rvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+6034, r12vrr_stack+59, r12vrr_stack+4791, r12vrr_stack+7918, r12vrr_stack+7684, r12vrr_stack+4869, r12vrr_stack+5836);
 tmp = r12vrr_stack + 6034;
 target_ptr = Libr12->rvrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];


}

