#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_d0ip(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+65, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+71, r12vrr_stack+21, r12vrr_stack+65, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+96, r12vrr_stack+81, r12vrr_stack+50, NULL, NULL, r12vrr_stack+21);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+71, r12vrr_stack+21, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+65, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+71, r12vrr_stack+15, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+81, r12vrr_stack+162, r12vrr_stack+71, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+31, r12vrr_stack+0, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+34, r12vrr_stack+65, r12vrr_stack+6, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+208, r12vrr_stack+40, r12vrr_stack+71, r12vrr_stack+9, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+223, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+21, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+141, r12vrr_stack+223, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+307, r12vrr_stack+187, r12vrr_stack+141, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+370, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+96);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+496, r12vrr_stack+21, r12vrr_stack+40, NULL, NULL, r12vrr_stack+9);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+526, r12vrr_stack+50, r12vrr_stack+208, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+571, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+496);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+496, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+499, r12vrr_stack+0, r12vrr_stack+496, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+65, r12vrr_stack+499, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+505, r12vrr_stack+71, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+96, r12vrr_stack+208, r12vrr_stack+505, r12vrr_stack+40, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+661, r12vrr_stack+223, r12vrr_stack+96, NULL, NULL, r12vrr_stack+208);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+724, r12vrr_stack+244, r12vrr_stack+661, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+526);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+850, r12vrr_stack+370, r12vrr_stack+724, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+571);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+520, r12vrr_stack+223, r12vrr_stack+96, r12vrr_stack+50, r12vrr_stack+208, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+548, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+81, r12vrr_stack+50, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+576, r12vrr_stack+548, r12vrr_stack+520, NULL, NULL, r12vrr_stack+223);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+172, r12vrr_stack+81, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1060, r12vrr_stack+31, r12vrr_stack+548, NULL, NULL, r12vrr_stack+141);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+81, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+59, r12vrr_stack+496, r12vrr_stack+81, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+84, r12vrr_stack+499, r12vrr_stack+59, r12vrr_stack+0, r12vrr_stack+496, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+117, r12vrr_stack+21, r12vrr_stack+84, r12vrr_stack+65, r12vrr_stack+499, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1144, r12vrr_stack+505, r12vrr_stack+117, r12vrr_stack+71, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1165, r12vrr_stack+96, r12vrr_stack+1144, r12vrr_stack+208, r12vrr_stack+505, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1193, r12vrr_stack+520, r12vrr_stack+1165, NULL, NULL, r12vrr_stack+96);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1277, r12vrr_stack+576, r12vrr_stack+1193, r12vrr_stack+548, r12vrr_stack+520, r12vrr_stack+661);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1445, r12vrr_stack+1060, r12vrr_stack+576, r12vrr_stack+31, r12vrr_stack+548, r12vrr_stack+244);
 tmp = r12vrr_stack + 1445;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1613, r12vrr_stack+1445, r12vrr_stack+1277, r12vrr_stack+1060, r12vrr_stack+576, r12vrr_stack+724);
 tmp = r12vrr_stack + 1613;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+548, r12vrr_stack+520, r12vrr_stack+141, r12vrr_stack+223, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+660, r12vrr_stack+31, r12vrr_stack+548, r12vrr_stack+187, r12vrr_stack+141, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+696, r12vrr_stack+520, r12vrr_stack+1165, r12vrr_stack+223, r12vrr_stack+96, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1893, r12vrr_stack+244, r12vrr_stack+696, NULL, NULL, r12vrr_stack+520);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+732, r12vrr_stack+660, r12vrr_stack+244, NULL, NULL, r12vrr_stack+548);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2001, r12vrr_stack+732, r12vrr_stack+1893, r12vrr_stack+660, r12vrr_stack+244, r12vrr_stack+576);
 tmp = r12vrr_stack + 2001;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+576, r12vrr_stack+81, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+840, r12vrr_stack+59, r12vrr_stack+576, r12vrr_stack+496, r12vrr_stack+81, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+576, r12vrr_stack+84, r12vrr_stack+840, r12vrr_stack+499, r12vrr_stack+59, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+59, r12vrr_stack+117, r12vrr_stack+576, r12vrr_stack+21, r12vrr_stack+84, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+576, r12vrr_stack+1144, r12vrr_stack+59, r12vrr_stack+505, r12vrr_stack+117, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+208, r12vrr_stack+1165, r12vrr_stack+576, r12vrr_stack+96, r12vrr_stack+1144, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2217, r12vrr_stack+696, r12vrr_stack+208, NULL, NULL, r12vrr_stack+1165);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2325, r12vrr_stack+1893, r12vrr_stack+2217, r12vrr_stack+244, r12vrr_stack+696, r12vrr_stack+1193);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2541, r12vrr_stack+2001, r12vrr_stack+2325, r12vrr_stack+732, r12vrr_stack+1893, r12vrr_stack+1277);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1193, r12vrr_stack+244, r12vrr_stack+696, r12vrr_stack+548, r12vrr_stack+520, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1238, r12vrr_stack+660, r12vrr_stack+244, r12vrr_stack+31, r12vrr_stack+548, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+548, r12vrr_stack+696, r12vrr_stack+208, r12vrr_stack+520, r12vrr_stack+1165, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1283, r12vrr_stack+1193, r12vrr_stack+548, NULL, NULL, r12vrr_stack+696);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2217, r12vrr_stack+1238, r12vrr_stack+1193, NULL, NULL, r12vrr_stack+244);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2901, r12vrr_stack+2217, r12vrr_stack+1283, r12vrr_stack+1238, r12vrr_stack+1193, r12vrr_stack+1893);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+1893, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+1893, r12vrr_stack+0, r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+21, r12vrr_stack+1893, r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+15, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+1893, r12vrr_stack+0, r12vrr_stack+21, r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+162, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+1914, r12vrr_stack+1893, r12vrr_stack+0, r12vrr_stack+31, r12vrr_stack+187, r12vrr_stack+172, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+208, r12vrr_stack+1914, NULL, r12vrr_stack+1060, r12vrr_stack+31, NULL, r12vrr_stack+187);

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+696, r12vrr_stack+1914, r12vrr_stack+1893, r12vrr_stack+660, r12vrr_stack+31, r12vrr_stack+187, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+2352, r12vrr_stack+696, NULL, r12vrr_stack+732, r12vrr_stack+660, NULL, r12vrr_stack+31);

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1144, r12vrr_stack+1445, r12vrr_stack+2001, r12vrr_stack+1613, r12vrr_stack+850, r12vrr_stack+370);
 tmp = r12vrr_stack + 1144;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+370, r12vrr_stack+2001, r12vrr_stack+2901, r12vrr_stack+2541, r12vrr_stack+1613, r12vrr_stack+1445);
 tmp = r12vrr_stack + 370;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+840, r12vrr_stack+1445, r12vrr_stack+1613, r12vrr_stack+2001, r12vrr_stack+732, r12vrr_stack+1060);
 tmp = r12vrr_stack + 840;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1613, r12vrr_stack+2001, r12vrr_stack+2541, r12vrr_stack+2901, r12vrr_stack+2217, r12vrr_stack+732);
 tmp = r12vrr_stack + 1613;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+2460, r12vrr_stack+208, r12vrr_stack+1914, r12vrr_stack+1445, r12vrr_stack+1060, r12vrr_stack+31, r12vrr_stack+307);
 tmp = r12vrr_stack + 2460;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+0, r12vrr_stack+2352, r12vrr_stack+696, r12vrr_stack+2001, r12vrr_stack+732, r12vrr_stack+660, r12vrr_stack+1060);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];


}

