#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ddgg(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+204, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+3);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+213, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+231, r12vrr_stack+21, r12vrr_stack+213, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+204);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+267, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+270, r12vrr_stack+12, r12vrr_stack+267, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+276, r12vrr_stack+68, r12vrr_stack+270, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+286, r12vrr_stack+74, r12vrr_stack+276, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+84, r12vrr_stack+286, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+213);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+144, r12vrr_stack+316, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+231);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+476, r12vrr_stack+74, r12vrr_stack+276, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+491, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+506, r12vrr_stack+491, r12vrr_stack+476, NULL, NULL, r12vrr_stack+74);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+551, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+566, r12vrr_stack+551, r12vrr_stack+491, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+611, r12vrr_stack+267, r12vrr_stack+15, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+617, r12vrr_stack+270, r12vrr_stack+611, r12vrr_stack+12, r12vrr_stack+267, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+627, r12vrr_stack+276, r12vrr_stack+617, r12vrr_stack+68, r12vrr_stack+270, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+642, r12vrr_stack+476, r12vrr_stack+627, NULL, NULL, r12vrr_stack+276);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+687, r12vrr_stack+506, r12vrr_stack+642, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+286);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+777, r12vrr_stack+566, r12vrr_stack+506, r12vrr_stack+551, r12vrr_stack+491, r12vrr_stack+84);
 tmp = r12vrr_stack + 777;
 target_ptr = Libr12->gvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+867, r12vrr_stack+777, r12vrr_stack+687, r12vrr_stack+566, r12vrr_stack+506, r12vrr_stack+316);
 tmp = r12vrr_stack + 867;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1017, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1038, r12vrr_stack+551, r12vrr_stack+491, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1059, r12vrr_stack+476, r12vrr_stack+627, r12vrr_stack+74, r12vrr_stack+276, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1080, r12vrr_stack+1017, r12vrr_stack+1059, NULL, NULL, r12vrr_stack+476);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+1038, r12vrr_stack+1017, NULL, NULL, r12vrr_stack+491);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1206, r12vrr_stack+1143, r12vrr_stack+1080, r12vrr_stack+1038, r12vrr_stack+1017, r12vrr_stack+506);
 tmp = r12vrr_stack + 1206;
 target_ptr = Libr12->gvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+18, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1332, r12vrr_stack+611, r12vrr_stack+39, r12vrr_stack+267, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1342, r12vrr_stack+617, r12vrr_stack+1332, r12vrr_stack+270, r12vrr_stack+611, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1357, r12vrr_stack+627, r12vrr_stack+1342, r12vrr_stack+276, r12vrr_stack+617, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1378, r12vrr_stack+1059, r12vrr_stack+1357, NULL, NULL, r12vrr_stack+627);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1441, r12vrr_stack+1080, r12vrr_stack+1378, r12vrr_stack+1017, r12vrr_stack+1059, r12vrr_stack+642);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1567, r12vrr_stack+1206, r12vrr_stack+1441, r12vrr_stack+1143, r12vrr_stack+1080, r12vrr_stack+687);
 tmp = r12vrr_stack + 1567;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1777, r12vrr_stack+1017, r12vrr_stack+1059, r12vrr_stack+491, r12vrr_stack+476, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1805, r12vrr_stack+1038, r12vrr_stack+1017, r12vrr_stack+551, r12vrr_stack+491, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1833, r12vrr_stack+1059, r12vrr_stack+1357, r12vrr_stack+476, r12vrr_stack+627, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1861, r12vrr_stack+1777, r12vrr_stack+1833, NULL, NULL, r12vrr_stack+1059);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1945, r12vrr_stack+1805, r12vrr_stack+1777, NULL, NULL, r12vrr_stack+1017);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2029, r12vrr_stack+1945, r12vrr_stack+1861, r12vrr_stack+1805, r12vrr_stack+1777, r12vrr_stack+1080);
 tmp = r12vrr_stack + 2029;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+491, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+494, r12vrr_stack+18, r12vrr_stack+491, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2197, r12vrr_stack+39, r12vrr_stack+494, r12vrr_stack+15, r12vrr_stack+18, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2207, r12vrr_stack+1332, r12vrr_stack+2197, r12vrr_stack+611, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+1342, r12vrr_stack+2207, r12vrr_stack+617, r12vrr_stack+1332, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2243, r12vrr_stack+1357, r12vrr_stack+2222, r12vrr_stack+627, r12vrr_stack+1342, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2271, r12vrr_stack+1833, r12vrr_stack+2243, NULL, NULL, r12vrr_stack+1357);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2355, r12vrr_stack+1861, r12vrr_stack+2271, r12vrr_stack+1777, r12vrr_stack+1833, r12vrr_stack+1378);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2523, r12vrr_stack+2029, r12vrr_stack+2355, r12vrr_stack+1945, r12vrr_stack+1861, r12vrr_stack+1441);
 tmp = r12vrr_stack + 2523;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2803, r12vrr_stack+1777, r12vrr_stack+1833, r12vrr_stack+1017, r12vrr_stack+1059, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2839, r12vrr_stack+1805, r12vrr_stack+1777, r12vrr_stack+1038, r12vrr_stack+1017, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2875, r12vrr_stack+1833, r12vrr_stack+2243, r12vrr_stack+1059, r12vrr_stack+1357, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2911, r12vrr_stack+2803, r12vrr_stack+2875, NULL, NULL, r12vrr_stack+1833);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3019, r12vrr_stack+2839, r12vrr_stack+2803, NULL, NULL, r12vrr_stack+1777);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3127, r12vrr_stack+3019, r12vrr_stack+2911, r12vrr_stack+2839, r12vrr_stack+2803, r12vrr_stack+1861);
 tmp = r12vrr_stack + 3127;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+500, r12vrr_stack+491, r12vrr_stack+15, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1017, r12vrr_stack+494, r12vrr_stack+500, r12vrr_stack+18, r12vrr_stack+491, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3343, r12vrr_stack+2197, r12vrr_stack+1017, r12vrr_stack+39, r12vrr_stack+494, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3358, r12vrr_stack+2207, r12vrr_stack+3343, r12vrr_stack+1332, r12vrr_stack+2197, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3379, r12vrr_stack+2222, r12vrr_stack+3358, r12vrr_stack+1342, r12vrr_stack+2207, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3407, r12vrr_stack+2243, r12vrr_stack+3379, r12vrr_stack+1357, r12vrr_stack+2222, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3443, r12vrr_stack+2875, r12vrr_stack+3407, NULL, NULL, r12vrr_stack+2243);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3551, r12vrr_stack+2911, r12vrr_stack+3443, r12vrr_stack+2803, r12vrr_stack+2875, r12vrr_stack+2271);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3767, r12vrr_stack+3127, r12vrr_stack+3551, r12vrr_stack+3019, r12vrr_stack+2911, r12vrr_stack+2355);
 tmp = r12vrr_stack + 3767;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4127, r12vrr_stack+2803, r12vrr_stack+2875, r12vrr_stack+1777, r12vrr_stack+1833, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4172, r12vrr_stack+2839, r12vrr_stack+2803, r12vrr_stack+1805, r12vrr_stack+1777, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4217, r12vrr_stack+2875, r12vrr_stack+3407, r12vrr_stack+1833, r12vrr_stack+2243, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4262, r12vrr_stack+4127, r12vrr_stack+4217, NULL, NULL, r12vrr_stack+2875);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4397, r12vrr_stack+4172, r12vrr_stack+4127, NULL, NULL, r12vrr_stack+2803);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4532, r12vrr_stack+4397, r12vrr_stack+4262, r12vrr_stack+4172, r12vrr_stack+4127, r12vrr_stack+2911);
 tmp = r12vrr_stack + 4532;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1777, r12vrr_stack+15, r12vrr_stack+18, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+500, r12vrr_stack+1777, r12vrr_stack+491, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1783, r12vrr_stack+1017, r12vrr_stack+39, r12vrr_stack+494, r12vrr_stack+500, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4802, r12vrr_stack+3343, r12vrr_stack+1783, r12vrr_stack+2197, r12vrr_stack+1017, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4823, r12vrr_stack+3358, r12vrr_stack+4802, r12vrr_stack+2207, r12vrr_stack+3343, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4851, r12vrr_stack+3379, r12vrr_stack+4823, r12vrr_stack+2222, r12vrr_stack+3358, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4887, r12vrr_stack+3407, r12vrr_stack+4851, r12vrr_stack+2243, r12vrr_stack+3379, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4932, r12vrr_stack+4217, r12vrr_stack+4887, NULL, NULL, r12vrr_stack+3407);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5067, r12vrr_stack+4262, r12vrr_stack+4932, r12vrr_stack+4127, r12vrr_stack+4217, r12vrr_stack+3443);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5337, r12vrr_stack+4532, r12vrr_stack+5067, r12vrr_stack+4397, r12vrr_stack+4262, r12vrr_stack+3551);
 tmp = r12vrr_stack + 5337;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5787, r12vrr_stack+4127, r12vrr_stack+4217, r12vrr_stack+2803, r12vrr_stack+2875, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5842, r12vrr_stack+4172, r12vrr_stack+4127, r12vrr_stack+2839, r12vrr_stack+2803, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5897, r12vrr_stack+4217, r12vrr_stack+4887, r12vrr_stack+2875, r12vrr_stack+3407, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5952, r12vrr_stack+5787, r12vrr_stack+5897, NULL, NULL, r12vrr_stack+4217);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6117, r12vrr_stack+5842, r12vrr_stack+5787, NULL, NULL, r12vrr_stack+4127);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6282, r12vrr_stack+6117, r12vrr_stack+5952, r12vrr_stack+5842, r12vrr_stack+5787, r12vrr_stack+4262);
 tmp = r12vrr_stack + 6282;
 target_ptr = Libr12->gvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+5842, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+491, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+5845, r12vrr_stack+204, r12vrr_stack+491, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+5842);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+5863, r12vrr_stack+68, r12vrr_stack+270, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2803, r12vrr_stack+213, r12vrr_stack+5863, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+491);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+6612, r12vrr_stack+231, r12vrr_stack+2803, r12vrr_stack+21, r12vrr_stack+213, r12vrr_stack+5845);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4127, r12vrr_stack+276, r12vrr_stack+617, NULL, NULL, r12vrr_stack+270);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+6672, r12vrr_stack+286, r12vrr_stack+4127, r12vrr_stack+74, r12vrr_stack+276, r12vrr_stack+5863);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+6732, r12vrr_stack+316, r12vrr_stack+6672, r12vrr_stack+84, r12vrr_stack+286, r12vrr_stack+2803);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+6832, r12vrr_stack+376, r12vrr_stack+6732, r12vrr_stack+144, r12vrr_stack+316, r12vrr_stack+6612);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+6982, r12vrr_stack+627, r12vrr_stack+1342, NULL, NULL, r12vrr_stack+617);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7027, r12vrr_stack+642, r12vrr_stack+6982, r12vrr_stack+476, r12vrr_stack+627, r12vrr_stack+4127);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7117, r12vrr_stack+687, r12vrr_stack+7027, r12vrr_stack+506, r12vrr_stack+642, r12vrr_stack+6672);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7267, r12vrr_stack+867, r12vrr_stack+7117, r12vrr_stack+777, r12vrr_stack+687, r12vrr_stack+6732);
 tmp = r12vrr_stack + 7267;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+1357, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+1342);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7555, r12vrr_stack+1378, r12vrr_stack+7492, r12vrr_stack+1059, r12vrr_stack+1357, r12vrr_stack+6982);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7681, r12vrr_stack+1441, r12vrr_stack+7555, r12vrr_stack+1080, r12vrr_stack+1378, r12vrr_stack+7027);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7891, r12vrr_stack+1567, r12vrr_stack+7681, r12vrr_stack+1206, r12vrr_stack+1441, r12vrr_stack+7117);
 tmp = r12vrr_stack + 7891;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1059, r12vrr_stack+2243, r12vrr_stack+3379, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8206, r12vrr_stack+2271, r12vrr_stack+1059, r12vrr_stack+1833, r12vrr_stack+2243, r12vrr_stack+7492);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8374, r12vrr_stack+2355, r12vrr_stack+8206, r12vrr_stack+1861, r12vrr_stack+2271, r12vrr_stack+7555);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8654, r12vrr_stack+2523, r12vrr_stack+8374, r12vrr_stack+2029, r12vrr_stack+2355, r12vrr_stack+7681);
 tmp = r12vrr_stack + 8654;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1833, r12vrr_stack+3407, r12vrr_stack+4851, NULL, NULL, r12vrr_stack+3379);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9074, r12vrr_stack+3443, r12vrr_stack+1833, r12vrr_stack+2875, r12vrr_stack+3407, r12vrr_stack+1059);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9290, r12vrr_stack+3551, r12vrr_stack+9074, r12vrr_stack+2911, r12vrr_stack+3443, r12vrr_stack+8206);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9650, r12vrr_stack+3767, r12vrr_stack+9290, r12vrr_stack+3127, r12vrr_stack+3551, r12vrr_stack+8374);
 tmp = r12vrr_stack + 9650;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+18, r12vrr_stack+0, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2197, r12vrr_stack+1777, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+18, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+476, r12vrr_stack+39, r12vrr_stack+2197, r12vrr_stack+500, r12vrr_stack+1777, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+500, r12vrr_stack+1783, r12vrr_stack+476, r12vrr_stack+1017, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+521, r12vrr_stack+4802, r12vrr_stack+500, r12vrr_stack+3343, r12vrr_stack+1783, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2875, r12vrr_stack+4823, r12vrr_stack+521, r12vrr_stack+3358, r12vrr_stack+4802, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2911, r12vrr_stack+4851, r12vrr_stack+2875, r12vrr_stack+3379, r12vrr_stack+4823, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10190, r12vrr_stack+4887, r12vrr_stack+2911, NULL, NULL, r12vrr_stack+4851);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10325, r12vrr_stack+4932, r12vrr_stack+10190, r12vrr_stack+4217, r12vrr_stack+4887, r12vrr_stack+1833);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10595, r12vrr_stack+5067, r12vrr_stack+10325, r12vrr_stack+4262, r12vrr_stack+4932, r12vrr_stack+9074);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11045, r12vrr_stack+5337, r12vrr_stack+10595, r12vrr_stack+4532, r12vrr_stack+5067, r12vrr_stack+9290);
 tmp = r12vrr_stack + 11045;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4217, r12vrr_stack+4887, r12vrr_stack+2911, r12vrr_stack+3407, r12vrr_stack+4851, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11720, r12vrr_stack+5897, r12vrr_stack+4217, NULL, NULL, r12vrr_stack+4887);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11885, r12vrr_stack+5952, r12vrr_stack+11720, r12vrr_stack+5787, r12vrr_stack+5897, r12vrr_stack+4932);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12215, r12vrr_stack+6282, r12vrr_stack+11885, r12vrr_stack+6117, r12vrr_stack+5952, r12vrr_stack+5067);
 tmp = r12vrr_stack + 12215;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+15, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+5787, r12vrr_stack+5842, r12vrr_stack+15, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+5793, r12vrr_stack+12, r12vrr_stack+267, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+21, r12vrr_stack+491, r12vrr_stack+5793, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+15);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+5802, r12vrr_stack+5845, r12vrr_stack+21, r12vrr_stack+204, r12vrr_stack+491, r12vrr_stack+5787);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+5832, r12vrr_stack+270, r12vrr_stack+611, NULL, NULL, r12vrr_stack+267);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4272, r12vrr_stack+5863, r12vrr_stack+5832, r12vrr_stack+68, r12vrr_stack+270, r12vrr_stack+5793);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4308, r12vrr_stack+2803, r12vrr_stack+4272, r12vrr_stack+213, r12vrr_stack+5863, r12vrr_stack+21);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+12765, r12vrr_stack+6612, r12vrr_stack+4308, r12vrr_stack+231, r12vrr_stack+2803, r12vrr_stack+5802);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2803, r12vrr_stack+617, r12vrr_stack+1332, NULL, NULL, r12vrr_stack+611);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+6612, r12vrr_stack+4127, r12vrr_stack+2803, r12vrr_stack+276, r12vrr_stack+617, r12vrr_stack+5832);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+5787, r12vrr_stack+6672, r12vrr_stack+6612, r12vrr_stack+286, r12vrr_stack+4127, r12vrr_stack+4272);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+12855, r12vrr_stack+6732, r12vrr_stack+5787, r12vrr_stack+316, r12vrr_stack+6672, r12vrr_stack+4308);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+13005, r12vrr_stack+6832, r12vrr_stack+12855, r12vrr_stack+376, r12vrr_stack+6732, r12vrr_stack+12765);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+4127, r12vrr_stack+1342, r12vrr_stack+2207, NULL, NULL, r12vrr_stack+1332);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+12765, r12vrr_stack+6982, r12vrr_stack+4127, r12vrr_stack+627, r12vrr_stack+1342, r12vrr_stack+2803);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+6672, r12vrr_stack+7027, r12vrr_stack+12765, r12vrr_stack+642, r12vrr_stack+6982, r12vrr_stack+6612);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+13215, r12vrr_stack+7117, r12vrr_stack+6672, r12vrr_stack+687, r12vrr_stack+7027, r12vrr_stack+5787);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+13440, r12vrr_stack+7267, r12vrr_stack+13215, r12vrr_stack+867, r12vrr_stack+7117, r12vrr_stack+12855);
 tmp = r12vrr_stack + 13440;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2956, r12vrr_stack+2222, r12vrr_stack+3358, NULL, NULL, r12vrr_stack+2207);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12855, r12vrr_stack+7492, r12vrr_stack+2956, r12vrr_stack+1357, r12vrr_stack+2222, r12vrr_stack+4127);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6982, r12vrr_stack+7555, r12vrr_stack+12855, r12vrr_stack+1378, r12vrr_stack+7492, r12vrr_stack+12765);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13755, r12vrr_stack+7681, r12vrr_stack+6982, r12vrr_stack+1441, r12vrr_stack+7555, r12vrr_stack+6672);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14070, r12vrr_stack+7891, r12vrr_stack+13755, r12vrr_stack+1567, r12vrr_stack+7681, r12vrr_stack+13215);
 tmp = r12vrr_stack + 14070;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13215, r12vrr_stack+3379, r12vrr_stack+4823, NULL, NULL, r12vrr_stack+3358);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+1059, r12vrr_stack+13215, r12vrr_stack+2243, r12vrr_stack+3379, r12vrr_stack+2956);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14511, r12vrr_stack+8206, r12vrr_stack+7492, r12vrr_stack+2271, r12vrr_stack+1059, r12vrr_stack+12855);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14791, r12vrr_stack+8374, r12vrr_stack+14511, r12vrr_stack+2355, r12vrr_stack+8206, r12vrr_stack+6982);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15211, r12vrr_stack+8654, r12vrr_stack+14791, r12vrr_stack+2523, r12vrr_stack+8374, r12vrr_stack+13755);
 tmp = r12vrr_stack + 15211;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13755, r12vrr_stack+4851, r12vrr_stack+2875, NULL, NULL, r12vrr_stack+4823);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6982, r12vrr_stack+1833, r12vrr_stack+13755, r12vrr_stack+3407, r12vrr_stack+4851, r12vrr_stack+13215);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8206, r12vrr_stack+9074, r12vrr_stack+6982, r12vrr_stack+3443, r12vrr_stack+1833, r12vrr_stack+7492);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15799, r12vrr_stack+9290, r12vrr_stack+8206, r12vrr_stack+3551, r12vrr_stack+9074, r12vrr_stack+14511);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16339, r12vrr_stack+9650, r12vrr_stack+15799, r12vrr_stack+3767, r12vrr_stack+9290, r12vrr_stack+14791);
 tmp = r12vrr_stack + 16339;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+12, r12vrr_stack+0, r12vrr_stack+3, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+14511, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+18, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+12, r12vrr_stack+2197, r12vrr_stack+14511, r12vrr_stack+1777, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1017, r12vrr_stack+476, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+2197, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2197, r12vrr_stack+500, r12vrr_stack+1017, r12vrr_stack+1783, r12vrr_stack+476, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2803, r12vrr_stack+521, r12vrr_stack+2197, r12vrr_stack+4802, r12vrr_stack+500, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+2875, r12vrr_stack+2803, r12vrr_stack+4823, r12vrr_stack+521, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2197, r12vrr_stack+2911, r12vrr_stack+476, NULL, NULL, r12vrr_stack+2875);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14511, r12vrr_stack+10190, r12vrr_stack+2197, r12vrr_stack+4887, r12vrr_stack+2911, r12vrr_stack+13755);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9074, r12vrr_stack+10325, r12vrr_stack+14511, r12vrr_stack+4932, r12vrr_stack+10190, r12vrr_stack+6982);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14511, r12vrr_stack+10595, r12vrr_stack+9074, r12vrr_stack+5067, r12vrr_stack+10325, r12vrr_stack+8206);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17095, r12vrr_stack+11045, r12vrr_stack+14511, r12vrr_stack+5337, r12vrr_stack+10595, r12vrr_stack+15799);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15799, r12vrr_stack+2911, r12vrr_stack+476, r12vrr_stack+4851, r12vrr_stack+2875, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15854, r12vrr_stack+4217, r12vrr_stack+15799, NULL, NULL, r12vrr_stack+2911);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14511, r12vrr_stack+11720, r12vrr_stack+15854, r12vrr_stack+5897, r12vrr_stack+4217, r12vrr_stack+10190);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9074, r12vrr_stack+11885, r12vrr_stack+14511, r12vrr_stack+5952, r12vrr_stack+11720, r12vrr_stack+10325);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18040, r12vrr_stack+12215, r12vrr_stack+9074, r12vrr_stack+6282, r12vrr_stack+11885, r12vrr_stack+10595);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+9074, &(Data->ss_r12_ss), NULL, r12vrr_stack+49, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+9077, r12vrr_stack+9074, &(Data->ss_r12_ss), r12vrr_stack+52, r12vrr_stack+49, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+9083, r12vrr_stack+9077, r12vrr_stack+9074, r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+49, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+9093, r12vrr_stack+9083, r12vrr_stack+9077, r12vrr_stack+551, r12vrr_stack+58, r12vrr_stack+52, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+4127, r12vrr_stack+9093, NULL, r12vrr_stack+566, r12vrr_stack+551, NULL, r12vrr_stack+58);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+9108, r12vrr_stack+4127, r12vrr_stack+9093, r12vrr_stack+777, r12vrr_stack+566, r12vrr_stack+551, r12vrr_stack+114);
 tmp = r12vrr_stack + 9108;
 target_ptr = Libr12->rvrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+9198, r12vrr_stack+9108, r12vrr_stack+4127, r12vrr_stack+867, r12vrr_stack+777, r12vrr_stack+566, r12vrr_stack+144);
 tmp = r12vrr_stack + 9198;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+1017, r12vrr_stack+9093, r12vrr_stack+9083, r12vrr_stack+1038, r12vrr_stack+551, r12vrr_stack+58, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+9348, r12vrr_stack+1017, NULL, r12vrr_stack+1143, r12vrr_stack+1038, NULL, r12vrr_stack+551);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+9411, r12vrr_stack+9348, r12vrr_stack+1017, r12vrr_stack+1206, r12vrr_stack+1143, r12vrr_stack+1038, r12vrr_stack+566);
 tmp = r12vrr_stack + 9411;
 target_ptr = Libr12->rvrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+11720, r12vrr_stack+9411, r12vrr_stack+9348, r12vrr_stack+1567, r12vrr_stack+1206, r12vrr_stack+1143, r12vrr_stack+777);
 tmp = r12vrr_stack + 11720;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+1777, r12vrr_stack+1017, r12vrr_stack+9093, r12vrr_stack+1805, r12vrr_stack+1038, r12vrr_stack+551, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+1059, r12vrr_stack+1777, NULL, r12vrr_stack+1945, r12vrr_stack+1805, NULL, r12vrr_stack+1038);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+11930, r12vrr_stack+1059, r12vrr_stack+1777, r12vrr_stack+2029, r12vrr_stack+1945, r12vrr_stack+1805, r12vrr_stack+1143);
 tmp = r12vrr_stack + 11930;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+14511, r12vrr_stack+11930, r12vrr_stack+1059, r12vrr_stack+2523, r12vrr_stack+2029, r12vrr_stack+1945, r12vrr_stack+1206);
 tmp = r12vrr_stack + 14511;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+2803, r12vrr_stack+1777, r12vrr_stack+1017, r12vrr_stack+2839, r12vrr_stack+1805, r12vrr_stack+1038, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+1017, r12vrr_stack+2803, NULL, r12vrr_stack+3019, r12vrr_stack+2839, NULL, r12vrr_stack+1805);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+14791, r12vrr_stack+1017, r12vrr_stack+2803, r12vrr_stack+3127, r12vrr_stack+3019, r12vrr_stack+2839, r12vrr_stack+1945);
 tmp = r12vrr_stack + 14791;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+10190, r12vrr_stack+14791, r12vrr_stack+1017, r12vrr_stack+3767, r12vrr_stack+3127, r12vrr_stack+3019, r12vrr_stack+2029);
 tmp = r12vrr_stack + 10190;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+4127, r12vrr_stack+2803, r12vrr_stack+1777, r12vrr_stack+4172, r12vrr_stack+2839, r12vrr_stack+1805, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+1777, r12vrr_stack+4127, NULL, r12vrr_stack+4397, r12vrr_stack+4172, NULL, r12vrr_stack+2839);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+10550, r12vrr_stack+1777, r12vrr_stack+4127, r12vrr_stack+4532, r12vrr_stack+4397, r12vrr_stack+4172, r12vrr_stack+3019);
 tmp = r12vrr_stack + 10550;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+15799, r12vrr_stack+10550, r12vrr_stack+1777, r12vrr_stack+5337, r12vrr_stack+4532, r12vrr_stack+4397, r12vrr_stack+3127);
 tmp = r12vrr_stack + 15799;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16249, r12vrr_stack+777, r12vrr_stack+1206, r12vrr_stack+867, r12vrr_stack+376, r12vrr_stack+144);
 tmp = r12vrr_stack + 16249;
 target_ptr = Libr12->t2vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1017, r12vrr_stack+1206, r12vrr_stack+2029, r12vrr_stack+1567, r12vrr_stack+867, r12vrr_stack+777);
 tmp = r12vrr_stack + 1017;
 target_ptr = Libr12->t2vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1777, r12vrr_stack+2029, r12vrr_stack+3127, r12vrr_stack+2523, r12vrr_stack+1567, r12vrr_stack+1206);
 tmp = r12vrr_stack + 1777;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2803, r12vrr_stack+3127, r12vrr_stack+4532, r12vrr_stack+3767, r12vrr_stack+2523, r12vrr_stack+2029);
 tmp = r12vrr_stack + 2803;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4127, r12vrr_stack+4532, r12vrr_stack+6282, r12vrr_stack+5337, r12vrr_stack+3767, r12vrr_stack+3127);
 tmp = r12vrr_stack + 4127;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15007, r12vrr_stack+867, r12vrr_stack+1567, r12vrr_stack+7267, r12vrr_stack+6832, r12vrr_stack+376);
 tmp = r12vrr_stack + 15007;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10820, r12vrr_stack+1567, r12vrr_stack+2523, r12vrr_stack+7891, r12vrr_stack+7267, r12vrr_stack+867);
 tmp = r12vrr_stack + 10820;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8206, r12vrr_stack+2523, r12vrr_stack+3767, r12vrr_stack+8654, r12vrr_stack+7891, r12vrr_stack+1567);
 tmp = r12vrr_stack + 8206;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4802, r12vrr_stack+3767, r12vrr_stack+5337, r12vrr_stack+9650, r12vrr_stack+8654, r12vrr_stack+2523);
 tmp = r12vrr_stack + 4802;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18865, r12vrr_stack+5337, r12vrr_stack+12215, r12vrr_stack+11045, r12vrr_stack+9650, r12vrr_stack+3767);
 tmp = r12vrr_stack + 18865;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13215, r12vrr_stack+7267, r12vrr_stack+7891, r12vrr_stack+13440, r12vrr_stack+13005, r12vrr_stack+6832);
 tmp = r12vrr_stack + 13215;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13755, r12vrr_stack+7891, r12vrr_stack+8654, r12vrr_stack+14070, r12vrr_stack+13440, r12vrr_stack+7267);
 tmp = r12vrr_stack + 13755;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12765, r12vrr_stack+8654, r12vrr_stack+9650, r12vrr_stack+15211, r12vrr_stack+14070, r12vrr_stack+7891);
 tmp = r12vrr_stack + 12765;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6612, r12vrr_stack+9650, r12vrr_stack+11045, r12vrr_stack+16339, r12vrr_stack+15211, r12vrr_stack+8654);
 tmp = r12vrr_stack + 6612;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19315, r12vrr_stack+11045, r12vrr_stack+18040, r12vrr_stack+17095, r12vrr_stack+16339, r12vrr_stack+9650);
 tmp = r12vrr_stack + 19315;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_d0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+476, r12vrr_stack+777, r12vrr_stack+867, r12vrr_stack+1206, r12vrr_stack+1143, r12vrr_stack+566);
 tmp = r12vrr_stack + 476;
 target_ptr = Libr12->t1vrr_classes[2][4];
 for(i=0;i<90;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_d0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+566, r12vrr_stack+1206, r12vrr_stack+1567, r12vrr_stack+2029, r12vrr_stack+1945, r12vrr_stack+1143);
 tmp = r12vrr_stack + 566;
 target_ptr = Libr12->t1vrr_classes[2][5];
 for(i=0;i<126;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8486, r12vrr_stack+2029, r12vrr_stack+2523, r12vrr_stack+3127, r12vrr_stack+3019, r12vrr_stack+1945);
 tmp = r12vrr_stack + 8486;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2197, r12vrr_stack+3127, r12vrr_stack+3767, r12vrr_stack+4532, r12vrr_stack+4397, r12vrr_stack+3019);
 tmp = r12vrr_stack + 2197;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+4532, r12vrr_stack+5337, r12vrr_stack+6282, r12vrr_stack+6117, r12vrr_stack+4397);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5162, r12vrr_stack+867, r12vrr_stack+7267, r12vrr_stack+1567, r12vrr_stack+1206, r12vrr_stack+777);
 tmp = r12vrr_stack + 5162;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7492, r12vrr_stack+1567, r12vrr_stack+7891, r12vrr_stack+2523, r12vrr_stack+2029, r12vrr_stack+1206);
 tmp = r12vrr_stack + 7492;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5787, r12vrr_stack+2523, r12vrr_stack+8654, r12vrr_stack+3767, r12vrr_stack+3127, r12vrr_stack+2029);
 tmp = r12vrr_stack + 5787;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3343, r12vrr_stack+3767, r12vrr_stack+9650, r12vrr_stack+5337, r12vrr_stack+4532, r12vrr_stack+3127);
 tmp = r12vrr_stack + 3343;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19990, r12vrr_stack+5337, r12vrr_stack+11045, r12vrr_stack+12215, r12vrr_stack+6282, r12vrr_stack+4532);
 tmp = r12vrr_stack + 19990;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6067, r12vrr_stack+7267, r12vrr_stack+13440, r12vrr_stack+7891, r12vrr_stack+1567, r12vrr_stack+867);
 tmp = r12vrr_stack + 6067;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13440, r12vrr_stack+7891, r12vrr_stack+14070, r12vrr_stack+8654, r12vrr_stack+2523, r12vrr_stack+1567);
 tmp = r12vrr_stack + 13440;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14070, r12vrr_stack+8654, r12vrr_stack+15211, r12vrr_stack+9650, r12vrr_stack+3767, r12vrr_stack+2523);
 tmp = r12vrr_stack + 14070;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15157, r12vrr_stack+9650, r12vrr_stack+16339, r12vrr_stack+11045, r12vrr_stack+5337, r12vrr_stack+3767);
 tmp = r12vrr_stack + 15157;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16339, r12vrr_stack+11045, r12vrr_stack+17095, r12vrr_stack+18040, r12vrr_stack+12215, r12vrr_stack+5337);
 tmp = r12vrr_stack + 16339;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+17014, r12vrr_stack+9198, r12vrr_stack+9108, r12vrr_stack+7267, r12vrr_stack+867, r12vrr_stack+777, r12vrr_stack+376);
 tmp = r12vrr_stack + 17014;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+17239, r12vrr_stack+11720, r12vrr_stack+9411, r12vrr_stack+7891, r12vrr_stack+1567, r12vrr_stack+1206, r12vrr_stack+867);
 tmp = r12vrr_stack + 17239;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+17554, r12vrr_stack+14511, r12vrr_stack+11930, r12vrr_stack+8654, r12vrr_stack+2523, r12vrr_stack+2029, r12vrr_stack+1567);
 tmp = r12vrr_stack + 17554;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+8654, r12vrr_stack+10190, r12vrr_stack+14791, r12vrr_stack+9650, r12vrr_stack+3767, r12vrr_stack+3127, r12vrr_stack+2523);
 tmp = r12vrr_stack + 8654;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+9194, r12vrr_stack+15799, r12vrr_stack+10550, r12vrr_stack+11045, r12vrr_stack+5337, r12vrr_stack+4532, r12vrr_stack+3767);
 tmp = r12vrr_stack + 9194;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];


}

