#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ddig(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+65, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+71, r12vrr_stack+21, r12vrr_stack+65, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+96, r12vrr_stack+81, r12vrr_stack+50, NULL, NULL, r12vrr_stack+21);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+71, r12vrr_stack+21, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+65, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+71, r12vrr_stack+15, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+81, r12vrr_stack+162, r12vrr_stack+71, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+31, r12vrr_stack+0, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+34, r12vrr_stack+65, r12vrr_stack+6, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+208, r12vrr_stack+40, r12vrr_stack+71, r12vrr_stack+9, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+223, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+21, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+141, r12vrr_stack+223, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+307, r12vrr_stack+187, r12vrr_stack+141, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+370, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+96);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+496, r12vrr_stack+21, r12vrr_stack+40, NULL, NULL, r12vrr_stack+9);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+526, r12vrr_stack+50, r12vrr_stack+208, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+571, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+496);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+661, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+664, r12vrr_stack+0, r12vrr_stack+661, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+670, r12vrr_stack+65, r12vrr_stack+664, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+680, r12vrr_stack+71, r12vrr_stack+670, r12vrr_stack+34, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+695, r12vrr_stack+208, r12vrr_stack+680, r12vrr_stack+40, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+716, r12vrr_stack+223, r12vrr_stack+695, NULL, NULL, r12vrr_stack+208);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+244, r12vrr_stack+716, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+526);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+370, r12vrr_stack+779, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+571);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+223, r12vrr_stack+695, r12vrr_stack+50, r12vrr_stack+208, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+81, r12vrr_stack+50, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1171, r12vrr_stack+1143, r12vrr_stack+1115, NULL, NULL, r12vrr_stack+223);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1255, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+172, r12vrr_stack+81, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1283, r12vrr_stack+1255, r12vrr_stack+1143, NULL, NULL, r12vrr_stack+141);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+81, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+84, r12vrr_stack+661, r12vrr_stack+81, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1367, r12vrr_stack+664, r12vrr_stack+84, r12vrr_stack+0, r12vrr_stack+661, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1377, r12vrr_stack+670, r12vrr_stack+1367, r12vrr_stack+65, r12vrr_stack+664, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+680, r12vrr_stack+1377, r12vrr_stack+71, r12vrr_stack+670, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1413, r12vrr_stack+695, r12vrr_stack+1392, r12vrr_stack+208, r12vrr_stack+680, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1441, r12vrr_stack+1115, r12vrr_stack+1413, NULL, NULL, r12vrr_stack+695);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1525, r12vrr_stack+1171, r12vrr_stack+1441, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+716);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+1171, r12vrr_stack+1255, r12vrr_stack+1143, r12vrr_stack+244);
 tmp = r12vrr_stack + 1693;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+1525, r12vrr_stack+1283, r12vrr_stack+1171, r12vrr_stack+779);
 tmp = r12vrr_stack + 1861;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+141, r12vrr_stack+223, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2177, r12vrr_stack+1255, r12vrr_stack+1143, r12vrr_stack+187, r12vrr_stack+141, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2213, r12vrr_stack+1115, r12vrr_stack+1413, r12vrr_stack+223, r12vrr_stack+695, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2249, r12vrr_stack+2141, r12vrr_stack+2213, NULL, NULL, r12vrr_stack+1115);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2357, r12vrr_stack+2177, r12vrr_stack+2141, NULL, NULL, r12vrr_stack+1143);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+2249, r12vrr_stack+2177, r12vrr_stack+2141, r12vrr_stack+1171);
 tmp = r12vrr_stack + 2465;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+90, r12vrr_stack+81, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+141, r12vrr_stack+84, r12vrr_stack+90, r12vrr_stack+661, r12vrr_stack+81, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2681, r12vrr_stack+1367, r12vrr_stack+141, r12vrr_stack+664, r12vrr_stack+84, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2696, r12vrr_stack+1377, r12vrr_stack+2681, r12vrr_stack+670, r12vrr_stack+1367, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2717, r12vrr_stack+1392, r12vrr_stack+2696, r12vrr_stack+680, r12vrr_stack+1377, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2745, r12vrr_stack+1413, r12vrr_stack+2717, r12vrr_stack+695, r12vrr_stack+1392, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2781, r12vrr_stack+2213, r12vrr_stack+2745, NULL, NULL, r12vrr_stack+1413);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2889, r12vrr_stack+2249, r12vrr_stack+2781, r12vrr_stack+2141, r12vrr_stack+2213, r12vrr_stack+1441);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+2889, r12vrr_stack+2357, r12vrr_stack+2249, r12vrr_stack+1525);
 tmp = r12vrr_stack + 3105;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+2213, r12vrr_stack+1143, r12vrr_stack+1115, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3510, r12vrr_stack+2177, r12vrr_stack+2141, r12vrr_stack+1255, r12vrr_stack+1143, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3555, r12vrr_stack+2213, r12vrr_stack+2745, r12vrr_stack+1115, r12vrr_stack+1413, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3600, r12vrr_stack+3465, r12vrr_stack+3555, NULL, NULL, r12vrr_stack+2213);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3735, r12vrr_stack+3510, r12vrr_stack+3465, NULL, NULL, r12vrr_stack+2141);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+3600, r12vrr_stack+3510, r12vrr_stack+3465, r12vrr_stack+2249);
 tmp = r12vrr_stack + 3870;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1143, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1146, r12vrr_stack+0, r12vrr_stack+1143, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1152, r12vrr_stack+90, r12vrr_stack+1146, r12vrr_stack+81, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4140, r12vrr_stack+141, r12vrr_stack+1152, r12vrr_stack+84, r12vrr_stack+90, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4155, r12vrr_stack+2681, r12vrr_stack+4140, r12vrr_stack+1367, r12vrr_stack+141, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4176, r12vrr_stack+2696, r12vrr_stack+4155, r12vrr_stack+1377, r12vrr_stack+2681, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4204, r12vrr_stack+2717, r12vrr_stack+4176, r12vrr_stack+1392, r12vrr_stack+2696, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4240, r12vrr_stack+2745, r12vrr_stack+4204, r12vrr_stack+1413, r12vrr_stack+2717, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4285, r12vrr_stack+3555, r12vrr_stack+4240, NULL, NULL, r12vrr_stack+2745);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4420, r12vrr_stack+3600, r12vrr_stack+4285, r12vrr_stack+3465, r12vrr_stack+3555, r12vrr_stack+2781);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4690, r12vrr_stack+3870, r12vrr_stack+4420, r12vrr_stack+3735, r12vrr_stack+3600, r12vrr_stack+2889);
 tmp = r12vrr_stack + 4690;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5140, r12vrr_stack+3465, r12vrr_stack+3555, r12vrr_stack+2141, r12vrr_stack+2213, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5195, r12vrr_stack+3510, r12vrr_stack+3465, r12vrr_stack+2177, r12vrr_stack+2141, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5250, r12vrr_stack+3555, r12vrr_stack+4240, r12vrr_stack+2213, r12vrr_stack+2745, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5305, r12vrr_stack+5140, r12vrr_stack+5250, NULL, NULL, r12vrr_stack+3555);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5470, r12vrr_stack+5195, r12vrr_stack+5140, NULL, NULL, r12vrr_stack+3465);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5635, r12vrr_stack+5470, r12vrr_stack+5305, r12vrr_stack+5195, r12vrr_stack+5140, r12vrr_stack+3600);
 tmp = r12vrr_stack + 5635;
 target_ptr = Libr12->gvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2141, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2144, r12vrr_stack+1143, r12vrr_stack+2141, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1367, r12vrr_stack+1146, r12vrr_stack+2144, r12vrr_stack+0, r12vrr_stack+1143, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2150, r12vrr_stack+1152, r12vrr_stack+1367, r12vrr_stack+90, r12vrr_stack+1146, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5965, r12vrr_stack+4140, r12vrr_stack+2150, r12vrr_stack+141, r12vrr_stack+1152, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5986, r12vrr_stack+4155, r12vrr_stack+5965, r12vrr_stack+2681, r12vrr_stack+4140, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6014, r12vrr_stack+4176, r12vrr_stack+5986, r12vrr_stack+2696, r12vrr_stack+4155, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6050, r12vrr_stack+4204, r12vrr_stack+6014, r12vrr_stack+2717, r12vrr_stack+4176, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6095, r12vrr_stack+4240, r12vrr_stack+6050, r12vrr_stack+2745, r12vrr_stack+4204, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6150, r12vrr_stack+5250, r12vrr_stack+6095, NULL, NULL, r12vrr_stack+4240);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6315, r12vrr_stack+5305, r12vrr_stack+6150, r12vrr_stack+5140, r12vrr_stack+5250, r12vrr_stack+4285);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6645, r12vrr_stack+5635, r12vrr_stack+6315, r12vrr_stack+5470, r12vrr_stack+5305, r12vrr_stack+4420);
 tmp = r12vrr_stack + 6645;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7195, r12vrr_stack+5140, r12vrr_stack+5250, r12vrr_stack+3465, r12vrr_stack+3555, NULL);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7261, r12vrr_stack+5195, r12vrr_stack+5140, r12vrr_stack+3510, r12vrr_stack+3465, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7327, r12vrr_stack+5250, r12vrr_stack+6095, r12vrr_stack+3555, r12vrr_stack+4240, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7393, r12vrr_stack+7195, r12vrr_stack+7327, NULL, NULL, r12vrr_stack+5250);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7591, r12vrr_stack+7261, r12vrr_stack+7195, NULL, NULL, r12vrr_stack+5140);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7789, r12vrr_stack+7591, r12vrr_stack+7393, r12vrr_stack+7261, r12vrr_stack+7195, r12vrr_stack+5305);
 tmp = r12vrr_stack + 7789;
 target_ptr = Libr12->gvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3471, r12vrr_stack+2144, r12vrr_stack+3465, r12vrr_stack+1143, r12vrr_stack+2141, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2681, r12vrr_stack+1367, r12vrr_stack+3471, r12vrr_stack+1146, r12vrr_stack+2144, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+2150, r12vrr_stack+2681, r12vrr_stack+1152, r12vrr_stack+1367, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+5965, r12vrr_stack+141, r12vrr_stack+4140, r12vrr_stack+2150, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8185, r12vrr_stack+5986, r12vrr_stack+1143, r12vrr_stack+4155, r12vrr_stack+5965, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8221, r12vrr_stack+6014, r12vrr_stack+8185, r12vrr_stack+4176, r12vrr_stack+5986, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8266, r12vrr_stack+6050, r12vrr_stack+8221, r12vrr_stack+4204, r12vrr_stack+6014, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8321, r12vrr_stack+6095, r12vrr_stack+8266, r12vrr_stack+4240, r12vrr_stack+6050, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8387, r12vrr_stack+7327, r12vrr_stack+8321, NULL, NULL, r12vrr_stack+6095);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8585, r12vrr_stack+7393, r12vrr_stack+8387, r12vrr_stack+7195, r12vrr_stack+7327, r12vrr_stack+6150);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8981, r12vrr_stack+7789, r12vrr_stack+8585, r12vrr_stack+7591, r12vrr_stack+7393, r12vrr_stack+6315);
 tmp = r12vrr_stack + 8981;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9641, r12vrr_stack+7195, r12vrr_stack+7327, r12vrr_stack+5140, r12vrr_stack+5250, NULL);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9719, r12vrr_stack+7261, r12vrr_stack+7195, r12vrr_stack+5195, r12vrr_stack+5140, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9797, r12vrr_stack+7327, r12vrr_stack+8321, r12vrr_stack+5250, r12vrr_stack+6095, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9875, r12vrr_stack+9641, r12vrr_stack+9797, NULL, NULL, r12vrr_stack+7327);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10109, r12vrr_stack+9719, r12vrr_stack+9641, NULL, NULL, r12vrr_stack+7195);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10343, r12vrr_stack+10109, r12vrr_stack+9875, r12vrr_stack+9719, r12vrr_stack+9641, r12vrr_stack+7393);
 tmp = r12vrr_stack + 10343;
 target_ptr = Libr12->gvrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9719, r12vrr_stack+9, r12vrr_stack+34, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+9737, r12vrr_stack+40, r12vrr_stack+71, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7195, r12vrr_stack+496, r12vrr_stack+9737, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+9719);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+5140, r12vrr_stack+208, r12vrr_stack+680, NULL, NULL, r12vrr_stack+71);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+10811, r12vrr_stack+526, r12vrr_stack+5140, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+9737);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+10901, r12vrr_stack+571, r12vrr_stack+10811, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+7195);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11051, r12vrr_stack+695, r12vrr_stack+1392, NULL, NULL, r12vrr_stack+680);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11114, r12vrr_stack+716, r12vrr_stack+11051, r12vrr_stack+223, r12vrr_stack+695, r12vrr_stack+5140);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11240, r12vrr_stack+779, r12vrr_stack+11114, r12vrr_stack+244, r12vrr_stack+716, r12vrr_stack+10811);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11450, r12vrr_stack+905, r12vrr_stack+11240, r12vrr_stack+370, r12vrr_stack+779, r12vrr_stack+10901);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+223, r12vrr_stack+1413, r12vrr_stack+2717, NULL, NULL, r12vrr_stack+1392);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11765, r12vrr_stack+1441, r12vrr_stack+223, r12vrr_stack+1115, r12vrr_stack+1413, r12vrr_stack+11051);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11933, r12vrr_stack+1525, r12vrr_stack+11765, r12vrr_stack+1171, r12vrr_stack+1441, r12vrr_stack+11114);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12213, r12vrr_stack+1861, r12vrr_stack+11933, r12vrr_stack+1693, r12vrr_stack+1525, r12vrr_stack+11240);
 tmp = r12vrr_stack + 12213;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12633, r12vrr_stack+2745, r12vrr_stack+4204, NULL, NULL, r12vrr_stack+2717);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12741, r12vrr_stack+2781, r12vrr_stack+12633, r12vrr_stack+2213, r12vrr_stack+2745, r12vrr_stack+223);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12957, r12vrr_stack+2889, r12vrr_stack+12741, r12vrr_stack+2249, r12vrr_stack+2781, r12vrr_stack+11765);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13317, r12vrr_stack+3105, r12vrr_stack+12957, r12vrr_stack+2465, r12vrr_stack+2889, r12vrr_stack+11933);
 tmp = r12vrr_stack + 13317;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2213, r12vrr_stack+4240, r12vrr_stack+6050, NULL, NULL, r12vrr_stack+4204);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13857, r12vrr_stack+4285, r12vrr_stack+2213, r12vrr_stack+3555, r12vrr_stack+4240, r12vrr_stack+12633);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14127, r12vrr_stack+4420, r12vrr_stack+13857, r12vrr_stack+3600, r12vrr_stack+4285, r12vrr_stack+12741);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14577, r12vrr_stack+4690, r12vrr_stack+14127, r12vrr_stack+3870, r12vrr_stack+4420, r12vrr_stack+12957);
 tmp = r12vrr_stack + 14577;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3555, r12vrr_stack+6095, r12vrr_stack+8266, NULL, NULL, r12vrr_stack+6050);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15252, r12vrr_stack+6150, r12vrr_stack+3555, r12vrr_stack+5250, r12vrr_stack+6095, r12vrr_stack+2213);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15582, r12vrr_stack+6315, r12vrr_stack+15252, r12vrr_stack+5305, r12vrr_stack+6150, r12vrr_stack+13857);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16132, r12vrr_stack+6645, r12vrr_stack+15582, r12vrr_stack+5635, r12vrr_stack+6315, r12vrr_stack+14127);
 tmp = r12vrr_stack + 16132;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+5250, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+7255, r12vrr_stack+0, r12vrr_stack+5250, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+3465, r12vrr_stack+7255, r12vrr_stack+2141, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3720, r12vrr_stack+3471, r12vrr_stack+21, r12vrr_stack+2144, r12vrr_stack+3465, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5253, r12vrr_stack+2681, r12vrr_stack+3720, r12vrr_stack+1367, r12vrr_stack+3471, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+141, r12vrr_stack+5253, r12vrr_stack+2150, r12vrr_stack+2681, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+5965, r12vrr_stack+141, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5274, r12vrr_stack+8185, r12vrr_stack+2141, r12vrr_stack+5986, r12vrr_stack+1143, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5319, r12vrr_stack+8221, r12vrr_stack+5274, r12vrr_stack+6014, r12vrr_stack+8185, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+5374, r12vrr_stack+8266, r12vrr_stack+5319, r12vrr_stack+6050, r12vrr_stack+8221, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16957, r12vrr_stack+8321, r12vrr_stack+5374, NULL, NULL, r12vrr_stack+8266);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17155, r12vrr_stack+8387, r12vrr_stack+16957, r12vrr_stack+7327, r12vrr_stack+8321, r12vrr_stack+3555);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17551, r12vrr_stack+8585, r12vrr_stack+17155, r12vrr_stack+7393, r12vrr_stack+8387, r12vrr_stack+15252);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18211, r12vrr_stack+8981, r12vrr_stack+17551, r12vrr_stack+7789, r12vrr_stack+8585, r12vrr_stack+15582);
 tmp = r12vrr_stack + 18211;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+7327, r12vrr_stack+8321, r12vrr_stack+5374, r12vrr_stack+6095, r12vrr_stack+8266, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19201, r12vrr_stack+9797, r12vrr_stack+7327, NULL, NULL, r12vrr_stack+8321);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19435, r12vrr_stack+9875, r12vrr_stack+19201, r12vrr_stack+9641, r12vrr_stack+9797, r12vrr_stack+8387);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19903, r12vrr_stack+10343, r12vrr_stack+19435, r12vrr_stack+10109, r12vrr_stack+9875, r12vrr_stack+8585);
 tmp = r12vrr_stack + 19903;
 target_ptr = Libr12->gvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+2348, r12vrr_stack+6, r12vrr_stack+31, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9641, r12vrr_stack+34, r12vrr_stack+65, NULL, NULL, r12vrr_stack+31);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4140, r12vrr_stack+9719, r12vrr_stack+9641, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+2348);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+5440, r12vrr_stack+71, r12vrr_stack+670, NULL, NULL, r12vrr_stack+65);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+81, r12vrr_stack+9737, r12vrr_stack+5440, r12vrr_stack+40, r12vrr_stack+71, r12vrr_stack+9641);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+7405, r12vrr_stack+7195, r12vrr_stack+81, r12vrr_stack+496, r12vrr_stack+9737, r12vrr_stack+4140);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+7195, r12vrr_stack+680, r12vrr_stack+1377, NULL, NULL, r12vrr_stack+670);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+9641, r12vrr_stack+5140, r12vrr_stack+7195, r12vrr_stack+208, r12vrr_stack+680, r12vrr_stack+5440);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+20683, r12vrr_stack+10811, r12vrr_stack+9641, r12vrr_stack+526, r12vrr_stack+5140, r12vrr_stack+81);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+20833, r12vrr_stack+10901, r12vrr_stack+20683, r12vrr_stack+571, r12vrr_stack+10811, r12vrr_stack+7405);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7405, r12vrr_stack+1392, r12vrr_stack+2696, NULL, NULL, r12vrr_stack+1377);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10811, r12vrr_stack+11051, r12vrr_stack+7405, r12vrr_stack+695, r12vrr_stack+1392, r12vrr_stack+7195);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+11114, r12vrr_stack+10811, r12vrr_stack+716, r12vrr_stack+11051, r12vrr_stack+9641);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21058, r12vrr_stack+11240, r12vrr_stack+496, r12vrr_stack+779, r12vrr_stack+11114, r12vrr_stack+20683);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21373, r12vrr_stack+11450, r12vrr_stack+21058, r12vrr_stack+905, r12vrr_stack+11240, r12vrr_stack+20833);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1171, r12vrr_stack+2717, r12vrr_stack+4176, NULL, NULL, r12vrr_stack+2696);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+20683, r12vrr_stack+223, r12vrr_stack+1171, r12vrr_stack+1413, r12vrr_stack+2717, r12vrr_stack+7405);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10937, r12vrr_stack+11765, r12vrr_stack+20683, r12vrr_stack+1441, r12vrr_stack+223, r12vrr_stack+10811);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21814, r12vrr_stack+11933, r12vrr_stack+10937, r12vrr_stack+1525, r12vrr_stack+11765, r12vrr_stack+496);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+22234, r12vrr_stack+12213, r12vrr_stack+21814, r12vrr_stack+1861, r12vrr_stack+11933, r12vrr_stack+21058);
 tmp = r12vrr_stack + 22234;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+4204, r12vrr_stack+6014, NULL, NULL, r12vrr_stack+4176);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+604, r12vrr_stack+12633, r12vrr_stack+496, r12vrr_stack+2745, r12vrr_stack+4204, r12vrr_stack+1171);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11765, r12vrr_stack+12741, r12vrr_stack+604, r12vrr_stack+2781, r12vrr_stack+12633, r12vrr_stack+20683);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20683, r12vrr_stack+12957, r12vrr_stack+11765, r12vrr_stack+2889, r12vrr_stack+12741, r12vrr_stack+10937);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22822, r12vrr_stack+13317, r12vrr_stack+20683, r12vrr_stack+3105, r12vrr_stack+12957, r12vrr_stack+21814);
 tmp = r12vrr_stack + 22822;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21814, r12vrr_stack+6050, r12vrr_stack+8221, NULL, NULL, r12vrr_stack+6014);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21949, r12vrr_stack+2213, r12vrr_stack+21814, r12vrr_stack+4240, r12vrr_stack+6050, r12vrr_stack+496);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12633, r12vrr_stack+13857, r12vrr_stack+21949, r12vrr_stack+4285, r12vrr_stack+2213, r12vrr_stack+604);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23578, r12vrr_stack+14127, r12vrr_stack+12633, r12vrr_stack+4420, r12vrr_stack+13857, r12vrr_stack+11765);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24253, r12vrr_stack+14577, r12vrr_stack+23578, r12vrr_stack+4690, r12vrr_stack+14127, r12vrr_stack+20683);
 tmp = r12vrr_stack + 24253;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20683, r12vrr_stack+8266, r12vrr_stack+5319, NULL, NULL, r12vrr_stack+8221);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20848, r12vrr_stack+3555, r12vrr_stack+20683, r12vrr_stack+6095, r12vrr_stack+8266, r12vrr_stack+21814);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4140, r12vrr_stack+15252, r12vrr_stack+20848, r12vrr_stack+6150, r12vrr_stack+3555, r12vrr_stack+21949);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+25198, r12vrr_stack+15582, r12vrr_stack+4140, r12vrr_stack+6315, r12vrr_stack+15252, r12vrr_stack+12633);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+26023, r12vrr_stack+16132, r12vrr_stack+25198, r12vrr_stack+6645, r12vrr_stack+15582, r12vrr_stack+23578);
 tmp = r12vrr_stack + 26023;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+23578, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+23581, r12vrr_stack+5250, r12vrr_stack+23578, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+23587, r12vrr_stack+7255, r12vrr_stack+23581, r12vrr_stack+0, r12vrr_stack+5250, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+23597, r12vrr_stack+21, r12vrr_stack+23587, r12vrr_stack+3465, r12vrr_stack+7255, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+23612, r12vrr_stack+3720, r12vrr_stack+23597, r12vrr_stack+3471, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+5253, r12vrr_stack+23612, r12vrr_stack+2681, r12vrr_stack+3720, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2681, r12vrr_stack+1115, r12vrr_stack+21, r12vrr_stack+141, r12vrr_stack+5253, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+2681, r12vrr_stack+1143, r12vrr_stack+1115, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5140, r12vrr_stack+5274, r12vrr_stack+3465, r12vrr_stack+8185, r12vrr_stack+2141, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7195, r12vrr_stack+5319, r12vrr_stack+5140, r12vrr_stack+8221, r12vrr_stack+5274, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2681, r12vrr_stack+5374, r12vrr_stack+7195, NULL, NULL, r12vrr_stack+5319);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23578, r12vrr_stack+16957, r12vrr_stack+2681, r12vrr_stack+8321, r12vrr_stack+5374, r12vrr_stack+20683);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12633, r12vrr_stack+17155, r12vrr_stack+23578, r12vrr_stack+8387, r12vrr_stack+16957, r12vrr_stack+20848);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27178, r12vrr_stack+17551, r12vrr_stack+12633, r12vrr_stack+8585, r12vrr_stack+17155, r12vrr_stack+4140);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28168, r12vrr_stack+18211, r12vrr_stack+27178, r12vrr_stack+8981, r12vrr_stack+17551, r12vrr_stack+25198);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+25198, r12vrr_stack+5374, r12vrr_stack+7195, r12vrr_stack+8266, r12vrr_stack+5319, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+25276, r12vrr_stack+7327, r12vrr_stack+25198, NULL, NULL, r12vrr_stack+5374);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+25510, r12vrr_stack+19201, r12vrr_stack+25276, r12vrr_stack+9797, r12vrr_stack+7327, r12vrr_stack+16957);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+27178, r12vrr_stack+19435, r12vrr_stack+25510, r12vrr_stack+9875, r12vrr_stack+19201, r12vrr_stack+17155);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29554, r12vrr_stack+19903, r12vrr_stack+27178, r12vrr_stack+10343, r12vrr_stack+19435, r12vrr_stack+17551);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+27178, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+27184, r12vrr_stack+27178, r12vrr_stack+0, r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+27184, r12vrr_stack+27178, r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+15, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+27184, r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+162, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+36, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+1255, r12vrr_stack+187, r12vrr_stack+172, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+64, r12vrr_stack+36, NULL, r12vrr_stack+1283, r12vrr_stack+1255, NULL, r12vrr_stack+187);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+27178, r12vrr_stack+64, r12vrr_stack+36, r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+1255, r12vrr_stack+307);
 tmp = r12vrr_stack + 27178;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+27346, r12vrr_stack+27178, r12vrr_stack+64, r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+370);
 tmp = r12vrr_stack + 27346;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+2141, r12vrr_stack+36, r12vrr_stack+15, r12vrr_stack+2177, r12vrr_stack+1255, r12vrr_stack+187, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+64, r12vrr_stack+2141, NULL, r12vrr_stack+2357, r12vrr_stack+2177, NULL, r12vrr_stack+1255);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+27626, r12vrr_stack+64, r12vrr_stack+2141, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+2177, r12vrr_stack+1283);
 tmp = r12vrr_stack + 27626;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+19201, r12vrr_stack+27626, r12vrr_stack+64, r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+1693);
 tmp = r12vrr_stack + 19201;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+36, r12vrr_stack+3510, r12vrr_stack+2177, r12vrr_stack+1255, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+0, r12vrr_stack+3465, NULL, r12vrr_stack+3735, r12vrr_stack+3510, NULL, r12vrr_stack+2177);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+27842, r12vrr_stack+0, r12vrr_stack+3465, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+3510, r12vrr_stack+2357);
 tmp = r12vrr_stack + 27842;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+16957, r12vrr_stack+27842, r12vrr_stack+0, r12vrr_stack+4690, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+2465);
 tmp = r12vrr_stack + 16957;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5140, r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+5195, r12vrr_stack+3510, r12vrr_stack+2177, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+5140, NULL, r12vrr_stack+5470, r12vrr_stack+5195, NULL, r12vrr_stack+3510);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+2141, r12vrr_stack+5140, r12vrr_stack+5635, r12vrr_stack+5470, r12vrr_stack+5195, r12vrr_stack+3735);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->rvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4140, r12vrr_stack+0, r12vrr_stack+2141, r12vrr_stack+6645, r12vrr_stack+5635, r12vrr_stack+5470, r12vrr_stack+3870);
 tmp = r12vrr_stack + 4140;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7195, r12vrr_stack+5140, r12vrr_stack+3465, r12vrr_stack+7261, r12vrr_stack+5195, r12vrr_stack+3510, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+7195, NULL, r12vrr_stack+7591, r12vrr_stack+7261, NULL, r12vrr_stack+5195);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17407, r12vrr_stack+3465, r12vrr_stack+7195, r12vrr_stack+7789, r12vrr_stack+7591, r12vrr_stack+7261, r12vrr_stack+5470);
 tmp = r12vrr_stack + 17407;
 target_ptr = Libr12->rvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+25198, r12vrr_stack+17407, r12vrr_stack+3465, r12vrr_stack+8981, r12vrr_stack+7789, r12vrr_stack+7591, r12vrr_stack+5635);
 tmp = r12vrr_stack + 25198;
 target_ptr = Libr12->rvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1115, r12vrr_stack+1693, r12vrr_stack+2465, r12vrr_stack+1861, r12vrr_stack+905, r12vrr_stack+370);
 tmp = r12vrr_stack + 1115;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2141, r12vrr_stack+2465, r12vrr_stack+3870, r12vrr_stack+3105, r12vrr_stack+1861, r12vrr_stack+1693);
 tmp = r12vrr_stack + 2141;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3465, r12vrr_stack+3870, r12vrr_stack+5635, r12vrr_stack+4690, r12vrr_stack+3105, r12vrr_stack+2465);
 tmp = r12vrr_stack + 3465;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5140, r12vrr_stack+5635, r12vrr_stack+7789, r12vrr_stack+6645, r12vrr_stack+4690, r12vrr_stack+3870);
 tmp = r12vrr_stack + 5140;
 target_ptr = Libr12->t2vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7195, r12vrr_stack+7789, r12vrr_stack+10343, r12vrr_stack+8981, r12vrr_stack+6645, r12vrr_stack+5635);
 tmp = r12vrr_stack + 7195;
 target_ptr = Libr12->t2vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+330, r12vrr_stack+1861, r12vrr_stack+3105, r12vrr_stack+12213, r12vrr_stack+11450, r12vrr_stack+905);
 tmp = r12vrr_stack + 330;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17803, r12vrr_stack+3105, r12vrr_stack+4690, r12vrr_stack+13317, r12vrr_stack+12213, r12vrr_stack+1861);
 tmp = r12vrr_stack + 17803;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12633, r12vrr_stack+4690, r12vrr_stack+6645, r12vrr_stack+14577, r12vrr_stack+13317, r12vrr_stack+3105);
 tmp = r12vrr_stack + 12633;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+23578, r12vrr_stack+6645, r12vrr_stack+8981, r12vrr_stack+16132, r12vrr_stack+14577, r12vrr_stack+4690);
 tmp = r12vrr_stack + 23578;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+20683, r12vrr_stack+8981, r12vrr_stack+19903, r12vrr_stack+18211, r12vrr_stack+16132, r12vrr_stack+6645);
 tmp = r12vrr_stack + 20683;
 target_ptr = Libr12->t2vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21814, r12vrr_stack+12213, r12vrr_stack+13317, r12vrr_stack+22234, r12vrr_stack+21373, r12vrr_stack+11450);
 tmp = r12vrr_stack + 21814;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8185, r12vrr_stack+13317, r12vrr_stack+14577, r12vrr_stack+22822, r12vrr_stack+22234, r12vrr_stack+12213);
 tmp = r12vrr_stack + 8185;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15252, r12vrr_stack+14577, r12vrr_stack+16132, r12vrr_stack+24253, r12vrr_stack+22822, r12vrr_stack+13317);
 tmp = r12vrr_stack + 15252;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+10811, r12vrr_stack+16132, r12vrr_stack+18211, r12vrr_stack+26023, r12vrr_stack+24253, r12vrr_stack+14577);
 tmp = r12vrr_stack + 10811;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+30724, r12vrr_stack+18211, r12vrr_stack+29554, r12vrr_stack+28168, r12vrr_stack+26023, r12vrr_stack+16132);
 tmp = r12vrr_stack + 30724;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+610, r12vrr_stack+1693, r12vrr_stack+1861, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+1283);
 tmp = r12vrr_stack + 610;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1283, r12vrr_stack+2465, r12vrr_stack+3105, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+2357);
 tmp = r12vrr_stack + 1283;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19561, r12vrr_stack+3870, r12vrr_stack+4690, r12vrr_stack+5635, r12vrr_stack+5470, r12vrr_stack+3735);
 tmp = r12vrr_stack + 19561;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+21343, r12vrr_stack+5635, r12vrr_stack+6645, r12vrr_stack+7789, r12vrr_stack+7591, r12vrr_stack+5470);
 tmp = r12vrr_stack + 21343;
 target_ptr = Libr12->t1vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+2681, r12vrr_stack+7789, r12vrr_stack+8981, r12vrr_stack+10343, r12vrr_stack+10109, r12vrr_stack+7591);
 tmp = r12vrr_stack + 2681;
 target_ptr = Libr12->t1vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13857, r12vrr_stack+1861, r12vrr_stack+12213, r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+1693);
 tmp = r12vrr_stack + 13857;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14137, r12vrr_stack+3105, r12vrr_stack+13317, r12vrr_stack+4690, r12vrr_stack+3870, r12vrr_stack+2465);
 tmp = r12vrr_stack + 14137;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11636, r12vrr_stack+4690, r12vrr_stack+14577, r12vrr_stack+6645, r12vrr_stack+5635, r12vrr_stack+3870);
 tmp = r12vrr_stack + 11636;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9641, r12vrr_stack+6645, r12vrr_stack+16132, r12vrr_stack+8981, r12vrr_stack+7789, r12vrr_stack+5635);
 tmp = r12vrr_stack + 9641;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5965, r12vrr_stack+8981, r12vrr_stack+18211, r12vrr_stack+19903, r12vrr_stack+10343, r12vrr_stack+7789);
 tmp = r12vrr_stack + 5965;
 target_ptr = Libr12->t1vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10191, r12vrr_stack+12213, r12vrr_stack+22234, r12vrr_stack+13317, r12vrr_stack+3105, r12vrr_stack+1861);
 tmp = r12vrr_stack + 10191;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22234, r12vrr_stack+13317, r12vrr_stack+22822, r12vrr_stack+14577, r12vrr_stack+4690, r12vrr_stack+3105);
 tmp = r12vrr_stack + 22234;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22774, r12vrr_stack+14577, r12vrr_stack+24253, r12vrr_stack+16132, r12vrr_stack+6645, r12vrr_stack+4690);
 tmp = r12vrr_stack + 22774;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+24128, r12vrr_stack+16132, r12vrr_stack+26023, r12vrr_stack+18211, r12vrr_stack+8981, r12vrr_stack+6645);
 tmp = r12vrr_stack + 24128;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+25858, r12vrr_stack+18211, r12vrr_stack+28168, r12vrr_stack+29554, r12vrr_stack+19903, r12vrr_stack+8981);
 tmp = r12vrr_stack + 25858;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+28112, r12vrr_stack+27346, r12vrr_stack+27178, r12vrr_stack+12213, r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+905);
 tmp = r12vrr_stack + 28112;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+28532, r12vrr_stack+19201, r12vrr_stack+27626, r12vrr_stack+13317, r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+1861);
 tmp = r12vrr_stack + 28532;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+29072, r12vrr_stack+16957, r12vrr_stack+27842, r12vrr_stack+14577, r12vrr_stack+4690, r12vrr_stack+3870, r12vrr_stack+3105);
 tmp = r12vrr_stack + 29072;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+29747, r12vrr_stack+4140, r12vrr_stack+0, r12vrr_stack+16132, r12vrr_stack+6645, r12vrr_stack+5635, r12vrr_stack+4690);
 tmp = r12vrr_stack + 29747;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3735, r12vrr_stack+25198, r12vrr_stack+17407, r12vrr_stack+18211, r12vrr_stack+8981, r12vrr_stack+7789, r12vrr_stack+6645);
 tmp = r12vrr_stack + 3735;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];


}

