#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ddii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+65, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+71, r12vrr_stack+21, r12vrr_stack+65, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+96, r12vrr_stack+81, r12vrr_stack+50, NULL, NULL, r12vrr_stack+21);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+71, r12vrr_stack+21, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+65, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+71, r12vrr_stack+15, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+81, r12vrr_stack+162, r12vrr_stack+71, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+31, r12vrr_stack+0, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+34, r12vrr_stack+65, r12vrr_stack+6, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+208, r12vrr_stack+40, r12vrr_stack+71, r12vrr_stack+9, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+223, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+21, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+141, r12vrr_stack+223, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+307, r12vrr_stack+187, r12vrr_stack+141, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+370, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+96);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+496, r12vrr_stack+21, r12vrr_stack+40, NULL, NULL, r12vrr_stack+9);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+526, r12vrr_stack+50, r12vrr_stack+208, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+571, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+496);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+661, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+664, r12vrr_stack+0, r12vrr_stack+661, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+670, r12vrr_stack+65, r12vrr_stack+664, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+680, r12vrr_stack+71, r12vrr_stack+670, r12vrr_stack+34, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+695, r12vrr_stack+208, r12vrr_stack+680, r12vrr_stack+40, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+716, r12vrr_stack+223, r12vrr_stack+695, NULL, NULL, r12vrr_stack+208);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+244, r12vrr_stack+716, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+526);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+370, r12vrr_stack+779, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+571);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+223, r12vrr_stack+695, r12vrr_stack+50, r12vrr_stack+208, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+81, r12vrr_stack+50, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1171, r12vrr_stack+1143, r12vrr_stack+1115, NULL, NULL, r12vrr_stack+223);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1255, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+172, r12vrr_stack+81, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1283, r12vrr_stack+1255, r12vrr_stack+1143, NULL, NULL, r12vrr_stack+141);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+81, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+84, r12vrr_stack+661, r12vrr_stack+81, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1367, r12vrr_stack+664, r12vrr_stack+84, r12vrr_stack+0, r12vrr_stack+661, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1377, r12vrr_stack+670, r12vrr_stack+1367, r12vrr_stack+65, r12vrr_stack+664, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+680, r12vrr_stack+1377, r12vrr_stack+71, r12vrr_stack+670, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1413, r12vrr_stack+695, r12vrr_stack+1392, r12vrr_stack+208, r12vrr_stack+680, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1441, r12vrr_stack+1115, r12vrr_stack+1413, NULL, NULL, r12vrr_stack+695);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1525, r12vrr_stack+1171, r12vrr_stack+1441, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+716);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+1171, r12vrr_stack+1255, r12vrr_stack+1143, r12vrr_stack+244);
 tmp = r12vrr_stack + 1693;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+1525, r12vrr_stack+1283, r12vrr_stack+1171, r12vrr_stack+779);
 tmp = r12vrr_stack + 1861;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+141, r12vrr_stack+223, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2177, r12vrr_stack+1255, r12vrr_stack+1143, r12vrr_stack+187, r12vrr_stack+141, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2213, r12vrr_stack+1115, r12vrr_stack+1413, r12vrr_stack+223, r12vrr_stack+695, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2249, r12vrr_stack+2141, r12vrr_stack+2213, NULL, NULL, r12vrr_stack+1115);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2357, r12vrr_stack+2177, r12vrr_stack+2141, NULL, NULL, r12vrr_stack+1143);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+2249, r12vrr_stack+2177, r12vrr_stack+2141, r12vrr_stack+1171);
 tmp = r12vrr_stack + 2465;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+90, r12vrr_stack+81, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+141, r12vrr_stack+84, r12vrr_stack+90, r12vrr_stack+661, r12vrr_stack+81, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2681, r12vrr_stack+1367, r12vrr_stack+141, r12vrr_stack+664, r12vrr_stack+84, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2696, r12vrr_stack+1377, r12vrr_stack+2681, r12vrr_stack+670, r12vrr_stack+1367, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2717, r12vrr_stack+1392, r12vrr_stack+2696, r12vrr_stack+680, r12vrr_stack+1377, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2745, r12vrr_stack+1413, r12vrr_stack+2717, r12vrr_stack+695, r12vrr_stack+1392, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2781, r12vrr_stack+2213, r12vrr_stack+2745, NULL, NULL, r12vrr_stack+1413);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2889, r12vrr_stack+2249, r12vrr_stack+2781, r12vrr_stack+2141, r12vrr_stack+2213, r12vrr_stack+1441);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+2889, r12vrr_stack+2357, r12vrr_stack+2249, r12vrr_stack+1525);
 tmp = r12vrr_stack + 3105;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+2213, r12vrr_stack+1143, r12vrr_stack+1115, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3510, r12vrr_stack+2177, r12vrr_stack+2141, r12vrr_stack+1255, r12vrr_stack+1143, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3555, r12vrr_stack+2213, r12vrr_stack+2745, r12vrr_stack+1115, r12vrr_stack+1413, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3600, r12vrr_stack+3465, r12vrr_stack+3555, NULL, NULL, r12vrr_stack+2213);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3735, r12vrr_stack+3510, r12vrr_stack+3465, NULL, NULL, r12vrr_stack+2141);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+3600, r12vrr_stack+3510, r12vrr_stack+3465, r12vrr_stack+2249);
 tmp = r12vrr_stack + 3870;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1143, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1146, r12vrr_stack+0, r12vrr_stack+1143, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1152, r12vrr_stack+90, r12vrr_stack+1146, r12vrr_stack+81, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4140, r12vrr_stack+141, r12vrr_stack+1152, r12vrr_stack+84, r12vrr_stack+90, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4155, r12vrr_stack+2681, r12vrr_stack+4140, r12vrr_stack+1367, r12vrr_stack+141, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4176, r12vrr_stack+2696, r12vrr_stack+4155, r12vrr_stack+1377, r12vrr_stack+2681, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4204, r12vrr_stack+2717, r12vrr_stack+4176, r12vrr_stack+1392, r12vrr_stack+2696, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4240, r12vrr_stack+2745, r12vrr_stack+4204, r12vrr_stack+1413, r12vrr_stack+2717, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4285, r12vrr_stack+3555, r12vrr_stack+4240, NULL, NULL, r12vrr_stack+2745);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4420, r12vrr_stack+3600, r12vrr_stack+4285, r12vrr_stack+3465, r12vrr_stack+3555, r12vrr_stack+2781);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4690, r12vrr_stack+3870, r12vrr_stack+4420, r12vrr_stack+3735, r12vrr_stack+3600, r12vrr_stack+2889);
 tmp = r12vrr_stack + 4690;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5140, r12vrr_stack+3465, r12vrr_stack+3555, r12vrr_stack+2141, r12vrr_stack+2213, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5195, r12vrr_stack+3510, r12vrr_stack+3465, r12vrr_stack+2177, r12vrr_stack+2141, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5250, r12vrr_stack+3555, r12vrr_stack+4240, r12vrr_stack+2213, r12vrr_stack+2745, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5305, r12vrr_stack+5140, r12vrr_stack+5250, NULL, NULL, r12vrr_stack+3555);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5470, r12vrr_stack+5195, r12vrr_stack+5140, NULL, NULL, r12vrr_stack+3465);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5635, r12vrr_stack+5470, r12vrr_stack+5305, r12vrr_stack+5195, r12vrr_stack+5140, r12vrr_stack+3600);
 tmp = r12vrr_stack + 5635;
 target_ptr = Libr12->gvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2141, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2144, r12vrr_stack+1143, r12vrr_stack+2141, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1367, r12vrr_stack+1146, r12vrr_stack+2144, r12vrr_stack+0, r12vrr_stack+1143, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2150, r12vrr_stack+1152, r12vrr_stack+1367, r12vrr_stack+90, r12vrr_stack+1146, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5965, r12vrr_stack+4140, r12vrr_stack+2150, r12vrr_stack+141, r12vrr_stack+1152, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5986, r12vrr_stack+4155, r12vrr_stack+5965, r12vrr_stack+2681, r12vrr_stack+4140, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6014, r12vrr_stack+4176, r12vrr_stack+5986, r12vrr_stack+2696, r12vrr_stack+4155, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6050, r12vrr_stack+4204, r12vrr_stack+6014, r12vrr_stack+2717, r12vrr_stack+4176, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6095, r12vrr_stack+4240, r12vrr_stack+6050, r12vrr_stack+2745, r12vrr_stack+4204, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6150, r12vrr_stack+5250, r12vrr_stack+6095, NULL, NULL, r12vrr_stack+4240);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6315, r12vrr_stack+5305, r12vrr_stack+6150, r12vrr_stack+5140, r12vrr_stack+5250, r12vrr_stack+4285);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6645, r12vrr_stack+5635, r12vrr_stack+6315, r12vrr_stack+5470, r12vrr_stack+5305, r12vrr_stack+4420);
 tmp = r12vrr_stack + 6645;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7195, r12vrr_stack+5140, r12vrr_stack+5250, r12vrr_stack+3465, r12vrr_stack+3555, NULL);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7261, r12vrr_stack+5195, r12vrr_stack+5140, r12vrr_stack+3510, r12vrr_stack+3465, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7327, r12vrr_stack+5250, r12vrr_stack+6095, r12vrr_stack+3555, r12vrr_stack+4240, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7393, r12vrr_stack+7195, r12vrr_stack+7327, NULL, NULL, r12vrr_stack+5250);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7591, r12vrr_stack+7261, r12vrr_stack+7195, NULL, NULL, r12vrr_stack+5140);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7789, r12vrr_stack+7591, r12vrr_stack+7393, r12vrr_stack+7261, r12vrr_stack+7195, r12vrr_stack+5305);
 tmp = r12vrr_stack + 7789;
 target_ptr = Libr12->gvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3471, r12vrr_stack+2144, r12vrr_stack+3465, r12vrr_stack+1143, r12vrr_stack+2141, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2681, r12vrr_stack+1367, r12vrr_stack+3471, r12vrr_stack+1146, r12vrr_stack+2144, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+2150, r12vrr_stack+2681, r12vrr_stack+1152, r12vrr_stack+1367, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+5965, r12vrr_stack+141, r12vrr_stack+4140, r12vrr_stack+2150, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8185, r12vrr_stack+5986, r12vrr_stack+1143, r12vrr_stack+4155, r12vrr_stack+5965, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8221, r12vrr_stack+6014, r12vrr_stack+8185, r12vrr_stack+4176, r12vrr_stack+5986, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8266, r12vrr_stack+6050, r12vrr_stack+8221, r12vrr_stack+4204, r12vrr_stack+6014, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8321, r12vrr_stack+6095, r12vrr_stack+8266, r12vrr_stack+4240, r12vrr_stack+6050, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8387, r12vrr_stack+7327, r12vrr_stack+8321, NULL, NULL, r12vrr_stack+6095);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8585, r12vrr_stack+7393, r12vrr_stack+8387, r12vrr_stack+7195, r12vrr_stack+7327, r12vrr_stack+6150);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8981, r12vrr_stack+7789, r12vrr_stack+8585, r12vrr_stack+7591, r12vrr_stack+7393, r12vrr_stack+6315);
 tmp = r12vrr_stack + 8981;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9641, r12vrr_stack+7195, r12vrr_stack+7327, r12vrr_stack+5140, r12vrr_stack+5250, NULL);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9719, r12vrr_stack+7261, r12vrr_stack+7195, r12vrr_stack+5195, r12vrr_stack+5140, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9797, r12vrr_stack+7327, r12vrr_stack+8321, r12vrr_stack+5250, r12vrr_stack+6095, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9875, r12vrr_stack+9641, r12vrr_stack+9797, NULL, NULL, r12vrr_stack+7327);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10109, r12vrr_stack+9719, r12vrr_stack+9641, NULL, NULL, r12vrr_stack+7195);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10343, r12vrr_stack+10109, r12vrr_stack+9875, r12vrr_stack+9719, r12vrr_stack+9641, r12vrr_stack+7393);
 tmp = r12vrr_stack + 10343;
 target_ptr = Libr12->gvrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+5140, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5143, r12vrr_stack+0, r12vrr_stack+5140, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5149, r12vrr_stack+3465, r12vrr_stack+5143, r12vrr_stack+2141, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+3471, r12vrr_stack+5149, r12vrr_stack+2144, r12vrr_stack+3465, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5159, r12vrr_stack+2681, r12vrr_stack+81, r12vrr_stack+1367, r12vrr_stack+3471, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4140, r12vrr_stack+141, r12vrr_stack+5159, r12vrr_stack+2150, r12vrr_stack+2681, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+1143, r12vrr_stack+4140, r12vrr_stack+5965, r12vrr_stack+141, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10811, r12vrr_stack+8185, r12vrr_stack+2141, r12vrr_stack+5986, r12vrr_stack+1143, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10856, r12vrr_stack+8221, r12vrr_stack+10811, r12vrr_stack+6014, r12vrr_stack+8185, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+10911, r12vrr_stack+8266, r12vrr_stack+10856, r12vrr_stack+6050, r12vrr_stack+8221, NULL);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10977, r12vrr_stack+8321, r12vrr_stack+10911, r12vrr_stack+6095, r12vrr_stack+8266, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+11055, r12vrr_stack+9797, r12vrr_stack+10977, NULL, NULL, r12vrr_stack+8321);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+11289, r12vrr_stack+9875, r12vrr_stack+11055, r12vrr_stack+9641, r12vrr_stack+9797, r12vrr_stack+8387);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+11757, r12vrr_stack+10343, r12vrr_stack+11289, r12vrr_stack+10109, r12vrr_stack+9875, r12vrr_stack+8585);
 tmp = r12vrr_stack + 11757;
 target_ptr = Libr12->gvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+12537, r12vrr_stack+9641, r12vrr_stack+9797, r12vrr_stack+7195, r12vrr_stack+7327, NULL);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+12628, r12vrr_stack+9719, r12vrr_stack+9641, r12vrr_stack+7261, r12vrr_stack+7195, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+12719, r12vrr_stack+9797, r12vrr_stack+10977, r12vrr_stack+7327, r12vrr_stack+8321, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+12810, r12vrr_stack+12537, r12vrr_stack+12719, NULL, NULL, r12vrr_stack+9797);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+13083, r12vrr_stack+12628, r12vrr_stack+12537, NULL, NULL, r12vrr_stack+9641);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+13356, r12vrr_stack+13083, r12vrr_stack+12810, r12vrr_stack+12628, r12vrr_stack+12537, r12vrr_stack+9875);
 tmp = r12vrr_stack + 13356;
 target_ptr = Libr12->gvrr_classes[2][12];
 for(i=0;i<546;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+7195, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+7198, r12vrr_stack+5140, r12vrr_stack+7195, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1367, r12vrr_stack+5143, r12vrr_stack+7198, r12vrr_stack+0, r12vrr_stack+5140, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5180, r12vrr_stack+5149, r12vrr_stack+1367, r12vrr_stack+3465, r12vrr_stack+5143, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7204, r12vrr_stack+81, r12vrr_stack+5180, r12vrr_stack+3471, r12vrr_stack+5149, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+5159, r12vrr_stack+7204, r12vrr_stack+2681, r12vrr_stack+81, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7225, r12vrr_stack+4140, r12vrr_stack+3465, r12vrr_stack+141, r12vrr_stack+5159, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5965, r12vrr_stack+2141, r12vrr_stack+7225, r12vrr_stack+1143, r12vrr_stack+4140, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13902, r12vrr_stack+10811, r12vrr_stack+5965, r12vrr_stack+8185, r12vrr_stack+2141, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13957, r12vrr_stack+10856, r12vrr_stack+13902, r12vrr_stack+8221, r12vrr_stack+10811, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14023, r12vrr_stack+10911, r12vrr_stack+13957, r12vrr_stack+8266, r12vrr_stack+10856, NULL);

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+14101, r12vrr_stack+10977, r12vrr_stack+14023, r12vrr_stack+8321, r12vrr_stack+10911, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+14192, r12vrr_stack+12719, r12vrr_stack+14101, NULL, NULL, r12vrr_stack+10977);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+14465, r12vrr_stack+12810, r12vrr_stack+14192, r12vrr_stack+12537, r12vrr_stack+12719, r12vrr_stack+11055);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+15011, r12vrr_stack+13356, r12vrr_stack+14465, r12vrr_stack+13083, r12vrr_stack+12810, r12vrr_stack+11289);
 tmp = r12vrr_stack + 15011;
 target_ptr = Libr12->gvrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+15921, r12vrr_stack+12537, r12vrr_stack+12719, r12vrr_stack+9641, r12vrr_stack+9797, NULL);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+16026, r12vrr_stack+12628, r12vrr_stack+12537, r12vrr_stack+9719, r12vrr_stack+9641, NULL);

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+16131, r12vrr_stack+12719, r12vrr_stack+14101, r12vrr_stack+9797, r12vrr_stack+10977, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+16236, r12vrr_stack+15921, r12vrr_stack+16131, NULL, NULL, r12vrr_stack+12719);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+16551, r12vrr_stack+16026, r12vrr_stack+15921, NULL, NULL, r12vrr_stack+12537);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+16866, r12vrr_stack+16551, r12vrr_stack+16236, r12vrr_stack+16026, r12vrr_stack+15921, r12vrr_stack+12810);
 tmp = r12vrr_stack + 16866;
 target_ptr = Libr12->gvrr_classes[2][13];
 for(i=0;i<630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+16026, r12vrr_stack+9, r12vrr_stack+34, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+16044, r12vrr_stack+40, r12vrr_stack+71, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+12537, r12vrr_stack+496, r12vrr_stack+16044, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+16026);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+16074, r12vrr_stack+208, r12vrr_stack+680, NULL, NULL, r12vrr_stack+71);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+17496, r12vrr_stack+526, r12vrr_stack+16074, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+16044);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+17586, r12vrr_stack+571, r12vrr_stack+17496, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+12537);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+96, r12vrr_stack+695, r12vrr_stack+1392, NULL, NULL, r12vrr_stack+680);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17736, r12vrr_stack+716, r12vrr_stack+96, r12vrr_stack+223, r12vrr_stack+695, r12vrr_stack+16074);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17862, r12vrr_stack+779, r12vrr_stack+17736, r12vrr_stack+244, r12vrr_stack+716, r12vrr_stack+17496);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18072, r12vrr_stack+905, r12vrr_stack+17862, r12vrr_stack+370, r12vrr_stack+779, r12vrr_stack+17586);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+223, r12vrr_stack+1413, r12vrr_stack+2717, NULL, NULL, r12vrr_stack+1392);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18387, r12vrr_stack+1441, r12vrr_stack+223, r12vrr_stack+1115, r12vrr_stack+1413, r12vrr_stack+96);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18555, r12vrr_stack+1525, r12vrr_stack+18387, r12vrr_stack+1171, r12vrr_stack+1441, r12vrr_stack+17736);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18835, r12vrr_stack+1861, r12vrr_stack+18555, r12vrr_stack+1693, r12vrr_stack+1525, r12vrr_stack+17862);
 tmp = r12vrr_stack + 18835;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+2745, r12vrr_stack+4204, NULL, NULL, r12vrr_stack+2717);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19255, r12vrr_stack+2781, r12vrr_stack+1115, r12vrr_stack+2213, r12vrr_stack+2745, r12vrr_stack+223);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19471, r12vrr_stack+2889, r12vrr_stack+19255, r12vrr_stack+2249, r12vrr_stack+2781, r12vrr_stack+18387);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19831, r12vrr_stack+3105, r12vrr_stack+19471, r12vrr_stack+2465, r12vrr_stack+2889, r12vrr_stack+18555);
 tmp = r12vrr_stack + 19831;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2213, r12vrr_stack+4240, r12vrr_stack+6050, NULL, NULL, r12vrr_stack+4204);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20371, r12vrr_stack+4285, r12vrr_stack+2213, r12vrr_stack+3555, r12vrr_stack+4240, r12vrr_stack+1115);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20641, r12vrr_stack+4420, r12vrr_stack+20371, r12vrr_stack+3600, r12vrr_stack+4285, r12vrr_stack+19255);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21091, r12vrr_stack+4690, r12vrr_stack+20641, r12vrr_stack+3870, r12vrr_stack+4420, r12vrr_stack+19471);
 tmp = r12vrr_stack + 21091;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3555, r12vrr_stack+6095, r12vrr_stack+8266, NULL, NULL, r12vrr_stack+6050);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21766, r12vrr_stack+6150, r12vrr_stack+3555, r12vrr_stack+5250, r12vrr_stack+6095, r12vrr_stack+2213);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22096, r12vrr_stack+6315, r12vrr_stack+21766, r12vrr_stack+5305, r12vrr_stack+6150, r12vrr_stack+20371);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22646, r12vrr_stack+6645, r12vrr_stack+22096, r12vrr_stack+5635, r12vrr_stack+6315, r12vrr_stack+20641);
 tmp = r12vrr_stack + 22646;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+5250, r12vrr_stack+8321, r12vrr_stack+10911, NULL, NULL, r12vrr_stack+8266);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23471, r12vrr_stack+8387, r12vrr_stack+5250, r12vrr_stack+7327, r12vrr_stack+8321, r12vrr_stack+3555);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23867, r12vrr_stack+8585, r12vrr_stack+23471, r12vrr_stack+7393, r12vrr_stack+8387, r12vrr_stack+21766);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24527, r12vrr_stack+8981, r12vrr_stack+23867, r12vrr_stack+7789, r12vrr_stack+8585, r12vrr_stack+22096);
 tmp = r12vrr_stack + 24527;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+7327, r12vrr_stack+10977, r12vrr_stack+14023, NULL, NULL, r12vrr_stack+10911);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+25517, r12vrr_stack+11055, r12vrr_stack+7327, r12vrr_stack+9797, r12vrr_stack+10977, r12vrr_stack+5250);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+25985, r12vrr_stack+11289, r12vrr_stack+25517, r12vrr_stack+9875, r12vrr_stack+11055, r12vrr_stack+23471);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+26765, r12vrr_stack+11757, r12vrr_stack+25985, r12vrr_stack+10343, r12vrr_stack+11289, r12vrr_stack+23867);
 tmp = r12vrr_stack + 26765;
 target_ptr = Libr12->gvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+159, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9797, r12vrr_stack+7195, r12vrr_stack+159, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+7198, r12vrr_stack+9797, r12vrr_stack+5140, r12vrr_stack+7195, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3720, r12vrr_stack+1367, r12vrr_stack+21, r12vrr_stack+5143, r12vrr_stack+7198, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9803, r12vrr_stack+5180, r12vrr_stack+3720, r12vrr_stack+5149, r12vrr_stack+1367, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9824, r12vrr_stack+7204, r12vrr_stack+9803, r12vrr_stack+81, r12vrr_stack+5180, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8185, r12vrr_stack+3465, r12vrr_stack+9824, r12vrr_stack+5159, r12vrr_stack+7204, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9852, r12vrr_stack+7225, r12vrr_stack+8185, r12vrr_stack+4140, r12vrr_stack+3465, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9897, r12vrr_stack+5965, r12vrr_stack+9852, r12vrr_stack+2141, r12vrr_stack+7225, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27935, r12vrr_stack+13902, r12vrr_stack+9897, r12vrr_stack+10811, r12vrr_stack+5965, NULL);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9641, r12vrr_stack+13957, r12vrr_stack+27935, r12vrr_stack+10856, r12vrr_stack+13902, NULL);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+9952, r12vrr_stack+14023, r12vrr_stack+9641, r12vrr_stack+10911, r12vrr_stack+13957, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+28001, r12vrr_stack+14101, r12vrr_stack+9952, NULL, NULL, r12vrr_stack+14023);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+28274, r12vrr_stack+14192, r12vrr_stack+28001, r12vrr_stack+12719, r12vrr_stack+14101, r12vrr_stack+7327);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+28820, r12vrr_stack+14465, r12vrr_stack+28274, r12vrr_stack+12810, r12vrr_stack+14192, r12vrr_stack+25517);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+29730, r12vrr_stack+15011, r12vrr_stack+28820, r12vrr_stack+13356, r12vrr_stack+14465, r12vrr_stack+25985);
 tmp = r12vrr_stack + 29730;
 target_ptr = Libr12->gvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+12719, r12vrr_stack+14101, r12vrr_stack+9952, r12vrr_stack+10977, r12vrr_stack+14023, NULL);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+31095, r12vrr_stack+16131, r12vrr_stack+12719, NULL, NULL, r12vrr_stack+14101);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+31410, r12vrr_stack+16236, r12vrr_stack+31095, r12vrr_stack+15921, r12vrr_stack+16131, r12vrr_stack+14192);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+32040, r12vrr_stack+16866, r12vrr_stack+31410, r12vrr_stack+16551, r12vrr_stack+16236, r12vrr_stack+14465);
 tmp = r12vrr_stack + 32040;
 target_ptr = Libr12->gvrr_classes[3][13];
 for(i=0;i<1050;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+2348, r12vrr_stack+6, r12vrr_stack+31, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+15921, r12vrr_stack+34, r12vrr_stack+65, NULL, NULL, r12vrr_stack+31);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2141, r12vrr_stack+16026, r12vrr_stack+15921, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+2348);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+7561, r12vrr_stack+71, r12vrr_stack+670, NULL, NULL, r12vrr_stack+65);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+15939, r12vrr_stack+16044, r12vrr_stack+7561, r12vrr_stack+40, r12vrr_stack+71, r12vrr_stack+15921);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+12824, r12vrr_stack+12537, r12vrr_stack+15939, r12vrr_stack+496, r12vrr_stack+16044, r12vrr_stack+2141);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+10811, r12vrr_stack+680, r12vrr_stack+1377, NULL, NULL, r12vrr_stack+670);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+12537, r12vrr_stack+16074, r12vrr_stack+10811, r12vrr_stack+208, r12vrr_stack+680, r12vrr_stack+7561);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+12924, r12vrr_stack+17496, r12vrr_stack+12537, r12vrr_stack+526, r12vrr_stack+16074, r12vrr_stack+15939);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+33090, r12vrr_stack+17586, r12vrr_stack+12924, r12vrr_stack+571, r12vrr_stack+17496, r12vrr_stack+12824);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12824, r12vrr_stack+1392, r12vrr_stack+2696, NULL, NULL, r12vrr_stack+1377);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17496, r12vrr_stack+96, r12vrr_stack+12824, r12vrr_stack+695, r12vrr_stack+1392, r12vrr_stack+10811);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15921, r12vrr_stack+17736, r12vrr_stack+17496, r12vrr_stack+716, r12vrr_stack+96, r12vrr_stack+12537);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33315, r12vrr_stack+17862, r12vrr_stack+15921, r12vrr_stack+779, r12vrr_stack+17736, r12vrr_stack+12924);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33630, r12vrr_stack+18072, r12vrr_stack+33315, r12vrr_stack+905, r12vrr_stack+17862, r12vrr_stack+33090);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+33090, r12vrr_stack+2717, r12vrr_stack+4176, NULL, NULL, r12vrr_stack+2696);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12887, r12vrr_stack+223, r12vrr_stack+33090, r12vrr_stack+1413, r12vrr_stack+2717, r12vrr_stack+12824);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17622, r12vrr_stack+18387, r12vrr_stack+12887, r12vrr_stack+1441, r12vrr_stack+223, r12vrr_stack+17496);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+34071, r12vrr_stack+18555, r12vrr_stack+17622, r12vrr_stack+1525, r12vrr_stack+18387, r12vrr_stack+15921);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+34491, r12vrr_stack+18835, r12vrr_stack+34071, r12vrr_stack+1861, r12vrr_stack+18555, r12vrr_stack+33315);
 tmp = r12vrr_stack + 34491;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15921, r12vrr_stack+4204, r12vrr_stack+6014, NULL, NULL, r12vrr_stack+4176);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18387, r12vrr_stack+1115, r12vrr_stack+15921, r12vrr_stack+2745, r12vrr_stack+4204, r12vrr_stack+33090);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+33090, r12vrr_stack+19255, r12vrr_stack+18387, r12vrr_stack+2781, r12vrr_stack+1115, r12vrr_stack+12887);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35079, r12vrr_stack+19471, r12vrr_stack+33090, r12vrr_stack+2889, r12vrr_stack+19255, r12vrr_stack+17622);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35619, r12vrr_stack+19831, r12vrr_stack+35079, r12vrr_stack+3105, r12vrr_stack+19471, r12vrr_stack+34071);
 tmp = r12vrr_stack + 35619;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34071, r12vrr_stack+6050, r12vrr_stack+8221, NULL, NULL, r12vrr_stack+6014);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34206, r12vrr_stack+2213, r12vrr_stack+34071, r12vrr_stack+4240, r12vrr_stack+6050, r12vrr_stack+15921);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19255, r12vrr_stack+20371, r12vrr_stack+34206, r12vrr_stack+4285, r12vrr_stack+2213, r12vrr_stack+18387);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36375, r12vrr_stack+20641, r12vrr_stack+19255, r12vrr_stack+4420, r12vrr_stack+20371, r12vrr_stack+33090);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37050, r12vrr_stack+21091, r12vrr_stack+36375, r12vrr_stack+4690, r12vrr_stack+20641, r12vrr_stack+35079);
 tmp = r12vrr_stack + 37050;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35079, r12vrr_stack+8266, r12vrr_stack+10856, NULL, NULL, r12vrr_stack+8221);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35244, r12vrr_stack+3555, r12vrr_stack+35079, r12vrr_stack+6095, r12vrr_stack+8266, r12vrr_stack+34071);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4140, r12vrr_stack+21766, r12vrr_stack+35244, r12vrr_stack+6150, r12vrr_stack+3555, r12vrr_stack+34206);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37995, r12vrr_stack+22096, r12vrr_stack+4140, r12vrr_stack+6315, r12vrr_stack+21766, r12vrr_stack+19255);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38820, r12vrr_stack+22646, r12vrr_stack+37995, r12vrr_stack+6645, r12vrr_stack+22096, r12vrr_stack+36375);
 tmp = r12vrr_stack + 38820;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+36375, r12vrr_stack+10911, r12vrr_stack+13957, NULL, NULL, r12vrr_stack+10856);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+36573, r12vrr_stack+5250, r12vrr_stack+36375, r12vrr_stack+8321, r12vrr_stack+10911, r12vrr_stack+35079);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21766, r12vrr_stack+23471, r12vrr_stack+36573, r12vrr_stack+8387, r12vrr_stack+5250, r12vrr_stack+35244);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39975, r12vrr_stack+23867, r12vrr_stack+21766, r12vrr_stack+8585, r12vrr_stack+23471, r12vrr_stack+4140);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40965, r12vrr_stack+24527, r12vrr_stack+39975, r12vrr_stack+8981, r12vrr_stack+23867, r12vrr_stack+37995);
 tmp = r12vrr_stack + 40965;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37995, r12vrr_stack+14023, r12vrr_stack+9641, NULL, NULL, r12vrr_stack+13957);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38229, r12vrr_stack+7327, r12vrr_stack+37995, r12vrr_stack+10977, r12vrr_stack+14023, r12vrr_stack+36375);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+23471, r12vrr_stack+25517, r12vrr_stack+38229, r12vrr_stack+11055, r12vrr_stack+7327, r12vrr_stack+36573);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+42351, r12vrr_stack+25985, r12vrr_stack+23471, r12vrr_stack+11289, r12vrr_stack+25517, r12vrr_stack+21766);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+43521, r12vrr_stack+26765, r12vrr_stack+42351, r12vrr_stack+11757, r12vrr_stack+25985, r12vrr_stack+39975);
 tmp = r12vrr_stack + 43521;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+39975, r12vrr_stack+159, r12vrr_stack+0, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39981, r12vrr_stack+9797, r12vrr_stack+39975, r12vrr_stack+7195, r12vrr_stack+159, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+39991, r12vrr_stack+21, r12vrr_stack+39981, r12vrr_stack+7198, r12vrr_stack+9797, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+40006, r12vrr_stack+3720, r12vrr_stack+39991, r12vrr_stack+1367, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+9803, r12vrr_stack+40006, r12vrr_stack+5180, r12vrr_stack+3720, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+9824, r12vrr_stack+21, r12vrr_stack+7204, r12vrr_stack+9803, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+8185, r12vrr_stack+2141, r12vrr_stack+3465, r12vrr_stack+9824, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9797, r12vrr_stack+9852, r12vrr_stack+21, r12vrr_stack+7225, r12vrr_stack+8185, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7195, r12vrr_stack+9897, r12vrr_stack+9797, r12vrr_stack+5965, r12vrr_stack+9852, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+5965, r12vrr_stack+27935, r12vrr_stack+7195, r12vrr_stack+13902, r12vrr_stack+9897, NULL);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+12537, r12vrr_stack+9641, r12vrr_stack+5965, r12vrr_stack+13957, r12vrr_stack+27935, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+5965, r12vrr_stack+9952, r12vrr_stack+12537, NULL, NULL, r12vrr_stack+9641);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+8185, r12vrr_stack+28001, r12vrr_stack+5965, r12vrr_stack+14101, r12vrr_stack+9952, r12vrr_stack+37995);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+39975, r12vrr_stack+28274, r12vrr_stack+8185, r12vrr_stack+14192, r12vrr_stack+28001, r12vrr_stack+38229);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+45159, r12vrr_stack+28820, r12vrr_stack+39975, r12vrr_stack+14465, r12vrr_stack+28274, r12vrr_stack+23471);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+46524, r12vrr_stack+29730, r12vrr_stack+45159, r12vrr_stack+15011, r12vrr_stack+28820, r12vrr_stack+42351);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+42351, r12vrr_stack+9952, r12vrr_stack+12537, r12vrr_stack+14023, r12vrr_stack+9641, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+42456, r12vrr_stack+12719, r12vrr_stack+42351, NULL, NULL, r12vrr_stack+9952);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+42771, r12vrr_stack+31095, r12vrr_stack+42456, r12vrr_stack+16131, r12vrr_stack+12719, r12vrr_stack+28001);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+45159, r12vrr_stack+31410, r12vrr_stack+42771, r12vrr_stack+16236, r12vrr_stack+31095, r12vrr_stack+28274);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+48435, r12vrr_stack+32040, r12vrr_stack+45159, r12vrr_stack+16866, r12vrr_stack+31410, r12vrr_stack+28820);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+45159, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+45165, r12vrr_stack+45159, r12vrr_stack+0, r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+45165, r12vrr_stack+45159, r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+15, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+45165, r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+162, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+36, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+1255, r12vrr_stack+187, r12vrr_stack+172, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+64, r12vrr_stack+36, NULL, r12vrr_stack+1283, r12vrr_stack+1255, NULL, r12vrr_stack+187);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+45159, r12vrr_stack+64, r12vrr_stack+36, r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+1255, r12vrr_stack+307);
 tmp = r12vrr_stack + 45159;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+45327, r12vrr_stack+45159, r12vrr_stack+64, r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+370);
 tmp = r12vrr_stack + 45327;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+2141, r12vrr_stack+36, r12vrr_stack+15, r12vrr_stack+2177, r12vrr_stack+1255, r12vrr_stack+187, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+64, r12vrr_stack+2141, NULL, r12vrr_stack+2357, r12vrr_stack+2177, NULL, r12vrr_stack+1255);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+45607, r12vrr_stack+64, r12vrr_stack+2141, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+2177, r12vrr_stack+1283);
 tmp = r12vrr_stack + 45607;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+45823, r12vrr_stack+45607, r12vrr_stack+64, r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+1693);
 tmp = r12vrr_stack + 45823;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+36, r12vrr_stack+3510, r12vrr_stack+2177, r12vrr_stack+1255, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+0, r12vrr_stack+3465, NULL, r12vrr_stack+3735, r12vrr_stack+3510, NULL, r12vrr_stack+2177);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+46183, r12vrr_stack+0, r12vrr_stack+3465, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+3510, r12vrr_stack+2357);
 tmp = r12vrr_stack + 46183;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+31095, r12vrr_stack+46183, r12vrr_stack+0, r12vrr_stack+4690, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+2465);
 tmp = r12vrr_stack + 31095;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5140, r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+5195, r12vrr_stack+3510, r12vrr_stack+2177, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+5140, NULL, r12vrr_stack+5470, r12vrr_stack+5195, NULL, r12vrr_stack+3510);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+2141, r12vrr_stack+5140, r12vrr_stack+5635, r12vrr_stack+5470, r12vrr_stack+5195, r12vrr_stack+3735);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->rvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4140, r12vrr_stack+0, r12vrr_stack+2141, r12vrr_stack+6645, r12vrr_stack+5635, r12vrr_stack+5470, r12vrr_stack+3870);
 tmp = r12vrr_stack + 4140;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7195, r12vrr_stack+5140, r12vrr_stack+3465, r12vrr_stack+7261, r12vrr_stack+5195, r12vrr_stack+3510, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+7195, NULL, r12vrr_stack+7591, r12vrr_stack+7261, NULL, r12vrr_stack+5195);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31545, r12vrr_stack+3465, r12vrr_stack+7195, r12vrr_stack+7789, r12vrr_stack+7591, r12vrr_stack+7261, r12vrr_stack+5470);
 tmp = r12vrr_stack + 31545;
 target_ptr = Libr12->rvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42351, r12vrr_stack+31545, r12vrr_stack+3465, r12vrr_stack+8981, r12vrr_stack+7789, r12vrr_stack+7591, r12vrr_stack+5635);
 tmp = r12vrr_stack + 42351;
 target_ptr = Libr12->rvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+9641, r12vrr_stack+7195, r12vrr_stack+5140, r12vrr_stack+9719, r12vrr_stack+7261, r12vrr_stack+5195, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5140, r12vrr_stack+9641, NULL, r12vrr_stack+10109, r12vrr_stack+9719, NULL, r12vrr_stack+7261);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+43011, r12vrr_stack+5140, r12vrr_stack+9641, r12vrr_stack+10343, r12vrr_stack+10109, r12vrr_stack+9719, r12vrr_stack+7591);
 tmp = r12vrr_stack + 43011;
 target_ptr = Libr12->rvrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23471, r12vrr_stack+43011, r12vrr_stack+5140, r12vrr_stack+11757, r12vrr_stack+10343, r12vrr_stack+10109, r12vrr_stack+7789);
 tmp = r12vrr_stack + 23471;
 target_ptr = Libr12->rvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12537, r12vrr_stack+9641, r12vrr_stack+7195, r12vrr_stack+12628, r12vrr_stack+9719, r12vrr_stack+7261, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7195, r12vrr_stack+12537, NULL, r12vrr_stack+13083, r12vrr_stack+12628, NULL, r12vrr_stack+9719);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+39975, r12vrr_stack+7195, r12vrr_stack+12537, r12vrr_stack+13356, r12vrr_stack+13083, r12vrr_stack+12628, r12vrr_stack+10109);
 tmp = r12vrr_stack + 39975;
 target_ptr = Libr12->rvrr_classes[2][12];
 for(i=0;i<546;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27935, r12vrr_stack+39975, r12vrr_stack+7195, r12vrr_stack+15011, r12vrr_stack+13356, r12vrr_stack+13083, r12vrr_stack+10343);
 tmp = r12vrr_stack + 27935;
 target_ptr = Libr12->rvrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1115, r12vrr_stack+1693, r12vrr_stack+2465, r12vrr_stack+1861, r12vrr_stack+905, r12vrr_stack+370);
 tmp = r12vrr_stack + 1115;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2141, r12vrr_stack+2465, r12vrr_stack+3870, r12vrr_stack+3105, r12vrr_stack+1861, r12vrr_stack+1693);
 tmp = r12vrr_stack + 2141;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3465, r12vrr_stack+3870, r12vrr_stack+5635, r12vrr_stack+4690, r12vrr_stack+3105, r12vrr_stack+2465);
 tmp = r12vrr_stack + 3465;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5140, r12vrr_stack+5635, r12vrr_stack+7789, r12vrr_stack+6645, r12vrr_stack+4690, r12vrr_stack+3870);
 tmp = r12vrr_stack + 5140;
 target_ptr = Libr12->t2vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7195, r12vrr_stack+7789, r12vrr_stack+10343, r12vrr_stack+8981, r12vrr_stack+6645, r12vrr_stack+5635);
 tmp = r12vrr_stack + 7195;
 target_ptr = Libr12->t2vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9641, r12vrr_stack+10343, r12vrr_stack+13356, r12vrr_stack+11757, r12vrr_stack+8981, r12vrr_stack+7789);
 tmp = r12vrr_stack + 9641;
 target_ptr = Libr12->t2vrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12537, r12vrr_stack+13356, r12vrr_stack+16866, r12vrr_stack+15011, r12vrr_stack+11757, r12vrr_stack+10343);
 tmp = r12vrr_stack + 12537;
 target_ptr = Libr12->t2vrr_classes[2][12];
 for(i=0;i<546;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+330, r12vrr_stack+1861, r12vrr_stack+3105, r12vrr_stack+18835, r12vrr_stack+18072, r12vrr_stack+905);
 tmp = r12vrr_stack + 330;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+40521, r12vrr_stack+3105, r12vrr_stack+4690, r12vrr_stack+19831, r12vrr_stack+18835, r12vrr_stack+1861);
 tmp = r12vrr_stack + 40521;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8185, r12vrr_stack+4690, r12vrr_stack+6645, r12vrr_stack+21091, r12vrr_stack+19831, r12vrr_stack+3105);
 tmp = r12vrr_stack + 8185;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+37995, r12vrr_stack+6645, r12vrr_stack+8981, r12vrr_stack+22646, r12vrr_stack+21091, r12vrr_stack+4690);
 tmp = r12vrr_stack + 37995;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5965, r12vrr_stack+8981, r12vrr_stack+11757, r12vrr_stack+24527, r12vrr_stack+22646, r12vrr_stack+6645);
 tmp = r12vrr_stack + 5965;
 target_ptr = Libr12->t2vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+28845, r12vrr_stack+11757, r12vrr_stack+15011, r12vrr_stack+26765, r12vrr_stack+24527, r12vrr_stack+8981);
 tmp = r12vrr_stack + 28845;
 target_ptr = Libr12->t2vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+13902, r12vrr_stack+15011, r12vrr_stack+32040, r12vrr_stack+29730, r12vrr_stack+26765, r12vrr_stack+11757);
 tmp = r12vrr_stack + 13902;
 target_ptr = Libr12->t2vrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+34071, r12vrr_stack+18835, r12vrr_stack+19831, r12vrr_stack+34491, r12vrr_stack+33630, r12vrr_stack+18072);
 tmp = r12vrr_stack + 34071;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35079, r12vrr_stack+19831, r12vrr_stack+21091, r12vrr_stack+35619, r12vrr_stack+34491, r12vrr_stack+18835);
 tmp = r12vrr_stack + 35079;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+36375, r12vrr_stack+21091, r12vrr_stack+22646, r12vrr_stack+37050, r12vrr_stack+35619, r12vrr_stack+19831);
 tmp = r12vrr_stack + 36375;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+21766, r12vrr_stack+22646, r12vrr_stack+24527, r12vrr_stack+38820, r12vrr_stack+37050, r12vrr_stack+21091);
 tmp = r12vrr_stack + 21766;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+25517, r12vrr_stack+24527, r12vrr_stack+26765, r12vrr_stack+40965, r12vrr_stack+38820, r12vrr_stack+22646);
 tmp = r12vrr_stack + 25517;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+17496, r12vrr_stack+26765, r12vrr_stack+29730, r12vrr_stack+43521, r12vrr_stack+40965, r12vrr_stack+24527);
 tmp = r12vrr_stack + 17496;
 target_ptr = Libr12->t2vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+50010, r12vrr_stack+29730, r12vrr_stack+48435, r12vrr_stack+46524, r12vrr_stack+43521, r12vrr_stack+26765);
 tmp = r12vrr_stack + 50010;
 target_ptr = Libr12->t2vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+610, r12vrr_stack+1693, r12vrr_stack+1861, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+1283);
 tmp = r12vrr_stack + 610;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1283, r12vrr_stack+2465, r12vrr_stack+3105, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+2357);
 tmp = r12vrr_stack + 1283;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24251, r12vrr_stack+3870, r12vrr_stack+4690, r12vrr_stack+5635, r12vrr_stack+5470, r12vrr_stack+3735);
 tmp = r12vrr_stack + 24251;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+8635, r12vrr_stack+5635, r12vrr_stack+6645, r12vrr_stack+7789, r12vrr_stack+7591, r12vrr_stack+5470);
 tmp = r12vrr_stack + 8635;
 target_ptr = Libr12->t1vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+19255, r12vrr_stack+7789, r12vrr_stack+8981, r12vrr_stack+10343, r12vrr_stack+10109, r12vrr_stack+7591);
 tmp = r12vrr_stack + 19255;
 target_ptr = Libr12->t1vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+33090, r12vrr_stack+10343, r12vrr_stack+11757, r12vrr_stack+13356, r12vrr_stack+13083, r12vrr_stack+10109);
 tmp = r12vrr_stack + 33090;
 target_ptr = Libr12->t1vrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+20371, r12vrr_stack+13356, r12vrr_stack+15011, r12vrr_stack+16866, r12vrr_stack+16551, r12vrr_stack+13083);
 tmp = r12vrr_stack + 20371;
 target_ptr = Libr12->t1vrr_classes[2][12];
 for(i=0;i<546;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33558, r12vrr_stack+1861, r12vrr_stack+18835, r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+1693);
 tmp = r12vrr_stack + 33558;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15921, r12vrr_stack+3105, r12vrr_stack+19831, r12vrr_stack+4690, r12vrr_stack+3870, r12vrr_stack+2465);
 tmp = r12vrr_stack + 15921;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16281, r12vrr_stack+4690, r12vrr_stack+21091, r12vrr_stack+6645, r12vrr_stack+5635, r12vrr_stack+3870);
 tmp = r12vrr_stack + 16281;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+10811, r12vrr_stack+6645, r12vrr_stack+22646, r12vrr_stack+8981, r12vrr_stack+7789, r12vrr_stack+5635);
 tmp = r12vrr_stack + 10811;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+51375, r12vrr_stack+8981, r12vrr_stack+24527, r12vrr_stack+11757, r12vrr_stack+10343, r12vrr_stack+7789);
 tmp = r12vrr_stack + 51375;
 target_ptr = Libr12->t1vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+52035, r12vrr_stack+11757, r12vrr_stack+26765, r12vrr_stack+15011, r12vrr_stack+13356, r12vrr_stack+10343);
 tmp = r12vrr_stack + 52035;
 target_ptr = Libr12->t1vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+52815, r12vrr_stack+15011, r12vrr_stack+29730, r12vrr_stack+32040, r12vrr_stack+16866, r12vrr_stack+13356);
 tmp = r12vrr_stack + 52815;
 target_ptr = Libr12->t1vrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16731, r12vrr_stack+18835, r12vrr_stack+34491, r12vrr_stack+19831, r12vrr_stack+3105, r12vrr_stack+1861);
 tmp = r12vrr_stack + 16731;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+34491, r12vrr_stack+19831, r12vrr_stack+35619, r12vrr_stack+21091, r12vrr_stack+4690, r12vrr_stack+3105);
 tmp = r12vrr_stack + 34491;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35619, r12vrr_stack+21091, r12vrr_stack+37050, r12vrr_stack+22646, r12vrr_stack+6645, r12vrr_stack+4690);
 tmp = r12vrr_stack + 35619;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+37050, r12vrr_stack+22646, r12vrr_stack+38820, r12vrr_stack+24527, r12vrr_stack+8981, r12vrr_stack+6645);
 tmp = r12vrr_stack + 37050;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+38545, r12vrr_stack+24527, r12vrr_stack+40965, r12vrr_stack+26765, r12vrr_stack+11757, r12vrr_stack+8981);
 tmp = r12vrr_stack + 38545;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+40881, r12vrr_stack+26765, r12vrr_stack+43521, r12vrr_stack+29730, r12vrr_stack+15011, r12vrr_stack+11757);
 tmp = r12vrr_stack + 40881;
 target_ptr = Libr12->t1vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+43479, r12vrr_stack+29730, r12vrr_stack+46524, r12vrr_stack+48435, r12vrr_stack+32040, r12vrr_stack+15011);
 tmp = r12vrr_stack + 43479;
 target_ptr = Libr12->t1vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+46453, r12vrr_stack+45327, r12vrr_stack+45159, r12vrr_stack+18835, r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+905);
 tmp = r12vrr_stack + 46453;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+46873, r12vrr_stack+45823, r12vrr_stack+45607, r12vrr_stack+19831, r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+1861);
 tmp = r12vrr_stack + 46873;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+2357, r12vrr_stack+31095, r12vrr_stack+46183, r12vrr_stack+21091, r12vrr_stack+4690, r12vrr_stack+3870, r12vrr_stack+3105);
 tmp = r12vrr_stack + 2357;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+47413, r12vrr_stack+4140, r12vrr_stack+0, r12vrr_stack+22646, r12vrr_stack+6645, r12vrr_stack+5635, r12vrr_stack+4690);
 tmp = r12vrr_stack + 47413;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3735, r12vrr_stack+42351, r12vrr_stack+31545, r12vrr_stack+24527, r12vrr_stack+8981, r12vrr_stack+7789, r12vrr_stack+6645);
 tmp = r12vrr_stack + 3735;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31095, r12vrr_stack+23471, r12vrr_stack+43011, r12vrr_stack+26765, r12vrr_stack+11757, r12vrr_stack+10343, r12vrr_stack+8981);
 tmp = r12vrr_stack + 31095;
 target_ptr = Libr12->rvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+48238, r12vrr_stack+27935, r12vrr_stack+39975, r12vrr_stack+29730, r12vrr_stack+15011, r12vrr_stack+13356, r12vrr_stack+11757);
 tmp = r12vrr_stack + 48238;
 target_ptr = Libr12->rvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];


}

