#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_dpi0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+65, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+71, r12vrr_stack+21, r12vrr_stack+65, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+96, r12vrr_stack+81, r12vrr_stack+50, NULL, NULL, r12vrr_stack+21);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+71, r12vrr_stack+21, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+65, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+71, r12vrr_stack+15, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+81, r12vrr_stack+162, r12vrr_stack+71, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+31, r12vrr_stack+0, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+34, r12vrr_stack+65, r12vrr_stack+6, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+208, r12vrr_stack+40, r12vrr_stack+71, r12vrr_stack+9, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+223, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+21, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+141, r12vrr_stack+223, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+307, r12vrr_stack+187, r12vrr_stack+141, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+370, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+96);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+496, r12vrr_stack+21, r12vrr_stack+40, NULL, NULL, r12vrr_stack+9);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+526, r12vrr_stack+50, r12vrr_stack+208, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+571, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+496);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+661, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+664, r12vrr_stack+0, r12vrr_stack+661, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+670, r12vrr_stack+65, r12vrr_stack+664, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+680, r12vrr_stack+71, r12vrr_stack+670, r12vrr_stack+34, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+695, r12vrr_stack+208, r12vrr_stack+680, r12vrr_stack+40, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+716, r12vrr_stack+223, r12vrr_stack+695, NULL, NULL, r12vrr_stack+208);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+244, r12vrr_stack+716, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+526);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+370, r12vrr_stack+779, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+571);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+223, r12vrr_stack+695, r12vrr_stack+50, r12vrr_stack+208, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+81, r12vrr_stack+50, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1171, r12vrr_stack+1143, r12vrr_stack+1115, NULL, NULL, r12vrr_stack+223);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1255, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+172, r12vrr_stack+81, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1283, r12vrr_stack+1255, r12vrr_stack+1143, NULL, NULL, r12vrr_stack+141);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+661, r12vrr_stack+31, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1367, r12vrr_stack+664, r12vrr_stack+81, r12vrr_stack+0, r12vrr_stack+661, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1377, r12vrr_stack+670, r12vrr_stack+1367, r12vrr_stack+65, r12vrr_stack+664, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+680, r12vrr_stack+1377, r12vrr_stack+71, r12vrr_stack+670, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1413, r12vrr_stack+695, r12vrr_stack+1392, r12vrr_stack+208, r12vrr_stack+680, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1441, r12vrr_stack+1115, r12vrr_stack+1413, NULL, NULL, r12vrr_stack+695);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1525, r12vrr_stack+1171, r12vrr_stack+1441, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+716);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+1171, r12vrr_stack+1255, r12vrr_stack+1143, r12vrr_stack+244);
 tmp = r12vrr_stack + 1693;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+1525, r12vrr_stack+1283, r12vrr_stack+1171, r12vrr_stack+779);
 tmp = r12vrr_stack + 1861;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+141, r12vrr_stack+223, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2177, r12vrr_stack+1255, r12vrr_stack+1143, r12vrr_stack+187, r12vrr_stack+141, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2213, r12vrr_stack+1115, r12vrr_stack+1413, r12vrr_stack+223, r12vrr_stack+695, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2249, r12vrr_stack+2141, r12vrr_stack+2213, NULL, NULL, r12vrr_stack+1115);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2357, r12vrr_stack+2177, r12vrr_stack+2141, NULL, NULL, r12vrr_stack+1143);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+2249, r12vrr_stack+2177, r12vrr_stack+2141, r12vrr_stack+1171);
 tmp = r12vrr_stack + 2465;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+2177, r12vrr_stack+9, r12vrr_stack+34, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2681, r12vrr_stack+40, r12vrr_stack+71, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2711, r12vrr_stack+496, r12vrr_stack+2681, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+2177);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2771, r12vrr_stack+208, r12vrr_stack+680, NULL, NULL, r12vrr_stack+71);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2816, r12vrr_stack+526, r12vrr_stack+2771, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+2681);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2906, r12vrr_stack+571, r12vrr_stack+2816, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+2711);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2681, r12vrr_stack+695, r12vrr_stack+1392, NULL, NULL, r12vrr_stack+680);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+716, r12vrr_stack+2681, r12vrr_stack+223, r12vrr_stack+695, r12vrr_stack+2771);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3056, r12vrr_stack+779, r12vrr_stack+496, r12vrr_stack+244, r12vrr_stack+716, r12vrr_stack+2816);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3266, r12vrr_stack+905, r12vrr_stack+3056, r12vrr_stack+370, r12vrr_stack+779, r12vrr_stack+2906);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+716, r12vrr_stack+31, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+81, r12vrr_stack+716, r12vrr_stack+661, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+31, r12vrr_stack+1367, r12vrr_stack+21, r12vrr_stack+664, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+46, r12vrr_stack+1377, r12vrr_stack+31, r12vrr_stack+670, r12vrr_stack+1367, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+1392, r12vrr_stack+46, r12vrr_stack+680, r12vrr_stack+1377, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+1413, r12vrr_stack+1143, NULL, NULL, r12vrr_stack+1392);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+716, r12vrr_stack+1441, r12vrr_stack+21, r12vrr_stack+1115, r12vrr_stack+1413, r12vrr_stack+2681);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2681, r12vrr_stack+1525, r12vrr_stack+716, r12vrr_stack+1171, r12vrr_stack+1441, r12vrr_stack+496);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3581, r12vrr_stack+1861, r12vrr_stack+2681, r12vrr_stack+1693, r12vrr_stack+1525, r12vrr_stack+3056);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2177, r12vrr_stack+1413, r12vrr_stack+1143, r12vrr_stack+695, r12vrr_stack+1392, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2681, r12vrr_stack+2213, r12vrr_stack+2177, NULL, NULL, r12vrr_stack+1413);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2789, r12vrr_stack+2249, r12vrr_stack+2681, r12vrr_stack+2141, r12vrr_stack+2213, r12vrr_stack+1441);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+2465, r12vrr_stack+2789, r12vrr_stack+2357, r12vrr_stack+2249, r12vrr_stack+1525);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+2141, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+2147, r12vrr_stack+2141, r12vrr_stack+0, r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+2147, r12vrr_stack+2141, r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+15, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+2147, r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+162, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+36, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+1255, r12vrr_stack+187, r12vrr_stack+172, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+64, r12vrr_stack+36, NULL, r12vrr_stack+1283, r12vrr_stack+1255, NULL, r12vrr_stack+187);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+2141, r12vrr_stack+64, r12vrr_stack+36, r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+1255, r12vrr_stack+307);
 tmp = r12vrr_stack + 2141;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1115, r12vrr_stack+1693, r12vrr_stack+2465, r12vrr_stack+1861, r12vrr_stack+905, r12vrr_stack+370);
 tmp = r12vrr_stack + 1115;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2681, r12vrr_stack+1861, r12vrr_stack+496, r12vrr_stack+3581, r12vrr_stack+3266, r12vrr_stack+905);
 tmp = r12vrr_stack + 2681;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+148, r12vrr_stack+1693, r12vrr_stack+1861, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+1283);
 tmp = r12vrr_stack + 148;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2961, r12vrr_stack+1861, r12vrr_stack+3581, r12vrr_stack+496, r12vrr_stack+2465, r12vrr_stack+1693);
 tmp = r12vrr_stack + 2961;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+496, r12vrr_stack+2141, r12vrr_stack+64, r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+370);
 tmp = r12vrr_stack + 496;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];


}

