#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_dpid(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+65, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+71, r12vrr_stack+21, r12vrr_stack+65, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+96, r12vrr_stack+81, r12vrr_stack+50, NULL, NULL, r12vrr_stack+21);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+71, r12vrr_stack+21, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+65, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+71, r12vrr_stack+15, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+81, r12vrr_stack+162, r12vrr_stack+71, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+31, r12vrr_stack+0, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+34, r12vrr_stack+65, r12vrr_stack+6, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+208, r12vrr_stack+40, r12vrr_stack+71, r12vrr_stack+9, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+223, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+21, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+141, r12vrr_stack+223, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+307, r12vrr_stack+187, r12vrr_stack+141, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+370, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+96);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+496, r12vrr_stack+21, r12vrr_stack+40, NULL, NULL, r12vrr_stack+9);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+526, r12vrr_stack+50, r12vrr_stack+208, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+571, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+496);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+661, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+664, r12vrr_stack+0, r12vrr_stack+661, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+670, r12vrr_stack+65, r12vrr_stack+664, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+680, r12vrr_stack+71, r12vrr_stack+670, r12vrr_stack+34, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+695, r12vrr_stack+208, r12vrr_stack+680, r12vrr_stack+40, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+716, r12vrr_stack+223, r12vrr_stack+695, NULL, NULL, r12vrr_stack+208);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+244, r12vrr_stack+716, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+526);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+370, r12vrr_stack+779, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+571);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+223, r12vrr_stack+695, r12vrr_stack+50, r12vrr_stack+208, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+81, r12vrr_stack+50, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1171, r12vrr_stack+1143, r12vrr_stack+1115, NULL, NULL, r12vrr_stack+223);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1255, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+172, r12vrr_stack+81, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1283, r12vrr_stack+1255, r12vrr_stack+1143, NULL, NULL, r12vrr_stack+141);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+661, r12vrr_stack+31, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1367, r12vrr_stack+664, r12vrr_stack+81, r12vrr_stack+0, r12vrr_stack+661, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1377, r12vrr_stack+670, r12vrr_stack+1367, r12vrr_stack+65, r12vrr_stack+664, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+680, r12vrr_stack+1377, r12vrr_stack+71, r12vrr_stack+670, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1413, r12vrr_stack+695, r12vrr_stack+1392, r12vrr_stack+208, r12vrr_stack+680, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1441, r12vrr_stack+1115, r12vrr_stack+1413, NULL, NULL, r12vrr_stack+695);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1525, r12vrr_stack+1171, r12vrr_stack+1441, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+716);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+1171, r12vrr_stack+1255, r12vrr_stack+1143, r12vrr_stack+244);
 tmp = r12vrr_stack + 1693;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+1525, r12vrr_stack+1283, r12vrr_stack+1171, r12vrr_stack+779);
 tmp = r12vrr_stack + 1861;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+141, r12vrr_stack+223, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2177, r12vrr_stack+1255, r12vrr_stack+1143, r12vrr_stack+187, r12vrr_stack+141, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2213, r12vrr_stack+1115, r12vrr_stack+1413, r12vrr_stack+223, r12vrr_stack+695, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2249, r12vrr_stack+2141, r12vrr_stack+2213, NULL, NULL, r12vrr_stack+1115);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2357, r12vrr_stack+2177, r12vrr_stack+2141, NULL, NULL, r12vrr_stack+1143);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+2249, r12vrr_stack+2177, r12vrr_stack+2141, r12vrr_stack+1171);
 tmp = r12vrr_stack + 2465;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+31, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+141, r12vrr_stack+81, r12vrr_stack+65, r12vrr_stack+661, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2681, r12vrr_stack+1367, r12vrr_stack+141, r12vrr_stack+664, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2696, r12vrr_stack+1377, r12vrr_stack+2681, r12vrr_stack+670, r12vrr_stack+1367, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2717, r12vrr_stack+1392, r12vrr_stack+2696, r12vrr_stack+680, r12vrr_stack+1377, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2745, r12vrr_stack+1413, r12vrr_stack+2717, r12vrr_stack+695, r12vrr_stack+1392, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2781, r12vrr_stack+2213, r12vrr_stack+2745, NULL, NULL, r12vrr_stack+1413);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2889, r12vrr_stack+2249, r12vrr_stack+2781, r12vrr_stack+2141, r12vrr_stack+2213, r12vrr_stack+1441);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+2889, r12vrr_stack+2357, r12vrr_stack+2249, r12vrr_stack+1525);
 tmp = r12vrr_stack + 3105;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+2213, r12vrr_stack+1143, r12vrr_stack+1115, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3510, r12vrr_stack+2177, r12vrr_stack+2141, r12vrr_stack+1255, r12vrr_stack+1143, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3555, r12vrr_stack+2213, r12vrr_stack+2745, r12vrr_stack+1115, r12vrr_stack+1413, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3600, r12vrr_stack+3465, r12vrr_stack+3555, NULL, NULL, r12vrr_stack+2213);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3735, r12vrr_stack+3510, r12vrr_stack+3465, NULL, NULL, r12vrr_stack+2141);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+3600, r12vrr_stack+3510, r12vrr_stack+3465, r12vrr_stack+2249);
 tmp = r12vrr_stack + 3870;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1143, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1146, r12vrr_stack+0, r12vrr_stack+1143, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1152, r12vrr_stack+65, r12vrr_stack+1146, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+661, r12vrr_stack+141, r12vrr_stack+1152, r12vrr_stack+81, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4140, r12vrr_stack+2681, r12vrr_stack+661, r12vrr_stack+1367, r12vrr_stack+141, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4161, r12vrr_stack+2696, r12vrr_stack+4140, r12vrr_stack+1377, r12vrr_stack+2681, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4189, r12vrr_stack+2717, r12vrr_stack+4161, r12vrr_stack+1392, r12vrr_stack+2696, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4225, r12vrr_stack+2745, r12vrr_stack+4189, r12vrr_stack+1413, r12vrr_stack+2717, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4270, r12vrr_stack+3555, r12vrr_stack+4225, NULL, NULL, r12vrr_stack+2745);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4405, r12vrr_stack+3600, r12vrr_stack+4270, r12vrr_stack+3465, r12vrr_stack+3555, r12vrr_stack+2781);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4675, r12vrr_stack+3870, r12vrr_stack+4405, r12vrr_stack+3735, r12vrr_stack+3600, r12vrr_stack+2889);
 tmp = r12vrr_stack + 4675;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5125, r12vrr_stack+3465, r12vrr_stack+3555, r12vrr_stack+2141, r12vrr_stack+2213, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5180, r12vrr_stack+3510, r12vrr_stack+3465, r12vrr_stack+2177, r12vrr_stack+2141, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5235, r12vrr_stack+3555, r12vrr_stack+4225, r12vrr_stack+2213, r12vrr_stack+2745, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5290, r12vrr_stack+5125, r12vrr_stack+5235, NULL, NULL, r12vrr_stack+3555);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5455, r12vrr_stack+5180, r12vrr_stack+5125, NULL, NULL, r12vrr_stack+3465);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5620, r12vrr_stack+5455, r12vrr_stack+5290, r12vrr_stack+5180, r12vrr_stack+5125, r12vrr_stack+3600);
 tmp = r12vrr_stack + 5620;
 target_ptr = Libr12->gvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+5180, r12vrr_stack+9, r12vrr_stack+34, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+5198, r12vrr_stack+40, r12vrr_stack+71, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+5950, r12vrr_stack+496, r12vrr_stack+5198, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+5180);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3465, r12vrr_stack+208, r12vrr_stack+680, NULL, NULL, r12vrr_stack+71);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+6010, r12vrr_stack+526, r12vrr_stack+3465, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+5198);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+6100, r12vrr_stack+571, r12vrr_stack+6010, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+5950);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+71, r12vrr_stack+695, r12vrr_stack+1392, NULL, NULL, r12vrr_stack+680);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+716, r12vrr_stack+71, r12vrr_stack+223, r12vrr_stack+695, r12vrr_stack+3465);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6250, r12vrr_stack+779, r12vrr_stack+496, r12vrr_stack+244, r12vrr_stack+716, r12vrr_stack+6010);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6460, r12vrr_stack+905, r12vrr_stack+6250, r12vrr_stack+370, r12vrr_stack+779, r12vrr_stack+6100);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5950, r12vrr_stack+1413, r12vrr_stack+2717, NULL, NULL, r12vrr_stack+1392);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6034, r12vrr_stack+1441, r12vrr_stack+5950, r12vrr_stack+1115, r12vrr_stack+1413, r12vrr_stack+71);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6775, r12vrr_stack+1525, r12vrr_stack+6034, r12vrr_stack+1171, r12vrr_stack+1441, r12vrr_stack+496);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7055, r12vrr_stack+1861, r12vrr_stack+6775, r12vrr_stack+1693, r12vrr_stack+1525, r12vrr_stack+6250);
 tmp = r12vrr_stack + 7055;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+2745, r12vrr_stack+4189, NULL, NULL, r12vrr_stack+2717);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6202, r12vrr_stack+2781, r12vrr_stack+496, r12vrr_stack+2213, r12vrr_stack+2745, r12vrr_stack+5950);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7475, r12vrr_stack+2889, r12vrr_stack+6202, r12vrr_stack+2249, r12vrr_stack+2781, r12vrr_stack+6034);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7835, r12vrr_stack+3105, r12vrr_stack+7475, r12vrr_stack+2465, r12vrr_stack+2889, r12vrr_stack+6775);
 tmp = r12vrr_stack + 7835;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6775, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6778, r12vrr_stack+1143, r12vrr_stack+6775, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6784, r12vrr_stack+1146, r12vrr_stack+6778, r12vrr_stack+0, r12vrr_stack+1143, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6794, r12vrr_stack+1152, r12vrr_stack+6784, r12vrr_stack+65, r12vrr_stack+1146, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6809, r12vrr_stack+661, r12vrr_stack+6794, r12vrr_stack+141, r12vrr_stack+1152, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6775, r12vrr_stack+4140, r12vrr_stack+6809, r12vrr_stack+2681, r12vrr_stack+661, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+4161, r12vrr_stack+6775, r12vrr_stack+2696, r12vrr_stack+4140, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+4189, r12vrr_stack+2141, r12vrr_stack+2717, r12vrr_stack+4161, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6775, r12vrr_stack+4225, r12vrr_stack+3465, NULL, NULL, r12vrr_stack+4189);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2781, r12vrr_stack+4270, r12vrr_stack+6775, r12vrr_stack+3555, r12vrr_stack+4225, r12vrr_stack+496);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8375, r12vrr_stack+4405, r12vrr_stack+2781, r12vrr_stack+3600, r12vrr_stack+4270, r12vrr_stack+6202);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8825, r12vrr_stack+4675, r12vrr_stack+8375, r12vrr_stack+3870, r12vrr_stack+4405, r12vrr_stack+7475);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5180, r12vrr_stack+4225, r12vrr_stack+3465, r12vrr_stack+2745, r12vrr_stack+4189, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7475, r12vrr_stack+5235, r12vrr_stack+5180, NULL, NULL, r12vrr_stack+4225);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8375, r12vrr_stack+5290, r12vrr_stack+7475, r12vrr_stack+5125, r12vrr_stack+5235, r12vrr_stack+4270);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9500, r12vrr_stack+5620, r12vrr_stack+8375, r12vrr_stack+5455, r12vrr_stack+5290, r12vrr_stack+4405);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+8375, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+8381, r12vrr_stack+8375, r12vrr_stack+0, r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+8381, r12vrr_stack+8375, r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+15, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+8381, r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+162, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+36, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+1255, r12vrr_stack+187, r12vrr_stack+172, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+64, r12vrr_stack+36, NULL, r12vrr_stack+1283, r12vrr_stack+1255, NULL, r12vrr_stack+187);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+8375, r12vrr_stack+64, r12vrr_stack+36, r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+1255, r12vrr_stack+307);
 tmp = r12vrr_stack + 8375;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+2141, r12vrr_stack+36, r12vrr_stack+15, r12vrr_stack+2177, r12vrr_stack+1255, r12vrr_stack+187, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+148, r12vrr_stack+2141, NULL, r12vrr_stack+2357, r12vrr_stack+2177, NULL, r12vrr_stack+1255);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+8543, r12vrr_stack+148, r12vrr_stack+2141, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+2177, r12vrr_stack+1283);
 tmp = r12vrr_stack + 8543;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+36, r12vrr_stack+3510, r12vrr_stack+2177, r12vrr_stack+1255, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+5125, r12vrr_stack+3465, NULL, r12vrr_stack+3735, r12vrr_stack+3510, NULL, r12vrr_stack+2177);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+7475, r12vrr_stack+5125, r12vrr_stack+3465, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+3510, r12vrr_stack+2357);
 tmp = r12vrr_stack + 7475;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1115, r12vrr_stack+1693, r12vrr_stack+2465, r12vrr_stack+1861, r12vrr_stack+905, r12vrr_stack+370);
 tmp = r12vrr_stack + 1115;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2141, r12vrr_stack+2465, r12vrr_stack+3870, r12vrr_stack+3105, r12vrr_stack+1861, r12vrr_stack+1693);
 tmp = r12vrr_stack + 2141;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3465, r12vrr_stack+3870, r12vrr_stack+5620, r12vrr_stack+4675, r12vrr_stack+3105, r12vrr_stack+2465);
 tmp = r12vrr_stack + 3465;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6775, r12vrr_stack+1861, r12vrr_stack+3105, r12vrr_stack+7055, r12vrr_stack+6460, r12vrr_stack+905);
 tmp = r12vrr_stack + 6775;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+496, r12vrr_stack+3105, r12vrr_stack+4675, r12vrr_stack+7835, r12vrr_stack+7055, r12vrr_stack+1861);
 tmp = r12vrr_stack + 496;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4140, r12vrr_stack+4675, r12vrr_stack+9500, r12vrr_stack+8825, r12vrr_stack+7835, r12vrr_stack+3105);
 tmp = r12vrr_stack + 4140;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5260, r12vrr_stack+1693, r12vrr_stack+1861, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+1283);
 tmp = r12vrr_stack + 5260;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+856, r12vrr_stack+2465, r12vrr_stack+3105, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+2357);
 tmp = r12vrr_stack + 856;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2681, r12vrr_stack+3870, r12vrr_stack+4675, r12vrr_stack+5620, r12vrr_stack+5455, r12vrr_stack+3735);
 tmp = r12vrr_stack + 2681;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5950, r12vrr_stack+1861, r12vrr_stack+7055, r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+1693);
 tmp = r12vrr_stack + 5950;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7055, r12vrr_stack+3105, r12vrr_stack+7835, r12vrr_stack+4675, r12vrr_stack+3870, r12vrr_stack+2465);
 tmp = r12vrr_stack + 7055;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7745, r12vrr_stack+4675, r12vrr_stack+8825, r12vrr_stack+9500, r12vrr_stack+5620, r12vrr_stack+3870);
 tmp = r12vrr_stack + 7745;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+8759, r12vrr_stack+8375, r12vrr_stack+64, r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+370);
 tmp = r12vrr_stack + 8759;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+1283, r12vrr_stack+8543, r12vrr_stack+148, r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+1693);
 tmp = r12vrr_stack + 1283;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+1643, r12vrr_stack+7475, r12vrr_stack+5125, r12vrr_stack+4675, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+2465);
 tmp = r12vrr_stack + 1643;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];


}

