#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_dpig(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+9, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+65, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+71, r12vrr_stack+21, r12vrr_stack+65, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+96, r12vrr_stack+81, r12vrr_stack+50, NULL, NULL, r12vrr_stack+21);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+71, r12vrr_stack+21, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+65, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+71, r12vrr_stack+15, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+81, r12vrr_stack+162, r12vrr_stack+71, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+31, r12vrr_stack+0, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+34, r12vrr_stack+65, r12vrr_stack+6, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+208, r12vrr_stack+40, r12vrr_stack+71, r12vrr_stack+9, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+223, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+21, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+141, r12vrr_stack+223, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+307, r12vrr_stack+187, r12vrr_stack+141, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+370, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+96);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+496, r12vrr_stack+21, r12vrr_stack+40, NULL, NULL, r12vrr_stack+9);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+526, r12vrr_stack+50, r12vrr_stack+208, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+571, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+81, r12vrr_stack+50, r12vrr_stack+496);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+661, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+664, r12vrr_stack+0, r12vrr_stack+661, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+670, r12vrr_stack+65, r12vrr_stack+664, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+680, r12vrr_stack+71, r12vrr_stack+670, r12vrr_stack+34, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+695, r12vrr_stack+208, r12vrr_stack+680, r12vrr_stack+40, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+716, r12vrr_stack+223, r12vrr_stack+695, NULL, NULL, r12vrr_stack+208);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+244, r12vrr_stack+716, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+526);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+370, r12vrr_stack+779, r12vrr_stack+307, r12vrr_stack+244, r12vrr_stack+571);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+223, r12vrr_stack+695, r12vrr_stack+50, r12vrr_stack+208, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+141, r12vrr_stack+223, r12vrr_stack+81, r12vrr_stack+50, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1171, r12vrr_stack+1143, r12vrr_stack+1115, NULL, NULL, r12vrr_stack+223);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1255, r12vrr_stack+187, r12vrr_stack+141, r12vrr_stack+172, r12vrr_stack+81, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1283, r12vrr_stack+1255, r12vrr_stack+1143, NULL, NULL, r12vrr_stack+141);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+661, r12vrr_stack+31, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1367, r12vrr_stack+664, r12vrr_stack+81, r12vrr_stack+0, r12vrr_stack+661, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1377, r12vrr_stack+670, r12vrr_stack+1367, r12vrr_stack+65, r12vrr_stack+664, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+680, r12vrr_stack+1377, r12vrr_stack+71, r12vrr_stack+670, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1413, r12vrr_stack+695, r12vrr_stack+1392, r12vrr_stack+208, r12vrr_stack+680, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1441, r12vrr_stack+1115, r12vrr_stack+1413, NULL, NULL, r12vrr_stack+695);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1525, r12vrr_stack+1171, r12vrr_stack+1441, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+716);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+1171, r12vrr_stack+1255, r12vrr_stack+1143, r12vrr_stack+244);
 tmp = r12vrr_stack + 1693;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+1525, r12vrr_stack+1283, r12vrr_stack+1171, r12vrr_stack+779);
 tmp = r12vrr_stack + 1861;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+141, r12vrr_stack+223, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2177, r12vrr_stack+1255, r12vrr_stack+1143, r12vrr_stack+187, r12vrr_stack+141, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2213, r12vrr_stack+1115, r12vrr_stack+1413, r12vrr_stack+223, r12vrr_stack+695, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2249, r12vrr_stack+2141, r12vrr_stack+2213, NULL, NULL, r12vrr_stack+1115);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2357, r12vrr_stack+2177, r12vrr_stack+2141, NULL, NULL, r12vrr_stack+1143);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+2249, r12vrr_stack+2177, r12vrr_stack+2141, r12vrr_stack+1171);
 tmp = r12vrr_stack + 2465;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+31, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+141, r12vrr_stack+81, r12vrr_stack+65, r12vrr_stack+661, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2681, r12vrr_stack+1367, r12vrr_stack+141, r12vrr_stack+664, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2696, r12vrr_stack+1377, r12vrr_stack+2681, r12vrr_stack+670, r12vrr_stack+1367, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2717, r12vrr_stack+1392, r12vrr_stack+2696, r12vrr_stack+680, r12vrr_stack+1377, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2745, r12vrr_stack+1413, r12vrr_stack+2717, r12vrr_stack+695, r12vrr_stack+1392, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2781, r12vrr_stack+2213, r12vrr_stack+2745, NULL, NULL, r12vrr_stack+1413);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2889, r12vrr_stack+2249, r12vrr_stack+2781, r12vrr_stack+2141, r12vrr_stack+2213, r12vrr_stack+1441);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+2889, r12vrr_stack+2357, r12vrr_stack+2249, r12vrr_stack+1525);
 tmp = r12vrr_stack + 3105;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+2213, r12vrr_stack+1143, r12vrr_stack+1115, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3510, r12vrr_stack+2177, r12vrr_stack+2141, r12vrr_stack+1255, r12vrr_stack+1143, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3555, r12vrr_stack+2213, r12vrr_stack+2745, r12vrr_stack+1115, r12vrr_stack+1413, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3600, r12vrr_stack+3465, r12vrr_stack+3555, NULL, NULL, r12vrr_stack+2213);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3735, r12vrr_stack+3510, r12vrr_stack+3465, NULL, NULL, r12vrr_stack+2141);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+3600, r12vrr_stack+3510, r12vrr_stack+3465, r12vrr_stack+2249);
 tmp = r12vrr_stack + 3870;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1143, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1146, r12vrr_stack+0, r12vrr_stack+1143, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1152, r12vrr_stack+65, r12vrr_stack+1146, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+661, r12vrr_stack+141, r12vrr_stack+1152, r12vrr_stack+81, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4140, r12vrr_stack+2681, r12vrr_stack+661, r12vrr_stack+1367, r12vrr_stack+141, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4161, r12vrr_stack+2696, r12vrr_stack+4140, r12vrr_stack+1377, r12vrr_stack+2681, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4189, r12vrr_stack+2717, r12vrr_stack+4161, r12vrr_stack+1392, r12vrr_stack+2696, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4225, r12vrr_stack+2745, r12vrr_stack+4189, r12vrr_stack+1413, r12vrr_stack+2717, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4270, r12vrr_stack+3555, r12vrr_stack+4225, NULL, NULL, r12vrr_stack+2745);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4405, r12vrr_stack+3600, r12vrr_stack+4270, r12vrr_stack+3465, r12vrr_stack+3555, r12vrr_stack+2781);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4675, r12vrr_stack+3870, r12vrr_stack+4405, r12vrr_stack+3735, r12vrr_stack+3600, r12vrr_stack+2889);
 tmp = r12vrr_stack + 4675;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5125, r12vrr_stack+3465, r12vrr_stack+3555, r12vrr_stack+2141, r12vrr_stack+2213, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5180, r12vrr_stack+3510, r12vrr_stack+3465, r12vrr_stack+2177, r12vrr_stack+2141, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5235, r12vrr_stack+3555, r12vrr_stack+4225, r12vrr_stack+2213, r12vrr_stack+2745, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5290, r12vrr_stack+5125, r12vrr_stack+5235, NULL, NULL, r12vrr_stack+3555);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5455, r12vrr_stack+5180, r12vrr_stack+5125, NULL, NULL, r12vrr_stack+3465);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5620, r12vrr_stack+5455, r12vrr_stack+5290, r12vrr_stack+5180, r12vrr_stack+5125, r12vrr_stack+3600);
 tmp = r12vrr_stack + 5620;
 target_ptr = Libr12->gvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2141, r12vrr_stack+1143, r12vrr_stack+31, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2147, r12vrr_stack+1146, r12vrr_stack+2141, r12vrr_stack+0, r12vrr_stack+1143, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+1152, r12vrr_stack+2147, r12vrr_stack+65, r12vrr_stack+1146, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1367, r12vrr_stack+661, r12vrr_stack+81, r12vrr_stack+141, r12vrr_stack+1152, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5950, r12vrr_stack+4140, r12vrr_stack+1367, r12vrr_stack+2681, r12vrr_stack+661, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5978, r12vrr_stack+4161, r12vrr_stack+5950, r12vrr_stack+2696, r12vrr_stack+4140, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6014, r12vrr_stack+4189, r12vrr_stack+5978, r12vrr_stack+2717, r12vrr_stack+4161, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6059, r12vrr_stack+4225, r12vrr_stack+6014, r12vrr_stack+2745, r12vrr_stack+4189, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6114, r12vrr_stack+5235, r12vrr_stack+6059, NULL, NULL, r12vrr_stack+4225);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6279, r12vrr_stack+5290, r12vrr_stack+6114, r12vrr_stack+5125, r12vrr_stack+5235, r12vrr_stack+4270);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6609, r12vrr_stack+5620, r12vrr_stack+6279, r12vrr_stack+5455, r12vrr_stack+5290, r12vrr_stack+4405);
 tmp = r12vrr_stack + 6609;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7159, r12vrr_stack+5125, r12vrr_stack+5235, r12vrr_stack+3465, r12vrr_stack+3555, NULL);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7225, r12vrr_stack+5180, r12vrr_stack+5125, r12vrr_stack+3510, r12vrr_stack+3465, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7291, r12vrr_stack+5235, r12vrr_stack+6059, r12vrr_stack+3555, r12vrr_stack+4225, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7357, r12vrr_stack+7159, r12vrr_stack+7291, NULL, NULL, r12vrr_stack+5235);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7555, r12vrr_stack+7225, r12vrr_stack+7159, NULL, NULL, r12vrr_stack+5125);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7753, r12vrr_stack+7555, r12vrr_stack+7357, r12vrr_stack+7225, r12vrr_stack+7159, r12vrr_stack+5290);
 tmp = r12vrr_stack + 7753;
 target_ptr = Libr12->gvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+31, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+65, r12vrr_stack+1143, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3475, r12vrr_stack+2147, r12vrr_stack+3465, r12vrr_stack+1146, r12vrr_stack+2141, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+141, r12vrr_stack+81, r12vrr_stack+3475, r12vrr_stack+1152, r12vrr_stack+2147, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+1367, r12vrr_stack+141, r12vrr_stack+661, r12vrr_stack+81, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2681, r12vrr_stack+5950, r12vrr_stack+1143, r12vrr_stack+4140, r12vrr_stack+1367, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8149, r12vrr_stack+5978, r12vrr_stack+2681, r12vrr_stack+4161, r12vrr_stack+5950, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8194, r12vrr_stack+6014, r12vrr_stack+8149, r12vrr_stack+4189, r12vrr_stack+5978, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8249, r12vrr_stack+6059, r12vrr_stack+8194, r12vrr_stack+4225, r12vrr_stack+6014, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8315, r12vrr_stack+7291, r12vrr_stack+8249, NULL, NULL, r12vrr_stack+6059);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8513, r12vrr_stack+7357, r12vrr_stack+8315, r12vrr_stack+7159, r12vrr_stack+7291, r12vrr_stack+6114);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8909, r12vrr_stack+7753, r12vrr_stack+8513, r12vrr_stack+7555, r12vrr_stack+7357, r12vrr_stack+6279);
 tmp = r12vrr_stack + 8909;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9569, r12vrr_stack+7159, r12vrr_stack+7291, r12vrr_stack+5125, r12vrr_stack+5235, NULL);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9647, r12vrr_stack+7225, r12vrr_stack+7159, r12vrr_stack+5180, r12vrr_stack+5125, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9725, r12vrr_stack+7291, r12vrr_stack+8249, r12vrr_stack+5235, r12vrr_stack+6059, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9803, r12vrr_stack+9569, r12vrr_stack+9725, NULL, NULL, r12vrr_stack+7291);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10037, r12vrr_stack+9647, r12vrr_stack+9569, NULL, NULL, r12vrr_stack+7159);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10271, r12vrr_stack+10037, r12vrr_stack+9803, r12vrr_stack+9647, r12vrr_stack+9569, r12vrr_stack+7357);
 tmp = r12vrr_stack + 10271;
 target_ptr = Libr12->gvrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9647, r12vrr_stack+9, r12vrr_stack+34, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+9665, r12vrr_stack+40, r12vrr_stack+71, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7159, r12vrr_stack+496, r12vrr_stack+9665, r12vrr_stack+21, r12vrr_stack+40, r12vrr_stack+9647);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+5125, r12vrr_stack+208, r12vrr_stack+680, NULL, NULL, r12vrr_stack+71);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+10739, r12vrr_stack+526, r12vrr_stack+5125, r12vrr_stack+50, r12vrr_stack+208, r12vrr_stack+9665);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+10829, r12vrr_stack+571, r12vrr_stack+10739, r12vrr_stack+96, r12vrr_stack+526, r12vrr_stack+7159);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7159, r12vrr_stack+695, r12vrr_stack+1392, NULL, NULL, r12vrr_stack+680);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+716, r12vrr_stack+7159, r12vrr_stack+223, r12vrr_stack+695, r12vrr_stack+5125);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10979, r12vrr_stack+779, r12vrr_stack+496, r12vrr_stack+244, r12vrr_stack+716, r12vrr_stack+10739);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11189, r12vrr_stack+905, r12vrr_stack+10979, r12vrr_stack+370, r12vrr_stack+779, r12vrr_stack+10829);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10739, r12vrr_stack+1413, r12vrr_stack+2717, NULL, NULL, r12vrr_stack+1392);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+622, r12vrr_stack+1441, r12vrr_stack+10739, r12vrr_stack+1115, r12vrr_stack+1413, r12vrr_stack+7159);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11504, r12vrr_stack+1525, r12vrr_stack+622, r12vrr_stack+1171, r12vrr_stack+1441, r12vrr_stack+496);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11784, r12vrr_stack+1861, r12vrr_stack+11504, r12vrr_stack+1693, r12vrr_stack+1525, r12vrr_stack+10979);
 tmp = r12vrr_stack + 11784;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+2745, r12vrr_stack+4189, NULL, NULL, r12vrr_stack+2717);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10823, r12vrr_stack+2781, r12vrr_stack+496, r12vrr_stack+2213, r12vrr_stack+2745, r12vrr_stack+10739);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12204, r12vrr_stack+2889, r12vrr_stack+10823, r12vrr_stack+2249, r12vrr_stack+2781, r12vrr_stack+622);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12564, r12vrr_stack+3105, r12vrr_stack+12204, r12vrr_stack+2465, r12vrr_stack+2889, r12vrr_stack+11504);
 tmp = r12vrr_stack + 12564;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11504, r12vrr_stack+4225, r12vrr_stack+6014, NULL, NULL, r12vrr_stack+4189);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2717, r12vrr_stack+4270, r12vrr_stack+11504, r12vrr_stack+3555, r12vrr_stack+4225, r12vrr_stack+496);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13104, r12vrr_stack+4405, r12vrr_stack+2717, r12vrr_stack+3600, r12vrr_stack+4270, r12vrr_stack+10823);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13554, r12vrr_stack+4675, r12vrr_stack+13104, r12vrr_stack+3870, r12vrr_stack+4405, r12vrr_stack+12204);
 tmp = r12vrr_stack + 13554;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12204, r12vrr_stack+6059, r12vrr_stack+8194, NULL, NULL, r12vrr_stack+6014);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+6114, r12vrr_stack+12204, r12vrr_stack+5235, r12vrr_stack+6059, r12vrr_stack+11504);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14229, r12vrr_stack+6279, r12vrr_stack+496, r12vrr_stack+5290, r12vrr_stack+6114, r12vrr_stack+2717);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14779, r12vrr_stack+6609, r12vrr_stack+14229, r12vrr_stack+5620, r12vrr_stack+6279, r12vrr_stack+13104);
 tmp = r12vrr_stack + 14779;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13104, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13107, r12vrr_stack+0, r12vrr_stack+13104, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+65, r12vrr_stack+13107, r12vrr_stack+31, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13104, r12vrr_stack+3465, r12vrr_stack+71, r12vrr_stack+2141, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13119, r12vrr_stack+3475, r12vrr_stack+13104, r12vrr_stack+2147, r12vrr_stack+3465, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+141, r12vrr_stack+13119, r12vrr_stack+81, r12vrr_stack+3475, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+1143, r12vrr_stack+1115, r12vrr_stack+1367, r12vrr_stack+141, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3465, r12vrr_stack+2681, r12vrr_stack+2141, r12vrr_stack+5950, r12vrr_stack+1143, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5125, r12vrr_stack+8149, r12vrr_stack+3465, r12vrr_stack+5978, r12vrr_stack+2681, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7159, r12vrr_stack+8194, r12vrr_stack+5125, r12vrr_stack+6014, r12vrr_stack+8149, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2681, r12vrr_stack+8249, r12vrr_stack+7159, NULL, NULL, r12vrr_stack+8194);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13104, r12vrr_stack+8315, r12vrr_stack+2681, r12vrr_stack+7291, r12vrr_stack+8249, r12vrr_stack+12204);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15604, r12vrr_stack+8513, r12vrr_stack+13104, r12vrr_stack+7357, r12vrr_stack+8315, r12vrr_stack+496);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16264, r12vrr_stack+8909, r12vrr_stack+15604, r12vrr_stack+7753, r12vrr_stack+8513, r12vrr_stack+14229);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9647, r12vrr_stack+8249, r12vrr_stack+7159, r12vrr_stack+6059, r12vrr_stack+8194, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14229, r12vrr_stack+9725, r12vrr_stack+9647, NULL, NULL, r12vrr_stack+8249);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+15604, r12vrr_stack+9803, r12vrr_stack+14229, r12vrr_stack+9569, r12vrr_stack+9725, r12vrr_stack+8315);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+17254, r12vrr_stack+10271, r12vrr_stack+15604, r12vrr_stack+10037, r12vrr_stack+9803, r12vrr_stack+8513);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+0, &(Data->ss_r12_ss), NULL, r12vrr_stack+3, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+15604, r12vrr_stack+0, &(Data->ss_r12_ss), r12vrr_stack+15, r12vrr_stack+3, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+15610, r12vrr_stack+15604, r12vrr_stack+0, r12vrr_stack+162, r12vrr_stack+15, r12vrr_stack+3, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+15610, r12vrr_stack+15604, r12vrr_stack+172, r12vrr_stack+162, r12vrr_stack+15, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+15610, r12vrr_stack+187, r12vrr_stack+172, r12vrr_stack+162, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+36, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+1255, r12vrr_stack+187, r12vrr_stack+172, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+64, r12vrr_stack+36, NULL, r12vrr_stack+1283, r12vrr_stack+1255, NULL, r12vrr_stack+187);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+15604, r12vrr_stack+64, r12vrr_stack+36, r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+1255, r12vrr_stack+307);
 tmp = r12vrr_stack + 15604;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+2141, r12vrr_stack+36, r12vrr_stack+15, r12vrr_stack+2177, r12vrr_stack+1255, r12vrr_stack+187, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+148, r12vrr_stack+2141, NULL, r12vrr_stack+2357, r12vrr_stack+2177, NULL, r12vrr_stack+1255);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+15772, r12vrr_stack+148, r12vrr_stack+2141, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+2177, r12vrr_stack+1283);
 tmp = r12vrr_stack + 15772;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+36, r12vrr_stack+3510, r12vrr_stack+2177, r12vrr_stack+1255, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+15988, r12vrr_stack+3465, NULL, r12vrr_stack+3735, r12vrr_stack+3510, NULL, r12vrr_stack+2177);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+9569, r12vrr_stack+15988, r12vrr_stack+3465, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+3510, r12vrr_stack+2357);
 tmp = r12vrr_stack + 9569;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5125, r12vrr_stack+3465, r12vrr_stack+2141, r12vrr_stack+5180, r12vrr_stack+3510, r12vrr_stack+2177, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2141, r12vrr_stack+5125, NULL, r12vrr_stack+5455, r12vrr_stack+5180, NULL, r12vrr_stack+3510);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14229, r12vrr_stack+2141, r12vrr_stack+5125, r12vrr_stack+5620, r12vrr_stack+5455, r12vrr_stack+5180, r12vrr_stack+3735);
 tmp = r12vrr_stack + 14229;
 target_ptr = Libr12->rvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7159, r12vrr_stack+5125, r12vrr_stack+3465, r12vrr_stack+7225, r12vrr_stack+5180, r12vrr_stack+3510, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+9839, r12vrr_stack+7159, NULL, r12vrr_stack+7555, r12vrr_stack+7225, NULL, r12vrr_stack+5180);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+496, r12vrr_stack+9839, r12vrr_stack+7159, r12vrr_stack+7753, r12vrr_stack+7555, r12vrr_stack+7225, r12vrr_stack+5455);
 tmp = r12vrr_stack + 496;
 target_ptr = Libr12->rvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1115, r12vrr_stack+1693, r12vrr_stack+2465, r12vrr_stack+1861, r12vrr_stack+905, r12vrr_stack+370);
 tmp = r12vrr_stack + 1115;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7159, r12vrr_stack+2465, r12vrr_stack+3870, r12vrr_stack+3105, r12vrr_stack+1861, r12vrr_stack+1693);
 tmp = r12vrr_stack + 7159;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3465, r12vrr_stack+3870, r12vrr_stack+5620, r12vrr_stack+4675, r12vrr_stack+3105, r12vrr_stack+2465);
 tmp = r12vrr_stack + 3465;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5125, r12vrr_stack+5620, r12vrr_stack+7753, r12vrr_stack+6609, r12vrr_stack+4675, r12vrr_stack+3870);
 tmp = r12vrr_stack + 5125;
 target_ptr = Libr12->t2vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+13104, r12vrr_stack+7753, r12vrr_stack+10271, r12vrr_stack+8909, r12vrr_stack+6609, r12vrr_stack+5620);
 tmp = r12vrr_stack + 13104;
 target_ptr = Libr12->t2vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11504, r12vrr_stack+1861, r12vrr_stack+3105, r12vrr_stack+11784, r12vrr_stack+11189, r12vrr_stack+905);
 tmp = r12vrr_stack + 11504;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12204, r12vrr_stack+3105, r12vrr_stack+4675, r12vrr_stack+12564, r12vrr_stack+11784, r12vrr_stack+1861);
 tmp = r12vrr_stack + 12204;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8149, r12vrr_stack+4675, r12vrr_stack+6609, r12vrr_stack+13554, r12vrr_stack+12564, r12vrr_stack+3105);
 tmp = r12vrr_stack + 8149;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5950, r12vrr_stack+6609, r12vrr_stack+8909, r12vrr_stack+14779, r12vrr_stack+13554, r12vrr_stack+4675);
 tmp = r12vrr_stack + 5950;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+10739, r12vrr_stack+8909, r12vrr_stack+17254, r12vrr_stack+16264, r12vrr_stack+14779, r12vrr_stack+6609);
 tmp = r12vrr_stack + 10739;
 target_ptr = Libr12->t2vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7375, r12vrr_stack+1693, r12vrr_stack+1861, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+1283);
 tmp = r12vrr_stack + 7375;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14559, r12vrr_stack+2465, r12vrr_stack+3105, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+2357);
 tmp = r12vrr_stack + 14559;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2681, r12vrr_stack+3870, r12vrr_stack+4675, r12vrr_stack+5620, r12vrr_stack+5455, r12vrr_stack+3735);
 tmp = r12vrr_stack + 2681;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4140, r12vrr_stack+5620, r12vrr_stack+6609, r12vrr_stack+7753, r12vrr_stack+7555, r12vrr_stack+5455);
 tmp = r12vrr_stack + 4140;
 target_ptr = Libr12->t1vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+18034, r12vrr_stack+7753, r12vrr_stack+8909, r12vrr_stack+10271, r12vrr_stack+10037, r12vrr_stack+7555);
 tmp = r12vrr_stack + 18034;
 target_ptr = Libr12->t1vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8599, r12vrr_stack+1861, r12vrr_stack+11784, r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+1693);
 tmp = r12vrr_stack + 8599;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11784, r12vrr_stack+3105, r12vrr_stack+12564, r12vrr_stack+4675, r12vrr_stack+3870, r12vrr_stack+2465);
 tmp = r12vrr_stack + 11784;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12564, r12vrr_stack+4675, r12vrr_stack+13554, r12vrr_stack+6609, r12vrr_stack+5620, r12vrr_stack+3870);
 tmp = r12vrr_stack + 12564;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+13500, r12vrr_stack+6609, r12vrr_stack+14779, r12vrr_stack+8909, r12vrr_stack+7753, r12vrr_stack+5620);
 tmp = r12vrr_stack + 13500;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14775, r12vrr_stack+8909, r12vrr_stack+16264, r12vrr_stack+17254, r12vrr_stack+10271, r12vrr_stack+7753);
 tmp = r12vrr_stack + 14775;
 target_ptr = Libr12->t1vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+10037, r12vrr_stack+15604, r12vrr_stack+64, r12vrr_stack+1861, r12vrr_stack+1693, r12vrr_stack+1283, r12vrr_stack+370);
 tmp = r12vrr_stack + 10037;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+1283, r12vrr_stack+15772, r12vrr_stack+148, r12vrr_stack+3105, r12vrr_stack+2465, r12vrr_stack+2357, r12vrr_stack+1693);
 tmp = r12vrr_stack + 1283;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+1643, r12vrr_stack+9569, r12vrr_stack+15988, r12vrr_stack+4675, r12vrr_stack+3870, r12vrr_stack+3735, r12vrr_stack+2465);
 tmp = r12vrr_stack + 1643;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+15435, r12vrr_stack+14229, r12vrr_stack+2141, r12vrr_stack+6609, r12vrr_stack+5620, r12vrr_stack+5455, r12vrr_stack+3870);
 tmp = r12vrr_stack + 15435;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+15985, r12vrr_stack+496, r12vrr_stack+9839, r12vrr_stack+8909, r12vrr_stack+7753, r12vrr_stack+7555, r12vrr_stack+5620);
 tmp = r12vrr_stack + 15985;
 target_ptr = Libr12->rvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];


}

