#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_f0ih(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+352, r12vrr_stack+331, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+436, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+439, r12vrr_stack+436, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+95, r12vrr_stack+436, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+101, r12vrr_stack+439, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+111, r12vrr_stack+445, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+491, r12vrr_stack+470, r12vrr_stack+352, NULL, NULL, r12vrr_stack+111);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+31, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+331, r12vrr_stack+569, NULL, NULL, r12vrr_stack+136);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+151);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+196);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+241);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1115, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1133, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1163, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+1115);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1223, r12vrr_stack+136, r12vrr_stack+554, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1268, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+1133);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1358, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+1163);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+151, r12vrr_stack+3, r12vrr_stack+0, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+157, r12vrr_stack+95, r12vrr_stack+151, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+167, r12vrr_stack+101, r12vrr_stack+157, r12vrr_stack+34, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+182, r12vrr_stack+554, r12vrr_stack+167, r12vrr_stack+126, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+203, r12vrr_stack+569, r12vrr_stack+182, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1508, r12vrr_stack+590, r12vrr_stack+203, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+1223);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1634, r12vrr_stack+653, r12vrr_stack+1508, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+1268);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1844, r12vrr_stack+905, r12vrr_stack+1634, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+1358);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+266, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+294, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+569, r12vrr_stack+182, r12vrr_stack+136, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+266, r12vrr_stack+1115, NULL, NULL, r12vrr_stack+569);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1227, r12vrr_stack+294, r12vrr_stack+266, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1311, r12vrr_stack+1227, r12vrr_stack+1143, r12vrr_stack+294, r12vrr_stack+266, r12vrr_stack+590);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+455, r12vrr_stack+111, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6, r12vrr_stack+590, r12vrr_stack+294, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2159, r12vrr_stack+6, r12vrr_stack+1227, r12vrr_stack+590, r12vrr_stack+294, r12vrr_stack+373);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+373, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+376, r12vrr_stack+0, r12vrr_stack+373, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+382, r12vrr_stack+151, r12vrr_stack+376, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+392, r12vrr_stack+157, r12vrr_stack+382, r12vrr_stack+95, r12vrr_stack+151, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+407, r12vrr_stack+167, r12vrr_stack+392, r12vrr_stack+101, r12vrr_stack+157, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+618, r12vrr_stack+182, r12vrr_stack+407, r12vrr_stack+554, r12vrr_stack+167, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2327, r12vrr_stack+1115, r12vrr_stack+618, NULL, NULL, r12vrr_stack+182);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2411, r12vrr_stack+1143, r12vrr_stack+2327, r12vrr_stack+266, r12vrr_stack+1115, r12vrr_stack+203);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2579, r12vrr_stack+1311, r12vrr_stack+2411, r12vrr_stack+1227, r12vrr_stack+1143, r12vrr_stack+1508);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2859, r12vrr_stack+2159, r12vrr_stack+1311, r12vrr_stack+6, r12vrr_stack+1227, r12vrr_stack+653);
 tmp = r12vrr_stack + 2859;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3139, r12vrr_stack+2859, r12vrr_stack+2579, r12vrr_stack+2159, r12vrr_stack+1311, r12vrr_stack+1634);
 tmp = r12vrr_stack + 3139;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+203, r12vrr_stack+266, r12vrr_stack+1115, r12vrr_stack+331, r12vrr_stack+569, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+646, r12vrr_stack+294, r12vrr_stack+266, r12vrr_stack+352, r12vrr_stack+331, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1479, r12vrr_stack+646, r12vrr_stack+203, NULL, NULL, r12vrr_stack+266);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+682, r12vrr_stack+590, r12vrr_stack+294, r12vrr_stack+470, r12vrr_stack+352, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1587, r12vrr_stack+682, r12vrr_stack+646, NULL, NULL, r12vrr_stack+294);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+718, r12vrr_stack+1115, r12vrr_stack+618, r12vrr_stack+569, r12vrr_stack+182, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1695, r12vrr_stack+203, r12vrr_stack+718, NULL, NULL, r12vrr_stack+1115);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3559, r12vrr_stack+1479, r12vrr_stack+1695, r12vrr_stack+646, r12vrr_stack+203, r12vrr_stack+1143);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3775, r12vrr_stack+1587, r12vrr_stack+1479, r12vrr_stack+682, r12vrr_stack+646, r12vrr_stack+1227);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3991, r12vrr_stack+3775, r12vrr_stack+3559, r12vrr_stack+1587, r12vrr_stack+1479, r12vrr_stack+1311);
 tmp = r12vrr_stack + 3991;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1143, r12vrr_stack+373, r12vrr_stack+3, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1149, r12vrr_stack+376, r12vrr_stack+1143, r12vrr_stack+0, r12vrr_stack+373, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1159, r12vrr_stack+382, r12vrr_stack+1149, r12vrr_stack+151, r12vrr_stack+376, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1174, r12vrr_stack+392, r12vrr_stack+1159, r12vrr_stack+157, r12vrr_stack+382, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1195, r12vrr_stack+407, r12vrr_stack+1174, r12vrr_stack+167, r12vrr_stack+392, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+618, r12vrr_stack+1195, r12vrr_stack+182, r12vrr_stack+407, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1223, r12vrr_stack+718, r12vrr_stack+554, NULL, NULL, r12vrr_stack+618);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4351, r12vrr_stack+1695, r12vrr_stack+1223, r12vrr_stack+203, r12vrr_stack+718, r12vrr_stack+2327);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4567, r12vrr_stack+3559, r12vrr_stack+4351, r12vrr_stack+1479, r12vrr_stack+1695, r12vrr_stack+2411);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4927, r12vrr_stack+3991, r12vrr_stack+4567, r12vrr_stack+3775, r12vrr_stack+3559, r12vrr_stack+2579);
 tmp = r12vrr_stack + 4927;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2327, r12vrr_stack+203, r12vrr_stack+718, r12vrr_stack+266, r12vrr_stack+1115, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2372, r12vrr_stack+646, r12vrr_stack+203, r12vrr_stack+294, r12vrr_stack+266, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2417, r12vrr_stack+2372, r12vrr_stack+2327, NULL, NULL, r12vrr_stack+203);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2552, r12vrr_stack+682, r12vrr_stack+646, r12vrr_stack+590, r12vrr_stack+294, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2597, r12vrr_stack+2552, r12vrr_stack+2372, NULL, NULL, r12vrr_stack+646);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2732, r12vrr_stack+718, r12vrr_stack+554, r12vrr_stack+1115, r12vrr_stack+618, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1331, r12vrr_stack+2327, r12vrr_stack+2732, NULL, NULL, r12vrr_stack+718);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5467, r12vrr_stack+2417, r12vrr_stack+1331, r12vrr_stack+2372, r12vrr_stack+2327, r12vrr_stack+1695);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5737, r12vrr_stack+2597, r12vrr_stack+2417, r12vrr_stack+2552, r12vrr_stack+2372, r12vrr_stack+1479);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6007, r12vrr_stack+5737, r12vrr_stack+5467, r12vrr_stack+2597, r12vrr_stack+2417, r12vrr_stack+3559);
 tmp = r12vrr_stack + 6007;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3559, r12vrr_stack+3, r12vrr_stack+0, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3565, r12vrr_stack+1143, r12vrr_stack+3559, r12vrr_stack+373, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3575, r12vrr_stack+1149, r12vrr_stack+3565, r12vrr_stack+376, r12vrr_stack+1143, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3590, r12vrr_stack+1159, r12vrr_stack+3575, r12vrr_stack+382, r12vrr_stack+1149, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+1174, r12vrr_stack+3590, r12vrr_stack+392, r12vrr_stack+1159, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3611, r12vrr_stack+1195, r12vrr_stack+1115, r12vrr_stack+407, r12vrr_stack+1174, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3647, r12vrr_stack+554, r12vrr_stack+3611, r12vrr_stack+618, r12vrr_stack+1195, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1695, r12vrr_stack+2732, r12vrr_stack+3647, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6457, r12vrr_stack+1331, r12vrr_stack+1695, r12vrr_stack+2327, r12vrr_stack+2732, r12vrr_stack+1223);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6727, r12vrr_stack+5467, r12vrr_stack+6457, r12vrr_stack+2417, r12vrr_stack+1331, r12vrr_stack+4351);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7177, r12vrr_stack+6007, r12vrr_stack+6727, r12vrr_stack+5737, r12vrr_stack+5467, r12vrr_stack+4567);
 tmp = r12vrr_stack + 7177;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4351, r12vrr_stack+2327, r12vrr_stack+2732, r12vrr_stack+203, r12vrr_stack+718, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4406, r12vrr_stack+2372, r12vrr_stack+2327, r12vrr_stack+646, r12vrr_stack+203, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4461, r12vrr_stack+4406, r12vrr_stack+4351, NULL, NULL, r12vrr_stack+2327);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4626, r12vrr_stack+2552, r12vrr_stack+2372, r12vrr_stack+682, r12vrr_stack+646, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4681, r12vrr_stack+4626, r12vrr_stack+4406, NULL, NULL, r12vrr_stack+2372);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4846, r12vrr_stack+2732, r12vrr_stack+3647, r12vrr_stack+718, r12vrr_stack+554, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+90, r12vrr_stack+4351, r12vrr_stack+4846, NULL, NULL, r12vrr_stack+2732);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7852, r12vrr_stack+4461, r12vrr_stack+90, r12vrr_stack+4406, r12vrr_stack+4351, r12vrr_stack+1331);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1223, r12vrr_stack+4681, r12vrr_stack+4461, r12vrr_stack+4626, r12vrr_stack+4406, r12vrr_stack+2417);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8182, r12vrr_stack+1223, r12vrr_stack+7852, r12vrr_stack+4681, r12vrr_stack+4461, r12vrr_stack+5467);
 tmp = r12vrr_stack + 8182;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+5467, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5470, r12vrr_stack+0, r12vrr_stack+5467, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5476, r12vrr_stack+3559, r12vrr_stack+5470, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5486, r12vrr_stack+3565, r12vrr_stack+5476, r12vrr_stack+1143, r12vrr_stack+3559, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5501, r12vrr_stack+3575, r12vrr_stack+5486, r12vrr_stack+1149, r12vrr_stack+3565, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5522, r12vrr_stack+3590, r12vrr_stack+5501, r12vrr_stack+1159, r12vrr_stack+3575, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5550, r12vrr_stack+1115, r12vrr_stack+5522, r12vrr_stack+1174, r12vrr_stack+3590, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1143, r12vrr_stack+3611, r12vrr_stack+5550, r12vrr_stack+1195, r12vrr_stack+1115, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5586, r12vrr_stack+3647, r12vrr_stack+1143, r12vrr_stack+554, r12vrr_stack+3611, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+255, r12vrr_stack+4846, r12vrr_stack+5586, NULL, NULL, r12vrr_stack+3647);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8732, r12vrr_stack+90, r12vrr_stack+255, r12vrr_stack+4351, r12vrr_stack+4846, r12vrr_stack+1695);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9062, r12vrr_stack+7852, r12vrr_stack+8732, r12vrr_stack+4461, r12vrr_stack+90, r12vrr_stack+6457);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9612, r12vrr_stack+8182, r12vrr_stack+9062, r12vrr_stack+1223, r12vrr_stack+7852, r12vrr_stack+6727);
 tmp = r12vrr_stack + 9612;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6457, r12vrr_stack+4351, r12vrr_stack+4846, r12vrr_stack+2327, r12vrr_stack+2732, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6523, r12vrr_stack+4406, r12vrr_stack+4351, r12vrr_stack+2372, r12vrr_stack+2327, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6589, r12vrr_stack+6523, r12vrr_stack+6457, NULL, NULL, r12vrr_stack+4351);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6787, r12vrr_stack+4626, r12vrr_stack+4406, r12vrr_stack+2552, r12vrr_stack+2372, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2327, r12vrr_stack+6787, r12vrr_stack+6523, NULL, NULL, r12vrr_stack+4406);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6853, r12vrr_stack+4846, r12vrr_stack+5586, r12vrr_stack+2732, r12vrr_stack+3647, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6919, r12vrr_stack+6457, r12vrr_stack+6853, NULL, NULL, r12vrr_stack+4846);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+10437, r12vrr_stack+6589, r12vrr_stack+6919, r12vrr_stack+6523, r12vrr_stack+6457, r12vrr_stack+90);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+10833, r12vrr_stack+2327, r12vrr_stack+6589, r12vrr_stack+6787, r12vrr_stack+6523, r12vrr_stack+4461);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11229, r12vrr_stack+10833, r12vrr_stack+10437, r12vrr_stack+2327, r12vrr_stack+6589, r12vrr_stack+7852);
 tmp = r12vrr_stack + 11229;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+7852, r12vrr_stack+5467, r12vrr_stack+3, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+7858, r12vrr_stack+5470, r12vrr_stack+7852, r12vrr_stack+0, r12vrr_stack+5467, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+7868, r12vrr_stack+5476, r12vrr_stack+7858, r12vrr_stack+3559, r12vrr_stack+5470, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7883, r12vrr_stack+5486, r12vrr_stack+7868, r12vrr_stack+3565, r12vrr_stack+5476, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7904, r12vrr_stack+5501, r12vrr_stack+7883, r12vrr_stack+3575, r12vrr_stack+5486, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+5522, r12vrr_stack+7904, r12vrr_stack+3590, r12vrr_stack+5501, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3559, r12vrr_stack+5550, r12vrr_stack+554, r12vrr_stack+1115, r12vrr_stack+5522, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7932, r12vrr_stack+1143, r12vrr_stack+3559, r12vrr_stack+3611, r12vrr_stack+5550, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7987, r12vrr_stack+5586, r12vrr_stack+7932, r12vrr_stack+3647, r12vrr_stack+1143, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11889, r12vrr_stack+6853, r12vrr_stack+7987, NULL, NULL, r12vrr_stack+5586);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12087, r12vrr_stack+6919, r12vrr_stack+11889, r12vrr_stack+6457, r12vrr_stack+6853, r12vrr_stack+255);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12483, r12vrr_stack+10437, r12vrr_stack+12087, r12vrr_stack+6589, r12vrr_stack+6919, r12vrr_stack+8732);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13143, r12vrr_stack+11229, r12vrr_stack+12483, r12vrr_stack+10833, r12vrr_stack+10437, r12vrr_stack+9062);
 tmp = r12vrr_stack + 13143;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+8732, r12vrr_stack+6457, r12vrr_stack+6853, r12vrr_stack+4351, r12vrr_stack+4846, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+8810, r12vrr_stack+6523, r12vrr_stack+6457, r12vrr_stack+4406, r12vrr_stack+4351, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+8888, r12vrr_stack+8810, r12vrr_stack+8732, NULL, NULL, r12vrr_stack+6457);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9122, r12vrr_stack+6787, r12vrr_stack+6523, r12vrr_stack+4626, r12vrr_stack+4406, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4351, r12vrr_stack+9122, r12vrr_stack+8810, NULL, NULL, r12vrr_stack+6523);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9200, r12vrr_stack+6853, r12vrr_stack+7987, r12vrr_stack+4846, r12vrr_stack+5586, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9278, r12vrr_stack+8732, r12vrr_stack+9200, NULL, NULL, r12vrr_stack+6853);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14133, r12vrr_stack+8888, r12vrr_stack+9278, r12vrr_stack+8810, r12vrr_stack+8732, r12vrr_stack+6919);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14601, r12vrr_stack+4351, r12vrr_stack+8888, r12vrr_stack+9122, r12vrr_stack+8810, r12vrr_stack+6589);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+15069, r12vrr_stack+14601, r12vrr_stack+14133, r12vrr_stack+4351, r12vrr_stack+8888, r12vrr_stack+10437);
 tmp = r12vrr_stack + 15069;
 target_ptr = Libr12->gvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+10437, r12vrr_stack+3, r12vrr_stack+0, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+10443, r12vrr_stack+7852, r12vrr_stack+10437, r12vrr_stack+5467, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+10453, r12vrr_stack+7858, r12vrr_stack+10443, r12vrr_stack+5470, r12vrr_stack+7852, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10468, r12vrr_stack+7868, r12vrr_stack+10453, r12vrr_stack+5476, r12vrr_stack+7858, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+7883, r12vrr_stack+10468, r12vrr_stack+5486, r12vrr_stack+7868, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10437, r12vrr_stack+7904, r12vrr_stack+1115, r12vrr_stack+5501, r12vrr_stack+7883, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7852, r12vrr_stack+554, r12vrr_stack+10437, r12vrr_stack+5522, r12vrr_stack+7904, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10437, r12vrr_stack+3559, r12vrr_stack+7852, r12vrr_stack+5550, r12vrr_stack+554, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7852, r12vrr_stack+7932, r12vrr_stack+10437, r12vrr_stack+1143, r12vrr_stack+3559, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+3559, r12vrr_stack+7987, r12vrr_stack+7852, r12vrr_stack+5586, r12vrr_stack+7932, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10437, r12vrr_stack+9200, r12vrr_stack+3559, NULL, NULL, r12vrr_stack+7987);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+15849, r12vrr_stack+9278, r12vrr_stack+10437, r12vrr_stack+8732, r12vrr_stack+9200, r12vrr_stack+11889);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16317, r12vrr_stack+14133, r12vrr_stack+15849, r12vrr_stack+8888, r12vrr_stack+9278, r12vrr_stack+12087);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+17097, r12vrr_stack+15069, r12vrr_stack+16317, r12vrr_stack+14601, r12vrr_stack+14133, r12vrr_stack+12483);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+15849, r12vrr_stack+8732, r12vrr_stack+9200, r12vrr_stack+6457, r12vrr_stack+6853, NULL);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+15940, r12vrr_stack+8810, r12vrr_stack+8732, r12vrr_stack+6523, r12vrr_stack+6457, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+16031, r12vrr_stack+15940, r12vrr_stack+15849, NULL, NULL, r12vrr_stack+8732);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+16304, r12vrr_stack+9122, r12vrr_stack+8810, r12vrr_stack+6787, r12vrr_stack+6523, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+6457, r12vrr_stack+16304, r12vrr_stack+15940, NULL, NULL, r12vrr_stack+8810);

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+8732, r12vrr_stack+9200, r12vrr_stack+3559, r12vrr_stack+6853, r12vrr_stack+7987, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+6853, r12vrr_stack+15849, r12vrr_stack+8732, NULL, NULL, r12vrr_stack+9200);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+16395, r12vrr_stack+16031, r12vrr_stack+6853, r12vrr_stack+15940, r12vrr_stack+15849, r12vrr_stack+9278);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+11889, r12vrr_stack+6457, r12vrr_stack+16031, r12vrr_stack+16304, r12vrr_stack+15940, r12vrr_stack+8888);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+18267, r12vrr_stack+11889, r12vrr_stack+16395, r12vrr_stack+6457, r12vrr_stack+16031, r12vrr_stack+14133);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+14133, &(Data->ss_r12_ss), NULL, r12vrr_stack+436, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+14133, &(Data->ss_r12_ss), r12vrr_stack+439, r12vrr_stack+436, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+14136, r12vrr_stack+0, r12vrr_stack+14133, r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+436, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+14146, r12vrr_stack+14136, r12vrr_stack+0, r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+439, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+14161, r12vrr_stack+14146, r12vrr_stack+14136, r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+445, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+14182, r12vrr_stack+14161, r12vrr_stack+14146, r12vrr_stack+590, r12vrr_stack+470, r12vrr_stack+455, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+14210, r12vrr_stack+14182, NULL, r12vrr_stack+6, r12vrr_stack+590, NULL, r12vrr_stack+470);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+14294, r12vrr_stack+14210, r12vrr_stack+14182, r12vrr_stack+2159, r12vrr_stack+6, r12vrr_stack+590, r12vrr_stack+491);

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+491, r12vrr_stack+14182, r12vrr_stack+14161, r12vrr_stack+682, r12vrr_stack+590, r12vrr_stack+470, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+1115, r12vrr_stack+491, NULL, r12vrr_stack+1587, r12vrr_stack+682, NULL, r12vrr_stack+590);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+3559, r12vrr_stack+1115, r12vrr_stack+491, r12vrr_stack+3775, r12vrr_stack+1587, r12vrr_stack+682, r12vrr_stack+6);

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+527, r12vrr_stack+491, r12vrr_stack+14182, r12vrr_stack+2552, r12vrr_stack+682, r12vrr_stack+590, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+14462, r12vrr_stack+527, NULL, r12vrr_stack+2597, r12vrr_stack+2552, NULL, r12vrr_stack+682);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+5467, r12vrr_stack+14462, r12vrr_stack+527, r12vrr_stack+5737, r12vrr_stack+2597, r12vrr_stack+2552, r12vrr_stack+1587);

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+572, r12vrr_stack+527, r12vrr_stack+491, r12vrr_stack+4626, r12vrr_stack+2552, r12vrr_stack+682, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+6457, r12vrr_stack+572, NULL, r12vrr_stack+4681, r12vrr_stack+4626, NULL, r12vrr_stack+2552);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7852, r12vrr_stack+6457, r12vrr_stack+572, r12vrr_stack+1223, r12vrr_stack+4681, r12vrr_stack+4626, r12vrr_stack+2597);

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+627, r12vrr_stack+572, r12vrr_stack+527, r12vrr_stack+6787, r12vrr_stack+4626, r12vrr_stack+2552, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+15849, r12vrr_stack+627, NULL, r12vrr_stack+2327, r12vrr_stack+6787, NULL, r12vrr_stack+4626);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10437, r12vrr_stack+15849, r12vrr_stack+627, r12vrr_stack+10833, r12vrr_stack+2327, r12vrr_stack+6787, r12vrr_stack+4681);

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+693, r12vrr_stack+627, r12vrr_stack+572, r12vrr_stack+9122, r12vrr_stack+6787, r12vrr_stack+4626, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+16047, r12vrr_stack+693, NULL, r12vrr_stack+4351, r12vrr_stack+9122, NULL, r12vrr_stack+6787);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+6622, r12vrr_stack+16047, r12vrr_stack+693, r12vrr_stack+14601, r12vrr_stack+4351, r12vrr_stack+9122, r12vrr_stack+2327);

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16281, r12vrr_stack+2859, r12vrr_stack+3991, r12vrr_stack+3139, r12vrr_stack+1844, r12vrr_stack+905);
 tmp = r12vrr_stack + 16281;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16561, r12vrr_stack+3991, r12vrr_stack+6007, r12vrr_stack+4927, r12vrr_stack+3139, r12vrr_stack+2859);
 tmp = r12vrr_stack + 16561;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8732, r12vrr_stack+6007, r12vrr_stack+8182, r12vrr_stack+7177, r12vrr_stack+4927, r12vrr_stack+3991);
 tmp = r12vrr_stack + 8732;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12435, r12vrr_stack+8182, r12vrr_stack+11229, r12vrr_stack+9612, r12vrr_stack+7177, r12vrr_stack+6007);
 tmp = r12vrr_stack + 12435;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+90, r12vrr_stack+11229, r12vrr_stack+15069, r12vrr_stack+13143, r12vrr_stack+9612, r12vrr_stack+8182);
 tmp = r12vrr_stack + 90;
 target_ptr = Libr12->t2vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+19177, r12vrr_stack+15069, r12vrr_stack+18267, r12vrr_stack+17097, r12vrr_stack+13143, r12vrr_stack+11229);
 tmp = r12vrr_stack + 19177;
 target_ptr = Libr12->t2vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9182, r12vrr_stack+2859, r12vrr_stack+3139, r12vrr_stack+3991, r12vrr_stack+3775, r12vrr_stack+2159);
 tmp = r12vrr_stack + 9182;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3139, r12vrr_stack+3991, r12vrr_stack+4927, r12vrr_stack+6007, r12vrr_stack+5737, r12vrr_stack+3775);
 tmp = r12vrr_stack + 3139;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4846, r12vrr_stack+6007, r12vrr_stack+7177, r12vrr_stack+8182, r12vrr_stack+1223, r12vrr_stack+5737);
 tmp = r12vrr_stack + 4846;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7090, r12vrr_stack+8182, r12vrr_stack+9612, r12vrr_stack+11229, r12vrr_stack+10833, r12vrr_stack+1223);
 tmp = r12vrr_stack + 7090;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9462, r12vrr_stack+11229, r12vrr_stack+13143, r12vrr_stack+15069, r12vrr_stack+14601, r12vrr_stack+10833);
 tmp = r12vrr_stack + 9462;
 target_ptr = Libr12->t1vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12985, r12vrr_stack+15069, r12vrr_stack+17097, r12vrr_stack+18267, r12vrr_stack+11889, r12vrr_stack+14601);
 tmp = r12vrr_stack + 12985;
 target_ptr = Libr12->t1vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+11889, r12vrr_stack+14294, r12vrr_stack+14210, r12vrr_stack+2859, r12vrr_stack+2159, r12vrr_stack+6, r12vrr_stack+779);
 tmp = r12vrr_stack + 11889;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+16921, r12vrr_stack+3559, r12vrr_stack+1115, r12vrr_stack+3991, r12vrr_stack+3775, r12vrr_stack+1587, r12vrr_stack+2159);
 tmp = r12vrr_stack + 16921;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+17281, r12vrr_stack+5467, r12vrr_stack+14462, r12vrr_stack+6007, r12vrr_stack+5737, r12vrr_stack+2597, r12vrr_stack+3775);
 tmp = r12vrr_stack + 17281;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3499, r12vrr_stack+7852, r12vrr_stack+6457, r12vrr_stack+8182, r12vrr_stack+1223, r12vrr_stack+4681, r12vrr_stack+5737);
 tmp = r12vrr_stack + 3499;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7640, r12vrr_stack+10437, r12vrr_stack+15849, r12vrr_stack+11229, r12vrr_stack+10833, r12vrr_stack+2327, r12vrr_stack+1223);
 tmp = r12vrr_stack + 7640;
 target_ptr = Libr12->rvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17731, r12vrr_stack+6622, r12vrr_stack+16047, r12vrr_stack+15069, r12vrr_stack+14601, r12vrr_stack+4351, r12vrr_stack+10833);
 tmp = r12vrr_stack + 17731;
 target_ptr = Libr12->rvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];


}

