#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_fdff(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+3);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+2);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+264, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+267, r12vrr_stack+0, r12vrr_stack+264, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+273, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+282, r12vrr_stack+12, r12vrr_stack+273, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+264);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+300, r12vrr_stack+30, r12vrr_stack+282, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+267);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+105, r12vrr_stack+21, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+330, r12vrr_stack+108, r12vrr_stack+24, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+348, r12vrr_stack+114, r12vrr_stack+330, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+273);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+384, r12vrr_stack+132, r12vrr_stack+348, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+282);

 /*--- compute (g0|d0)^0 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+444, r12vrr_stack+204, r12vrr_stack+384, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+300);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+534, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+544, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+554, r12vrr_stack+108, r12vrr_stack+24, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+564, r12vrr_stack+534, r12vrr_stack+554, NULL, NULL, r12vrr_stack+108);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+594, r12vrr_stack+544, r12vrr_stack+534, NULL, NULL, r12vrr_stack+48);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+624, r12vrr_stack+594, r12vrr_stack+564, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+114);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+684, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+694, r12vrr_stack+684, r12vrr_stack+544, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+724, r12vrr_stack+694, r12vrr_stack+594, r12vrr_stack+684, r12vrr_stack+544, r12vrr_stack+60);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+60, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3, r12vrr_stack+21, r12vrr_stack+60, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+63, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+105, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+784, r12vrr_stack+554, r12vrr_stack+63, NULL, NULL, r12vrr_stack+24);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+814, r12vrr_stack+564, r12vrr_stack+784, r12vrr_stack+534, r12vrr_stack+554, r12vrr_stack+330);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+874, r12vrr_stack+624, r12vrr_stack+814, r12vrr_stack+594, r12vrr_stack+564, r12vrr_stack+348);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+974, r12vrr_stack+724, r12vrr_stack+624, r12vrr_stack+694, r12vrr_stack+594, r12vrr_stack+132);
 tmp = r12vrr_stack + 974;
 target_ptr = Libr12->gvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1074, r12vrr_stack+974, r12vrr_stack+874, r12vrr_stack+724, r12vrr_stack+624, r12vrr_stack+384);
 tmp = r12vrr_stack + 1074;
 target_ptr = Libr12->gvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1224, r12vrr_stack+534, r12vrr_stack+554, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1239, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1254, r12vrr_stack+1239, r12vrr_stack+1224, NULL, NULL, r12vrr_stack+534);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1299, r12vrr_stack+684, r12vrr_stack+544, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1314, r12vrr_stack+1299, r12vrr_stack+1239, NULL, NULL, r12vrr_stack+544);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1359, r12vrr_stack+554, r12vrr_stack+63, r12vrr_stack+108, r12vrr_stack+24, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1374, r12vrr_stack+1224, r12vrr_stack+1359, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1419, r12vrr_stack+1254, r12vrr_stack+1374, r12vrr_stack+1239, r12vrr_stack+1224, r12vrr_stack+564);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1509, r12vrr_stack+1314, r12vrr_stack+1254, r12vrr_stack+1299, r12vrr_stack+1239, r12vrr_stack+594);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+1419, r12vrr_stack+1314, r12vrr_stack+1254, r12vrr_stack+624);
 tmp = r12vrr_stack + 1599;
 target_ptr = Libr12->gvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+594, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+597, r12vrr_stack+60, r12vrr_stack+594, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+603, r12vrr_stack+3, r12vrr_stack+597, r12vrr_stack+21, r12vrr_stack+60, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1749, r12vrr_stack+63, r12vrr_stack+603, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1764, r12vrr_stack+1359, r12vrr_stack+1749, NULL, NULL, r12vrr_stack+63);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1809, r12vrr_stack+1374, r12vrr_stack+1764, r12vrr_stack+1224, r12vrr_stack+1359, r12vrr_stack+784);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1899, r12vrr_stack+1419, r12vrr_stack+1809, r12vrr_stack+1254, r12vrr_stack+1374, r12vrr_stack+814);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+1899, r12vrr_stack+1509, r12vrr_stack+1419, r12vrr_stack+874);
 tmp = r12vrr_stack + 2049;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2274, r12vrr_stack+1224, r12vrr_stack+1359, r12vrr_stack+534, r12vrr_stack+554, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2295, r12vrr_stack+1239, r12vrr_stack+1224, r12vrr_stack+544, r12vrr_stack+534, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2316, r12vrr_stack+2295, r12vrr_stack+2274, NULL, NULL, r12vrr_stack+1224);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2379, r12vrr_stack+1299, r12vrr_stack+1239, r12vrr_stack+684, r12vrr_stack+544, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2400, r12vrr_stack+2379, r12vrr_stack+2295, NULL, NULL, r12vrr_stack+1239);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2463, r12vrr_stack+1359, r12vrr_stack+1749, r12vrr_stack+554, r12vrr_stack+63, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2484, r12vrr_stack+2274, r12vrr_stack+2463, NULL, NULL, r12vrr_stack+1359);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2547, r12vrr_stack+2316, r12vrr_stack+2484, r12vrr_stack+2295, r12vrr_stack+2274, r12vrr_stack+1374);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2673, r12vrr_stack+2400, r12vrr_stack+2316, r12vrr_stack+2379, r12vrr_stack+2295, r12vrr_stack+1254);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2799, r12vrr_stack+2673, r12vrr_stack+2547, r12vrr_stack+2400, r12vrr_stack+2316, r12vrr_stack+1419);
 tmp = r12vrr_stack + 2799;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1254, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1257, r12vrr_stack+594, r12vrr_stack+1254, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1263, r12vrr_stack+597, r12vrr_stack+1257, r12vrr_stack+60, r12vrr_stack+594, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1273, r12vrr_stack+603, r12vrr_stack+1263, r12vrr_stack+3, r12vrr_stack+597, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3009, r12vrr_stack+1749, r12vrr_stack+1273, r12vrr_stack+63, r12vrr_stack+603, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3030, r12vrr_stack+2463, r12vrr_stack+3009, NULL, NULL, r12vrr_stack+1749);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3093, r12vrr_stack+2484, r12vrr_stack+3030, r12vrr_stack+2274, r12vrr_stack+2463, r12vrr_stack+1764);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3219, r12vrr_stack+2547, r12vrr_stack+3093, r12vrr_stack+2316, r12vrr_stack+2484, r12vrr_stack+1809);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3429, r12vrr_stack+2799, r12vrr_stack+3219, r12vrr_stack+2673, r12vrr_stack+2547, r12vrr_stack+1899);
 tmp = r12vrr_stack + 3429;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3744, r12vrr_stack+2274, r12vrr_stack+2463, r12vrr_stack+1224, r12vrr_stack+1359, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3772, r12vrr_stack+2295, r12vrr_stack+2274, r12vrr_stack+1239, r12vrr_stack+1224, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3800, r12vrr_stack+3772, r12vrr_stack+3744, NULL, NULL, r12vrr_stack+2274);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3884, r12vrr_stack+2379, r12vrr_stack+2295, r12vrr_stack+1299, r12vrr_stack+1239, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3912, r12vrr_stack+3884, r12vrr_stack+3772, NULL, NULL, r12vrr_stack+2295);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1224, r12vrr_stack+2463, r12vrr_stack+3009, r12vrr_stack+1359, r12vrr_stack+1749, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3996, r12vrr_stack+3744, r12vrr_stack+1224, NULL, NULL, r12vrr_stack+2463);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4080, r12vrr_stack+3800, r12vrr_stack+3996, r12vrr_stack+3772, r12vrr_stack+3744, r12vrr_stack+2484);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4248, r12vrr_stack+3912, r12vrr_stack+3800, r12vrr_stack+3884, r12vrr_stack+3772, r12vrr_stack+2316);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4416, r12vrr_stack+4248, r12vrr_stack+4080, r12vrr_stack+3912, r12vrr_stack+3800, r12vrr_stack+2547);
 tmp = r12vrr_stack + 4416;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2316, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2319, r12vrr_stack+1254, r12vrr_stack+2316, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2325, r12vrr_stack+1257, r12vrr_stack+2319, r12vrr_stack+594, r12vrr_stack+1254, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2335, r12vrr_stack+1263, r12vrr_stack+2325, r12vrr_stack+597, r12vrr_stack+1257, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2350, r12vrr_stack+1273, r12vrr_stack+2335, r12vrr_stack+603, r12vrr_stack+1263, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4696, r12vrr_stack+3009, r12vrr_stack+2350, r12vrr_stack+1749, r12vrr_stack+1273, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4724, r12vrr_stack+1224, r12vrr_stack+4696, NULL, NULL, r12vrr_stack+3009);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4808, r12vrr_stack+3996, r12vrr_stack+4724, r12vrr_stack+3744, r12vrr_stack+1224, r12vrr_stack+3030);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4976, r12vrr_stack+4080, r12vrr_stack+4808, r12vrr_stack+3800, r12vrr_stack+3996, r12vrr_stack+3093);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5256, r12vrr_stack+4416, r12vrr_stack+4976, r12vrr_stack+4248, r12vrr_stack+4080, r12vrr_stack+3219);
 tmp = r12vrr_stack + 5256;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5676, r12vrr_stack+3744, r12vrr_stack+1224, r12vrr_stack+2274, r12vrr_stack+2463, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5712, r12vrr_stack+3772, r12vrr_stack+3744, r12vrr_stack+2295, r12vrr_stack+2274, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5748, r12vrr_stack+5712, r12vrr_stack+5676, NULL, NULL, r12vrr_stack+3744);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5856, r12vrr_stack+3884, r12vrr_stack+3772, r12vrr_stack+2379, r12vrr_stack+2295, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5892, r12vrr_stack+5856, r12vrr_stack+5712, NULL, NULL, r12vrr_stack+3772);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3744, r12vrr_stack+1224, r12vrr_stack+4696, r12vrr_stack+2463, r12vrr_stack+3009, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6000, r12vrr_stack+5676, r12vrr_stack+3744, NULL, NULL, r12vrr_stack+1224);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6108, r12vrr_stack+5748, r12vrr_stack+6000, r12vrr_stack+5712, r12vrr_stack+5676, r12vrr_stack+3996);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6324, r12vrr_stack+5892, r12vrr_stack+5748, r12vrr_stack+5856, r12vrr_stack+5712, r12vrr_stack+3800);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6540, r12vrr_stack+6324, r12vrr_stack+6108, r12vrr_stack+5892, r12vrr_stack+5748, r12vrr_stack+4080);
 tmp = r12vrr_stack + 6540;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+594, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+5712, r12vrr_stack+264, r12vrr_stack+594, Data->F+3, Data->F+4, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+5718, r12vrr_stack+267, r12vrr_stack+5712, r12vrr_stack+0, r12vrr_stack+264, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+5728, r12vrr_stack+105, r12vrr_stack+21, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+5856, r12vrr_stack+273, r12vrr_stack+5728, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+594);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+5874, r12vrr_stack+282, r12vrr_stack+5856, r12vrr_stack+12, r12vrr_stack+273, r12vrr_stack+5712);

 /*--- compute (g0|p0)^1 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+5904, r12vrr_stack+300, r12vrr_stack+5874, r12vrr_stack+30, r12vrr_stack+282, r12vrr_stack+5718);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+30, r12vrr_stack+24, r12vrr_stack+3, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+5949, r12vrr_stack+330, r12vrr_stack+30, r12vrr_stack+108, r12vrr_stack+24, r12vrr_stack+5728);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+3780, r12vrr_stack+348, r12vrr_stack+5949, r12vrr_stack+114, r12vrr_stack+330, r12vrr_stack+5856);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+6900, r12vrr_stack+384, r12vrr_stack+3780, r12vrr_stack+132, r12vrr_stack+348, r12vrr_stack+5874);

 /*--- compute (h0|d0)^0 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+6990, r12vrr_stack+444, r12vrr_stack+6900, r12vrr_stack+204, r12vrr_stack+384, r12vrr_stack+5904);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+108, r12vrr_stack+63, r12vrr_stack+603, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7116, r12vrr_stack+784, r12vrr_stack+108, r12vrr_stack+554, r12vrr_stack+63, r12vrr_stack+30);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+7176, r12vrr_stack+814, r12vrr_stack+7116, r12vrr_stack+564, r12vrr_stack+784, r12vrr_stack+5949);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+7276, r12vrr_stack+874, r12vrr_stack+7176, r12vrr_stack+624, r12vrr_stack+814, r12vrr_stack+3780);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7426, r12vrr_stack+1074, r12vrr_stack+7276, r12vrr_stack+974, r12vrr_stack+874, r12vrr_stack+6900);
 tmp = r12vrr_stack + 7426;
 target_ptr = Libr12->gvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+534, r12vrr_stack+1749, r12vrr_stack+1273, NULL, NULL, r12vrr_stack+603);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7636, r12vrr_stack+1764, r12vrr_stack+534, r12vrr_stack+1359, r12vrr_stack+1749, r12vrr_stack+108);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7726, r12vrr_stack+1809, r12vrr_stack+7636, r12vrr_stack+1374, r12vrr_stack+1764, r12vrr_stack+7116);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7876, r12vrr_stack+1899, r12vrr_stack+7726, r12vrr_stack+1419, r12vrr_stack+1809, r12vrr_stack+7176);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8101, r12vrr_stack+2049, r12vrr_stack+7876, r12vrr_stack+1599, r12vrr_stack+1899, r12vrr_stack+7276);
 tmp = r12vrr_stack + 8101;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1359, r12vrr_stack+3009, r12vrr_stack+2350, NULL, NULL, r12vrr_stack+1273);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8416, r12vrr_stack+3030, r12vrr_stack+1359, r12vrr_stack+2463, r12vrr_stack+3009, r12vrr_stack+534);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8542, r12vrr_stack+3093, r12vrr_stack+8416, r12vrr_stack+2484, r12vrr_stack+3030, r12vrr_stack+7636);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8752, r12vrr_stack+3219, r12vrr_stack+8542, r12vrr_stack+2547, r12vrr_stack+3093, r12vrr_stack+7726);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9067, r12vrr_stack+3429, r12vrr_stack+8752, r12vrr_stack+2799, r12vrr_stack+3219, r12vrr_stack+7876);
 tmp = r12vrr_stack + 9067;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2463, r12vrr_stack+2316, r12vrr_stack+0, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2469, r12vrr_stack+2319, r12vrr_stack+2463, r12vrr_stack+1254, r12vrr_stack+2316, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5985, r12vrr_stack+2325, r12vrr_stack+2469, r12vrr_stack+1257, r12vrr_stack+2319, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2479, r12vrr_stack+2335, r12vrr_stack+5985, r12vrr_stack+1263, r12vrr_stack+2325, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2500, r12vrr_stack+2350, r12vrr_stack+2479, r12vrr_stack+1273, r12vrr_stack+2335, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2528, r12vrr_stack+4696, r12vrr_stack+2500, NULL, NULL, r12vrr_stack+2350);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9508, r12vrr_stack+4724, r12vrr_stack+2528, r12vrr_stack+1224, r12vrr_stack+4696, r12vrr_stack+1359);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9676, r12vrr_stack+4808, r12vrr_stack+9508, r12vrr_stack+3996, r12vrr_stack+4724, r12vrr_stack+8416);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9956, r12vrr_stack+4976, r12vrr_stack+9676, r12vrr_stack+4080, r12vrr_stack+4808, r12vrr_stack+8542);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10376, r12vrr_stack+5256, r12vrr_stack+9956, r12vrr_stack+4416, r12vrr_stack+4976, r12vrr_stack+8752);
 tmp = r12vrr_stack + 10376;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3996, r12vrr_stack+4696, r12vrr_stack+2500, r12vrr_stack+3009, r12vrr_stack+2350, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4032, r12vrr_stack+3744, r12vrr_stack+3996, NULL, NULL, r12vrr_stack+4696);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10964, r12vrr_stack+6000, r12vrr_stack+4032, r12vrr_stack+5676, r12vrr_stack+3744, r12vrr_stack+4724);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11180, r12vrr_stack+6108, r12vrr_stack+10964, r12vrr_stack+5748, r12vrr_stack+6000, r12vrr_stack+4808);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11540, r12vrr_stack+6540, r12vrr_stack+11180, r12vrr_stack+6324, r12vrr_stack+6108, r12vrr_stack+4976);
 tmp = r12vrr_stack + 11540;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+5676, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+5679, r12vrr_stack+594, r12vrr_stack+5676, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+5685, r12vrr_stack+5712, r12vrr_stack+5679, r12vrr_stack+264, r12vrr_stack+594, NULL);

 /*--- compute (g0|00)^2 ---*/
 _BUILD_g000(Data,r12vrr_stack+5695, r12vrr_stack+5718, r12vrr_stack+5685, r12vrr_stack+267, r12vrr_stack+5712, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+264, r12vrr_stack+21, r12vrr_stack+60, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+5710, r12vrr_stack+5728, r12vrr_stack+264, r12vrr_stack+105, r12vrr_stack+21, r12vrr_stack+5676);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+138, r12vrr_stack+5856, r12vrr_stack+5710, r12vrr_stack+273, r12vrr_stack+5728, r12vrr_stack+5679);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+5728, r12vrr_stack+5874, r12vrr_stack+138, r12vrr_stack+282, r12vrr_stack+5856, r12vrr_stack+5685);

 /*--- compute (h0|p0)^1 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+5773, r12vrr_stack+5904, r12vrr_stack+5728, r12vrr_stack+300, r12vrr_stack+5874, r12vrr_stack+5695);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+579, r12vrr_stack+3, r12vrr_stack+597, NULL, NULL, r12vrr_stack+60);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+5836, r12vrr_stack+30, r12vrr_stack+579, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+264);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+264, r12vrr_stack+5949, r12vrr_stack+5836, r12vrr_stack+330, r12vrr_stack+30, r12vrr_stack+5710);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+4140, r12vrr_stack+3780, r12vrr_stack+264, r12vrr_stack+348, r12vrr_stack+5949, r12vrr_stack+138);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+12080, r12vrr_stack+6900, r12vrr_stack+4140, r12vrr_stack+384, r12vrr_stack+3780, r12vrr_stack+5728);

 /*--- compute (i0|d0)^0 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+12206, r12vrr_stack+6990, r12vrr_stack+12080, r12vrr_stack+444, r12vrr_stack+6900, r12vrr_stack+5773);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+138, r12vrr_stack+603, r12vrr_stack+1263, NULL, NULL, r12vrr_stack+597);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+3, r12vrr_stack+108, r12vrr_stack+138, r12vrr_stack+63, r12vrr_stack+603, r12vrr_stack+579);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+579, r12vrr_stack+7116, r12vrr_stack+3, r12vrr_stack+784, r12vrr_stack+108, r12vrr_stack+5836);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+5676, r12vrr_stack+7176, r12vrr_stack+579, r12vrr_stack+814, r12vrr_stack+7116, r12vrr_stack+264);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+12374, r12vrr_stack+7276, r12vrr_stack+5676, r12vrr_stack+874, r12vrr_stack+7176, r12vrr_stack+4140);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+12584, r12vrr_stack+7426, r12vrr_stack+12374, r12vrr_stack+1074, r12vrr_stack+7276, r12vrr_stack+12080);
 tmp = r12vrr_stack + 12584;
 target_ptr = Libr12->gvrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+12080, r12vrr_stack+1273, r12vrr_stack+2335, NULL, NULL, r12vrr_stack+1263);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+6900, r12vrr_stack+534, r12vrr_stack+12080, r12vrr_stack+1749, r12vrr_stack+1273, r12vrr_stack+138);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+264, r12vrr_stack+7636, r12vrr_stack+6900, r12vrr_stack+1764, r12vrr_stack+534, r12vrr_stack+3);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7116, r12vrr_stack+7726, r12vrr_stack+264, r12vrr_stack+1809, r12vrr_stack+7636, r12vrr_stack+579);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+12864, r12vrr_stack+7876, r12vrr_stack+7116, r12vrr_stack+1899, r12vrr_stack+7726, r12vrr_stack+5676);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+13179, r12vrr_stack+8101, r12vrr_stack+12864, r12vrr_stack+2049, r12vrr_stack+7876, r12vrr_stack+12374);
 tmp = r12vrr_stack + 13179;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+105, r12vrr_stack+2350, r12vrr_stack+2479, NULL, NULL, r12vrr_stack+2335);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12374, r12vrr_stack+1359, r12vrr_stack+105, r12vrr_stack+3009, r12vrr_stack+2350, r12vrr_stack+12080);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5676, r12vrr_stack+8416, r12vrr_stack+12374, r12vrr_stack+3030, r12vrr_stack+1359, r12vrr_stack+6900);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7636, r12vrr_stack+8542, r12vrr_stack+5676, r12vrr_stack+3093, r12vrr_stack+8416, r12vrr_stack+264);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13599, r12vrr_stack+8752, r12vrr_stack+7636, r12vrr_stack+3219, r12vrr_stack+8542, r12vrr_stack+7116);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14040, r12vrr_stack+9067, r12vrr_stack+13599, r12vrr_stack+3429, r12vrr_stack+8752, r12vrr_stack+12864);
 tmp = r12vrr_stack + 14040;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12864, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+12867, r12vrr_stack+0, r12vrr_stack+12864, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+12873, r12vrr_stack+2463, r12vrr_stack+12867, r12vrr_stack+2316, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+2469, r12vrr_stack+12873, r12vrr_stack+2319, r12vrr_stack+2463, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+5985, r12vrr_stack+0, r12vrr_stack+2325, r12vrr_stack+2469, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+36, r12vrr_stack+2479, r12vrr_stack+15, r12vrr_stack+2335, r12vrr_stack+5985, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12500, r12vrr_stack+2500, r12vrr_stack+36, NULL, NULL, r12vrr_stack+2479);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12864, r12vrr_stack+2528, r12vrr_stack+12500, r12vrr_stack+4696, r12vrr_stack+2500, r12vrr_stack+105);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7116, r12vrr_stack+9508, r12vrr_stack+12864, r12vrr_stack+4724, r12vrr_stack+2528, r12vrr_stack+12374);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3009, r12vrr_stack+9676, r12vrr_stack+7116, r12vrr_stack+4808, r12vrr_stack+9508, r12vrr_stack+5676);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8416, r12vrr_stack+9956, r12vrr_stack+3009, r12vrr_stack+4976, r12vrr_stack+9676, r12vrr_stack+7636);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14628, r12vrr_stack+10376, r12vrr_stack+8416, r12vrr_stack+5256, r12vrr_stack+9956, r12vrr_stack+13599);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+2500, r12vrr_stack+36, r12vrr_stack+2350, r12vrr_stack+2479, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4140, r12vrr_stack+3996, r12vrr_stack+0, NULL, NULL, r12vrr_stack+2500);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13599, r12vrr_stack+4032, r12vrr_stack+4140, r12vrr_stack+3744, r12vrr_stack+3996, r12vrr_stack+2528);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8416, r12vrr_stack+10964, r12vrr_stack+13599, r12vrr_stack+6000, r12vrr_stack+4032, r12vrr_stack+9508);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4696, r12vrr_stack+11180, r12vrr_stack+8416, r12vrr_stack+6108, r12vrr_stack+10964, r12vrr_stack+9676);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15412, r12vrr_stack+11540, r12vrr_stack+4696, r12vrr_stack+6540, r12vrr_stack+11180, r12vrr_stack+9956);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+4696, &(Data->ss_r12_ss), NULL, r12vrr_stack+78, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+4699, r12vrr_stack+4696, &(Data->ss_r12_ss), r12vrr_stack+81, r12vrr_stack+78, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+4705, r12vrr_stack+4699, r12vrr_stack+4696, r12vrr_stack+684, r12vrr_stack+81, r12vrr_stack+78, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+4715, r12vrr_stack+4705, NULL, r12vrr_stack+694, r12vrr_stack+684, NULL, r12vrr_stack+81);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+4745, r12vrr_stack+4715, r12vrr_stack+4705, r12vrr_stack+724, r12vrr_stack+694, r12vrr_stack+684, r12vrr_stack+87);

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+4805, r12vrr_stack+4745, r12vrr_stack+4715, r12vrr_stack+974, r12vrr_stack+724, r12vrr_stack+694, r12vrr_stack+168);
 tmp = r12vrr_stack + 4805;
 target_ptr = Libr12->rvrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+1359, r12vrr_stack+4805, r12vrr_stack+4745, r12vrr_stack+1074, r12vrr_stack+974, r12vrr_stack+724, r12vrr_stack+204);
 tmp = r12vrr_stack + 1359;
 target_ptr = Libr12->rvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+4715, r12vrr_stack+4705, r12vrr_stack+4699, r12vrr_stack+1299, r12vrr_stack+684, r12vrr_stack+81, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+4730, r12vrr_stack+4715, NULL, r12vrr_stack+1314, r12vrr_stack+1299, NULL, r12vrr_stack+684);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+6900, r12vrr_stack+4730, r12vrr_stack+4715, r12vrr_stack+1509, r12vrr_stack+1314, r12vrr_stack+1299, r12vrr_stack+694);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+534, r12vrr_stack+6900, r12vrr_stack+4730, r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+1314, r12vrr_stack+724);
 tmp = r12vrr_stack + 534;
 target_ptr = Libr12->rvrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+4905, r12vrr_stack+534, r12vrr_stack+6900, r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+974);
 tmp = r12vrr_stack + 4905;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+6900, r12vrr_stack+4715, r12vrr_stack+4705, r12vrr_stack+2379, r12vrr_stack+1299, r12vrr_stack+684, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+6921, r12vrr_stack+6900, NULL, r12vrr_stack+2400, r12vrr_stack+2379, NULL, r12vrr_stack+1299);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+5130, r12vrr_stack+6921, r12vrr_stack+6900, r12vrr_stack+2673, r12vrr_stack+2400, r12vrr_stack+2379, r12vrr_stack+1314);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+12374, r12vrr_stack+5130, r12vrr_stack+6921, r12vrr_stack+2799, r12vrr_stack+2673, r12vrr_stack+2400, r12vrr_stack+1509);
 tmp = r12vrr_stack + 12374;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+12864, r12vrr_stack+12374, r12vrr_stack+5130, r12vrr_stack+3429, r12vrr_stack+2799, r12vrr_stack+2673, r12vrr_stack+1599);
 tmp = r12vrr_stack + 12864;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+5130, r12vrr_stack+6900, r12vrr_stack+4715, r12vrr_stack+3884, r12vrr_stack+2379, r12vrr_stack+1299, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+6900, r12vrr_stack+5130, NULL, r12vrr_stack+3912, r12vrr_stack+3884, NULL, r12vrr_stack+2379);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+10964, r12vrr_stack+6900, r12vrr_stack+5130, r12vrr_stack+4248, r12vrr_stack+3912, r12vrr_stack+3884, r12vrr_stack+2400);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+11132, r12vrr_stack+10964, r12vrr_stack+6900, r12vrr_stack+4416, r12vrr_stack+4248, r12vrr_stack+3912, r12vrr_stack+2673);
 tmp = r12vrr_stack + 11132;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+3009, r12vrr_stack+11132, r12vrr_stack+10964, r12vrr_stack+5256, r12vrr_stack+4416, r12vrr_stack+4248, r12vrr_stack+2799);
 tmp = r12vrr_stack + 3009;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10964, r12vrr_stack+974, r12vrr_stack+1599, r12vrr_stack+1074, r12vrr_stack+444, r12vrr_stack+204);
 tmp = r12vrr_stack + 10964;
 target_ptr = Libr12->t2vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8416, r12vrr_stack+1599, r12vrr_stack+2799, r12vrr_stack+2049, r12vrr_stack+1074, r12vrr_stack+974);
 tmp = r12vrr_stack + 8416;
 target_ptr = Libr12->t2vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8566, r12vrr_stack+2799, r12vrr_stack+4416, r12vrr_stack+3429, r12vrr_stack+2049, r12vrr_stack+1599);
 tmp = r12vrr_stack + 8566;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8776, r12vrr_stack+4416, r12vrr_stack+6540, r12vrr_stack+5256, r12vrr_stack+3429, r12vrr_stack+2799);
 tmp = r12vrr_stack + 8776;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9508, r12vrr_stack+1074, r12vrr_stack+2049, r12vrr_stack+7426, r12vrr_stack+6990, r12vrr_stack+444);
 tmp = r12vrr_stack + 9508;
 target_ptr = Libr12->t2vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9658, r12vrr_stack+2049, r12vrr_stack+3429, r12vrr_stack+8101, r12vrr_stack+7426, r12vrr_stack+1074);
 tmp = r12vrr_stack + 9658;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9883, r12vrr_stack+3429, r12vrr_stack+5256, r12vrr_stack+9067, r12vrr_stack+8101, r12vrr_stack+2049);
 tmp = r12vrr_stack + 9883;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13599, r12vrr_stack+5256, r12vrr_stack+11540, r12vrr_stack+10376, r12vrr_stack+9067, r12vrr_stack+3429);
 tmp = r12vrr_stack + 13599;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3744, r12vrr_stack+7426, r12vrr_stack+8101, r12vrr_stack+12584, r12vrr_stack+12206, r12vrr_stack+6990);
 tmp = r12vrr_stack + 3744;
 target_ptr = Libr12->t2vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6900, r12vrr_stack+8101, r12vrr_stack+9067, r12vrr_stack+13179, r12vrr_stack+12584, r12vrr_stack+7426);
 tmp = r12vrr_stack + 6900;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+9067, r12vrr_stack+10376, r12vrr_stack+14040, r12vrr_stack+13179, r12vrr_stack+8101);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5676, r12vrr_stack+10376, r12vrr_stack+15412, r12vrr_stack+14628, r12vrr_stack+14040, r12vrr_stack+9067);
 tmp = r12vrr_stack + 5676;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_f0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7215, r12vrr_stack+974, r12vrr_stack+1074, r12vrr_stack+1599, r12vrr_stack+1509, r12vrr_stack+724);
 tmp = r12vrr_stack + 7215;
 target_ptr = Libr12->t1vrr_classes[3][3];
 for(i=0;i<100;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_f0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+684, r12vrr_stack+1599, r12vrr_stack+2049, r12vrr_stack+2799, r12vrr_stack+2673, r12vrr_stack+1509);
 tmp = r12vrr_stack + 684;
 target_ptr = Libr12->t1vrr_classes[3][4];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3954, r12vrr_stack+2799, r12vrr_stack+3429, r12vrr_stack+4416, r12vrr_stack+4248, r12vrr_stack+2673);
 tmp = r12vrr_stack + 3954;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7636, r12vrr_stack+4416, r12vrr_stack+5256, r12vrr_stack+6540, r12vrr_stack+6324, r12vrr_stack+4248);
 tmp = r12vrr_stack + 7636;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10198, r12vrr_stack+1074, r12vrr_stack+7426, r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+974);
 tmp = r12vrr_stack + 10198;
 target_ptr = Libr12->t1vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4164, r12vrr_stack+2049, r12vrr_stack+8101, r12vrr_stack+3429, r12vrr_stack+2799, r12vrr_stack+1599);
 tmp = r12vrr_stack + 4164;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2274, r12vrr_stack+3429, r12vrr_stack+9067, r12vrr_stack+5256, r12vrr_stack+4416, r12vrr_stack+2799);
 tmp = r12vrr_stack + 2274;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16168, r12vrr_stack+5256, r12vrr_stack+10376, r12vrr_stack+11540, r12vrr_stack+6540, r12vrr_stack+4416);
 tmp = r12vrr_stack + 16168;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2589, r12vrr_stack+7426, r12vrr_stack+12584, r12vrr_stack+8101, r12vrr_stack+2049, r12vrr_stack+1074);
 tmp = r12vrr_stack + 2589;
 target_ptr = Libr12->t1vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6264, r12vrr_stack+8101, r12vrr_stack+13179, r12vrr_stack+9067, r12vrr_stack+3429, r12vrr_stack+2049);
 tmp = r12vrr_stack + 6264;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16588, r12vrr_stack+9067, r12vrr_stack+14040, r12vrr_stack+10376, r12vrr_stack+5256, r12vrr_stack+3429);
 tmp = r12vrr_stack + 16588;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14019, r12vrr_stack+10376, r12vrr_stack+14628, r12vrr_stack+15412, r12vrr_stack+11540, r12vrr_stack+5256);
 tmp = r12vrr_stack + 14019;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||f0)^0 ---*/
 _R_BUILD_h0f0(Data,r12vrr_stack+13179, r12vrr_stack+1359, r12vrr_stack+4805, r12vrr_stack+7426, r12vrr_stack+1074, r12vrr_stack+974, r12vrr_stack+444);
 tmp = r12vrr_stack + 13179;
 target_ptr = Libr12->rvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+7315, r12vrr_stack+4905, r12vrr_stack+534, r12vrr_stack+8101, r12vrr_stack+2049, r12vrr_stack+1599, r12vrr_stack+1074);
 tmp = r12vrr_stack + 7315;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+834, r12vrr_stack+12864, r12vrr_stack+12374, r12vrr_stack+9067, r12vrr_stack+3429, r12vrr_stack+2799, r12vrr_stack+2049);
 tmp = r12vrr_stack + 834;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+1275, r12vrr_stack+3009, r12vrr_stack+11132, r12vrr_stack+10376, r12vrr_stack+5256, r12vrr_stack+4416, r12vrr_stack+3429);
 tmp = r12vrr_stack + 1275;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];


}

