#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_fdii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+352, r12vrr_stack+331, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+436, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+439, r12vrr_stack+436, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+95, r12vrr_stack+436, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+101, r12vrr_stack+439, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+111, r12vrr_stack+445, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+491, r12vrr_stack+470, r12vrr_stack+352, NULL, NULL, r12vrr_stack+111);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+31, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+331, r12vrr_stack+569, NULL, NULL, r12vrr_stack+136);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+151);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+196);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+241);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1115, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1133, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1163, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+1115);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1223, r12vrr_stack+136, r12vrr_stack+554, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1268, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+1133);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1358, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+1163);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+199, r12vrr_stack+3, r12vrr_stack+196, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+199, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+205, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+220, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+126, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1508, r12vrr_stack+569, r12vrr_stack+220, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1571, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+1223);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1697, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+1268);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1907, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+1358);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2250, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2278, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+136, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2306, r12vrr_stack+2222, r12vrr_stack+2278, NULL, NULL, r12vrr_stack+569);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2390, r12vrr_stack+2250, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2474, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+590);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+455, r12vrr_stack+111, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+2250, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+373);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+373, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+376, r12vrr_stack+196, r12vrr_stack+373, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+382, r12vrr_stack+199, r12vrr_stack+376, r12vrr_stack+3, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+40, r12vrr_stack+382, r12vrr_stack+95, r12vrr_stack+199, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+392, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+220, r12vrr_stack+392, r12vrr_stack+554, r12vrr_stack+205, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2950, r12vrr_stack+2278, r12vrr_stack+2922, NULL, NULL, r12vrr_stack+220);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3034, r12vrr_stack+2306, r12vrr_stack+2950, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+1508);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3202, r12vrr_stack+2474, r12vrr_stack+3034, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+1571);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+653);
 tmp = r12vrr_stack + 3482;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+3202, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+1697);
 tmp = r12vrr_stack + 3762;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4182, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+331, r12vrr_stack+569, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4218, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+352, r12vrr_stack+331, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4254, r12vrr_stack+4218, r12vrr_stack+4182, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4362, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+470, r12vrr_stack+352, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4398, r12vrr_stack+4362, r12vrr_stack+4218, NULL, NULL, r12vrr_stack+2250);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+2278, r12vrr_stack+2922, r12vrr_stack+569, r12vrr_stack+220, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4506, r12vrr_stack+4182, r12vrr_stack+331, NULL, NULL, r12vrr_stack+2278);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4614, r12vrr_stack+4254, r12vrr_stack+4506, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+2306);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+4254, r12vrr_stack+4362, r12vrr_stack+4218, r12vrr_stack+2390);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+4614, r12vrr_stack+4398, r12vrr_stack+4254, r12vrr_stack+2474);
 tmp = r12vrr_stack + 5046;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+367, r12vrr_stack+373, r12vrr_stack+3, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2390, r12vrr_stack+376, r12vrr_stack+367, r12vrr_stack+196, r12vrr_stack+373, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+382, r12vrr_stack+2390, r12vrr_stack+199, r12vrr_stack+376, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2400, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+382, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2421, r12vrr_stack+392, r12vrr_stack+2400, r12vrr_stack+205, r12vrr_stack+111, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+2922, r12vrr_stack+2421, r12vrr_stack+220, r12vrr_stack+392, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5442, r12vrr_stack+331, r12vrr_stack+5406, NULL, NULL, r12vrr_stack+2922);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5550, r12vrr_stack+4506, r12vrr_stack+5442, r12vrr_stack+4182, r12vrr_stack+331, r12vrr_stack+2950);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5766, r12vrr_stack+4614, r12vrr_stack+5550, r12vrr_stack+4254, r12vrr_stack+4506, r12vrr_stack+3034);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+5766, r12vrr_stack+4830, r12vrr_stack+4614, r12vrr_stack+3202);
 tmp = r12vrr_stack + 6126;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+4182, r12vrr_stack+331, r12vrr_stack+2222, r12vrr_stack+2278, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6711, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+2250, r12vrr_stack+2222, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6756, r12vrr_stack+6711, r12vrr_stack+6666, NULL, NULL, r12vrr_stack+4182);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6891, r12vrr_stack+4362, r12vrr_stack+4218, r12vrr_stack+2642, r12vrr_stack+2250, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6936, r12vrr_stack+6891, r12vrr_stack+6711, NULL, NULL, r12vrr_stack+4218);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+5406, r12vrr_stack+2278, r12vrr_stack+2922, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7071, r12vrr_stack+6666, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7206, r12vrr_stack+6756, r12vrr_stack+7071, r12vrr_stack+6711, r12vrr_stack+6666, r12vrr_stack+4506);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+6756, r12vrr_stack+6891, r12vrr_stack+6711, r12vrr_stack+4254);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+7206, r12vrr_stack+6936, r12vrr_stack+6756, r12vrr_stack+4614);
 tmp = r12vrr_stack + 7746;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4254, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4257, r12vrr_stack+3, r12vrr_stack+4254, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4263, r12vrr_stack+367, r12vrr_stack+4257, r12vrr_stack+373, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4273, r12vrr_stack+2390, r12vrr_stack+4263, r12vrr_stack+376, r12vrr_stack+367, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4288, r12vrr_stack+80, r12vrr_stack+4273, r12vrr_stack+382, r12vrr_stack+2390, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4309, r12vrr_stack+2400, r12vrr_stack+4288, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8196, r12vrr_stack+2421, r12vrr_stack+4309, r12vrr_stack+392, r12vrr_stack+2400, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8232, r12vrr_stack+5406, r12vrr_stack+8196, r12vrr_stack+2922, r12vrr_stack+2421, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8277, r12vrr_stack+2222, r12vrr_stack+8232, NULL, NULL, r12vrr_stack+5406);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8412, r12vrr_stack+7071, r12vrr_stack+8277, r12vrr_stack+6666, r12vrr_stack+2222, r12vrr_stack+5442);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8682, r12vrr_stack+7206, r12vrr_stack+8412, r12vrr_stack+6756, r12vrr_stack+7071, r12vrr_stack+5550);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+8682, r12vrr_stack+7476, r12vrr_stack+7206, r12vrr_stack+5766);
 tmp = r12vrr_stack + 9132;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+6666, r12vrr_stack+2222, r12vrr_stack+4182, r12vrr_stack+331, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9862, r12vrr_stack+6711, r12vrr_stack+6666, r12vrr_stack+4218, r12vrr_stack+4182, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9917, r12vrr_stack+9862, r12vrr_stack+9807, NULL, NULL, r12vrr_stack+6666);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10082, r12vrr_stack+6891, r12vrr_stack+6711, r12vrr_stack+4362, r12vrr_stack+4218, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10137, r12vrr_stack+10082, r12vrr_stack+9862, NULL, NULL, r12vrr_stack+6711);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4182, r12vrr_stack+2222, r12vrr_stack+8232, r12vrr_stack+331, r12vrr_stack+5406, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10302, r12vrr_stack+9807, r12vrr_stack+4182, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10467, r12vrr_stack+9917, r12vrr_stack+10302, r12vrr_stack+9862, r12vrr_stack+9807, r12vrr_stack+7071);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10797, r12vrr_stack+10137, r12vrr_stack+9917, r12vrr_stack+10082, r12vrr_stack+9862, r12vrr_stack+6756);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+10467, r12vrr_stack+10137, r12vrr_stack+9917, r12vrr_stack+7206);
 tmp = r12vrr_stack + 11127;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6756, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6759, r12vrr_stack+4254, r12vrr_stack+6756, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6765, r12vrr_stack+4257, r12vrr_stack+6759, r12vrr_stack+3, r12vrr_stack+4254, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6775, r12vrr_stack+4263, r12vrr_stack+6765, r12vrr_stack+367, r12vrr_stack+4257, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+367, r12vrr_stack+4273, r12vrr_stack+6775, r12vrr_stack+2390, r12vrr_stack+4263, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6790, r12vrr_stack+4288, r12vrr_stack+367, r12vrr_stack+80, r12vrr_stack+4273, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6818, r12vrr_stack+4309, r12vrr_stack+6790, r12vrr_stack+2400, r12vrr_stack+4288, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11677, r12vrr_stack+8196, r12vrr_stack+6818, r12vrr_stack+2421, r12vrr_stack+4309, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11722, r12vrr_stack+8232, r12vrr_stack+11677, r12vrr_stack+5406, r12vrr_stack+8196, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11777, r12vrr_stack+4182, r12vrr_stack+11722, NULL, NULL, r12vrr_stack+8232);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11942, r12vrr_stack+10302, r12vrr_stack+11777, r12vrr_stack+9807, r12vrr_stack+4182, r12vrr_stack+8277);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12272, r12vrr_stack+10467, r12vrr_stack+11942, r12vrr_stack+9917, r12vrr_stack+10302, r12vrr_stack+8412);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+12272, r12vrr_stack+10797, r12vrr_stack+10467, r12vrr_stack+8682);
 tmp = r12vrr_stack + 12822;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+9807, r12vrr_stack+4182, r12vrr_stack+6666, r12vrr_stack+2222, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13713, r12vrr_stack+9862, r12vrr_stack+9807, r12vrr_stack+6711, r12vrr_stack+6666, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13779, r12vrr_stack+13713, r12vrr_stack+13647, NULL, NULL, r12vrr_stack+9807);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13977, r12vrr_stack+10082, r12vrr_stack+9862, r12vrr_stack+6891, r12vrr_stack+6711, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14043, r12vrr_stack+13977, r12vrr_stack+13713, NULL, NULL, r12vrr_stack+9862);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+4182, r12vrr_stack+11722, r12vrr_stack+2222, r12vrr_stack+8232, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14241, r12vrr_stack+13647, r12vrr_stack+6666, NULL, NULL, r12vrr_stack+4182);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14439, r12vrr_stack+13779, r12vrr_stack+14241, r12vrr_stack+13713, r12vrr_stack+13647, r12vrr_stack+10302);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14835, r12vrr_stack+14043, r12vrr_stack+13779, r12vrr_stack+13977, r12vrr_stack+13713, r12vrr_stack+9917);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+14439, r12vrr_stack+14043, r12vrr_stack+13779, r12vrr_stack+10467);
 tmp = r12vrr_stack + 15231;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9917, r12vrr_stack+6756, r12vrr_stack+3, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2390, r12vrr_stack+6759, r12vrr_stack+9917, r12vrr_stack+4254, r12vrr_stack+6756, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+6765, r12vrr_stack+2390, r12vrr_stack+4257, r12vrr_stack+6759, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9923, r12vrr_stack+6775, r12vrr_stack+80, r12vrr_stack+4263, r12vrr_stack+6765, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9944, r12vrr_stack+367, r12vrr_stack+9923, r12vrr_stack+4273, r12vrr_stack+6775, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9972, r12vrr_stack+6790, r12vrr_stack+9944, r12vrr_stack+4288, r12vrr_stack+367, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10008, r12vrr_stack+6818, r12vrr_stack+9972, r12vrr_stack+4309, r12vrr_stack+6790, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4237, r12vrr_stack+11677, r12vrr_stack+10008, r12vrr_stack+8196, r12vrr_stack+6818, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15891, r12vrr_stack+11722, r12vrr_stack+4237, r12vrr_stack+8232, r12vrr_stack+11677, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15957, r12vrr_stack+6666, r12vrr_stack+15891, NULL, NULL, r12vrr_stack+11722);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16155, r12vrr_stack+14241, r12vrr_stack+15957, r12vrr_stack+13647, r12vrr_stack+6666, r12vrr_stack+11777);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16551, r12vrr_stack+14439, r12vrr_stack+16155, r12vrr_stack+13779, r12vrr_stack+14241, r12vrr_stack+11942);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17211, r12vrr_stack+15231, r12vrr_stack+16551, r12vrr_stack+14835, r12vrr_stack+14439, r12vrr_stack+12272);
 tmp = r12vrr_stack + 17211;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18201, r12vrr_stack+13647, r12vrr_stack+6666, r12vrr_stack+9807, r12vrr_stack+4182, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18279, r12vrr_stack+13713, r12vrr_stack+13647, r12vrr_stack+9862, r12vrr_stack+9807, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18357, r12vrr_stack+18279, r12vrr_stack+18201, NULL, NULL, r12vrr_stack+13647);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18591, r12vrr_stack+13977, r12vrr_stack+13713, r12vrr_stack+10082, r12vrr_stack+9862, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18669, r12vrr_stack+18591, r12vrr_stack+18279, NULL, NULL, r12vrr_stack+13713);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+6666, r12vrr_stack+15891, r12vrr_stack+4182, r12vrr_stack+11722, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18903, r12vrr_stack+18201, r12vrr_stack+9807, NULL, NULL, r12vrr_stack+6666);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19137, r12vrr_stack+18357, r12vrr_stack+18903, r12vrr_stack+18279, r12vrr_stack+18201, r12vrr_stack+14241);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19605, r12vrr_stack+18669, r12vrr_stack+18357, r12vrr_stack+18591, r12vrr_stack+18279, r12vrr_stack+13779);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20073, r12vrr_stack+19605, r12vrr_stack+19137, r12vrr_stack+18669, r12vrr_stack+18357, r12vrr_stack+14439);
 tmp = r12vrr_stack + 20073;
 target_ptr = Libr12->gvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13779, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13782, r12vrr_stack+3, r12vrr_stack+13779, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13788, r12vrr_stack+9917, r12vrr_stack+13782, r12vrr_stack+6756, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13798, r12vrr_stack+2390, r12vrr_stack+13788, r12vrr_stack+6759, r12vrr_stack+9917, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13813, r12vrr_stack+80, r12vrr_stack+13798, r12vrr_stack+6765, r12vrr_stack+2390, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13834, r12vrr_stack+9923, r12vrr_stack+13813, r12vrr_stack+6775, r12vrr_stack+80, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13862, r12vrr_stack+9944, r12vrr_stack+13834, r12vrr_stack+367, r12vrr_stack+9923, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13898, r12vrr_stack+9972, r12vrr_stack+13862, r12vrr_stack+6790, r12vrr_stack+9944, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6732, r12vrr_stack+10008, r12vrr_stack+13898, r12vrr_stack+6818, r12vrr_stack+9972, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20853, r12vrr_stack+4237, r12vrr_stack+6732, r12vrr_stack+11677, r12vrr_stack+10008, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20919, r12vrr_stack+15891, r12vrr_stack+20853, r12vrr_stack+11722, r12vrr_stack+4237, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20997, r12vrr_stack+9807, r12vrr_stack+20919, NULL, NULL, r12vrr_stack+15891);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21231, r12vrr_stack+18903, r12vrr_stack+20997, r12vrr_stack+18201, r12vrr_stack+9807, r12vrr_stack+15957);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21699, r12vrr_stack+19137, r12vrr_stack+21231, r12vrr_stack+18357, r12vrr_stack+18903, r12vrr_stack+16155);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+22479, r12vrr_stack+20073, r12vrr_stack+21699, r12vrr_stack+19605, r12vrr_stack+19137, r12vrr_stack+16551);
 tmp = r12vrr_stack + 22479;
 target_ptr = Libr12->gvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23649, r12vrr_stack+18201, r12vrr_stack+9807, r12vrr_stack+13647, r12vrr_stack+6666, NULL);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23740, r12vrr_stack+18279, r12vrr_stack+18201, r12vrr_stack+13713, r12vrr_stack+13647, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23831, r12vrr_stack+23740, r12vrr_stack+23649, NULL, NULL, r12vrr_stack+18201);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24104, r12vrr_stack+18591, r12vrr_stack+18279, r12vrr_stack+13977, r12vrr_stack+13713, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24195, r12vrr_stack+24104, r12vrr_stack+23740, NULL, NULL, r12vrr_stack+18279);

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+9807, r12vrr_stack+20919, r12vrr_stack+6666, r12vrr_stack+15891, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24468, r12vrr_stack+23649, r12vrr_stack+13647, NULL, NULL, r12vrr_stack+9807);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24741, r12vrr_stack+23831, r12vrr_stack+24468, r12vrr_stack+23740, r12vrr_stack+23649, r12vrr_stack+18903);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+25287, r12vrr_stack+24195, r12vrr_stack+23831, r12vrr_stack+24104, r12vrr_stack+23740, r12vrr_stack+18357);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+25833, r12vrr_stack+25287, r12vrr_stack+24741, r12vrr_stack+24195, r12vrr_stack+23831, r12vrr_stack+19137);
 tmp = r12vrr_stack + 25833;
 target_ptr = Libr12->gvrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18357, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+18360, r12vrr_stack+13779, r12vrr_stack+18357, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+18366, r12vrr_stack+13782, r12vrr_stack+18360, r12vrr_stack+3, r12vrr_stack+13779, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+18376, r12vrr_stack+13788, r12vrr_stack+18366, r12vrr_stack+9917, r12vrr_stack+13782, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18391, r12vrr_stack+13798, r12vrr_stack+18376, r12vrr_stack+2390, r12vrr_stack+13788, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18412, r12vrr_stack+13813, r12vrr_stack+18391, r12vrr_stack+80, r12vrr_stack+13798, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18440, r12vrr_stack+13834, r12vrr_stack+18412, r12vrr_stack+9923, r12vrr_stack+13813, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18476, r12vrr_stack+13862, r12vrr_stack+18440, r12vrr_stack+9944, r12vrr_stack+13834, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18521, r12vrr_stack+13898, r12vrr_stack+18476, r12vrr_stack+9972, r12vrr_stack+13862, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+9885, r12vrr_stack+6732, r12vrr_stack+18521, r12vrr_stack+10008, r12vrr_stack+13898, NULL);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+26743, r12vrr_stack+20853, r12vrr_stack+9885, r12vrr_stack+4237, r12vrr_stack+6732, NULL);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+26821, r12vrr_stack+20919, r12vrr_stack+26743, r12vrr_stack+15891, r12vrr_stack+20853, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+26912, r12vrr_stack+13647, r12vrr_stack+26821, NULL, NULL, r12vrr_stack+20919);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+27185, r12vrr_stack+24468, r12vrr_stack+26912, r12vrr_stack+23649, r12vrr_stack+13647, r12vrr_stack+20997);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+27731, r12vrr_stack+24741, r12vrr_stack+27185, r12vrr_stack+23831, r12vrr_stack+24468, r12vrr_stack+21231);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+28641, r12vrr_stack+25833, r12vrr_stack+27731, r12vrr_stack+25287, r12vrr_stack+24741, r12vrr_stack+21699);
 tmp = r12vrr_stack + 28641;
 target_ptr = Libr12->gvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30006, r12vrr_stack+23649, r12vrr_stack+13647, r12vrr_stack+18201, r12vrr_stack+9807, NULL);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30111, r12vrr_stack+23740, r12vrr_stack+23649, r12vrr_stack+18279, r12vrr_stack+18201, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30216, r12vrr_stack+30111, r12vrr_stack+30006, NULL, NULL, r12vrr_stack+23649);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30531, r12vrr_stack+24104, r12vrr_stack+23740, r12vrr_stack+18591, r12vrr_stack+18279, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30636, r12vrr_stack+30531, r12vrr_stack+30111, NULL, NULL, r12vrr_stack+23740);

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+23649, r12vrr_stack+13647, r12vrr_stack+26821, r12vrr_stack+9807, r12vrr_stack+20919, NULL);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30951, r12vrr_stack+30006, r12vrr_stack+23649, NULL, NULL, r12vrr_stack+13647);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+31266, r12vrr_stack+30216, r12vrr_stack+30951, r12vrr_stack+30111, r12vrr_stack+30006, r12vrr_stack+24468);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+31896, r12vrr_stack+30636, r12vrr_stack+30216, r12vrr_stack+30531, r12vrr_stack+30111, r12vrr_stack+23831);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+32526, r12vrr_stack+31896, r12vrr_stack+31266, r12vrr_stack+30636, r12vrr_stack+30216, r12vrr_stack+24741);
 tmp = r12vrr_stack + 32526;
 target_ptr = Libr12->gvrr_classes[3][13];
 for(i=0;i<1050;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+196, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+30111, r12vrr_stack+15, r12vrr_stack+34, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+30129, r12vrr_stack+1115, r12vrr_stack+30111, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+196);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+30165, r12vrr_stack+126, r12vrr_stack+101, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+30531, r12vrr_stack+1133, r12vrr_stack+30165, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+30111);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+30591, r12vrr_stack+1163, r12vrr_stack+30531, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+30129);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+50, r12vrr_stack+554, r12vrr_stack+205, NULL, NULL, r12vrr_stack+101);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+30691, r12vrr_stack+1223, r12vrr_stack+50, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+30165);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+30781, r12vrr_stack+1268, r12vrr_stack+30691, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+30531);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+23754, r12vrr_stack+1358, r12vrr_stack+30781, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+30591);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+241, r12vrr_stack+220, r12vrr_stack+392, NULL, NULL, r12vrr_stack+205);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18201, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+50);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33576, r12vrr_stack+1571, r12vrr_stack+18201, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+30691);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33786, r12vrr_stack+1697, r12vrr_stack+33576, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+30781);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+34101, r12vrr_stack+1907, r12vrr_stack+33786, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+23754);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+2922, r12vrr_stack+2421, NULL, NULL, r12vrr_stack+392);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+34542, r12vrr_stack+2950, r12vrr_stack+569, r12vrr_stack+2278, r12vrr_stack+2922, r12vrr_stack+241);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+34710, r12vrr_stack+3034, r12vrr_stack+34542, r12vrr_stack+2306, r12vrr_stack+2950, r12vrr_stack+18201);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+34990, r12vrr_stack+3202, r12vrr_stack+34710, r12vrr_stack+2474, r12vrr_stack+3034, r12vrr_stack+33576);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+35410, r12vrr_stack+3762, r12vrr_stack+34990, r12vrr_stack+3482, r12vrr_stack+3202, r12vrr_stack+33786);
 tmp = r12vrr_stack + 35410;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+5406, r12vrr_stack+8196, NULL, NULL, r12vrr_stack+2421);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35998, r12vrr_stack+5442, r12vrr_stack+653, r12vrr_stack+331, r12vrr_stack+5406, r12vrr_stack+569);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+36214, r12vrr_stack+5550, r12vrr_stack+35998, r12vrr_stack+4506, r12vrr_stack+5442, r12vrr_stack+34542);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+36574, r12vrr_stack+5766, r12vrr_stack+36214, r12vrr_stack+4614, r12vrr_stack+5550, r12vrr_stack+34710);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+37114, r12vrr_stack+6126, r12vrr_stack+36574, r12vrr_stack+5046, r12vrr_stack+5766, r12vrr_stack+34990);
 tmp = r12vrr_stack + 37114;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4506, r12vrr_stack+8232, r12vrr_stack+11677, NULL, NULL, r12vrr_stack+8196);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37870, r12vrr_stack+8277, r12vrr_stack+4506, r12vrr_stack+2222, r12vrr_stack+8232, r12vrr_stack+653);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38140, r12vrr_stack+8412, r12vrr_stack+37870, r12vrr_stack+7071, r12vrr_stack+8277, r12vrr_stack+35998);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38590, r12vrr_stack+8682, r12vrr_stack+38140, r12vrr_stack+7206, r12vrr_stack+8412, r12vrr_stack+36214);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39265, r12vrr_stack+9132, r12vrr_stack+38590, r12vrr_stack+7746, r12vrr_stack+8682, r12vrr_stack+36574);
 tmp = r12vrr_stack + 39265;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7071, r12vrr_stack+11722, r12vrr_stack+4237, NULL, NULL, r12vrr_stack+11677);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40210, r12vrr_stack+11777, r12vrr_stack+7071, r12vrr_stack+4182, r12vrr_stack+11722, r12vrr_stack+4506);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40540, r12vrr_stack+11942, r12vrr_stack+40210, r12vrr_stack+10302, r12vrr_stack+11777, r12vrr_stack+37870);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41090, r12vrr_stack+12272, r12vrr_stack+40540, r12vrr_stack+10467, r12vrr_stack+11942, r12vrr_stack+38140);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41915, r12vrr_stack+12822, r12vrr_stack+41090, r12vrr_stack+11127, r12vrr_stack+12272, r12vrr_stack+38590);
 tmp = r12vrr_stack + 41915;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+10302, r12vrr_stack+15891, r12vrr_stack+20853, NULL, NULL, r12vrr_stack+4237);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43070, r12vrr_stack+15957, r12vrr_stack+10302, r12vrr_stack+6666, r12vrr_stack+15891, r12vrr_stack+7071);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43466, r12vrr_stack+16155, r12vrr_stack+43070, r12vrr_stack+14241, r12vrr_stack+15957, r12vrr_stack+40210);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44126, r12vrr_stack+16551, r12vrr_stack+43466, r12vrr_stack+14439, r12vrr_stack+16155, r12vrr_stack+40540);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45116, r12vrr_stack+17211, r12vrr_stack+44126, r12vrr_stack+15231, r12vrr_stack+16551, r12vrr_stack+41090);
 tmp = r12vrr_stack + 45116;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14241, r12vrr_stack+20919, r12vrr_stack+26743, NULL, NULL, r12vrr_stack+20853);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+46502, r12vrr_stack+20997, r12vrr_stack+14241, r12vrr_stack+9807, r12vrr_stack+20919, r12vrr_stack+10302);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+46970, r12vrr_stack+21231, r12vrr_stack+46502, r12vrr_stack+18903, r12vrr_stack+20997, r12vrr_stack+43070);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+47750, r12vrr_stack+21699, r12vrr_stack+46970, r12vrr_stack+19137, r12vrr_stack+21231, r12vrr_stack+43466);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+48920, r12vrr_stack+22479, r12vrr_stack+47750, r12vrr_stack+20073, r12vrr_stack+21699, r12vrr_stack+44126);
 tmp = r12vrr_stack + 48920;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18903, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+18906, r12vrr_stack+18357, r12vrr_stack+18903, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+18360, r12vrr_stack+18906, r12vrr_stack+13779, r12vrr_stack+18357, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+18576, r12vrr_stack+18366, r12vrr_stack+21, r12vrr_stack+13782, r12vrr_stack+18360, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30195, r12vrr_stack+18376, r12vrr_stack+18576, r12vrr_stack+13788, r12vrr_stack+18366, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18912, r12vrr_stack+18391, r12vrr_stack+30195, r12vrr_stack+13798, r12vrr_stack+18376, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18940, r12vrr_stack+18412, r12vrr_stack+18912, r12vrr_stack+13813, r12vrr_stack+18391, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18976, r12vrr_stack+18440, r12vrr_stack+18940, r12vrr_stack+13834, r12vrr_stack+18412, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4182, r12vrr_stack+18476, r12vrr_stack+18976, r12vrr_stack+13862, r12vrr_stack+18440, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+18521, r12vrr_stack+4182, r12vrr_stack+13898, r12vrr_stack+18476, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+9885, r12vrr_stack+6666, r12vrr_stack+6732, r12vrr_stack+18521, NULL);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+19021, r12vrr_stack+26743, r12vrr_stack+9807, r12vrr_stack+20853, r12vrr_stack+9885, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+19112, r12vrr_stack+26821, r12vrr_stack+19021, NULL, NULL, r12vrr_stack+26743);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50558, r12vrr_stack+26912, r12vrr_stack+19112, r12vrr_stack+13647, r12vrr_stack+26821, r12vrr_stack+14241);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+51104, r12vrr_stack+27185, r12vrr_stack+50558, r12vrr_stack+24468, r12vrr_stack+26912, r12vrr_stack+46502);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+52014, r12vrr_stack+27731, r12vrr_stack+51104, r12vrr_stack+24741, r12vrr_stack+27185, r12vrr_stack+46970);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+53379, r12vrr_stack+28641, r12vrr_stack+52014, r12vrr_stack+25833, r12vrr_stack+27731, r12vrr_stack+47750);
 tmp = r12vrr_stack + 53379;
 target_ptr = Libr12->gvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+24468, r12vrr_stack+26821, r12vrr_stack+19021, r12vrr_stack+20919, r12vrr_stack+26743, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+24573, r12vrr_stack+23649, r12vrr_stack+24468, NULL, NULL, r12vrr_stack+26821);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+55290, r12vrr_stack+30951, r12vrr_stack+24573, r12vrr_stack+30006, r12vrr_stack+23649, r12vrr_stack+26912);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+55920, r12vrr_stack+31266, r12vrr_stack+55290, r12vrr_stack+30216, r12vrr_stack+30951, r12vrr_stack+27185);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+56970, r12vrr_stack+32526, r12vrr_stack+55920, r12vrr_stack+31896, r12vrr_stack+31266, r12vrr_stack+27731);
 tmp = r12vrr_stack + 56970;
 target_ptr = Libr12->gvrr_classes[4][13];
 for(i=0;i<1575;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+30216, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+31, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+761, r12vrr_stack+196, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+12, r12vrr_stack+30216);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+30216, r12vrr_stack+34, r12vrr_stack+95, NULL, NULL, r12vrr_stack+31);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+30234, r12vrr_stack+30111, r12vrr_stack+30216, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+3);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+30270, r12vrr_stack+30129, r12vrr_stack+30234, r12vrr_stack+1115, r12vrr_stack+30111, r12vrr_stack+761);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+18327, r12vrr_stack+101, r12vrr_stack+40, NULL, NULL, r12vrr_stack+95);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+30330, r12vrr_stack+30165, r12vrr_stack+18327, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+30216);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+30390, r12vrr_stack+30531, r12vrr_stack+30330, r12vrr_stack+1133, r12vrr_stack+30165, r12vrr_stack+30234);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+30006, r12vrr_stack+30591, r12vrr_stack+30390, r12vrr_stack+1163, r12vrr_stack+30531, r12vrr_stack+30270);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+30216, r12vrr_stack+205, r12vrr_stack+111, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1115, r12vrr_stack+50, r12vrr_stack+30216, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+18327);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+30490, r12vrr_stack+30691, r12vrr_stack+1115, r12vrr_stack+1223, r12vrr_stack+50, r12vrr_stack+30330);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+24888, r12vrr_stack+30781, r12vrr_stack+30490, r12vrr_stack+1268, r12vrr_stack+30691, r12vrr_stack+30390);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+23754, r12vrr_stack+24888, r12vrr_stack+1358, r12vrr_stack+30781, r12vrr_stack+30006);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30006, r12vrr_stack+392, r12vrr_stack+2400, NULL, NULL, r12vrr_stack+111);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30069, r12vrr_stack+241, r12vrr_stack+30006, r12vrr_stack+220, r12vrr_stack+392, r12vrr_stack+30216);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31, r12vrr_stack+18201, r12vrr_stack+30069, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+1115);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+33576, r12vrr_stack+31, r12vrr_stack+1571, r12vrr_stack+18201, r12vrr_stack+30490);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30216, r12vrr_stack+33786, r12vrr_stack+1115, r12vrr_stack+1697, r12vrr_stack+33576, r12vrr_stack+24888);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58545, r12vrr_stack+34101, r12vrr_stack+30216, r12vrr_stack+1907, r12vrr_stack+33786, r12vrr_stack+13647);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+2421, r12vrr_stack+4309, NULL, NULL, r12vrr_stack+2400);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13731, r12vrr_stack+569, r12vrr_stack+13647, r12vrr_stack+2922, r12vrr_stack+2421, r12vrr_stack+30006);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+24888, r12vrr_stack+34542, r12vrr_stack+13731, r12vrr_stack+2950, r12vrr_stack+569, r12vrr_stack+30069);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+34710, r12vrr_stack+24888, r12vrr_stack+3034, r12vrr_stack+34542, r12vrr_stack+31);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+59133, r12vrr_stack+34990, r12vrr_stack+2222, r12vrr_stack+3202, r12vrr_stack+34710, r12vrr_stack+1115);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+35410, r12vrr_stack+59133, r12vrr_stack+3762, r12vrr_stack+34990, r12vrr_stack+30216);
 tmp = r12vrr_stack + 1115;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30216, r12vrr_stack+8196, r12vrr_stack+6818, NULL, NULL, r12vrr_stack+4309);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30324, r12vrr_stack+653, r12vrr_stack+30216, r12vrr_stack+5406, r12vrr_stack+8196, r12vrr_stack+13647);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14475, r12vrr_stack+35998, r12vrr_stack+30324, r12vrr_stack+5442, r12vrr_stack+653, r12vrr_stack+13731);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+34542, r12vrr_stack+36214, r12vrr_stack+14475, r12vrr_stack+5550, r12vrr_stack+35998, r12vrr_stack+24888);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+59721, r12vrr_stack+36574, r12vrr_stack+34542, r12vrr_stack+5766, r12vrr_stack+36214, r12vrr_stack+2222);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60477, r12vrr_stack+37114, r12vrr_stack+59721, r12vrr_stack+6126, r12vrr_stack+36574, r12vrr_stack+59133);
 tmp = r12vrr_stack + 60477;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+59133, r12vrr_stack+11677, r12vrr_stack+10008, NULL, NULL, r12vrr_stack+6818);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+59268, r12vrr_stack+4506, r12vrr_stack+59133, r12vrr_stack+8232, r12vrr_stack+11677, r12vrr_stack+30216);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35998, r12vrr_stack+37870, r12vrr_stack+59268, r12vrr_stack+8277, r12vrr_stack+4506, r12vrr_stack+30324);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30216, r12vrr_stack+38140, r12vrr_stack+35998, r12vrr_stack+8412, r12vrr_stack+37870, r12vrr_stack+14475);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+61485, r12vrr_stack+38590, r12vrr_stack+30216, r12vrr_stack+8682, r12vrr_stack+38140, r12vrr_stack+34542);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+62430, r12vrr_stack+39265, r12vrr_stack+61485, r12vrr_stack+9132, r12vrr_stack+38590, r12vrr_stack+59721);
 tmp = r12vrr_stack + 62430;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34542, r12vrr_stack+4237, r12vrr_stack+6732, NULL, NULL, r12vrr_stack+10008);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+7071, r12vrr_stack+34542, r12vrr_stack+11722, r12vrr_stack+4237, r12vrr_stack+59133);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34707, r12vrr_stack+40210, r12vrr_stack+13647, r12vrr_stack+11777, r12vrr_stack+7071, r12vrr_stack+59268);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+59133, r12vrr_stack+40540, r12vrr_stack+34707, r12vrr_stack+11942, r12vrr_stack+40210, r12vrr_stack+35998);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37870, r12vrr_stack+41090, r12vrr_stack+59133, r12vrr_stack+12272, r12vrr_stack+40540, r12vrr_stack+30216);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+63690, r12vrr_stack+41915, r12vrr_stack+37870, r12vrr_stack+12822, r12vrr_stack+41090, r12vrr_stack+61485);
 tmp = r12vrr_stack + 63690;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61485, r12vrr_stack+20853, r12vrr_stack+9885, NULL, NULL, r12vrr_stack+6732);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61683, r12vrr_stack+10302, r12vrr_stack+61485, r12vrr_stack+15891, r12vrr_stack+20853, r12vrr_stack+34542);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30216, r12vrr_stack+43070, r12vrr_stack+61683, r12vrr_stack+15957, r12vrr_stack+10302, r12vrr_stack+13647);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+35998, r12vrr_stack+43466, r12vrr_stack+30216, r12vrr_stack+16155, r12vrr_stack+43070, r12vrr_stack+34707);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40210, r12vrr_stack+44126, r12vrr_stack+35998, r12vrr_stack+16551, r12vrr_stack+43466, r12vrr_stack+59133);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+65230, r12vrr_stack+45116, r12vrr_stack+40210, r12vrr_stack+17211, r12vrr_stack+44126, r12vrr_stack+37870);
 tmp = r12vrr_stack + 65230;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37870, r12vrr_stack+26743, r12vrr_stack+9807, NULL, NULL, r12vrr_stack+9885);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38104, r12vrr_stack+14241, r12vrr_stack+37870, r12vrr_stack+20919, r12vrr_stack+26743, r12vrr_stack+61485);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59133, r12vrr_stack+46502, r12vrr_stack+38104, r12vrr_stack+20997, r12vrr_stack+14241, r12vrr_stack+61683);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+43070, r12vrr_stack+46970, r12vrr_stack+59133, r12vrr_stack+21231, r12vrr_stack+46502, r12vrr_stack+30216);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+67078, r12vrr_stack+47750, r12vrr_stack+43070, r12vrr_stack+21699, r12vrr_stack+46970, r12vrr_stack+35998);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+68716, r12vrr_stack+48920, r12vrr_stack+67078, r12vrr_stack+22479, r12vrr_stack+47750, r12vrr_stack+40210);
 tmp = r12vrr_stack + 68716;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+40210, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+40213, r12vrr_stack+18903, r12vrr_stack+40210, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40219, r12vrr_stack+18906, r12vrr_stack+40213, r12vrr_stack+18357, r12vrr_stack+18903, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+40229, r12vrr_stack+21, r12vrr_stack+40219, r12vrr_stack+18360, r12vrr_stack+18906, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+18576, r12vrr_stack+40229, r12vrr_stack+18366, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+30195, r12vrr_stack+0, r12vrr_stack+18376, r12vrr_stack+18576, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+49, r12vrr_stack+18912, r12vrr_stack+21, r12vrr_stack+18391, r12vrr_stack+30195, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+18940, r12vrr_stack+49, r12vrr_stack+18412, r12vrr_stack+18912, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45, r12vrr_stack+18976, r12vrr_stack+0, r12vrr_stack+18440, r12vrr_stack+18940, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+100, r12vrr_stack+4182, r12vrr_stack+45, r12vrr_stack+18476, r12vrr_stack+18976, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+6666, r12vrr_stack+100, r12vrr_stack+18521, r12vrr_stack+4182, NULL);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+4182, r12vrr_stack+9807, r12vrr_stack+0, r12vrr_stack+9885, r12vrr_stack+6666, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+19021, r12vrr_stack+4182, NULL, NULL, r12vrr_stack+9807);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+40210, r12vrr_stack+19112, r12vrr_stack+0, r12vrr_stack+26821, r12vrr_stack+19021, r12vrr_stack+37870);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+40756, r12vrr_stack+50558, r12vrr_stack+40210, r12vrr_stack+26912, r12vrr_stack+19112, r12vrr_stack+38104);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+37870, r12vrr_stack+51104, r12vrr_stack+40756, r12vrr_stack+27185, r12vrr_stack+50558, r12vrr_stack+59133);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+46502, r12vrr_stack+52014, r12vrr_stack+37870, r12vrr_stack+27731, r12vrr_stack+51104, r12vrr_stack+43070);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+70900, r12vrr_stack+53379, r12vrr_stack+46502, r12vrr_stack+28641, r12vrr_stack+52014, r12vrr_stack+67078);

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+67078, r12vrr_stack+19021, r12vrr_stack+4182, r12vrr_stack+26743, r12vrr_stack+9807, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+26743, r12vrr_stack+24468, r12vrr_stack+67078, NULL, NULL, r12vrr_stack+19021);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+67078, r12vrr_stack+24573, r12vrr_stack+26743, r12vrr_stack+23649, r12vrr_stack+24468, r12vrr_stack+19112);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+26743, r12vrr_stack+55290, r12vrr_stack+67078, r12vrr_stack+30951, r12vrr_stack+24573, r12vrr_stack+50558);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+67078, r12vrr_stack+55920, r12vrr_stack+26743, r12vrr_stack+31266, r12vrr_stack+55290, r12vrr_stack+51104);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+46502, r12vrr_stack+56970, r12vrr_stack+67078, r12vrr_stack+32526, r12vrr_stack+55920, r12vrr_stack+52014);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+67078, &(Data->ss_r12_ss), NULL, r12vrr_stack+436, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+67081, r12vrr_stack+67078, &(Data->ss_r12_ss), r12vrr_stack+439, r12vrr_stack+436, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+67087, r12vrr_stack+67081, r12vrr_stack+67078, r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+436, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+67097, r12vrr_stack+67087, r12vrr_stack+67081, r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+439, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+67112, r12vrr_stack+67097, r12vrr_stack+67087, r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+445, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+67133, r12vrr_stack+67112, r12vrr_stack+67097, r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+455, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+67161, r12vrr_stack+67133, NULL, r12vrr_stack+2670, r12vrr_stack+2642, NULL, r12vrr_stack+470);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+67245, r12vrr_stack+67161, r12vrr_stack+67133, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+491);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+491, r12vrr_stack+67245, r12vrr_stack+67161, r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+779);
 tmp = r12vrr_stack + 491;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+2222, r12vrr_stack+491, r12vrr_stack+67245, r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+905);
 tmp = r12vrr_stack + 2222;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+67161, r12vrr_stack+67133, r12vrr_stack+67112, r12vrr_stack+4362, r12vrr_stack+2642, r12vrr_stack+470, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+67197, r12vrr_stack+67161, NULL, r12vrr_stack+4398, r12vrr_stack+4362, NULL, r12vrr_stack+2642);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+67305, r12vrr_stack+67197, r12vrr_stack+67161, r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+4362, r12vrr_stack+2670);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+67521, r12vrr_stack+67305, r12vrr_stack+67197, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+2754);
 tmp = r12vrr_stack + 67521;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+67881, r12vrr_stack+67521, r12vrr_stack+67305, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+3482);
 tmp = r12vrr_stack + 67881;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+67197, r12vrr_stack+67161, r12vrr_stack+67133, r12vrr_stack+6891, r12vrr_stack+4362, r12vrr_stack+2642, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+67242, r12vrr_stack+67197, NULL, r12vrr_stack+6936, r12vrr_stack+6891, NULL, r12vrr_stack+4362);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+68421, r12vrr_stack+67242, r12vrr_stack+67197, r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+6891, r12vrr_stack+4398);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+55290, r12vrr_stack+68421, r12vrr_stack+67242, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+4830);
 tmp = r12vrr_stack + 55290;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+55740, r12vrr_stack+55290, r12vrr_stack+68421, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+5046);
 tmp = r12vrr_stack + 55740;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+68421, r12vrr_stack+67197, r12vrr_stack+67161, r12vrr_stack+10082, r12vrr_stack+6891, r12vrr_stack+4362, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+68476, r12vrr_stack+68421, NULL, r12vrr_stack+10137, r12vrr_stack+10082, NULL, r12vrr_stack+6891);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+68476, r12vrr_stack+68421, r12vrr_stack+10797, r12vrr_stack+10137, r12vrr_stack+10082, r12vrr_stack+6936);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+56415, r12vrr_stack+13647, r12vrr_stack+68476, r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+10137, r12vrr_stack+7476);
 tmp = r12vrr_stack + 56415;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+26743, r12vrr_stack+56415, r12vrr_stack+13647, r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+7746);
 tmp = r12vrr_stack + 26743;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+68421, r12vrr_stack+67197, r12vrr_stack+13977, r12vrr_stack+10082, r12vrr_stack+6891, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13713, r12vrr_stack+13647, NULL, r12vrr_stack+14043, r12vrr_stack+13977, NULL, r12vrr_stack+10082);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+67078, r12vrr_stack+13713, r12vrr_stack+13647, r12vrr_stack+14835, r12vrr_stack+14043, r12vrr_stack+13977, r12vrr_stack+10137);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10137, r12vrr_stack+67078, r12vrr_stack+13713, r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+14043, r12vrr_stack+10797);
 tmp = r12vrr_stack + 10137;
 target_ptr = Libr12->rvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27568, r12vrr_stack+10137, r12vrr_stack+67078, r12vrr_stack+17211, r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+11127);
 tmp = r12vrr_stack + 27568;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+67078, r12vrr_stack+13647, r12vrr_stack+68421, r12vrr_stack+18591, r12vrr_stack+13977, r12vrr_stack+10082, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+68421, r12vrr_stack+67078, NULL, r12vrr_stack+18669, r12vrr_stack+18591, NULL, r12vrr_stack+13977);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+50558, r12vrr_stack+68421, r12vrr_stack+67078, r12vrr_stack+19605, r12vrr_stack+18669, r12vrr_stack+18591, r12vrr_stack+14043);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14043, r12vrr_stack+50558, r12vrr_stack+68421, r12vrr_stack+20073, r12vrr_stack+19605, r12vrr_stack+18669, r12vrr_stack+14835);
 tmp = r12vrr_stack + 14043;
 target_ptr = Libr12->rvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+51026, r12vrr_stack+14043, r12vrr_stack+50558, r12vrr_stack+22479, r12vrr_stack+20073, r12vrr_stack+19605, r12vrr_stack+15231);
 tmp = r12vrr_stack + 51026;
 target_ptr = Libr12->rvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+50558, r12vrr_stack+67078, r12vrr_stack+13647, r12vrr_stack+24104, r12vrr_stack+18591, r12vrr_stack+13977, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+50558, NULL, r12vrr_stack+24195, r12vrr_stack+24104, NULL, r12vrr_stack+18591);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+52196, r12vrr_stack+13647, r12vrr_stack+50558, r12vrr_stack+25287, r12vrr_stack+24195, r12vrr_stack+24104, r12vrr_stack+18669);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+43070, r12vrr_stack+52196, r12vrr_stack+13647, r12vrr_stack+25833, r12vrr_stack+25287, r12vrr_stack+24195, r12vrr_stack+19605);
 tmp = r12vrr_stack + 43070;
 target_ptr = Libr12->rvrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23649, r12vrr_stack+43070, r12vrr_stack+52196, r12vrr_stack+28641, r12vrr_stack+25833, r12vrr_stack+25287, r12vrr_stack+20073);
 tmp = r12vrr_stack + 23649;
 target_ptr = Libr12->rvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+52196, r12vrr_stack+3482, r12vrr_stack+5046, r12vrr_stack+3762, r12vrr_stack+1907, r12vrr_stack+905);
 tmp = r12vrr_stack + 52196;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+52476, r12vrr_stack+5046, r12vrr_stack+7746, r12vrr_stack+6126, r12vrr_stack+3762, r12vrr_stack+3482);
 tmp = r12vrr_stack + 52476;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+52836, r12vrr_stack+7746, r12vrr_stack+11127, r12vrr_stack+9132, r12vrr_stack+6126, r12vrr_stack+5046);
 tmp = r12vrr_stack + 52836;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4182, r12vrr_stack+11127, r12vrr_stack+15231, r12vrr_stack+12822, r12vrr_stack+9132, r12vrr_stack+7746);
 tmp = r12vrr_stack + 4182;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+43980, r12vrr_stack+15231, r12vrr_stack+20073, r12vrr_stack+17211, r12vrr_stack+12822, r12vrr_stack+11127);
 tmp = r12vrr_stack + 43980;
 target_ptr = Libr12->t2vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+37870, r12vrr_stack+20073, r12vrr_stack+25833, r12vrr_stack+22479, r12vrr_stack+17211, r12vrr_stack+15231);
 tmp = r12vrr_stack + 37870;
 target_ptr = Libr12->t2vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+59133, r12vrr_stack+25833, r12vrr_stack+32526, r12vrr_stack+28641, r12vrr_stack+22479, r12vrr_stack+20073);
 tmp = r12vrr_stack + 59133;
 target_ptr = Libr12->t2vrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+50558, r12vrr_stack+3762, r12vrr_stack+6126, r12vrr_stack+35410, r12vrr_stack+34101, r12vrr_stack+1907);
 tmp = r12vrr_stack + 50558;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+38650, r12vrr_stack+6126, r12vrr_stack+9132, r12vrr_stack+37114, r12vrr_stack+35410, r12vrr_stack+3762);
 tmp = r12vrr_stack + 38650;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+40210, r12vrr_stack+9132, r12vrr_stack+12822, r12vrr_stack+39265, r12vrr_stack+37114, r12vrr_stack+6126);
 tmp = r12vrr_stack + 40210;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+40885, r12vrr_stack+12822, r12vrr_stack+17211, r12vrr_stack+41915, r12vrr_stack+39265, r12vrr_stack+9132);
 tmp = r12vrr_stack + 40885;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+35998, r12vrr_stack+17211, r12vrr_stack+22479, r12vrr_stack+45116, r12vrr_stack+41915, r12vrr_stack+12822);
 tmp = r12vrr_stack + 35998;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+20853, r12vrr_stack+22479, r12vrr_stack+28641, r12vrr_stack+48920, r12vrr_stack+45116, r12vrr_stack+17211);
 tmp = r12vrr_stack + 20853;
 target_ptr = Libr12->t2vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+30006, r12vrr_stack+28641, r12vrr_stack+56970, r12vrr_stack+53379, r12vrr_stack+48920, r12vrr_stack+22479);
 tmp = r12vrr_stack + 30006;
 target_ptr = Libr12->t2vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6666, r12vrr_stack+35410, r12vrr_stack+37114, r12vrr_stack+1115, r12vrr_stack+58545, r12vrr_stack+34101);
 tmp = r12vrr_stack + 6666;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+61485, r12vrr_stack+37114, r12vrr_stack+39265, r12vrr_stack+60477, r12vrr_stack+1115, r12vrr_stack+35410);
 tmp = r12vrr_stack + 61485;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15891, r12vrr_stack+39265, r12vrr_stack+41915, r12vrr_stack+62430, r12vrr_stack+60477, r12vrr_stack+37114);
 tmp = r12vrr_stack + 15891;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+33576, r12vrr_stack+41915, r12vrr_stack+45116, r12vrr_stack+63690, r12vrr_stack+62430, r12vrr_stack+39265);
 tmp = r12vrr_stack + 33576;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+18201, r12vrr_stack+45116, r12vrr_stack+48920, r12vrr_stack+65230, r12vrr_stack+63690, r12vrr_stack+41915);
 tmp = r12vrr_stack + 18201;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+73448, r12vrr_stack+48920, r12vrr_stack+53379, r12vrr_stack+68716, r12vrr_stack+65230, r12vrr_stack+45116);
 tmp = r12vrr_stack + 73448;
 target_ptr = Libr12->t2vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+75086, r12vrr_stack+53379, r12vrr_stack+46502, r12vrr_stack+70900, r12vrr_stack+68716, r12vrr_stack+48920);
 tmp = r12vrr_stack + 75086;
 target_ptr = Libr12->t2vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+58545, r12vrr_stack+3482, r12vrr_stack+3762, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+2754);
 tmp = r12vrr_stack + 58545;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13647, r12vrr_stack+5046, r12vrr_stack+6126, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+4830);
 tmp = r12vrr_stack + 13647;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2642, r12vrr_stack+7746, r12vrr_stack+9132, r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+7476);
 tmp = r12vrr_stack + 2642;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+11677, r12vrr_stack+11127, r12vrr_stack+12822, r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+10797);
 tmp = r12vrr_stack + 11677;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+8196, r12vrr_stack+15231, r12vrr_stack+17211, r12vrr_stack+20073, r12vrr_stack+19605, r12vrr_stack+14835);
 tmp = r12vrr_stack + 8196;
 target_ptr = Libr12->t1vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+76997, r12vrr_stack+20073, r12vrr_stack+22479, r12vrr_stack+25833, r12vrr_stack+25287, r12vrr_stack+19605);
 tmp = r12vrr_stack + 76997;
 target_ptr = Libr12->t1vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+77777, r12vrr_stack+25833, r12vrr_stack+28641, r12vrr_stack+32526, r12vrr_stack+31896, r12vrr_stack+25287);
 tmp = r12vrr_stack + 77777;
 target_ptr = Libr12->t1vrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+67078, r12vrr_stack+3762, r12vrr_stack+35410, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+3482);
 tmp = r12vrr_stack + 67078;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25014, r12vrr_stack+6126, r12vrr_stack+37114, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+5046);
 tmp = r12vrr_stack + 25014;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5406, r12vrr_stack+9132, r12vrr_stack+39265, r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+7746);
 tmp = r12vrr_stack + 5406;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+31371, r12vrr_stack+12822, r12vrr_stack+41915, r12vrr_stack+17211, r12vrr_stack+15231, r12vrr_stack+11127);
 tmp = r12vrr_stack + 31371;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+78687, r12vrr_stack+17211, r12vrr_stack+45116, r12vrr_stack+22479, r12vrr_stack+20073, r12vrr_stack+15231);
 tmp = r12vrr_stack + 78687;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+79677, r12vrr_stack+22479, r12vrr_stack+48920, r12vrr_stack+28641, r12vrr_stack+25833, r12vrr_stack+20073);
 tmp = r12vrr_stack + 79677;
 target_ptr = Libr12->t1vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+80847, r12vrr_stack+28641, r12vrr_stack+53379, r12vrr_stack+56970, r12vrr_stack+32526, r12vrr_stack+25833);
 tmp = r12vrr_stack + 80847;
 target_ptr = Libr12->t1vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12227, r12vrr_stack+35410, r12vrr_stack+1115, r12vrr_stack+37114, r12vrr_stack+6126, r12vrr_stack+3762);
 tmp = r12vrr_stack + 12227;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+771, r12vrr_stack+37114, r12vrr_stack+60477, r12vrr_stack+39265, r12vrr_stack+9132, r12vrr_stack+6126);
 tmp = r12vrr_stack + 771;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+60043, r12vrr_stack+39265, r12vrr_stack+62430, r12vrr_stack+41915, r12vrr_stack+12822, r12vrr_stack+9132);
 tmp = r12vrr_stack + 60043;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+62241, r12vrr_stack+41915, r12vrr_stack+63690, r12vrr_stack+45116, r12vrr_stack+17211, r12vrr_stack+12822);
 tmp = r12vrr_stack + 62241;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+63396, r12vrr_stack+45116, r12vrr_stack+65230, r12vrr_stack+48920, r12vrr_stack+22479, r12vrr_stack+17211);
 tmp = r12vrr_stack + 63396;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+64782, r12vrr_stack+48920, r12vrr_stack+68716, r12vrr_stack+53379, r12vrr_stack+28641, r12vrr_stack+22479);
 tmp = r12vrr_stack + 64782;
 target_ptr = Libr12->t1vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+68421, r12vrr_stack+53379, r12vrr_stack+70900, r12vrr_stack+46502, r12vrr_stack+56970, r12vrr_stack+28641);
 tmp = r12vrr_stack + 68421;
 target_ptr = Libr12->t1vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+46502, r12vrr_stack+2222, r12vrr_stack+491, r12vrr_stack+35410, r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+1907);
 tmp = r12vrr_stack + 46502;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+47090, r12vrr_stack+67881, r12vrr_stack+67521, r12vrr_stack+37114, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+3762);
 tmp = r12vrr_stack + 47090;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+47846, r12vrr_stack+55740, r12vrr_stack+55290, r12vrr_stack+39265, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+6126);
 tmp = r12vrr_stack + 47846;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+70332, r12vrr_stack+26743, r12vrr_stack+56415, r12vrr_stack+41915, r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+9132);
 tmp = r12vrr_stack + 70332;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+55290, r12vrr_stack+27568, r12vrr_stack+10137, r12vrr_stack+45116, r12vrr_stack+17211, r12vrr_stack+15231, r12vrr_stack+12822);
 tmp = r12vrr_stack + 55290;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+26743, r12vrr_stack+51026, r12vrr_stack+14043, r12vrr_stack+48920, r12vrr_stack+22479, r12vrr_stack+20073, r12vrr_stack+17211);
 tmp = r12vrr_stack + 26743;
 target_ptr = Libr12->rvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+71487, r12vrr_stack+23649, r12vrr_stack+43070, r12vrr_stack+53379, r12vrr_stack+28641, r12vrr_stack+25833, r12vrr_stack+22479);
 tmp = r12vrr_stack + 71487;
 target_ptr = Libr12->rvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];


}

