#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ffhg(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+758, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+4);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+767, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+785, r12vrr_stack+21, r12vrr_stack+767, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+758);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+821, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+851, r12vrr_stack+84, r12vrr_stack+821, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+767);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+911, r12vrr_stack+144, r12vrr_stack+851, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+785);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+114, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+114, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+117, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+127, r12vrr_stack+358, r12vrr_stack+117, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1011, r12vrr_stack+368, r12vrr_stack+127, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1056, r12vrr_stack+383, r12vrr_stack+1011, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+821);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1146, r12vrr_stack+428, r12vrr_stack+1056, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+851);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1296, r12vrr_stack+608, r12vrr_stack+1146, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+911);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1521, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+1521, r12vrr_stack+1563, NULL, NULL, r12vrr_stack+368);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1647, r12vrr_stack+1542, r12vrr_stack+1521, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1710, r12vrr_stack+1647, r12vrr_stack+1584, r12vrr_stack+1542, r12vrr_stack+1521, r12vrr_stack+383);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1836, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1857, r12vrr_stack+1836, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1920, r12vrr_stack+1857, r12vrr_stack+1647, r12vrr_stack+1836, r12vrr_stack+1542, r12vrr_stack+234);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+234, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+237, r12vrr_stack+114, r12vrr_stack+234, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+15, r12vrr_stack+237, r12vrr_stack+49, r12vrr_stack+114, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+243, r12vrr_stack+117, r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+258, r12vrr_stack+127, r12vrr_stack+243, r12vrr_stack+358, r12vrr_stack+117, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2046, r12vrr_stack+1563, r12vrr_stack+258, NULL, NULL, r12vrr_stack+127);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2109, r12vrr_stack+1584, r12vrr_stack+2046, r12vrr_stack+1521, r12vrr_stack+1563, r12vrr_stack+1011);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2235, r12vrr_stack+1710, r12vrr_stack+2109, r12vrr_stack+1647, r12vrr_stack+1584, r12vrr_stack+1056);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2445, r12vrr_stack+1920, r12vrr_stack+1710, r12vrr_stack+1857, r12vrr_stack+1647, r12vrr_stack+428);
 tmp = r12vrr_stack + 2445;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2655, r12vrr_stack+2445, r12vrr_stack+2235, r12vrr_stack+1920, r12vrr_stack+1710, r12vrr_stack+1146);
 tmp = r12vrr_stack + 2655;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2970, r12vrr_stack+1521, r12vrr_stack+1563, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2998, r12vrr_stack+1542, r12vrr_stack+1521, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3026, r12vrr_stack+2998, r12vrr_stack+2970, NULL, NULL, r12vrr_stack+1521);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3110, r12vrr_stack+1836, r12vrr_stack+1542, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3138, r12vrr_stack+3110, r12vrr_stack+2998, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+204, r12vrr_stack+1563, r12vrr_stack+258, r12vrr_stack+368, r12vrr_stack+127, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3222, r12vrr_stack+2970, r12vrr_stack+204, NULL, NULL, r12vrr_stack+1563);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3306, r12vrr_stack+3026, r12vrr_stack+3222, r12vrr_stack+2998, r12vrr_stack+2970, r12vrr_stack+1584);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3474, r12vrr_stack+3138, r12vrr_stack+3026, r12vrr_stack+3110, r12vrr_stack+2998, r12vrr_stack+1647);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+3306, r12vrr_stack+3138, r12vrr_stack+3026, r12vrr_stack+1710);
 tmp = r12vrr_stack + 3642;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1647, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1650, r12vrr_stack+234, r12vrr_stack+1647, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+237, r12vrr_stack+1650, r12vrr_stack+114, r12vrr_stack+234, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1656, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+237, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1671, r12vrr_stack+243, r12vrr_stack+1656, r12vrr_stack+117, r12vrr_stack+58, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3922, r12vrr_stack+258, r12vrr_stack+1671, r12vrr_stack+127, r12vrr_stack+243, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3950, r12vrr_stack+204, r12vrr_stack+3922, NULL, NULL, r12vrr_stack+258);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4034, r12vrr_stack+3222, r12vrr_stack+3950, r12vrr_stack+2970, r12vrr_stack+204, r12vrr_stack+2046);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4202, r12vrr_stack+3306, r12vrr_stack+4034, r12vrr_stack+3026, r12vrr_stack+3222, r12vrr_stack+2109);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+4202, r12vrr_stack+3474, r12vrr_stack+3306, r12vrr_stack+2235);
 tmp = r12vrr_stack + 4482;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4902, r12vrr_stack+2970, r12vrr_stack+204, r12vrr_stack+1521, r12vrr_stack+1563, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4938, r12vrr_stack+2998, r12vrr_stack+2970, r12vrr_stack+1542, r12vrr_stack+1521, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4974, r12vrr_stack+4938, r12vrr_stack+4902, NULL, NULL, r12vrr_stack+2970);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5082, r12vrr_stack+3110, r12vrr_stack+2998, r12vrr_stack+1836, r12vrr_stack+1542, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5118, r12vrr_stack+5082, r12vrr_stack+4938, NULL, NULL, r12vrr_stack+2998);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1521, r12vrr_stack+204, r12vrr_stack+3922, r12vrr_stack+1563, r12vrr_stack+258, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5226, r12vrr_stack+4902, r12vrr_stack+1521, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5334, r12vrr_stack+4974, r12vrr_stack+5226, r12vrr_stack+4938, r12vrr_stack+4902, r12vrr_stack+3222);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5550, r12vrr_stack+5118, r12vrr_stack+4974, r12vrr_stack+5082, r12vrr_stack+4938, r12vrr_stack+3026);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+5334, r12vrr_stack+5118, r12vrr_stack+4974, r12vrr_stack+3306);
 tmp = r12vrr_stack + 5766;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3026, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1557, r12vrr_stack+1647, r12vrr_stack+3026, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3029, r12vrr_stack+1650, r12vrr_stack+1557, r12vrr_stack+234, r12vrr_stack+1647, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3039, r12vrr_stack+39, r12vrr_stack+3029, r12vrr_stack+237, r12vrr_stack+1650, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3054, r12vrr_stack+1656, r12vrr_stack+3039, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3075, r12vrr_stack+1671, r12vrr_stack+3054, r12vrr_stack+243, r12vrr_stack+1656, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6126, r12vrr_stack+3922, r12vrr_stack+3075, r12vrr_stack+258, r12vrr_stack+1671, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6162, r12vrr_stack+1521, r12vrr_stack+6126, NULL, NULL, r12vrr_stack+3922);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6270, r12vrr_stack+5226, r12vrr_stack+6162, r12vrr_stack+4902, r12vrr_stack+1521, r12vrr_stack+3950);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6486, r12vrr_stack+5334, r12vrr_stack+6270, r12vrr_stack+4974, r12vrr_stack+5226, r12vrr_stack+4034);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+6486, r12vrr_stack+5550, r12vrr_stack+5334, r12vrr_stack+4202);
 tmp = r12vrr_stack + 6846;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7386, r12vrr_stack+4902, r12vrr_stack+1521, r12vrr_stack+2970, r12vrr_stack+204, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7431, r12vrr_stack+4938, r12vrr_stack+4902, r12vrr_stack+2998, r12vrr_stack+2970, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+7431, r12vrr_stack+7386, NULL, NULL, r12vrr_stack+4902);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7611, r12vrr_stack+5082, r12vrr_stack+4938, r12vrr_stack+3110, r12vrr_stack+2998, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7656, r12vrr_stack+7611, r12vrr_stack+7431, NULL, NULL, r12vrr_stack+4938);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2970, r12vrr_stack+1521, r12vrr_stack+6126, r12vrr_stack+204, r12vrr_stack+3922, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7791, r12vrr_stack+7386, r12vrr_stack+2970, NULL, NULL, r12vrr_stack+1521);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7926, r12vrr_stack+7476, r12vrr_stack+7791, r12vrr_stack+7431, r12vrr_stack+7386, r12vrr_stack+5226);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8196, r12vrr_stack+7656, r12vrr_stack+7476, r12vrr_stack+7611, r12vrr_stack+7431, r12vrr_stack+4974);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+7926, r12vrr_stack+7656, r12vrr_stack+7476, r12vrr_stack+5334);
 tmp = r12vrr_stack + 8466;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4974, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4977, r12vrr_stack+3026, r12vrr_stack+4974, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4983, r12vrr_stack+1557, r12vrr_stack+4977, r12vrr_stack+1647, r12vrr_stack+3026, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4993, r12vrr_stack+3029, r12vrr_stack+4983, r12vrr_stack+1650, r12vrr_stack+1557, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5008, r12vrr_stack+3039, r12vrr_stack+4993, r12vrr_stack+39, r12vrr_stack+3029, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5029, r12vrr_stack+3054, r12vrr_stack+5008, r12vrr_stack+1656, r12vrr_stack+3039, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8916, r12vrr_stack+3075, r12vrr_stack+5029, r12vrr_stack+1671, r12vrr_stack+3054, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8952, r12vrr_stack+6126, r12vrr_stack+8916, r12vrr_stack+3922, r12vrr_stack+3075, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8997, r12vrr_stack+2970, r12vrr_stack+8952, NULL, NULL, r12vrr_stack+6126);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9132, r12vrr_stack+7791, r12vrr_stack+8997, r12vrr_stack+7386, r12vrr_stack+2970, r12vrr_stack+6162);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9402, r12vrr_stack+7926, r12vrr_stack+9132, r12vrr_stack+7476, r12vrr_stack+7791, r12vrr_stack+6270);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+9402, r12vrr_stack+8196, r12vrr_stack+7926, r12vrr_stack+6486);
 tmp = r12vrr_stack + 9852;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10527, r12vrr_stack+7386, r12vrr_stack+2970, r12vrr_stack+4902, r12vrr_stack+1521, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10582, r12vrr_stack+7431, r12vrr_stack+7386, r12vrr_stack+4938, r12vrr_stack+4902, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10637, r12vrr_stack+10582, r12vrr_stack+10527, NULL, NULL, r12vrr_stack+7386);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10802, r12vrr_stack+7611, r12vrr_stack+7431, r12vrr_stack+5082, r12vrr_stack+4938, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10857, r12vrr_stack+10802, r12vrr_stack+10582, NULL, NULL, r12vrr_stack+7431);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4902, r12vrr_stack+2970, r12vrr_stack+8952, r12vrr_stack+1521, r12vrr_stack+6126, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11022, r12vrr_stack+10527, r12vrr_stack+4902, NULL, NULL, r12vrr_stack+2970);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11187, r12vrr_stack+10637, r12vrr_stack+11022, r12vrr_stack+10582, r12vrr_stack+10527, r12vrr_stack+7791);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11517, r12vrr_stack+10857, r12vrr_stack+10637, r12vrr_stack+10802, r12vrr_stack+10582, r12vrr_stack+7476);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11847, r12vrr_stack+11517, r12vrr_stack+11187, r12vrr_stack+10857, r12vrr_stack+10637, r12vrr_stack+7926);
 tmp = r12vrr_stack + 11847;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+7476, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+7479, r12vrr_stack+4974, r12vrr_stack+7476, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+7485, r12vrr_stack+4977, r12vrr_stack+7479, r12vrr_stack+3026, r12vrr_stack+4974, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+7495, r12vrr_stack+4983, r12vrr_stack+7485, r12vrr_stack+1557, r12vrr_stack+4977, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7510, r12vrr_stack+4993, r12vrr_stack+7495, r12vrr_stack+3029, r12vrr_stack+4983, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7531, r12vrr_stack+5008, r12vrr_stack+7510, r12vrr_stack+3039, r12vrr_stack+4993, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7559, r12vrr_stack+5029, r12vrr_stack+7531, r12vrr_stack+3054, r12vrr_stack+5008, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12397, r12vrr_stack+8916, r12vrr_stack+7559, r12vrr_stack+3075, r12vrr_stack+5029, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12442, r12vrr_stack+8952, r12vrr_stack+12397, r12vrr_stack+6126, r12vrr_stack+8916, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12497, r12vrr_stack+4902, r12vrr_stack+12442, NULL, NULL, r12vrr_stack+8952);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12662, r12vrr_stack+11022, r12vrr_stack+12497, r12vrr_stack+10527, r12vrr_stack+4902, r12vrr_stack+8997);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12992, r12vrr_stack+11187, r12vrr_stack+12662, r12vrr_stack+10637, r12vrr_stack+11022, r12vrr_stack+9132);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13542, r12vrr_stack+11847, r12vrr_stack+12992, r12vrr_stack+11517, r12vrr_stack+11187, r12vrr_stack+9402);
 tmp = r12vrr_stack + 13542;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14367, r12vrr_stack+10527, r12vrr_stack+4902, r12vrr_stack+7386, r12vrr_stack+2970, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14433, r12vrr_stack+10582, r12vrr_stack+10527, r12vrr_stack+7431, r12vrr_stack+7386, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14499, r12vrr_stack+14433, r12vrr_stack+14367, NULL, NULL, r12vrr_stack+10527);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14697, r12vrr_stack+10802, r12vrr_stack+10582, r12vrr_stack+7611, r12vrr_stack+7431, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14763, r12vrr_stack+14697, r12vrr_stack+14433, NULL, NULL, r12vrr_stack+10582);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+10527, r12vrr_stack+4902, r12vrr_stack+12442, r12vrr_stack+2970, r12vrr_stack+8952, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14961, r12vrr_stack+14367, r12vrr_stack+10527, NULL, NULL, r12vrr_stack+4902);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15159, r12vrr_stack+14499, r12vrr_stack+14961, r12vrr_stack+14433, r12vrr_stack+14367, r12vrr_stack+11022);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15555, r12vrr_stack+14763, r12vrr_stack+14499, r12vrr_stack+14697, r12vrr_stack+14433, r12vrr_stack+10637);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15951, r12vrr_stack+15555, r12vrr_stack+15159, r12vrr_stack+14763, r12vrr_stack+14499, r12vrr_stack+11187);
 tmp = r12vrr_stack + 15951;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+14433, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1647, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1692, r12vrr_stack+758, r12vrr_stack+1647, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+14433);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+14436, r12vrr_stack+68, r12vrr_stack+52, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+14454, r12vrr_stack+767, r12vrr_stack+14436, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+1647);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+14697, r12vrr_stack+785, r12vrr_stack+14454, r12vrr_stack+21, r12vrr_stack+767, r12vrr_stack+1692);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+14757, r12vrr_stack+358, r12vrr_stack+117, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+14787, r12vrr_stack+821, r12vrr_stack+14757, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+14436);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+14847, r12vrr_stack+851, r12vrr_stack+14787, r12vrr_stack+84, r12vrr_stack+821, r12vrr_stack+14454);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+10593, r12vrr_stack+911, r12vrr_stack+14847, r12vrr_stack+144, r12vrr_stack+851, r12vrr_stack+14697);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+10743, r12vrr_stack+127, r12vrr_stack+243, NULL, NULL, r12vrr_stack+117);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7386, r12vrr_stack+1011, r12vrr_stack+10743, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+14757);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+16611, r12vrr_stack+1056, r12vrr_stack+7386, r12vrr_stack+383, r12vrr_stack+1011, r12vrr_stack+14787);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+16761, r12vrr_stack+1146, r12vrr_stack+16611, r12vrr_stack+428, r12vrr_stack+1056, r12vrr_stack+14847);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+16986, r12vrr_stack+1296, r12vrr_stack+16761, r12vrr_stack+608, r12vrr_stack+1146, r12vrr_stack+10593);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+368, r12vrr_stack+258, r12vrr_stack+1671, NULL, NULL, r12vrr_stack+243);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17301, r12vrr_stack+2046, r12vrr_stack+368, r12vrr_stack+1563, r12vrr_stack+258, r12vrr_stack+10743);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17427, r12vrr_stack+2109, r12vrr_stack+17301, r12vrr_stack+1584, r12vrr_stack+2046, r12vrr_stack+7386);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17637, r12vrr_stack+2235, r12vrr_stack+17427, r12vrr_stack+1710, r12vrr_stack+2109, r12vrr_stack+16611);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17952, r12vrr_stack+2655, r12vrr_stack+17637, r12vrr_stack+2445, r12vrr_stack+2235, r12vrr_stack+16761);
 tmp = r12vrr_stack + 17952;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1710, r12vrr_stack+3922, r12vrr_stack+3075, NULL, NULL, r12vrr_stack+1671);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18393, r12vrr_stack+3950, r12vrr_stack+1710, r12vrr_stack+204, r12vrr_stack+3922, r12vrr_stack+368);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18561, r12vrr_stack+4034, r12vrr_stack+18393, r12vrr_stack+3222, r12vrr_stack+3950, r12vrr_stack+17301);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18841, r12vrr_stack+4202, r12vrr_stack+18561, r12vrr_stack+3306, r12vrr_stack+4034, r12vrr_stack+17427);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19261, r12vrr_stack+4482, r12vrr_stack+18841, r12vrr_stack+3642, r12vrr_stack+4202, r12vrr_stack+17637);
 tmp = r12vrr_stack + 19261;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3222, r12vrr_stack+6126, r12vrr_stack+8916, NULL, NULL, r12vrr_stack+3075);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19849, r12vrr_stack+6162, r12vrr_stack+3222, r12vrr_stack+1521, r12vrr_stack+6126, r12vrr_stack+1710);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20065, r12vrr_stack+6270, r12vrr_stack+19849, r12vrr_stack+5226, r12vrr_stack+6162, r12vrr_stack+18393);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20425, r12vrr_stack+6486, r12vrr_stack+20065, r12vrr_stack+5334, r12vrr_stack+6270, r12vrr_stack+18561);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20965, r12vrr_stack+6846, r12vrr_stack+20425, r12vrr_stack+5766, r12vrr_stack+6486, r12vrr_stack+18841);
 tmp = r12vrr_stack + 20965;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5226, r12vrr_stack+8952, r12vrr_stack+12397, NULL, NULL, r12vrr_stack+8916);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21721, r12vrr_stack+8997, r12vrr_stack+5226, r12vrr_stack+2970, r12vrr_stack+8952, r12vrr_stack+3222);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21991, r12vrr_stack+9132, r12vrr_stack+21721, r12vrr_stack+7791, r12vrr_stack+8997, r12vrr_stack+19849);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22441, r12vrr_stack+9402, r12vrr_stack+21991, r12vrr_stack+7926, r12vrr_stack+9132, r12vrr_stack+20065);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23116, r12vrr_stack+9852, r12vrr_stack+22441, r12vrr_stack+8466, r12vrr_stack+9402, r12vrr_stack+20425);
 tmp = r12vrr_stack + 23116;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+7476, r12vrr_stack+0, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+7791, r12vrr_stack+7479, r12vrr_stack+6, r12vrr_stack+4974, r12vrr_stack+7476, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+7801, r12vrr_stack+7485, r12vrr_stack+7791, r12vrr_stack+4977, r12vrr_stack+7479, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7816, r12vrr_stack+7495, r12vrr_stack+7801, r12vrr_stack+4983, r12vrr_stack+7485, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7837, r12vrr_stack+7510, r12vrr_stack+7816, r12vrr_stack+4993, r12vrr_stack+7495, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7865, r12vrr_stack+7531, r12vrr_stack+7837, r12vrr_stack+5008, r12vrr_stack+7510, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7901, r12vrr_stack+7559, r12vrr_stack+7865, r12vrr_stack+5029, r12vrr_stack+7531, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7946, r12vrr_stack+12397, r12vrr_stack+7901, r12vrr_stack+8916, r12vrr_stack+7559, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8001, r12vrr_stack+12442, r12vrr_stack+7946, NULL, NULL, r12vrr_stack+12397);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24061, r12vrr_stack+12497, r12vrr_stack+8001, r12vrr_stack+4902, r12vrr_stack+12442, r12vrr_stack+5226);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24391, r12vrr_stack+12662, r12vrr_stack+24061, r12vrr_stack+11022, r12vrr_stack+12497, r12vrr_stack+21721);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24941, r12vrr_stack+12992, r12vrr_stack+24391, r12vrr_stack+11187, r12vrr_stack+12662, r12vrr_stack+21991);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+25766, r12vrr_stack+13542, r12vrr_stack+24941, r12vrr_stack+11847, r12vrr_stack+12992, r12vrr_stack+22441);
 tmp = r12vrr_stack + 25766;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11022, r12vrr_stack+12442, r12vrr_stack+7946, r12vrr_stack+8952, r12vrr_stack+12397, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11088, r12vrr_stack+10527, r12vrr_stack+11022, NULL, NULL, r12vrr_stack+12442);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+26921, r12vrr_stack+14961, r12vrr_stack+11088, r12vrr_stack+14367, r12vrr_stack+10527, r12vrr_stack+12497);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27317, r12vrr_stack+15159, r12vrr_stack+26921, r12vrr_stack+14499, r12vrr_stack+14961, r12vrr_stack+12662);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27977, r12vrr_stack+15951, r12vrr_stack+27317, r12vrr_stack+15555, r12vrr_stack+15159, r12vrr_stack+12992);
 tmp = r12vrr_stack + 27977;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+14367, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+14370, r12vrr_stack+14433, r12vrr_stack+14367, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+14376, r12vrr_stack+12, r12vrr_stack+49, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+21, r12vrr_stack+1647, r12vrr_stack+14376, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+14367);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+8166, r12vrr_stack+1692, r12vrr_stack+21, r12vrr_stack+758, r12vrr_stack+1647, r12vrr_stack+14370);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+14385, r12vrr_stack+52, r12vrr_stack+15, NULL, NULL, r12vrr_stack+49);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+11286, r12vrr_stack+14436, r12vrr_stack+14385, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+14376);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+11322, r12vrr_stack+14454, r12vrr_stack+11286, r12vrr_stack+767, r12vrr_stack+14436, r12vrr_stack+21);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+11382, r12vrr_stack+14697, r12vrr_stack+11322, r12vrr_stack+785, r12vrr_stack+14454, r12vrr_stack+8166);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+14403, r12vrr_stack+117, r12vrr_stack+58, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+758, r12vrr_stack+14757, r12vrr_stack+14403, r12vrr_stack+358, r12vrr_stack+117, r12vrr_stack+14385);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4902, r12vrr_stack+14787, r12vrr_stack+758, r12vrr_stack+821, r12vrr_stack+14757, r12vrr_stack+11286);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+5361, r12vrr_stack+14847, r12vrr_stack+4902, r12vrr_stack+851, r12vrr_stack+14787, r12vrr_stack+11322);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+28967, r12vrr_stack+10593, r12vrr_stack+5361, r12vrr_stack+911, r12vrr_stack+14847, r12vrr_stack+11382);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+11472, r12vrr_stack+243, r12vrr_stack+1656, NULL, NULL, r12vrr_stack+58);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+818, r12vrr_stack+10743, r12vrr_stack+11472, r12vrr_stack+127, r12vrr_stack+243, r12vrr_stack+14403);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+14490, r12vrr_stack+7386, r12vrr_stack+818, r12vrr_stack+1011, r12vrr_stack+10743, r12vrr_stack+758);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+29177, r12vrr_stack+16611, r12vrr_stack+14490, r12vrr_stack+1056, r12vrr_stack+7386, r12vrr_stack+4902);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+29402, r12vrr_stack+16761, r12vrr_stack+29177, r12vrr_stack+1146, r12vrr_stack+16611, r12vrr_stack+5361);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+29717, r12vrr_stack+16986, r12vrr_stack+29402, r12vrr_stack+1296, r12vrr_stack+16761, r12vrr_stack+28967);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+127, r12vrr_stack+1671, r12vrr_stack+3054, NULL, NULL, r12vrr_stack+1656);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1521, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+258, r12vrr_stack+1671, r12vrr_stack+11472);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+908, r12vrr_stack+17301, r12vrr_stack+1521, r12vrr_stack+2046, r12vrr_stack+368, r12vrr_stack+818);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30137, r12vrr_stack+17427, r12vrr_stack+908, r12vrr_stack+2109, r12vrr_stack+17301, r12vrr_stack+14490);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30452, r12vrr_stack+17637, r12vrr_stack+30137, r12vrr_stack+2235, r12vrr_stack+17427, r12vrr_stack+29177);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30893, r12vrr_stack+17952, r12vrr_stack+30452, r12vrr_stack+2655, r12vrr_stack+17637, r12vrr_stack+29402);
 tmp = r12vrr_stack + 30893;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2046, r12vrr_stack+3075, r12vrr_stack+5029, NULL, NULL, r12vrr_stack+3054);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2130, r12vrr_stack+1710, r12vrr_stack+2046, r12vrr_stack+3922, r12vrr_stack+3075, r12vrr_stack+127);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31481, r12vrr_stack+18393, r12vrr_stack+2130, r12vrr_stack+3950, r12vrr_stack+1710, r12vrr_stack+1521);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31761, r12vrr_stack+18561, r12vrr_stack+31481, r12vrr_stack+4034, r12vrr_stack+18393, r12vrr_stack+908);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+32181, r12vrr_stack+18841, r12vrr_stack+31761, r12vrr_stack+4202, r12vrr_stack+18561, r12vrr_stack+30137);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+32769, r12vrr_stack+19261, r12vrr_stack+32181, r12vrr_stack+4482, r12vrr_stack+18841, r12vrr_stack+30452);
 tmp = r12vrr_stack + 32769;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3922, r12vrr_stack+8916, r12vrr_stack+7559, NULL, NULL, r12vrr_stack+5029);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4030, r12vrr_stack+3222, r12vrr_stack+3922, r12vrr_stack+6126, r12vrr_stack+8916, r12vrr_stack+2046);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+33553, r12vrr_stack+19849, r12vrr_stack+4030, r12vrr_stack+6162, r12vrr_stack+3222, r12vrr_stack+2130);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+33913, r12vrr_stack+20065, r12vrr_stack+33553, r12vrr_stack+6270, r12vrr_stack+19849, r12vrr_stack+31481);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+34453, r12vrr_stack+20425, r12vrr_stack+33913, r12vrr_stack+6486, r12vrr_stack+20065, r12vrr_stack+31761);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35209, r12vrr_stack+20965, r12vrr_stack+34453, r12vrr_stack+6846, r12vrr_stack+20425, r12vrr_stack+32181);
 tmp = r12vrr_stack + 35209;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6126, r12vrr_stack+12397, r12vrr_stack+7901, NULL, NULL, r12vrr_stack+7559);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6261, r12vrr_stack+5226, r12vrr_stack+6126, r12vrr_stack+8952, r12vrr_stack+12397, r12vrr_stack+3922);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36217, r12vrr_stack+21721, r12vrr_stack+6261, r12vrr_stack+8997, r12vrr_stack+5226, r12vrr_stack+4030);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36667, r12vrr_stack+21991, r12vrr_stack+36217, r12vrr_stack+9132, r12vrr_stack+21721, r12vrr_stack+33553);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37342, r12vrr_stack+22441, r12vrr_stack+36667, r12vrr_stack+9402, r12vrr_stack+21991, r12vrr_stack+33913);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38287, r12vrr_stack+23116, r12vrr_stack+37342, r12vrr_stack+9852, r12vrr_stack+22441, r12vrr_stack+34453);
 tmp = r12vrr_stack + 38287;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5002, r12vrr_stack+0, r12vrr_stack+3, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+5002, r12vrr_stack+7476, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+8952, r12vrr_stack+7791, r12vrr_stack+358, r12vrr_stack+7479, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+258, r12vrr_stack+7801, r12vrr_stack+8952, r12vrr_stack+7485, r12vrr_stack+7791, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8967, r12vrr_stack+7816, r12vrr_stack+258, r12vrr_stack+7495, r12vrr_stack+7801, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8995, r12vrr_stack+7837, r12vrr_stack+8967, r12vrr_stack+7510, r12vrr_stack+7816, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+7865, r12vrr_stack+8995, r12vrr_stack+7531, r12vrr_stack+7837, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9031, r12vrr_stack+7901, r12vrr_stack+7476, r12vrr_stack+7559, r12vrr_stack+7865, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9086, r12vrr_stack+7946, r12vrr_stack+9031, NULL, NULL, r12vrr_stack+7901);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9251, r12vrr_stack+8001, r12vrr_stack+9086, r12vrr_stack+12442, r12vrr_stack+7946, r12vrr_stack+6126);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39547, r12vrr_stack+24061, r12vrr_stack+9251, r12vrr_stack+12497, r12vrr_stack+8001, r12vrr_stack+6261);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40097, r12vrr_stack+24391, r12vrr_stack+39547, r12vrr_stack+12662, r12vrr_stack+24061, r12vrr_stack+36217);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40922, r12vrr_stack+24941, r12vrr_stack+40097, r12vrr_stack+12992, r12vrr_stack+24391, r12vrr_stack+36667);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42077, r12vrr_stack+25766, r12vrr_stack+40922, r12vrr_stack+13542, r12vrr_stack+24941, r12vrr_stack+37342);
 tmp = r12vrr_stack + 42077;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12442, r12vrr_stack+7946, r12vrr_stack+9031, r12vrr_stack+12397, r12vrr_stack+7901, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12508, r12vrr_stack+11022, r12vrr_stack+12442, NULL, NULL, r12vrr_stack+7946);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12706, r12vrr_stack+11088, r12vrr_stack+12508, r12vrr_stack+10527, r12vrr_stack+11022, r12vrr_stack+8001);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43617, r12vrr_stack+26921, r12vrr_stack+12706, r12vrr_stack+14961, r12vrr_stack+11088, r12vrr_stack+24061);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44277, r12vrr_stack+27317, r12vrr_stack+43617, r12vrr_stack+15159, r12vrr_stack+26921, r12vrr_stack+24391);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45267, r12vrr_stack+27977, r12vrr_stack+44277, r12vrr_stack+15951, r12vrr_stack+27317, r12vrr_stack+24941);
 tmp = r12vrr_stack + 45267;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+10527, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+10530, r12vrr_stack+14367, r12vrr_stack+10527, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+7521, r12vrr_stack+14370, r12vrr_stack+10530, r12vrr_stack+14433, r12vrr_stack+14367, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+14367, r12vrr_stack+49, r12vrr_stack+114, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+10536, r12vrr_stack+14376, r12vrr_stack+14367, r12vrr_stack+12, r12vrr_stack+49, r12vrr_stack+10527);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+10554, r12vrr_stack+21, r12vrr_stack+10536, r12vrr_stack+1647, r12vrr_stack+14376, r12vrr_stack+10530);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+13102, r12vrr_stack+8166, r12vrr_stack+10554, r12vrr_stack+1692, r12vrr_stack+21, r12vrr_stack+7521);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+237, NULL, NULL, r12vrr_stack+114);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+13147, r12vrr_stack+14385, r12vrr_stack+21, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+14367);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+13183, r12vrr_stack+11286, r12vrr_stack+13147, r12vrr_stack+14436, r12vrr_stack+14385, r12vrr_stack+10536);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+13243, r12vrr_stack+11322, r12vrr_stack+13183, r12vrr_stack+14454, r12vrr_stack+11286, r12vrr_stack+10554);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+13333, r12vrr_stack+11382, r12vrr_stack+13243, r12vrr_stack+14697, r12vrr_stack+11322, r12vrr_stack+13102);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+8166, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+237);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+11286, r12vrr_stack+14403, r12vrr_stack+8166, r12vrr_stack+117, r12vrr_stack+58, r12vrr_stack+21);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+11346, r12vrr_stack+758, r12vrr_stack+11286, r12vrr_stack+14757, r12vrr_stack+14403, r12vrr_stack+13147);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+9581, r12vrr_stack+4902, r12vrr_stack+11346, r12vrr_stack+14787, r12vrr_stack+758, r12vrr_stack+13183);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+6531, r12vrr_stack+5361, r12vrr_stack+9581, r12vrr_stack+14847, r12vrr_stack+4902, r12vrr_stack+13243);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+14640, r12vrr_stack+28967, r12vrr_stack+6531, r12vrr_stack+10593, r12vrr_stack+5361, r12vrr_stack+13333);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+5361, r12vrr_stack+1656, r12vrr_stack+3039, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+5406, r12vrr_stack+11472, r12vrr_stack+5361, r12vrr_stack+243, r12vrr_stack+1656, r12vrr_stack+8166);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+28967, r12vrr_stack+818, r12vrr_stack+5406, r12vrr_stack+10743, r12vrr_stack+11472, r12vrr_stack+11286);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+13102, r12vrr_stack+14490, r12vrr_stack+28967, r12vrr_stack+7386, r12vrr_stack+818, r12vrr_stack+11346);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+14920, r12vrr_stack+29177, r12vrr_stack+13102, r12vrr_stack+16611, r12vrr_stack+14490, r12vrr_stack+9581);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+46653, r12vrr_stack+29402, r12vrr_stack+14920, r12vrr_stack+16761, r12vrr_stack+29177, r12vrr_stack+6531);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+47073, r12vrr_stack+29717, r12vrr_stack+46653, r12vrr_stack+16986, r12vrr_stack+29402, r12vrr_stack+14640);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6531, r12vrr_stack+3054, r12vrr_stack+5008, NULL, NULL, r12vrr_stack+3039);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6594, r12vrr_stack+127, r12vrr_stack+6531, r12vrr_stack+1671, r12vrr_stack+3054, r12vrr_stack+5361);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9581, r12vrr_stack+1521, r12vrr_stack+6594, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+5406);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+16611, r12vrr_stack+908, r12vrr_stack+9581, r12vrr_stack+17301, r12vrr_stack+1521, r12vrr_stack+28967);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+28967, r12vrr_stack+30137, r12vrr_stack+16611, r12vrr_stack+17427, r12vrr_stack+908, r12vrr_stack+13102);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+47613, r12vrr_stack+30452, r12vrr_stack+28967, r12vrr_stack+17637, r12vrr_stack+30137, r12vrr_stack+14920);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14367, r12vrr_stack+30893, r12vrr_stack+47613, r12vrr_stack+17952, r12vrr_stack+30452, r12vrr_stack+46653);
 tmp = r12vrr_stack + 14367;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+46653, r12vrr_stack+5029, r12vrr_stack+7531, NULL, NULL, r12vrr_stack+5008);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+46737, r12vrr_stack+2046, r12vrr_stack+46653, r12vrr_stack+3075, r12vrr_stack+5029, r12vrr_stack+6531);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30137, r12vrr_stack+2130, r12vrr_stack+46737, r12vrr_stack+1710, r12vrr_stack+2046, r12vrr_stack+6594);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30417, r12vrr_stack+31481, r12vrr_stack+30137, r12vrr_stack+18393, r12vrr_stack+2130, r12vrr_stack+9581);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17301, r12vrr_stack+31761, r12vrr_stack+30417, r12vrr_stack+18561, r12vrr_stack+31481, r12vrr_stack+16611);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+48201, r12vrr_stack+32181, r12vrr_stack+17301, r12vrr_stack+18841, r12vrr_stack+31761, r12vrr_stack+28967);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+48985, r12vrr_stack+32769, r12vrr_stack+48201, r12vrr_stack+19261, r12vrr_stack+32181, r12vrr_stack+47613);
 tmp = r12vrr_stack + 48985;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+47613, r12vrr_stack+7559, r12vrr_stack+7865, NULL, NULL, r12vrr_stack+7531);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+47721, r12vrr_stack+3922, r12vrr_stack+47613, r12vrr_stack+8916, r12vrr_stack+7559, r12vrr_stack+46653);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28967, r12vrr_stack+4030, r12vrr_stack+47721, r12vrr_stack+3222, r12vrr_stack+3922, r12vrr_stack+46737);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31481, r12vrr_stack+33553, r12vrr_stack+28967, r12vrr_stack+19849, r12vrr_stack+4030, r12vrr_stack+30137);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18393, r12vrr_stack+33913, r12vrr_stack+31481, r12vrr_stack+20065, r12vrr_stack+33553, r12vrr_stack+30417);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+49993, r12vrr_stack+34453, r12vrr_stack+18393, r12vrr_stack+20425, r12vrr_stack+33913, r12vrr_stack+17301);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+51001, r12vrr_stack+35209, r12vrr_stack+49993, r12vrr_stack+20965, r12vrr_stack+34453, r12vrr_stack+48201);
 tmp = r12vrr_stack + 51001;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17301, r12vrr_stack+7901, r12vrr_stack+7476, NULL, NULL, r12vrr_stack+7865);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17436, r12vrr_stack+6126, r12vrr_stack+17301, r12vrr_stack+12397, r12vrr_stack+7901, r12vrr_stack+47613);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33553, r12vrr_stack+6261, r12vrr_stack+17436, r12vrr_stack+5226, r12vrr_stack+6126, r12vrr_stack+47721);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+47613, r12vrr_stack+36217, r12vrr_stack+33553, r12vrr_stack+21721, r12vrr_stack+6261, r12vrr_stack+28967);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34003, r12vrr_stack+36667, r12vrr_stack+47613, r12vrr_stack+21991, r12vrr_stack+36217, r12vrr_stack+31481);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31481, r12vrr_stack+37342, r12vrr_stack+34003, r12vrr_stack+22441, r12vrr_stack+36667, r12vrr_stack+18393);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+52297, r12vrr_stack+38287, r12vrr_stack+31481, r12vrr_stack+23116, r12vrr_stack+37342, r12vrr_stack+49993);
 tmp = r12vrr_stack + 52297;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49993, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+49996, r12vrr_stack+3, r12vrr_stack+49993, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+50002, r12vrr_stack+5002, r12vrr_stack+49996, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50012, r12vrr_stack+358, r12vrr_stack+50002, r12vrr_stack+6, r12vrr_stack+5002, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+8952, r12vrr_stack+50012, r12vrr_stack+7791, r12vrr_stack+358, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+32741, r12vrr_stack+258, r12vrr_stack+0, r12vrr_stack+7801, r12vrr_stack+8952, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+8967, r12vrr_stack+32741, r12vrr_stack+7816, r12vrr_stack+258, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12397, r12vrr_stack+8995, r12vrr_stack+0, r12vrr_stack+7837, r12vrr_stack+8967, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+7476, r12vrr_stack+12397, r12vrr_stack+7865, r12vrr_stack+8995, NULL);

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+55, r12vrr_stack+9031, r12vrr_stack+0, NULL, NULL, r12vrr_stack+7476);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+49993, r12vrr_stack+9086, r12vrr_stack+55, r12vrr_stack+7946, r12vrr_stack+9031, r12vrr_stack+17301);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+50323, r12vrr_stack+9251, r12vrr_stack+49993, r12vrr_stack+8001, r12vrr_stack+9086, r12vrr_stack+17436);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18393, r12vrr_stack+39547, r12vrr_stack+50323, r12vrr_stack+24061, r12vrr_stack+9251, r12vrr_stack+33553);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+36217, r12vrr_stack+40097, r12vrr_stack+18393, r12vrr_stack+24391, r12vrr_stack+39547, r12vrr_stack+47613);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+53917, r12vrr_stack+40922, r12vrr_stack+36217, r12vrr_stack+24941, r12vrr_stack+40097, r12vrr_stack+34003);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+36217, r12vrr_stack+42077, r12vrr_stack+53917, r12vrr_stack+25766, r12vrr_stack+40922, r12vrr_stack+31481);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31481, r12vrr_stack+9031, r12vrr_stack+0, r12vrr_stack+7901, r12vrr_stack+7476, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+12442, r12vrr_stack+31481, NULL, NULL, r12vrr_stack+9031);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31481, r12vrr_stack+12508, r12vrr_stack+0, r12vrr_stack+11022, r12vrr_stack+12442, r12vrr_stack+9086);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31877, r12vrr_stack+12706, r12vrr_stack+31481, r12vrr_stack+11088, r12vrr_stack+12508, r12vrr_stack+9251);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+53917, r12vrr_stack+43617, r12vrr_stack+31877, r12vrr_stack+26921, r12vrr_stack+12706, r12vrr_stack+39547);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+33553, r12vrr_stack+44277, r12vrr_stack+53917, r12vrr_stack+27317, r12vrr_stack+43617, r12vrr_stack+40097);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+53917, r12vrr_stack+45267, r12vrr_stack+33553, r12vrr_stack+27977, r12vrr_stack+44277, r12vrr_stack+40922);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+33553, &(Data->ss_r12_ss), NULL, r12vrr_stack+279, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+33556, r12vrr_stack+33553, &(Data->ss_r12_ss), r12vrr_stack+282, r12vrr_stack+279, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+33562, r12vrr_stack+33556, r12vrr_stack+33553, r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+279, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+33572, r12vrr_stack+33562, r12vrr_stack+33556, r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+282, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+33587, r12vrr_stack+33572, r12vrr_stack+33562, r12vrr_stack+1836, r12vrr_stack+298, r12vrr_stack+288, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+33608, r12vrr_stack+33587, NULL, r12vrr_stack+1857, r12vrr_stack+1836, NULL, r12vrr_stack+298);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+33671, r12vrr_stack+33608, r12vrr_stack+33587, r12vrr_stack+1920, r12vrr_stack+1857, r12vrr_stack+1836, r12vrr_stack+313);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+33797, r12vrr_stack+33671, r12vrr_stack+33608, r12vrr_stack+2445, r12vrr_stack+1920, r12vrr_stack+1857, r12vrr_stack+518);
 tmp = r12vrr_stack + 33797;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+1521, r12vrr_stack+33797, r12vrr_stack+33671, r12vrr_stack+2655, r12vrr_stack+2445, r12vrr_stack+1920, r12vrr_stack+608);
 tmp = r12vrr_stack + 1521;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+34007, r12vrr_stack+1521, r12vrr_stack+33797, r12vrr_stack+17952, r12vrr_stack+2655, r12vrr_stack+2445, r12vrr_stack+1296);
 tmp = r12vrr_stack + 34007;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+33608, r12vrr_stack+33587, r12vrr_stack+33572, r12vrr_stack+3110, r12vrr_stack+1836, r12vrr_stack+298, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+33636, r12vrr_stack+33608, NULL, r12vrr_stack+3138, r12vrr_stack+3110, NULL, r12vrr_stack+1836);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+33720, r12vrr_stack+33636, r12vrr_stack+33608, r12vrr_stack+3474, r12vrr_stack+3138, r12vrr_stack+3110, r12vrr_stack+1857);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+34448, r12vrr_stack+33720, r12vrr_stack+33636, r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+3138, r12vrr_stack+1920);
 tmp = r12vrr_stack + 34448;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+46653, r12vrr_stack+34448, r12vrr_stack+33720, r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+2445);
 tmp = r12vrr_stack + 46653;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+43617, r12vrr_stack+46653, r12vrr_stack+34448, r12vrr_stack+19261, r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+2655);
 tmp = r12vrr_stack + 43617;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+34448, r12vrr_stack+33608, r12vrr_stack+33587, r12vrr_stack+5082, r12vrr_stack+3110, r12vrr_stack+1836, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+34484, r12vrr_stack+34448, NULL, r12vrr_stack+5118, r12vrr_stack+5082, NULL, r12vrr_stack+3110);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+34592, r12vrr_stack+34484, r12vrr_stack+34448, r12vrr_stack+5550, r12vrr_stack+5118, r12vrr_stack+5082, r12vrr_stack+3138);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+34808, r12vrr_stack+34592, r12vrr_stack+34484, r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+5118, r12vrr_stack+3474);
 tmp = r12vrr_stack + 34808;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+44205, r12vrr_stack+34808, r12vrr_stack+34592, r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+3642);
 tmp = r12vrr_stack + 44205;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+30137, r12vrr_stack+44205, r12vrr_stack+34808, r12vrr_stack+20965, r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+4482);
 tmp = r12vrr_stack + 30137;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+34484, r12vrr_stack+34448, r12vrr_stack+33608, r12vrr_stack+7611, r12vrr_stack+5082, r12vrr_stack+3110, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+34529, r12vrr_stack+34484, NULL, r12vrr_stack+7656, r12vrr_stack+7611, NULL, r12vrr_stack+5082);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+34664, r12vrr_stack+34529, r12vrr_stack+34484, r12vrr_stack+8196, r12vrr_stack+7656, r12vrr_stack+7611, r12vrr_stack+5118);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+33553, r12vrr_stack+34664, r12vrr_stack+34529, r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+7656, r12vrr_stack+5550);
 tmp = r12vrr_stack + 33553;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+55765, r12vrr_stack+33553, r12vrr_stack+34664, r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+5766);
 tmp = r12vrr_stack + 55765;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+39547, r12vrr_stack+55765, r12vrr_stack+33553, r12vrr_stack+23116, r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+6846);
 tmp = r12vrr_stack + 39547;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+33553, r12vrr_stack+34484, r12vrr_stack+34448, r12vrr_stack+10802, r12vrr_stack+7611, r12vrr_stack+5082, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+34448, r12vrr_stack+33553, NULL, r12vrr_stack+10857, r12vrr_stack+10802, NULL, r12vrr_stack+7611);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+34613, r12vrr_stack+34448, r12vrr_stack+33553, r12vrr_stack+11517, r12vrr_stack+10857, r12vrr_stack+10802, r12vrr_stack+7656);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+40492, r12vrr_stack+34613, r12vrr_stack+34448, r12vrr_stack+11847, r12vrr_stack+11517, r12vrr_stack+10857, r12vrr_stack+8196);
 tmp = r12vrr_stack + 40492;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+41042, r12vrr_stack+40492, r12vrr_stack+34613, r12vrr_stack+13542, r12vrr_stack+11847, r12vrr_stack+11517, r12vrr_stack+8466);
 tmp = r12vrr_stack + 41042;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31481, r12vrr_stack+41042, r12vrr_stack+40492, r12vrr_stack+25766, r12vrr_stack+13542, r12vrr_stack+11847, r12vrr_stack+9852);
 tmp = r12vrr_stack + 31481;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+41867, r12vrr_stack+2445, r12vrr_stack+3642, r12vrr_stack+2655, r12vrr_stack+1296, r12vrr_stack+608);
 tmp = r12vrr_stack + 41867;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+40492, r12vrr_stack+3642, r12vrr_stack+5766, r12vrr_stack+4482, r12vrr_stack+2655, r12vrr_stack+2445);
 tmp = r12vrr_stack + 40492;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+34448, r12vrr_stack+5766, r12vrr_stack+8466, r12vrr_stack+6846, r12vrr_stack+4482, r12vrr_stack+3642);
 tmp = r12vrr_stack + 34448;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33553, r12vrr_stack+8466, r12vrr_stack+11847, r12vrr_stack+9852, r12vrr_stack+6846, r12vrr_stack+5766);
 tmp = r12vrr_stack + 33553;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+26921, r12vrr_stack+11847, r12vrr_stack+15951, r12vrr_stack+13542, r12vrr_stack+9852, r12vrr_stack+8466);
 tmp = r12vrr_stack + 26921;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+34808, r12vrr_stack+2655, r12vrr_stack+4482, r12vrr_stack+17952, r12vrr_stack+16986, r12vrr_stack+1296);
 tmp = r12vrr_stack + 34808;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+44745, r12vrr_stack+4482, r12vrr_stack+6846, r12vrr_stack+19261, r12vrr_stack+17952, r12vrr_stack+2655);
 tmp = r12vrr_stack + 44745;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+6846, r12vrr_stack+9852, r12vrr_stack+20965, r12vrr_stack+19261, r12vrr_stack+4482);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+540, r12vrr_stack+9852, r12vrr_stack+13542, r12vrr_stack+23116, r12vrr_stack+20965, r12vrr_stack+6846);
 tmp = r12vrr_stack + 540;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+47613, r12vrr_stack+13542, r12vrr_stack+27977, r12vrr_stack+25766, r12vrr_stack+23116, r12vrr_stack+9852);
 tmp = r12vrr_stack + 47613;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+27471, r12vrr_stack+17952, r12vrr_stack+19261, r12vrr_stack+30893, r12vrr_stack+29717, r12vrr_stack+16986);
 tmp = r12vrr_stack + 27471;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18393, r12vrr_stack+19261, r12vrr_stack+20965, r12vrr_stack+32769, r12vrr_stack+30893, r12vrr_stack+17952);
 tmp = r12vrr_stack + 18393;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24061, r12vrr_stack+20965, r12vrr_stack+23116, r12vrr_stack+35209, r12vrr_stack+32769, r12vrr_stack+19261);
 tmp = r12vrr_stack + 24061;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24817, r12vrr_stack+23116, r12vrr_stack+25766, r12vrr_stack+38287, r12vrr_stack+35209, r12vrr_stack+20965);
 tmp = r12vrr_stack + 24817;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+21721, r12vrr_stack+25766, r12vrr_stack+45267, r12vrr_stack+42077, r12vrr_stack+38287, r12vrr_stack+23116);
 tmp = r12vrr_stack + 21721;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+49993, r12vrr_stack+30893, r12vrr_stack+32769, r12vrr_stack+14367, r12vrr_stack+47073, r12vrr_stack+29717);
 tmp = r12vrr_stack + 49993;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12397, r12vrr_stack+32769, r12vrr_stack+35209, r12vrr_stack+48985, r12vrr_stack+14367, r12vrr_stack+30893);
 tmp = r12vrr_stack + 12397;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+28967, r12vrr_stack+35209, r12vrr_stack+38287, r12vrr_stack+51001, r12vrr_stack+48985, r12vrr_stack+32769);
 tmp = r12vrr_stack + 28967;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+56440, r12vrr_stack+38287, r12vrr_stack+42077, r12vrr_stack+52297, r12vrr_stack+51001, r12vrr_stack+35209);
 tmp = r12vrr_stack + 56440;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+57700, r12vrr_stack+42077, r12vrr_stack+53917, r12vrr_stack+36217, r12vrr_stack+52297, r12vrr_stack+38287);
 tmp = r12vrr_stack + 57700;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+47073, r12vrr_stack+2445, r12vrr_stack+2655, r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+1920);
 tmp = r12vrr_stack + 47073;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18981, r12vrr_stack+3642, r12vrr_stack+4482, r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+3474);
 tmp = r12vrr_stack + 18981;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1836, r12vrr_stack+5766, r12vrr_stack+6846, r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+5550);
 tmp = r12vrr_stack + 1836;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+48438, r12vrr_stack+8466, r12vrr_stack+9852, r12vrr_stack+11847, r12vrr_stack+11517, r12vrr_stack+8196);
 tmp = r12vrr_stack + 48438;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+17301, r12vrr_stack+11847, r12vrr_stack+13542, r12vrr_stack+15951, r12vrr_stack+15555, r12vrr_stack+11517);
 tmp = r12vrr_stack + 17301;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+47283, r12vrr_stack+2655, r12vrr_stack+17952, r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+2445);
 tmp = r12vrr_stack + 47283;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+50581, r12vrr_stack+4482, r12vrr_stack+19261, r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+3642);
 tmp = r12vrr_stack + 50581;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6126, r12vrr_stack+6846, r12vrr_stack+20965, r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+5766);
 tmp = r12vrr_stack + 6126;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19849, r12vrr_stack+9852, r12vrr_stack+23116, r12vrr_stack+13542, r12vrr_stack+11847, r12vrr_stack+8466);
 tmp = r12vrr_stack + 19849;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7386, r12vrr_stack+13542, r12vrr_stack+25766, r12vrr_stack+27977, r12vrr_stack+15951, r12vrr_stack+11847);
 tmp = r12vrr_stack + 7386;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20524, r12vrr_stack+17952, r12vrr_stack+30893, r12vrr_stack+19261, r12vrr_stack+4482, r12vrr_stack+2655);
 tmp = r12vrr_stack + 20524;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8211, r12vrr_stack+19261, r12vrr_stack+32769, r12vrr_stack+20965, r12vrr_stack+6846, r12vrr_stack+4482);
 tmp = r12vrr_stack + 8211;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8799, r12vrr_stack+20965, r12vrr_stack+35209, r12vrr_stack+23116, r12vrr_stack+9852, r12vrr_stack+6846);
 tmp = r12vrr_stack + 8799;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4902, r12vrr_stack+23116, r12vrr_stack+38287, r12vrr_stack+25766, r12vrr_stack+13542, r12vrr_stack+9852);
 tmp = r12vrr_stack + 4902;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+15123, r12vrr_stack+25766, r12vrr_stack+42077, r12vrr_stack+45267, r12vrr_stack+27977, r12vrr_stack+13542);
 tmp = r12vrr_stack + 15123;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+27912, r12vrr_stack+30893, r12vrr_stack+14367, r12vrr_stack+32769, r12vrr_stack+19261, r12vrr_stack+17952);
 tmp = r12vrr_stack + 27912;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10527, r12vrr_stack+32769, r12vrr_stack+48985, r12vrr_stack+35209, r12vrr_stack+20965, r12vrr_stack+19261);
 tmp = r12vrr_stack + 10527;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+48888, r12vrr_stack+35209, r12vrr_stack+51001, r12vrr_stack+38287, r12vrr_stack+23116, r12vrr_stack+20965);
 tmp = r12vrr_stack + 48888;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+51001, r12vrr_stack+38287, r12vrr_stack+52297, r12vrr_stack+42077, r12vrr_stack+25766, r12vrr_stack+23116);
 tmp = r12vrr_stack + 51001;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+52261, r12vrr_stack+42077, r12vrr_stack+36217, r12vrr_stack+53917, r12vrr_stack+45267, r12vrr_stack+25766);
 tmp = r12vrr_stack + 52261;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+36217, r12vrr_stack+34007, r12vrr_stack+1521, r12vrr_stack+30893, r12vrr_stack+17952, r12vrr_stack+2655, r12vrr_stack+16986);
 tmp = r12vrr_stack + 36217;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+36805, r12vrr_stack+43617, r12vrr_stack+46653, r12vrr_stack+32769, r12vrr_stack+19261, r12vrr_stack+4482, r12vrr_stack+17952);
 tmp = r12vrr_stack + 36805;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+53801, r12vrr_stack+30137, r12vrr_stack+44205, r12vrr_stack+35209, r12vrr_stack+20965, r12vrr_stack+6846, r12vrr_stack+19261);
 tmp = r12vrr_stack + 53801;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+2196, r12vrr_stack+39547, r12vrr_stack+55765, r12vrr_stack+38287, r12vrr_stack+23116, r12vrr_stack+9852, r12vrr_stack+20965);
 tmp = r12vrr_stack + 2196;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+37589, r12vrr_stack+31481, r12vrr_stack+41042, r12vrr_stack+42077, r12vrr_stack+25766, r12vrr_stack+13542, r12vrr_stack+23116);
 tmp = r12vrr_stack + 37589;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];


}

