#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ffhh(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+758, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+4);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+767, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+785, r12vrr_stack+21, r12vrr_stack+767, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+758);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+821, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+851, r12vrr_stack+84, r12vrr_stack+821, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+767);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+911, r12vrr_stack+144, r12vrr_stack+851, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+785);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+114, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+114, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+117, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+127, r12vrr_stack+358, r12vrr_stack+117, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1011, r12vrr_stack+368, r12vrr_stack+127, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1056, r12vrr_stack+383, r12vrr_stack+1011, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+821);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1146, r12vrr_stack+428, r12vrr_stack+1056, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+851);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1296, r12vrr_stack+608, r12vrr_stack+1146, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+911);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1521, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+1521, r12vrr_stack+1563, NULL, NULL, r12vrr_stack+368);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1647, r12vrr_stack+1542, r12vrr_stack+1521, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1710, r12vrr_stack+1647, r12vrr_stack+1584, r12vrr_stack+1542, r12vrr_stack+1521, r12vrr_stack+383);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1836, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1857, r12vrr_stack+1836, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1920, r12vrr_stack+1857, r12vrr_stack+1647, r12vrr_stack+1836, r12vrr_stack+1542, r12vrr_stack+234);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+234, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+237, r12vrr_stack+114, r12vrr_stack+234, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+15, r12vrr_stack+237, r12vrr_stack+49, r12vrr_stack+114, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+243, r12vrr_stack+117, r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+258, r12vrr_stack+127, r12vrr_stack+243, r12vrr_stack+358, r12vrr_stack+117, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2046, r12vrr_stack+1563, r12vrr_stack+258, NULL, NULL, r12vrr_stack+127);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2109, r12vrr_stack+1584, r12vrr_stack+2046, r12vrr_stack+1521, r12vrr_stack+1563, r12vrr_stack+1011);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2235, r12vrr_stack+1710, r12vrr_stack+2109, r12vrr_stack+1647, r12vrr_stack+1584, r12vrr_stack+1056);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2445, r12vrr_stack+1920, r12vrr_stack+1710, r12vrr_stack+1857, r12vrr_stack+1647, r12vrr_stack+428);
 tmp = r12vrr_stack + 2445;
 target_ptr = Libr12->gvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2655, r12vrr_stack+2445, r12vrr_stack+2235, r12vrr_stack+1920, r12vrr_stack+1710, r12vrr_stack+1146);
 tmp = r12vrr_stack + 2655;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2970, r12vrr_stack+1521, r12vrr_stack+1563, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2998, r12vrr_stack+1542, r12vrr_stack+1521, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3026, r12vrr_stack+2998, r12vrr_stack+2970, NULL, NULL, r12vrr_stack+1521);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3110, r12vrr_stack+1836, r12vrr_stack+1542, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3138, r12vrr_stack+3110, r12vrr_stack+2998, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+204, r12vrr_stack+1563, r12vrr_stack+258, r12vrr_stack+368, r12vrr_stack+127, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3222, r12vrr_stack+2970, r12vrr_stack+204, NULL, NULL, r12vrr_stack+1563);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3306, r12vrr_stack+3026, r12vrr_stack+3222, r12vrr_stack+2998, r12vrr_stack+2970, r12vrr_stack+1584);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3474, r12vrr_stack+3138, r12vrr_stack+3026, r12vrr_stack+3110, r12vrr_stack+2998, r12vrr_stack+1647);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+3306, r12vrr_stack+3138, r12vrr_stack+3026, r12vrr_stack+1710);
 tmp = r12vrr_stack + 3642;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1647, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1650, r12vrr_stack+234, r12vrr_stack+1647, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+237, r12vrr_stack+1650, r12vrr_stack+114, r12vrr_stack+234, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1656, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+237, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1671, r12vrr_stack+243, r12vrr_stack+1656, r12vrr_stack+117, r12vrr_stack+58, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3922, r12vrr_stack+258, r12vrr_stack+1671, r12vrr_stack+127, r12vrr_stack+243, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3950, r12vrr_stack+204, r12vrr_stack+3922, NULL, NULL, r12vrr_stack+258);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4034, r12vrr_stack+3222, r12vrr_stack+3950, r12vrr_stack+2970, r12vrr_stack+204, r12vrr_stack+2046);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4202, r12vrr_stack+3306, r12vrr_stack+4034, r12vrr_stack+3026, r12vrr_stack+3222, r12vrr_stack+2109);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+4202, r12vrr_stack+3474, r12vrr_stack+3306, r12vrr_stack+2235);
 tmp = r12vrr_stack + 4482;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4902, r12vrr_stack+2970, r12vrr_stack+204, r12vrr_stack+1521, r12vrr_stack+1563, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4938, r12vrr_stack+2998, r12vrr_stack+2970, r12vrr_stack+1542, r12vrr_stack+1521, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4974, r12vrr_stack+4938, r12vrr_stack+4902, NULL, NULL, r12vrr_stack+2970);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5082, r12vrr_stack+3110, r12vrr_stack+2998, r12vrr_stack+1836, r12vrr_stack+1542, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5118, r12vrr_stack+5082, r12vrr_stack+4938, NULL, NULL, r12vrr_stack+2998);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1521, r12vrr_stack+204, r12vrr_stack+3922, r12vrr_stack+1563, r12vrr_stack+258, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5226, r12vrr_stack+4902, r12vrr_stack+1521, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5334, r12vrr_stack+4974, r12vrr_stack+5226, r12vrr_stack+4938, r12vrr_stack+4902, r12vrr_stack+3222);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5550, r12vrr_stack+5118, r12vrr_stack+4974, r12vrr_stack+5082, r12vrr_stack+4938, r12vrr_stack+3026);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+5334, r12vrr_stack+5118, r12vrr_stack+4974, r12vrr_stack+3306);
 tmp = r12vrr_stack + 5766;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3026, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1557, r12vrr_stack+1647, r12vrr_stack+3026, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3029, r12vrr_stack+1650, r12vrr_stack+1557, r12vrr_stack+234, r12vrr_stack+1647, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3039, r12vrr_stack+39, r12vrr_stack+3029, r12vrr_stack+237, r12vrr_stack+1650, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3054, r12vrr_stack+1656, r12vrr_stack+3039, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3075, r12vrr_stack+1671, r12vrr_stack+3054, r12vrr_stack+243, r12vrr_stack+1656, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6126, r12vrr_stack+3922, r12vrr_stack+3075, r12vrr_stack+258, r12vrr_stack+1671, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6162, r12vrr_stack+1521, r12vrr_stack+6126, NULL, NULL, r12vrr_stack+3922);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6270, r12vrr_stack+5226, r12vrr_stack+6162, r12vrr_stack+4902, r12vrr_stack+1521, r12vrr_stack+3950);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6486, r12vrr_stack+5334, r12vrr_stack+6270, r12vrr_stack+4974, r12vrr_stack+5226, r12vrr_stack+4034);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+6486, r12vrr_stack+5550, r12vrr_stack+5334, r12vrr_stack+4202);
 tmp = r12vrr_stack + 6846;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7386, r12vrr_stack+4902, r12vrr_stack+1521, r12vrr_stack+2970, r12vrr_stack+204, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7431, r12vrr_stack+4938, r12vrr_stack+4902, r12vrr_stack+2998, r12vrr_stack+2970, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+7431, r12vrr_stack+7386, NULL, NULL, r12vrr_stack+4902);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7611, r12vrr_stack+5082, r12vrr_stack+4938, r12vrr_stack+3110, r12vrr_stack+2998, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7656, r12vrr_stack+7611, r12vrr_stack+7431, NULL, NULL, r12vrr_stack+4938);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2970, r12vrr_stack+1521, r12vrr_stack+6126, r12vrr_stack+204, r12vrr_stack+3922, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7791, r12vrr_stack+7386, r12vrr_stack+2970, NULL, NULL, r12vrr_stack+1521);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7926, r12vrr_stack+7476, r12vrr_stack+7791, r12vrr_stack+7431, r12vrr_stack+7386, r12vrr_stack+5226);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8196, r12vrr_stack+7656, r12vrr_stack+7476, r12vrr_stack+7611, r12vrr_stack+7431, r12vrr_stack+4974);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+7926, r12vrr_stack+7656, r12vrr_stack+7476, r12vrr_stack+5334);
 tmp = r12vrr_stack + 8466;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4974, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4977, r12vrr_stack+3026, r12vrr_stack+4974, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4983, r12vrr_stack+1557, r12vrr_stack+4977, r12vrr_stack+1647, r12vrr_stack+3026, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4993, r12vrr_stack+3029, r12vrr_stack+4983, r12vrr_stack+1650, r12vrr_stack+1557, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5008, r12vrr_stack+3039, r12vrr_stack+4993, r12vrr_stack+39, r12vrr_stack+3029, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5029, r12vrr_stack+3054, r12vrr_stack+5008, r12vrr_stack+1656, r12vrr_stack+3039, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8916, r12vrr_stack+3075, r12vrr_stack+5029, r12vrr_stack+1671, r12vrr_stack+3054, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8952, r12vrr_stack+6126, r12vrr_stack+8916, r12vrr_stack+3922, r12vrr_stack+3075, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8997, r12vrr_stack+2970, r12vrr_stack+8952, NULL, NULL, r12vrr_stack+6126);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9132, r12vrr_stack+7791, r12vrr_stack+8997, r12vrr_stack+7386, r12vrr_stack+2970, r12vrr_stack+6162);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9402, r12vrr_stack+7926, r12vrr_stack+9132, r12vrr_stack+7476, r12vrr_stack+7791, r12vrr_stack+6270);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+9402, r12vrr_stack+8196, r12vrr_stack+7926, r12vrr_stack+6486);
 tmp = r12vrr_stack + 9852;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10527, r12vrr_stack+7386, r12vrr_stack+2970, r12vrr_stack+4902, r12vrr_stack+1521, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10582, r12vrr_stack+7431, r12vrr_stack+7386, r12vrr_stack+4938, r12vrr_stack+4902, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10637, r12vrr_stack+10582, r12vrr_stack+10527, NULL, NULL, r12vrr_stack+7386);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10802, r12vrr_stack+7611, r12vrr_stack+7431, r12vrr_stack+5082, r12vrr_stack+4938, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10857, r12vrr_stack+10802, r12vrr_stack+10582, NULL, NULL, r12vrr_stack+7431);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4902, r12vrr_stack+2970, r12vrr_stack+8952, r12vrr_stack+1521, r12vrr_stack+6126, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11022, r12vrr_stack+10527, r12vrr_stack+4902, NULL, NULL, r12vrr_stack+2970);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11187, r12vrr_stack+10637, r12vrr_stack+11022, r12vrr_stack+10582, r12vrr_stack+10527, r12vrr_stack+7791);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11517, r12vrr_stack+10857, r12vrr_stack+10637, r12vrr_stack+10802, r12vrr_stack+10582, r12vrr_stack+7476);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11847, r12vrr_stack+11517, r12vrr_stack+11187, r12vrr_stack+10857, r12vrr_stack+10637, r12vrr_stack+7926);
 tmp = r12vrr_stack + 11847;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+7476, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+7479, r12vrr_stack+4974, r12vrr_stack+7476, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+7485, r12vrr_stack+4977, r12vrr_stack+7479, r12vrr_stack+3026, r12vrr_stack+4974, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+7495, r12vrr_stack+4983, r12vrr_stack+7485, r12vrr_stack+1557, r12vrr_stack+4977, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7510, r12vrr_stack+4993, r12vrr_stack+7495, r12vrr_stack+3029, r12vrr_stack+4983, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7531, r12vrr_stack+5008, r12vrr_stack+7510, r12vrr_stack+3039, r12vrr_stack+4993, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7559, r12vrr_stack+5029, r12vrr_stack+7531, r12vrr_stack+3054, r12vrr_stack+5008, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12397, r12vrr_stack+8916, r12vrr_stack+7559, r12vrr_stack+3075, r12vrr_stack+5029, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12442, r12vrr_stack+8952, r12vrr_stack+12397, r12vrr_stack+6126, r12vrr_stack+8916, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12497, r12vrr_stack+4902, r12vrr_stack+12442, NULL, NULL, r12vrr_stack+8952);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12662, r12vrr_stack+11022, r12vrr_stack+12497, r12vrr_stack+10527, r12vrr_stack+4902, r12vrr_stack+8997);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12992, r12vrr_stack+11187, r12vrr_stack+12662, r12vrr_stack+10637, r12vrr_stack+11022, r12vrr_stack+9132);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13542, r12vrr_stack+11847, r12vrr_stack+12992, r12vrr_stack+11517, r12vrr_stack+11187, r12vrr_stack+9402);
 tmp = r12vrr_stack + 13542;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14367, r12vrr_stack+10527, r12vrr_stack+4902, r12vrr_stack+7386, r12vrr_stack+2970, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14433, r12vrr_stack+10582, r12vrr_stack+10527, r12vrr_stack+7431, r12vrr_stack+7386, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14499, r12vrr_stack+14433, r12vrr_stack+14367, NULL, NULL, r12vrr_stack+10527);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14697, r12vrr_stack+10802, r12vrr_stack+10582, r12vrr_stack+7611, r12vrr_stack+7431, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14763, r12vrr_stack+14697, r12vrr_stack+14433, NULL, NULL, r12vrr_stack+10582);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7386, r12vrr_stack+4902, r12vrr_stack+12442, r12vrr_stack+2970, r12vrr_stack+8952, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14961, r12vrr_stack+14367, r12vrr_stack+7386, NULL, NULL, r12vrr_stack+4902);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15159, r12vrr_stack+14499, r12vrr_stack+14961, r12vrr_stack+14433, r12vrr_stack+14367, r12vrr_stack+11022);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15555, r12vrr_stack+14763, r12vrr_stack+14499, r12vrr_stack+14697, r12vrr_stack+14433, r12vrr_stack+10637);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15951, r12vrr_stack+15555, r12vrr_stack+15159, r12vrr_stack+14763, r12vrr_stack+14499, r12vrr_stack+11187);
 tmp = r12vrr_stack + 15951;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+10637, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1557, r12vrr_stack+7476, r12vrr_stack+10637, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+10640, r12vrr_stack+7479, r12vrr_stack+1557, r12vrr_stack+4974, r12vrr_stack+7476, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+10650, r12vrr_stack+7485, r12vrr_stack+10640, r12vrr_stack+4977, r12vrr_stack+7479, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10665, r12vrr_stack+7495, r12vrr_stack+10650, r12vrr_stack+4983, r12vrr_stack+7485, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10686, r12vrr_stack+7510, r12vrr_stack+10665, r12vrr_stack+4993, r12vrr_stack+7495, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10714, r12vrr_stack+7531, r12vrr_stack+10686, r12vrr_stack+5008, r12vrr_stack+7510, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10750, r12vrr_stack+7559, r12vrr_stack+10714, r12vrr_stack+5029, r12vrr_stack+7531, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16611, r12vrr_stack+12397, r12vrr_stack+10750, r12vrr_stack+8916, r12vrr_stack+7559, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16666, r12vrr_stack+12442, r12vrr_stack+16611, r12vrr_stack+8952, r12vrr_stack+12397, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16732, r12vrr_stack+7386, r12vrr_stack+16666, NULL, NULL, r12vrr_stack+12442);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16930, r12vrr_stack+14961, r12vrr_stack+16732, r12vrr_stack+14367, r12vrr_stack+7386, r12vrr_stack+12497);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17326, r12vrr_stack+15159, r12vrr_stack+16930, r12vrr_stack+14499, r12vrr_stack+14961, r12vrr_stack+12662);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17986, r12vrr_stack+15951, r12vrr_stack+17326, r12vrr_stack+15555, r12vrr_stack+15159, r12vrr_stack+12992);
 tmp = r12vrr_stack + 17986;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18976, r12vrr_stack+14367, r12vrr_stack+7386, r12vrr_stack+10527, r12vrr_stack+4902, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19054, r12vrr_stack+14433, r12vrr_stack+14367, r12vrr_stack+10582, r12vrr_stack+10527, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19132, r12vrr_stack+19054, r12vrr_stack+18976, NULL, NULL, r12vrr_stack+14367);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19366, r12vrr_stack+14697, r12vrr_stack+14433, r12vrr_stack+10802, r12vrr_stack+10582, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19444, r12vrr_stack+19366, r12vrr_stack+19054, NULL, NULL, r12vrr_stack+14433);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14367, r12vrr_stack+7386, r12vrr_stack+16666, r12vrr_stack+4902, r12vrr_stack+12442, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19678, r12vrr_stack+18976, r12vrr_stack+14367, NULL, NULL, r12vrr_stack+7386);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19912, r12vrr_stack+19132, r12vrr_stack+19678, r12vrr_stack+19054, r12vrr_stack+18976, r12vrr_stack+14961);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20380, r12vrr_stack+19444, r12vrr_stack+19132, r12vrr_stack+19366, r12vrr_stack+19054, r12vrr_stack+14499);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20848, r12vrr_stack+20380, r12vrr_stack+19912, r12vrr_stack+19444, r12vrr_stack+19132, r12vrr_stack+15159);
 tmp = r12vrr_stack + 20848;
 target_ptr = Libr12->gvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+19054, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1647, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1692, r12vrr_stack+758, r12vrr_stack+1647, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+19054);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+19057, r12vrr_stack+68, r12vrr_stack+52, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+19075, r12vrr_stack+767, r12vrr_stack+19057, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+1647);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+19366, r12vrr_stack+785, r12vrr_stack+19075, r12vrr_stack+21, r12vrr_stack+767, r12vrr_stack+1692);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+19426, r12vrr_stack+358, r12vrr_stack+117, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+19456, r12vrr_stack+821, r12vrr_stack+19426, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+19057);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+19516, r12vrr_stack+851, r12vrr_stack+19456, r12vrr_stack+84, r12vrr_stack+821, r12vrr_stack+19075);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+14445, r12vrr_stack+911, r12vrr_stack+19516, r12vrr_stack+144, r12vrr_stack+851, r12vrr_stack+19366);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+19616, r12vrr_stack+127, r12vrr_stack+243, NULL, NULL, r12vrr_stack+117);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+14595, r12vrr_stack+1011, r12vrr_stack+19616, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+19426);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+21628, r12vrr_stack+1056, r12vrr_stack+14595, r12vrr_stack+383, r12vrr_stack+1011, r12vrr_stack+19456);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+21778, r12vrr_stack+1146, r12vrr_stack+21628, r12vrr_stack+428, r12vrr_stack+1056, r12vrr_stack+19516);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+22003, r12vrr_stack+1296, r12vrr_stack+21778, r12vrr_stack+608, r12vrr_stack+1146, r12vrr_stack+14445);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+368, r12vrr_stack+258, r12vrr_stack+1671, NULL, NULL, r12vrr_stack+243);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+22318, r12vrr_stack+2046, r12vrr_stack+368, r12vrr_stack+1563, r12vrr_stack+258, r12vrr_stack+19616);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+22444, r12vrr_stack+2109, r12vrr_stack+22318, r12vrr_stack+1584, r12vrr_stack+2046, r12vrr_stack+14595);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+22654, r12vrr_stack+2235, r12vrr_stack+22444, r12vrr_stack+1710, r12vrr_stack+2109, r12vrr_stack+21628);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+22969, r12vrr_stack+2655, r12vrr_stack+22654, r12vrr_stack+2445, r12vrr_stack+2235, r12vrr_stack+21778);
 tmp = r12vrr_stack + 22969;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+3922, r12vrr_stack+3075, NULL, NULL, r12vrr_stack+1671);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+23410, r12vrr_stack+3950, r12vrr_stack+1563, r12vrr_stack+204, r12vrr_stack+3922, r12vrr_stack+368);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+23578, r12vrr_stack+4034, r12vrr_stack+23410, r12vrr_stack+3222, r12vrr_stack+3950, r12vrr_stack+22318);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+23858, r12vrr_stack+4202, r12vrr_stack+23578, r12vrr_stack+3306, r12vrr_stack+4034, r12vrr_stack+22444);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+24278, r12vrr_stack+4482, r12vrr_stack+23858, r12vrr_stack+3642, r12vrr_stack+4202, r12vrr_stack+22654);
 tmp = r12vrr_stack + 24278;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3222, r12vrr_stack+6126, r12vrr_stack+8916, NULL, NULL, r12vrr_stack+3075);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24866, r12vrr_stack+6162, r12vrr_stack+3222, r12vrr_stack+1521, r12vrr_stack+6126, r12vrr_stack+1563);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25082, r12vrr_stack+6270, r12vrr_stack+24866, r12vrr_stack+5226, r12vrr_stack+6162, r12vrr_stack+23410);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25442, r12vrr_stack+6486, r12vrr_stack+25082, r12vrr_stack+5334, r12vrr_stack+6270, r12vrr_stack+23578);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25982, r12vrr_stack+6846, r12vrr_stack+25442, r12vrr_stack+5766, r12vrr_stack+6486, r12vrr_stack+23858);
 tmp = r12vrr_stack + 25982;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5226, r12vrr_stack+8952, r12vrr_stack+12397, NULL, NULL, r12vrr_stack+8916);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26738, r12vrr_stack+8997, r12vrr_stack+5226, r12vrr_stack+2970, r12vrr_stack+8952, r12vrr_stack+3222);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27008, r12vrr_stack+9132, r12vrr_stack+26738, r12vrr_stack+7791, r12vrr_stack+8997, r12vrr_stack+24866);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27458, r12vrr_stack+9402, r12vrr_stack+27008, r12vrr_stack+7926, r12vrr_stack+9132, r12vrr_stack+25082);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+28133, r12vrr_stack+9852, r12vrr_stack+27458, r12vrr_stack+8466, r12vrr_stack+9402, r12vrr_stack+25442);
 tmp = r12vrr_stack + 28133;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7791, r12vrr_stack+12442, r12vrr_stack+16611, NULL, NULL, r12vrr_stack+12397);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29078, r12vrr_stack+12497, r12vrr_stack+7791, r12vrr_stack+4902, r12vrr_stack+12442, r12vrr_stack+5226);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29408, r12vrr_stack+12662, r12vrr_stack+29078, r12vrr_stack+11022, r12vrr_stack+12497, r12vrr_stack+26738);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29958, r12vrr_stack+12992, r12vrr_stack+29408, r12vrr_stack+11187, r12vrr_stack+12662, r12vrr_stack+27008);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30783, r12vrr_stack+13542, r12vrr_stack+29958, r12vrr_stack+11847, r12vrr_stack+12992, r12vrr_stack+27458);
 tmp = r12vrr_stack + 30783;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+10637, r12vrr_stack+0, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+11022, r12vrr_stack+1557, r12vrr_stack+6, r12vrr_stack+7476, r12vrr_stack+10637, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+11032, r12vrr_stack+10640, r12vrr_stack+11022, r12vrr_stack+7479, r12vrr_stack+1557, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+19111, r12vrr_stack+10650, r12vrr_stack+11032, r12vrr_stack+7485, r12vrr_stack+10640, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11047, r12vrr_stack+10665, r12vrr_stack+19111, r12vrr_stack+7495, r12vrr_stack+10650, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1521, r12vrr_stack+10686, r12vrr_stack+11047, r12vrr_stack+7510, r12vrr_stack+10665, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11075, r12vrr_stack+10714, r12vrr_stack+1521, r12vrr_stack+7531, r12vrr_stack+10686, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11120, r12vrr_stack+10750, r12vrr_stack+11075, r12vrr_stack+7559, r12vrr_stack+10714, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11175, r12vrr_stack+16611, r12vrr_stack+11120, r12vrr_stack+12397, r12vrr_stack+10750, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11241, r12vrr_stack+16666, r12vrr_stack+11175, NULL, NULL, r12vrr_stack+16611);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31938, r12vrr_stack+16732, r12vrr_stack+11241, r12vrr_stack+7386, r12vrr_stack+16666, r12vrr_stack+7791);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+32334, r12vrr_stack+16930, r12vrr_stack+31938, r12vrr_stack+14961, r12vrr_stack+16732, r12vrr_stack+29078);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+32994, r12vrr_stack+17326, r12vrr_stack+32334, r12vrr_stack+15159, r12vrr_stack+16930, r12vrr_stack+29408);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+33984, r12vrr_stack+17986, r12vrr_stack+32994, r12vrr_stack+15951, r12vrr_stack+17326, r12vrr_stack+29958);
 tmp = r12vrr_stack + 33984;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+11439, r12vrr_stack+16666, r12vrr_stack+11175, r12vrr_stack+12442, r12vrr_stack+16611, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14961, r12vrr_stack+14367, r12vrr_stack+11439, NULL, NULL, r12vrr_stack+16666);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35370, r12vrr_stack+19678, r12vrr_stack+14961, r12vrr_stack+18976, r12vrr_stack+14367, r12vrr_stack+16732);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35838, r12vrr_stack+19912, r12vrr_stack+35370, r12vrr_stack+19132, r12vrr_stack+19678, r12vrr_stack+16930);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36618, r12vrr_stack+20848, r12vrr_stack+35838, r12vrr_stack+20380, r12vrr_stack+19912, r12vrr_stack+17326);
 tmp = r12vrr_stack + 36618;
 target_ptr = Libr12->gvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+19132, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+19135, r12vrr_stack+19054, r12vrr_stack+19132, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+19141, r12vrr_stack+12, r12vrr_stack+49, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+21, r12vrr_stack+1647, r12vrr_stack+19141, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+19132);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+19150, r12vrr_stack+1692, r12vrr_stack+21, r12vrr_stack+758, r12vrr_stack+1647, r12vrr_stack+19135);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+19180, r12vrr_stack+52, r12vrr_stack+15, NULL, NULL, r12vrr_stack+49);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+19198, r12vrr_stack+19057, r12vrr_stack+19180, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+19141);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+19234, r12vrr_stack+19075, r12vrr_stack+19198, r12vrr_stack+767, r12vrr_stack+19057, r12vrr_stack+21);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+15195, r12vrr_stack+19366, r12vrr_stack+19234, r12vrr_stack+785, r12vrr_stack+19075, r12vrr_stack+19150);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+68, r12vrr_stack+117, r12vrr_stack+58, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+758, r12vrr_stack+19426, r12vrr_stack+68, r12vrr_stack+358, r12vrr_stack+117, r12vrr_stack+19180);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+15285, r12vrr_stack+19456, r12vrr_stack+758, r12vrr_stack+821, r12vrr_stack+19426, r12vrr_stack+19198);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+15385, r12vrr_stack+19516, r12vrr_stack+15285, r12vrr_stack+851, r12vrr_stack+19456, r12vrr_stack+19234);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7956, r12vrr_stack+14445, r12vrr_stack+15385, r12vrr_stack+911, r12vrr_stack+19516, r12vrr_stack+15195);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+818, r12vrr_stack+243, r12vrr_stack+1656, NULL, NULL, r12vrr_stack+58);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+863, r12vrr_stack+19616, r12vrr_stack+818, r12vrr_stack+127, r12vrr_stack+243, r12vrr_stack+68);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5361, r12vrr_stack+14595, r12vrr_stack+863, r12vrr_stack+1011, r12vrr_stack+19616, r12vrr_stack+758);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+37788, r12vrr_stack+21628, r12vrr_stack+5361, r12vrr_stack+1056, r12vrr_stack+14595, r12vrr_stack+15285);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+38013, r12vrr_stack+21778, r12vrr_stack+37788, r12vrr_stack+1146, r12vrr_stack+21628, r12vrr_stack+15385);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+38328, r12vrr_stack+22003, r12vrr_stack+38013, r12vrr_stack+1296, r12vrr_stack+21778, r12vrr_stack+7956);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+127, r12vrr_stack+1671, r12vrr_stack+3054, NULL, NULL, r12vrr_stack+1656);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1710, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+258, r12vrr_stack+1671, r12vrr_stack+818);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+953, r12vrr_stack+22318, r12vrr_stack+1710, r12vrr_stack+2046, r12vrr_stack+368, r12vrr_stack+863);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+38748, r12vrr_stack+22444, r12vrr_stack+953, r12vrr_stack+2109, r12vrr_stack+22318, r12vrr_stack+5361);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+39063, r12vrr_stack+22654, r12vrr_stack+38748, r12vrr_stack+2235, r12vrr_stack+22444, r12vrr_stack+37788);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+39504, r12vrr_stack+22969, r12vrr_stack+39063, r12vrr_stack+2655, r12vrr_stack+22654, r12vrr_stack+38013);
 tmp = r12vrr_stack + 39504;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2046, r12vrr_stack+3075, r12vrr_stack+5029, NULL, NULL, r12vrr_stack+3054);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2130, r12vrr_stack+1563, r12vrr_stack+2046, r12vrr_stack+3922, r12vrr_stack+3075, r12vrr_stack+127);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+40092, r12vrr_stack+23410, r12vrr_stack+2130, r12vrr_stack+3950, r12vrr_stack+1563, r12vrr_stack+1710);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+40372, r12vrr_stack+23578, r12vrr_stack+40092, r12vrr_stack+4034, r12vrr_stack+23410, r12vrr_stack+953);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+40792, r12vrr_stack+23858, r12vrr_stack+40372, r12vrr_stack+4202, r12vrr_stack+23578, r12vrr_stack+38748);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+41380, r12vrr_stack+24278, r12vrr_stack+40792, r12vrr_stack+4482, r12vrr_stack+23858, r12vrr_stack+39063);
 tmp = r12vrr_stack + 41380;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3922, r12vrr_stack+8916, r12vrr_stack+7559, NULL, NULL, r12vrr_stack+5029);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4030, r12vrr_stack+3222, r12vrr_stack+3922, r12vrr_stack+6126, r12vrr_stack+8916, r12vrr_stack+2046);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+42164, r12vrr_stack+24866, r12vrr_stack+4030, r12vrr_stack+6162, r12vrr_stack+3222, r12vrr_stack+2130);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+42524, r12vrr_stack+25082, r12vrr_stack+42164, r12vrr_stack+6270, r12vrr_stack+24866, r12vrr_stack+40092);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+43064, r12vrr_stack+25442, r12vrr_stack+42524, r12vrr_stack+6486, r12vrr_stack+25082, r12vrr_stack+40372);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+43820, r12vrr_stack+25982, r12vrr_stack+43064, r12vrr_stack+6846, r12vrr_stack+25442, r12vrr_stack+40792);
 tmp = r12vrr_stack + 43820;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6126, r12vrr_stack+12397, r12vrr_stack+10750, NULL, NULL, r12vrr_stack+7559);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6261, r12vrr_stack+5226, r12vrr_stack+6126, r12vrr_stack+8952, r12vrr_stack+12397, r12vrr_stack+3922);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+44828, r12vrr_stack+26738, r12vrr_stack+6261, r12vrr_stack+8997, r12vrr_stack+5226, r12vrr_stack+4030);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+45278, r12vrr_stack+27008, r12vrr_stack+44828, r12vrr_stack+9132, r12vrr_stack+26738, r12vrr_stack+42164);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+45953, r12vrr_stack+27458, r12vrr_stack+45278, r12vrr_stack+9402, r12vrr_stack+27008, r12vrr_stack+42524);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+46898, r12vrr_stack+28133, r12vrr_stack+45953, r12vrr_stack+9852, r12vrr_stack+27458, r12vrr_stack+43064);
 tmp = r12vrr_stack + 46898;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8952, r12vrr_stack+16611, r12vrr_stack+11120, NULL, NULL, r12vrr_stack+10750);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9117, r12vrr_stack+7791, r12vrr_stack+8952, r12vrr_stack+12442, r12vrr_stack+16611, r12vrr_stack+6126);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48158, r12vrr_stack+29078, r12vrr_stack+9117, r12vrr_stack+12497, r12vrr_stack+7791, r12vrr_stack+6261);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48708, r12vrr_stack+29408, r12vrr_stack+48158, r12vrr_stack+12662, r12vrr_stack+29078, r12vrr_stack+44828);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+49533, r12vrr_stack+29958, r12vrr_stack+48708, r12vrr_stack+12992, r12vrr_stack+29408, r12vrr_stack+45278);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+50688, r12vrr_stack+30783, r12vrr_stack+49533, r12vrr_stack+13542, r12vrr_stack+29958, r12vrr_stack+45953);
 tmp = r12vrr_stack + 50688;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+12442, r12vrr_stack+0, r12vrr_stack+3, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+12442, r12vrr_stack+10637, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+12448, r12vrr_stack+11022, r12vrr_stack+358, r12vrr_stack+1557, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+258, r12vrr_stack+11032, r12vrr_stack+12448, r12vrr_stack+10640, r12vrr_stack+11022, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12463, r12vrr_stack+19111, r12vrr_stack+258, r12vrr_stack+10650, r12vrr_stack+11032, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12491, r12vrr_stack+11047, r12vrr_stack+12463, r12vrr_stack+10665, r12vrr_stack+19111, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12527, r12vrr_stack+1521, r12vrr_stack+12491, r12vrr_stack+10686, r12vrr_stack+11047, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12572, r12vrr_stack+11075, r12vrr_stack+12527, r12vrr_stack+10714, r12vrr_stack+1521, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12627, r12vrr_stack+11120, r12vrr_stack+12572, r12vrr_stack+10750, r12vrr_stack+11075, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12693, r12vrr_stack+11175, r12vrr_stack+12627, NULL, NULL, r12vrr_stack+11120);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12891, r12vrr_stack+11241, r12vrr_stack+12693, r12vrr_stack+16666, r12vrr_stack+11175, r12vrr_stack+8952);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+52228, r12vrr_stack+31938, r12vrr_stack+12891, r12vrr_stack+16732, r12vrr_stack+11241, r12vrr_stack+9117);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+52888, r12vrr_stack+32334, r12vrr_stack+52228, r12vrr_stack+16930, r12vrr_stack+31938, r12vrr_stack+48158);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+53878, r12vrr_stack+32994, r12vrr_stack+52888, r12vrr_stack+17326, r12vrr_stack+32334, r12vrr_stack+48708);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+55264, r12vrr_stack+33984, r12vrr_stack+53878, r12vrr_stack+17986, r12vrr_stack+32994, r12vrr_stack+49533);
 tmp = r12vrr_stack + 55264;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18976, r12vrr_stack+11175, r12vrr_stack+12627, r12vrr_stack+16611, r12vrr_stack+11120, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16666, r12vrr_stack+11439, r12vrr_stack+18976, NULL, NULL, r12vrr_stack+11175);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16900, r12vrr_stack+14961, r12vrr_stack+16666, r12vrr_stack+14367, r12vrr_stack+11439, r12vrr_stack+11241);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57112, r12vrr_stack+35370, r12vrr_stack+16900, r12vrr_stack+19678, r12vrr_stack+14961, r12vrr_stack+31938);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57892, r12vrr_stack+35838, r12vrr_stack+57112, r12vrr_stack+19912, r12vrr_stack+35370, r12vrr_stack+32334);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59062, r12vrr_stack+36618, r12vrr_stack+57892, r12vrr_stack+20848, r12vrr_stack+35838, r12vrr_stack+32994);
 tmp = r12vrr_stack + 59062;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+14367, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+1557, r12vrr_stack+19132, r12vrr_stack+14367, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+14370, r12vrr_stack+19135, r12vrr_stack+1557, r12vrr_stack+19054, r12vrr_stack+19132, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+19132, r12vrr_stack+49, r12vrr_stack+114, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+14380, r12vrr_stack+19141, r12vrr_stack+19132, r12vrr_stack+12, r12vrr_stack+49, r12vrr_stack+14367);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+8166, r12vrr_stack+21, r12vrr_stack+14380, r12vrr_stack+1647, r12vrr_stack+19141, r12vrr_stack+1557);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+14398, r12vrr_stack+19150, r12vrr_stack+8166, r12vrr_stack+1692, r12vrr_stack+21, r12vrr_stack+14370);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+237, NULL, NULL, r12vrr_stack+114);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+19141, r12vrr_stack+19180, r12vrr_stack+21, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+19132);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+17368, r12vrr_stack+19198, r12vrr_stack+19141, r12vrr_stack+19057, r12vrr_stack+19180, r12vrr_stack+14380);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+17428, r12vrr_stack+19234, r12vrr_stack+17368, r12vrr_stack+19075, r12vrr_stack+19198, r12vrr_stack+8166);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+17518, r12vrr_stack+15195, r12vrr_stack+17428, r12vrr_stack+19366, r12vrr_stack+19234, r12vrr_stack+14398);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+8166, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+237);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+15195, r12vrr_stack+68, r12vrr_stack+8166, r12vrr_stack+117, r12vrr_stack+58, r12vrr_stack+21);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+19177, r12vrr_stack+758, r12vrr_stack+15195, r12vrr_stack+19426, r12vrr_stack+68, r12vrr_stack+19141);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+19277, r12vrr_stack+15285, r12vrr_stack+19177, r12vrr_stack+19456, r12vrr_stack+758, r12vrr_stack+17368);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+17644, r12vrr_stack+15385, r12vrr_stack+19277, r12vrr_stack+19516, r12vrr_stack+15285, r12vrr_stack+17428);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+9447, r12vrr_stack+7956, r12vrr_stack+17644, r12vrr_stack+14445, r12vrr_stack+15385, r12vrr_stack+17518);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+19132, r12vrr_stack+1656, r12vrr_stack+3039, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7956, r12vrr_stack+818, r12vrr_stack+19132, r12vrr_stack+243, r12vrr_stack+1656, r12vrr_stack+8166);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+8046, r12vrr_stack+863, r12vrr_stack+7956, r12vrr_stack+19616, r12vrr_stack+818, r12vrr_stack+15195);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+15195, r12vrr_stack+5361, r12vrr_stack+8046, r12vrr_stack+14595, r12vrr_stack+863, r12vrr_stack+19177);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6531, r12vrr_stack+37788, r12vrr_stack+15195, r12vrr_stack+21628, r12vrr_stack+5361, r12vrr_stack+19277);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+19177, r12vrr_stack+38013, r12vrr_stack+6531, r12vrr_stack+21778, r12vrr_stack+37788, r12vrr_stack+17644);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+19597, r12vrr_stack+38328, r12vrr_stack+19177, r12vrr_stack+22003, r12vrr_stack+38013, r12vrr_stack+9447);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9447, r12vrr_stack+3054, r12vrr_stack+5008, NULL, NULL, r12vrr_stack+3039);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9510, r12vrr_stack+127, r12vrr_stack+9447, r12vrr_stack+1671, r12vrr_stack+3054, r12vrr_stack+19132);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9636, r12vrr_stack+1710, r12vrr_stack+9510, r12vrr_stack+368, r12vrr_stack+127, r12vrr_stack+7956);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+37788, r12vrr_stack+953, r12vrr_stack+9636, r12vrr_stack+22318, r12vrr_stack+1710, r12vrr_stack+8046);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17368, r12vrr_stack+38748, r12vrr_stack+37788, r12vrr_stack+22444, r12vrr_stack+953, r12vrr_stack+15195);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60700, r12vrr_stack+39063, r12vrr_stack+17368, r12vrr_stack+22654, r12vrr_stack+38748, r12vrr_stack+6531);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+61288, r12vrr_stack+39504, r12vrr_stack+60700, r12vrr_stack+22969, r12vrr_stack+39063, r12vrr_stack+19177);
 tmp = r12vrr_stack + 61288;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6531, r12vrr_stack+5029, r12vrr_stack+7531, NULL, NULL, r12vrr_stack+5008);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6615, r12vrr_stack+2046, r12vrr_stack+6531, r12vrr_stack+3075, r12vrr_stack+5029, r12vrr_stack+9447);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+38748, r12vrr_stack+2130, r12vrr_stack+6615, r12vrr_stack+1563, r12vrr_stack+2046, r12vrr_stack+9510);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+39028, r12vrr_stack+40092, r12vrr_stack+38748, r12vrr_stack+23410, r12vrr_stack+2130, r12vrr_stack+9636);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+22318, r12vrr_stack+40372, r12vrr_stack+39028, r12vrr_stack+23578, r12vrr_stack+40092, r12vrr_stack+37788);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+62044, r12vrr_stack+40792, r12vrr_stack+22318, r12vrr_stack+23858, r12vrr_stack+40372, r12vrr_stack+17368);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+62828, r12vrr_stack+41380, r12vrr_stack+62044, r12vrr_stack+24278, r12vrr_stack+40792, r12vrr_stack+60700);
 tmp = r12vrr_stack + 62828;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60700, r12vrr_stack+7559, r12vrr_stack+10714, NULL, NULL, r12vrr_stack+7531);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60808, r12vrr_stack+3922, r12vrr_stack+60700, r12vrr_stack+8916, r12vrr_stack+7559, r12vrr_stack+6531);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15195, r12vrr_stack+4030, r12vrr_stack+60808, r12vrr_stack+3222, r12vrr_stack+3922, r12vrr_stack+6615);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+37788, r12vrr_stack+42164, r12vrr_stack+15195, r12vrr_stack+24866, r12vrr_stack+4030, r12vrr_stack+38748);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+40092, r12vrr_stack+42524, r12vrr_stack+37788, r12vrr_stack+25082, r12vrr_stack+42164, r12vrr_stack+39028);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+63836, r12vrr_stack+43064, r12vrr_stack+40092, r12vrr_stack+25442, r12vrr_stack+42524, r12vrr_stack+22318);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+64844, r12vrr_stack+43820, r12vrr_stack+63836, r12vrr_stack+25982, r12vrr_stack+43064, r12vrr_stack+62044);
 tmp = r12vrr_stack + 64844;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+62044, r12vrr_stack+10750, r12vrr_stack+11075, NULL, NULL, r12vrr_stack+10714);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+62179, r12vrr_stack+6126, r12vrr_stack+62044, r12vrr_stack+12397, r12vrr_stack+10750, r12vrr_stack+60700);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22318, r12vrr_stack+6261, r12vrr_stack+62179, r12vrr_stack+5226, r12vrr_stack+6126, r12vrr_stack+60808);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42164, r12vrr_stack+44828, r12vrr_stack+22318, r12vrr_stack+26738, r12vrr_stack+6261, r12vrr_stack+15195);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42839, r12vrr_stack+45278, r12vrr_stack+42164, r12vrr_stack+27008, r12vrr_stack+44828, r12vrr_stack+37788);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+66140, r12vrr_stack+45953, r12vrr_stack+42839, r12vrr_stack+27458, r12vrr_stack+45278, r12vrr_stack+40092);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+67400, r12vrr_stack+46898, r12vrr_stack+66140, r12vrr_stack+28133, r12vrr_stack+45953, r12vrr_stack+63836);
 tmp = r12vrr_stack + 67400;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+63836, r12vrr_stack+11120, r12vrr_stack+12572, NULL, NULL, r12vrr_stack+11075);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14367, r12vrr_stack+8952, r12vrr_stack+63836, r12vrr_stack+16611, r12vrr_stack+11120, r12vrr_stack+62044);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+64001, r12vrr_stack+9117, r12vrr_stack+14367, r12vrr_stack+7791, r12vrr_stack+8952, r12vrr_stack+62179);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40092, r12vrr_stack+48158, r12vrr_stack+64001, r12vrr_stack+29078, r12vrr_stack+9117, r12vrr_stack+22318);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44828, r12vrr_stack+48708, r12vrr_stack+40092, r12vrr_stack+29408, r12vrr_stack+48158, r12vrr_stack+42164);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+69020, r12vrr_stack+49533, r12vrr_stack+44828, r12vrr_stack+29958, r12vrr_stack+48708, r12vrr_stack+42839);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+70560, r12vrr_stack+50688, r12vrr_stack+69020, r12vrr_stack+30783, r12vrr_stack+49533, r12vrr_stack+66140);
 tmp = r12vrr_stack + 70560;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+66140, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+66143, r12vrr_stack+3, r12vrr_stack+66140, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+66149, r12vrr_stack+12442, r12vrr_stack+66143, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+66159, r12vrr_stack+358, r12vrr_stack+66149, r12vrr_stack+6, r12vrr_stack+12442, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+12448, r12vrr_stack+66159, r12vrr_stack+11022, r12vrr_stack+358, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+358, r12vrr_stack+258, r12vrr_stack+0, r12vrr_stack+11032, r12vrr_stack+12448, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+12463, r12vrr_stack+358, r12vrr_stack+19111, r12vrr_stack+258, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+358, r12vrr_stack+12491, r12vrr_stack+0, r12vrr_stack+11047, r12vrr_stack+12463, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16611, r12vrr_stack+12527, r12vrr_stack+358, r12vrr_stack+1521, r12vrr_stack+12491, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1521, r12vrr_stack+12572, r12vrr_stack+16611, r12vrr_stack+11075, r12vrr_stack+12527, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1587, r12vrr_stack+12627, r12vrr_stack+1521, NULL, NULL, r12vrr_stack+12572);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+66140, r12vrr_stack+12693, r12vrr_stack+1587, r12vrr_stack+11175, r12vrr_stack+12627, r12vrr_stack+63836);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+66536, r12vrr_stack+12891, r12vrr_stack+66140, r12vrr_stack+11241, r12vrr_stack+12693, r12vrr_stack+14367);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42164, r12vrr_stack+52228, r12vrr_stack+66536, r12vrr_stack+31938, r12vrr_stack+12891, r12vrr_stack+64001);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+48158, r12vrr_stack+52888, r12vrr_stack+42164, r12vrr_stack+32334, r12vrr_stack+52228, r12vrr_stack+40092);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+72540, r12vrr_stack+53878, r12vrr_stack+48158, r12vrr_stack+32994, r12vrr_stack+52888, r12vrr_stack+44828);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+48158, r12vrr_stack+55264, r12vrr_stack+72540, r12vrr_stack+33984, r12vrr_stack+53878, r12vrr_stack+69020);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+69020, r12vrr_stack+12627, r12vrr_stack+1521, r12vrr_stack+11120, r12vrr_stack+12572, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+1521, r12vrr_stack+18976, r12vrr_stack+69020, NULL, NULL, r12vrr_stack+12627);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+69020, r12vrr_stack+16666, r12vrr_stack+1521, r12vrr_stack+11439, r12vrr_stack+18976, r12vrr_stack+12693);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+69488, r12vrr_stack+16900, r12vrr_stack+69020, r12vrr_stack+14961, r12vrr_stack+16666, r12vrr_stack+12891);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+72540, r12vrr_stack+57112, r12vrr_stack+69488, r12vrr_stack+35370, r12vrr_stack+16900, r12vrr_stack+52228);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+44828, r12vrr_stack+57892, r12vrr_stack+72540, r12vrr_stack+35838, r12vrr_stack+57112, r12vrr_stack+52888);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+72540, r12vrr_stack+59062, r12vrr_stack+44828, r12vrr_stack+36618, r12vrr_stack+57892, r12vrr_stack+53878);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+44828, &(Data->ss_r12_ss), NULL, r12vrr_stack+279, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+44831, r12vrr_stack+44828, &(Data->ss_r12_ss), r12vrr_stack+282, r12vrr_stack+279, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+44837, r12vrr_stack+44831, r12vrr_stack+44828, r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+279, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+44847, r12vrr_stack+44837, r12vrr_stack+44831, r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+282, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+44862, r12vrr_stack+44847, r12vrr_stack+44837, r12vrr_stack+1836, r12vrr_stack+298, r12vrr_stack+288, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+44883, r12vrr_stack+44862, NULL, r12vrr_stack+1857, r12vrr_stack+1836, NULL, r12vrr_stack+298);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+44946, r12vrr_stack+44883, r12vrr_stack+44862, r12vrr_stack+1920, r12vrr_stack+1857, r12vrr_stack+1836, r12vrr_stack+313);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+45072, r12vrr_stack+44946, r12vrr_stack+44883, r12vrr_stack+2445, r12vrr_stack+1920, r12vrr_stack+1857, r12vrr_stack+518);
 tmp = r12vrr_stack + 45072;
 target_ptr = Libr12->rvrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+1521, r12vrr_stack+45072, r12vrr_stack+44946, r12vrr_stack+2655, r12vrr_stack+2445, r12vrr_stack+1920, r12vrr_stack+608);
 tmp = r12vrr_stack + 1521;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+45282, r12vrr_stack+1521, r12vrr_stack+45072, r12vrr_stack+22969, r12vrr_stack+2655, r12vrr_stack+2445, r12vrr_stack+1296);
 tmp = r12vrr_stack + 45282;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+44883, r12vrr_stack+44862, r12vrr_stack+44847, r12vrr_stack+3110, r12vrr_stack+1836, r12vrr_stack+298, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+44911, r12vrr_stack+44883, NULL, r12vrr_stack+3138, r12vrr_stack+3110, NULL, r12vrr_stack+1836);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+44995, r12vrr_stack+44911, r12vrr_stack+44883, r12vrr_stack+3474, r12vrr_stack+3138, r12vrr_stack+3110, r12vrr_stack+1857);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+45723, r12vrr_stack+44995, r12vrr_stack+44911, r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+3138, r12vrr_stack+1920);
 tmp = r12vrr_stack + 45723;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+46003, r12vrr_stack+45723, r12vrr_stack+44995, r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+2445);
 tmp = r12vrr_stack + 46003;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+60700, r12vrr_stack+46003, r12vrr_stack+45723, r12vrr_stack+24278, r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+2655);
 tmp = r12vrr_stack + 60700;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+45723, r12vrr_stack+44883, r12vrr_stack+44862, r12vrr_stack+5082, r12vrr_stack+3110, r12vrr_stack+1836, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+45759, r12vrr_stack+45723, NULL, r12vrr_stack+5118, r12vrr_stack+5082, NULL, r12vrr_stack+3110);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+44911, r12vrr_stack+45759, r12vrr_stack+45723, r12vrr_stack+5550, r12vrr_stack+5118, r12vrr_stack+5082, r12vrr_stack+3138);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+46423, r12vrr_stack+44911, r12vrr_stack+45759, r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+5118, r12vrr_stack+3474);
 tmp = r12vrr_stack + 46423;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+37788, r12vrr_stack+46423, r12vrr_stack+44911, r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+3642);
 tmp = r12vrr_stack + 37788;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+38748, r12vrr_stack+37788, r12vrr_stack+46423, r12vrr_stack+25982, r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+4482);
 tmp = r12vrr_stack + 38748;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+46423, r12vrr_stack+45723, r12vrr_stack+44883, r12vrr_stack+7611, r12vrr_stack+5082, r12vrr_stack+3110, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+46468, r12vrr_stack+46423, NULL, r12vrr_stack+7656, r12vrr_stack+7611, NULL, r12vrr_stack+5082);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+46603, r12vrr_stack+46468, r12vrr_stack+46423, r12vrr_stack+8196, r12vrr_stack+7656, r12vrr_stack+7611, r12vrr_stack+5118);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+44828, r12vrr_stack+46603, r12vrr_stack+46468, r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+7656, r12vrr_stack+5550);
 tmp = r12vrr_stack + 44828;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+57112, r12vrr_stack+44828, r12vrr_stack+46603, r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+5766);
 tmp = r12vrr_stack + 57112;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+57787, r12vrr_stack+57112, r12vrr_stack+44828, r12vrr_stack+28133, r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+6846);
 tmp = r12vrr_stack + 57787;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+44828, r12vrr_stack+46423, r12vrr_stack+45723, r12vrr_stack+10802, r12vrr_stack+7611, r12vrr_stack+5082, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+45723, r12vrr_stack+44828, NULL, r12vrr_stack+10857, r12vrr_stack+10802, NULL, r12vrr_stack+7611);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+58732, r12vrr_stack+45723, r12vrr_stack+44828, r12vrr_stack+11517, r12vrr_stack+10857, r12vrr_stack+10802, r12vrr_stack+7656);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+52228, r12vrr_stack+58732, r12vrr_stack+45723, r12vrr_stack+11847, r12vrr_stack+11517, r12vrr_stack+10857, r12vrr_stack+8196);
 tmp = r12vrr_stack + 52228;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+52778, r12vrr_stack+52228, r12vrr_stack+58732, r12vrr_stack+13542, r12vrr_stack+11847, r12vrr_stack+11517, r12vrr_stack+8466);
 tmp = r12vrr_stack + 52778;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+53603, r12vrr_stack+52778, r12vrr_stack+52228, r12vrr_stack+30783, r12vrr_stack+13542, r12vrr_stack+11847, r12vrr_stack+9852);
 tmp = r12vrr_stack + 53603;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+52228, r12vrr_stack+44828, r12vrr_stack+46423, r12vrr_stack+14697, r12vrr_stack+10802, r12vrr_stack+7611, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+46423, r12vrr_stack+52228, NULL, r12vrr_stack+14763, r12vrr_stack+14697, NULL, r12vrr_stack+10802);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+44828, r12vrr_stack+46423, r12vrr_stack+52228, r12vrr_stack+15555, r12vrr_stack+14763, r12vrr_stack+14697, r12vrr_stack+10857);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+35370, r12vrr_stack+44828, r12vrr_stack+46423, r12vrr_stack+15951, r12vrr_stack+15555, r12vrr_stack+14763, r12vrr_stack+11517);
 tmp = r12vrr_stack + 35370;
 target_ptr = Libr12->rvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10527, r12vrr_stack+35370, r12vrr_stack+44828, r12vrr_stack+17986, r12vrr_stack+15951, r12vrr_stack+15555, r12vrr_stack+11847);
 tmp = r12vrr_stack + 10527;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+69020, r12vrr_stack+10527, r12vrr_stack+35370, r12vrr_stack+33984, r12vrr_stack+17986, r12vrr_stack+15951, r12vrr_stack+13542);
 tmp = r12vrr_stack + 69020;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35370, r12vrr_stack+2445, r12vrr_stack+3642, r12vrr_stack+2655, r12vrr_stack+1296, r12vrr_stack+608);
 tmp = r12vrr_stack + 35370;
 target_ptr = Libr12->t2vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+45723, r12vrr_stack+3642, r12vrr_stack+5766, r12vrr_stack+4482, r12vrr_stack+2655, r12vrr_stack+2445);
 tmp = r12vrr_stack + 45723;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35580, r12vrr_stack+5766, r12vrr_stack+8466, r12vrr_stack+6846, r12vrr_stack+4482, r12vrr_stack+3642);
 tmp = r12vrr_stack + 35580;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35940, r12vrr_stack+8466, r12vrr_stack+11847, r12vrr_stack+9852, r12vrr_stack+6846, r12vrr_stack+5766);
 tmp = r12vrr_stack + 35940;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+52228, r12vrr_stack+11847, r12vrr_stack+15951, r12vrr_stack+13542, r12vrr_stack+9852, r12vrr_stack+8466);
 tmp = r12vrr_stack + 52228;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+40092, r12vrr_stack+15951, r12vrr_stack+20848, r12vrr_stack+17986, r12vrr_stack+13542, r12vrr_stack+11847);
 tmp = r12vrr_stack + 40092;
 target_ptr = Libr12->t2vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+44828, r12vrr_stack+2655, r12vrr_stack+4482, r12vrr_stack+22969, r12vrr_stack+22003, r12vrr_stack+1296);
 tmp = r12vrr_stack + 44828;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+46423, r12vrr_stack+4482, r12vrr_stack+6846, r12vrr_stack+24278, r12vrr_stack+22969, r12vrr_stack+2655);
 tmp = r12vrr_stack + 46423;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18976, r12vrr_stack+6846, r12vrr_stack+9852, r12vrr_stack+25982, r12vrr_stack+24278, r12vrr_stack+4482);
 tmp = r12vrr_stack + 18976;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+42164, r12vrr_stack+9852, r12vrr_stack+13542, r12vrr_stack+28133, r12vrr_stack+25982, r12vrr_stack+6846);
 tmp = r12vrr_stack + 42164;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+42839, r12vrr_stack+13542, r12vrr_stack+17986, r12vrr_stack+30783, r12vrr_stack+28133, r12vrr_stack+9852);
 tmp = r12vrr_stack + 42839;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+31938, r12vrr_stack+17986, r12vrr_stack+36618, r12vrr_stack+33984, r12vrr_stack+30783, r12vrr_stack+13542);
 tmp = r12vrr_stack + 31938;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+54758, r12vrr_stack+22969, r12vrr_stack+24278, r12vrr_stack+39504, r12vrr_stack+38328, r12vrr_stack+22003);
 tmp = r12vrr_stack + 54758;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+40752, r12vrr_stack+24278, r12vrr_stack+25982, r12vrr_stack+41380, r12vrr_stack+39504, r12vrr_stack+22969);
 tmp = r12vrr_stack + 40752;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+32928, r12vrr_stack+25982, r12vrr_stack+28133, r12vrr_stack+43820, r12vrr_stack+41380, r12vrr_stack+24278);
 tmp = r12vrr_stack + 32928;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14367, r12vrr_stack+28133, r12vrr_stack+30783, r12vrr_stack+46898, r12vrr_stack+43820, r12vrr_stack+25982);
 tmp = r12vrr_stack + 14367;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+66140, r12vrr_stack+30783, r12vrr_stack+33984, r12vrr_stack+50688, r12vrr_stack+46898, r12vrr_stack+28133);
 tmp = r12vrr_stack + 66140;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+33984, r12vrr_stack+59062, r12vrr_stack+55264, r12vrr_stack+50688, r12vrr_stack+30783);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+63836, r12vrr_stack+39504, r12vrr_stack+41380, r12vrr_stack+61288, r12vrr_stack+19597, r12vrr_stack+38328);
 tmp = r12vrr_stack + 63836;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+62044, r12vrr_stack+41380, r12vrr_stack+43820, r12vrr_stack+62828, r12vrr_stack+61288, r12vrr_stack+39504);
 tmp = r12vrr_stack + 62044;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16611, r12vrr_stack+43820, r12vrr_stack+46898, r12vrr_stack+64844, r12vrr_stack+62828, r12vrr_stack+41380);
 tmp = r12vrr_stack + 16611;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+29078, r12vrr_stack+46898, r12vrr_stack+50688, r12vrr_stack+67400, r12vrr_stack+64844, r12vrr_stack+43820);
 tmp = r12vrr_stack + 29078;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+74724, r12vrr_stack+50688, r12vrr_stack+55264, r12vrr_stack+70560, r12vrr_stack+67400, r12vrr_stack+46898);
 tmp = r12vrr_stack + 74724;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+76264, r12vrr_stack+55264, r12vrr_stack+72540, r12vrr_stack+48158, r12vrr_stack+70560, r12vrr_stack+50688);
 tmp = r12vrr_stack + 76264;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_f0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+38328, r12vrr_stack+2445, r12vrr_stack+2655, r12vrr_stack+3642, r12vrr_stack+3474, r12vrr_stack+1920);
 tmp = r12vrr_stack + 38328;
 target_ptr = Libr12->t1vrr_classes[3][5];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+58732, r12vrr_stack+3642, r12vrr_stack+4482, r12vrr_stack+5766, r12vrr_stack+5550, r12vrr_stack+3474);
 tmp = r12vrr_stack + 58732;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1836, r12vrr_stack+5766, r12vrr_stack+6846, r12vrr_stack+8466, r12vrr_stack+8196, r12vrr_stack+5550);
 tmp = r12vrr_stack + 1836;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+78112, r12vrr_stack+8466, r12vrr_stack+9852, r12vrr_stack+11847, r12vrr_stack+11517, r12vrr_stack+8196);
 tmp = r12vrr_stack + 78112;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+19516, r12vrr_stack+11847, r12vrr_stack+13542, r12vrr_stack+15951, r12vrr_stack+15555, r12vrr_stack+11517);
 tmp = r12vrr_stack + 19516;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+26738, r12vrr_stack+15951, r12vrr_stack+17986, r12vrr_stack+20848, r12vrr_stack+20380, r12vrr_stack+15555);
 tmp = r12vrr_stack + 26738;
 target_ptr = Libr12->t1vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11517, r12vrr_stack+2655, r12vrr_stack+22969, r12vrr_stack+4482, r12vrr_stack+3642, r12vrr_stack+2445);
 tmp = r12vrr_stack + 11517;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+64424, r12vrr_stack+4482, r12vrr_stack+24278, r12vrr_stack+6846, r12vrr_stack+5766, r12vrr_stack+3642);
 tmp = r12vrr_stack + 64424;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20066, r12vrr_stack+6846, r12vrr_stack+25982, r12vrr_stack+9852, r12vrr_stack+8466, r12vrr_stack+5766);
 tmp = r12vrr_stack + 20066;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+27398, r12vrr_stack+9852, r12vrr_stack+28133, r12vrr_stack+13542, r12vrr_stack+11847, r12vrr_stack+8466);
 tmp = r12vrr_stack + 27398;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12397, r12vrr_stack+13542, r12vrr_stack+30783, r12vrr_stack+17986, r12vrr_stack+15951, r12vrr_stack+11847);
 tmp = r12vrr_stack + 12397;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+24866, r12vrr_stack+17986, r12vrr_stack+33984, r12vrr_stack+36618, r12vrr_stack+20848, r12vrr_stack+15951);
 tmp = r12vrr_stack + 24866;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11832, r12vrr_stack+22969, r12vrr_stack+39504, r12vrr_stack+24278, r12vrr_stack+4482, r12vrr_stack+2655);
 tmp = r12vrr_stack + 11832;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20606, r12vrr_stack+24278, r12vrr_stack+41380, r12vrr_stack+25982, r12vrr_stack+6846, r12vrr_stack+4482);
 tmp = r12vrr_stack + 20606;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21194, r12vrr_stack+25982, r12vrr_stack+43820, r12vrr_stack+28133, r12vrr_stack+9852, r12vrr_stack+6846);
 tmp = r12vrr_stack + 21194;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15312, r12vrr_stack+28133, r12vrr_stack+46898, r12vrr_stack+30783, r12vrr_stack+13542, r12vrr_stack+9852);
 tmp = r12vrr_stack + 15312;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7386, r12vrr_stack+30783, r12vrr_stack+50688, r12vrr_stack+33984, r12vrr_stack+17986, r12vrr_stack+13542);
 tmp = r12vrr_stack + 7386;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4902, r12vrr_stack+33984, r12vrr_stack+55264, r12vrr_stack+59062, r12vrr_stack+36618, r12vrr_stack+17986);
 tmp = r12vrr_stack + 4902;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+36390, r12vrr_stack+39504, r12vrr_stack+61288, r12vrr_stack+41380, r12vrr_stack+24278, r12vrr_stack+22969);
 tmp = r12vrr_stack + 36390;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+36978, r12vrr_stack+41380, r12vrr_stack+62828, r12vrr_stack+43820, r12vrr_stack+25982, r12vrr_stack+24278);
 tmp = r12vrr_stack + 36978;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+62828, r12vrr_stack+43820, r12vrr_stack+64844, r12vrr_stack+46898, r12vrr_stack+28133, r12vrr_stack+25982);
 tmp = r12vrr_stack + 62828;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+64844, r12vrr_stack+46898, r12vrr_stack+67400, r12vrr_stack+50688, r12vrr_stack+30783, r12vrr_stack+28133);
 tmp = r12vrr_stack + 64844;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+67295, r12vrr_stack+50688, r12vrr_stack+70560, r12vrr_stack+55264, r12vrr_stack+33984, r12vrr_stack+30783);
 tmp = r12vrr_stack + 67295;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+70406, r12vrr_stack+55264, r12vrr_stack+48158, r12vrr_stack+72540, r12vrr_stack+59062, r12vrr_stack+33984);
 tmp = r12vrr_stack + 70406;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+48158, r12vrr_stack+45282, r12vrr_stack+1521, r12vrr_stack+39504, r12vrr_stack+22969, r12vrr_stack+2655, r12vrr_stack+22003);
 tmp = r12vrr_stack + 48158;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+48746, r12vrr_stack+60700, r12vrr_stack+46003, r12vrr_stack+41380, r12vrr_stack+24278, r12vrr_stack+4482, r12vrr_stack+22969);
 tmp = r12vrr_stack + 48746;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+49530, r12vrr_stack+38748, r12vrr_stack+37788, r12vrr_stack+43820, r12vrr_stack+25982, r12vrr_stack+6846, r12vrr_stack+24278);
 tmp = r12vrr_stack + 49530;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+38538, r12vrr_stack+57787, r12vrr_stack+57112, r12vrr_stack+46898, r12vrr_stack+28133, r12vrr_stack+9852, r12vrr_stack+25982);
 tmp = r12vrr_stack + 38538;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+57112, r12vrr_stack+53603, r12vrr_stack+52778, r12vrr_stack+50688, r12vrr_stack+30783, r12vrr_stack+13542, r12vrr_stack+28133);
 tmp = r12vrr_stack + 57112;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+52778, r12vrr_stack+69020, r12vrr_stack+10527, r12vrr_stack+55264, r12vrr_stack+33984, r12vrr_stack+17986, r12vrr_stack+30783);
 tmp = r12vrr_stack + 52778;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];


}

