#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ffi0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+352, r12vrr_stack+331, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+436, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+439, r12vrr_stack+436, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+95, r12vrr_stack+436, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+101, r12vrr_stack+439, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+111, r12vrr_stack+445, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+491, r12vrr_stack+470, r12vrr_stack+352, NULL, NULL, r12vrr_stack+111);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+31, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+331, r12vrr_stack+569, NULL, NULL, r12vrr_stack+136);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+151);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+196);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+241);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1115, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1133, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1163, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+1115);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1223, r12vrr_stack+136, r12vrr_stack+554, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1268, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+1133);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1358, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+1163);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+199, r12vrr_stack+3, r12vrr_stack+196, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+199, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+205, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+220, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+126, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1508, r12vrr_stack+569, r12vrr_stack+220, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1571, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+1223);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1697, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+1268);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1907, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+1358);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2250, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2278, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+136, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2306, r12vrr_stack+2222, r12vrr_stack+2278, NULL, NULL, r12vrr_stack+569);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2390, r12vrr_stack+2250, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2474, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+590);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+455, r12vrr_stack+111, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+2250, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+373);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+373, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+376, r12vrr_stack+196, r12vrr_stack+373, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+382, r12vrr_stack+199, r12vrr_stack+376, r12vrr_stack+3, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+40, r12vrr_stack+382, r12vrr_stack+95, r12vrr_stack+199, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+392, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+220, r12vrr_stack+392, r12vrr_stack+554, r12vrr_stack+205, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2950, r12vrr_stack+2278, r12vrr_stack+2922, NULL, NULL, r12vrr_stack+220);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3034, r12vrr_stack+2306, r12vrr_stack+2950, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+1508);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3202, r12vrr_stack+2474, r12vrr_stack+3034, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+1571);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+653);
 tmp = r12vrr_stack + 3482;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+3202, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+1697);
 tmp = r12vrr_stack + 3762;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4182, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+331, r12vrr_stack+569, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4218, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+352, r12vrr_stack+331, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4254, r12vrr_stack+4218, r12vrr_stack+4182, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4362, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+470, r12vrr_stack+352, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4398, r12vrr_stack+4362, r12vrr_stack+4218, NULL, NULL, r12vrr_stack+2250);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+2922, r12vrr_stack+569, r12vrr_stack+220, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4506, r12vrr_stack+4182, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+2278);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4614, r12vrr_stack+4254, r12vrr_stack+4506, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+2306);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+4254, r12vrr_stack+4362, r12vrr_stack+4218, r12vrr_stack+2390);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+4614, r12vrr_stack+4398, r12vrr_stack+4254, r12vrr_stack+2474);
 tmp = r12vrr_stack + 5046;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+2390, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+2399, r12vrr_stack+15, r12vrr_stack+34, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4218, r12vrr_stack+1115, r12vrr_stack+2399, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+2390);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2417, r12vrr_stack+126, r12vrr_stack+101, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4362, r12vrr_stack+1133, r12vrr_stack+2417, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+2399);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+5406, r12vrr_stack+1163, r12vrr_stack+4362, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+4218);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+50, r12vrr_stack+554, r12vrr_stack+205, NULL, NULL, r12vrr_stack+101);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+5506, r12vrr_stack+1223, r12vrr_stack+50, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+2417);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5596, r12vrr_stack+1268, r12vrr_stack+5506, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+4362);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5746, r12vrr_stack+1358, r12vrr_stack+5596, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+5406);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+241, r12vrr_stack+220, r12vrr_stack+392, NULL, NULL, r12vrr_stack+205);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5971, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+50);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6097, r12vrr_stack+1571, r12vrr_stack+5971, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+5506);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6307, r12vrr_stack+1697, r12vrr_stack+6097, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+5596);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6622, r12vrr_stack+1907, r12vrr_stack+6307, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+5746);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+569, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+373, r12vrr_stack+569, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+376, r12vrr_stack+6, r12vrr_stack+196, r12vrr_stack+373, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+572, r12vrr_stack+382, r12vrr_stack+21, r12vrr_stack+199, r12vrr_stack+376, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+587, r12vrr_stack+111, r12vrr_stack+572, r12vrr_stack+40, r12vrr_stack+382, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+608, r12vrr_stack+392, r12vrr_stack+587, r12vrr_stack+205, r12vrr_stack+111, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4422, r12vrr_stack+2922, r12vrr_stack+608, NULL, NULL, r12vrr_stack+392);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7063, r12vrr_stack+2950, r12vrr_stack+4422, r12vrr_stack+2278, r12vrr_stack+2922, r12vrr_stack+241);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7231, r12vrr_stack+3034, r12vrr_stack+7063, r12vrr_stack+2306, r12vrr_stack+2950, r12vrr_stack+5971);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7511, r12vrr_stack+3202, r12vrr_stack+7231, r12vrr_stack+2474, r12vrr_stack+3034, r12vrr_stack+6097);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7931, r12vrr_stack+3762, r12vrr_stack+7511, r12vrr_stack+3482, r12vrr_stack+3202, r12vrr_stack+6307);
 tmp = r12vrr_stack + 7931;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+636, r12vrr_stack+2922, r12vrr_stack+608, r12vrr_stack+220, r12vrr_stack+392, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2447, r12vrr_stack+2222, r12vrr_stack+636, NULL, NULL, r12vrr_stack+2922);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8519, r12vrr_stack+4506, r12vrr_stack+2447, r12vrr_stack+4182, r12vrr_stack+2222, r12vrr_stack+2950);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8735, r12vrr_stack+4614, r12vrr_stack+8519, r12vrr_stack+4254, r12vrr_stack+4506, r12vrr_stack+3034);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9095, r12vrr_stack+5046, r12vrr_stack+8735, r12vrr_stack+4830, r12vrr_stack+4614, r12vrr_stack+3202);
 tmp = r12vrr_stack + 9095;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+4254, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+4257, r12vrr_stack+12, r12vrr_stack+31, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+4266, r12vrr_stack+2390, r12vrr_stack+4257, r12vrr_stack+0, r12vrr_stack+12, r12vrr_stack+4254);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4284, r12vrr_stack+34, r12vrr_stack+95, NULL, NULL, r12vrr_stack+31);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4182, r12vrr_stack+2399, r12vrr_stack+4284, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+4257);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4302, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+1115, r12vrr_stack+2399, r12vrr_stack+4266);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+672, r12vrr_stack+101, r12vrr_stack+40, NULL, NULL, r12vrr_stack+95);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+702, r12vrr_stack+2417, r12vrr_stack+672, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+4284);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2258, r12vrr_stack+4362, r12vrr_stack+702, r12vrr_stack+1133, r12vrr_stack+2417, r12vrr_stack+4182);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+9635, r12vrr_stack+5406, r12vrr_stack+2258, r12vrr_stack+1163, r12vrr_stack+4362, r12vrr_stack+4302);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+126, r12vrr_stack+205, r12vrr_stack+111, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1115, r12vrr_stack+50, r12vrr_stack+126, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+672);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+9785, r12vrr_stack+5506, r12vrr_stack+1115, r12vrr_stack+1223, r12vrr_stack+50, r12vrr_stack+702);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+9935, r12vrr_stack+5596, r12vrr_stack+9785, r12vrr_stack+1268, r12vrr_stack+5506, r12vrr_stack+2258);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+10160, r12vrr_stack+5746, r12vrr_stack+9935, r12vrr_stack+1358, r12vrr_stack+5596, r12vrr_stack+9635);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1205, r12vrr_stack+392, r12vrr_stack+587, NULL, NULL, r12vrr_stack+111);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1268, r12vrr_stack+241, r12vrr_stack+1205, r12vrr_stack+220, r12vrr_stack+392, r12vrr_stack+126);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10475, r12vrr_stack+5971, r12vrr_stack+1268, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+1115);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10685, r12vrr_stack+6097, r12vrr_stack+10475, r12vrr_stack+1571, r12vrr_stack+5971, r12vrr_stack+9785);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11000, r12vrr_stack+6307, r12vrr_stack+10685, r12vrr_stack+1697, r12vrr_stack+6097, r12vrr_stack+9935);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11441, r12vrr_stack+6622, r12vrr_stack+11000, r12vrr_stack+1907, r12vrr_stack+6307, r12vrr_stack+10160);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+569, r12vrr_stack+0, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+220, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+373, r12vrr_stack+569, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+220, r12vrr_stack+376, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+171, r12vrr_stack+572, r12vrr_stack+554, r12vrr_stack+382, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1394, r12vrr_stack+587, r12vrr_stack+171, r12vrr_stack+111, r12vrr_stack+572, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1422, r12vrr_stack+608, r12vrr_stack+1394, NULL, NULL, r12vrr_stack+587);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1506, r12vrr_stack+4422, r12vrr_stack+1422, r12vrr_stack+2922, r12vrr_stack+608, r12vrr_stack+1205);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12029, r12vrr_stack+7063, r12vrr_stack+1506, r12vrr_stack+2950, r12vrr_stack+4422, r12vrr_stack+1268);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12309, r12vrr_stack+7231, r12vrr_stack+12029, r12vrr_stack+3034, r12vrr_stack+7063, r12vrr_stack+10475);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12729, r12vrr_stack+7511, r12vrr_stack+12309, r12vrr_stack+3202, r12vrr_stack+7231, r12vrr_stack+10685);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13317, r12vrr_stack+7931, r12vrr_stack+12729, r12vrr_stack+3762, r12vrr_stack+7511, r12vrr_stack+11000);
 tmp = r12vrr_stack + 13317;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+608, r12vrr_stack+1394, r12vrr_stack+392, r12vrr_stack+587, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2958, r12vrr_stack+636, r12vrr_stack+2922, NULL, NULL, r12vrr_stack+608);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3066, r12vrr_stack+2447, r12vrr_stack+2958, r12vrr_stack+2222, r12vrr_stack+636, r12vrr_stack+4422);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14101, r12vrr_stack+8519, r12vrr_stack+3066, r12vrr_stack+4506, r12vrr_stack+2447, r12vrr_stack+7063);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14461, r12vrr_stack+8735, r12vrr_stack+14101, r12vrr_stack+4614, r12vrr_stack+8519, r12vrr_stack+7231);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15001, r12vrr_stack+9095, r12vrr_stack+14461, r12vrr_stack+5046, r12vrr_stack+8735, r12vrr_stack+7511);
 tmp = r12vrr_stack + 15001;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+4506, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+4509, r12vrr_stack+4254, r12vrr_stack+4506, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+4515, r12vrr_stack+31, r12vrr_stack+3, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+4524, r12vrr_stack+4257, r12vrr_stack+4515, r12vrr_stack+12, r12vrr_stack+31, r12vrr_stack+4506);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+4542, r12vrr_stack+4266, r12vrr_stack+4524, r12vrr_stack+2390, r12vrr_stack+4257, r12vrr_stack+4509);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4254, r12vrr_stack+95, r12vrr_stack+199, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2222, r12vrr_stack+4284, r12vrr_stack+4254, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+4515);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4572, r12vrr_stack+4182, r12vrr_stack+2222, r12vrr_stack+2399, r12vrr_stack+4284, r12vrr_stack+4524);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+4632, r12vrr_stack+4302, r12vrr_stack+4572, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+4542);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4182, r12vrr_stack+40, r12vrr_stack+382, NULL, NULL, r12vrr_stack+199);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4506, r12vrr_stack+672, r12vrr_stack+4182, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+4254);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4212, r12vrr_stack+702, r12vrr_stack+4506, r12vrr_stack+2417, r12vrr_stack+672, r12vrr_stack+2222);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+3282, r12vrr_stack+2258, r12vrr_stack+4212, r12vrr_stack+4362, r12vrr_stack+702, r12vrr_stack+4572);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1674, r12vrr_stack+9635, r12vrr_stack+3282, r12vrr_stack+5406, r12vrr_stack+2258, r12vrr_stack+4632);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+5406, r12vrr_stack+111, r12vrr_stack+572, NULL, NULL, r12vrr_stack+382);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+9635, r12vrr_stack+126, r12vrr_stack+5406, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+4182);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2222, r12vrr_stack+1115, r12vrr_stack+9635, r12vrr_stack+50, r12vrr_stack+126, r12vrr_stack+4506);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4506, r12vrr_stack+9785, r12vrr_stack+2222, r12vrr_stack+5506, r12vrr_stack+1115, r12vrr_stack+4212);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+15757, r12vrr_stack+9935, r12vrr_stack+4506, r12vrr_stack+5596, r12vrr_stack+9785, r12vrr_stack+3282);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+16072, r12vrr_stack+10160, r12vrr_stack+15757, r12vrr_stack+5746, r12vrr_stack+9935, r12vrr_stack+1674);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1674, r12vrr_stack+587, r12vrr_stack+171, NULL, NULL, r12vrr_stack+572);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1737, r12vrr_stack+1205, r12vrr_stack+1674, r12vrr_stack+392, r12vrr_stack+587, r12vrr_stack+5406);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+1268, r12vrr_stack+1737, r12vrr_stack+241, r12vrr_stack+1205, r12vrr_stack+9635);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9635, r12vrr_stack+10475, r12vrr_stack+5406, r12vrr_stack+5971, r12vrr_stack+1268, r12vrr_stack+2222);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9950, r12vrr_stack+10685, r12vrr_stack+9635, r12vrr_stack+6097, r12vrr_stack+10475, r12vrr_stack+4506);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5616, r12vrr_stack+11000, r12vrr_stack+9950, r12vrr_stack+6307, r12vrr_stack+10685, r12vrr_stack+15757);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+16492, r12vrr_stack+11441, r12vrr_stack+5616, r12vrr_stack+6622, r12vrr_stack+11000, r12vrr_stack+16072);

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15757, r12vrr_stack+0, r12vrr_stack+3, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+15763, r12vrr_stack+15, r12vrr_stack+15757, r12vrr_stack+569, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+15773, r12vrr_stack+220, r12vrr_stack+15763, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+554, r12vrr_stack+15773, r12vrr_stack+21, r12vrr_stack+220, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+171, r12vrr_stack+0, r12vrr_stack+572, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+49, r12vrr_stack+1394, r12vrr_stack+21, NULL, NULL, r12vrr_stack+171);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15757, r12vrr_stack+1422, r12vrr_stack+49, r12vrr_stack+608, r12vrr_stack+1394, r12vrr_stack+1674);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15925, r12vrr_stack+1506, r12vrr_stack+15757, r12vrr_stack+4422, r12vrr_stack+1422, r12vrr_stack+1737);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10391, r12vrr_stack+12029, r12vrr_stack+15925, r12vrr_stack+7063, r12vrr_stack+1506, r12vrr_stack+5406);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15757, r12vrr_stack+12309, r12vrr_stack+10391, r12vrr_stack+7231, r12vrr_stack+12029, r12vrr_stack+9635);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10391, r12vrr_stack+12729, r12vrr_stack+15757, r12vrr_stack+7511, r12vrr_stack+12309, r12vrr_stack+9950);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17248, r12vrr_stack+13317, r12vrr_stack+10391, r12vrr_stack+7931, r12vrr_stack+12729, r12vrr_stack+5616);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15757, r12vrr_stack+1394, r12vrr_stack+21, r12vrr_stack+587, r12vrr_stack+171, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15793, r12vrr_stack+2922, r12vrr_stack+15757, NULL, NULL, r12vrr_stack+1394);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15901, r12vrr_stack+2958, r12vrr_stack+15793, r12vrr_stack+636, r12vrr_stack+2922, r12vrr_stack+1422);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16117, r12vrr_stack+3066, r12vrr_stack+15901, r12vrr_stack+2447, r12vrr_stack+2958, r12vrr_stack+1506);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9635, r12vrr_stack+14101, r12vrr_stack+16117, r12vrr_stack+8519, r12vrr_stack+3066, r12vrr_stack+12029);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10175, r12vrr_stack+14461, r12vrr_stack+9635, r12vrr_stack+8735, r12vrr_stack+14101, r12vrr_stack+12309);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+15001, r12vrr_stack+10175, r12vrr_stack+9095, r12vrr_stack+14461, r12vrr_stack+12729);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+14101, &(Data->ss_r12_ss), NULL, r12vrr_stack+436, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+14104, r12vrr_stack+14101, &(Data->ss_r12_ss), r12vrr_stack+439, r12vrr_stack+436, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+14110, r12vrr_stack+14104, r12vrr_stack+14101, r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+436, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+14120, r12vrr_stack+14110, r12vrr_stack+14104, r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+439, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+14135, r12vrr_stack+14120, r12vrr_stack+14110, r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+445, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+14156, r12vrr_stack+14135, r12vrr_stack+14120, r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+455, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+14184, r12vrr_stack+14156, NULL, r12vrr_stack+2670, r12vrr_stack+2642, NULL, r12vrr_stack+470);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+14268, r12vrr_stack+14184, r12vrr_stack+14156, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+491);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+14436, r12vrr_stack+14268, r12vrr_stack+14184, r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+779);
 tmp = r12vrr_stack + 14436;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+9635, r12vrr_stack+14436, r12vrr_stack+14268, r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+905);
 tmp = r12vrr_stack + 9635;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+10055, r12vrr_stack+9635, r12vrr_stack+14436, r12vrr_stack+7931, r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+1907);
 tmp = r12vrr_stack + 10055;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14101, r12vrr_stack+3482, r12vrr_stack+5046, r12vrr_stack+3762, r12vrr_stack+1907, r12vrr_stack+905);
 tmp = r12vrr_stack + 14101;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14381, r12vrr_stack+3762, r12vrr_stack+9095, r12vrr_stack+7931, r12vrr_stack+6622, r12vrr_stack+1907);
 tmp = r12vrr_stack + 14381;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10643, r12vrr_stack+7931, r12vrr_stack+15001, r12vrr_stack+13317, r12vrr_stack+11441, r12vrr_stack+6622);
 tmp = r12vrr_stack + 10643;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12029, r12vrr_stack+13317, r12vrr_stack+5406, r12vrr_stack+17248, r12vrr_stack+16492, r12vrr_stack+11441);
 tmp = r12vrr_stack + 12029;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11231, r12vrr_stack+3482, r12vrr_stack+3762, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+2754);
 tmp = r12vrr_stack + 11231;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11511, r12vrr_stack+3762, r12vrr_stack+7931, r12vrr_stack+9095, r12vrr_stack+5046, r12vrr_stack+3482);
 tmp = r12vrr_stack + 11511;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15757, r12vrr_stack+7931, r12vrr_stack+13317, r12vrr_stack+15001, r12vrr_stack+9095, r12vrr_stack+3762);
 tmp = r12vrr_stack + 15757;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8519, r12vrr_stack+13317, r12vrr_stack+17248, r12vrr_stack+5406, r12vrr_stack+15001, r12vrr_stack+7931);
 tmp = r12vrr_stack + 8519;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+14801, r12vrr_stack+10055, r12vrr_stack+9635, r12vrr_stack+13317, r12vrr_stack+7931, r12vrr_stack+3762, r12vrr_stack+6622);
 tmp = r12vrr_stack + 14801;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];


}

