#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ffid(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+352, r12vrr_stack+331, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+436, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+439, r12vrr_stack+436, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+95, r12vrr_stack+436, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+101, r12vrr_stack+439, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+111, r12vrr_stack+445, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+491, r12vrr_stack+470, r12vrr_stack+352, NULL, NULL, r12vrr_stack+111);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+31, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+331, r12vrr_stack+569, NULL, NULL, r12vrr_stack+136);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+151);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+196);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+241);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1115, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1133, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1163, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+1115);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1223, r12vrr_stack+136, r12vrr_stack+554, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1268, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+1133);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1358, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+1163);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+199, r12vrr_stack+3, r12vrr_stack+196, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+199, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+205, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+220, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+126, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1508, r12vrr_stack+569, r12vrr_stack+220, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1571, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+1223);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1697, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+1268);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1907, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+1358);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2250, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2278, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+136, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2306, r12vrr_stack+2222, r12vrr_stack+2278, NULL, NULL, r12vrr_stack+569);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2390, r12vrr_stack+2250, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2474, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+590);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+455, r12vrr_stack+111, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+2250, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+373);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+373, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+376, r12vrr_stack+196, r12vrr_stack+373, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+382, r12vrr_stack+199, r12vrr_stack+376, r12vrr_stack+3, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+40, r12vrr_stack+382, r12vrr_stack+95, r12vrr_stack+199, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+392, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+220, r12vrr_stack+392, r12vrr_stack+554, r12vrr_stack+205, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2950, r12vrr_stack+2278, r12vrr_stack+2922, NULL, NULL, r12vrr_stack+220);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3034, r12vrr_stack+2306, r12vrr_stack+2950, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+1508);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3202, r12vrr_stack+2474, r12vrr_stack+3034, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+1571);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+653);
 tmp = r12vrr_stack + 3482;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+3202, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+1697);
 tmp = r12vrr_stack + 3762;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4182, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+331, r12vrr_stack+569, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4218, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+352, r12vrr_stack+331, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4254, r12vrr_stack+4218, r12vrr_stack+4182, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4362, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+470, r12vrr_stack+352, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4398, r12vrr_stack+4362, r12vrr_stack+4218, NULL, NULL, r12vrr_stack+2250);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+2278, r12vrr_stack+2922, r12vrr_stack+569, r12vrr_stack+220, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4506, r12vrr_stack+4182, r12vrr_stack+331, NULL, NULL, r12vrr_stack+2278);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4614, r12vrr_stack+4254, r12vrr_stack+4506, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+2306);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+4254, r12vrr_stack+4362, r12vrr_stack+4218, r12vrr_stack+2390);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+4614, r12vrr_stack+4398, r12vrr_stack+4254, r12vrr_stack+2474);
 tmp = r12vrr_stack + 5046;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2390, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+367, r12vrr_stack+373, r12vrr_stack+2390, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2393, r12vrr_stack+376, r12vrr_stack+367, r12vrr_stack+196, r12vrr_stack+373, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+382, r12vrr_stack+2393, r12vrr_stack+199, r12vrr_stack+376, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2403, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+382, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2424, r12vrr_stack+392, r12vrr_stack+2403, r12vrr_stack+205, r12vrr_stack+111, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+2922, r12vrr_stack+2424, r12vrr_stack+220, r12vrr_stack+392, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5442, r12vrr_stack+331, r12vrr_stack+5406, NULL, NULL, r12vrr_stack+2922);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5550, r12vrr_stack+4506, r12vrr_stack+5442, r12vrr_stack+4182, r12vrr_stack+331, r12vrr_stack+2950);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5766, r12vrr_stack+4614, r12vrr_stack+5550, r12vrr_stack+4254, r12vrr_stack+4506, r12vrr_stack+3034);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+5766, r12vrr_stack+4830, r12vrr_stack+4614, r12vrr_stack+3202);
 tmp = r12vrr_stack + 6126;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+4182, r12vrr_stack+331, r12vrr_stack+2222, r12vrr_stack+2278, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6711, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+2250, r12vrr_stack+2222, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6756, r12vrr_stack+6711, r12vrr_stack+6666, NULL, NULL, r12vrr_stack+4182);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6891, r12vrr_stack+4362, r12vrr_stack+4218, r12vrr_stack+2642, r12vrr_stack+2250, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6936, r12vrr_stack+6891, r12vrr_stack+6711, NULL, NULL, r12vrr_stack+4218);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+5406, r12vrr_stack+2278, r12vrr_stack+2922, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7071, r12vrr_stack+6666, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7206, r12vrr_stack+6756, r12vrr_stack+7071, r12vrr_stack+6711, r12vrr_stack+6666, r12vrr_stack+4506);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+6756, r12vrr_stack+6891, r12vrr_stack+6711, r12vrr_stack+4254);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+7206, r12vrr_stack+6936, r12vrr_stack+6756, r12vrr_stack+4614);
 tmp = r12vrr_stack + 7746;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4254, r12vrr_stack+2390, r12vrr_stack+196, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4260, r12vrr_stack+367, r12vrr_stack+4254, r12vrr_stack+373, r12vrr_stack+2390, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4270, r12vrr_stack+2393, r12vrr_stack+4260, r12vrr_stack+376, r12vrr_stack+367, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4285, r12vrr_stack+80, r12vrr_stack+4270, r12vrr_stack+382, r12vrr_stack+2393, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4306, r12vrr_stack+2403, r12vrr_stack+4285, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8196, r12vrr_stack+2424, r12vrr_stack+4306, r12vrr_stack+392, r12vrr_stack+2403, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8232, r12vrr_stack+5406, r12vrr_stack+8196, r12vrr_stack+2922, r12vrr_stack+2424, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8277, r12vrr_stack+2222, r12vrr_stack+8232, NULL, NULL, r12vrr_stack+5406);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8412, r12vrr_stack+7071, r12vrr_stack+8277, r12vrr_stack+6666, r12vrr_stack+2222, r12vrr_stack+5442);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8682, r12vrr_stack+7206, r12vrr_stack+8412, r12vrr_stack+6756, r12vrr_stack+7071, r12vrr_stack+5550);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+8682, r12vrr_stack+7476, r12vrr_stack+7206, r12vrr_stack+5766);
 tmp = r12vrr_stack + 9132;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+6666, r12vrr_stack+2222, r12vrr_stack+4182, r12vrr_stack+331, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9862, r12vrr_stack+6711, r12vrr_stack+6666, r12vrr_stack+4218, r12vrr_stack+4182, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9917, r12vrr_stack+9862, r12vrr_stack+9807, NULL, NULL, r12vrr_stack+6666);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10082, r12vrr_stack+6891, r12vrr_stack+6711, r12vrr_stack+4362, r12vrr_stack+4218, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10137, r12vrr_stack+10082, r12vrr_stack+9862, NULL, NULL, r12vrr_stack+6711);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+2222, r12vrr_stack+8232, r12vrr_stack+331, r12vrr_stack+5406, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10302, r12vrr_stack+9807, r12vrr_stack+6666, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10467, r12vrr_stack+9917, r12vrr_stack+10302, r12vrr_stack+9862, r12vrr_stack+9807, r12vrr_stack+7071);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10797, r12vrr_stack+10137, r12vrr_stack+9917, r12vrr_stack+10082, r12vrr_stack+9862, r12vrr_stack+6756);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+10467, r12vrr_stack+10137, r12vrr_stack+9917, r12vrr_stack+7206);
 tmp = r12vrr_stack + 11127;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+373, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9862, r12vrr_stack+15, r12vrr_stack+34, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+9880, r12vrr_stack+1115, r12vrr_stack+9862, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+373);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+10082, r12vrr_stack+126, r12vrr_stack+101, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+10112, r12vrr_stack+1133, r12vrr_stack+10082, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+9862);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+10172, r12vrr_stack+1163, r12vrr_stack+10112, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+9880);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+6721, r12vrr_stack+554, r12vrr_stack+205, NULL, NULL, r12vrr_stack+101);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+6766, r12vrr_stack+1223, r12vrr_stack+6721, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+10082);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+11677, r12vrr_stack+1268, r12vrr_stack+6766, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+10112);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+11827, r12vrr_stack+1358, r12vrr_stack+11677, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+10172);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+241, r12vrr_stack+220, r12vrr_stack+392, NULL, NULL, r12vrr_stack+205);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12052, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+6721);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12178, r12vrr_stack+1571, r12vrr_stack+12052, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+6766);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12388, r12vrr_stack+1697, r12vrr_stack+12178, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+11677);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12703, r12vrr_stack+1907, r12vrr_stack+12388, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+11827);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+2922, r12vrr_stack+2424, NULL, NULL, r12vrr_stack+392);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13144, r12vrr_stack+2950, r12vrr_stack+569, r12vrr_stack+2278, r12vrr_stack+2922, r12vrr_stack+241);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13312, r12vrr_stack+3034, r12vrr_stack+13144, r12vrr_stack+2306, r12vrr_stack+2950, r12vrr_stack+12052);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13592, r12vrr_stack+3202, r12vrr_stack+13312, r12vrr_stack+2474, r12vrr_stack+3034, r12vrr_stack+12178);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14012, r12vrr_stack+3762, r12vrr_stack+13592, r12vrr_stack+3482, r12vrr_stack+3202, r12vrr_stack+12388);
 tmp = r12vrr_stack + 14012;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+5406, r12vrr_stack+8196, NULL, NULL, r12vrr_stack+2424);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14600, r12vrr_stack+5442, r12vrr_stack+653, r12vrr_stack+331, r12vrr_stack+5406, r12vrr_stack+569);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14816, r12vrr_stack+5550, r12vrr_stack+14600, r12vrr_stack+4506, r12vrr_stack+5442, r12vrr_stack+13144);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15176, r12vrr_stack+5766, r12vrr_stack+14816, r12vrr_stack+4614, r12vrr_stack+5550, r12vrr_stack+13312);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15716, r12vrr_stack+6126, r12vrr_stack+15176, r12vrr_stack+5046, r12vrr_stack+5766, r12vrr_stack+13592);
 tmp = r12vrr_stack + 15716;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4506, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+196, r12vrr_stack+4506, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+4254, r12vrr_stack+6, r12vrr_stack+2390, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4509, r12vrr_stack+4260, r12vrr_stack+21, r12vrr_stack+367, r12vrr_stack+4254, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4524, r12vrr_stack+4270, r12vrr_stack+4509, r12vrr_stack+2393, r12vrr_stack+4260, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4334, r12vrr_stack+4285, r12vrr_stack+4524, r12vrr_stack+80, r12vrr_stack+4270, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4545, r12vrr_stack+4306, r12vrr_stack+4334, r12vrr_stack+2403, r12vrr_stack+4285, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4581, r12vrr_stack+8196, r12vrr_stack+4545, r12vrr_stack+2424, r12vrr_stack+4306, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4626, r12vrr_stack+8232, r12vrr_stack+4581, NULL, NULL, r12vrr_stack+8196);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16472, r12vrr_stack+8277, r12vrr_stack+4626, r12vrr_stack+2222, r12vrr_stack+8232, r12vrr_stack+653);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16742, r12vrr_stack+8412, r12vrr_stack+16472, r12vrr_stack+7071, r12vrr_stack+8277, r12vrr_stack+14600);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17192, r12vrr_stack+8682, r12vrr_stack+16742, r12vrr_stack+7206, r12vrr_stack+8412, r12vrr_stack+14816);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17867, r12vrr_stack+9132, r12vrr_stack+17192, r12vrr_stack+7746, r12vrr_stack+8682, r12vrr_stack+15176);
 tmp = r12vrr_stack + 17867;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7071, r12vrr_stack+8232, r12vrr_stack+4581, r12vrr_stack+5406, r12vrr_stack+8196, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7126, r12vrr_stack+6666, r12vrr_stack+7071, NULL, NULL, r12vrr_stack+8232);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18812, r12vrr_stack+10302, r12vrr_stack+7126, r12vrr_stack+9807, r12vrr_stack+6666, r12vrr_stack+8277);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19142, r12vrr_stack+10467, r12vrr_stack+18812, r12vrr_stack+9917, r12vrr_stack+10302, r12vrr_stack+8412);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19692, r12vrr_stack+11127, r12vrr_stack+19142, r12vrr_stack+10797, r12vrr_stack+10467, r12vrr_stack+8682);
 tmp = r12vrr_stack + 19692;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+9807, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+9810, r12vrr_stack+12, r12vrr_stack+31, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+761, r12vrr_stack+373, r12vrr_stack+9810, r12vrr_stack+0, r12vrr_stack+12, r12vrr_stack+9807);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9819, r12vrr_stack+34, r12vrr_stack+95, NULL, NULL, r12vrr_stack+31);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+7291, r12vrr_stack+9862, r12vrr_stack+9819, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+9810);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+136, r12vrr_stack+9880, r12vrr_stack+7291, r12vrr_stack+1115, r12vrr_stack+9862, r12vrr_stack+761);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+101, r12vrr_stack+40, NULL, NULL, r12vrr_stack+95);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7327, r12vrr_stack+10082, r12vrr_stack+50, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+9819);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2222, r12vrr_stack+10112, r12vrr_stack+7327, r12vrr_stack+1133, r12vrr_stack+10082, r12vrr_stack+7291);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+9916, r12vrr_stack+10172, r12vrr_stack+2222, r12vrr_stack+1163, r12vrr_stack+10112, r12vrr_stack+136);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1115, r12vrr_stack+205, r12vrr_stack+111, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2452, r12vrr_stack+6721, r12vrr_stack+1115, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+50);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+20517, r12vrr_stack+6766, r12vrr_stack+2452, r12vrr_stack+1223, r12vrr_stack+6721, r12vrr_stack+7327);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+20667, r12vrr_stack+11677, r12vrr_stack+20517, r12vrr_stack+1268, r12vrr_stack+6766, r12vrr_stack+2222);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+20892, r12vrr_stack+11827, r12vrr_stack+20667, r12vrr_stack+1358, r12vrr_stack+11677, r12vrr_stack+9916);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1160, r12vrr_stack+392, r12vrr_stack+2403, NULL, NULL, r12vrr_stack+111);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1223, r12vrr_stack+241, r12vrr_stack+1160, r12vrr_stack+220, r12vrr_stack+392, r12vrr_stack+1115);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21207, r12vrr_stack+12052, r12vrr_stack+1223, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+2452);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21417, r12vrr_stack+12178, r12vrr_stack+21207, r12vrr_stack+1571, r12vrr_stack+12052, r12vrr_stack+20517);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21732, r12vrr_stack+12388, r12vrr_stack+21417, r12vrr_stack+1697, r12vrr_stack+12178, r12vrr_stack+20667);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+22173, r12vrr_stack+12703, r12vrr_stack+21732, r12vrr_stack+1907, r12vrr_stack+12388, r12vrr_stack+20892);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1349, r12vrr_stack+2424, r12vrr_stack+4306, NULL, NULL, r12vrr_stack+2403);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1433, r12vrr_stack+569, r12vrr_stack+1349, r12vrr_stack+2922, r12vrr_stack+2424, r12vrr_stack+1160);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1601, r12vrr_stack+13144, r12vrr_stack+1433, r12vrr_stack+2950, r12vrr_stack+569, r12vrr_stack+1223);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+22761, r12vrr_stack+13312, r12vrr_stack+1601, r12vrr_stack+3034, r12vrr_stack+13144, r12vrr_stack+21207);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+23181, r12vrr_stack+13592, r12vrr_stack+22761, r12vrr_stack+3202, r12vrr_stack+13312, r12vrr_stack+21417);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+23769, r12vrr_stack+14012, r12vrr_stack+23181, r12vrr_stack+3762, r12vrr_stack+13592, r12vrr_stack+21732);
 tmp = r12vrr_stack + 23769;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+8196, r12vrr_stack+4545, NULL, NULL, r12vrr_stack+4306);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3030, r12vrr_stack+653, r12vrr_stack+2922, r12vrr_stack+5406, r12vrr_stack+8196, r12vrr_stack+1349);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24553, r12vrr_stack+14600, r12vrr_stack+3030, r12vrr_stack+5442, r12vrr_stack+653, r12vrr_stack+1433);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24913, r12vrr_stack+14816, r12vrr_stack+24553, r12vrr_stack+5550, r12vrr_stack+14600, r12vrr_stack+1601);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25453, r12vrr_stack+15176, r12vrr_stack+24913, r12vrr_stack+5766, r12vrr_stack+14816, r12vrr_stack+22761);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26209, r12vrr_stack+15716, r12vrr_stack+25453, r12vrr_stack+6126, r12vrr_stack+15176, r12vrr_stack+23181);
 tmp = r12vrr_stack + 26209;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+4506, r12vrr_stack+0, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+196, r12vrr_stack+4506, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+4254, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+220, r12vrr_stack+4509, r12vrr_stack+554, r12vrr_stack+4260, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+4524, r12vrr_stack+220, r12vrr_stack+4270, r12vrr_stack+4509, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5434, r12vrr_stack+4334, r12vrr_stack+5406, r12vrr_stack+4285, r12vrr_stack+4524, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5470, r12vrr_stack+4545, r12vrr_stack+5434, r12vrr_stack+4306, r12vrr_stack+4334, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5515, r12vrr_stack+4581, r12vrr_stack+5470, NULL, NULL, r12vrr_stack+4545);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5650, r12vrr_stack+4626, r12vrr_stack+5515, r12vrr_stack+8232, r12vrr_stack+4581, r12vrr_stack+2922);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27217, r12vrr_stack+16472, r12vrr_stack+5650, r12vrr_stack+8277, r12vrr_stack+4626, r12vrr_stack+3030);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27667, r12vrr_stack+16742, r12vrr_stack+27217, r12vrr_stack+8412, r12vrr_stack+16472, r12vrr_stack+24553);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+28342, r12vrr_stack+17192, r12vrr_stack+27667, r12vrr_stack+8682, r12vrr_stack+16742, r12vrr_stack+24913);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29287, r12vrr_stack+17867, r12vrr_stack+28342, r12vrr_stack+9132, r12vrr_stack+17192, r12vrr_stack+25453);
 tmp = r12vrr_stack + 29287;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8232, r12vrr_stack+4581, r12vrr_stack+5470, r12vrr_stack+8196, r12vrr_stack+4545, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8287, r12vrr_stack+7071, r12vrr_stack+8232, NULL, NULL, r12vrr_stack+4581);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8452, r12vrr_stack+7126, r12vrr_stack+8287, r12vrr_stack+6666, r12vrr_stack+7071, r12vrr_stack+4626);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30547, r12vrr_stack+18812, r12vrr_stack+8452, r12vrr_stack+10302, r12vrr_stack+7126, r12vrr_stack+16472);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31097, r12vrr_stack+19142, r12vrr_stack+30547, r12vrr_stack+10467, r12vrr_stack+18812, r12vrr_stack+16742);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31922, r12vrr_stack+19692, r12vrr_stack+31097, r12vrr_stack+11127, r12vrr_stack+19142, r12vrr_stack+17192);
 tmp = r12vrr_stack + 31922;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+196, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+6666, r12vrr_stack+9807, r12vrr_stack+196, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6672, r12vrr_stack+31, r12vrr_stack+3, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+6681, r12vrr_stack+9810, r12vrr_stack+6672, r12vrr_stack+12, r12vrr_stack+31, r12vrr_stack+196);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+8782, r12vrr_stack+761, r12vrr_stack+6681, r12vrr_stack+373, r12vrr_stack+9810, r12vrr_stack+6666);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+761, r12vrr_stack+95, r12vrr_stack+199, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+8812, r12vrr_stack+9819, r12vrr_stack+761, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+6672);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+8848, r12vrr_stack+7291, r12vrr_stack+8812, r12vrr_stack+9862, r12vrr_stack+9819, r12vrr_stack+6681);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+8908, r12vrr_stack+136, r12vrr_stack+8848, r12vrr_stack+9880, r12vrr_stack+7291, r12vrr_stack+8782);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+8782, r12vrr_stack+40, r12vrr_stack+382, NULL, NULL, r12vrr_stack+199);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+136, r12vrr_stack+50, r12vrr_stack+8782, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+761);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2542, r12vrr_stack+7327, r12vrr_stack+136, r12vrr_stack+10082, r12vrr_stack+50, r12vrr_stack+8812);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+5920, r12vrr_stack+2222, r12vrr_stack+2542, r12vrr_stack+10112, r12vrr_stack+7327, r12vrr_stack+8848);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3246, r12vrr_stack+9916, r12vrr_stack+5920, r12vrr_stack+10172, r12vrr_stack+2222, r12vrr_stack+8908);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2222, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+382);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2267, r12vrr_stack+1115, r12vrr_stack+2222, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+8782);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+8782, r12vrr_stack+2452, r12vrr_stack+2267, r12vrr_stack+6721, r12vrr_stack+1115, r12vrr_stack+136);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+9807, r12vrr_stack+20517, r12vrr_stack+8782, r12vrr_stack+6766, r12vrr_stack+2452, r12vrr_stack+2542);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+10032, r12vrr_stack+20667, r12vrr_stack+9807, r12vrr_stack+11677, r12vrr_stack+20517, r12vrr_stack+5920);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+10347, r12vrr_stack+20892, r12vrr_stack+10032, r12vrr_stack+11827, r12vrr_stack+20667, r12vrr_stack+3246);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3246, r12vrr_stack+2403, r12vrr_stack+4285, NULL, NULL, r12vrr_stack+80);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3309, r12vrr_stack+1160, r12vrr_stack+3246, r12vrr_stack+392, r12vrr_stack+2403, r12vrr_stack+2222);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+20517, r12vrr_stack+1223, r12vrr_stack+3309, r12vrr_stack+241, r12vrr_stack+1160, r12vrr_stack+2267);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+20727, r12vrr_stack+21207, r12vrr_stack+20517, r12vrr_stack+12052, r12vrr_stack+1223, r12vrr_stack+8782);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11677, r12vrr_stack+21417, r12vrr_stack+20727, r12vrr_stack+12178, r12vrr_stack+21207, r12vrr_stack+9807);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33077, r12vrr_stack+21732, r12vrr_stack+11677, r12vrr_stack+12388, r12vrr_stack+21417, r12vrr_stack+10032);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33665, r12vrr_stack+22173, r12vrr_stack+33077, r12vrr_stack+12703, r12vrr_stack+21732, r12vrr_stack+10347);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+136, r12vrr_stack+4306, r12vrr_stack+4334, NULL, NULL, r12vrr_stack+4285);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+1349, r12vrr_stack+136, r12vrr_stack+2424, r12vrr_stack+4306, r12vrr_stack+3246);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9975, r12vrr_stack+1433, r12vrr_stack+9807, r12vrr_stack+569, r12vrr_stack+1349, r12vrr_stack+3309);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+1601, r12vrr_stack+9975, r12vrr_stack+13144, r12vrr_stack+1433, r12vrr_stack+20517);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21042, r12vrr_stack+22761, r12vrr_stack+2222, r12vrr_stack+13312, r12vrr_stack+1601, r12vrr_stack+20727);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+23181, r12vrr_stack+21042, r12vrr_stack+13592, r12vrr_stack+22761, r12vrr_stack+11677);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11677, r12vrr_stack+23769, r12vrr_stack+1115, r12vrr_stack+14012, r12vrr_stack+23181, r12vrr_stack+33077);
 tmp = r12vrr_stack + 11677;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+33077, r12vrr_stack+4545, r12vrr_stack+5434, NULL, NULL, r12vrr_stack+4334);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+33185, r12vrr_stack+2922, r12vrr_stack+33077, r12vrr_stack+8196, r12vrr_stack+4545, r12vrr_stack+136);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22761, r12vrr_stack+3030, r12vrr_stack+33185, r12vrr_stack+653, r12vrr_stack+2922, r12vrr_stack+9807);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23121, r12vrr_stack+24553, r12vrr_stack+22761, r12vrr_stack+14600, r12vrr_stack+3030, r12vrr_stack+9975);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+24913, r12vrr_stack+23121, r12vrr_stack+14816, r12vrr_stack+24553, r12vrr_stack+2222);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+34421, r12vrr_stack+25453, r12vrr_stack+9807, r12vrr_stack+15176, r12vrr_stack+24913, r12vrr_stack+21042);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20517, r12vrr_stack+26209, r12vrr_stack+34421, r12vrr_stack+15716, r12vrr_stack+25453, r12vrr_stack+1115);
 tmp = r12vrr_stack + 20517;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1115, r12vrr_stack+0, r12vrr_stack+3, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1121, r12vrr_stack+15, r12vrr_stack+1115, r12vrr_stack+4506, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1131, r12vrr_stack+126, r12vrr_stack+1121, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+554, r12vrr_stack+1131, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+220, r12vrr_stack+0, r12vrr_stack+4509, r12vrr_stack+554, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8196, r12vrr_stack+5406, r12vrr_stack+21, r12vrr_stack+4524, r12vrr_stack+220, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+5434, r12vrr_stack+8196, r12vrr_stack+4334, r12vrr_stack+5406, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+599, r12vrr_stack+5470, r12vrr_stack+554, NULL, NULL, r12vrr_stack+5434);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+5515, r12vrr_stack+599, r12vrr_stack+4581, r12vrr_stack+5470, r12vrr_stack+33077);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+5650, r12vrr_stack+0, r12vrr_stack+4626, r12vrr_stack+5515, r12vrr_stack+33185);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24553, r12vrr_stack+27217, r12vrr_stack+1115, r12vrr_stack+16472, r12vrr_stack+5650, r12vrr_stack+22761);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25228, r12vrr_stack+27667, r12vrr_stack+24553, r12vrr_stack+16742, r12vrr_stack+27217, r12vrr_stack+23121);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35429, r12vrr_stack+28342, r12vrr_stack+25228, r12vrr_stack+17192, r12vrr_stack+27667, r12vrr_stack+9807);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24553, r12vrr_stack+29287, r12vrr_stack+35429, r12vrr_stack+17867, r12vrr_stack+28342, r12vrr_stack+34421);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34421, r12vrr_stack+5470, r12vrr_stack+554, r12vrr_stack+4545, r12vrr_stack+5434, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+8232, r12vrr_stack+34421, NULL, NULL, r12vrr_stack+5470);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34421, r12vrr_stack+8287, r12vrr_stack+554, r12vrr_stack+7071, r12vrr_stack+8232, r12vrr_stack+5515);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34751, r12vrr_stack+8452, r12vrr_stack+34421, r12vrr_stack+7126, r12vrr_stack+8287, r12vrr_stack+5650);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35301, r12vrr_stack+30547, r12vrr_stack+34751, r12vrr_stack+18812, r12vrr_stack+8452, r12vrr_stack+27217);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16472, r12vrr_stack+31097, r12vrr_stack+35301, r12vrr_stack+19142, r12vrr_stack+30547, r12vrr_stack+27667);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34421, r12vrr_stack+31922, r12vrr_stack+16472, r12vrr_stack+19692, r12vrr_stack+31097, r12vrr_stack+28342);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+16472, &(Data->ss_r12_ss), NULL, r12vrr_stack+436, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+16475, r12vrr_stack+16472, &(Data->ss_r12_ss), r12vrr_stack+439, r12vrr_stack+436, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+16481, r12vrr_stack+16475, r12vrr_stack+16472, r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+436, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+16491, r12vrr_stack+16481, r12vrr_stack+16475, r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+439, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+16506, r12vrr_stack+16491, r12vrr_stack+16481, r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+445, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+16527, r12vrr_stack+16506, r12vrr_stack+16491, r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+455, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+16555, r12vrr_stack+16527, NULL, r12vrr_stack+2670, r12vrr_stack+2642, NULL, r12vrr_stack+470);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+16639, r12vrr_stack+16555, r12vrr_stack+16527, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+491);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+491, r12vrr_stack+16639, r12vrr_stack+16555, r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+779);
 tmp = r12vrr_stack + 491;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+2222, r12vrr_stack+491, r12vrr_stack+16639, r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+905);
 tmp = r12vrr_stack + 2222;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+33077, r12vrr_stack+2222, r12vrr_stack+491, r12vrr_stack+14012, r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+1907);
 tmp = r12vrr_stack + 33077;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+26173, r12vrr_stack+16527, r12vrr_stack+16506, r12vrr_stack+4362, r12vrr_stack+2642, r12vrr_stack+470, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+16555, r12vrr_stack+26173, NULL, r12vrr_stack+4398, r12vrr_stack+4362, NULL, r12vrr_stack+2642);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+16663, r12vrr_stack+16555, r12vrr_stack+26173, r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+4362, r12vrr_stack+2670);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+21813, r12vrr_stack+16663, r12vrr_stack+16555, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+2754);
 tmp = r12vrr_stack + 21813;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+16879, r12vrr_stack+21813, r12vrr_stack+16663, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+3482);
 tmp = r12vrr_stack + 16879;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+30547, r12vrr_stack+16879, r12vrr_stack+21813, r12vrr_stack+15716, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+3762);
 tmp = r12vrr_stack + 30547;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+21813, r12vrr_stack+26173, r12vrr_stack+16527, r12vrr_stack+6891, r12vrr_stack+4362, r12vrr_stack+2642, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+21858, r12vrr_stack+21813, NULL, r12vrr_stack+6936, r12vrr_stack+6891, NULL, r12vrr_stack+4362);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+17419, r12vrr_stack+21858, r12vrr_stack+21813, r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+6891, r12vrr_stack+4398);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+31303, r12vrr_stack+17419, r12vrr_stack+21858, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+4830);
 tmp = r12vrr_stack + 31303;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+27217, r12vrr_stack+31303, r12vrr_stack+17419, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+5046);
 tmp = r12vrr_stack + 27217;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+27892, r12vrr_stack+27217, r12vrr_stack+31303, r12vrr_stack+17867, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+6126);
 tmp = r12vrr_stack + 27892;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31303, r12vrr_stack+3482, r12vrr_stack+5046, r12vrr_stack+3762, r12vrr_stack+1907, r12vrr_stack+905);
 tmp = r12vrr_stack + 31303;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21813, r12vrr_stack+5046, r12vrr_stack+7746, r12vrr_stack+6126, r12vrr_stack+3762, r12vrr_stack+3482);
 tmp = r12vrr_stack + 21813;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+28837, r12vrr_stack+7746, r12vrr_stack+11127, r12vrr_stack+9132, r12vrr_stack+6126, r12vrr_stack+5046);
 tmp = r12vrr_stack + 28837;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17419, r12vrr_stack+3762, r12vrr_stack+6126, r12vrr_stack+14012, r12vrr_stack+12703, r12vrr_stack+1907);
 tmp = r12vrr_stack + 17419;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18812, r12vrr_stack+6126, r12vrr_stack+9132, r12vrr_stack+15716, r12vrr_stack+14012, r12vrr_stack+3762);
 tmp = r12vrr_stack + 18812;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35961, r12vrr_stack+9132, r12vrr_stack+19692, r12vrr_stack+17867, r12vrr_stack+15716, r12vrr_stack+6126);
 tmp = r12vrr_stack + 35961;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9807, r12vrr_stack+14012, r12vrr_stack+15716, r12vrr_stack+23769, r12vrr_stack+22173, r12vrr_stack+12703);
 tmp = r12vrr_stack + 9807;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22761, r12vrr_stack+15716, r12vrr_stack+17867, r12vrr_stack+26209, r12vrr_stack+23769, r12vrr_stack+14012);
 tmp = r12vrr_stack + 22761;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+17867, r12vrr_stack+31922, r12vrr_stack+29287, r12vrr_stack+26209, r12vrr_stack+15716);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+945, r12vrr_stack+23769, r12vrr_stack+26209, r12vrr_stack+11677, r12vrr_stack+33665, r12vrr_stack+22173);
 tmp = r12vrr_stack + 945;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14600, r12vrr_stack+26209, r12vrr_stack+29287, r12vrr_stack+20517, r12vrr_stack+11677, r12vrr_stack+23769);
 tmp = r12vrr_stack + 14600;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+36636, r12vrr_stack+29287, r12vrr_stack+34421, r12vrr_stack+24553, r12vrr_stack+20517, r12vrr_stack+26209);
 tmp = r12vrr_stack + 36636;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22173, r12vrr_stack+3482, r12vrr_stack+3762, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+2754);
 tmp = r12vrr_stack + 22173;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33665, r12vrr_stack+5046, r12vrr_stack+6126, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+4830);
 tmp = r12vrr_stack + 33665;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2642, r12vrr_stack+7746, r12vrr_stack+9132, r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+7476);
 tmp = r12vrr_stack + 2642;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10395, r12vrr_stack+3762, r12vrr_stack+14012, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+3482);
 tmp = r12vrr_stack + 10395;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3092, r12vrr_stack+6126, r12vrr_stack+15716, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+5046);
 tmp = r12vrr_stack + 3092;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8196, r12vrr_stack+9132, r12vrr_stack+17867, r12vrr_stack+19692, r12vrr_stack+11127, r12vrr_stack+7746);
 tmp = r12vrr_stack + 8196;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10815, r12vrr_stack+14012, r12vrr_stack+23769, r12vrr_stack+15716, r12vrr_stack+6126, r12vrr_stack+3762);
 tmp = r12vrr_stack + 10815;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13144, r12vrr_stack+15716, r12vrr_stack+26209, r12vrr_stack+17867, r12vrr_stack+9132, r12vrr_stack+6126);
 tmp = r12vrr_stack + 13144;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6666, r12vrr_stack+17867, r12vrr_stack+29287, r12vrr_stack+31922, r12vrr_stack+19692, r12vrr_stack+9132);
 tmp = r12vrr_stack + 6666;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19352, r12vrr_stack+23769, r12vrr_stack+11677, r12vrr_stack+26209, r12vrr_stack+15716, r12vrr_stack+14012);
 tmp = r12vrr_stack + 19352;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11403, r12vrr_stack+26209, r12vrr_stack+20517, r12vrr_stack+29287, r12vrr_stack+17867, r12vrr_stack+15716);
 tmp = r12vrr_stack + 11403;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20136, r12vrr_stack+29287, r12vrr_stack+24553, r12vrr_stack+34421, r12vrr_stack+31922, r12vrr_stack+17867);
 tmp = r12vrr_stack + 20136;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+24553, r12vrr_stack+33077, r12vrr_stack+2222, r12vrr_stack+23769, r12vrr_stack+14012, r12vrr_stack+3762, r12vrr_stack+12703);
 tmp = r12vrr_stack + 24553;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+34025, r12vrr_stack+30547, r12vrr_stack+16879, r12vrr_stack+26209, r12vrr_stack+15716, r12vrr_stack+6126, r12vrr_stack+14012);
 tmp = r12vrr_stack + 34025;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+25337, r12vrr_stack+27892, r12vrr_stack+27217, r12vrr_stack+29287, r12vrr_stack+17867, r12vrr_stack+9132, r12vrr_stack+15716);
 tmp = r12vrr_stack + 25337;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];


}

