#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ffih(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+352, r12vrr_stack+331, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+436, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+439, r12vrr_stack+436, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+95, r12vrr_stack+436, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+101, r12vrr_stack+439, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+111, r12vrr_stack+445, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+491, r12vrr_stack+470, r12vrr_stack+352, NULL, NULL, r12vrr_stack+111);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+31, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+331, r12vrr_stack+569, NULL, NULL, r12vrr_stack+136);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+151);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+196);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+241);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1115, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1133, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1163, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+1115);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1223, r12vrr_stack+136, r12vrr_stack+554, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1268, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+1133);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1358, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+1163);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+199, r12vrr_stack+3, r12vrr_stack+196, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+199, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+205, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+220, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+126, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1508, r12vrr_stack+569, r12vrr_stack+220, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1571, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+1223);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1697, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+1268);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1907, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+1358);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2250, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2278, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+136, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2306, r12vrr_stack+2222, r12vrr_stack+2278, NULL, NULL, r12vrr_stack+569);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2390, r12vrr_stack+2250, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2474, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+590);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+455, r12vrr_stack+111, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+2250, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+373);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+373, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+376, r12vrr_stack+196, r12vrr_stack+373, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+382, r12vrr_stack+199, r12vrr_stack+376, r12vrr_stack+3, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+40, r12vrr_stack+382, r12vrr_stack+95, r12vrr_stack+199, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+392, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+220, r12vrr_stack+392, r12vrr_stack+554, r12vrr_stack+205, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2950, r12vrr_stack+2278, r12vrr_stack+2922, NULL, NULL, r12vrr_stack+220);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3034, r12vrr_stack+2306, r12vrr_stack+2950, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+1508);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3202, r12vrr_stack+2474, r12vrr_stack+3034, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+1571);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+653);
 tmp = r12vrr_stack + 3482;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+3202, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+1697);
 tmp = r12vrr_stack + 3762;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4182, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+331, r12vrr_stack+569, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4218, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+352, r12vrr_stack+331, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4254, r12vrr_stack+4218, r12vrr_stack+4182, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4362, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+470, r12vrr_stack+352, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4398, r12vrr_stack+4362, r12vrr_stack+4218, NULL, NULL, r12vrr_stack+2250);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+2278, r12vrr_stack+2922, r12vrr_stack+569, r12vrr_stack+220, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4506, r12vrr_stack+4182, r12vrr_stack+331, NULL, NULL, r12vrr_stack+2278);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4614, r12vrr_stack+4254, r12vrr_stack+4506, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+2306);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+4254, r12vrr_stack+4362, r12vrr_stack+4218, r12vrr_stack+2390);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+4614, r12vrr_stack+4398, r12vrr_stack+4254, r12vrr_stack+2474);
 tmp = r12vrr_stack + 5046;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2390, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+367, r12vrr_stack+373, r12vrr_stack+2390, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2393, r12vrr_stack+376, r12vrr_stack+367, r12vrr_stack+196, r12vrr_stack+373, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+382, r12vrr_stack+2393, r12vrr_stack+199, r12vrr_stack+376, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2403, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+382, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2424, r12vrr_stack+392, r12vrr_stack+2403, r12vrr_stack+205, r12vrr_stack+111, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+2922, r12vrr_stack+2424, r12vrr_stack+220, r12vrr_stack+392, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5442, r12vrr_stack+331, r12vrr_stack+5406, NULL, NULL, r12vrr_stack+2922);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5550, r12vrr_stack+4506, r12vrr_stack+5442, r12vrr_stack+4182, r12vrr_stack+331, r12vrr_stack+2950);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5766, r12vrr_stack+4614, r12vrr_stack+5550, r12vrr_stack+4254, r12vrr_stack+4506, r12vrr_stack+3034);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+5766, r12vrr_stack+4830, r12vrr_stack+4614, r12vrr_stack+3202);
 tmp = r12vrr_stack + 6126;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+4182, r12vrr_stack+331, r12vrr_stack+2222, r12vrr_stack+2278, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6711, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+2250, r12vrr_stack+2222, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6756, r12vrr_stack+6711, r12vrr_stack+6666, NULL, NULL, r12vrr_stack+4182);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6891, r12vrr_stack+4362, r12vrr_stack+4218, r12vrr_stack+2642, r12vrr_stack+2250, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6936, r12vrr_stack+6891, r12vrr_stack+6711, NULL, NULL, r12vrr_stack+4218);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+5406, r12vrr_stack+2278, r12vrr_stack+2922, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7071, r12vrr_stack+6666, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7206, r12vrr_stack+6756, r12vrr_stack+7071, r12vrr_stack+6711, r12vrr_stack+6666, r12vrr_stack+4506);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+6756, r12vrr_stack+6891, r12vrr_stack+6711, r12vrr_stack+4254);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+7206, r12vrr_stack+6936, r12vrr_stack+6756, r12vrr_stack+4614);
 tmp = r12vrr_stack + 7746;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4254, r12vrr_stack+2390, r12vrr_stack+196, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4260, r12vrr_stack+367, r12vrr_stack+4254, r12vrr_stack+373, r12vrr_stack+2390, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4270, r12vrr_stack+2393, r12vrr_stack+4260, r12vrr_stack+376, r12vrr_stack+367, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4285, r12vrr_stack+80, r12vrr_stack+4270, r12vrr_stack+382, r12vrr_stack+2393, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4306, r12vrr_stack+2403, r12vrr_stack+4285, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8196, r12vrr_stack+2424, r12vrr_stack+4306, r12vrr_stack+392, r12vrr_stack+2403, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8232, r12vrr_stack+5406, r12vrr_stack+8196, r12vrr_stack+2922, r12vrr_stack+2424, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8277, r12vrr_stack+2222, r12vrr_stack+8232, NULL, NULL, r12vrr_stack+5406);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8412, r12vrr_stack+7071, r12vrr_stack+8277, r12vrr_stack+6666, r12vrr_stack+2222, r12vrr_stack+5442);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8682, r12vrr_stack+7206, r12vrr_stack+8412, r12vrr_stack+6756, r12vrr_stack+7071, r12vrr_stack+5550);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+8682, r12vrr_stack+7476, r12vrr_stack+7206, r12vrr_stack+5766);
 tmp = r12vrr_stack + 9132;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+6666, r12vrr_stack+2222, r12vrr_stack+4182, r12vrr_stack+331, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9862, r12vrr_stack+6711, r12vrr_stack+6666, r12vrr_stack+4218, r12vrr_stack+4182, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9917, r12vrr_stack+9862, r12vrr_stack+9807, NULL, NULL, r12vrr_stack+6666);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10082, r12vrr_stack+6891, r12vrr_stack+6711, r12vrr_stack+4362, r12vrr_stack+4218, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10137, r12vrr_stack+10082, r12vrr_stack+9862, NULL, NULL, r12vrr_stack+6711);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4182, r12vrr_stack+2222, r12vrr_stack+8232, r12vrr_stack+331, r12vrr_stack+5406, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10302, r12vrr_stack+9807, r12vrr_stack+4182, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10467, r12vrr_stack+9917, r12vrr_stack+10302, r12vrr_stack+9862, r12vrr_stack+9807, r12vrr_stack+7071);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10797, r12vrr_stack+10137, r12vrr_stack+9917, r12vrr_stack+10082, r12vrr_stack+9862, r12vrr_stack+6756);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+10467, r12vrr_stack+10137, r12vrr_stack+9917, r12vrr_stack+7206);
 tmp = r12vrr_stack + 11127;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6756, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6759, r12vrr_stack+196, r12vrr_stack+6756, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6765, r12vrr_stack+4254, r12vrr_stack+6759, r12vrr_stack+2390, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6775, r12vrr_stack+4260, r12vrr_stack+6765, r12vrr_stack+367, r12vrr_stack+4254, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6790, r12vrr_stack+4270, r12vrr_stack+6775, r12vrr_stack+2393, r12vrr_stack+4260, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4334, r12vrr_stack+4285, r12vrr_stack+6790, r12vrr_stack+80, r12vrr_stack+4270, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6811, r12vrr_stack+4306, r12vrr_stack+4334, r12vrr_stack+2403, r12vrr_stack+4285, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11677, r12vrr_stack+8196, r12vrr_stack+6811, r12vrr_stack+2424, r12vrr_stack+4306, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11722, r12vrr_stack+8232, r12vrr_stack+11677, r12vrr_stack+5406, r12vrr_stack+8196, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11777, r12vrr_stack+4182, r12vrr_stack+11722, NULL, NULL, r12vrr_stack+8232);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11942, r12vrr_stack+10302, r12vrr_stack+11777, r12vrr_stack+9807, r12vrr_stack+4182, r12vrr_stack+8277);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12272, r12vrr_stack+10467, r12vrr_stack+11942, r12vrr_stack+9917, r12vrr_stack+10302, r12vrr_stack+8412);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+12272, r12vrr_stack+10797, r12vrr_stack+10467, r12vrr_stack+8682);
 tmp = r12vrr_stack + 12822;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+9807, r12vrr_stack+4182, r12vrr_stack+6666, r12vrr_stack+2222, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13713, r12vrr_stack+9862, r12vrr_stack+9807, r12vrr_stack+6711, r12vrr_stack+6666, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13779, r12vrr_stack+13713, r12vrr_stack+13647, NULL, NULL, r12vrr_stack+9807);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13977, r12vrr_stack+10082, r12vrr_stack+9862, r12vrr_stack+6891, r12vrr_stack+6711, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14043, r12vrr_stack+13977, r12vrr_stack+13713, NULL, NULL, r12vrr_stack+9862);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+4182, r12vrr_stack+11722, r12vrr_stack+2222, r12vrr_stack+8232, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14241, r12vrr_stack+13647, r12vrr_stack+6666, NULL, NULL, r12vrr_stack+4182);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14439, r12vrr_stack+13779, r12vrr_stack+14241, r12vrr_stack+13713, r12vrr_stack+13647, r12vrr_stack+10302);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14835, r12vrr_stack+14043, r12vrr_stack+13779, r12vrr_stack+13977, r12vrr_stack+13713, r12vrr_stack+9917);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+14439, r12vrr_stack+14043, r12vrr_stack+13779, r12vrr_stack+10467);
 tmp = r12vrr_stack + 15231;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9917, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9920, r12vrr_stack+6756, r12vrr_stack+9917, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+9926, r12vrr_stack+6759, r12vrr_stack+9920, r12vrr_stack+196, r12vrr_stack+6756, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+367, r12vrr_stack+6765, r12vrr_stack+9926, r12vrr_stack+4254, r12vrr_stack+6759, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9936, r12vrr_stack+6775, r12vrr_stack+367, r12vrr_stack+4260, r12vrr_stack+6765, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9957, r12vrr_stack+6790, r12vrr_stack+9936, r12vrr_stack+4270, r12vrr_stack+6775, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9985, r12vrr_stack+4334, r12vrr_stack+9957, r12vrr_stack+4285, r12vrr_stack+6790, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10021, r12vrr_stack+6811, r12vrr_stack+9985, r12vrr_stack+4306, r12vrr_stack+4334, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15891, r12vrr_stack+11677, r12vrr_stack+10021, r12vrr_stack+8196, r12vrr_stack+6811, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15946, r12vrr_stack+11722, r12vrr_stack+15891, r12vrr_stack+8232, r12vrr_stack+11677, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16012, r12vrr_stack+6666, r12vrr_stack+15946, NULL, NULL, r12vrr_stack+11722);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16210, r12vrr_stack+14241, r12vrr_stack+16012, r12vrr_stack+13647, r12vrr_stack+6666, r12vrr_stack+11777);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16606, r12vrr_stack+14439, r12vrr_stack+16210, r12vrr_stack+13779, r12vrr_stack+14241, r12vrr_stack+11942);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17266, r12vrr_stack+15231, r12vrr_stack+16606, r12vrr_stack+14835, r12vrr_stack+14439, r12vrr_stack+12272);
 tmp = r12vrr_stack + 17266;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18256, r12vrr_stack+13647, r12vrr_stack+6666, r12vrr_stack+9807, r12vrr_stack+4182, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18334, r12vrr_stack+13713, r12vrr_stack+13647, r12vrr_stack+9862, r12vrr_stack+9807, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18412, r12vrr_stack+18334, r12vrr_stack+18256, NULL, NULL, r12vrr_stack+13647);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18646, r12vrr_stack+13977, r12vrr_stack+13713, r12vrr_stack+10082, r12vrr_stack+9862, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18724, r12vrr_stack+18646, r12vrr_stack+18334, NULL, NULL, r12vrr_stack+13713);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+6666, r12vrr_stack+15946, r12vrr_stack+4182, r12vrr_stack+11722, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18958, r12vrr_stack+18256, r12vrr_stack+9807, NULL, NULL, r12vrr_stack+6666);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19192, r12vrr_stack+18412, r12vrr_stack+18958, r12vrr_stack+18334, r12vrr_stack+18256, r12vrr_stack+14241);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19660, r12vrr_stack+18724, r12vrr_stack+18412, r12vrr_stack+18646, r12vrr_stack+18334, r12vrr_stack+13779);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20128, r12vrr_stack+19660, r12vrr_stack+19192, r12vrr_stack+18724, r12vrr_stack+18412, r12vrr_stack+14439);
 tmp = r12vrr_stack + 20128;
 target_ptr = Libr12->gvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13779, r12vrr_stack+9917, r12vrr_stack+196, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13785, r12vrr_stack+9920, r12vrr_stack+13779, r12vrr_stack+6756, r12vrr_stack+9917, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13795, r12vrr_stack+9926, r12vrr_stack+13785, r12vrr_stack+6759, r12vrr_stack+9920, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13810, r12vrr_stack+367, r12vrr_stack+13795, r12vrr_stack+6765, r12vrr_stack+9926, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13831, r12vrr_stack+9936, r12vrr_stack+13810, r12vrr_stack+6775, r12vrr_stack+367, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13859, r12vrr_stack+9957, r12vrr_stack+13831, r12vrr_stack+6790, r12vrr_stack+9936, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13895, r12vrr_stack+9985, r12vrr_stack+13859, r12vrr_stack+4334, r12vrr_stack+9957, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6732, r12vrr_stack+10021, r12vrr_stack+13895, r12vrr_stack+6811, r12vrr_stack+9985, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20908, r12vrr_stack+15891, r12vrr_stack+6732, r12vrr_stack+11677, r12vrr_stack+10021, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20974, r12vrr_stack+15946, r12vrr_stack+20908, r12vrr_stack+11722, r12vrr_stack+15891, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21052, r12vrr_stack+9807, r12vrr_stack+20974, NULL, NULL, r12vrr_stack+15946);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21286, r12vrr_stack+18958, r12vrr_stack+21052, r12vrr_stack+18256, r12vrr_stack+9807, r12vrr_stack+16012);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21754, r12vrr_stack+19192, r12vrr_stack+21286, r12vrr_stack+18412, r12vrr_stack+18958, r12vrr_stack+16210);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+22534, r12vrr_stack+20128, r12vrr_stack+21754, r12vrr_stack+19660, r12vrr_stack+19192, r12vrr_stack+16606);
 tmp = r12vrr_stack + 22534;
 target_ptr = Libr12->gvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23704, r12vrr_stack+18256, r12vrr_stack+9807, r12vrr_stack+13647, r12vrr_stack+6666, NULL);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23795, r12vrr_stack+18334, r12vrr_stack+18256, r12vrr_stack+13713, r12vrr_stack+13647, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23886, r12vrr_stack+23795, r12vrr_stack+23704, NULL, NULL, r12vrr_stack+18256);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24159, r12vrr_stack+18646, r12vrr_stack+18334, r12vrr_stack+13977, r12vrr_stack+13713, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24250, r12vrr_stack+24159, r12vrr_stack+23795, NULL, NULL, r12vrr_stack+18334);

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+18256, r12vrr_stack+9807, r12vrr_stack+20974, r12vrr_stack+6666, r12vrr_stack+15946, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24523, r12vrr_stack+23704, r12vrr_stack+18256, NULL, NULL, r12vrr_stack+9807);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24796, r12vrr_stack+23886, r12vrr_stack+24523, r12vrr_stack+23795, r12vrr_stack+23704, r12vrr_stack+18958);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+25342, r12vrr_stack+24250, r12vrr_stack+23886, r12vrr_stack+24159, r12vrr_stack+23795, r12vrr_stack+18412);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+25888, r12vrr_stack+25342, r12vrr_stack+24796, r12vrr_stack+24250, r12vrr_stack+23886, r12vrr_stack+19192);
 tmp = r12vrr_stack + 25888;
 target_ptr = Libr12->gvrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+23795, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+23804, r12vrr_stack+15, r12vrr_stack+34, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+23822, r12vrr_stack+1115, r12vrr_stack+23804, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+23795);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+24159, r12vrr_stack+126, r12vrr_stack+101, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+24189, r12vrr_stack+1133, r12vrr_stack+24159, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+23804);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+24249, r12vrr_stack+1163, r12vrr_stack+24189, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+23822);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+24349, r12vrr_stack+554, r12vrr_stack+205, NULL, NULL, r12vrr_stack+101);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+24394, r12vrr_stack+1223, r12vrr_stack+24349, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+24159);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+18347, r12vrr_stack+1268, r12vrr_stack+24394, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+24189);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+26798, r12vrr_stack+1358, r12vrr_stack+18347, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+24249);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+241, r12vrr_stack+220, r12vrr_stack+392, NULL, NULL, r12vrr_stack+205);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18497, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+24349);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+27023, r12vrr_stack+1571, r12vrr_stack+18497, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+24394);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+27233, r12vrr_stack+1697, r12vrr_stack+27023, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+18347);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+27548, r12vrr_stack+1907, r12vrr_stack+27233, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+26798);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+2922, r12vrr_stack+2424, NULL, NULL, r12vrr_stack+392);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+27989, r12vrr_stack+2950, r12vrr_stack+569, r12vrr_stack+2278, r12vrr_stack+2922, r12vrr_stack+241);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28157, r12vrr_stack+3034, r12vrr_stack+27989, r12vrr_stack+2306, r12vrr_stack+2950, r12vrr_stack+18497);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28437, r12vrr_stack+3202, r12vrr_stack+28157, r12vrr_stack+2474, r12vrr_stack+3034, r12vrr_stack+27023);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28857, r12vrr_stack+3762, r12vrr_stack+28437, r12vrr_stack+3482, r12vrr_stack+3202, r12vrr_stack+27233);
 tmp = r12vrr_stack + 28857;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+5406, r12vrr_stack+8196, NULL, NULL, r12vrr_stack+2424);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+29445, r12vrr_stack+5442, r12vrr_stack+653, r12vrr_stack+331, r12vrr_stack+5406, r12vrr_stack+569);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+29661, r12vrr_stack+5550, r12vrr_stack+29445, r12vrr_stack+4506, r12vrr_stack+5442, r12vrr_stack+27989);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30021, r12vrr_stack+5766, r12vrr_stack+29661, r12vrr_stack+4614, r12vrr_stack+5550, r12vrr_stack+28157);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30561, r12vrr_stack+6126, r12vrr_stack+30021, r12vrr_stack+5046, r12vrr_stack+5766, r12vrr_stack+28437);
 tmp = r12vrr_stack + 30561;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4506, r12vrr_stack+8232, r12vrr_stack+11677, NULL, NULL, r12vrr_stack+8196);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31317, r12vrr_stack+8277, r12vrr_stack+4506, r12vrr_stack+2222, r12vrr_stack+8232, r12vrr_stack+653);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31587, r12vrr_stack+8412, r12vrr_stack+31317, r12vrr_stack+7071, r12vrr_stack+8277, r12vrr_stack+29445);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32037, r12vrr_stack+8682, r12vrr_stack+31587, r12vrr_stack+7206, r12vrr_stack+8412, r12vrr_stack+29661);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32712, r12vrr_stack+9132, r12vrr_stack+32037, r12vrr_stack+7746, r12vrr_stack+8682, r12vrr_stack+30021);
 tmp = r12vrr_stack + 32712;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7071, r12vrr_stack+11722, r12vrr_stack+15891, NULL, NULL, r12vrr_stack+11677);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33657, r12vrr_stack+11777, r12vrr_stack+7071, r12vrr_stack+4182, r12vrr_stack+11722, r12vrr_stack+4506);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33987, r12vrr_stack+11942, r12vrr_stack+33657, r12vrr_stack+10302, r12vrr_stack+11777, r12vrr_stack+31317);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34537, r12vrr_stack+12272, r12vrr_stack+33987, r12vrr_stack+10467, r12vrr_stack+11942, r12vrr_stack+31587);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35362, r12vrr_stack+12822, r12vrr_stack+34537, r12vrr_stack+11127, r12vrr_stack+12272, r12vrr_stack+32037);
 tmp = r12vrr_stack + 35362;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+10302, r12vrr_stack+15946, r12vrr_stack+20908, NULL, NULL, r12vrr_stack+15891);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+36517, r12vrr_stack+16012, r12vrr_stack+10302, r12vrr_stack+6666, r12vrr_stack+15946, r12vrr_stack+7071);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+36913, r12vrr_stack+16210, r12vrr_stack+36517, r12vrr_stack+14241, r12vrr_stack+16012, r12vrr_stack+33657);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37573, r12vrr_stack+16606, r12vrr_stack+36913, r12vrr_stack+14439, r12vrr_stack+16210, r12vrr_stack+33987);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38563, r12vrr_stack+17266, r12vrr_stack+37573, r12vrr_stack+15231, r12vrr_stack+16606, r12vrr_stack+34537);
 tmp = r12vrr_stack + 38563;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+14241, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+196, r12vrr_stack+14241, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+13779, r12vrr_stack+6, r12vrr_stack+9917, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+14244, r12vrr_stack+13785, r12vrr_stack+21, r12vrr_stack+9920, r12vrr_stack+13779, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14259, r12vrr_stack+13795, r12vrr_stack+14244, r12vrr_stack+9926, r12vrr_stack+13785, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+23858, r12vrr_stack+13810, r12vrr_stack+14259, r12vrr_stack+367, r12vrr_stack+13795, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14280, r12vrr_stack+13831, r12vrr_stack+23858, r12vrr_stack+9936, r12vrr_stack+13810, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14316, r12vrr_stack+13859, r12vrr_stack+14280, r12vrr_stack+9957, r12vrr_stack+13831, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14361, r12vrr_stack+13895, r12vrr_stack+14316, r12vrr_stack+9985, r12vrr_stack+13859, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+6732, r12vrr_stack+14361, r12vrr_stack+10021, r12vrr_stack+13895, NULL);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+304, r12vrr_stack+20908, r12vrr_stack+6666, r12vrr_stack+15891, r12vrr_stack+6732, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14416, r12vrr_stack+20974, r12vrr_stack+304, NULL, NULL, r12vrr_stack+20908);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+39949, r12vrr_stack+21052, r12vrr_stack+14416, r12vrr_stack+9807, r12vrr_stack+20974, r12vrr_stack+10302);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+40417, r12vrr_stack+21286, r12vrr_stack+39949, r12vrr_stack+18958, r12vrr_stack+21052, r12vrr_stack+36517);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+41197, r12vrr_stack+21754, r12vrr_stack+40417, r12vrr_stack+19192, r12vrr_stack+21286, r12vrr_stack+36913);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+42367, r12vrr_stack+22534, r12vrr_stack+41197, r12vrr_stack+20128, r12vrr_stack+21754, r12vrr_stack+37573);
 tmp = r12vrr_stack + 42367;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+18958, r12vrr_stack+20974, r12vrr_stack+304, r12vrr_stack+15946, r12vrr_stack+20908, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+19049, r12vrr_stack+18256, r12vrr_stack+18958, NULL, NULL, r12vrr_stack+20974);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+44005, r12vrr_stack+24523, r12vrr_stack+19049, r12vrr_stack+23704, r12vrr_stack+18256, r12vrr_stack+21052);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+44551, r12vrr_stack+24796, r12vrr_stack+44005, r12vrr_stack+23886, r12vrr_stack+24523, r12vrr_stack+21286);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+45461, r12vrr_stack+25888, r12vrr_stack+44551, r12vrr_stack+25342, r12vrr_stack+24796, r12vrr_stack+21754);
 tmp = r12vrr_stack + 45461;
 target_ptr = Libr12->gvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+23886, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+23889, r12vrr_stack+12, r12vrr_stack+31, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+761, r12vrr_stack+23795, r12vrr_stack+23889, r12vrr_stack+0, r12vrr_stack+12, r12vrr_stack+23886);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+23898, r12vrr_stack+34, r12vrr_stack+95, NULL, NULL, r12vrr_stack+31);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+23916, r12vrr_stack+23804, r12vrr_stack+23898, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+23889);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+136, r12vrr_stack+23822, r12vrr_stack+23916, r12vrr_stack+1115, r12vrr_stack+23804, r12vrr_stack+761);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+101, r12vrr_stack+40, NULL, NULL, r12vrr_stack+95);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+23952, r12vrr_stack+24159, r12vrr_stack+50, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+23898);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+24012, r12vrr_stack+24189, r12vrr_stack+23952, r12vrr_stack+1133, r12vrr_stack+24159, r12vrr_stack+23916);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+19322, r12vrr_stack+24249, r12vrr_stack+24012, r12vrr_stack+1163, r12vrr_stack+24189, r12vrr_stack+136);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1115, r12vrr_stack+205, r12vrr_stack+111, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+23704, r12vrr_stack+24349, r12vrr_stack+1115, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+50);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+19472, r12vrr_stack+24394, r12vrr_stack+23704, r12vrr_stack+1223, r12vrr_stack+24349, r12vrr_stack+23952);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+10500, r12vrr_stack+18347, r12vrr_stack+19472, r12vrr_stack+1268, r12vrr_stack+24394, r12vrr_stack+24012);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+46826, r12vrr_stack+26798, r12vrr_stack+10500, r12vrr_stack+1358, r12vrr_stack+18347, r12vrr_stack+19322);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1160, r12vrr_stack+392, r12vrr_stack+2403, NULL, NULL, r12vrr_stack+111);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1223, r12vrr_stack+241, r12vrr_stack+1160, r12vrr_stack+220, r12vrr_stack+392, r12vrr_stack+1115);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7236, r12vrr_stack+18497, r12vrr_stack+1223, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+23704);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+47141, r12vrr_stack+27023, r12vrr_stack+7236, r12vrr_stack+1571, r12vrr_stack+18497, r12vrr_stack+19472);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+47456, r12vrr_stack+27233, r12vrr_stack+47141, r12vrr_stack+1697, r12vrr_stack+27023, r12vrr_stack+10500);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+47897, r12vrr_stack+27548, r12vrr_stack+47456, r12vrr_stack+1907, r12vrr_stack+27233, r12vrr_stack+46826);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1349, r12vrr_stack+2424, r12vrr_stack+4306, NULL, NULL, r12vrr_stack+2403);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1433, r12vrr_stack+569, r12vrr_stack+1349, r12vrr_stack+2922, r12vrr_stack+2424, r12vrr_stack+1160);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1601, r12vrr_stack+27989, r12vrr_stack+1433, r12vrr_stack+2950, r12vrr_stack+569, r12vrr_stack+1223);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+48485, r12vrr_stack+28157, r12vrr_stack+1601, r12vrr_stack+3034, r12vrr_stack+27989, r12vrr_stack+7236);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+48905, r12vrr_stack+28437, r12vrr_stack+48485, r12vrr_stack+3202, r12vrr_stack+28157, r12vrr_stack+47141);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+49493, r12vrr_stack+28857, r12vrr_stack+48905, r12vrr_stack+3762, r12vrr_stack+28437, r12vrr_stack+47456);
 tmp = r12vrr_stack + 49493;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+8196, r12vrr_stack+6811, NULL, NULL, r12vrr_stack+4306);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3030, r12vrr_stack+653, r12vrr_stack+2922, r12vrr_stack+5406, r12vrr_stack+8196, r12vrr_stack+1349);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+50277, r12vrr_stack+29445, r12vrr_stack+3030, r12vrr_stack+5442, r12vrr_stack+653, r12vrr_stack+1433);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+50637, r12vrr_stack+29661, r12vrr_stack+50277, r12vrr_stack+5550, r12vrr_stack+29445, r12vrr_stack+1601);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+51177, r12vrr_stack+30021, r12vrr_stack+50637, r12vrr_stack+5766, r12vrr_stack+29661, r12vrr_stack+48485);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+51933, r12vrr_stack+30561, r12vrr_stack+51177, r12vrr_stack+6126, r12vrr_stack+30021, r12vrr_stack+48905);
 tmp = r12vrr_stack + 51933;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+11677, r12vrr_stack+10021, NULL, NULL, r12vrr_stack+6811);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5541, r12vrr_stack+4506, r12vrr_stack+5406, r12vrr_stack+8232, r12vrr_stack+11677, r12vrr_stack+2922);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+52941, r12vrr_stack+31317, r12vrr_stack+5541, r12vrr_stack+8277, r12vrr_stack+4506, r12vrr_stack+3030);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+53391, r12vrr_stack+31587, r12vrr_stack+52941, r12vrr_stack+8412, r12vrr_stack+31317, r12vrr_stack+50277);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+54066, r12vrr_stack+32037, r12vrr_stack+53391, r12vrr_stack+8682, r12vrr_stack+31587, r12vrr_stack+50637);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+55011, r12vrr_stack+32712, r12vrr_stack+54066, r12vrr_stack+9132, r12vrr_stack+32037, r12vrr_stack+51177);
 tmp = r12vrr_stack + 55011;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8232, r12vrr_stack+15891, r12vrr_stack+6732, NULL, NULL, r12vrr_stack+10021);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8397, r12vrr_stack+7071, r12vrr_stack+8232, r12vrr_stack+11722, r12vrr_stack+15891, r12vrr_stack+5406);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+56271, r12vrr_stack+33657, r12vrr_stack+8397, r12vrr_stack+11777, r12vrr_stack+7071, r12vrr_stack+5541);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+56821, r12vrr_stack+33987, r12vrr_stack+56271, r12vrr_stack+11942, r12vrr_stack+33657, r12vrr_stack+52941);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+57646, r12vrr_stack+34537, r12vrr_stack+56821, r12vrr_stack+12272, r12vrr_stack+33987, r12vrr_stack+53391);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+58801, r12vrr_stack+35362, r12vrr_stack+57646, r12vrr_stack+12822, r12vrr_stack+34537, r12vrr_stack+54066);
 tmp = r12vrr_stack + 58801;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11722, r12vrr_stack+20908, r12vrr_stack+6666, NULL, NULL, r12vrr_stack+6732);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11920, r12vrr_stack+10302, r12vrr_stack+11722, r12vrr_stack+15946, r12vrr_stack+20908, r12vrr_stack+8232);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60341, r12vrr_stack+36517, r12vrr_stack+11920, r12vrr_stack+16012, r12vrr_stack+10302, r12vrr_stack+8397);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61001, r12vrr_stack+36913, r12vrr_stack+60341, r12vrr_stack+16210, r12vrr_stack+36517, r12vrr_stack+56271);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61991, r12vrr_stack+37573, r12vrr_stack+61001, r12vrr_stack+16606, r12vrr_stack+36913, r12vrr_stack+56821);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63377, r12vrr_stack+38563, r12vrr_stack+61991, r12vrr_stack+17266, r12vrr_stack+37573, r12vrr_stack+57646);
 tmp = r12vrr_stack + 63377;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+14241, r12vrr_stack+0, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+196, r12vrr_stack+14241, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+13779, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+220, r12vrr_stack+14244, r12vrr_stack+554, r12vrr_stack+13785, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15946, r12vrr_stack+14259, r12vrr_stack+220, r12vrr_stack+13795, r12vrr_stack+14244, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15974, r12vrr_stack+23858, r12vrr_stack+15946, r12vrr_stack+13810, r12vrr_stack+14259, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16010, r12vrr_stack+14280, r12vrr_stack+15974, r12vrr_stack+13831, r12vrr_stack+23858, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16055, r12vrr_stack+14316, r12vrr_stack+16010, r12vrr_stack+13859, r12vrr_stack+14280, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16110, r12vrr_stack+14361, r12vrr_stack+16055, r12vrr_stack+13895, r12vrr_stack+14316, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16176, r12vrr_stack+6666, r12vrr_stack+16110, r12vrr_stack+6732, r12vrr_stack+14361, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16254, r12vrr_stack+304, r12vrr_stack+16176, NULL, NULL, r12vrr_stack+6666);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16488, r12vrr_stack+14416, r12vrr_stack+16254, r12vrr_stack+20974, r12vrr_stack+304, r12vrr_stack+11722);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+65225, r12vrr_stack+39949, r12vrr_stack+16488, r12vrr_stack+21052, r12vrr_stack+14416, r12vrr_stack+11920);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+66005, r12vrr_stack+40417, r12vrr_stack+65225, r12vrr_stack+21286, r12vrr_stack+39949, r12vrr_stack+60341);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+67175, r12vrr_stack+41197, r12vrr_stack+66005, r12vrr_stack+21754, r12vrr_stack+40417, r12vrr_stack+61001);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+68813, r12vrr_stack+42367, r12vrr_stack+67175, r12vrr_stack+22534, r12vrr_stack+41197, r12vrr_stack+61991);
 tmp = r12vrr_stack + 68813;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+20974, r12vrr_stack+304, r12vrr_stack+16176, r12vrr_stack+20908, r12vrr_stack+6666, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+21065, r12vrr_stack+18958, r12vrr_stack+20974, NULL, NULL, r12vrr_stack+304);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+21338, r12vrr_stack+19049, r12vrr_stack+21065, r12vrr_stack+18256, r12vrr_stack+18958, r12vrr_stack+14416);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+70997, r12vrr_stack+44005, r12vrr_stack+21338, r12vrr_stack+24523, r12vrr_stack+19049, r12vrr_stack+39949);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+71907, r12vrr_stack+44551, r12vrr_stack+70997, r12vrr_stack+24796, r12vrr_stack+44005, r12vrr_stack+40417);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+73272, r12vrr_stack+45461, r12vrr_stack+71907, r12vrr_stack+25888, r12vrr_stack+44551, r12vrr_stack+41197);
 tmp = r12vrr_stack + 73272;
 target_ptr = Libr12->gvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+196, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+18256, r12vrr_stack+23886, r12vrr_stack+196, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18262, r12vrr_stack+31, r12vrr_stack+3, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+18271, r12vrr_stack+23889, r12vrr_stack+18262, r12vrr_stack+12, r12vrr_stack+31, r12vrr_stack+196);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+7446, r12vrr_stack+761, r12vrr_stack+18271, r12vrr_stack+23795, r12vrr_stack+23889, r12vrr_stack+18256);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+761, r12vrr_stack+95, r12vrr_stack+199, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+18289, r12vrr_stack+23898, r12vrr_stack+761, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+18262);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+21884, r12vrr_stack+23916, r12vrr_stack+18289, r12vrr_stack+23804, r12vrr_stack+23898, r12vrr_stack+18271);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+21944, r12vrr_stack+136, r12vrr_stack+21884, r12vrr_stack+23822, r12vrr_stack+23916, r12vrr_stack+7446);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+7446, r12vrr_stack+40, r12vrr_stack+382, NULL, NULL, r12vrr_stack+199);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+136, r12vrr_stack+50, r12vrr_stack+7446, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+761);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+22034, r12vrr_stack+23952, r12vrr_stack+136, r12vrr_stack+24159, r12vrr_stack+50, r12vrr_stack+18289);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+22134, r12vrr_stack+24012, r12vrr_stack+22034, r12vrr_stack+24189, r12vrr_stack+23952, r12vrr_stack+21884);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+22284, r12vrr_stack+19322, r12vrr_stack+22134, r12vrr_stack+24249, r12vrr_stack+24012, r12vrr_stack+21944);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+19322, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+382);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+19367, r12vrr_stack+1115, r12vrr_stack+19322, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+7446);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+21884, r12vrr_stack+23704, r12vrr_stack+19367, r12vrr_stack+24349, r12vrr_stack+1115, r12vrr_stack+136);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+23886, r12vrr_stack+19472, r12vrr_stack+21884, r12vrr_stack+24394, r12vrr_stack+23704, r12vrr_stack+22034);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5811, r12vrr_stack+10500, r12vrr_stack+23886, r12vrr_stack+18347, r12vrr_stack+19472, r12vrr_stack+22134);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+24111, r12vrr_stack+46826, r12vrr_stack+5811, r12vrr_stack+26798, r12vrr_stack+10500, r12vrr_stack+22284);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10500, r12vrr_stack+2403, r12vrr_stack+4285, NULL, NULL, r12vrr_stack+80);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10563, r12vrr_stack+1160, r12vrr_stack+10500, r12vrr_stack+392, r12vrr_stack+2403, r12vrr_stack+19322);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+26798, r12vrr_stack+1223, r12vrr_stack+10563, r12vrr_stack+241, r12vrr_stack+1160, r12vrr_stack+19367);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+46826, r12vrr_stack+7236, r12vrr_stack+26798, r12vrr_stack+18497, r12vrr_stack+1223, r12vrr_stack+21884);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21884, r12vrr_stack+47141, r12vrr_stack+46826, r12vrr_stack+27023, r12vrr_stack+7236, r12vrr_stack+23886);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+24531, r12vrr_stack+47456, r12vrr_stack+21884, r12vrr_stack+27233, r12vrr_stack+47141, r12vrr_stack+5811);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+75183, r12vrr_stack+47897, r12vrr_stack+24531, r12vrr_stack+27548, r12vrr_stack+47456, r12vrr_stack+24111);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+136, r12vrr_stack+4306, r12vrr_stack+4334, NULL, NULL, r12vrr_stack+4285);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5811, r12vrr_stack+1349, r12vrr_stack+136, r12vrr_stack+2424, r12vrr_stack+4306, r12vrr_stack+10500);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+47141, r12vrr_stack+1433, r12vrr_stack+5811, r12vrr_stack+569, r12vrr_stack+1349, r12vrr_stack+10563);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+1601, r12vrr_stack+47141, r12vrr_stack+27989, r12vrr_stack+1433, r12vrr_stack+26798);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+26798, r12vrr_stack+48485, r12vrr_stack+2222, r12vrr_stack+28157, r12vrr_stack+1601, r12vrr_stack+46826);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+48905, r12vrr_stack+26798, r12vrr_stack+28437, r12vrr_stack+48485, r12vrr_stack+21884);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+75939, r12vrr_stack+49493, r12vrr_stack+1115, r12vrr_stack+28857, r12vrr_stack+48905, r12vrr_stack+24531);
 tmp = r12vrr_stack + 75939;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21884, r12vrr_stack+6811, r12vrr_stack+9985, NULL, NULL, r12vrr_stack+4334);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21992, r12vrr_stack+2922, r12vrr_stack+21884, r12vrr_stack+8196, r12vrr_stack+6811, r12vrr_stack+136);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+48485, r12vrr_stack+3030, r12vrr_stack+21992, r12vrr_stack+653, r12vrr_stack+2922, r12vrr_stack+5811);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+48845, r12vrr_stack+50277, r12vrr_stack+48485, r12vrr_stack+29445, r12vrr_stack+3030, r12vrr_stack+47141);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+46826, r12vrr_stack+50637, r12vrr_stack+48845, r12vrr_stack+29661, r12vrr_stack+50277, r12vrr_stack+2222);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23886, r12vrr_stack+51177, r12vrr_stack+46826, r12vrr_stack+30021, r12vrr_stack+50637, r12vrr_stack+26798);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+76947, r12vrr_stack+51933, r12vrr_stack+23886, r12vrr_stack+30561, r12vrr_stack+51177, r12vrr_stack+1115);
 tmp = r12vrr_stack + 76947;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+10021, r12vrr_stack+13895, NULL, NULL, r12vrr_stack+9985);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1250, r12vrr_stack+5406, r12vrr_stack+1115, r12vrr_stack+11677, r12vrr_stack+10021, r12vrr_stack+21884);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26798, r12vrr_stack+5541, r12vrr_stack+1250, r12vrr_stack+4506, r12vrr_stack+5406, r12vrr_stack+21992);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+50277, r12vrr_stack+52941, r12vrr_stack+26798, r12vrr_stack+31317, r12vrr_stack+5541, r12vrr_stack+48485);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+50952, r12vrr_stack+53391, r12vrr_stack+50277, r12vrr_stack+31587, r12vrr_stack+52941, r12vrr_stack+48845);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+78243, r12vrr_stack+54066, r12vrr_stack+50952, r12vrr_stack+32037, r12vrr_stack+53391, r12vrr_stack+46826);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+79503, r12vrr_stack+55011, r12vrr_stack+78243, r12vrr_stack+32712, r12vrr_stack+54066, r12vrr_stack+23886);
 tmp = r12vrr_stack + 79503;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23886, r12vrr_stack+6732, r12vrr_stack+14361, NULL, NULL, r12vrr_stack+13895);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+8232, r12vrr_stack+23886, r12vrr_stack+15891, r12vrr_stack+6732, r12vrr_stack+1115);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24051, r12vrr_stack+8397, r12vrr_stack+13647, r12vrr_stack+7071, r12vrr_stack+8232, r12vrr_stack+1250);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46826, r12vrr_stack+56271, r12vrr_stack+24051, r12vrr_stack+33657, r12vrr_stack+8397, r12vrr_stack+26798);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52941, r12vrr_stack+56821, r12vrr_stack+46826, r12vrr_stack+33987, r12vrr_stack+56271, r12vrr_stack+50277);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+81123, r12vrr_stack+57646, r12vrr_stack+52941, r12vrr_stack+34537, r12vrr_stack+56821, r12vrr_stack+50952);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+82663, r12vrr_stack+58801, r12vrr_stack+81123, r12vrr_stack+35362, r12vrr_stack+57646, r12vrr_stack+78243);
 tmp = r12vrr_stack + 82663;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+78243, r12vrr_stack+6666, r12vrr_stack+16110, NULL, NULL, r12vrr_stack+14361);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+78441, r12vrr_stack+11722, r12vrr_stack+78243, r12vrr_stack+20908, r12vrr_stack+6666, r12vrr_stack+23886);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+78837, r12vrr_stack+11920, r12vrr_stack+78441, r12vrr_stack+10302, r12vrr_stack+11722, r12vrr_stack+13647);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+50277, r12vrr_stack+60341, r12vrr_stack+78837, r12vrr_stack+36517, r12vrr_stack+11920, r12vrr_stack+24051);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23886, r12vrr_stack+61001, r12vrr_stack+50277, r12vrr_stack+36913, r12vrr_stack+60341, r12vrr_stack+46826);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+56271, r12vrr_stack+61991, r12vrr_stack+23886, r12vrr_stack+37573, r12vrr_stack+61001, r12vrr_stack+52941);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+84643, r12vrr_stack+63377, r12vrr_stack+56271, r12vrr_stack+38563, r12vrr_stack+61991, r12vrr_stack+81123);
 tmp = r12vrr_stack + 84643;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+79497, r12vrr_stack+0, r12vrr_stack+3, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+81123, r12vrr_stack+15, r12vrr_stack+79497, r12vrr_stack+14241, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81133, r12vrr_stack+126, r12vrr_stack+81123, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+554, r12vrr_stack+81133, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+220, r12vrr_stack+0, r12vrr_stack+14244, r12vrr_stack+554, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+15946, r12vrr_stack+21, r12vrr_stack+14259, r12vrr_stack+220, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+15974, r12vrr_stack+554, r12vrr_stack+23858, r12vrr_stack+15946, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+635, r12vrr_stack+16010, r12vrr_stack+590, r12vrr_stack+14280, r12vrr_stack+15974, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20908, r12vrr_stack+16055, r12vrr_stack+635, r12vrr_stack+14316, r12vrr_stack+16010, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+16110, r12vrr_stack+20908, r12vrr_stack+14361, r12vrr_stack+16055, NULL);

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+16176, r12vrr_stack+554, NULL, NULL, r12vrr_stack+16110);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81123, r12vrr_stack+16254, r12vrr_stack+0, r12vrr_stack+304, r12vrr_stack+16176, r12vrr_stack+78243);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81591, r12vrr_stack+16488, r12vrr_stack+81123, r12vrr_stack+14416, r12vrr_stack+16254, r12vrr_stack+78441);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52941, r12vrr_stack+65225, r12vrr_stack+81591, r12vrr_stack+39949, r12vrr_stack+16488, r12vrr_stack+78837);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60341, r12vrr_stack+66005, r12vrr_stack+52941, r12vrr_stack+40417, r12vrr_stack+65225, r12vrr_stack+50277);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+87019, r12vrr_stack+67175, r12vrr_stack+60341, r12vrr_stack+41197, r12vrr_stack+66005, r12vrr_stack+23886);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60341, r12vrr_stack+68813, r12vrr_stack+87019, r12vrr_stack+42367, r12vrr_stack+67175, r12vrr_stack+56271);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+56271, r12vrr_stack+16176, r12vrr_stack+554, r12vrr_stack+6666, r12vrr_stack+16110, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+56362, r12vrr_stack+20974, r12vrr_stack+56271, NULL, NULL, r12vrr_stack+16176);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+56635, r12vrr_stack+21065, r12vrr_stack+56362, r12vrr_stack+18958, r12vrr_stack+20974, r12vrr_stack+16254);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+57181, r12vrr_stack+21338, r12vrr_stack+56635, r12vrr_stack+19049, r12vrr_stack+21065, r12vrr_stack+16488);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+87019, r12vrr_stack+70997, r12vrr_stack+57181, r12vrr_stack+44005, r12vrr_stack+21338, r12vrr_stack+65225);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+56271, r12vrr_stack+71907, r12vrr_stack+87019, r12vrr_stack+44551, r12vrr_stack+70997, r12vrr_stack+66005);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+87019, r12vrr_stack+73272, r12vrr_stack+56271, r12vrr_stack+45461, r12vrr_stack+71907, r12vrr_stack+67175);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+56271, &(Data->ss_r12_ss), NULL, r12vrr_stack+436, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+56274, r12vrr_stack+56271, &(Data->ss_r12_ss), r12vrr_stack+439, r12vrr_stack+436, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+56280, r12vrr_stack+56274, r12vrr_stack+56271, r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+436, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+56290, r12vrr_stack+56280, r12vrr_stack+56274, r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+439, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+56305, r12vrr_stack+56290, r12vrr_stack+56280, r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+445, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+56326, r12vrr_stack+56305, r12vrr_stack+56290, r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+455, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+56354, r12vrr_stack+56326, NULL, r12vrr_stack+2670, r12vrr_stack+2642, NULL, r12vrr_stack+470);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+56438, r12vrr_stack+56354, r12vrr_stack+56326, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+491);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+491, r12vrr_stack+56438, r12vrr_stack+56354, r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+779);
 tmp = r12vrr_stack + 491;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+2222, r12vrr_stack+491, r12vrr_stack+56438, r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+905);
 tmp = r12vrr_stack + 2222;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+56354, r12vrr_stack+2222, r12vrr_stack+491, r12vrr_stack+28857, r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+1907);
 tmp = r12vrr_stack + 56354;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+491, r12vrr_stack+56326, r12vrr_stack+56305, r12vrr_stack+4362, r12vrr_stack+2642, r12vrr_stack+470, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+527, r12vrr_stack+491, NULL, r12vrr_stack+4398, r12vrr_stack+4362, NULL, r12vrr_stack+2642);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+635, r12vrr_stack+527, r12vrr_stack+491, r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+4362, r12vrr_stack+2670);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+56942, r12vrr_stack+635, r12vrr_stack+527, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+2754);
 tmp = r12vrr_stack + 56942;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+57302, r12vrr_stack+56942, r12vrr_stack+635, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+3482);
 tmp = r12vrr_stack + 57302;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+57842, r12vrr_stack+57302, r12vrr_stack+56942, r12vrr_stack+30561, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+3762);
 tmp = r12vrr_stack + 57842;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+56942, r12vrr_stack+491, r12vrr_stack+56326, r12vrr_stack+6891, r12vrr_stack+4362, r12vrr_stack+2642, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+56987, r12vrr_stack+56942, NULL, r12vrr_stack+6936, r12vrr_stack+6891, NULL, r12vrr_stack+4362);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+527, r12vrr_stack+56987, r12vrr_stack+56942, r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+6891, r12vrr_stack+4398);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+70997, r12vrr_stack+527, r12vrr_stack+56987, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+4830);
 tmp = r12vrr_stack + 70997;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+71447, r12vrr_stack+70997, r12vrr_stack+527, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+5046);
 tmp = r12vrr_stack + 71447;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+72122, r12vrr_stack+71447, r12vrr_stack+70997, r12vrr_stack+32712, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+6126);
 tmp = r12vrr_stack + 72122;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+70997, r12vrr_stack+56942, r12vrr_stack+491, r12vrr_stack+10082, r12vrr_stack+6891, r12vrr_stack+4362, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+71052, r12vrr_stack+70997, NULL, r12vrr_stack+10137, r12vrr_stack+10082, NULL, r12vrr_stack+6891);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+71052, r12vrr_stack+70997, r12vrr_stack+10797, r12vrr_stack+10137, r12vrr_stack+10082, r12vrr_stack+6936);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+89567, r12vrr_stack+13647, r12vrr_stack+71052, r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+10137, r12vrr_stack+7476);
 tmp = r12vrr_stack + 89567;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+65225, r12vrr_stack+89567, r12vrr_stack+13647, r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+7746);
 tmp = r12vrr_stack + 65225;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+66050, r12vrr_stack+65225, r12vrr_stack+89567, r12vrr_stack+35362, r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+9132);
 tmp = r12vrr_stack + 66050;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+89567, r12vrr_stack+70997, r12vrr_stack+56942, r12vrr_stack+13977, r12vrr_stack+10082, r12vrr_stack+6891, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+56942, r12vrr_stack+89567, NULL, r12vrr_stack+14043, r12vrr_stack+13977, NULL, r12vrr_stack+10082);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+89633, r12vrr_stack+56942, r12vrr_stack+89567, r12vrr_stack+14835, r12vrr_stack+14043, r12vrr_stack+13977, r12vrr_stack+10137);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10137, r12vrr_stack+89633, r12vrr_stack+56942, r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+14043, r12vrr_stack+10797);
 tmp = r12vrr_stack + 10137;
 target_ptr = Libr12->rvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+67205, r12vrr_stack+10137, r12vrr_stack+89633, r12vrr_stack+17266, r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+11127);
 tmp = r12vrr_stack + 67205;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+44005, r12vrr_stack+67205, r12vrr_stack+10137, r12vrr_stack+38563, r12vrr_stack+17266, r12vrr_stack+15231, r12vrr_stack+12822);
 tmp = r12vrr_stack + 44005;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10137, r12vrr_stack+89567, r12vrr_stack+70997, r12vrr_stack+18646, r12vrr_stack+13977, r12vrr_stack+10082, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+70997, r12vrr_stack+10137, NULL, r12vrr_stack+18724, r12vrr_stack+18646, NULL, r12vrr_stack+13977);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+89567, r12vrr_stack+70997, r12vrr_stack+10137, r12vrr_stack+19660, r12vrr_stack+18724, r12vrr_stack+18646, r12vrr_stack+14043);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+89567, r12vrr_stack+70997, r12vrr_stack+20128, r12vrr_stack+19660, r12vrr_stack+18724, r12vrr_stack+14835);
 tmp = r12vrr_stack + 13647;
 target_ptr = Libr12->rvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+50277, r12vrr_stack+13647, r12vrr_stack+89567, r12vrr_stack+22534, r12vrr_stack+20128, r12vrr_stack+19660, r12vrr_stack+15231);
 tmp = r12vrr_stack + 50277;
 target_ptr = Libr12->rvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23704, r12vrr_stack+50277, r12vrr_stack+13647, r12vrr_stack+42367, r12vrr_stack+22534, r12vrr_stack+20128, r12vrr_stack+17266);
 tmp = r12vrr_stack + 23704;
 target_ptr = Libr12->rvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13647, r12vrr_stack+3482, r12vrr_stack+5046, r12vrr_stack+3762, r12vrr_stack+1907, r12vrr_stack+905);
 tmp = r12vrr_stack + 13647;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+56942, r12vrr_stack+5046, r12vrr_stack+7746, r12vrr_stack+6126, r12vrr_stack+3762, r12vrr_stack+3482);
 tmp = r12vrr_stack + 56942;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+70997, r12vrr_stack+7746, r12vrr_stack+11127, r12vrr_stack+9132, r12vrr_stack+6126, r12vrr_stack+5046);
 tmp = r12vrr_stack + 70997;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+13927, r12vrr_stack+11127, r12vrr_stack+15231, r12vrr_stack+12822, r12vrr_stack+9132, r12vrr_stack+7746);
 tmp = r12vrr_stack + 13927;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+89567, r12vrr_stack+15231, r12vrr_stack+20128, r12vrr_stack+17266, r12vrr_stack+12822, r12vrr_stack+11127);
 tmp = r12vrr_stack + 89567;
 target_ptr = Libr12->t2vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6666, r12vrr_stack+20128, r12vrr_stack+25888, r12vrr_stack+22534, r12vrr_stack+17266, r12vrr_stack+15231);
 tmp = r12vrr_stack + 6666;
 target_ptr = Libr12->t2vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+68195, r12vrr_stack+3762, r12vrr_stack+6126, r12vrr_stack+28857, r12vrr_stack+27548, r12vrr_stack+1907);
 tmp = r12vrr_stack + 68195;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+52941, r12vrr_stack+6126, r12vrr_stack+9132, r12vrr_stack+30561, r12vrr_stack+28857, r12vrr_stack+3762);
 tmp = r12vrr_stack + 52941;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+53481, r12vrr_stack+9132, r12vrr_stack+12822, r12vrr_stack+32712, r12vrr_stack+30561, r12vrr_stack+6126);
 tmp = r12vrr_stack + 53481;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+54156, r12vrr_stack+12822, r12vrr_stack+17266, r12vrr_stack+35362, r12vrr_stack+32712, r12vrr_stack+9132);
 tmp = r12vrr_stack + 54156;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9807, r12vrr_stack+17266, r12vrr_stack+22534, r12vrr_stack+38563, r12vrr_stack+35362, r12vrr_stack+12822);
 tmp = r12vrr_stack + 9807;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+39949, r12vrr_stack+22534, r12vrr_stack+45461, r12vrr_stack+42367, r12vrr_stack+38563, r12vrr_stack+17266);
 tmp = r12vrr_stack + 39949;
 target_ptr = Libr12->t2vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+41119, r12vrr_stack+28857, r12vrr_stack+30561, r12vrr_stack+49493, r12vrr_stack+47897, r12vrr_stack+27548);
 tmp = r12vrr_stack + 41119;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+81123, r12vrr_stack+30561, r12vrr_stack+32712, r12vrr_stack+51933, r12vrr_stack+49493, r12vrr_stack+28857);
 tmp = r12vrr_stack + 81123;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+78243, r12vrr_stack+32712, r12vrr_stack+35362, r12vrr_stack+55011, r12vrr_stack+51933, r12vrr_stack+30561);
 tmp = r12vrr_stack + 78243;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+35362, r12vrr_stack+38563, r12vrr_stack+58801, r12vrr_stack+55011, r12vrr_stack+32712);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+20908, r12vrr_stack+38563, r12vrr_stack+42367, r12vrr_stack+63377, r12vrr_stack+58801, r12vrr_stack+35362);
 tmp = r12vrr_stack + 20908;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+36517, r12vrr_stack+42367, r12vrr_stack+73272, r12vrr_stack+68813, r12vrr_stack+63377, r12vrr_stack+38563);
 tmp = r12vrr_stack + 36517;
 target_ptr = Libr12->t2vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+81879, r12vrr_stack+49493, r12vrr_stack+51933, r12vrr_stack+75939, r12vrr_stack+75183, r12vrr_stack+47897);
 tmp = r12vrr_stack + 81879;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1155, r12vrr_stack+51933, r12vrr_stack+55011, r12vrr_stack+76947, r12vrr_stack+75939, r12vrr_stack+49493);
 tmp = r12vrr_stack + 1155;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+46826, r12vrr_stack+55011, r12vrr_stack+58801, r12vrr_stack+79503, r12vrr_stack+76947, r12vrr_stack+51933);
 tmp = r12vrr_stack + 46826;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+33657, r12vrr_stack+58801, r12vrr_stack+63377, r12vrr_stack+82663, r12vrr_stack+79503, r12vrr_stack+55011);
 tmp = r12vrr_stack + 33657;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+90227, r12vrr_stack+63377, r12vrr_stack+68813, r12vrr_stack+84643, r12vrr_stack+82663, r12vrr_stack+58801);
 tmp = r12vrr_stack + 90227;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+92075, r12vrr_stack+68813, r12vrr_stack+87019, r12vrr_stack+60341, r12vrr_stack+84643, r12vrr_stack+63377);
 tmp = r12vrr_stack + 92075;
 target_ptr = Libr12->t2vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+75183, r12vrr_stack+3482, r12vrr_stack+3762, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+2754);
 tmp = r12vrr_stack + 75183;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+75463, r12vrr_stack+5046, r12vrr_stack+6126, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+4830);
 tmp = r12vrr_stack + 75463;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2642, r12vrr_stack+7746, r12vrr_stack+9132, r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+7476);
 tmp = r12vrr_stack + 2642;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+41707, r12vrr_stack+11127, r12vrr_stack+12822, r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+10797);
 tmp = r12vrr_stack + 41707;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+48086, r12vrr_stack+15231, r12vrr_stack+17266, r12vrr_stack+20128, r12vrr_stack+19660, r12vrr_stack+14835);
 tmp = r12vrr_stack + 48086;
 target_ptr = Libr12->t1vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+15891, r12vrr_stack+20128, r12vrr_stack+22534, r12vrr_stack+25888, r12vrr_stack+25342, r12vrr_stack+19660);
 tmp = r12vrr_stack + 15891;
 target_ptr = Libr12->t1vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25342, r12vrr_stack+3762, r12vrr_stack+28857, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+3482);
 tmp = r12vrr_stack + 25342;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14477, r12vrr_stack+6126, r12vrr_stack+30561, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+5046);
 tmp = r12vrr_stack + 14477;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+48746, r12vrr_stack+9132, r12vrr_stack+32712, r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+7746);
 tmp = r12vrr_stack + 48746;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7446, r12vrr_stack+12822, r12vrr_stack+35362, r12vrr_stack+17266, r12vrr_stack+15231, r12vrr_stack+11127);
 tmp = r12vrr_stack + 7446;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+10797, r12vrr_stack+17266, r12vrr_stack+38563, r12vrr_stack+22534, r12vrr_stack+20128, r12vrr_stack+15231);
 tmp = r12vrr_stack + 10797;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+31317, r12vrr_stack+22534, r12vrr_stack+42367, r12vrr_stack+45461, r12vrr_stack+25888, r12vrr_stack+20128);
 tmp = r12vrr_stack + 31317;
 target_ptr = Libr12->t1vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25762, r12vrr_stack+28857, r12vrr_stack+49493, r12vrr_stack+30561, r12vrr_stack+6126, r12vrr_stack+3762);
 tmp = r12vrr_stack + 25762;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+26350, r12vrr_stack+30561, r12vrr_stack+51933, r12vrr_stack+32712, r12vrr_stack+9132, r12vrr_stack+6126);
 tmp = r12vrr_stack + 26350;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11787, r12vrr_stack+32712, r12vrr_stack+55011, r12vrr_stack+35362, r12vrr_stack+12822, r12vrr_stack+9132);
 tmp = r12vrr_stack + 11787;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+18256, r12vrr_stack+35362, r12vrr_stack+58801, r12vrr_stack+38563, r12vrr_stack+17266, r12vrr_stack+12822);
 tmp = r12vrr_stack + 18256;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+19411, r12vrr_stack+38563, r12vrr_stack+63377, r12vrr_stack+42367, r12vrr_stack+22534, r12vrr_stack+17266);
 tmp = r12vrr_stack + 19411;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4182, r12vrr_stack+42367, r12vrr_stack+68813, r12vrr_stack+73272, r12vrr_stack+45461, r12vrr_stack+22534);
 tmp = r12vrr_stack + 4182;
 target_ptr = Libr12->t1vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15017, r12vrr_stack+49493, r12vrr_stack+75939, r12vrr_stack+51933, r12vrr_stack+30561, r12vrr_stack+28857);
 tmp = r12vrr_stack + 15017;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+75823, r12vrr_stack+51933, r12vrr_stack+76947, r12vrr_stack+55011, r12vrr_stack+32712, r12vrr_stack+30561);
 tmp = r12vrr_stack + 75823;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+76831, r12vrr_stack+55011, r12vrr_stack+79503, r12vrr_stack+58801, r12vrr_stack+35362, r12vrr_stack+32712);
 tmp = r12vrr_stack + 76831;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+79188, r12vrr_stack+58801, r12vrr_stack+82663, r12vrr_stack+63377, r12vrr_stack+38563, r12vrr_stack+35362);
 tmp = r12vrr_stack + 79188;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+82663, r12vrr_stack+63377, r12vrr_stack+84643, r12vrr_stack+68813, r12vrr_stack+42367, r12vrr_stack+38563);
 tmp = r12vrr_stack + 82663;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+84511, r12vrr_stack+68813, r12vrr_stack+60341, r12vrr_stack+87019, r12vrr_stack+73272, r12vrr_stack+42367);
 tmp = r12vrr_stack + 84511;
 target_ptr = Libr12->t1vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+60341, r12vrr_stack+56354, r12vrr_stack+2222, r12vrr_stack+49493, r12vrr_stack+28857, r12vrr_stack+3762, r12vrr_stack+27548);
 tmp = r12vrr_stack + 60341;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+61125, r12vrr_stack+57842, r12vrr_stack+57302, r12vrr_stack+51933, r12vrr_stack+30561, r12vrr_stack+6126, r12vrr_stack+28857);
 tmp = r12vrr_stack + 61125;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+57302, r12vrr_stack+72122, r12vrr_stack+71447, r12vrr_stack+55011, r12vrr_stack+32712, r12vrr_stack+9132, r12vrr_stack+30561);
 tmp = r12vrr_stack + 57302;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+71447, r12vrr_stack+66050, r12vrr_stack+65225, r12vrr_stack+58801, r12vrr_stack+35362, r12vrr_stack+12822, r12vrr_stack+32712);
 tmp = r12vrr_stack + 71447;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+65225, r12vrr_stack+44005, r12vrr_stack+67205, r12vrr_stack+63377, r12vrr_stack+38563, r12vrr_stack+17266, r12vrr_stack+35362);
 tmp = r12vrr_stack + 65225;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+44005, r12vrr_stack+23704, r12vrr_stack+50277, r12vrr_stack+68813, r12vrr_stack+42367, r12vrr_stack+22534, r12vrr_stack+38563);
 tmp = r12vrr_stack + 44005;
 target_ptr = Libr12->rvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];


}

