#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_fpid(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+352, r12vrr_stack+331, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+436, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+439, r12vrr_stack+436, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+95, r12vrr_stack+436, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+101, r12vrr_stack+439, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+111, r12vrr_stack+445, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+491, r12vrr_stack+470, r12vrr_stack+352, NULL, NULL, r12vrr_stack+111);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+31, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+331, r12vrr_stack+569, NULL, NULL, r12vrr_stack+136);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+151);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+196);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+241);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1115, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1133, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1163, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+1115);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1223, r12vrr_stack+136, r12vrr_stack+554, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1268, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+1133);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1358, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+1163);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+199, r12vrr_stack+3, r12vrr_stack+196, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+199, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+205, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+220, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+126, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1508, r12vrr_stack+569, r12vrr_stack+220, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1571, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+1223);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1697, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+1268);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1907, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+1358);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2250, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2278, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+136, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2306, r12vrr_stack+2222, r12vrr_stack+2278, NULL, NULL, r12vrr_stack+569);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2390, r12vrr_stack+2250, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2474, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+590);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+455, r12vrr_stack+111, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+2250, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+373);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+373, r12vrr_stack+196, r12vrr_stack+31, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+379, r12vrr_stack+199, r12vrr_stack+373, r12vrr_stack+3, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+40, r12vrr_stack+379, r12vrr_stack+95, r12vrr_stack+199, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+80, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+389, r12vrr_stack+220, r12vrr_stack+80, r12vrr_stack+554, r12vrr_stack+205, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+2278, r12vrr_stack+389, NULL, NULL, r12vrr_stack+220);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3006, r12vrr_stack+2306, r12vrr_stack+2922, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+1508);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3174, r12vrr_stack+2474, r12vrr_stack+3006, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+1571);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3454, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+653);
 tmp = r12vrr_stack + 3454;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3734, r12vrr_stack+3454, r12vrr_stack+3174, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+1697);
 tmp = r12vrr_stack + 3734;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4154, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+331, r12vrr_stack+569, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4190, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+352, r12vrr_stack+331, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4226, r12vrr_stack+4190, r12vrr_stack+4154, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4334, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+470, r12vrr_stack+352, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4370, r12vrr_stack+4334, r12vrr_stack+4190, NULL, NULL, r12vrr_stack+2250);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+2278, r12vrr_stack+389, r12vrr_stack+569, r12vrr_stack+220, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4478, r12vrr_stack+4154, r12vrr_stack+331, NULL, NULL, r12vrr_stack+2278);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4586, r12vrr_stack+4226, r12vrr_stack+4478, r12vrr_stack+4190, r12vrr_stack+4154, r12vrr_stack+2306);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4802, r12vrr_stack+4370, r12vrr_stack+4226, r12vrr_stack+4334, r12vrr_stack+4190, r12vrr_stack+2390);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5018, r12vrr_stack+4802, r12vrr_stack+4586, r12vrr_stack+4370, r12vrr_stack+4226, r12vrr_stack+2474);
 tmp = r12vrr_stack + 5018;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+367, r12vrr_stack+31, r12vrr_stack+3, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2390, r12vrr_stack+373, r12vrr_stack+367, r12vrr_stack+196, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2400, r12vrr_stack+379, r12vrr_stack+2390, r12vrr_stack+199, r12vrr_stack+373, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2415, r12vrr_stack+111, r12vrr_stack+2400, r12vrr_stack+40, r12vrr_stack+379, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2436, r12vrr_stack+80, r12vrr_stack+2415, r12vrr_stack+205, r12vrr_stack+111, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5378, r12vrr_stack+389, r12vrr_stack+2436, r12vrr_stack+220, r12vrr_stack+80, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5414, r12vrr_stack+331, r12vrr_stack+5378, NULL, NULL, r12vrr_stack+389);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5522, r12vrr_stack+4478, r12vrr_stack+5414, r12vrr_stack+4154, r12vrr_stack+331, r12vrr_stack+2922);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5738, r12vrr_stack+4586, r12vrr_stack+5522, r12vrr_stack+4226, r12vrr_stack+4478, r12vrr_stack+3006);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6098, r12vrr_stack+5018, r12vrr_stack+5738, r12vrr_stack+4802, r12vrr_stack+4586, r12vrr_stack+3174);
 tmp = r12vrr_stack + 6098;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6638, r12vrr_stack+4154, r12vrr_stack+331, r12vrr_stack+2222, r12vrr_stack+2278, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6683, r12vrr_stack+4190, r12vrr_stack+4154, r12vrr_stack+2250, r12vrr_stack+2222, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6728, r12vrr_stack+6683, r12vrr_stack+6638, NULL, NULL, r12vrr_stack+4154);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6863, r12vrr_stack+4334, r12vrr_stack+4190, r12vrr_stack+2642, r12vrr_stack+2250, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6908, r12vrr_stack+6863, r12vrr_stack+6683, NULL, NULL, r12vrr_stack+4190);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+5378, r12vrr_stack+2278, r12vrr_stack+389, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7043, r12vrr_stack+6638, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7178, r12vrr_stack+6728, r12vrr_stack+7043, r12vrr_stack+6683, r12vrr_stack+6638, r12vrr_stack+4478);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7448, r12vrr_stack+6908, r12vrr_stack+6728, r12vrr_stack+6863, r12vrr_stack+6683, r12vrr_stack+4226);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7718, r12vrr_stack+7448, r12vrr_stack+7178, r12vrr_stack+6908, r12vrr_stack+6728, r12vrr_stack+4586);
 tmp = r12vrr_stack + 7718;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4226, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4229, r12vrr_stack+3, r12vrr_stack+4226, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+367, r12vrr_stack+4229, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4235, r12vrr_stack+2390, r12vrr_stack+40, r12vrr_stack+373, r12vrr_stack+367, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4250, r12vrr_stack+2400, r12vrr_stack+4235, r12vrr_stack+379, r12vrr_stack+2390, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4271, r12vrr_stack+2415, r12vrr_stack+4250, r12vrr_stack+111, r12vrr_stack+2400, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8168, r12vrr_stack+2436, r12vrr_stack+4271, r12vrr_stack+80, r12vrr_stack+2415, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8204, r12vrr_stack+5378, r12vrr_stack+8168, r12vrr_stack+389, r12vrr_stack+2436, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8249, r12vrr_stack+2222, r12vrr_stack+8204, NULL, NULL, r12vrr_stack+5378);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8384, r12vrr_stack+7043, r12vrr_stack+8249, r12vrr_stack+6638, r12vrr_stack+2222, r12vrr_stack+5414);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8654, r12vrr_stack+7178, r12vrr_stack+8384, r12vrr_stack+6728, r12vrr_stack+7043, r12vrr_stack+5522);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9104, r12vrr_stack+7718, r12vrr_stack+8654, r12vrr_stack+7448, r12vrr_stack+7178, r12vrr_stack+5738);
 tmp = r12vrr_stack + 9104;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9779, r12vrr_stack+6638, r12vrr_stack+2222, r12vrr_stack+4154, r12vrr_stack+331, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9834, r12vrr_stack+6683, r12vrr_stack+6638, r12vrr_stack+4190, r12vrr_stack+4154, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9889, r12vrr_stack+9834, r12vrr_stack+9779, NULL, NULL, r12vrr_stack+6638);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10054, r12vrr_stack+6863, r12vrr_stack+6683, r12vrr_stack+4334, r12vrr_stack+4190, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10109, r12vrr_stack+10054, r12vrr_stack+9834, NULL, NULL, r12vrr_stack+6683);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6638, r12vrr_stack+2222, r12vrr_stack+8204, r12vrr_stack+331, r12vrr_stack+5378, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10274, r12vrr_stack+9779, r12vrr_stack+6638, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10439, r12vrr_stack+9889, r12vrr_stack+10274, r12vrr_stack+9834, r12vrr_stack+9779, r12vrr_stack+7043);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10769, r12vrr_stack+10109, r12vrr_stack+9889, r12vrr_stack+10054, r12vrr_stack+9834, r12vrr_stack+6728);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11099, r12vrr_stack+10769, r12vrr_stack+10439, r12vrr_stack+10109, r12vrr_stack+9889, r12vrr_stack+7178);
 tmp = r12vrr_stack + 11099;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+196, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9834, r12vrr_stack+15, r12vrr_stack+34, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+9852, r12vrr_stack+1115, r12vrr_stack+9834, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+196);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+10054, r12vrr_stack+126, r12vrr_stack+101, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+10084, r12vrr_stack+1133, r12vrr_stack+10054, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+9834);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+10144, r12vrr_stack+1163, r12vrr_stack+10084, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+9852);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+9834, r12vrr_stack+554, r12vrr_stack+205, NULL, NULL, r12vrr_stack+101);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1115, r12vrr_stack+1223, r12vrr_stack+9834, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+10054);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+6693, r12vrr_stack+1268, r12vrr_stack+1115, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+10084);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+11649, r12vrr_stack+1358, r12vrr_stack+6693, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+10144);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+241, r12vrr_stack+220, r12vrr_stack+80, NULL, NULL, r12vrr_stack+205);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10054, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+9834);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1205, r12vrr_stack+1571, r12vrr_stack+10054, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+1115);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11874, r12vrr_stack+1697, r12vrr_stack+1205, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+6693);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12189, r12vrr_stack+1907, r12vrr_stack+11874, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+11649);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11649, r12vrr_stack+389, r12vrr_stack+2436, NULL, NULL, r12vrr_stack+80);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6693, r12vrr_stack+2922, r12vrr_stack+11649, r12vrr_stack+2278, r12vrr_stack+389, r12vrr_stack+241);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+50, r12vrr_stack+3006, r12vrr_stack+6693, r12vrr_stack+2306, r12vrr_stack+2922, r12vrr_stack+10054);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1415, r12vrr_stack+3174, r12vrr_stack+50, r12vrr_stack+2474, r12vrr_stack+3006, r12vrr_stack+1205);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12630, r12vrr_stack+3734, r12vrr_stack+1415, r12vrr_stack+3454, r12vrr_stack+3174, r12vrr_stack+11874);
 tmp = r12vrr_stack + 12630;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10054, r12vrr_stack+5378, r12vrr_stack+8168, NULL, NULL, r12vrr_stack+2436);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+5414, r12vrr_stack+10054, r12vrr_stack+331, r12vrr_stack+5378, r12vrr_stack+11649);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11649, r12vrr_stack+5522, r12vrr_stack+2922, r12vrr_stack+4478, r12vrr_stack+5414, r12vrr_stack+6693);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13218, r12vrr_stack+5738, r12vrr_stack+11649, r12vrr_stack+4586, r12vrr_stack+5522, r12vrr_stack+50);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13758, r12vrr_stack+6098, r12vrr_stack+13218, r12vrr_stack+5018, r12vrr_stack+5738, r12vrr_stack+1415);
 tmp = r12vrr_stack + 13758;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+50, r12vrr_stack+4226, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+56, r12vrr_stack+4229, r12vrr_stack+50, r12vrr_stack+3, r12vrr_stack+4226, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+40, r12vrr_stack+56, r12vrr_stack+367, r12vrr_stack+4229, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+50, r12vrr_stack+4235, r12vrr_stack+0, r12vrr_stack+2390, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+4250, r12vrr_stack+50, r12vrr_stack+2400, r12vrr_stack+4235, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28, r12vrr_stack+4271, r12vrr_stack+0, r12vrr_stack+2415, r12vrr_stack+4250, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+64, r12vrr_stack+8168, r12vrr_stack+28, r12vrr_stack+2436, r12vrr_stack+4271, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+109, r12vrr_stack+8204, r12vrr_stack+64, NULL, NULL, r12vrr_stack+8168);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5414, r12vrr_stack+8249, r12vrr_stack+109, r12vrr_stack+2222, r12vrr_stack+8204, r12vrr_stack+10054);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+8384, r12vrr_stack+5414, r12vrr_stack+7043, r12vrr_stack+8249, r12vrr_stack+2922);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5414, r12vrr_stack+8654, r12vrr_stack+1115, r12vrr_stack+7178, r12vrr_stack+8384, r12vrr_stack+11649);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14514, r12vrr_stack+9104, r12vrr_stack+5414, r12vrr_stack+7718, r12vrr_stack+8654, r12vrr_stack+13218);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9834, r12vrr_stack+8204, r12vrr_stack+64, r12vrr_stack+5378, r12vrr_stack+8168, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5378, r12vrr_stack+6638, r12vrr_stack+9834, NULL, NULL, r12vrr_stack+8204);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5543, r12vrr_stack+10274, r12vrr_stack+5378, r12vrr_stack+9779, r12vrr_stack+6638, r12vrr_stack+8249);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+10439, r12vrr_stack+5543, r12vrr_stack+9889, r12vrr_stack+10274, r12vrr_stack+8384);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15459, r12vrr_stack+11099, r12vrr_stack+1115, r12vrr_stack+10769, r12vrr_stack+10439, r12vrr_stack+8654);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+1115, &(Data->ss_r12_ss), NULL, r12vrr_stack+436, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+1118, r12vrr_stack+1115, &(Data->ss_r12_ss), r12vrr_stack+439, r12vrr_stack+436, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+1124, r12vrr_stack+1118, r12vrr_stack+1115, r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+436, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+1134, r12vrr_stack+1124, r12vrr_stack+1118, r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+439, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+1149, r12vrr_stack+1134, r12vrr_stack+1124, r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+445, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+1170, r12vrr_stack+1149, r12vrr_stack+1134, r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+455, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+1198, r12vrr_stack+1170, NULL, r12vrr_stack+2670, r12vrr_stack+2642, NULL, r12vrr_stack+470);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+1282, r12vrr_stack+1198, r12vrr_stack+1170, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+491);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+491, r12vrr_stack+1282, r12vrr_stack+1198, r12vrr_stack+3454, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+779);
 tmp = r12vrr_stack + 491;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+1198, r12vrr_stack+1170, r12vrr_stack+1149, r12vrr_stack+4334, r12vrr_stack+2642, r12vrr_stack+470, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+771, r12vrr_stack+1198, NULL, r12vrr_stack+4370, r12vrr_stack+4334, NULL, r12vrr_stack+2642);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+1450, r12vrr_stack+771, r12vrr_stack+1198, r12vrr_stack+4802, r12vrr_stack+4370, r12vrr_stack+4334, r12vrr_stack+2670);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+9779, r12vrr_stack+1450, r12vrr_stack+771, r12vrr_stack+5018, r12vrr_stack+4802, r12vrr_stack+4370, r12vrr_stack+2754);
 tmp = r12vrr_stack + 9779;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+771, r12vrr_stack+1198, r12vrr_stack+1170, r12vrr_stack+6863, r12vrr_stack+4334, r12vrr_stack+2642, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+1115, r12vrr_stack+771, NULL, r12vrr_stack+6908, r12vrr_stack+6863, NULL, r12vrr_stack+4334);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+10139, r12vrr_stack+1115, r12vrr_stack+771, r12vrr_stack+7448, r12vrr_stack+6908, r12vrr_stack+6863, r12vrr_stack+4370);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+5378, r12vrr_stack+10139, r12vrr_stack+1115, r12vrr_stack+7718, r12vrr_stack+7448, r12vrr_stack+6908, r12vrr_stack+4802);
 tmp = r12vrr_stack + 5378;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6638, r12vrr_stack+3454, r12vrr_stack+5018, r12vrr_stack+3734, r12vrr_stack+1907, r12vrr_stack+905);
 tmp = r12vrr_stack + 6638;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10409, r12vrr_stack+5018, r12vrr_stack+7718, r12vrr_stack+6098, r12vrr_stack+3734, r12vrr_stack+3454);
 tmp = r12vrr_stack + 10409;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6918, r12vrr_stack+7718, r12vrr_stack+11099, r12vrr_stack+9104, r12vrr_stack+6098, r12vrr_stack+5018);
 tmp = r12vrr_stack + 6918;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8168, r12vrr_stack+3734, r12vrr_stack+6098, r12vrr_stack+12630, r12vrr_stack+12189, r12vrr_stack+1907);
 tmp = r12vrr_stack + 8168;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13218, r12vrr_stack+6098, r12vrr_stack+9104, r12vrr_stack+13758, r12vrr_stack+12630, r12vrr_stack+3734);
 tmp = r12vrr_stack + 13218;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1666, r12vrr_stack+9104, r12vrr_stack+15459, r12vrr_stack+14514, r12vrr_stack+13758, r12vrr_stack+6098);
 tmp = r12vrr_stack + 1666;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2341, r12vrr_stack+3454, r12vrr_stack+3734, r12vrr_stack+5018, r12vrr_stack+4802, r12vrr_stack+2754);
 tmp = r12vrr_stack + 2341;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8588, r12vrr_stack+5018, r12vrr_stack+6098, r12vrr_stack+7718, r12vrr_stack+7448, r12vrr_stack+4802);
 tmp = r12vrr_stack + 8588;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11649, r12vrr_stack+7718, r12vrr_stack+9104, r12vrr_stack+11099, r12vrr_stack+10769, r12vrr_stack+7448);
 tmp = r12vrr_stack + 11649;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12099, r12vrr_stack+3734, r12vrr_stack+12630, r12vrr_stack+6098, r12vrr_stack+5018, r12vrr_stack+3454);
 tmp = r12vrr_stack + 12099;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12519, r12vrr_stack+6098, r12vrr_stack+13758, r12vrr_stack+9104, r12vrr_stack+7718, r12vrr_stack+5018);
 tmp = r12vrr_stack + 12519;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13758, r12vrr_stack+9104, r12vrr_stack+14514, r12vrr_stack+15459, r12vrr_stack+11099, r12vrr_stack+7718);
 tmp = r12vrr_stack + 13758;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+14433, r12vrr_stack+491, r12vrr_stack+1282, r12vrr_stack+3734, r12vrr_stack+3454, r12vrr_stack+2754, r12vrr_stack+905);
 tmp = r12vrr_stack + 14433;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+3734, r12vrr_stack+9779, r12vrr_stack+1450, r12vrr_stack+6098, r12vrr_stack+5018, r12vrr_stack+4802, r12vrr_stack+3454);
 tmp = r12vrr_stack + 3734;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+4274, r12vrr_stack+5378, r12vrr_stack+10139, r12vrr_stack+9104, r12vrr_stack+7718, r12vrr_stack+7448, r12vrr_stack+5018);
 tmp = r12vrr_stack + 4274;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];


}

