#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_fpii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+352, r12vrr_stack+331, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+436, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+439, r12vrr_stack+436, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+95, r12vrr_stack+436, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+101, r12vrr_stack+439, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+111, r12vrr_stack+445, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+491, r12vrr_stack+470, r12vrr_stack+352, NULL, NULL, r12vrr_stack+111);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+31, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+331, r12vrr_stack+569, NULL, NULL, r12vrr_stack+136);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+151);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+196);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+241);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1115, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1133, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1163, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+1115);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1223, r12vrr_stack+136, r12vrr_stack+554, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1268, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+1133);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1358, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+1163);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+199, r12vrr_stack+3, r12vrr_stack+196, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+199, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+205, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+220, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+126, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1508, r12vrr_stack+569, r12vrr_stack+220, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1571, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+1223);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1697, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+1268);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1907, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+1358);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2250, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2278, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+136, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2306, r12vrr_stack+2222, r12vrr_stack+2278, NULL, NULL, r12vrr_stack+569);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2390, r12vrr_stack+2250, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2474, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+590);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+455, r12vrr_stack+111, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+2250, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+373);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+373, r12vrr_stack+196, r12vrr_stack+31, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+379, r12vrr_stack+199, r12vrr_stack+373, r12vrr_stack+3, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+40, r12vrr_stack+379, r12vrr_stack+95, r12vrr_stack+199, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+80, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+389, r12vrr_stack+220, r12vrr_stack+80, r12vrr_stack+554, r12vrr_stack+205, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+2278, r12vrr_stack+389, NULL, NULL, r12vrr_stack+220);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3006, r12vrr_stack+2306, r12vrr_stack+2922, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+1508);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3174, r12vrr_stack+2474, r12vrr_stack+3006, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+1571);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3454, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+653);
 tmp = r12vrr_stack + 3454;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3734, r12vrr_stack+3454, r12vrr_stack+3174, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+1697);
 tmp = r12vrr_stack + 3734;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4154, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+331, r12vrr_stack+569, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4190, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+352, r12vrr_stack+331, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4226, r12vrr_stack+4190, r12vrr_stack+4154, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4334, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+470, r12vrr_stack+352, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4370, r12vrr_stack+4334, r12vrr_stack+4190, NULL, NULL, r12vrr_stack+2250);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+2278, r12vrr_stack+389, r12vrr_stack+569, r12vrr_stack+220, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4478, r12vrr_stack+4154, r12vrr_stack+331, NULL, NULL, r12vrr_stack+2278);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4586, r12vrr_stack+4226, r12vrr_stack+4478, r12vrr_stack+4190, r12vrr_stack+4154, r12vrr_stack+2306);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4802, r12vrr_stack+4370, r12vrr_stack+4226, r12vrr_stack+4334, r12vrr_stack+4190, r12vrr_stack+2390);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5018, r12vrr_stack+4802, r12vrr_stack+4586, r12vrr_stack+4370, r12vrr_stack+4226, r12vrr_stack+2474);
 tmp = r12vrr_stack + 5018;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+367, r12vrr_stack+31, r12vrr_stack+3, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2390, r12vrr_stack+373, r12vrr_stack+367, r12vrr_stack+196, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2400, r12vrr_stack+379, r12vrr_stack+2390, r12vrr_stack+199, r12vrr_stack+373, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2415, r12vrr_stack+111, r12vrr_stack+2400, r12vrr_stack+40, r12vrr_stack+379, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2436, r12vrr_stack+80, r12vrr_stack+2415, r12vrr_stack+205, r12vrr_stack+111, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5378, r12vrr_stack+389, r12vrr_stack+2436, r12vrr_stack+220, r12vrr_stack+80, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5414, r12vrr_stack+331, r12vrr_stack+5378, NULL, NULL, r12vrr_stack+389);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5522, r12vrr_stack+4478, r12vrr_stack+5414, r12vrr_stack+4154, r12vrr_stack+331, r12vrr_stack+2922);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5738, r12vrr_stack+4586, r12vrr_stack+5522, r12vrr_stack+4226, r12vrr_stack+4478, r12vrr_stack+3006);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6098, r12vrr_stack+5018, r12vrr_stack+5738, r12vrr_stack+4802, r12vrr_stack+4586, r12vrr_stack+3174);
 tmp = r12vrr_stack + 6098;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6638, r12vrr_stack+4154, r12vrr_stack+331, r12vrr_stack+2222, r12vrr_stack+2278, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6683, r12vrr_stack+4190, r12vrr_stack+4154, r12vrr_stack+2250, r12vrr_stack+2222, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6728, r12vrr_stack+6683, r12vrr_stack+6638, NULL, NULL, r12vrr_stack+4154);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6863, r12vrr_stack+4334, r12vrr_stack+4190, r12vrr_stack+2642, r12vrr_stack+2250, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6908, r12vrr_stack+6863, r12vrr_stack+6683, NULL, NULL, r12vrr_stack+4190);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+5378, r12vrr_stack+2278, r12vrr_stack+389, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7043, r12vrr_stack+6638, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7178, r12vrr_stack+6728, r12vrr_stack+7043, r12vrr_stack+6683, r12vrr_stack+6638, r12vrr_stack+4478);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7448, r12vrr_stack+6908, r12vrr_stack+6728, r12vrr_stack+6863, r12vrr_stack+6683, r12vrr_stack+4226);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7718, r12vrr_stack+7448, r12vrr_stack+7178, r12vrr_stack+6908, r12vrr_stack+6728, r12vrr_stack+4586);
 tmp = r12vrr_stack + 7718;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4226, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4229, r12vrr_stack+3, r12vrr_stack+4226, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+367, r12vrr_stack+4229, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4235, r12vrr_stack+2390, r12vrr_stack+40, r12vrr_stack+373, r12vrr_stack+367, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4250, r12vrr_stack+2400, r12vrr_stack+4235, r12vrr_stack+379, r12vrr_stack+2390, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4271, r12vrr_stack+2415, r12vrr_stack+4250, r12vrr_stack+111, r12vrr_stack+2400, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8168, r12vrr_stack+2436, r12vrr_stack+4271, r12vrr_stack+80, r12vrr_stack+2415, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8204, r12vrr_stack+5378, r12vrr_stack+8168, r12vrr_stack+389, r12vrr_stack+2436, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8249, r12vrr_stack+2222, r12vrr_stack+8204, NULL, NULL, r12vrr_stack+5378);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8384, r12vrr_stack+7043, r12vrr_stack+8249, r12vrr_stack+6638, r12vrr_stack+2222, r12vrr_stack+5414);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8654, r12vrr_stack+7178, r12vrr_stack+8384, r12vrr_stack+6728, r12vrr_stack+7043, r12vrr_stack+5522);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9104, r12vrr_stack+7718, r12vrr_stack+8654, r12vrr_stack+7448, r12vrr_stack+7178, r12vrr_stack+5738);
 tmp = r12vrr_stack + 9104;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9779, r12vrr_stack+6638, r12vrr_stack+2222, r12vrr_stack+4154, r12vrr_stack+331, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9834, r12vrr_stack+6683, r12vrr_stack+6638, r12vrr_stack+4190, r12vrr_stack+4154, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9889, r12vrr_stack+9834, r12vrr_stack+9779, NULL, NULL, r12vrr_stack+6638);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10054, r12vrr_stack+6863, r12vrr_stack+6683, r12vrr_stack+4334, r12vrr_stack+4190, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10109, r12vrr_stack+10054, r12vrr_stack+9834, NULL, NULL, r12vrr_stack+6683);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4154, r12vrr_stack+2222, r12vrr_stack+8204, r12vrr_stack+331, r12vrr_stack+5378, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10274, r12vrr_stack+9779, r12vrr_stack+4154, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10439, r12vrr_stack+9889, r12vrr_stack+10274, r12vrr_stack+9834, r12vrr_stack+9779, r12vrr_stack+7043);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10769, r12vrr_stack+10109, r12vrr_stack+9889, r12vrr_stack+10054, r12vrr_stack+9834, r12vrr_stack+6728);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11099, r12vrr_stack+10769, r12vrr_stack+10439, r12vrr_stack+10109, r12vrr_stack+9889, r12vrr_stack+7178);
 tmp = r12vrr_stack + 11099;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6728, r12vrr_stack+4226, r12vrr_stack+31, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2464, r12vrr_stack+4229, r12vrr_stack+6728, r12vrr_stack+3, r12vrr_stack+4226, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+40, r12vrr_stack+2464, r12vrr_stack+367, r12vrr_stack+4229, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+367, r12vrr_stack+4235, r12vrr_stack+111, r12vrr_stack+2390, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6734, r12vrr_stack+4250, r12vrr_stack+367, r12vrr_stack+2400, r12vrr_stack+4235, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6762, r12vrr_stack+4271, r12vrr_stack+6734, r12vrr_stack+2415, r12vrr_stack+4250, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2390, r12vrr_stack+8168, r12vrr_stack+6762, r12vrr_stack+2436, r12vrr_stack+4271, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6798, r12vrr_stack+8204, r12vrr_stack+2390, r12vrr_stack+5378, r12vrr_stack+8168, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11649, r12vrr_stack+4154, r12vrr_stack+6798, NULL, NULL, r12vrr_stack+8204);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11814, r12vrr_stack+10274, r12vrr_stack+11649, r12vrr_stack+9779, r12vrr_stack+4154, r12vrr_stack+8249);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12144, r12vrr_stack+10439, r12vrr_stack+11814, r12vrr_stack+9889, r12vrr_stack+10274, r12vrr_stack+8384);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12694, r12vrr_stack+11099, r12vrr_stack+12144, r12vrr_stack+10769, r12vrr_stack+10439, r12vrr_stack+8654);
 tmp = r12vrr_stack + 12694;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13519, r12vrr_stack+9779, r12vrr_stack+4154, r12vrr_stack+6638, r12vrr_stack+2222, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13585, r12vrr_stack+9834, r12vrr_stack+9779, r12vrr_stack+6683, r12vrr_stack+6638, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13651, r12vrr_stack+13585, r12vrr_stack+13519, NULL, NULL, r12vrr_stack+9779);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13849, r12vrr_stack+10054, r12vrr_stack+9834, r12vrr_stack+6863, r12vrr_stack+6683, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13915, r12vrr_stack+13849, r12vrr_stack+13585, NULL, NULL, r12vrr_stack+9834);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6638, r12vrr_stack+4154, r12vrr_stack+6798, r12vrr_stack+2222, r12vrr_stack+8204, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14113, r12vrr_stack+13519, r12vrr_stack+6638, NULL, NULL, r12vrr_stack+4154);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14311, r12vrr_stack+13651, r12vrr_stack+14113, r12vrr_stack+13585, r12vrr_stack+13519, r12vrr_stack+10274);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14707, r12vrr_stack+13915, r12vrr_stack+13651, r12vrr_stack+13849, r12vrr_stack+13585, r12vrr_stack+9889);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15103, r12vrr_stack+14707, r12vrr_stack+14311, r12vrr_stack+13915, r12vrr_stack+13651, r12vrr_stack+10439);
 tmp = r12vrr_stack + 15103;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9889, r12vrr_stack+31, r12vrr_stack+3, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6853, r12vrr_stack+6728, r12vrr_stack+9889, r12vrr_stack+4226, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+9895, r12vrr_stack+2464, r12vrr_stack+6853, r12vrr_stack+4229, r12vrr_stack+6728, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9910, r12vrr_stack+111, r12vrr_stack+9895, r12vrr_stack+40, r12vrr_stack+2464, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9931, r12vrr_stack+367, r12vrr_stack+9910, r12vrr_stack+4235, r12vrr_stack+111, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9959, r12vrr_stack+6734, r12vrr_stack+9931, r12vrr_stack+4250, r12vrr_stack+367, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9995, r12vrr_stack+6762, r12vrr_stack+9959, r12vrr_stack+4271, r12vrr_stack+6734, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4209, r12vrr_stack+2390, r12vrr_stack+9995, r12vrr_stack+8168, r12vrr_stack+6762, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4264, r12vrr_stack+6798, r12vrr_stack+4209, r12vrr_stack+8204, r12vrr_stack+2390, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15763, r12vrr_stack+6638, r12vrr_stack+4264, NULL, NULL, r12vrr_stack+6798);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15961, r12vrr_stack+14113, r12vrr_stack+15763, r12vrr_stack+13519, r12vrr_stack+6638, r12vrr_stack+11649);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16357, r12vrr_stack+14311, r12vrr_stack+15961, r12vrr_stack+13651, r12vrr_stack+14113, r12vrr_stack+11814);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17017, r12vrr_stack+15103, r12vrr_stack+16357, r12vrr_stack+14707, r12vrr_stack+14311, r12vrr_stack+12144);
 tmp = r12vrr_stack + 17017;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18007, r12vrr_stack+13519, r12vrr_stack+6638, r12vrr_stack+9779, r12vrr_stack+4154, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18085, r12vrr_stack+13585, r12vrr_stack+13519, r12vrr_stack+9834, r12vrr_stack+9779, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18163, r12vrr_stack+18085, r12vrr_stack+18007, NULL, NULL, r12vrr_stack+13519);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18397, r12vrr_stack+13849, r12vrr_stack+13585, r12vrr_stack+10054, r12vrr_stack+9834, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18475, r12vrr_stack+18397, r12vrr_stack+18085, NULL, NULL, r12vrr_stack+13585);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9779, r12vrr_stack+6638, r12vrr_stack+4264, r12vrr_stack+4154, r12vrr_stack+6798, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18709, r12vrr_stack+18007, r12vrr_stack+9779, NULL, NULL, r12vrr_stack+6638);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18943, r12vrr_stack+18163, r12vrr_stack+18709, r12vrr_stack+18085, r12vrr_stack+18007, r12vrr_stack+14113);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19411, r12vrr_stack+18475, r12vrr_stack+18163, r12vrr_stack+18397, r12vrr_stack+18085, r12vrr_stack+13651);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19879, r12vrr_stack+19411, r12vrr_stack+18943, r12vrr_stack+18475, r12vrr_stack+18163, r12vrr_stack+14311);
 tmp = r12vrr_stack + 19879;
 target_ptr = Libr12->gvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13651, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13654, r12vrr_stack+3, r12vrr_stack+13651, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+9889, r12vrr_stack+13654, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13660, r12vrr_stack+6853, r12vrr_stack+40, r12vrr_stack+6728, r12vrr_stack+9889, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13675, r12vrr_stack+9895, r12vrr_stack+13660, r12vrr_stack+2464, r12vrr_stack+6853, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13696, r12vrr_stack+9910, r12vrr_stack+13675, r12vrr_stack+111, r12vrr_stack+9895, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13724, r12vrr_stack+9931, r12vrr_stack+13696, r12vrr_stack+367, r12vrr_stack+9910, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13760, r12vrr_stack+9959, r12vrr_stack+13724, r12vrr_stack+6734, r12vrr_stack+9931, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6704, r12vrr_stack+9995, r12vrr_stack+13760, r12vrr_stack+6762, r12vrr_stack+9959, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20659, r12vrr_stack+4209, r12vrr_stack+6704, r12vrr_stack+2390, r12vrr_stack+9995, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20725, r12vrr_stack+4264, r12vrr_stack+20659, r12vrr_stack+6798, r12vrr_stack+4209, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20803, r12vrr_stack+9779, r12vrr_stack+20725, NULL, NULL, r12vrr_stack+4264);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21037, r12vrr_stack+18709, r12vrr_stack+20803, r12vrr_stack+18007, r12vrr_stack+9779, r12vrr_stack+15763);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21505, r12vrr_stack+18943, r12vrr_stack+21037, r12vrr_stack+18163, r12vrr_stack+18709, r12vrr_stack+15961);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+22285, r12vrr_stack+19879, r12vrr_stack+21505, r12vrr_stack+19411, r12vrr_stack+18943, r12vrr_stack+16357);
 tmp = r12vrr_stack + 22285;
 target_ptr = Libr12->gvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23455, r12vrr_stack+18007, r12vrr_stack+9779, r12vrr_stack+13519, r12vrr_stack+6638, NULL);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23546, r12vrr_stack+18085, r12vrr_stack+18007, r12vrr_stack+13585, r12vrr_stack+13519, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23637, r12vrr_stack+23546, r12vrr_stack+23455, NULL, NULL, r12vrr_stack+18007);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23910, r12vrr_stack+18397, r12vrr_stack+18085, r12vrr_stack+13849, r12vrr_stack+13585, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24001, r12vrr_stack+23910, r12vrr_stack+23546, NULL, NULL, r12vrr_stack+18085);

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+13519, r12vrr_stack+9779, r12vrr_stack+20725, r12vrr_stack+6638, r12vrr_stack+4264, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24274, r12vrr_stack+23455, r12vrr_stack+13519, NULL, NULL, r12vrr_stack+9779);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24547, r12vrr_stack+23637, r12vrr_stack+24274, r12vrr_stack+23546, r12vrr_stack+23455, r12vrr_stack+18709);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+25093, r12vrr_stack+24001, r12vrr_stack+23637, r12vrr_stack+23910, r12vrr_stack+23546, r12vrr_stack+18163);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+25639, r12vrr_stack+25093, r12vrr_stack+24547, r12vrr_stack+24001, r12vrr_stack+23637, r12vrr_stack+18943);
 tmp = r12vrr_stack + 25639;
 target_ptr = Libr12->gvrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+18163, r12vrr_stack+13651, r12vrr_stack+31, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2464, r12vrr_stack+13654, r12vrr_stack+18163, r12vrr_stack+3, r12vrr_stack+13651, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+40, r12vrr_stack+2464, r12vrr_stack+9889, r12vrr_stack+13654, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18169, r12vrr_stack+13660, r12vrr_stack+111, r12vrr_stack+6853, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18190, r12vrr_stack+13675, r12vrr_stack+18169, r12vrr_stack+9895, r12vrr_stack+13660, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18218, r12vrr_stack+13696, r12vrr_stack+18190, r12vrr_stack+9910, r12vrr_stack+13675, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18254, r12vrr_stack+13724, r12vrr_stack+18218, r12vrr_stack+9931, r12vrr_stack+13696, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18299, r12vrr_stack+13760, r12vrr_stack+18254, r12vrr_stack+9959, r12vrr_stack+13724, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+9857, r12vrr_stack+6704, r12vrr_stack+18299, r12vrr_stack+9995, r12vrr_stack+13760, NULL);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9923, r12vrr_stack+20659, r12vrr_stack+9857, r12vrr_stack+4209, r12vrr_stack+6704, NULL);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+26549, r12vrr_stack+20725, r12vrr_stack+9923, r12vrr_stack+4264, r12vrr_stack+20659, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+26640, r12vrr_stack+13519, r12vrr_stack+26549, NULL, NULL, r12vrr_stack+20725);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+26913, r12vrr_stack+24274, r12vrr_stack+26640, r12vrr_stack+23455, r12vrr_stack+13519, r12vrr_stack+20803);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+27459, r12vrr_stack+24547, r12vrr_stack+26913, r12vrr_stack+23637, r12vrr_stack+24274, r12vrr_stack+21037);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+28369, r12vrr_stack+25639, r12vrr_stack+27459, r12vrr_stack+25093, r12vrr_stack+24547, r12vrr_stack+21505);
 tmp = r12vrr_stack + 28369;
 target_ptr = Libr12->gvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+29734, r12vrr_stack+23455, r12vrr_stack+13519, r12vrr_stack+18007, r12vrr_stack+9779, NULL);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+29839, r12vrr_stack+23546, r12vrr_stack+23455, r12vrr_stack+18085, r12vrr_stack+18007, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+29944, r12vrr_stack+29839, r12vrr_stack+29734, NULL, NULL, r12vrr_stack+23455);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30259, r12vrr_stack+23910, r12vrr_stack+23546, r12vrr_stack+18397, r12vrr_stack+18085, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30364, r12vrr_stack+30259, r12vrr_stack+29839, NULL, NULL, r12vrr_stack+23546);

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+23455, r12vrr_stack+13519, r12vrr_stack+26549, r12vrr_stack+9779, r12vrr_stack+20725, NULL);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30679, r12vrr_stack+29734, r12vrr_stack+23455, NULL, NULL, r12vrr_stack+13519);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30994, r12vrr_stack+29944, r12vrr_stack+30679, r12vrr_stack+29839, r12vrr_stack+29734, r12vrr_stack+24274);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+31624, r12vrr_stack+30364, r12vrr_stack+29944, r12vrr_stack+30259, r12vrr_stack+29839, r12vrr_stack+23637);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+32254, r12vrr_stack+31624, r12vrr_stack+30994, r12vrr_stack+30364, r12vrr_stack+29944, r12vrr_stack+24547);
 tmp = r12vrr_stack + 32254;
 target_ptr = Libr12->gvrr_classes[3][13];
 for(i=0;i<1050;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+196, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+29839, r12vrr_stack+15, r12vrr_stack+34, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+29857, r12vrr_stack+1115, r12vrr_stack+29839, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+196);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+29893, r12vrr_stack+126, r12vrr_stack+101, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+30259, r12vrr_stack+1133, r12vrr_stack+29893, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+29839);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+30319, r12vrr_stack+1163, r12vrr_stack+30259, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+29857);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+29839, r12vrr_stack+554, r12vrr_stack+205, NULL, NULL, r12vrr_stack+101);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1115, r12vrr_stack+1223, r12vrr_stack+29839, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+29893);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+30419, r12vrr_stack+1268, r12vrr_stack+1115, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+30259);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+23560, r12vrr_stack+1358, r12vrr_stack+30419, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+30319);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+241, r12vrr_stack+220, r12vrr_stack+80, NULL, NULL, r12vrr_stack+205);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30259, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+29839);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1205, r12vrr_stack+1571, r12vrr_stack+30259, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+1115);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33304, r12vrr_stack+1697, r12vrr_stack+1205, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+30419);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33619, r12vrr_stack+1907, r12vrr_stack+33304, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+23560);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+23560, r12vrr_stack+389, r12vrr_stack+2436, NULL, NULL, r12vrr_stack+80);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+23644, r12vrr_stack+2922, r12vrr_stack+23560, r12vrr_stack+2278, r12vrr_stack+389, r12vrr_stack+241);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30385, r12vrr_stack+3006, r12vrr_stack+23644, r12vrr_stack+2306, r12vrr_stack+2922, r12vrr_stack+30259);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1415, r12vrr_stack+3174, r12vrr_stack+30385, r12vrr_stack+2474, r12vrr_stack+3006, r12vrr_stack+1205);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+34060, r12vrr_stack+3734, r12vrr_stack+1415, r12vrr_stack+3454, r12vrr_stack+3174, r12vrr_stack+33304);
 tmp = r12vrr_stack + 34060;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+33304, r12vrr_stack+5378, r12vrr_stack+8168, NULL, NULL, r12vrr_stack+2436);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+5414, r12vrr_stack+33304, r12vrr_stack+331, r12vrr_stack+5378, r12vrr_stack+23560);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+34648, r12vrr_stack+5522, r12vrr_stack+2922, r12vrr_stack+4478, r12vrr_stack+5414, r12vrr_stack+23644);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35008, r12vrr_stack+5738, r12vrr_stack+34648, r12vrr_stack+4586, r12vrr_stack+5522, r12vrr_stack+30385);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35548, r12vrr_stack+6098, r12vrr_stack+35008, r12vrr_stack+5018, r12vrr_stack+5738, r12vrr_stack+1415);
 tmp = r12vrr_stack + 35548;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4478, r12vrr_stack+8204, r12vrr_stack+2390, NULL, NULL, r12vrr_stack+8168);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23560, r12vrr_stack+8249, r12vrr_stack+4478, r12vrr_stack+2222, r12vrr_stack+8204, r12vrr_stack+33304);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5378, r12vrr_stack+8384, r12vrr_stack+23560, r12vrr_stack+7043, r12vrr_stack+8249, r12vrr_stack+2922);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+8654, r12vrr_stack+5378, r12vrr_stack+7178, r12vrr_stack+8384, r12vrr_stack+34648);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36304, r12vrr_stack+9104, r12vrr_stack+1115, r12vrr_stack+7718, r12vrr_stack+8654, r12vrr_stack+35008);
 tmp = r12vrr_stack + 36304;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34648, r12vrr_stack+6798, r12vrr_stack+4209, NULL, NULL, r12vrr_stack+2390);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34813, r12vrr_stack+11649, r12vrr_stack+34648, r12vrr_stack+4154, r12vrr_stack+6798, r12vrr_stack+4478);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8168, r12vrr_stack+11814, r12vrr_stack+34813, r12vrr_stack+10274, r12vrr_stack+11649, r12vrr_stack+23560);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37249, r12vrr_stack+12144, r12vrr_stack+8168, r12vrr_stack+10439, r12vrr_stack+11814, r12vrr_stack+5378);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38074, r12vrr_stack+12694, r12vrr_stack+37249, r12vrr_stack+11099, r12vrr_stack+12144, r12vrr_stack+1115);
 tmp = r12vrr_stack + 38074;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1115, r12vrr_stack+4264, r12vrr_stack+20659, NULL, NULL, r12vrr_stack+4209);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1313, r12vrr_stack+15763, r12vrr_stack+1115, r12vrr_stack+6638, r12vrr_stack+4264, r12vrr_stack+34648);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+5378, r12vrr_stack+15961, r12vrr_stack+1313, r12vrr_stack+14113, r12vrr_stack+15763, r12vrr_stack+34813);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11649, r12vrr_stack+16357, r12vrr_stack+5378, r12vrr_stack+14311, r12vrr_stack+15961, r12vrr_stack+8168);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39229, r12vrr_stack+17017, r12vrr_stack+11649, r12vrr_stack+15103, r12vrr_stack+16357, r12vrr_stack+37249);
 tmp = r12vrr_stack + 39229;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37249, r12vrr_stack+20725, r12vrr_stack+9923, NULL, NULL, r12vrr_stack+20659);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37483, r12vrr_stack+20803, r12vrr_stack+37249, r12vrr_stack+9779, r12vrr_stack+20725, r12vrr_stack+1115);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+8168, r12vrr_stack+21037, r12vrr_stack+37483, r12vrr_stack+18709, r12vrr_stack+20803, r12vrr_stack+1313);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+15763, r12vrr_stack+21505, r12vrr_stack+8168, r12vrr_stack+18943, r12vrr_stack+21037, r12vrr_stack+5378);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+40615, r12vrr_stack+22285, r12vrr_stack+15763, r12vrr_stack+19879, r12vrr_stack+21505, r12vrr_stack+11649);
 tmp = r12vrr_stack + 40615;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+11649, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+11649, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+11649, r12vrr_stack+18163, r12vrr_stack+34, r12vrr_stack+13651, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+11659, r12vrr_stack+2464, r12vrr_stack+11649, r12vrr_stack+13654, r12vrr_stack+18163, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11674, r12vrr_stack+111, r12vrr_stack+11659, r12vrr_stack+40, r12vrr_stack+2464, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11695, r12vrr_stack+18169, r12vrr_stack+11674, r12vrr_stack+13660, r12vrr_stack+111, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11649, r12vrr_stack+18190, r12vrr_stack+11695, r12vrr_stack+13675, r12vrr_stack+18169, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11685, r12vrr_stack+18218, r12vrr_stack+11649, r12vrr_stack+13696, r12vrr_stack+18190, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11730, r12vrr_stack+18254, r12vrr_stack+11685, r12vrr_stack+13724, r12vrr_stack+18218, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6638, r12vrr_stack+18299, r12vrr_stack+11730, r12vrr_stack+13760, r12vrr_stack+18254, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9779, r12vrr_stack+9857, r12vrr_stack+6638, r12vrr_stack+6704, r12vrr_stack+18299, NULL);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+6638, r12vrr_stack+9923, r12vrr_stack+9779, r12vrr_stack+20659, r12vrr_stack+9857, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+11649, r12vrr_stack+26549, r12vrr_stack+6638, NULL, NULL, r12vrr_stack+9923);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+11922, r12vrr_stack+26640, r12vrr_stack+11649, r12vrr_stack+13519, r12vrr_stack+26549, r12vrr_stack+37249);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+20803, r12vrr_stack+26913, r12vrr_stack+11922, r12vrr_stack+24274, r12vrr_stack+26640, r12vrr_stack+37483);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+42253, r12vrr_stack+27459, r12vrr_stack+20803, r12vrr_stack+24547, r12vrr_stack+26913, r12vrr_stack+8168);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+43618, r12vrr_stack+28369, r12vrr_stack+42253, r12vrr_stack+25639, r12vrr_stack+27459, r12vrr_stack+15763);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+29839, r12vrr_stack+26549, r12vrr_stack+6638, r12vrr_stack+20725, r12vrr_stack+9923, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+33304, r12vrr_stack+23455, r12vrr_stack+29839, NULL, NULL, r12vrr_stack+26549);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+15763, r12vrr_stack+30679, r12vrr_stack+33304, r12vrr_stack+29734, r12vrr_stack+23455, r12vrr_stack+26640);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+42253, r12vrr_stack+30994, r12vrr_stack+15763, r12vrr_stack+29944, r12vrr_stack+30679, r12vrr_stack+26913);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+20659, r12vrr_stack+32254, r12vrr_stack+42253, r12vrr_stack+31624, r12vrr_stack+30994, r12vrr_stack+27459);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+42253, &(Data->ss_r12_ss), NULL, r12vrr_stack+436, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+42256, r12vrr_stack+42253, &(Data->ss_r12_ss), r12vrr_stack+439, r12vrr_stack+436, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+42262, r12vrr_stack+42256, r12vrr_stack+42253, r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+436, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+42272, r12vrr_stack+42262, r12vrr_stack+42256, r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+439, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+42287, r12vrr_stack+42272, r12vrr_stack+42262, r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+445, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+42308, r12vrr_stack+42287, r12vrr_stack+42272, r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+455, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+42336, r12vrr_stack+42308, NULL, r12vrr_stack+2670, r12vrr_stack+2642, NULL, r12vrr_stack+470);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+42420, r12vrr_stack+42336, r12vrr_stack+42308, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+491);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+491, r12vrr_stack+42420, r12vrr_stack+42336, r12vrr_stack+3454, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+779);
 tmp = r12vrr_stack + 491;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+42336, r12vrr_stack+42308, r12vrr_stack+42287, r12vrr_stack+4334, r12vrr_stack+2642, r12vrr_stack+470, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+771, r12vrr_stack+42336, NULL, r12vrr_stack+4370, r12vrr_stack+4334, NULL, r12vrr_stack+2642);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+42588, r12vrr_stack+771, r12vrr_stack+42336, r12vrr_stack+4802, r12vrr_stack+4370, r12vrr_stack+4334, r12vrr_stack+2670);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+42804, r12vrr_stack+42588, r12vrr_stack+771, r12vrr_stack+5018, r12vrr_stack+4802, r12vrr_stack+4370, r12vrr_stack+2754);
 tmp = r12vrr_stack + 42804;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+771, r12vrr_stack+42336, r12vrr_stack+42308, r12vrr_stack+6863, r12vrr_stack+4334, r12vrr_stack+2642, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+43164, r12vrr_stack+771, NULL, r12vrr_stack+6908, r12vrr_stack+6863, NULL, r12vrr_stack+4334);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+43299, r12vrr_stack+43164, r12vrr_stack+771, r12vrr_stack+7448, r12vrr_stack+6908, r12vrr_stack+6863, r12vrr_stack+4370);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+15763, r12vrr_stack+43299, r12vrr_stack+43164, r12vrr_stack+7718, r12vrr_stack+7448, r12vrr_stack+6908, r12vrr_stack+4802);
 tmp = r12vrr_stack + 15763;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+43164, r12vrr_stack+771, r12vrr_stack+42336, r12vrr_stack+10054, r12vrr_stack+6863, r12vrr_stack+4334, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42253, r12vrr_stack+43164, NULL, r12vrr_stack+10109, r12vrr_stack+10054, NULL, r12vrr_stack+6863);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13519, r12vrr_stack+42253, r12vrr_stack+43164, r12vrr_stack+10769, r12vrr_stack+10109, r12vrr_stack+10054, r12vrr_stack+6908);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+16213, r12vrr_stack+13519, r12vrr_stack+42253, r12vrr_stack+11099, r12vrr_stack+10769, r12vrr_stack+10109, r12vrr_stack+7448);
 tmp = r12vrr_stack + 16213;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42253, r12vrr_stack+43164, r12vrr_stack+771, r12vrr_stack+13849, r12vrr_stack+10054, r12vrr_stack+6863, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+16763, r12vrr_stack+42253, NULL, r12vrr_stack+13915, r12vrr_stack+13849, NULL, r12vrr_stack+10054);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23455, r12vrr_stack+16763, r12vrr_stack+42253, r12vrr_stack+14707, r12vrr_stack+13915, r12vrr_stack+13849, r12vrr_stack+10109);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10109, r12vrr_stack+23455, r12vrr_stack+16763, r12vrr_stack+15103, r12vrr_stack+14707, r12vrr_stack+13915, r12vrr_stack+10769);
 tmp = r12vrr_stack + 10109;
 target_ptr = Libr12->rvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+16763, r12vrr_stack+42253, r12vrr_stack+43164, r12vrr_stack+18397, r12vrr_stack+13849, r12vrr_stack+10054, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+29734, r12vrr_stack+16763, NULL, r12vrr_stack+18475, r12vrr_stack+18397, NULL, r12vrr_stack+13849);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+29968, r12vrr_stack+29734, r12vrr_stack+16763, r12vrr_stack+19411, r12vrr_stack+18475, r12vrr_stack+18397, r12vrr_stack+13915);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13915, r12vrr_stack+29968, r12vrr_stack+29734, r12vrr_stack+19879, r12vrr_stack+19411, r12vrr_stack+18475, r12vrr_stack+14707);
 tmp = r12vrr_stack + 13915;
 target_ptr = Libr12->rvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+29734, r12vrr_stack+16763, r12vrr_stack+42253, r12vrr_stack+23910, r12vrr_stack+18397, r12vrr_stack+13849, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30436, r12vrr_stack+29734, NULL, r12vrr_stack+24001, r12vrr_stack+23910, NULL, r12vrr_stack+18397);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30709, r12vrr_stack+30436, r12vrr_stack+29734, r12vrr_stack+25093, r12vrr_stack+24001, r12vrr_stack+23910, r12vrr_stack+18475);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+26549, r12vrr_stack+30709, r12vrr_stack+30436, r12vrr_stack+25639, r12vrr_stack+25093, r12vrr_stack+24001, r12vrr_stack+19411);
 tmp = r12vrr_stack + 26549;
 target_ptr = Libr12->rvrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23851, r12vrr_stack+3454, r12vrr_stack+5018, r12vrr_stack+3734, r12vrr_stack+1907, r12vrr_stack+905);
 tmp = r12vrr_stack + 23851;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24131, r12vrr_stack+5018, r12vrr_stack+7718, r12vrr_stack+6098, r12vrr_stack+3734, r12vrr_stack+3454);
 tmp = r12vrr_stack + 24131;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24491, r12vrr_stack+7718, r12vrr_stack+11099, r12vrr_stack+9104, r12vrr_stack+6098, r12vrr_stack+5018);
 tmp = r12vrr_stack + 24491;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+27459, r12vrr_stack+11099, r12vrr_stack+15103, r12vrr_stack+12694, r12vrr_stack+9104, r12vrr_stack+7718);
 tmp = r12vrr_stack + 27459;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6638, r12vrr_stack+15103, r12vrr_stack+19879, r12vrr_stack+17017, r12vrr_stack+12694, r12vrr_stack+11099);
 tmp = r12vrr_stack + 6638;
 target_ptr = Libr12->t2vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+8168, r12vrr_stack+19879, r12vrr_stack+25639, r12vrr_stack+22285, r12vrr_stack+17017, r12vrr_stack+15103);
 tmp = r12vrr_stack + 8168;
 target_ptr = Libr12->t2vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+11649, r12vrr_stack+25639, r12vrr_stack+32254, r12vrr_stack+28369, r12vrr_stack+22285, r12vrr_stack+19879);
 tmp = r12vrr_stack + 11649;
 target_ptr = Libr12->t2vrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+37249, r12vrr_stack+3734, r12vrr_stack+6098, r12vrr_stack+34060, r12vrr_stack+33619, r12vrr_stack+1907);
 tmp = r12vrr_stack + 37249;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33304, r12vrr_stack+6098, r12vrr_stack+9104, r12vrr_stack+35548, r12vrr_stack+34060, r12vrr_stack+3734);
 tmp = r12vrr_stack + 33304;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5378, r12vrr_stack+9104, r12vrr_stack+12694, r12vrr_stack+36304, r12vrr_stack+35548, r12vrr_stack+6098);
 tmp = r12vrr_stack + 5378;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+1115, r12vrr_stack+12694, r12vrr_stack+17017, r12vrr_stack+38074, r12vrr_stack+36304, r12vrr_stack+9104);
 tmp = r12vrr_stack + 1115;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+18007, r12vrr_stack+17017, r12vrr_stack+22285, r12vrr_stack+39229, r12vrr_stack+38074, r12vrr_stack+12694);
 tmp = r12vrr_stack + 18007;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+45529, r12vrr_stack+22285, r12vrr_stack+28369, r12vrr_stack+40615, r12vrr_stack+39229, r12vrr_stack+17017);
 tmp = r12vrr_stack + 45529;
 target_ptr = Libr12->t2vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+46699, r12vrr_stack+28369, r12vrr_stack+20659, r12vrr_stack+43618, r12vrr_stack+40615, r12vrr_stack+22285);
 tmp = r12vrr_stack + 46699;
 target_ptr = Libr12->t2vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31255, r12vrr_stack+3454, r12vrr_stack+3734, r12vrr_stack+5018, r12vrr_stack+4802, r12vrr_stack+2754);
 tmp = r12vrr_stack + 31255;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+28009, r12vrr_stack+5018, r12vrr_stack+6098, r12vrr_stack+7718, r12vrr_stack+7448, r12vrr_stack+4802);
 tmp = r12vrr_stack + 28009;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1940, r12vrr_stack+7718, r12vrr_stack+9104, r12vrr_stack+11099, r12vrr_stack+10769, r12vrr_stack+7448);
 tmp = r12vrr_stack + 1940;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+34648, r12vrr_stack+11099, r12vrr_stack+12694, r12vrr_stack+15103, r12vrr_stack+14707, r12vrr_stack+10769);
 tmp = r12vrr_stack + 34648;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+48064, r12vrr_stack+15103, r12vrr_stack+17017, r12vrr_stack+19879, r12vrr_stack+19411, r12vrr_stack+14707);
 tmp = r12vrr_stack + 48064;
 target_ptr = Libr12->t1vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+48724, r12vrr_stack+19879, r12vrr_stack+22285, r12vrr_stack+25639, r12vrr_stack+25093, r12vrr_stack+19411);
 tmp = r12vrr_stack + 48724;
 target_ptr = Libr12->t1vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+49504, r12vrr_stack+25639, r12vrr_stack+28369, r12vrr_stack+32254, r12vrr_stack+31624, r12vrr_stack+25093);
 tmp = r12vrr_stack + 49504;
 target_ptr = Libr12->t1vrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31535, r12vrr_stack+3734, r12vrr_stack+34060, r12vrr_stack+6098, r12vrr_stack+5018, r12vrr_stack+3454);
 tmp = r12vrr_stack + 31535;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33844, r12vrr_stack+6098, r12vrr_stack+35548, r12vrr_stack+9104, r12vrr_stack+7718, r12vrr_stack+5018);
 tmp = r12vrr_stack + 33844;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+35198, r12vrr_stack+9104, r12vrr_stack+36304, r12vrr_stack+12694, r12vrr_stack+11099, r12vrr_stack+7718);
 tmp = r12vrr_stack + 35198;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+35873, r12vrr_stack+12694, r12vrr_stack+38074, r12vrr_stack+17017, r12vrr_stack+15103, r12vrr_stack+11099);
 tmp = r12vrr_stack + 35873;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+37669, r12vrr_stack+17017, r12vrr_stack+39229, r12vrr_stack+22285, r12vrr_stack+19879, r12vrr_stack+15103);
 tmp = r12vrr_stack + 37669;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+38659, r12vrr_stack+22285, r12vrr_stack+40615, r12vrr_stack+28369, r12vrr_stack+25639, r12vrr_stack+19879);
 tmp = r12vrr_stack + 38659;
 target_ptr = Libr12->t1vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+39829, r12vrr_stack+28369, r12vrr_stack+43618, r12vrr_stack+20659, r12vrr_stack+32254, r12vrr_stack+25639);
 tmp = r12vrr_stack + 39829;
 target_ptr = Libr12->t1vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+20659, r12vrr_stack+491, r12vrr_stack+42420, r12vrr_stack+3734, r12vrr_stack+3454, r12vrr_stack+2754, r12vrr_stack+905);
 tmp = r12vrr_stack + 20659;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+3734, r12vrr_stack+42804, r12vrr_stack+42588, r12vrr_stack+6098, r12vrr_stack+5018, r12vrr_stack+4802, r12vrr_stack+3454);
 tmp = r12vrr_stack + 3734;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+4274, r12vrr_stack+15763, r12vrr_stack+43299, r12vrr_stack+9104, r12vrr_stack+7718, r12vrr_stack+7448, r12vrr_stack+5018);
 tmp = r12vrr_stack + 4274;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+21079, r12vrr_stack+16213, r12vrr_stack+13519, r12vrr_stack+12694, r12vrr_stack+11099, r12vrr_stack+10769, r12vrr_stack+7718);
 tmp = r12vrr_stack + 21079;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+15763, r12vrr_stack+10109, r12vrr_stack+23455, r12vrr_stack+17017, r12vrr_stack+15103, r12vrr_stack+14707, r12vrr_stack+11099);
 tmp = r12vrr_stack + 15763;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+16753, r12vrr_stack+13915, r12vrr_stack+29968, r12vrr_stack+22285, r12vrr_stack+19879, r12vrr_stack+19411, r12vrr_stack+15103);
 tmp = r12vrr_stack + 16753;
 target_ptr = Libr12->rvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+21904, r12vrr_stack+26549, r12vrr_stack+30709, r12vrr_stack+28369, r12vrr_stack+25639, r12vrr_stack+25093, r12vrr_stack+19879);
 tmp = r12vrr_stack + 21904;
 target_ptr = Libr12->rvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];


}

