#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_g0i0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+800, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+758, r12vrr_stack+800, NULL, NULL, r12vrr_stack+204);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+884, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+947, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+234);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+58, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+61, r12vrr_stack+58, r12vrr_stack+279, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+282, r12vrr_stack+58, r12vrr_stack+279, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+288, r12vrr_stack+61, r12vrr_stack+282, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+298, r12vrr_stack+1073, r12vrr_stack+288, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1119, r12vrr_stack+1098, r12vrr_stack+779, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+313);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+313, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+316, r12vrr_stack+49, r12vrr_stack+313, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+322, r12vrr_stack+52, r12vrr_stack+316, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+332, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1329, r12vrr_stack+800, r12vrr_stack+1308, NULL, NULL, r12vrr_stack+368);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+383);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+428);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1728, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+518);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1938, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+608);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+347, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+279, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2253, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+347);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+0, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2289, r12vrr_stack+84, r12vrr_stack+0, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+279);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2349, r12vrr_stack+144, r12vrr_stack+2289, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+2253);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+67, r12vrr_stack+368, r12vrr_stack+332, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+112, r12vrr_stack+383, r12vrr_stack+67, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+0);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2449, r12vrr_stack+428, r12vrr_stack+112, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+2289);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2599, r12vrr_stack+608, r12vrr_stack+2449, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+2349);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+383, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+386, r12vrr_stack+313, r12vrr_stack+383, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+392, r12vrr_stack+316, r12vrr_stack+386, r12vrr_stack+49, r12vrr_stack+313, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+402, r12vrr_stack+322, r12vrr_stack+392, r12vrr_stack+52, r12vrr_stack+316, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+417, r12vrr_stack+332, r12vrr_stack+402, r12vrr_stack+358, r12vrr_stack+322, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+438, r12vrr_stack+1308, r12vrr_stack+417, NULL, NULL, r12vrr_stack+332);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+501, r12vrr_stack+1329, r12vrr_stack+438, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+67);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2824, r12vrr_stack+1392, r12vrr_stack+501, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+112);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3034, r12vrr_stack+1518, r12vrr_stack+2824, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+2449);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3349, r12vrr_stack+1938, r12vrr_stack+3034, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+2599);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+67, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+95, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+123, r12vrr_stack+95, r12vrr_stack+67, NULL, NULL, r12vrr_stack+800);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+627, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+207, r12vrr_stack+627, r12vrr_stack+95, NULL, NULL, r12vrr_stack+758);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+655, r12vrr_stack+1308, r12vrr_stack+417, r12vrr_stack+368, r12vrr_stack+332, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+67, r12vrr_stack+655, NULL, NULL, r12vrr_stack+1308);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2337, r12vrr_stack+123, r12vrr_stack+2253, r12vrr_stack+95, r12vrr_stack+67, r12vrr_stack+1329);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2505, r12vrr_stack+207, r12vrr_stack+123, r12vrr_stack+627, r12vrr_stack+95, r12vrr_stack+821);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3790, r12vrr_stack+2505, r12vrr_stack+2337, r12vrr_stack+207, r12vrr_stack+123, r12vrr_stack+1392);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+1083, r12vrr_stack+298, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1329, r12vrr_stack+821, r12vrr_stack+627, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4070, r12vrr_stack+1329, r12vrr_stack+207, r12vrr_stack+821, r12vrr_stack+627, r12vrr_stack+884);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4238, r12vrr_stack+4070, r12vrr_stack+2505, r12vrr_stack+1329, r12vrr_stack+207, r12vrr_stack+947);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+849, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+852, r12vrr_stack+383, r12vrr_stack+849, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+858, r12vrr_stack+386, r12vrr_stack+852, r12vrr_stack+313, r12vrr_stack+383, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+868, r12vrr_stack+392, r12vrr_stack+858, r12vrr_stack+316, r12vrr_stack+386, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+883, r12vrr_stack+402, r12vrr_stack+868, r12vrr_stack+322, r12vrr_stack+392, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+849, r12vrr_stack+417, r12vrr_stack+883, r12vrr_stack+332, r12vrr_stack+402, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+877, r12vrr_stack+655, r12vrr_stack+849, NULL, NULL, r12vrr_stack+417);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4518, r12vrr_stack+2253, r12vrr_stack+877, r12vrr_stack+67, r12vrr_stack+655, r12vrr_stack+438);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4686, r12vrr_stack+2337, r12vrr_stack+4518, r12vrr_stack+123, r12vrr_stack+2253, r12vrr_stack+501);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4966, r12vrr_stack+3790, r12vrr_stack+4686, r12vrr_stack+2505, r12vrr_stack+2337, r12vrr_stack+2824);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4518, r12vrr_stack+4238, r12vrr_stack+3790, r12vrr_stack+4070, r12vrr_stack+2505, r12vrr_stack+1518);
 tmp = r12vrr_stack + 4518;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5386, r12vrr_stack+4518, r12vrr_stack+4966, r12vrr_stack+4238, r12vrr_stack+3790, r12vrr_stack+3034);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4938, r12vrr_stack+95, r12vrr_stack+67, r12vrr_stack+758, r12vrr_stack+800, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4974, r12vrr_stack+627, r12vrr_stack+95, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5010, r12vrr_stack+67, r12vrr_stack+655, r12vrr_stack+800, r12vrr_stack+1308, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5046, r12vrr_stack+4938, r12vrr_stack+5010, NULL, NULL, r12vrr_stack+67);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5154, r12vrr_stack+4974, r12vrr_stack+4938, NULL, NULL, r12vrr_stack+95);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1413, r12vrr_stack+5154, r12vrr_stack+5046, r12vrr_stack+4974, r12vrr_stack+4938, r12vrr_stack+123);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+67, r12vrr_stack+821, r12vrr_stack+627, r12vrr_stack+1098, r12vrr_stack+779, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5262, r12vrr_stack+67, r12vrr_stack+4974, NULL, NULL, r12vrr_stack+627);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+438, r12vrr_stack+5262, r12vrr_stack+5154, r12vrr_stack+67, r12vrr_stack+4974, r12vrr_stack+207);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4974, r12vrr_stack+655, r12vrr_stack+849, r12vrr_stack+1308, r12vrr_stack+417, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+849, r12vrr_stack+5010, r12vrr_stack+4974, NULL, NULL, r12vrr_stack+655);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+67, r12vrr_stack+5046, r12vrr_stack+849, r12vrr_stack+4938, r12vrr_stack+5010, r12vrr_stack+2253);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2673, r12vrr_stack+1413, r12vrr_stack+67, r12vrr_stack+5154, r12vrr_stack+5046, r12vrr_stack+2337);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+67, r12vrr_stack+438, r12vrr_stack+1413, r12vrr_stack+5262, r12vrr_stack+5154, r12vrr_stack+2505);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5974, r12vrr_stack+67, r12vrr_stack+2673, r12vrr_stack+438, r12vrr_stack+1413, r12vrr_stack+3790);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3790, &(Data->ss_r12_ss), NULL, r12vrr_stack+58, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+3793, r12vrr_stack+3790, &(Data->ss_r12_ss), r12vrr_stack+61, r12vrr_stack+58, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+3799, r12vrr_stack+3793, r12vrr_stack+3790, r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+58, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+3809, r12vrr_stack+3799, r12vrr_stack+3793, r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+61, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+1308, r12vrr_stack+3809, r12vrr_stack+3799, r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+1073, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+3824, r12vrr_stack+1308, r12vrr_stack+3809, r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+1083, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+3852, r12vrr_stack+3824, NULL, r12vrr_stack+1329, r12vrr_stack+821, NULL, r12vrr_stack+1098);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+1413, r12vrr_stack+3852, r12vrr_stack+3824, r12vrr_stack+4070, r12vrr_stack+1329, r12vrr_stack+821, r12vrr_stack+1119);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+427, r12vrr_stack+1413, r12vrr_stack+3852, r12vrr_stack+4238, r12vrr_stack+4070, r12vrr_stack+1329, r12vrr_stack+1182);

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+707, r12vrr_stack+4518, r12vrr_stack+5974, r12vrr_stack+5386, r12vrr_stack+3349, r12vrr_stack+1938);
 tmp = r12vrr_stack + 707;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1938, r12vrr_stack+4518, r12vrr_stack+5386, r12vrr_stack+5974, r12vrr_stack+67, r12vrr_stack+4238);
 tmp = r12vrr_stack + 1938;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+2358, r12vrr_stack+427, r12vrr_stack+1413, r12vrr_stack+4518, r12vrr_stack+4238, r12vrr_stack+4070, r12vrr_stack+1728);
 tmp = r12vrr_stack + 2358;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];


}

