#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_g0ig(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+800, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+758, r12vrr_stack+800, NULL, NULL, r12vrr_stack+204);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+884, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+947, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+234);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+58, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+61, r12vrr_stack+58, r12vrr_stack+279, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+282, r12vrr_stack+58, r12vrr_stack+279, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+288, r12vrr_stack+61, r12vrr_stack+282, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+298, r12vrr_stack+1073, r12vrr_stack+288, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1119, r12vrr_stack+1098, r12vrr_stack+779, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+313);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+313, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+316, r12vrr_stack+49, r12vrr_stack+313, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+322, r12vrr_stack+52, r12vrr_stack+316, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+332, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1329, r12vrr_stack+800, r12vrr_stack+1308, NULL, NULL, r12vrr_stack+368);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+383);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+428);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1728, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+518);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1938, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+608);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+347, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+279, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2253, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+347);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+0, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2289, r12vrr_stack+84, r12vrr_stack+0, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+279);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2349, r12vrr_stack+144, r12vrr_stack+2289, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+2253);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+67, r12vrr_stack+368, r12vrr_stack+332, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+112, r12vrr_stack+383, r12vrr_stack+67, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+0);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2449, r12vrr_stack+428, r12vrr_stack+112, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+2289);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2599, r12vrr_stack+608, r12vrr_stack+2449, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+2349);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+383, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+386, r12vrr_stack+313, r12vrr_stack+383, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+392, r12vrr_stack+316, r12vrr_stack+386, r12vrr_stack+49, r12vrr_stack+313, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+402, r12vrr_stack+322, r12vrr_stack+392, r12vrr_stack+52, r12vrr_stack+316, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+417, r12vrr_stack+332, r12vrr_stack+402, r12vrr_stack+358, r12vrr_stack+322, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+438, r12vrr_stack+1308, r12vrr_stack+417, NULL, NULL, r12vrr_stack+332);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+501, r12vrr_stack+1329, r12vrr_stack+438, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+67);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2824, r12vrr_stack+1392, r12vrr_stack+501, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+112);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3034, r12vrr_stack+1518, r12vrr_stack+2824, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+2449);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3349, r12vrr_stack+1938, r12vrr_stack+3034, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+2599);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+67, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+95, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+123, r12vrr_stack+95, r12vrr_stack+67, NULL, NULL, r12vrr_stack+800);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+627, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+207, r12vrr_stack+627, r12vrr_stack+95, NULL, NULL, r12vrr_stack+758);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+655, r12vrr_stack+1308, r12vrr_stack+417, r12vrr_stack+368, r12vrr_stack+332, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+67, r12vrr_stack+655, NULL, NULL, r12vrr_stack+1308);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2337, r12vrr_stack+123, r12vrr_stack+2253, r12vrr_stack+95, r12vrr_stack+67, r12vrr_stack+1329);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2505, r12vrr_stack+207, r12vrr_stack+123, r12vrr_stack+627, r12vrr_stack+95, r12vrr_stack+821);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3790, r12vrr_stack+2505, r12vrr_stack+2337, r12vrr_stack+207, r12vrr_stack+123, r12vrr_stack+1392);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+1083, r12vrr_stack+298, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1329, r12vrr_stack+821, r12vrr_stack+627, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4070, r12vrr_stack+1329, r12vrr_stack+207, r12vrr_stack+821, r12vrr_stack+627, r12vrr_stack+884);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4238, r12vrr_stack+4070, r12vrr_stack+2505, r12vrr_stack+1329, r12vrr_stack+207, r12vrr_stack+947);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+849, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+852, r12vrr_stack+383, r12vrr_stack+849, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+858, r12vrr_stack+386, r12vrr_stack+852, r12vrr_stack+313, r12vrr_stack+383, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+868, r12vrr_stack+392, r12vrr_stack+858, r12vrr_stack+316, r12vrr_stack+386, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+883, r12vrr_stack+402, r12vrr_stack+868, r12vrr_stack+322, r12vrr_stack+392, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+904, r12vrr_stack+417, r12vrr_stack+883, r12vrr_stack+332, r12vrr_stack+402, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+932, r12vrr_stack+655, r12vrr_stack+904, NULL, NULL, r12vrr_stack+417);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4518, r12vrr_stack+2253, r12vrr_stack+932, r12vrr_stack+67, r12vrr_stack+655, r12vrr_stack+438);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4686, r12vrr_stack+2337, r12vrr_stack+4518, r12vrr_stack+123, r12vrr_stack+2253, r12vrr_stack+501);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4966, r12vrr_stack+3790, r12vrr_stack+4686, r12vrr_stack+2505, r12vrr_stack+2337, r12vrr_stack+2824);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5386, r12vrr_stack+4238, r12vrr_stack+3790, r12vrr_stack+4070, r12vrr_stack+2505, r12vrr_stack+1518);
 tmp = r12vrr_stack + 5386;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5806, r12vrr_stack+5386, r12vrr_stack+4966, r12vrr_stack+4238, r12vrr_stack+3790, r12vrr_stack+3034);
 tmp = r12vrr_stack + 5806;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+438, r12vrr_stack+95, r12vrr_stack+67, r12vrr_stack+758, r12vrr_stack+800, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+474, r12vrr_stack+627, r12vrr_stack+95, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+510, r12vrr_stack+67, r12vrr_stack+655, r12vrr_stack+800, r12vrr_stack+1308, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1413, r12vrr_stack+438, r12vrr_stack+510, NULL, NULL, r12vrr_stack+67);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1521, r12vrr_stack+474, r12vrr_stack+438, NULL, NULL, r12vrr_stack+95);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2673, r12vrr_stack+1521, r12vrr_stack+1413, r12vrr_stack+474, r12vrr_stack+438, r12vrr_stack+123);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+123, r12vrr_stack+821, r12vrr_stack+627, r12vrr_stack+1098, r12vrr_stack+779, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+683, r12vrr_stack+123, r12vrr_stack+474, NULL, NULL, r12vrr_stack+627);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2889, r12vrr_stack+683, r12vrr_stack+1521, r12vrr_stack+123, r12vrr_stack+474, r12vrr_stack+207);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+159, r12vrr_stack+655, r12vrr_stack+904, r12vrr_stack+1308, r12vrr_stack+417, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+195, r12vrr_stack+510, r12vrr_stack+159, NULL, NULL, r12vrr_stack+655);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3105, r12vrr_stack+1413, r12vrr_stack+195, r12vrr_stack+438, r12vrr_stack+510, r12vrr_stack+2253);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6394, r12vrr_stack+2673, r12vrr_stack+3105, r12vrr_stack+1521, r12vrr_stack+1413, r12vrr_stack+2337);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6754, r12vrr_stack+2889, r12vrr_stack+2673, r12vrr_stack+683, r12vrr_stack+1521, r12vrr_stack+2505);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7114, r12vrr_stack+6754, r12vrr_stack+6394, r12vrr_stack+2889, r12vrr_stack+2673, r12vrr_stack+3790);
 tmp = r12vrr_stack + 7114;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3790, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3793, r12vrr_stack+849, r12vrr_stack+3790, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3799, r12vrr_stack+852, r12vrr_stack+3793, r12vrr_stack+383, r12vrr_stack+849, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3809, r12vrr_stack+858, r12vrr_stack+3799, r12vrr_stack+386, r12vrr_stack+852, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+868, r12vrr_stack+3809, r12vrr_stack+392, r12vrr_stack+858, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3321, r12vrr_stack+883, r12vrr_stack+1308, r12vrr_stack+402, r12vrr_stack+868, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3824, r12vrr_stack+904, r12vrr_stack+3321, r12vrr_stack+417, r12vrr_stack+883, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3860, r12vrr_stack+159, r12vrr_stack+3824, NULL, NULL, r12vrr_stack+904);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+195, r12vrr_stack+3860, r12vrr_stack+510, r12vrr_stack+159, r12vrr_stack+932);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7654, r12vrr_stack+3105, r12vrr_stack+2253, r12vrr_stack+1413, r12vrr_stack+195, r12vrr_stack+4518);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8014, r12vrr_stack+6394, r12vrr_stack+7654, r12vrr_stack+2673, r12vrr_stack+3105, r12vrr_stack+4686);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8554, r12vrr_stack+7114, r12vrr_stack+8014, r12vrr_stack+6754, r12vrr_stack+6394, r12vrr_stack+4966);
 tmp = r12vrr_stack + 8554;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4518, r12vrr_stack+438, r12vrr_stack+510, r12vrr_stack+95, r12vrr_stack+67, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4563, r12vrr_stack+474, r12vrr_stack+438, r12vrr_stack+627, r12vrr_stack+95, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4608, r12vrr_stack+510, r12vrr_stack+159, r12vrr_stack+67, r12vrr_stack+655, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+303, r12vrr_stack+4518, r12vrr_stack+4608, NULL, NULL, r12vrr_stack+510);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4653, r12vrr_stack+4563, r12vrr_stack+4518, NULL, NULL, r12vrr_stack+438);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4788, r12vrr_stack+4653, r12vrr_stack+303, r12vrr_stack+4563, r12vrr_stack+4518, r12vrr_stack+1413);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1413, r12vrr_stack+123, r12vrr_stack+474, r12vrr_stack+821, r12vrr_stack+627, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5058, r12vrr_stack+1413, r12vrr_stack+4563, NULL, NULL, r12vrr_stack+474);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9310, r12vrr_stack+5058, r12vrr_stack+4653, r12vrr_stack+1413, r12vrr_stack+4563, r12vrr_stack+1521);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1458, r12vrr_stack+159, r12vrr_stack+3824, r12vrr_stack+655, r12vrr_stack+904, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1503, r12vrr_stack+4608, r12vrr_stack+1458, NULL, NULL, r12vrr_stack+159);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9580, r12vrr_stack+303, r12vrr_stack+1503, r12vrr_stack+4518, r12vrr_stack+4608, r12vrr_stack+195);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9850, r12vrr_stack+4788, r12vrr_stack+9580, r12vrr_stack+4653, r12vrr_stack+303, r12vrr_stack+3105);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10300, r12vrr_stack+9310, r12vrr_stack+4788, r12vrr_stack+5058, r12vrr_stack+4653, r12vrr_stack+2673);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10750, r12vrr_stack+10300, r12vrr_stack+9850, r12vrr_stack+9310, r12vrr_stack+4788, r12vrr_stack+6394);
 tmp = r12vrr_stack + 10750;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6394, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6397, r12vrr_stack+3790, r12vrr_stack+6394, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6403, r12vrr_stack+3793, r12vrr_stack+6397, r12vrr_stack+849, r12vrr_stack+3790, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6413, r12vrr_stack+3799, r12vrr_stack+6403, r12vrr_stack+852, r12vrr_stack+3793, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6428, r12vrr_stack+3809, r12vrr_stack+6413, r12vrr_stack+858, r12vrr_stack+3799, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6449, r12vrr_stack+1308, r12vrr_stack+6428, r12vrr_stack+868, r12vrr_stack+3809, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6477, r12vrr_stack+3321, r12vrr_stack+6449, r12vrr_stack+883, r12vrr_stack+1308, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+849, r12vrr_stack+3824, r12vrr_stack+6477, r12vrr_stack+904, r12vrr_stack+3321, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+894, r12vrr_stack+1458, r12vrr_stack+849, NULL, NULL, r12vrr_stack+3824);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2469, r12vrr_stack+1503, r12vrr_stack+894, r12vrr_stack+4608, r12vrr_stack+1458, r12vrr_stack+3860);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11425, r12vrr_stack+9580, r12vrr_stack+2469, r12vrr_stack+303, r12vrr_stack+1503, r12vrr_stack+2253);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11875, r12vrr_stack+9850, r12vrr_stack+11425, r12vrr_stack+4788, r12vrr_stack+9580, r12vrr_stack+7654);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12550, r12vrr_stack+10750, r12vrr_stack+11875, r12vrr_stack+10300, r12vrr_stack+9850, r12vrr_stack+8014);
 tmp = r12vrr_stack + 12550;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7654, r12vrr_stack+4518, r12vrr_stack+4608, r12vrr_stack+438, r12vrr_stack+510, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7709, r12vrr_stack+4563, r12vrr_stack+4518, r12vrr_stack+474, r12vrr_stack+438, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7764, r12vrr_stack+4608, r12vrr_stack+1458, r12vrr_stack+510, r12vrr_stack+159, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+510, r12vrr_stack+7654, r12vrr_stack+7764, NULL, NULL, r12vrr_stack+4608);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7819, r12vrr_stack+7709, r12vrr_stack+7654, NULL, NULL, r12vrr_stack+4518);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7984, r12vrr_stack+7819, r12vrr_stack+510, r12vrr_stack+7709, r12vrr_stack+7654, r12vrr_stack+303);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8314, r12vrr_stack+1413, r12vrr_stack+4563, r12vrr_stack+123, r12vrr_stack+474, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8369, r12vrr_stack+8314, r12vrr_stack+7709, NULL, NULL, r12vrr_stack+4563);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13495, r12vrr_stack+8369, r12vrr_stack+7819, r12vrr_stack+8314, r12vrr_stack+7709, r12vrr_stack+4653);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4653, r12vrr_stack+1458, r12vrr_stack+849, r12vrr_stack+159, r12vrr_stack+3824, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+159, r12vrr_stack+7764, r12vrr_stack+4653, NULL, NULL, r12vrr_stack+1458);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13825, r12vrr_stack+510, r12vrr_stack+159, r12vrr_stack+7654, r12vrr_stack+7764, r12vrr_stack+1503);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14155, r12vrr_stack+7984, r12vrr_stack+13825, r12vrr_stack+7819, r12vrr_stack+510, r12vrr_stack+9580);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14705, r12vrr_stack+13495, r12vrr_stack+7984, r12vrr_stack+8369, r12vrr_stack+7819, r12vrr_stack+4788);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15255, r12vrr_stack+14705, r12vrr_stack+14155, r12vrr_stack+13495, r12vrr_stack+7984, r12vrr_stack+9850);
 tmp = r12vrr_stack + 15255;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9580, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9583, r12vrr_stack+6394, r12vrr_stack+9580, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+9589, r12vrr_stack+6397, r12vrr_stack+9583, r12vrr_stack+3790, r12vrr_stack+6394, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+9599, r12vrr_stack+6403, r12vrr_stack+9589, r12vrr_stack+3793, r12vrr_stack+6397, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9614, r12vrr_stack+6413, r12vrr_stack+9599, r12vrr_stack+3799, r12vrr_stack+6403, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9635, r12vrr_stack+6428, r12vrr_stack+9614, r12vrr_stack+3809, r12vrr_stack+6413, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9663, r12vrr_stack+6449, r12vrr_stack+9635, r12vrr_stack+1308, r12vrr_stack+6428, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9699, r12vrr_stack+6477, r12vrr_stack+9663, r12vrr_stack+3321, r12vrr_stack+6449, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9744, r12vrr_stack+849, r12vrr_stack+9699, r12vrr_stack+3824, r12vrr_stack+6477, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3790, r12vrr_stack+4653, r12vrr_stack+9744, NULL, NULL, r12vrr_stack+849);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9799, r12vrr_stack+159, r12vrr_stack+3790, r12vrr_stack+7764, r12vrr_stack+4653, r12vrr_stack+894);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16080, r12vrr_stack+13825, r12vrr_stack+9799, r12vrr_stack+510, r12vrr_stack+159, r12vrr_stack+2469);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16630, r12vrr_stack+14155, r12vrr_stack+16080, r12vrr_stack+7984, r12vrr_stack+13825, r12vrr_stack+11425);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17455, r12vrr_stack+15255, r12vrr_stack+16630, r12vrr_stack+14705, r12vrr_stack+14155, r12vrr_stack+11875);
 tmp = r12vrr_stack + 17455;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11425, r12vrr_stack+7654, r12vrr_stack+7764, r12vrr_stack+4518, r12vrr_stack+4608, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11491, r12vrr_stack+7709, r12vrr_stack+7654, r12vrr_stack+4563, r12vrr_stack+4518, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11557, r12vrr_stack+7764, r12vrr_stack+4653, r12vrr_stack+4608, r12vrr_stack+1458, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11623, r12vrr_stack+11425, r12vrr_stack+11557, NULL, NULL, r12vrr_stack+7764);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11821, r12vrr_stack+11491, r12vrr_stack+11425, NULL, NULL, r12vrr_stack+7654);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12019, r12vrr_stack+11821, r12vrr_stack+11623, r12vrr_stack+11491, r12vrr_stack+11425, r12vrr_stack+510);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12415, r12vrr_stack+8314, r12vrr_stack+7709, r12vrr_stack+1413, r12vrr_stack+4563, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1503, r12vrr_stack+12415, r12vrr_stack+11491, NULL, NULL, r12vrr_stack+7709);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+1503, r12vrr_stack+11821, r12vrr_stack+12415, r12vrr_stack+11491, r12vrr_stack+7819);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7819, r12vrr_stack+4653, r12vrr_stack+9744, r12vrr_stack+1458, r12vrr_stack+849, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+324, r12vrr_stack+11557, r12vrr_stack+7819, NULL, NULL, r12vrr_stack+4653);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18610, r12vrr_stack+11623, r12vrr_stack+324, r12vrr_stack+11425, r12vrr_stack+11557, r12vrr_stack+159);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19006, r12vrr_stack+12019, r12vrr_stack+18610, r12vrr_stack+11821, r12vrr_stack+11623, r12vrr_stack+13825);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19666, r12vrr_stack+2253, r12vrr_stack+12019, r12vrr_stack+1503, r12vrr_stack+11821, r12vrr_stack+7984);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20326, r12vrr_stack+19666, r12vrr_stack+19006, r12vrr_stack+2253, r12vrr_stack+12019, r12vrr_stack+14155);
 tmp = r12vrr_stack + 20326;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13825, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13828, r12vrr_stack+9580, r12vrr_stack+13825, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13834, r12vrr_stack+9583, r12vrr_stack+13828, r12vrr_stack+6394, r12vrr_stack+9580, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13844, r12vrr_stack+9589, r12vrr_stack+13834, r12vrr_stack+6397, r12vrr_stack+9583, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+9599, r12vrr_stack+13844, r12vrr_stack+6403, r12vrr_stack+9589, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13825, r12vrr_stack+9614, r12vrr_stack+1308, r12vrr_stack+6413, r12vrr_stack+9599, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13853, r12vrr_stack+9635, r12vrr_stack+13825, r12vrr_stack+6428, r12vrr_stack+9614, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1458, r12vrr_stack+9663, r12vrr_stack+13853, r12vrr_stack+6449, r12vrr_stack+9635, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13825, r12vrr_stack+9699, r12vrr_stack+1458, r12vrr_stack+6477, r12vrr_stack+9663, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13880, r12vrr_stack+9744, r12vrr_stack+13825, r12vrr_stack+849, r12vrr_stack+9699, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+849, r12vrr_stack+7819, r12vrr_stack+13880, NULL, NULL, r12vrr_stack+9744);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13946, r12vrr_stack+324, r12vrr_stack+849, r12vrr_stack+11557, r12vrr_stack+7819, r12vrr_stack+3790);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21316, r12vrr_stack+18610, r12vrr_stack+13946, r12vrr_stack+11623, r12vrr_stack+324, r12vrr_stack+9799);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21976, r12vrr_stack+19006, r12vrr_stack+21316, r12vrr_stack+12019, r12vrr_stack+18610, r12vrr_stack+16080);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+22966, r12vrr_stack+20326, r12vrr_stack+21976, r12vrr_stack+19666, r12vrr_stack+19006, r12vrr_stack+16630);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16080, r12vrr_stack+11425, r12vrr_stack+11557, r12vrr_stack+7654, r12vrr_stack+7764, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16158, r12vrr_stack+11491, r12vrr_stack+11425, r12vrr_stack+7709, r12vrr_stack+7654, NULL);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16236, r12vrr_stack+11557, r12vrr_stack+7819, r12vrr_stack+7764, r12vrr_stack+4653, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16314, r12vrr_stack+16080, r12vrr_stack+16236, NULL, NULL, r12vrr_stack+11557);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16548, r12vrr_stack+16158, r12vrr_stack+16080, NULL, NULL, r12vrr_stack+11425);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16782, r12vrr_stack+16548, r12vrr_stack+16314, r12vrr_stack+16158, r12vrr_stack+16080, r12vrr_stack+11623);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+11557, r12vrr_stack+12415, r12vrr_stack+11491, r12vrr_stack+8314, r12vrr_stack+7709, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21316, r12vrr_stack+11557, r12vrr_stack+16158, NULL, NULL, r12vrr_stack+11491);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21550, r12vrr_stack+21316, r12vrr_stack+16548, r12vrr_stack+11557, r12vrr_stack+16158, r12vrr_stack+11821);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16158, r12vrr_stack+7819, r12vrr_stack+13880, r12vrr_stack+4653, r12vrr_stack+9744, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+11425, r12vrr_stack+16236, r12vrr_stack+16158, NULL, NULL, r12vrr_stack+7819);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+7654, r12vrr_stack+16314, r12vrr_stack+11425, r12vrr_stack+16080, r12vrr_stack+16236, r12vrr_stack+324);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+22018, r12vrr_stack+16782, r12vrr_stack+7654, r12vrr_stack+16548, r12vrr_stack+16314, r12vrr_stack+18610);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+13825, r12vrr_stack+21550, r12vrr_stack+16782, r12vrr_stack+21316, r12vrr_stack+16548, r12vrr_stack+12019);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24352, r12vrr_stack+13825, r12vrr_stack+22018, r12vrr_stack+21550, r12vrr_stack+16782, r12vrr_stack+19006);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+21316, &(Data->ss_r12_ss), NULL, r12vrr_stack+58, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+21319, r12vrr_stack+21316, &(Data->ss_r12_ss), r12vrr_stack+61, r12vrr_stack+58, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+21325, r12vrr_stack+21319, r12vrr_stack+21316, r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+58, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+21335, r12vrr_stack+21325, r12vrr_stack+21319, r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+61, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+1308, r12vrr_stack+21335, r12vrr_stack+21325, r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+1073, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+21350, r12vrr_stack+1308, r12vrr_stack+21335, r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+1083, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+21378, r12vrr_stack+21350, NULL, r12vrr_stack+1329, r12vrr_stack+821, NULL, r12vrr_stack+1098);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+21462, r12vrr_stack+21378, r12vrr_stack+21350, r12vrr_stack+4070, r12vrr_stack+1329, r12vrr_stack+821, r12vrr_stack+1119);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+3790, r12vrr_stack+21462, r12vrr_stack+21378, r12vrr_stack+4238, r12vrr_stack+4070, r12vrr_stack+1329, r12vrr_stack+1182);

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+21378, r12vrr_stack+21350, r12vrr_stack+1308, r12vrr_stack+123, r12vrr_stack+821, r12vrr_stack+1098, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+21630, r12vrr_stack+21378, NULL, r12vrr_stack+683, r12vrr_stack+123, NULL, r12vrr_stack+821);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+21738, r12vrr_stack+21630, r12vrr_stack+21378, r12vrr_stack+2889, r12vrr_stack+683, r12vrr_stack+123, r12vrr_stack+1329);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+6394, r12vrr_stack+21738, r12vrr_stack+21630, r12vrr_stack+6754, r12vrr_stack+2889, r12vrr_stack+683, r12vrr_stack+4070);

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+1458, r12vrr_stack+21378, r12vrr_stack+21350, r12vrr_stack+1413, r12vrr_stack+123, r12vrr_stack+821, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+21954, r12vrr_stack+1458, NULL, r12vrr_stack+5058, r12vrr_stack+1413, NULL, r12vrr_stack+123);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+22089, r12vrr_stack+21954, r12vrr_stack+1458, r12vrr_stack+9310, r12vrr_stack+5058, r12vrr_stack+1413, r12vrr_stack+683);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+22359, r12vrr_stack+22089, r12vrr_stack+21954, r12vrr_stack+10300, r12vrr_stack+9310, r12vrr_stack+5058, r12vrr_stack+2889);

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+21954, r12vrr_stack+1458, r12vrr_stack+21378, r12vrr_stack+8314, r12vrr_stack+1413, r12vrr_stack+123, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+18610, r12vrr_stack+21954, NULL, r12vrr_stack+8369, r12vrr_stack+8314, NULL, r12vrr_stack+1413);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+18775, r12vrr_stack+18610, r12vrr_stack+21954, r12vrr_stack+13495, r12vrr_stack+8369, r12vrr_stack+8314, r12vrr_stack+5058);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19105, r12vrr_stack+18775, r12vrr_stack+18610, r12vrr_stack+14705, r12vrr_stack+13495, r12vrr_stack+8369, r12vrr_stack+9310);

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+18610, r12vrr_stack+21954, r12vrr_stack+1458, r12vrr_stack+12415, r12vrr_stack+8314, r12vrr_stack+1413, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7654, r12vrr_stack+18610, NULL, r12vrr_stack+1503, r12vrr_stack+12415, NULL, r12vrr_stack+8314);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7852, r12vrr_stack+7654, r12vrr_stack+18610, r12vrr_stack+2253, r12vrr_stack+1503, r12vrr_stack+12415, r12vrr_stack+8369);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+16080, r12vrr_stack+7852, r12vrr_stack+7654, r12vrr_stack+19666, r12vrr_stack+2253, r12vrr_stack+1503, r12vrr_stack+13495);

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16740, r12vrr_stack+5386, r12vrr_stack+7114, r12vrr_stack+5806, r12vrr_stack+3349, r12vrr_stack+1938);
 tmp = r12vrr_stack + 16740;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11425, r12vrr_stack+7114, r12vrr_stack+10750, r12vrr_stack+8554, r12vrr_stack+5806, r12vrr_stack+5386);
 tmp = r12vrr_stack + 11425;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9580, r12vrr_stack+10750, r12vrr_stack+15255, r12vrr_stack+12550, r12vrr_stack+8554, r12vrr_stack+7114);
 tmp = r12vrr_stack + 9580;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4518, r12vrr_stack+15255, r12vrr_stack+20326, r12vrr_stack+17455, r12vrr_stack+12550, r12vrr_stack+10750);
 tmp = r12vrr_stack + 4518;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+20326, r12vrr_stack+24352, r12vrr_stack+22966, r12vrr_stack+17455, r12vrr_stack+15255);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11965, r12vrr_stack+5386, r12vrr_stack+5806, r12vrr_stack+7114, r12vrr_stack+6754, r12vrr_stack+4238);
 tmp = r12vrr_stack + 11965;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5806, r12vrr_stack+7114, r12vrr_stack+8554, r12vrr_stack+10750, r12vrr_stack+10300, r12vrr_stack+6754);
 tmp = r12vrr_stack + 5806;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8248, r12vrr_stack+10750, r12vrr_stack+12550, r12vrr_stack+15255, r12vrr_stack+14705, r12vrr_stack+10300);
 tmp = r12vrr_stack + 8248;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12385, r12vrr_stack+15255, r12vrr_stack+17455, r12vrr_stack+20326, r12vrr_stack+19666, r12vrr_stack+14705);
 tmp = r12vrr_stack + 12385;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+17160, r12vrr_stack+20326, r12vrr_stack+22966, r12vrr_stack+24352, r12vrr_stack+13825, r12vrr_stack+19666);
 tmp = r12vrr_stack + 17160;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+13825, r12vrr_stack+3790, r12vrr_stack+21462, r12vrr_stack+5386, r12vrr_stack+4238, r12vrr_stack+4070, r12vrr_stack+1728);
 tmp = r12vrr_stack + 13825;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+22809, r12vrr_stack+6394, r12vrr_stack+21738, r12vrr_stack+7114, r12vrr_stack+6754, r12vrr_stack+2889, r12vrr_stack+4238);
 tmp = r12vrr_stack + 22809;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+7114, r12vrr_stack+22359, r12vrr_stack+22089, r12vrr_stack+10750, r12vrr_stack+10300, r12vrr_stack+9310, r12vrr_stack+6754);
 tmp = r12vrr_stack + 7114;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+21316, r12vrr_stack+19105, r12vrr_stack+18775, r12vrr_stack+15255, r12vrr_stack+14705, r12vrr_stack+13495, r12vrr_stack+10300);
 tmp = r12vrr_stack + 21316;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23349, r12vrr_stack+16080, r12vrr_stack+7852, r12vrr_stack+20326, r12vrr_stack+19666, r12vrr_stack+2253, r12vrr_stack+14705);
 tmp = r12vrr_stack + 23349;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];


}

