#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_gdgf(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+4);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+960, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+963, r12vrr_stack+0, r12vrr_stack+960, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+969, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+978, r12vrr_stack+12, r12vrr_stack+969, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+960);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+996, r12vrr_stack+30, r12vrr_stack+978, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+963);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1026, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1044, r12vrr_stack+114, r12vrr_stack+1026, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+969);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1080, r12vrr_stack+132, r12vrr_stack+1044, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+978);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+1140, r12vrr_stack+204, r12vrr_stack+1080, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+996);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+168, r12vrr_stack+78, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+174, r12vrr_stack+87, r12vrr_stack+168, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1230, r12vrr_stack+93, r12vrr_stack+174, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1260, r12vrr_stack+520, r12vrr_stack+1230, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+1026);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1320, r12vrr_stack+550, r12vrr_stack+1260, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+1044);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1420, r12vrr_stack+610, r12vrr_stack+1320, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+1080);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1570, r12vrr_stack+810, r12vrr_stack+1420, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+1140);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+184, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+60, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1780, r12vrr_stack+60, r12vrr_stack+184, NULL, NULL, r12vrr_stack+284);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1825, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1840, r12vrr_stack+1825, r12vrr_stack+60, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1885, r12vrr_stack+93, r12vrr_stack+174, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1900, r12vrr_stack+184, r12vrr_stack+1885, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1945, r12vrr_stack+1780, r12vrr_stack+1900, r12vrr_stack+60, r12vrr_stack+184, r12vrr_stack+520);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2035, r12vrr_stack+1840, r12vrr_stack+1780, r12vrr_stack+1825, r12vrr_stack+60, r12vrr_stack+294);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2125, r12vrr_stack+2035, r12vrr_stack+1945, r12vrr_stack+1840, r12vrr_stack+1780, r12vrr_stack+550);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+294, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2275, r12vrr_stack+294, r12vrr_stack+1825, NULL, NULL, r12vrr_stack+274);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2320, r12vrr_stack+2275, r12vrr_stack+1840, r12vrr_stack+294, r12vrr_stack+1825, r12vrr_stack+324);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2410, r12vrr_stack+2320, r12vrr_stack+2035, r12vrr_stack+2275, r12vrr_stack+1840, r12vrr_stack+354);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+75, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+3, r12vrr_stack+75, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+309, r12vrr_stack+168, r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+319, r12vrr_stack+174, r12vrr_stack+309, r12vrr_stack+87, r12vrr_stack+168, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+334, r12vrr_stack+1885, r12vrr_stack+319, NULL, NULL, r12vrr_stack+174);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2560, r12vrr_stack+1900, r12vrr_stack+334, r12vrr_stack+184, r12vrr_stack+1885, r12vrr_stack+1230);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2650, r12vrr_stack+1945, r12vrr_stack+2560, r12vrr_stack+1780, r12vrr_stack+1900, r12vrr_stack+1260);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2800, r12vrr_stack+2125, r12vrr_stack+2650, r12vrr_stack+2035, r12vrr_stack+1945, r12vrr_stack+1320);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3025, r12vrr_stack+2410, r12vrr_stack+2125, r12vrr_stack+2320, r12vrr_stack+2035, r12vrr_stack+610);
 tmp = r12vrr_stack + 3025;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3250, r12vrr_stack+3025, r12vrr_stack+2800, r12vrr_stack+2410, r12vrr_stack+2125, r12vrr_stack+1420);
 tmp = r12vrr_stack + 3250;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+379, r12vrr_stack+60, r12vrr_stack+184, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3565, r12vrr_stack+1825, r12vrr_stack+60, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3586, r12vrr_stack+184, r12vrr_stack+1885, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3607, r12vrr_stack+379, r12vrr_stack+3586, NULL, NULL, r12vrr_stack+184);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3670, r12vrr_stack+3565, r12vrr_stack+379, NULL, NULL, r12vrr_stack+60);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3733, r12vrr_stack+3670, r12vrr_stack+3607, r12vrr_stack+3565, r12vrr_stack+379, r12vrr_stack+1780);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1780, r12vrr_stack+294, r12vrr_stack+1825, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3859, r12vrr_stack+1780, r12vrr_stack+3565, NULL, NULL, r12vrr_stack+1825);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3922, r12vrr_stack+3859, r12vrr_stack+3670, r12vrr_stack+1780, r12vrr_stack+3565, r12vrr_stack+1840);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1840, r12vrr_stack+1885, r12vrr_stack+319, r12vrr_stack+93, r12vrr_stack+174, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4048, r12vrr_stack+3586, r12vrr_stack+1840, NULL, NULL, r12vrr_stack+1885);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4111, r12vrr_stack+3607, r12vrr_stack+4048, r12vrr_stack+379, r12vrr_stack+3586, r12vrr_stack+1900);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4237, r12vrr_stack+3733, r12vrr_stack+4111, r12vrr_stack+3670, r12vrr_stack+3607, r12vrr_stack+1945);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4447, r12vrr_stack+3922, r12vrr_stack+3733, r12vrr_stack+3859, r12vrr_stack+3670, r12vrr_stack+2035);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4657, r12vrr_stack+4447, r12vrr_stack+4237, r12vrr_stack+3922, r12vrr_stack+3733, r12vrr_stack+2125);
 tmp = r12vrr_stack + 4657;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2035, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2038, r12vrr_stack+75, r12vrr_stack+2035, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2044, r12vrr_stack+81, r12vrr_stack+2038, r12vrr_stack+3, r12vrr_stack+75, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2054, r12vrr_stack+309, r12vrr_stack+2044, r12vrr_stack+168, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2069, r12vrr_stack+319, r12vrr_stack+2054, r12vrr_stack+174, r12vrr_stack+309, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4972, r12vrr_stack+1840, r12vrr_stack+2069, NULL, NULL, r12vrr_stack+319);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5035, r12vrr_stack+4048, r12vrr_stack+4972, r12vrr_stack+3586, r12vrr_stack+1840, r12vrr_stack+334);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5161, r12vrr_stack+4111, r12vrr_stack+5035, r12vrr_stack+3607, r12vrr_stack+4048, r12vrr_stack+2560);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5371, r12vrr_stack+4237, r12vrr_stack+5161, r12vrr_stack+3733, r12vrr_stack+4111, r12vrr_stack+2650);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5686, r12vrr_stack+4657, r12vrr_stack+5371, r12vrr_stack+4447, r12vrr_stack+4237, r12vrr_stack+2800);
 tmp = r12vrr_stack + 5686;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2090, r12vrr_stack+379, r12vrr_stack+3586, r12vrr_stack+60, r12vrr_stack+184, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+3565, r12vrr_stack+379, r12vrr_stack+1825, r12vrr_stack+60, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6127, r12vrr_stack+3586, r12vrr_stack+1840, r12vrr_stack+184, r12vrr_stack+1885, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6155, r12vrr_stack+2090, r12vrr_stack+6127, NULL, NULL, r12vrr_stack+3586);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6239, r12vrr_stack+264, r12vrr_stack+2090, NULL, NULL, r12vrr_stack+379);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6323, r12vrr_stack+6239, r12vrr_stack+6155, r12vrr_stack+264, r12vrr_stack+2090, r12vrr_stack+3607);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3607, r12vrr_stack+1780, r12vrr_stack+3565, r12vrr_stack+294, r12vrr_stack+1825, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6491, r12vrr_stack+3607, r12vrr_stack+264, NULL, NULL, r12vrr_stack+3565);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6575, r12vrr_stack+6491, r12vrr_stack+6239, r12vrr_stack+3607, r12vrr_stack+264, r12vrr_stack+3670);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3635, r12vrr_stack+1840, r12vrr_stack+2069, r12vrr_stack+1885, r12vrr_stack+319, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6743, r12vrr_stack+6127, r12vrr_stack+3635, NULL, NULL, r12vrr_stack+1840);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6827, r12vrr_stack+6155, r12vrr_stack+6743, r12vrr_stack+2090, r12vrr_stack+6127, r12vrr_stack+4048);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6995, r12vrr_stack+6323, r12vrr_stack+6827, r12vrr_stack+6239, r12vrr_stack+6155, r12vrr_stack+4111);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7275, r12vrr_stack+6575, r12vrr_stack+6323, r12vrr_stack+6491, r12vrr_stack+6239, r12vrr_stack+3733);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7555, r12vrr_stack+7275, r12vrr_stack+6995, r12vrr_stack+6575, r12vrr_stack+6323, r12vrr_stack+4237);
 tmp = r12vrr_stack + 7555;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3663, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3666, r12vrr_stack+2035, r12vrr_stack+3663, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3672, r12vrr_stack+2038, r12vrr_stack+3666, r12vrr_stack+75, r12vrr_stack+2035, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3682, r12vrr_stack+2044, r12vrr_stack+3672, r12vrr_stack+81, r12vrr_stack+2038, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3697, r12vrr_stack+2054, r12vrr_stack+3682, r12vrr_stack+309, r12vrr_stack+2044, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3718, r12vrr_stack+2069, r12vrr_stack+3697, r12vrr_stack+319, r12vrr_stack+2054, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3746, r12vrr_stack+3635, r12vrr_stack+3718, NULL, NULL, r12vrr_stack+2069);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7975, r12vrr_stack+6743, r12vrr_stack+3746, r12vrr_stack+6127, r12vrr_stack+3635, r12vrr_stack+4972);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8143, r12vrr_stack+6827, r12vrr_stack+7975, r12vrr_stack+6155, r12vrr_stack+6743, r12vrr_stack+5035);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8423, r12vrr_stack+6995, r12vrr_stack+8143, r12vrr_stack+6323, r12vrr_stack+6827, r12vrr_stack+5161);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8843, r12vrr_stack+7555, r12vrr_stack+8423, r12vrr_stack+7275, r12vrr_stack+6995, r12vrr_stack+5371);
 tmp = r12vrr_stack + 8843;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1801, r12vrr_stack+2090, r12vrr_stack+6127, r12vrr_stack+379, r12vrr_stack+3586, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9431, r12vrr_stack+264, r12vrr_stack+2090, r12vrr_stack+3565, r12vrr_stack+379, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9467, r12vrr_stack+6127, r12vrr_stack+3635, r12vrr_stack+3586, r12vrr_stack+1840, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9503, r12vrr_stack+1801, r12vrr_stack+9467, NULL, NULL, r12vrr_stack+6127);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9611, r12vrr_stack+9431, r12vrr_stack+1801, NULL, NULL, r12vrr_stack+2090);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9719, r12vrr_stack+9611, r12vrr_stack+9503, r12vrr_stack+9431, r12vrr_stack+1801, r12vrr_stack+6155);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6155, r12vrr_stack+3607, r12vrr_stack+264, r12vrr_stack+1780, r12vrr_stack+3565, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9935, r12vrr_stack+6155, r12vrr_stack+9431, NULL, NULL, r12vrr_stack+264);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10043, r12vrr_stack+9935, r12vrr_stack+9611, r12vrr_stack+6155, r12vrr_stack+9431, r12vrr_stack+6239);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3565, r12vrr_stack+3635, r12vrr_stack+3718, r12vrr_stack+1840, r12vrr_stack+2069, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6191, r12vrr_stack+9467, r12vrr_stack+3565, NULL, NULL, r12vrr_stack+3635);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10259, r12vrr_stack+9503, r12vrr_stack+6191, r12vrr_stack+1801, r12vrr_stack+9467, r12vrr_stack+6743);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10475, r12vrr_stack+9719, r12vrr_stack+10259, r12vrr_stack+9611, r12vrr_stack+9503, r12vrr_stack+6827);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10835, r12vrr_stack+10043, r12vrr_stack+9719, r12vrr_stack+9935, r12vrr_stack+9611, r12vrr_stack+6323);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11195, r12vrr_stack+10835, r12vrr_stack+10475, r12vrr_stack+10043, r12vrr_stack+9719, r12vrr_stack+6995);
 tmp = r12vrr_stack + 11195;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1837, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3601, r12vrr_stack+3663, r12vrr_stack+1837, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6299, r12vrr_stack+3666, r12vrr_stack+3601, r12vrr_stack+2035, r12vrr_stack+3663, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6309, r12vrr_stack+3672, r12vrr_stack+6299, r12vrr_stack+2038, r12vrr_stack+3666, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6324, r12vrr_stack+3682, r12vrr_stack+6309, r12vrr_stack+2044, r12vrr_stack+3672, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6345, r12vrr_stack+3697, r12vrr_stack+6324, r12vrr_stack+2054, r12vrr_stack+3682, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6373, r12vrr_stack+3718, r12vrr_stack+6345, r12vrr_stack+2069, r12vrr_stack+3697, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11735, r12vrr_stack+3565, r12vrr_stack+6373, NULL, NULL, r12vrr_stack+3718);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11843, r12vrr_stack+6191, r12vrr_stack+11735, r12vrr_stack+9467, r12vrr_stack+3565, r12vrr_stack+3746);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12059, r12vrr_stack+10259, r12vrr_stack+11843, r12vrr_stack+9503, r12vrr_stack+6191, r12vrr_stack+7975);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12419, r12vrr_stack+10475, r12vrr_stack+12059, r12vrr_stack+9719, r12vrr_stack+10259, r12vrr_stack+8143);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12959, r12vrr_stack+11195, r12vrr_stack+12419, r12vrr_stack+10835, r12vrr_stack+10475, r12vrr_stack+8423);
 tmp = r12vrr_stack + 12959;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6409, r12vrr_stack+1801, r12vrr_stack+9467, r12vrr_stack+2090, r12vrr_stack+6127, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13715, r12vrr_stack+9431, r12vrr_stack+1801, r12vrr_stack+264, r12vrr_stack+2090, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13760, r12vrr_stack+9467, r12vrr_stack+3565, r12vrr_stack+6127, r12vrr_stack+3635, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13805, r12vrr_stack+6409, r12vrr_stack+13760, NULL, NULL, r12vrr_stack+9467);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13940, r12vrr_stack+13715, r12vrr_stack+6409, NULL, NULL, r12vrr_stack+1801);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14075, r12vrr_stack+13940, r12vrr_stack+13805, r12vrr_stack+13715, r12vrr_stack+6409, r12vrr_stack+9503);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9467, r12vrr_stack+6155, r12vrr_stack+9431, r12vrr_stack+3607, r12vrr_stack+264, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14345, r12vrr_stack+9467, r12vrr_stack+13715, NULL, NULL, r12vrr_stack+9431);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14480, r12vrr_stack+14345, r12vrr_stack+13940, r12vrr_stack+9467, r12vrr_stack+13715, r12vrr_stack+9611);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13715, r12vrr_stack+3565, r12vrr_stack+6373, r12vrr_stack+3635, r12vrr_stack+3718, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9431, r12vrr_stack+13760, r12vrr_stack+13715, NULL, NULL, r12vrr_stack+3565);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14750, r12vrr_stack+13805, r12vrr_stack+9431, r12vrr_stack+6409, r12vrr_stack+13760, r12vrr_stack+6191);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15020, r12vrr_stack+14075, r12vrr_stack+14750, r12vrr_stack+13940, r12vrr_stack+13805, r12vrr_stack+10259);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15470, r12vrr_stack+14480, r12vrr_stack+14075, r12vrr_stack+14345, r12vrr_stack+13940, r12vrr_stack+9719);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15920, r12vrr_stack+15470, r12vrr_stack+15020, r12vrr_stack+14480, r12vrr_stack+14075, r12vrr_stack+10475);
 tmp = r12vrr_stack + 15920;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+13940, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+13943, r12vrr_stack+960, r12vrr_stack+13940, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+13949, r12vrr_stack+963, r12vrr_stack+13943, r12vrr_stack+0, r12vrr_stack+960, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+2035, r12vrr_stack+105, r12vrr_stack+78, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+13959, r12vrr_stack+969, r12vrr_stack+2035, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+13940);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+264, r12vrr_stack+978, r12vrr_stack+13959, r12vrr_stack+12, r12vrr_stack+969, r12vrr_stack+13943);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+13977, r12vrr_stack+996, r12vrr_stack+264, r12vrr_stack+30, r12vrr_stack+978, r12vrr_stack+13949);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+87, r12vrr_stack+168, NULL, NULL, r12vrr_stack+78);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1801, r12vrr_stack+1026, r12vrr_stack+9, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+2035);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+14345, r12vrr_stack+1044, r12vrr_stack+1801, r12vrr_stack+114, r12vrr_stack+1026, r12vrr_stack+13959);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+14405, r12vrr_stack+1080, r12vrr_stack+14345, r12vrr_stack+132, r12vrr_stack+1044, r12vrr_stack+264);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+14495, r12vrr_stack+1140, r12vrr_stack+14405, r12vrr_stack+204, r12vrr_stack+1080, r12vrr_stack+13977);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+108, r12vrr_stack+174, r12vrr_stack+309, NULL, NULL, r12vrr_stack+168);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+14621, r12vrr_stack+1230, r12vrr_stack+108, r12vrr_stack+93, r12vrr_stack+174, r12vrr_stack+9);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+9566, r12vrr_stack+1260, r12vrr_stack+14621, r12vrr_stack+520, r12vrr_stack+1230, r12vrr_stack+1801);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+9666, r12vrr_stack+1320, r12vrr_stack+9566, r12vrr_stack+550, r12vrr_stack+1260, r12vrr_stack+14345);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+16595, r12vrr_stack+1420, r12vrr_stack+9666, r12vrr_stack+610, r12vrr_stack+1320, r12vrr_stack+14405);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+16805, r12vrr_stack+1570, r12vrr_stack+16595, r12vrr_stack+810, r12vrr_stack+1420, r12vrr_stack+14495);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+520, r12vrr_stack+319, r12vrr_stack+2054, NULL, NULL, r12vrr_stack+309);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+565, r12vrr_stack+334, r12vrr_stack+520, r12vrr_stack+1885, r12vrr_stack+319, r12vrr_stack+108);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+17085, r12vrr_stack+2560, r12vrr_stack+565, r12vrr_stack+1900, r12vrr_stack+334, r12vrr_stack+14621);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+17235, r12vrr_stack+2650, r12vrr_stack+17085, r12vrr_stack+1945, r12vrr_stack+2560, r12vrr_stack+9566);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+17460, r12vrr_stack+2800, r12vrr_stack+17235, r12vrr_stack+2125, r12vrr_stack+2650, r12vrr_stack+9666);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+17775, r12vrr_stack+3250, r12vrr_stack+17460, r12vrr_stack+3025, r12vrr_stack+2800, r12vrr_stack+16595);
 tmp = r12vrr_stack + 17775;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14681, r12vrr_stack+2069, r12vrr_stack+3697, NULL, NULL, r12vrr_stack+2054);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2090, r12vrr_stack+4972, r12vrr_stack+14681, r12vrr_stack+1840, r12vrr_stack+2069, r12vrr_stack+520);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18195, r12vrr_stack+5035, r12vrr_stack+2090, r12vrr_stack+4048, r12vrr_stack+4972, r12vrr_stack+565);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18405, r12vrr_stack+5161, r12vrr_stack+18195, r12vrr_stack+4111, r12vrr_stack+5035, r12vrr_stack+17085);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18720, r12vrr_stack+5371, r12vrr_stack+18405, r12vrr_stack+4237, r12vrr_stack+5161, r12vrr_stack+17235);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+19161, r12vrr_stack+5686, r12vrr_stack+18720, r12vrr_stack+4657, r12vrr_stack+5371, r12vrr_stack+17460);
 tmp = r12vrr_stack + 19161;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4048, r12vrr_stack+3718, r12vrr_stack+6345, NULL, NULL, r12vrr_stack+3697);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4132, r12vrr_stack+3746, r12vrr_stack+4048, r12vrr_stack+3635, r12vrr_stack+3718, r12vrr_stack+14681);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19749, r12vrr_stack+7975, r12vrr_stack+4132, r12vrr_stack+6743, r12vrr_stack+3746, r12vrr_stack+2090);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+20029, r12vrr_stack+8143, r12vrr_stack+19749, r12vrr_stack+6827, r12vrr_stack+7975, r12vrr_stack+18195);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+20449, r12vrr_stack+8423, r12vrr_stack+20029, r12vrr_stack+6995, r12vrr_stack+8143, r12vrr_stack+18405);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21037, r12vrr_stack+8843, r12vrr_stack+20449, r12vrr_stack+7555, r12vrr_stack+8423, r12vrr_stack+18720);
 tmp = r12vrr_stack + 21037;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+14744, r12vrr_stack+1837, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6743, r12vrr_stack+3601, r12vrr_stack+14744, r12vrr_stack+3663, r12vrr_stack+1837, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6753, r12vrr_stack+6299, r12vrr_stack+6743, r12vrr_stack+3666, r12vrr_stack+3601, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6768, r12vrr_stack+6309, r12vrr_stack+6753, r12vrr_stack+3672, r12vrr_stack+6299, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6127, r12vrr_stack+6324, r12vrr_stack+6768, r12vrr_stack+3682, r12vrr_stack+6309, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6789, r12vrr_stack+6345, r12vrr_stack+6127, r12vrr_stack+3697, r12vrr_stack+6324, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6825, r12vrr_stack+6373, r12vrr_stack+6789, NULL, NULL, r12vrr_stack+6345);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6933, r12vrr_stack+11735, r12vrr_stack+6825, r12vrr_stack+3565, r12vrr_stack+6373, r12vrr_stack+4048);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21821, r12vrr_stack+11843, r12vrr_stack+6933, r12vrr_stack+6191, r12vrr_stack+11735, r12vrr_stack+4132);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22181, r12vrr_stack+12059, r12vrr_stack+21821, r12vrr_stack+10259, r12vrr_stack+11843, r12vrr_stack+19749);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22721, r12vrr_stack+12419, r12vrr_stack+22181, r12vrr_stack+10475, r12vrr_stack+12059, r12vrr_stack+20029);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23477, r12vrr_stack+12959, r12vrr_stack+22721, r12vrr_stack+11195, r12vrr_stack+12419, r12vrr_stack+20449);
 tmp = r12vrr_stack + 23477;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10259, r12vrr_stack+6373, r12vrr_stack+6789, r12vrr_stack+3718, r12vrr_stack+6345, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10304, r12vrr_stack+13715, r12vrr_stack+10259, NULL, NULL, r12vrr_stack+6373);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10439, r12vrr_stack+9431, r12vrr_stack+10304, r12vrr_stack+13760, r12vrr_stack+13715, r12vrr_stack+11735);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24485, r12vrr_stack+14750, r12vrr_stack+10439, r12vrr_stack+13805, r12vrr_stack+9431, r12vrr_stack+11843);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24935, r12vrr_stack+15020, r12vrr_stack+24485, r12vrr_stack+14075, r12vrr_stack+14750, r12vrr_stack+12059);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25610, r12vrr_stack+15920, r12vrr_stack+24935, r12vrr_stack+15470, r12vrr_stack+15020, r12vrr_stack+12419);
 tmp = r12vrr_stack + 25610;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+13760, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+13763, r12vrr_stack+13940, r12vrr_stack+13760, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+13769, r12vrr_stack+13943, r12vrr_stack+13763, r12vrr_stack+960, r12vrr_stack+13940, NULL);

 /*--- compute (g0|00)^3 ---*/
 _BUILD_g000(Data,r12vrr_stack+13779, r12vrr_stack+13949, r12vrr_stack+13769, r12vrr_stack+963, r12vrr_stack+13943, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+960, r12vrr_stack+78, r12vrr_stack+3, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+13794, r12vrr_stack+2035, r12vrr_stack+960, r12vrr_stack+105, r12vrr_stack+78, r12vrr_stack+13760);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+138, r12vrr_stack+13959, r12vrr_stack+13794, r12vrr_stack+969, r12vrr_stack+2035, r12vrr_stack+13763);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+13812, r12vrr_stack+264, r12vrr_stack+138, r12vrr_stack+978, r12vrr_stack+13959, r12vrr_stack+13769);

 /*--- compute (h0|p0)^2 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+13857, r12vrr_stack+13977, r12vrr_stack+13812, r12vrr_stack+996, r12vrr_stack+264, r12vrr_stack+13779);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+969, r12vrr_stack+168, r12vrr_stack+81, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+3565, r12vrr_stack+9, r12vrr_stack+969, r12vrr_stack+87, r12vrr_stack+168, r12vrr_stack+960);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+13920, r12vrr_stack+1801, r12vrr_stack+3565, r12vrr_stack+1026, r12vrr_stack+9, r12vrr_stack+13794);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+13980, r12vrr_stack+14345, r12vrr_stack+13920, r12vrr_stack+1044, r12vrr_stack+1801, r12vrr_stack+138);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+10709, r12vrr_stack+14405, r12vrr_stack+13980, r12vrr_stack+1080, r12vrr_stack+14345, r12vrr_stack+13812);

 /*--- compute (i0|d0)^1 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+14070, r12vrr_stack+14495, r12vrr_stack+10709, r12vrr_stack+1140, r12vrr_stack+14405, r12vrr_stack+13857);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+138, r12vrr_stack+309, r12vrr_stack+2044, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+9, r12vrr_stack+108, r12vrr_stack+138, r12vrr_stack+174, r12vrr_stack+309, r12vrr_stack+969);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+168, r12vrr_stack+14621, r12vrr_stack+9, r12vrr_stack+1230, r12vrr_stack+108, r12vrr_stack+3565);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+960, r12vrr_stack+9566, r12vrr_stack+168, r12vrr_stack+1260, r12vrr_stack+14621, r12vrr_stack+13920);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+9666, r12vrr_stack+960, r12vrr_stack+1320, r12vrr_stack+9566, r12vrr_stack+13980);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+13760, r12vrr_stack+16595, r12vrr_stack+1110, r12vrr_stack+1420, r12vrr_stack+9666, r12vrr_stack+10709);

 /*--- compute (k0|f0)^0 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+9566, r12vrr_stack+16805, r12vrr_stack+13760, r12vrr_stack+1570, r12vrr_stack+16595, r12vrr_stack+14070);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+16595, r12vrr_stack+2054, r12vrr_stack+3682, NULL, NULL, r12vrr_stack+2044);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+16640, r12vrr_stack+520, r12vrr_stack+16595, r12vrr_stack+319, r12vrr_stack+2054, r12vrr_stack+138);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1320, r12vrr_stack+565, r12vrr_stack+16640, r12vrr_stack+334, r12vrr_stack+520, r12vrr_stack+9);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+14040, r12vrr_stack+17085, r12vrr_stack+1320, r12vrr_stack+2560, r12vrr_stack+565, r12vrr_stack+168);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+14265, r12vrr_stack+17235, r12vrr_stack+14040, r12vrr_stack+2650, r12vrr_stack+17085, r12vrr_stack+960);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+26555, r12vrr_stack+17460, r12vrr_stack+14265, r12vrr_stack+2800, r12vrr_stack+17235, r12vrr_stack+1110);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+26975, r12vrr_stack+17775, r12vrr_stack+26555, r12vrr_stack+3250, r12vrr_stack+17460, r12vrr_stack+13760);
 tmp = r12vrr_stack + 26975;
 target_ptr = Libr12->gvrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13760, r12vrr_stack+3697, r12vrr_stack+6324, NULL, NULL, r12vrr_stack+3682);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10709, r12vrr_stack+14681, r12vrr_stack+13760, r12vrr_stack+2069, r12vrr_stack+3697, r12vrr_stack+16595);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13823, r12vrr_stack+2090, r12vrr_stack+10709, r12vrr_stack+4972, r12vrr_stack+14681, r12vrr_stack+16640);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+18195, r12vrr_stack+13823, r12vrr_stack+5035, r12vrr_stack+2090, r12vrr_stack+1320);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17085, r12vrr_stack+18405, r12vrr_stack+960, r12vrr_stack+5161, r12vrr_stack+18195, r12vrr_stack+14040);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+27515, r12vrr_stack+18720, r12vrr_stack+17085, r12vrr_stack+5371, r12vrr_stack+18405, r12vrr_stack+14265);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+28103, r12vrr_stack+19161, r12vrr_stack+27515, r12vrr_stack+5686, r12vrr_stack+18720, r12vrr_stack+26555);
 tmp = r12vrr_stack + 28103;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+26555, r12vrr_stack+6345, r12vrr_stack+6127, NULL, NULL, r12vrr_stack+6324);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+26639, r12vrr_stack+4048, r12vrr_stack+26555, r12vrr_stack+3718, r12vrr_stack+6345, r12vrr_stack+13760);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18195, r12vrr_stack+4132, r12vrr_stack+26639, r12vrr_stack+3746, r12vrr_stack+4048, r12vrr_stack+10709);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18475, r12vrr_stack+19749, r12vrr_stack+18195, r12vrr_stack+7975, r12vrr_stack+4132, r12vrr_stack+13823);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13760, r12vrr_stack+20029, r12vrr_stack+18475, r12vrr_stack+8143, r12vrr_stack+19749, r12vrr_stack+960);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28859, r12vrr_stack+20449, r12vrr_stack+13760, r12vrr_stack+8423, r12vrr_stack+20029, r12vrr_stack+17085);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+29643, r12vrr_stack+21037, r12vrr_stack+28859, r12vrr_stack+8843, r12vrr_stack+20449, r12vrr_stack+27515);
 tmp = r12vrr_stack + 29643;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+27515, r12vrr_stack+0, r12vrr_stack+3, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+27521, r12vrr_stack+14744, r12vrr_stack+27515, r12vrr_stack+1837, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+27531, r12vrr_stack+6743, r12vrr_stack+27521, r12vrr_stack+3601, r12vrr_stack+14744, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+27546, r12vrr_stack+6753, r12vrr_stack+27531, r12vrr_stack+6299, r12vrr_stack+6743, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+27515, r12vrr_stack+6768, r12vrr_stack+27546, r12vrr_stack+6309, r12vrr_stack+6753, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27543, r12vrr_stack+6127, r12vrr_stack+27515, r12vrr_stack+6324, r12vrr_stack+6768, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27579, r12vrr_stack+6789, r12vrr_stack+27543, NULL, NULL, r12vrr_stack+6127);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27687, r12vrr_stack+6825, r12vrr_stack+27579, r12vrr_stack+6373, r12vrr_stack+6789, r12vrr_stack+26555);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17085, r12vrr_stack+6933, r12vrr_stack+27687, r12vrr_stack+11735, r12vrr_stack+6825, r12vrr_stack+26639);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+21821, r12vrr_stack+17085, r12vrr_stack+11843, r12vrr_stack+6933, r12vrr_stack+18195);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19749, r12vrr_stack+22181, r12vrr_stack+960, r12vrr_stack+12059, r12vrr_stack+21821, r12vrr_stack+18475);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30651, r12vrr_stack+22721, r12vrr_stack+19749, r12vrr_stack+12419, r12vrr_stack+22181, r12vrr_stack+13760);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31659, r12vrr_stack+23477, r12vrr_stack+30651, r12vrr_stack+12959, r12vrr_stack+22721, r12vrr_stack+28859);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+28859, r12vrr_stack+6789, r12vrr_stack+27543, r12vrr_stack+6345, r12vrr_stack+6127, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+28904, r12vrr_stack+10259, r12vrr_stack+28859, NULL, NULL, r12vrr_stack+6789);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29039, r12vrr_stack+10304, r12vrr_stack+28904, r12vrr_stack+13715, r12vrr_stack+10259, r12vrr_stack+6825);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13715, r12vrr_stack+10439, r12vrr_stack+29039, r12vrr_stack+9431, r12vrr_stack+10304, r12vrr_stack+6933);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+28859, r12vrr_stack+24485, r12vrr_stack+13715, r12vrr_stack+14750, r12vrr_stack+10439, r12vrr_stack+21821);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13715, r12vrr_stack+24935, r12vrr_stack+28859, r12vrr_stack+15020, r12vrr_stack+24485, r12vrr_stack+22181);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19749, r12vrr_stack+25610, r12vrr_stack+13715, r12vrr_stack+15920, r12vrr_stack+24935, r12vrr_stack+22721);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+13715, &(Data->ss_r12_ss), NULL, r12vrr_stack+6, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+13715, &(Data->ss_r12_ss), r12vrr_stack+414, r12vrr_stack+6, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+13718, r12vrr_stack+0, r12vrr_stack+13715, r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+6, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+6, r12vrr_stack+13718, r12vrr_stack+0, r12vrr_stack+294, r12vrr_stack+420, r12vrr_stack+414, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+21, r12vrr_stack+6, NULL, r12vrr_stack+2275, r12vrr_stack+294, NULL, r12vrr_stack+420);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+66, r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+2320, r12vrr_stack+2275, r12vrr_stack+294, r12vrr_stack+430);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+13728, r12vrr_stack+66, r12vrr_stack+21, r12vrr_stack+2410, r12vrr_stack+2320, r12vrr_stack+2275, r12vrr_stack+460);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+430, r12vrr_stack+13728, r12vrr_stack+66, r12vrr_stack+3025, r12vrr_stack+2410, r12vrr_stack+2320, r12vrr_stack+710);
 tmp = r12vrr_stack + 430;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+13878, r12vrr_stack+430, r12vrr_stack+13728, r12vrr_stack+3250, r12vrr_stack+3025, r12vrr_stack+2410, r12vrr_stack+810);
 tmp = r12vrr_stack + 13878;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+13728, r12vrr_stack+6, r12vrr_stack+13718, r12vrr_stack+1780, r12vrr_stack+294, r12vrr_stack+420, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+13749, r12vrr_stack+13728, NULL, r12vrr_stack+3859, r12vrr_stack+1780, NULL, r12vrr_stack+294);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+21, r12vrr_stack+13749, r12vrr_stack+13728, r12vrr_stack+3922, r12vrr_stack+3859, r12vrr_stack+1780, r12vrr_stack+2275);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+16595, r12vrr_stack+21, r12vrr_stack+13749, r12vrr_stack+4447, r12vrr_stack+3922, r12vrr_stack+3859, r12vrr_stack+2320);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+14193, r12vrr_stack+16595, r12vrr_stack+21, r12vrr_stack+4657, r12vrr_stack+4447, r12vrr_stack+3922, r12vrr_stack+2410);
 tmp = r12vrr_stack + 14193;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+14508, r12vrr_stack+14193, r12vrr_stack+16595, r12vrr_stack+5686, r12vrr_stack+4657, r12vrr_stack+4447, r12vrr_stack+3025);
 tmp = r12vrr_stack + 14508;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+6127, r12vrr_stack+13728, r12vrr_stack+6, r12vrr_stack+3607, r12vrr_stack+1780, r12vrr_stack+294, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+16595, r12vrr_stack+6127, NULL, r12vrr_stack+6491, r12vrr_stack+3607, NULL, r12vrr_stack+1780);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+0, r12vrr_stack+16595, r12vrr_stack+6127, r12vrr_stack+6575, r12vrr_stack+6491, r12vrr_stack+3607, r12vrr_stack+3859);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+14949, r12vrr_stack+0, r12vrr_stack+16595, r12vrr_stack+7275, r12vrr_stack+6575, r12vrr_stack+6491, r12vrr_stack+3922);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+26555, r12vrr_stack+14949, r12vrr_stack+0, r12vrr_stack+7555, r12vrr_stack+7275, r12vrr_stack+6575, r12vrr_stack+4447);
 tmp = r12vrr_stack + 26555;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+27515, r12vrr_stack+26555, r12vrr_stack+14949, r12vrr_stack+8843, r12vrr_stack+7555, r12vrr_stack+7275, r12vrr_stack+4657);
 tmp = r12vrr_stack + 27515;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+14949, r12vrr_stack+6127, r12vrr_stack+13728, r12vrr_stack+6155, r12vrr_stack+3607, r12vrr_stack+1780, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+1780, r12vrr_stack+14949, NULL, r12vrr_stack+9935, r12vrr_stack+6155, NULL, r12vrr_stack+3607);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+1888, r12vrr_stack+1780, r12vrr_stack+14949, r12vrr_stack+10043, r12vrr_stack+9935, r12vrr_stack+6155, r12vrr_stack+6491);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+14949, r12vrr_stack+1888, r12vrr_stack+1780, r12vrr_stack+10835, r12vrr_stack+10043, r12vrr_stack+9935, r12vrr_stack+6575);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+6127, r12vrr_stack+14949, r12vrr_stack+1888, r12vrr_stack+11195, r12vrr_stack+10835, r12vrr_stack+10043, r12vrr_stack+7275);
 tmp = r12vrr_stack + 6127;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+24485, r12vrr_stack+6127, r12vrr_stack+14949, r12vrr_stack+12959, r12vrr_stack+11195, r12vrr_stack+10835, r12vrr_stack+7555);
 tmp = r12vrr_stack + 24485;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14949, r12vrr_stack+3025, r12vrr_stack+4657, r12vrr_stack+3250, r12vrr_stack+1570, r12vrr_stack+810);
 tmp = r12vrr_stack + 14949;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1780, r12vrr_stack+4657, r12vrr_stack+7555, r12vrr_stack+5686, r12vrr_stack+3250, r12vrr_stack+3025);
 tmp = r12vrr_stack + 1780;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6667, r12vrr_stack+7555, r12vrr_stack+11195, r12vrr_stack+8843, r12vrr_stack+5686, r12vrr_stack+4657);
 tmp = r12vrr_stack + 6667;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+655, r12vrr_stack+11195, r12vrr_stack+15920, r12vrr_stack+12959, r12vrr_stack+8843, r12vrr_stack+7555);
 tmp = r12vrr_stack + 655;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2095, r12vrr_stack+3250, r12vrr_stack+5686, r12vrr_stack+17775, r12vrr_stack+16805, r12vrr_stack+1570);
 tmp = r12vrr_stack + 2095;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+28859, r12vrr_stack+5686, r12vrr_stack+8843, r12vrr_stack+19161, r12vrr_stack+17775, r12vrr_stack+3250);
 tmp = r12vrr_stack + 28859;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21821, r12vrr_stack+8843, r12vrr_stack+12959, r12vrr_stack+21037, r12vrr_stack+19161, r12vrr_stack+5686);
 tmp = r12vrr_stack + 21821;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22409, r12vrr_stack+12959, r12vrr_stack+25610, r12vrr_stack+23477, r12vrr_stack+21037, r12vrr_stack+8843);
 tmp = r12vrr_stack + 22409;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+17775, r12vrr_stack+19161, r12vrr_stack+26975, r12vrr_stack+9566, r12vrr_stack+16805);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16595, r12vrr_stack+19161, r12vrr_stack+21037, r12vrr_stack+28103, r12vrr_stack+26975, r12vrr_stack+17775);
 tmp = r12vrr_stack + 16595;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9431, r12vrr_stack+21037, r12vrr_stack+23477, r12vrr_stack+29643, r12vrr_stack+28103, r12vrr_stack+19161);
 tmp = r12vrr_stack + 9431;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+30651, r12vrr_stack+23477, r12vrr_stack+19749, r12vrr_stack+31659, r12vrr_stack+29643, r12vrr_stack+21037);
 tmp = r12vrr_stack + 30651;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15174, r12vrr_stack+3025, r12vrr_stack+3250, r12vrr_stack+4657, r12vrr_stack+4447, r12vrr_stack+2410);
 tmp = r12vrr_stack + 15174;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2410, r12vrr_stack+4657, r12vrr_stack+5686, r12vrr_stack+7555, r12vrr_stack+7275, r12vrr_stack+4447);
 tmp = r12vrr_stack + 2410;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17183, r12vrr_stack+7555, r12vrr_stack+8843, r12vrr_stack+11195, r12vrr_stack+10835, r12vrr_stack+7275);
 tmp = r12vrr_stack + 17183;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10215, r12vrr_stack+11195, r12vrr_stack+12959, r12vrr_stack+15920, r12vrr_stack+15470, r12vrr_stack+10835);
 tmp = r12vrr_stack + 10215;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15399, r12vrr_stack+3250, r12vrr_stack+17775, r12vrr_stack+5686, r12vrr_stack+4657, r12vrr_stack+3025);
 tmp = r12vrr_stack + 15399;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7087, r12vrr_stack+5686, r12vrr_stack+19161, r12vrr_stack+8843, r12vrr_stack+7555, r12vrr_stack+4657);
 tmp = r12vrr_stack + 7087;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18195, r12vrr_stack+8843, r12vrr_stack+21037, r12vrr_stack+12959, r12vrr_stack+11195, r12vrr_stack+7555);
 tmp = r12vrr_stack + 18195;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11735, r12vrr_stack+12959, r12vrr_stack+23477, r12vrr_stack+25610, r12vrr_stack+15920, r12vrr_stack+11195);
 tmp = r12vrr_stack + 11735;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15714, r12vrr_stack+17775, r12vrr_stack+26975, r12vrr_stack+19161, r12vrr_stack+5686, r12vrr_stack+3250);
 tmp = r12vrr_stack + 15714;
 target_ptr = Libr12->t1vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7975, r12vrr_stack+19161, r12vrr_stack+28103, r12vrr_stack+21037, r12vrr_stack+8843, r12vrr_stack+5686);
 tmp = r12vrr_stack + 7975;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3565, r12vrr_stack+21037, r12vrr_stack+29643, r12vrr_stack+23477, r12vrr_stack+12959, r12vrr_stack+8843);
 tmp = r12vrr_stack + 3565;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+29300, r12vrr_stack+23477, r12vrr_stack+31659, r12vrr_stack+19749, r12vrr_stack+25610, r12vrr_stack+12959);
 tmp = r12vrr_stack + 29300;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||g0)^0 ---*/
 _R_BUILD_i0g0(Data,r12vrr_stack+19749, r12vrr_stack+13878, r12vrr_stack+430, r12vrr_stack+17775, r12vrr_stack+3250, r12vrr_stack+3025, r12vrr_stack+1570);
 tmp = r12vrr_stack + 19749;
 target_ptr = Libr12->rvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+20169, r12vrr_stack+14508, r12vrr_stack+14193, r12vrr_stack+19161, r12vrr_stack+5686, r12vrr_stack+4657, r12vrr_stack+3250);
 tmp = r12vrr_stack + 20169;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+31659, r12vrr_stack+27515, r12vrr_stack+26555, r12vrr_stack+21037, r12vrr_stack+8843, r12vrr_stack+7555, r12vrr_stack+5686);
 tmp = r12vrr_stack + 31659;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+20757, r12vrr_stack+24485, r12vrr_stack+6127, r12vrr_stack+23477, r12vrr_stack+12959, r12vrr_stack+11195, r12vrr_stack+8843);
 tmp = r12vrr_stack + 20757;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];


}

