#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_gdi0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+800, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+758, r12vrr_stack+800, NULL, NULL, r12vrr_stack+204);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+884, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+947, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+234);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+58, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+61, r12vrr_stack+58, r12vrr_stack+279, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+282, r12vrr_stack+58, r12vrr_stack+279, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+288, r12vrr_stack+61, r12vrr_stack+282, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+298, r12vrr_stack+1073, r12vrr_stack+288, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1119, r12vrr_stack+1098, r12vrr_stack+779, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+313);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+313, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+316, r12vrr_stack+49, r12vrr_stack+313, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+322, r12vrr_stack+52, r12vrr_stack+316, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+332, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1329, r12vrr_stack+800, r12vrr_stack+1308, NULL, NULL, r12vrr_stack+368);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+383);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+428);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1728, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+518);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1938, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+608);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+347, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+279, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2253, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+347);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2289, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2319, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+279);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2379, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+2253);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2479, r12vrr_stack+368, r12vrr_stack+332, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2524, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+2289);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2614, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+2319);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2764, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+2379);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+313, r12vrr_stack+518, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+316, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+313, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+521, r12vrr_stack+322, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+316, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+536, r12vrr_stack+332, r12vrr_stack+521, r12vrr_stack+358, r12vrr_stack+322, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2989, r12vrr_stack+1308, r12vrr_stack+536, NULL, NULL, r12vrr_stack+332);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3052, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+2479);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3178, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+2524);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3388, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+2614);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3703, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+2764);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+557, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+234, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+234, r12vrr_stack+557, NULL, NULL, r12vrr_stack+800);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+114, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4228, r12vrr_stack+114, r12vrr_stack+234, NULL, NULL, r12vrr_stack+758);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+204, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+368, r12vrr_stack+332, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4312, r12vrr_stack+557, r12vrr_stack+204, NULL, NULL, r12vrr_stack+1308);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4396, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+1329);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4564, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+821);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4732, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+1392);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+1083, r12vrr_stack+298, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+114, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+884);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+947);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+849, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+852, r12vrr_stack+518, r12vrr_stack+849, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+858, r12vrr_stack+15, r12vrr_stack+852, r12vrr_stack+313, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+868, r12vrr_stack+39, r12vrr_stack+858, r12vrr_stack+316, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+883, r12vrr_stack+521, r12vrr_stack+868, r12vrr_stack+322, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+904, r12vrr_stack+536, r12vrr_stack+883, r12vrr_stack+332, r12vrr_stack+521, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+932, r12vrr_stack+204, r12vrr_stack+904, NULL, NULL, r12vrr_stack+536);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+4312, r12vrr_stack+932, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+2989);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5712, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+3052);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5992, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+3178);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+1518);
 tmp = r12vrr_stack + 6412;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+3388);
 tmp = r12vrr_stack + 6832;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1016, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+758, r12vrr_stack+800, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7456, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+800, r12vrr_stack+1308, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+1016, r12vrr_stack+7456, NULL, NULL, r12vrr_stack+557);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7600, r12vrr_stack+7420, r12vrr_stack+1016, NULL, NULL, r12vrr_stack+234);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7708, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+7420, r12vrr_stack+1016, r12vrr_stack+4144);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+1098, r12vrr_stack+779, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+114);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+4228);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+204, r12vrr_stack+904, r12vrr_stack+1308, r12vrr_stack+536, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+7456, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8248, r12vrr_stack+7492, r12vrr_stack+4144, r12vrr_stack+1016, r12vrr_stack+7456, r12vrr_stack+4312);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8464, r12vrr_stack+7708, r12vrr_stack+8248, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+4396);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8824, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4564);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9184, r12vrr_stack+8824, r12vrr_stack+8464, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+4732);
 tmp = r12vrr_stack + 9184;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+4564, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+4567, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+4576, r12vrr_stack+347, r12vrr_stack+4567, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+4564);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4594, r12vrr_stack+68, r12vrr_stack+52, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4612, r12vrr_stack+279, r12vrr_stack+4594, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+4567);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4252, r12vrr_stack+2253, r12vrr_stack+4612, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+4576);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+358, r12vrr_stack+322, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4648, r12vrr_stack+2289, r12vrr_stack+114, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+4594);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+7600, r12vrr_stack+2319, r12vrr_stack+4648, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+4612);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+7924, r12vrr_stack+2379, r12vrr_stack+7600, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+4252);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+144, r12vrr_stack+332, r12vrr_stack+521, NULL, NULL, r12vrr_stack+322);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+8074, r12vrr_stack+2479, r12vrr_stack+144, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+114);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+9724, r12vrr_stack+2524, r12vrr_stack+8074, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+4648);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+9874, r12vrr_stack+2614, r12vrr_stack+9724, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+7600);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+10099, r12vrr_stack+2764, r12vrr_stack+9874, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+7924);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+368, r12vrr_stack+536, r12vrr_stack+883, NULL, NULL, r12vrr_stack+521);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+557, r12vrr_stack+2989, r12vrr_stack+368, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+144);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10414, r12vrr_stack+3052, r12vrr_stack+557, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+8074);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10624, r12vrr_stack+3178, r12vrr_stack+10414, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+9724);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10939, r12vrr_stack+3388, r12vrr_stack+10624, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+9874);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11380, r12vrr_stack+3703, r12vrr_stack+10939, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+10099);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+849, r12vrr_stack+0, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1308, r12vrr_stack+852, r12vrr_stack+6, r12vrr_stack+518, r12vrr_stack+849, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+189, r12vrr_stack+858, r12vrr_stack+1308, r12vrr_stack+15, r12vrr_stack+852, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+868, r12vrr_stack+189, r12vrr_stack+39, r12vrr_stack+858, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1318, r12vrr_stack+883, r12vrr_stack+15, r12vrr_stack+521, r12vrr_stack+868, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8164, r12vrr_stack+904, r12vrr_stack+1318, NULL, NULL, r12vrr_stack+883);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1346, r12vrr_stack+932, r12vrr_stack+8164, r12vrr_stack+204, r12vrr_stack+904, r12vrr_stack+368);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11968, r12vrr_stack+5544, r12vrr_stack+1346, r12vrr_stack+4312, r12vrr_stack+932, r12vrr_stack+557);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12248, r12vrr_stack+5712, r12vrr_stack+11968, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+10414);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12668, r12vrr_stack+5992, r12vrr_stack+12248, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+10624);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13256, r12vrr_stack+6832, r12vrr_stack+12668, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+10939);
 tmp = r12vrr_stack + 13256;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4312, r12vrr_stack+904, r12vrr_stack+1318, r12vrr_stack+536, r12vrr_stack+883, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4348, r12vrr_stack+7420, r12vrr_stack+4312, NULL, NULL, r12vrr_stack+904);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4708, r12vrr_stack+4144, r12vrr_stack+4348, r12vrr_stack+7456, r12vrr_stack+7420, r12vrr_stack+932);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14040, r12vrr_stack+8248, r12vrr_stack+4708, r12vrr_stack+7492, r12vrr_stack+4144, r12vrr_stack+5544);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14400, r12vrr_stack+8464, r12vrr_stack+14040, r12vrr_stack+7708, r12vrr_stack+8248, r12vrr_stack+5712);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14940, r12vrr_stack+9184, r12vrr_stack+14400, r12vrr_stack+8824, r12vrr_stack+8464, r12vrr_stack+5992);
 tmp = r12vrr_stack + 14940;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+36, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+7456, r12vrr_stack+4564, r12vrr_stack+36, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+7462, r12vrr_stack+12, r12vrr_stack+49, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+7471, r12vrr_stack+4567, r12vrr_stack+7462, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+36);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+7489, r12vrr_stack+4576, r12vrr_stack+7471, r12vrr_stack+347, r12vrr_stack+4567, r12vrr_stack+7456);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+7519, r12vrr_stack+52, r12vrr_stack+316, NULL, NULL, r12vrr_stack+49);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+7537, r12vrr_stack+4594, r12vrr_stack+7519, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+7462);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4456, r12vrr_stack+4612, r12vrr_stack+7537, r12vrr_stack+279, r12vrr_stack+4594, r12vrr_stack+7471);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+431, r12vrr_stack+4252, r12vrr_stack+4456, r12vrr_stack+2253, r12vrr_stack+4612, r12vrr_stack+7489);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2253, r12vrr_stack+322, r12vrr_stack+39, NULL, NULL, r12vrr_stack+316);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4252, r12vrr_stack+114, r12vrr_stack+2253, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+7519);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4516, r12vrr_stack+4648, r12vrr_stack+4252, r12vrr_stack+2289, r12vrr_stack+114, r12vrr_stack+7537);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1514, r12vrr_stack+7600, r12vrr_stack+4516, r12vrr_stack+2319, r12vrr_stack+4648, r12vrr_stack+4456);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7700, r12vrr_stack+7924, r12vrr_stack+1514, r12vrr_stack+2379, r12vrr_stack+7600, r12vrr_stack+431);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+431, r12vrr_stack+521, r12vrr_stack+868, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2283, r12vrr_stack+144, r12vrr_stack+431, r12vrr_stack+332, r12vrr_stack+521, r12vrr_stack+2253);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7456, r12vrr_stack+8074, r12vrr_stack+2283, r12vrr_stack+2479, r12vrr_stack+144, r12vrr_stack+4252);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+15696, r12vrr_stack+9724, r12vrr_stack+7456, r12vrr_stack+2524, r12vrr_stack+8074, r12vrr_stack+4516);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+15921, r12vrr_stack+9874, r12vrr_stack+15696, r12vrr_stack+2614, r12vrr_stack+9724, r12vrr_stack+1514);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+16236, r12vrr_stack+10099, r12vrr_stack+15921, r12vrr_stack+2764, r12vrr_stack+9874, r12vrr_stack+7700);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1514, r12vrr_stack+883, r12vrr_stack+15, NULL, NULL, r12vrr_stack+868);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1577, r12vrr_stack+368, r12vrr_stack+1514, r12vrr_stack+536, r12vrr_stack+883, r12vrr_stack+431);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9724, r12vrr_stack+557, r12vrr_stack+1577, r12vrr_stack+2989, r12vrr_stack+368, r12vrr_stack+2283);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9934, r12vrr_stack+10414, r12vrr_stack+9724, r12vrr_stack+3052, r12vrr_stack+557, r12vrr_stack+7456);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7456, r12vrr_stack+10624, r12vrr_stack+9934, r12vrr_stack+3178, r12vrr_stack+10414, r12vrr_stack+15696);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+10939, r12vrr_stack+7456, r12vrr_stack+3388, r12vrr_stack+10624, r12vrr_stack+15921);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2841, r12vrr_stack+11380, r12vrr_stack+2253, r12vrr_stack+3703, r12vrr_stack+10939, r12vrr_stack+16236);

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15696, r12vrr_stack+0, r12vrr_stack+12, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+15702, r12vrr_stack+6, r12vrr_stack+15696, r12vrr_stack+849, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+15712, r12vrr_stack+1308, r12vrr_stack+15702, r12vrr_stack+852, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15727, r12vrr_stack+189, r12vrr_stack+15712, r12vrr_stack+858, r12vrr_stack+1308, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15696, r12vrr_stack+15, r12vrr_stack+15727, r12vrr_stack+868, r12vrr_stack+189, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15724, r12vrr_stack+1318, r12vrr_stack+15696, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15808, r12vrr_stack+8164, r12vrr_stack+15724, r12vrr_stack+904, r12vrr_stack+1318, r12vrr_stack+1514);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15976, r12vrr_stack+1346, r12vrr_stack+15808, r12vrr_stack+932, r12vrr_stack+8164, r12vrr_stack+1577);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16256, r12vrr_stack+11968, r12vrr_stack+15976, r12vrr_stack+5544, r12vrr_stack+1346, r12vrr_stack+9724);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10249, r12vrr_stack+12248, r12vrr_stack+16256, r12vrr_stack+5712, r12vrr_stack+11968, r12vrr_stack+9934);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15724, r12vrr_stack+12668, r12vrr_stack+10249, r12vrr_stack+5992, r12vrr_stack+12248, r12vrr_stack+7456);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9724, r12vrr_stack+13256, r12vrr_stack+15724, r12vrr_stack+6832, r12vrr_stack+12668, r12vrr_stack+2253);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+1318, r12vrr_stack+15696, r12vrr_stack+883, r12vrr_stack+15, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15696, r12vrr_stack+4312, r12vrr_stack+2253, NULL, NULL, r12vrr_stack+1318);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+4348, r12vrr_stack+15696, r12vrr_stack+7420, r12vrr_stack+4312, r12vrr_stack+8164);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+4708, r12vrr_stack+2253, r12vrr_stack+4144, r12vrr_stack+4348, r12vrr_stack+1346);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+14040, r12vrr_stack+7420, r12vrr_stack+8248, r12vrr_stack+4708, r12vrr_stack+11968);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+14400, r12vrr_stack+4144, r12vrr_stack+8464, r12vrr_stack+14040, r12vrr_stack+12248);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15696, r12vrr_stack+14940, r12vrr_stack+7420, r12vrr_stack+9184, r12vrr_stack+14400, r12vrr_stack+12668);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+7420, &(Data->ss_r12_ss), NULL, r12vrr_stack+58, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+7423, r12vrr_stack+7420, &(Data->ss_r12_ss), r12vrr_stack+61, r12vrr_stack+58, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+7429, r12vrr_stack+7423, r12vrr_stack+7420, r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+58, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+7439, r12vrr_stack+7429, r12vrr_stack+7423, r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+61, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+7454, r12vrr_stack+7439, r12vrr_stack+7429, r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+1073, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+7475, r12vrr_stack+7454, r12vrr_stack+7439, r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+1083, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+7503, r12vrr_stack+7475, NULL, r12vrr_stack+5012, r12vrr_stack+821, NULL, r12vrr_stack+1098);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+7587, r12vrr_stack+7503, r12vrr_stack+7475, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+1119);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+7755, r12vrr_stack+7587, r12vrr_stack+7503, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+1182);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+8035, r12vrr_stack+7755, r12vrr_stack+7587, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+1728);
 tmp = r12vrr_stack + 8035;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+2253, r12vrr_stack+8035, r12vrr_stack+7755, r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+1938);
 tmp = r12vrr_stack + 2253;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7420, r12vrr_stack+6412, r12vrr_stack+9184, r12vrr_stack+6832, r12vrr_stack+3703, r12vrr_stack+1938);
 tmp = r12vrr_stack + 7420;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14040, r12vrr_stack+6832, r12vrr_stack+14940, r12vrr_stack+13256, r12vrr_stack+11380, r12vrr_stack+3703);
 tmp = r12vrr_stack + 14040;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4144, r12vrr_stack+13256, r12vrr_stack+15696, r12vrr_stack+9724, r12vrr_stack+2841, r12vrr_stack+11380);
 tmp = r12vrr_stack + 4144;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2841, r12vrr_stack+6412, r12vrr_stack+6832, r12vrr_stack+9184, r12vrr_stack+8824, r12vrr_stack+5264);
 tmp = r12vrr_stack + 2841;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8455, r12vrr_stack+6832, r12vrr_stack+13256, r12vrr_stack+14940, r12vrr_stack+9184, r12vrr_stack+6412);
 tmp = r12vrr_stack + 8455;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4928, r12vrr_stack+13256, r12vrr_stack+9724, r12vrr_stack+15696, r12vrr_stack+14940, r12vrr_stack+6832);
 tmp = r12vrr_stack + 4928;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+9043, r12vrr_stack+2253, r12vrr_stack+8035, r12vrr_stack+13256, r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+3703);
 tmp = r12vrr_stack + 9043;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];


}

