#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_gdii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+800, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+758, r12vrr_stack+800, NULL, NULL, r12vrr_stack+204);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+884, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+947, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+234);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+58, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+61, r12vrr_stack+58, r12vrr_stack+279, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+282, r12vrr_stack+58, r12vrr_stack+279, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+288, r12vrr_stack+61, r12vrr_stack+282, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+298, r12vrr_stack+1073, r12vrr_stack+288, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1119, r12vrr_stack+1098, r12vrr_stack+779, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+313);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+313, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+316, r12vrr_stack+49, r12vrr_stack+313, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+322, r12vrr_stack+52, r12vrr_stack+316, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+332, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1329, r12vrr_stack+800, r12vrr_stack+1308, NULL, NULL, r12vrr_stack+368);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+383);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+428);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1728, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+518);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1938, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+608);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+347, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+279, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2253, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+347);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2289, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2319, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+279);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2379, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+2253);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2479, r12vrr_stack+368, r12vrr_stack+332, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2524, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+2289);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2614, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+2319);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2764, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+2379);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+313, r12vrr_stack+518, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+316, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+313, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+521, r12vrr_stack+322, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+316, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+536, r12vrr_stack+332, r12vrr_stack+521, r12vrr_stack+358, r12vrr_stack+322, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2989, r12vrr_stack+1308, r12vrr_stack+536, NULL, NULL, r12vrr_stack+332);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3052, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+2479);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3178, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+2524);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3388, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+2614);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3703, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+2764);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+557, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+234, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+234, r12vrr_stack+557, NULL, NULL, r12vrr_stack+800);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+114, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4228, r12vrr_stack+114, r12vrr_stack+234, NULL, NULL, r12vrr_stack+758);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+204, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+368, r12vrr_stack+332, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4312, r12vrr_stack+557, r12vrr_stack+204, NULL, NULL, r12vrr_stack+1308);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4396, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+1329);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4564, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+821);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4732, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+1392);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+1083, r12vrr_stack+298, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+114, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+884);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+947);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+849, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+852, r12vrr_stack+518, r12vrr_stack+849, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+858, r12vrr_stack+15, r12vrr_stack+852, r12vrr_stack+313, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+868, r12vrr_stack+39, r12vrr_stack+858, r12vrr_stack+316, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+883, r12vrr_stack+521, r12vrr_stack+868, r12vrr_stack+322, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+904, r12vrr_stack+536, r12vrr_stack+883, r12vrr_stack+332, r12vrr_stack+521, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+932, r12vrr_stack+204, r12vrr_stack+904, NULL, NULL, r12vrr_stack+536);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+4312, r12vrr_stack+932, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+2989);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5712, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+3052);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5992, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+3178);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+1518);
 tmp = r12vrr_stack + 6412;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+3388);
 tmp = r12vrr_stack + 6832;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1016, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+758, r12vrr_stack+800, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7456, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+800, r12vrr_stack+1308, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+1016, r12vrr_stack+7456, NULL, NULL, r12vrr_stack+557);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7600, r12vrr_stack+7420, r12vrr_stack+1016, NULL, NULL, r12vrr_stack+234);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7708, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+7420, r12vrr_stack+1016, r12vrr_stack+4144);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+1098, r12vrr_stack+779, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+114);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+4228);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+204, r12vrr_stack+904, r12vrr_stack+1308, r12vrr_stack+536, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8248, r12vrr_stack+7456, r12vrr_stack+4180, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8356, r12vrr_stack+7492, r12vrr_stack+8248, r12vrr_stack+1016, r12vrr_stack+7456, r12vrr_stack+4312);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8572, r12vrr_stack+7708, r12vrr_stack+8356, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+4396);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4564);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+8572, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+4732);
 tmp = r12vrr_stack + 9292;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4564, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4567, r12vrr_stack+849, r12vrr_stack+4564, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4573, r12vrr_stack+852, r12vrr_stack+4567, r12vrr_stack+518, r12vrr_stack+849, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4583, r12vrr_stack+858, r12vrr_stack+4573, r12vrr_stack+15, r12vrr_stack+852, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1052, r12vrr_stack+868, r12vrr_stack+4583, r12vrr_stack+39, r12vrr_stack+858, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4598, r12vrr_stack+883, r12vrr_stack+1052, r12vrr_stack+521, r12vrr_stack+868, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4626, r12vrr_stack+904, r12vrr_stack+4598, r12vrr_stack+536, r12vrr_stack+883, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9832, r12vrr_stack+4180, r12vrr_stack+4626, NULL, NULL, r12vrr_stack+904);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9940, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+7456, r12vrr_stack+4180, r12vrr_stack+932);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10156, r12vrr_stack+8356, r12vrr_stack+9940, r12vrr_stack+7492, r12vrr_stack+8248, r12vrr_stack+5544);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10516, r12vrr_stack+8572, r12vrr_stack+10156, r12vrr_stack+7708, r12vrr_stack+8356, r12vrr_stack+5712);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+10516, r12vrr_stack+8932, r12vrr_stack+8572, r12vrr_stack+5992);
 tmp = r12vrr_stack + 11056;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4662, r12vrr_stack+1016, r12vrr_stack+7456, r12vrr_stack+234, r12vrr_stack+557, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4216, r12vrr_stack+7420, r12vrr_stack+1016, r12vrr_stack+114, r12vrr_stack+234, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4261, r12vrr_stack+7456, r12vrr_stack+4180, r12vrr_stack+557, r12vrr_stack+204, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+4662, r12vrr_stack+4261, NULL, NULL, r12vrr_stack+7456);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11947, r12vrr_stack+4216, r12vrr_stack+4662, NULL, NULL, r12vrr_stack+1016);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12082, r12vrr_stack+11947, r12vrr_stack+11812, r12vrr_stack+4216, r12vrr_stack+4662, r12vrr_stack+7492);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+821, r12vrr_stack+114, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12352, r12vrr_stack+7492, r12vrr_stack+4216, NULL, NULL, r12vrr_stack+7420);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+11947, r12vrr_stack+7492, r12vrr_stack+4216, r12vrr_stack+7600);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7537, r12vrr_stack+4180, r12vrr_stack+4626, r12vrr_stack+204, r12vrr_stack+904, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12757, r12vrr_stack+4261, r12vrr_stack+7537, NULL, NULL, r12vrr_stack+4180);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12892, r12vrr_stack+11812, r12vrr_stack+12757, r12vrr_stack+4662, r12vrr_stack+4261, r12vrr_stack+8248);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13162, r12vrr_stack+12082, r12vrr_stack+12892, r12vrr_stack+11947, r12vrr_stack+11812, r12vrr_stack+8356);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+12082, r12vrr_stack+12352, r12vrr_stack+11947, r12vrr_stack+7708);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+13162, r12vrr_stack+12487, r12vrr_stack+12082, r12vrr_stack+8572);
 tmp = r12vrr_stack + 14062;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+4564, r12vrr_stack+518, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+114, r12vrr_stack+4567, r12vrr_stack+15, r12vrr_stack+849, r12vrr_stack+4564, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+124, r12vrr_stack+4573, r12vrr_stack+114, r12vrr_stack+852, r12vrr_stack+4567, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7582, r12vrr_stack+4583, r12vrr_stack+124, r12vrr_stack+858, r12vrr_stack+4573, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7603, r12vrr_stack+1052, r12vrr_stack+7582, r12vrr_stack+868, r12vrr_stack+4583, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7631, r12vrr_stack+4598, r12vrr_stack+7603, r12vrr_stack+883, r12vrr_stack+1052, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7667, r12vrr_stack+4626, r12vrr_stack+7631, r12vrr_stack+904, r12vrr_stack+4598, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7712, r12vrr_stack+7537, r12vrr_stack+7667, NULL, NULL, r12vrr_stack+4626);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14737, r12vrr_stack+12757, r12vrr_stack+7712, r12vrr_stack+4261, r12vrr_stack+7537, r12vrr_stack+9832);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15007, r12vrr_stack+12892, r12vrr_stack+14737, r12vrr_stack+11812, r12vrr_stack+12757, r12vrr_stack+9940);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15457, r12vrr_stack+13162, r12vrr_stack+15007, r12vrr_stack+12082, r12vrr_stack+12892, r12vrr_stack+10156);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+15457, r12vrr_stack+13612, r12vrr_stack+13162, r12vrr_stack+10516);
 tmp = r12vrr_stack + 16132;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7847, r12vrr_stack+4662, r12vrr_stack+4261, r12vrr_stack+1016, r12vrr_stack+7456, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+4216, r12vrr_stack+4662, r12vrr_stack+7420, r12vrr_stack+1016, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+4261, r12vrr_stack+7537, r12vrr_stack+7456, r12vrr_stack+4180, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17132, r12vrr_stack+7847, r12vrr_stack+17077, NULL, NULL, r12vrr_stack+4261);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17297, r12vrr_stack+758, r12vrr_stack+7847, NULL, NULL, r12vrr_stack+4662);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17462, r12vrr_stack+17297, r12vrr_stack+17132, r12vrr_stack+758, r12vrr_stack+7847, r12vrr_stack+11812);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+7492, r12vrr_stack+4216, r12vrr_stack+4144, r12vrr_stack+7420, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17792, r12vrr_stack+11812, r12vrr_stack+758, NULL, NULL, r12vrr_stack+4216);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17957, r12vrr_stack+17792, r12vrr_stack+17297, r12vrr_stack+11812, r12vrr_stack+758, r12vrr_stack+11947);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+7537, r12vrr_stack+7667, r12vrr_stack+4180, r12vrr_stack+4626, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11867, r12vrr_stack+17077, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+7537);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18287, r12vrr_stack+17132, r12vrr_stack+11867, r12vrr_stack+7847, r12vrr_stack+17077, r12vrr_stack+12757);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18617, r12vrr_stack+17462, r12vrr_stack+18287, r12vrr_stack+17297, r12vrr_stack+17132, r12vrr_stack+12892);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19167, r12vrr_stack+17957, r12vrr_stack+17462, r12vrr_stack+17792, r12vrr_stack+17297, r12vrr_stack+12082);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+18617, r12vrr_stack+17957, r12vrr_stack+17462, r12vrr_stack+13162);
 tmp = r12vrr_stack + 19717;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+7475, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4306, r12vrr_stack+518, r12vrr_stack+7475, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+7478, r12vrr_stack+15, r12vrr_stack+4306, r12vrr_stack+4564, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+12032, r12vrr_stack+114, r12vrr_stack+7478, r12vrr_stack+4567, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12047, r12vrr_stack+124, r12vrr_stack+12032, r12vrr_stack+4573, r12vrr_stack+114, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12068, r12vrr_stack+7582, r12vrr_stack+12047, r12vrr_stack+4583, r12vrr_stack+124, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1016, r12vrr_stack+7603, r12vrr_stack+12068, r12vrr_stack+1052, r12vrr_stack+7582, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12096, r12vrr_stack+7631, r12vrr_stack+1016, r12vrr_stack+4598, r12vrr_stack+7603, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12141, r12vrr_stack+7667, r12vrr_stack+12096, r12vrr_stack+4626, r12vrr_stack+7631, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20542, r12vrr_stack+7420, r12vrr_stack+12141, NULL, NULL, r12vrr_stack+7667);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20707, r12vrr_stack+11867, r12vrr_stack+20542, r12vrr_stack+17077, r12vrr_stack+7420, r12vrr_stack+7712);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21037, r12vrr_stack+18287, r12vrr_stack+20707, r12vrr_stack+17132, r12vrr_stack+11867, r12vrr_stack+14737);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21587, r12vrr_stack+18617, r12vrr_stack+21037, r12vrr_stack+17462, r12vrr_stack+18287, r12vrr_stack+15007);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+21587, r12vrr_stack+19167, r12vrr_stack+18617, r12vrr_stack+15457);
 tmp = r12vrr_stack + 22412;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12196, r12vrr_stack+7847, r12vrr_stack+17077, r12vrr_stack+4662, r12vrr_stack+4261, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12262, r12vrr_stack+758, r12vrr_stack+7847, r12vrr_stack+4216, r12vrr_stack+4662, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4662, r12vrr_stack+17077, r12vrr_stack+7420, r12vrr_stack+4261, r12vrr_stack+7537, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+12196, r12vrr_stack+4662, NULL, NULL, r12vrr_stack+17077);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23765, r12vrr_stack+12262, r12vrr_stack+12196, NULL, NULL, r12vrr_stack+7847);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23963, r12vrr_stack+23765, r12vrr_stack+23567, r12vrr_stack+12262, r12vrr_stack+12196, r12vrr_stack+17132);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17132, r12vrr_stack+11812, r12vrr_stack+758, r12vrr_stack+7492, r12vrr_stack+4216, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24359, r12vrr_stack+17132, r12vrr_stack+12262, NULL, NULL, r12vrr_stack+758);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24557, r12vrr_stack+24359, r12vrr_stack+23765, r12vrr_stack+17132, r12vrr_stack+12262, r12vrr_stack+17297);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4216, r12vrr_stack+7420, r12vrr_stack+12141, r12vrr_stack+7537, r12vrr_stack+7667, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17198, r12vrr_stack+4662, r12vrr_stack+4216, NULL, NULL, r12vrr_stack+7420);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24953, r12vrr_stack+23567, r12vrr_stack+17198, r12vrr_stack+12196, r12vrr_stack+4662, r12vrr_stack+11867);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+25349, r12vrr_stack+23963, r12vrr_stack+24953, r12vrr_stack+23765, r12vrr_stack+23567, r12vrr_stack+18287);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+26009, r12vrr_stack+24557, r12vrr_stack+23963, r12vrr_stack+24359, r12vrr_stack+23765, r12vrr_stack+17462);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+26669, r12vrr_stack+26009, r12vrr_stack+25349, r12vrr_stack+24557, r12vrr_stack+23963, r12vrr_stack+18617);
 tmp = r12vrr_stack + 26669;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4282, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4285, r12vrr_stack+7475, r12vrr_stack+4282, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4291, r12vrr_stack+4306, r12vrr_stack+4285, r12vrr_stack+518, r12vrr_stack+7475, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+17396, r12vrr_stack+7478, r12vrr_stack+4291, r12vrr_stack+15, r12vrr_stack+4306, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17411, r12vrr_stack+12032, r12vrr_stack+17396, r12vrr_stack+114, r12vrr_stack+7478, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17432, r12vrr_stack+12047, r12vrr_stack+17411, r12vrr_stack+124, r12vrr_stack+12032, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17460, r12vrr_stack+12068, r12vrr_stack+17432, r12vrr_stack+7582, r12vrr_stack+12047, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17496, r12vrr_stack+1016, r12vrr_stack+17460, r12vrr_stack+7603, r12vrr_stack+12068, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17541, r12vrr_stack+12096, r12vrr_stack+17496, r12vrr_stack+7631, r12vrr_stack+1016, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17596, r12vrr_stack+12141, r12vrr_stack+17541, r12vrr_stack+7667, r12vrr_stack+12096, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27659, r12vrr_stack+4216, r12vrr_stack+17596, NULL, NULL, r12vrr_stack+12141);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27857, r12vrr_stack+17198, r12vrr_stack+27659, r12vrr_stack+4662, r12vrr_stack+4216, r12vrr_stack+20542);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28253, r12vrr_stack+24953, r12vrr_stack+27857, r12vrr_stack+23567, r12vrr_stack+17198, r12vrr_stack+20707);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28913, r12vrr_stack+25349, r12vrr_stack+28253, r12vrr_stack+23963, r12vrr_stack+24953, r12vrr_stack+21037);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29903, r12vrr_stack+26669, r12vrr_stack+28913, r12vrr_stack+26009, r12vrr_stack+25349, r12vrr_stack+21587);
 tmp = r12vrr_stack + 29903;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+17662, r12vrr_stack+12196, r12vrr_stack+4662, r12vrr_stack+7847, r12vrr_stack+17077, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31289, r12vrr_stack+12262, r12vrr_stack+12196, r12vrr_stack+758, r12vrr_stack+7847, NULL);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31367, r12vrr_stack+4662, r12vrr_stack+4216, r12vrr_stack+17077, r12vrr_stack+7420, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31445, r12vrr_stack+17662, r12vrr_stack+31367, NULL, NULL, r12vrr_stack+4662);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31679, r12vrr_stack+31289, r12vrr_stack+17662, NULL, NULL, r12vrr_stack+12196);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31913, r12vrr_stack+31679, r12vrr_stack+31445, r12vrr_stack+31289, r12vrr_stack+17662, r12vrr_stack+23567);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+17132, r12vrr_stack+12262, r12vrr_stack+11812, r12vrr_stack+758, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+32381, r12vrr_stack+23567, r12vrr_stack+31289, NULL, NULL, r12vrr_stack+12262);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+32615, r12vrr_stack+32381, r12vrr_stack+31679, r12vrr_stack+23567, r12vrr_stack+31289, r12vrr_stack+23765);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+23645, r12vrr_stack+4216, r12vrr_stack+17596, r12vrr_stack+7420, r12vrr_stack+12141, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+23723, r12vrr_stack+31367, r12vrr_stack+23645, NULL, NULL, r12vrr_stack+4216);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33083, r12vrr_stack+31445, r12vrr_stack+23723, r12vrr_stack+17662, r12vrr_stack+31367, r12vrr_stack+17198);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33551, r12vrr_stack+31913, r12vrr_stack+33083, r12vrr_stack+31679, r12vrr_stack+31445, r12vrr_stack+24953);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+34331, r12vrr_stack+32615, r12vrr_stack+31913, r12vrr_stack+32381, r12vrr_stack+31679, r12vrr_stack+23963);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35111, r12vrr_stack+34331, r12vrr_stack+33551, r12vrr_stack+32615, r12vrr_stack+31913, r12vrr_stack+25349);
 tmp = r12vrr_stack + 35111;
 target_ptr = Libr12->gvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+4282, r12vrr_stack+518, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+758, r12vrr_stack+4285, r12vrr_stack+15, r12vrr_stack+7475, r12vrr_stack+4282, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+768, r12vrr_stack+4291, r12vrr_stack+758, r12vrr_stack+4306, r12vrr_stack+4285, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7582, r12vrr_stack+17396, r12vrr_stack+768, r12vrr_stack+7478, r12vrr_stack+4291, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+783, r12vrr_stack+17411, r12vrr_stack+7582, r12vrr_stack+12032, r12vrr_stack+17396, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23957, r12vrr_stack+17432, r12vrr_stack+783, r12vrr_stack+12047, r12vrr_stack+17411, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23993, r12vrr_stack+17460, r12vrr_stack+23957, r12vrr_stack+12068, r12vrr_stack+17432, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+17496, r12vrr_stack+23993, r12vrr_stack+1016, r12vrr_stack+17460, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24038, r12vrr_stack+17541, r12vrr_stack+17077, r12vrr_stack+12096, r12vrr_stack+17496, NULL);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24104, r12vrr_stack+17596, r12vrr_stack+24038, r12vrr_stack+12141, r12vrr_stack+17541, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36281, r12vrr_stack+23645, r12vrr_stack+24104, NULL, NULL, r12vrr_stack+17596);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36515, r12vrr_stack+23723, r12vrr_stack+36281, r12vrr_stack+31367, r12vrr_stack+23645, r12vrr_stack+27659);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36983, r12vrr_stack+33083, r12vrr_stack+36515, r12vrr_stack+31445, r12vrr_stack+23723, r12vrr_stack+27857);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37763, r12vrr_stack+33551, r12vrr_stack+36983, r12vrr_stack+31913, r12vrr_stack+33083, r12vrr_stack+28253);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38933, r12vrr_stack+35111, r12vrr_stack+37763, r12vrr_stack+34331, r12vrr_stack+33551, r12vrr_stack+28913);
 tmp = r12vrr_stack + 38933;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24182, r12vrr_stack+17662, r12vrr_stack+31367, r12vrr_stack+12196, r12vrr_stack+4662, NULL);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+40571, r12vrr_stack+31289, r12vrr_stack+17662, r12vrr_stack+12262, r12vrr_stack+12196, NULL);

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+40662, r12vrr_stack+31367, r12vrr_stack+23645, r12vrr_stack+4662, r12vrr_stack+4216, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+40753, r12vrr_stack+24182, r12vrr_stack+40662, NULL, NULL, r12vrr_stack+31367);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+41026, r12vrr_stack+40571, r12vrr_stack+24182, NULL, NULL, r12vrr_stack+17662);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+41299, r12vrr_stack+41026, r12vrr_stack+40753, r12vrr_stack+40571, r12vrr_stack+24182, r12vrr_stack+31445);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31445, r12vrr_stack+23567, r12vrr_stack+31289, r12vrr_stack+17132, r12vrr_stack+12262, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+41845, r12vrr_stack+31445, r12vrr_stack+40571, NULL, NULL, r12vrr_stack+31289);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+42118, r12vrr_stack+41845, r12vrr_stack+41026, r12vrr_stack+31445, r12vrr_stack+40571, r12vrr_stack+31679);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31536, r12vrr_stack+23645, r12vrr_stack+24104, r12vrr_stack+4216, r12vrr_stack+17596, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31627, r12vrr_stack+40662, r12vrr_stack+31536, NULL, NULL, r12vrr_stack+23645);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+42664, r12vrr_stack+40753, r12vrr_stack+31627, r12vrr_stack+24182, r12vrr_stack+40662, r12vrr_stack+23723);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+43210, r12vrr_stack+41299, r12vrr_stack+42664, r12vrr_stack+41026, r12vrr_stack+40753, r12vrr_stack+33083);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+44120, r12vrr_stack+42118, r12vrr_stack+41299, r12vrr_stack+41845, r12vrr_stack+41026, r12vrr_stack+31913);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+45030, r12vrr_stack+44120, r12vrr_stack+43210, r12vrr_stack+42118, r12vrr_stack+41299, r12vrr_stack+33551);
 tmp = r12vrr_stack + 45030;
 target_ptr = Libr12->gvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31900, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+31903, r12vrr_stack+518, r12vrr_stack+31900, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+811, r12vrr_stack+15, r12vrr_stack+31903, r12vrr_stack+4282, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+31909, r12vrr_stack+758, r12vrr_stack+811, r12vrr_stack+4285, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31924, r12vrr_stack+768, r12vrr_stack+31909, r12vrr_stack+4291, r12vrr_stack+758, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4282, r12vrr_stack+7582, r12vrr_stack+31924, r12vrr_stack+17396, r12vrr_stack+768, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31945, r12vrr_stack+783, r12vrr_stack+4282, r12vrr_stack+17411, r12vrr_stack+7582, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31981, r12vrr_stack+23957, r12vrr_stack+31945, r12vrr_stack+17432, r12vrr_stack+783, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17396, r12vrr_stack+23993, r12vrr_stack+31981, r12vrr_stack+17460, r12vrr_stack+23957, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+32026, r12vrr_stack+17077, r12vrr_stack+17396, r12vrr_stack+17496, r12vrr_stack+23993, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+32092, r12vrr_stack+24038, r12vrr_stack+32026, r12vrr_stack+17541, r12vrr_stack+17077, NULL);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+32170, r12vrr_stack+24104, r12vrr_stack+32092, r12vrr_stack+17596, r12vrr_stack+24038, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+46395, r12vrr_stack+31536, r12vrr_stack+32170, NULL, NULL, r12vrr_stack+24104);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+46668, r12vrr_stack+31627, r12vrr_stack+46395, r12vrr_stack+40662, r12vrr_stack+31536, r12vrr_stack+36281);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+47214, r12vrr_stack+42664, r12vrr_stack+46668, r12vrr_stack+40753, r12vrr_stack+31627, r12vrr_stack+36515);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+48124, r12vrr_stack+43210, r12vrr_stack+47214, r12vrr_stack+41299, r12vrr_stack+42664, r12vrr_stack+36983);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+49489, r12vrr_stack+45030, r12vrr_stack+48124, r12vrr_stack+44120, r12vrr_stack+43210, r12vrr_stack+37763);
 tmp = r12vrr_stack + 49489;
 target_ptr = Libr12->gvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+32261, r12vrr_stack+24182, r12vrr_stack+40662, r12vrr_stack+17662, r12vrr_stack+31367, NULL);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+12196, r12vrr_stack+40571, r12vrr_stack+24182, r12vrr_stack+31289, r12vrr_stack+17662, NULL);

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+17662, r12vrr_stack+40662, r12vrr_stack+31536, r12vrr_stack+31367, r12vrr_stack+23645, NULL);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51400, r12vrr_stack+32261, r12vrr_stack+17662, NULL, NULL, r12vrr_stack+40662);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51715, r12vrr_stack+12196, r12vrr_stack+32261, NULL, NULL, r12vrr_stack+24182);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52030, r12vrr_stack+51715, r12vrr_stack+51400, r12vrr_stack+12196, r12vrr_stack+32261, r12vrr_stack+40753);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+24182, r12vrr_stack+31445, r12vrr_stack+40571, r12vrr_stack+23567, r12vrr_stack+31289, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+40662, r12vrr_stack+24182, r12vrr_stack+12196, NULL, NULL, r12vrr_stack+40571);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52660, r12vrr_stack+40662, r12vrr_stack+51715, r12vrr_stack+24182, r12vrr_stack+12196, r12vrr_stack+41026);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+12196, r12vrr_stack+31536, r12vrr_stack+32170, r12vrr_stack+23645, r12vrr_stack+24104, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+40977, r12vrr_stack+17662, r12vrr_stack+12196, NULL, NULL, r12vrr_stack+31536);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+53290, r12vrr_stack+51400, r12vrr_stack+40977, r12vrr_stack+32261, r12vrr_stack+17662, r12vrr_stack+31627);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+53920, r12vrr_stack+52030, r12vrr_stack+53290, r12vrr_stack+51715, r12vrr_stack+51400, r12vrr_stack+42664);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+54970, r12vrr_stack+52660, r12vrr_stack+52030, r12vrr_stack+40662, r12vrr_stack+51715, r12vrr_stack+41299);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+56020, r12vrr_stack+54970, r12vrr_stack+53920, r12vrr_stack+52660, r12vrr_stack+52030, r12vrr_stack+43210);
 tmp = r12vrr_stack + 56020;
 target_ptr = Libr12->gvrr_classes[4][13];
 for(i=0;i<1575;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+52660, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+52663, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+52672, r12vrr_stack+347, r12vrr_stack+52663, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+52660);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+52690, r12vrr_stack+68, r12vrr_stack+52, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+52708, r12vrr_stack+279, r12vrr_stack+52690, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+52663);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+52744, r12vrr_stack+2253, r12vrr_stack+52708, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+52672);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+358, r12vrr_stack+322, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+52804, r12vrr_stack+2289, r12vrr_stack+114, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+52690);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+52864, r12vrr_stack+2319, r12vrr_stack+52804, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+52708);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+52964, r12vrr_stack+2379, r12vrr_stack+52864, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+52744);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+17451, r12vrr_stack+332, r12vrr_stack+521, NULL, NULL, r12vrr_stack+322);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+53114, r12vrr_stack+2479, r12vrr_stack+17451, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+114);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+51715, r12vrr_stack+2524, r12vrr_stack+53114, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+52804);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+40571, r12vrr_stack+2614, r12vrr_stack+51715, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+52864);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+41292, r12vrr_stack+2764, r12vrr_stack+40571, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+52964);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+368, r12vrr_stack+536, r12vrr_stack+883, NULL, NULL, r12vrr_stack+521);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+51865, r12vrr_stack+2989, r12vrr_stack+368, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+17451);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+41607, r12vrr_stack+3052, r12vrr_stack+51865, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+53114);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+57595, r12vrr_stack+3178, r12vrr_stack+41607, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+51715);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+57910, r12vrr_stack+3388, r12vrr_stack+57595, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+40571);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58351, r12vrr_stack+3703, r12vrr_stack+57910, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+41292);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+904, r12vrr_stack+4598, NULL, NULL, r12vrr_stack+883);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+932, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+904, r12vrr_stack+368);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+58939, r12vrr_stack+5544, r12vrr_stack+1392, r12vrr_stack+4312, r12vrr_stack+932, r12vrr_stack+51865);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+59219, r12vrr_stack+5712, r12vrr_stack+58939, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+41607);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+59639, r12vrr_stack+5992, r12vrr_stack+59219, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+57595);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+60227, r12vrr_stack+6832, r12vrr_stack+59639, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+57910);
 tmp = r12vrr_stack + 60227;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1560, r12vrr_stack+4626, r12vrr_stack+7631, NULL, NULL, r12vrr_stack+4598);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4310, r12vrr_stack+9832, r12vrr_stack+1560, r12vrr_stack+4180, r12vrr_stack+4626, r12vrr_stack+1308);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+61011, r12vrr_stack+9940, r12vrr_stack+4310, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+1392);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+61371, r12vrr_stack+10156, r12vrr_stack+61011, r12vrr_stack+8356, r12vrr_stack+9940, r12vrr_stack+58939);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+61911, r12vrr_stack+10516, r12vrr_stack+61371, r12vrr_stack+8572, r12vrr_stack+10156, r12vrr_stack+59219);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62667, r12vrr_stack+11056, r12vrr_stack+61911, r12vrr_stack+9292, r12vrr_stack+10516, r12vrr_stack+59639);
 tmp = r12vrr_stack + 62667;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+144, r12vrr_stack+7667, r12vrr_stack+12096, NULL, NULL, r12vrr_stack+7631);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8248, r12vrr_stack+7712, r12vrr_stack+144, r12vrr_stack+7537, r12vrr_stack+7667, r12vrr_stack+1560);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+63675, r12vrr_stack+14737, r12vrr_stack+8248, r12vrr_stack+12757, r12vrr_stack+7712, r12vrr_stack+4310);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+64125, r12vrr_stack+15007, r12vrr_stack+63675, r12vrr_stack+12892, r12vrr_stack+14737, r12vrr_stack+61011);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+64800, r12vrr_stack+15457, r12vrr_stack+64125, r12vrr_stack+13162, r12vrr_stack+15007, r12vrr_stack+61371);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+65745, r12vrr_stack+16132, r12vrr_stack+64800, r12vrr_stack+14062, r12vrr_stack+15457, r12vrr_stack+61911);
 tmp = r12vrr_stack + 65745;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12757, r12vrr_stack+12141, r12vrr_stack+17541, NULL, NULL, r12vrr_stack+12096);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12922, r12vrr_stack+20542, r12vrr_stack+12757, r12vrr_stack+7420, r12vrr_stack+12141, r12vrr_stack+144);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+67005, r12vrr_stack+20707, r12vrr_stack+12922, r12vrr_stack+11867, r12vrr_stack+20542, r12vrr_stack+8248);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+67555, r12vrr_stack+21037, r12vrr_stack+67005, r12vrr_stack+18287, r12vrr_stack+20707, r12vrr_stack+63675);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+68380, r12vrr_stack+21587, r12vrr_stack+67555, r12vrr_stack+18617, r12vrr_stack+21037, r12vrr_stack+64125);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+69535, r12vrr_stack+22412, r12vrr_stack+68380, r12vrr_stack+19717, r12vrr_stack+21587, r12vrr_stack+64800);
 tmp = r12vrr_stack + 69535;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18287, r12vrr_stack+17596, r12vrr_stack+24038, NULL, NULL, r12vrr_stack+17541);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18485, r12vrr_stack+27659, r12vrr_stack+18287, r12vrr_stack+4216, r12vrr_stack+17596, r12vrr_stack+12757);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71075, r12vrr_stack+27857, r12vrr_stack+18485, r12vrr_stack+17198, r12vrr_stack+27659, r12vrr_stack+12922);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71735, r12vrr_stack+28253, r12vrr_stack+71075, r12vrr_stack+24953, r12vrr_stack+27857, r12vrr_stack+67005);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+72725, r12vrr_stack+28913, r12vrr_stack+71735, r12vrr_stack+25349, r12vrr_stack+28253, r12vrr_stack+67555);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+74111, r12vrr_stack+29903, r12vrr_stack+72725, r12vrr_stack+26669, r12vrr_stack+28913, r12vrr_stack+68380);
 tmp = r12vrr_stack + 74111;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24953, r12vrr_stack+24104, r12vrr_stack+32092, NULL, NULL, r12vrr_stack+24038);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+25187, r12vrr_stack+36281, r12vrr_stack+24953, r12vrr_stack+23645, r12vrr_stack+24104, r12vrr_stack+18287);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+75959, r12vrr_stack+36515, r12vrr_stack+25187, r12vrr_stack+23723, r12vrr_stack+36281, r12vrr_stack+18485);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76739, r12vrr_stack+36983, r12vrr_stack+75959, r12vrr_stack+33083, r12vrr_stack+36515, r12vrr_stack+71075);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77909, r12vrr_stack+37763, r12vrr_stack+76739, r12vrr_stack+33551, r12vrr_stack+36983, r12vrr_stack+71735);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79547, r12vrr_stack+38933, r12vrr_stack+77909, r12vrr_stack+35111, r12vrr_stack+37763, r12vrr_stack+72725);
 tmp = r12vrr_stack + 79547;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+31900, r12vrr_stack+0, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+33083, r12vrr_stack+31903, r12vrr_stack+6, r12vrr_stack+518, r12vrr_stack+31900, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+33093, r12vrr_stack+811, r12vrr_stack+33083, r12vrr_stack+15, r12vrr_stack+31903, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+31909, r12vrr_stack+33093, r12vrr_stack+758, r12vrr_stack+811, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+41817, r12vrr_stack+31924, r12vrr_stack+15, r12vrr_stack+768, r12vrr_stack+31909, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+33108, r12vrr_stack+4282, r12vrr_stack+41817, r12vrr_stack+7582, r12vrr_stack+31924, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33144, r12vrr_stack+31945, r12vrr_stack+33108, r12vrr_stack+783, r12vrr_stack+4282, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33189, r12vrr_stack+31981, r12vrr_stack+33144, r12vrr_stack+23957, r12vrr_stack+31945, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7537, r12vrr_stack+17396, r12vrr_stack+33189, r12vrr_stack+23993, r12vrr_stack+31981, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33244, r12vrr_stack+32026, r12vrr_stack+7537, r12vrr_stack+17077, r12vrr_stack+17396, NULL);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+33322, r12vrr_stack+32092, r12vrr_stack+33244, r12vrr_stack+24038, r12vrr_stack+32026, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+33413, r12vrr_stack+32170, r12vrr_stack+33322, NULL, NULL, r12vrr_stack+32092);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+33686, r12vrr_stack+46395, r12vrr_stack+33413, r12vrr_stack+31536, r12vrr_stack+32170, r12vrr_stack+24953);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+81731, r12vrr_stack+46668, r12vrr_stack+33686, r12vrr_stack+31627, r12vrr_stack+46395, r12vrr_stack+25187);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+82641, r12vrr_stack+47214, r12vrr_stack+81731, r12vrr_stack+42664, r12vrr_stack+46668, r12vrr_stack+75959);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+84006, r12vrr_stack+48124, r12vrr_stack+82641, r12vrr_stack+43210, r12vrr_stack+47214, r12vrr_stack+76739);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+85917, r12vrr_stack+49489, r12vrr_stack+84006, r12vrr_stack+45030, r12vrr_stack+48124, r12vrr_stack+77909);
 tmp = r12vrr_stack + 85917;
 target_ptr = Libr12->gvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+42664, r12vrr_stack+32170, r12vrr_stack+33322, r12vrr_stack+24104, r12vrr_stack+32092, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+42769, r12vrr_stack+12196, r12vrr_stack+42664, NULL, NULL, r12vrr_stack+32170);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+43084, r12vrr_stack+40977, r12vrr_stack+42769, r12vrr_stack+17662, r12vrr_stack+12196, r12vrr_stack+46395);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+88465, r12vrr_stack+53290, r12vrr_stack+43084, r12vrr_stack+51400, r12vrr_stack+40977, r12vrr_stack+46668);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+89515, r12vrr_stack+53920, r12vrr_stack+88465, r12vrr_stack+52030, r12vrr_stack+53290, r12vrr_stack+47214);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+91090, r12vrr_stack+56020, r12vrr_stack+89515, r12vrr_stack+54970, r12vrr_stack+53920, r12vrr_stack+48124);
 tmp = r12vrr_stack + 91090;
 target_ptr = Libr12->gvrr_classes[5][13];
 for(i=0;i<2205;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+36, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+51400, r12vrr_stack+52660, r12vrr_stack+36, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+51406, r12vrr_stack+12, r12vrr_stack+49, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51415, r12vrr_stack+52663, r12vrr_stack+51406, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+36);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+51433, r12vrr_stack+52672, r12vrr_stack+51415, r12vrr_stack+347, r12vrr_stack+52663, r12vrr_stack+51400);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+51463, r12vrr_stack+52, r12vrr_stack+316, NULL, NULL, r12vrr_stack+49);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+51481, r12vrr_stack+52690, r12vrr_stack+51463, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+51406);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1668, r12vrr_stack+52708, r12vrr_stack+51481, r12vrr_stack+279, r12vrr_stack+52690, r12vrr_stack+51415);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+431, r12vrr_stack+52744, r12vrr_stack+1668, r12vrr_stack+2253, r12vrr_stack+52708, r12vrr_stack+51433);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2253, r12vrr_stack+322, r12vrr_stack+39, NULL, NULL, r12vrr_stack+316);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+51400, r12vrr_stack+114, r12vrr_stack+2253, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+51463);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+51517, r12vrr_stack+52804, r12vrr_stack+51400, r12vrr_stack+2289, r12vrr_stack+114, r12vrr_stack+51481);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+43714, r12vrr_stack+52864, r12vrr_stack+51517, r12vrr_stack+2319, r12vrr_stack+52804, r12vrr_stack+1668);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+43864, r12vrr_stack+52964, r12vrr_stack+43714, r12vrr_stack+2379, r12vrr_stack+52864, r12vrr_stack+431);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+431, r12vrr_stack+521, r12vrr_stack+868, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2283, r12vrr_stack+17451, r12vrr_stack+431, r12vrr_stack+332, r12vrr_stack+521, r12vrr_stack+2253);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+31536, r12vrr_stack+53114, r12vrr_stack+2283, r12vrr_stack+2479, r12vrr_stack+17451, r12vrr_stack+51400);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+23645, r12vrr_stack+51715, r12vrr_stack+31536, r12vrr_stack+2524, r12vrr_stack+53114, r12vrr_stack+51517);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+51400, r12vrr_stack+40571, r12vrr_stack+23645, r12vrr_stack+2614, r12vrr_stack+51715, r12vrr_stack+43714);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+51991, r12vrr_stack+41292, r12vrr_stack+51400, r12vrr_stack+2764, r12vrr_stack+40571, r12vrr_stack+43864);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+40571, r12vrr_stack+883, r12vrr_stack+1052, NULL, NULL, r12vrr_stack+868);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+40634, r12vrr_stack+368, r12vrr_stack+40571, r12vrr_stack+536, r12vrr_stack+883, r12vrr_stack+431);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+431, r12vrr_stack+51865, r12vrr_stack+40634, r12vrr_stack+2989, r12vrr_stack+368, r12vrr_stack+2283);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+41292, r12vrr_stack+41607, r12vrr_stack+431, r12vrr_stack+3052, r12vrr_stack+51865, r12vrr_stack+31536);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+57595, r12vrr_stack+41292, r12vrr_stack+3178, r12vrr_stack+41607, r12vrr_stack+23645);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2694, r12vrr_stack+57910, r12vrr_stack+2253, r12vrr_stack+3388, r12vrr_stack+57595, r12vrr_stack+51400);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+52411, r12vrr_stack+58351, r12vrr_stack+2694, r12vrr_stack+3703, r12vrr_stack+57910, r12vrr_stack+51991);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+51400, r12vrr_stack+4598, r12vrr_stack+7603, NULL, NULL, r12vrr_stack+1052);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+51484, r12vrr_stack+1308, r12vrr_stack+51400, r12vrr_stack+904, r12vrr_stack+4598, r12vrr_stack+40571);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+51652, r12vrr_stack+1392, r12vrr_stack+51484, r12vrr_stack+932, r12vrr_stack+1308, r12vrr_stack+40634);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+51932, r12vrr_stack+58939, r12vrr_stack+51652, r12vrr_stack+5544, r12vrr_stack+1392, r12vrr_stack+431);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+57595, r12vrr_stack+59219, r12vrr_stack+51932, r12vrr_stack+5712, r12vrr_stack+58939, r12vrr_stack+41292);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93295, r12vrr_stack+59639, r12vrr_stack+57595, r12vrr_stack+5992, r12vrr_stack+59219, r12vrr_stack+2253);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+94079, r12vrr_stack+60227, r12vrr_stack+93295, r12vrr_stack+6832, r12vrr_stack+59639, r12vrr_stack+2694);
 tmp = r12vrr_stack + 94079;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+7631, r12vrr_stack+1016, NULL, NULL, r12vrr_stack+7603);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2361, r12vrr_stack+1560, r12vrr_stack+2253, r12vrr_stack+4626, r12vrr_stack+7631, r12vrr_stack+51400);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13252, r12vrr_stack+4310, r12vrr_stack+2361, r12vrr_stack+9832, r12vrr_stack+1560, r12vrr_stack+51484);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2577, r12vrr_stack+61011, r12vrr_stack+13252, r12vrr_stack+9940, r12vrr_stack+4310, r12vrr_stack+51652);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+58939, r12vrr_stack+61371, r12vrr_stack+2577, r12vrr_stack+10156, r12vrr_stack+61011, r12vrr_stack+51932);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+51400, r12vrr_stack+61911, r12vrr_stack+58939, r12vrr_stack+10516, r12vrr_stack+61371, r12vrr_stack+57595);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+95087, r12vrr_stack+62667, r12vrr_stack+51400, r12vrr_stack+11056, r12vrr_stack+61911, r12vrr_stack+93295);
 tmp = r12vrr_stack + 95087;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+93295, r12vrr_stack+12096, r12vrr_stack+17496, NULL, NULL, r12vrr_stack+1016);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+93430, r12vrr_stack+144, r12vrr_stack+93295, r12vrr_stack+7667, r12vrr_stack+12096, r12vrr_stack+2253);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+57595, r12vrr_stack+8248, r12vrr_stack+93430, r12vrr_stack+7712, r12vrr_stack+144, r12vrr_stack+2361);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+61011, r12vrr_stack+63675, r12vrr_stack+57595, r12vrr_stack+14737, r12vrr_stack+8248, r12vrr_stack+13252);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+61686, r12vrr_stack+64125, r12vrr_stack+61011, r12vrr_stack+15007, r12vrr_stack+63675, r12vrr_stack+2577);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+64800, r12vrr_stack+61686, r12vrr_stack+15457, r12vrr_stack+64125, r12vrr_stack+58939);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+96383, r12vrr_stack+65745, r12vrr_stack+2253, r12vrr_stack+16132, r12vrr_stack+64800, r12vrr_stack+51400);
 tmp = r12vrr_stack + 96383;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51400, r12vrr_stack+17541, r12vrr_stack+17077, NULL, NULL, r12vrr_stack+17496);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51565, r12vrr_stack+12757, r12vrr_stack+51400, r12vrr_stack+12141, r12vrr_stack+17541, r12vrr_stack+93295);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+58939, r12vrr_stack+12922, r12vrr_stack+51565, r12vrr_stack+20542, r12vrr_stack+12757, r12vrr_stack+93430);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+63675, r12vrr_stack+67005, r12vrr_stack+58939, r12vrr_stack+20707, r12vrr_stack+12922, r12vrr_stack+57595);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+64500, r12vrr_stack+67555, r12vrr_stack+63675, r12vrr_stack+21037, r12vrr_stack+67005, r12vrr_stack+61011);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+98003, r12vrr_stack+68380, r12vrr_stack+64500, r12vrr_stack+21587, r12vrr_stack+67555, r12vrr_stack+61686);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+99543, r12vrr_stack+69535, r12vrr_stack+98003, r12vrr_stack+22412, r12vrr_stack+68380, r12vrr_stack+2253);
 tmp = r12vrr_stack + 99543;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17198, r12vrr_stack+24038, r12vrr_stack+32026, NULL, NULL, r12vrr_stack+17077);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+18287, r12vrr_stack+17198, r12vrr_stack+17596, r12vrr_stack+24038, r12vrr_stack+51400);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2649, r12vrr_stack+18485, r12vrr_stack+2253, r12vrr_stack+27659, r12vrr_stack+18287, r12vrr_stack+51565);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51400, r12vrr_stack+71075, r12vrr_stack+2649, r12vrr_stack+27857, r12vrr_stack+18485, r12vrr_stack+58939);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61011, r12vrr_stack+71735, r12vrr_stack+51400, r12vrr_stack+28253, r12vrr_stack+71075, r12vrr_stack+63675);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+67005, r12vrr_stack+72725, r12vrr_stack+61011, r12vrr_stack+28913, r12vrr_stack+71735, r12vrr_stack+64500);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+101523, r12vrr_stack+74111, r12vrr_stack+67005, r12vrr_stack+29903, r12vrr_stack+72725, r12vrr_stack+98003);
 tmp = r12vrr_stack + 101523;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+98003, r12vrr_stack+32092, r12vrr_stack+33244, NULL, NULL, r12vrr_stack+32026);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+98237, r12vrr_stack+24953, r12vrr_stack+98003, r12vrr_stack+24104, r12vrr_stack+32092, r12vrr_stack+17198);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+98705, r12vrr_stack+25187, r12vrr_stack+98237, r12vrr_stack+36281, r12vrr_stack+24953, r12vrr_stack+2253);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63675, r12vrr_stack+75959, r12vrr_stack+98705, r12vrr_stack+36515, r12vrr_stack+25187, r12vrr_stack+2649);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+71075, r12vrr_stack+76739, r12vrr_stack+63675, r12vrr_stack+36983, r12vrr_stack+75959, r12vrr_stack+51400);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+27659, r12vrr_stack+77909, r12vrr_stack+71075, r12vrr_stack+37763, r12vrr_stack+76739, r12vrr_stack+61011);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+103899, r12vrr_stack+79547, r12vrr_stack+27659, r12vrr_stack+38933, r12vrr_stack+77909, r12vrr_stack+67005);
 tmp = r12vrr_stack + 103899;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+67005, r12vrr_stack+0, r12vrr_stack+12, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+67011, r12vrr_stack+6, r12vrr_stack+67005, r12vrr_stack+31900, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+67021, r12vrr_stack+33083, r12vrr_stack+67011, r12vrr_stack+31903, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+67036, r12vrr_stack+33093, r12vrr_stack+67021, r12vrr_stack+811, r12vrr_stack+33083, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+67005, r12vrr_stack+15, r12vrr_stack+67036, r12vrr_stack+31909, r12vrr_stack+33093, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+67033, r12vrr_stack+41817, r12vrr_stack+67005, r12vrr_stack+31924, r12vrr_stack+15, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+33108, r12vrr_stack+67033, r12vrr_stack+4282, r12vrr_stack+41817, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+33144, r12vrr_stack+0, r12vrr_stack+31945, r12vrr_stack+33108, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+67005, r12vrr_stack+33189, r12vrr_stack+17077, r12vrr_stack+31981, r12vrr_stack+33144, NULL);

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+67071, r12vrr_stack+7537, r12vrr_stack+67005, r12vrr_stack+17396, r12vrr_stack+33189, NULL);

 /*--- compute (00|q0)^7 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+67149, r12vrr_stack+33244, r12vrr_stack+67071, r12vrr_stack+32026, r12vrr_stack+7537, NULL);

 /*--- compute (p0|q0)^6 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+7537, r12vrr_stack+33322, r12vrr_stack+67149, NULL, NULL, r12vrr_stack+33244);

 /*--- compute (d0|q0)^5 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+67240, r12vrr_stack+33413, r12vrr_stack+7537, r12vrr_stack+32170, r12vrr_stack+33322, r12vrr_stack+98003);

 /*--- compute (f0|q0)^4 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+67786, r12vrr_stack+33686, r12vrr_stack+67240, r12vrr_stack+46395, r12vrr_stack+33413, r12vrr_stack+98237);

 /*--- compute (g0|q0)^3 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+61011, r12vrr_stack+81731, r12vrr_stack+67786, r12vrr_stack+46668, r12vrr_stack+33686, r12vrr_stack+98705);

 /*--- compute (h0|q0)^2 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+67240, r12vrr_stack+82641, r12vrr_stack+61011, r12vrr_stack+47214, r12vrr_stack+81731, r12vrr_stack+63675);

 /*--- compute (i0|q0)^1 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+75959, r12vrr_stack+84006, r12vrr_stack+67240, r12vrr_stack+48124, r12vrr_stack+82641, r12vrr_stack+71075);

 /*--- compute (k0|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+106707, r12vrr_stack+85917, r12vrr_stack+75959, r12vrr_stack+49489, r12vrr_stack+84006, r12vrr_stack+27659);

 /*--- compute (00|r0)^6 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+27659, r12vrr_stack+33322, r12vrr_stack+67149, r12vrr_stack+32092, r12vrr_stack+33244, NULL);

 /*--- compute (p0|r0)^5 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+27764, r12vrr_stack+42664, r12vrr_stack+27659, NULL, NULL, r12vrr_stack+33322);

 /*--- compute (d0|r0)^4 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+28079, r12vrr_stack+42769, r12vrr_stack+27764, r12vrr_stack+12196, r12vrr_stack+42664, r12vrr_stack+33413);

 /*--- compute (f0|r0)^3 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+28709, r12vrr_stack+43084, r12vrr_stack+28079, r12vrr_stack+40977, r12vrr_stack+42769, r12vrr_stack+33686);

 /*--- compute (g0|r0)^2 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+75959, r12vrr_stack+88465, r12vrr_stack+28709, r12vrr_stack+53290, r12vrr_stack+43084, r12vrr_stack+81731);

 /*--- compute (h0|r0)^1 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+27659, r12vrr_stack+89515, r12vrr_stack+75959, r12vrr_stack+53920, r12vrr_stack+88465, r12vrr_stack+82641);

 /*--- compute (i0|r0)^0 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+75959, r12vrr_stack+91090, r12vrr_stack+27659, r12vrr_stack+56020, r12vrr_stack+89515, r12vrr_stack+84006);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+27659, &(Data->ss_r12_ss), NULL, r12vrr_stack+58, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+27662, r12vrr_stack+27659, &(Data->ss_r12_ss), r12vrr_stack+61, r12vrr_stack+58, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+27668, r12vrr_stack+27662, r12vrr_stack+27659, r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+58, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+27678, r12vrr_stack+27668, r12vrr_stack+27662, r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+61, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+27693, r12vrr_stack+27678, r12vrr_stack+27668, r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+1073, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+27714, r12vrr_stack+27693, r12vrr_stack+27678, r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+1083, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+27742, r12vrr_stack+27714, NULL, r12vrr_stack+5012, r12vrr_stack+821, NULL, r12vrr_stack+1098);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+27826, r12vrr_stack+27742, r12vrr_stack+27714, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+1119);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+27994, r12vrr_stack+27826, r12vrr_stack+27742, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+1182);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+1119, r12vrr_stack+27994, r12vrr_stack+27826, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+1728);
 tmp = r12vrr_stack + 1119;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+28274, r12vrr_stack+1119, r12vrr_stack+27994, r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+1938);
 tmp = r12vrr_stack + 28274;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+27742, r12vrr_stack+27714, r12vrr_stack+27693, r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+1098, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+27778, r12vrr_stack+27742, NULL, r12vrr_stack+7924, r12vrr_stack+4144, NULL, r12vrr_stack+821);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+27886, r12vrr_stack+27778, r12vrr_stack+27742, r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+5012);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+1539, r12vrr_stack+27886, r12vrr_stack+27778, r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+5096);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+28862, r12vrr_stack+1539, r12vrr_stack+27886, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+5264);
 tmp = r12vrr_stack + 28862;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+57595, r12vrr_stack+28862, r12vrr_stack+1539, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+6412);
 tmp = r12vrr_stack + 57595;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+1539, r12vrr_stack+27742, r12vrr_stack+27714, r12vrr_stack+7492, r12vrr_stack+4144, r12vrr_stack+821, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+1584, r12vrr_stack+1539, NULL, r12vrr_stack+12352, r12vrr_stack+7492, NULL, r12vrr_stack+4144);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+27778, r12vrr_stack+1584, r12vrr_stack+1539, r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+7492, r12vrr_stack+7924);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+29402, r12vrr_stack+27778, r12vrr_stack+1584, r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+8032);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+88465, r12vrr_stack+29402, r12vrr_stack+27778, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+8932);
 tmp = r12vrr_stack + 88465;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+89140, r12vrr_stack+88465, r12vrr_stack+29402, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+9292);
 tmp = r12vrr_stack + 89140;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+1539, r12vrr_stack+27742, r12vrr_stack+11812, r12vrr_stack+7492, r12vrr_stack+4144, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+17077, NULL, r12vrr_stack+17792, r12vrr_stack+11812, NULL, r12vrr_stack+7492);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4309, r12vrr_stack+4144, r12vrr_stack+17077, r12vrr_stack+17957, r12vrr_stack+17792, r12vrr_stack+11812, r12vrr_stack+12352);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4639, r12vrr_stack+4309, r12vrr_stack+4144, r12vrr_stack+19167, r12vrr_stack+17957, r12vrr_stack+17792, r12vrr_stack+12487);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+90085, r12vrr_stack+4639, r12vrr_stack+4309, r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+17957, r12vrr_stack+13612);
 tmp = r12vrr_stack + 90085;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+81731, r12vrr_stack+90085, r12vrr_stack+4639, r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+14062);
 tmp = r12vrr_stack + 81731;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+17077, r12vrr_stack+1539, r12vrr_stack+17132, r12vrr_stack+11812, r12vrr_stack+7492, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1539, r12vrr_stack+4144, NULL, r12vrr_stack+24359, r12vrr_stack+17132, NULL, r12vrr_stack+11812);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4210, r12vrr_stack+1539, r12vrr_stack+4144, r12vrr_stack+24557, r12vrr_stack+24359, r12vrr_stack+17132, r12vrr_stack+17792);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+82886, r12vrr_stack+4210, r12vrr_stack+1539, r12vrr_stack+26009, r12vrr_stack+24557, r12vrr_stack+24359, r12vrr_stack+17957);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+83546, r12vrr_stack+82886, r12vrr_stack+4210, r12vrr_stack+26669, r12vrr_stack+26009, r12vrr_stack+24557, r12vrr_stack+19167);
 tmp = r12vrr_stack + 83546;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42664, r12vrr_stack+83546, r12vrr_stack+82886, r12vrr_stack+29903, r12vrr_stack+26669, r12vrr_stack+26009, r12vrr_stack+19717);
 tmp = r12vrr_stack + 42664;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+82886, r12vrr_stack+4144, r12vrr_stack+17077, r12vrr_stack+23567, r12vrr_stack+17132, r12vrr_stack+11812, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+82886, NULL, r12vrr_stack+32381, r12vrr_stack+23567, NULL, r12vrr_stack+17132);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12046, r12vrr_stack+11812, r12vrr_stack+82886, r12vrr_stack+32615, r12vrr_stack+32381, r12vrr_stack+23567, r12vrr_stack+24359);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12514, r12vrr_stack+12046, r12vrr_stack+11812, r12vrr_stack+34331, r12vrr_stack+32615, r12vrr_stack+32381, r12vrr_stack+24557);

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+84536, r12vrr_stack+12514, r12vrr_stack+12046, r12vrr_stack+35111, r12vrr_stack+34331, r12vrr_stack+32615, r12vrr_stack+26009);
 tmp = r12vrr_stack + 84536;
 target_ptr = Libr12->rvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+71075, r12vrr_stack+84536, r12vrr_stack+12514, r12vrr_stack+38933, r12vrr_stack+35111, r12vrr_stack+34331, r12vrr_stack+26669);
 tmp = r12vrr_stack + 71075;
 target_ptr = Libr12->rvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+82886, r12vrr_stack+4144, r12vrr_stack+31445, r12vrr_stack+23567, r12vrr_stack+17132, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+11812, NULL, r12vrr_stack+41845, r12vrr_stack+31445, NULL, r12vrr_stack+23567);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+4144, r12vrr_stack+11812, r12vrr_stack+42118, r12vrr_stack+41845, r12vrr_stack+31445, r12vrr_stack+32381);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+23567, r12vrr_stack+4144, r12vrr_stack+44120, r12vrr_stack+42118, r12vrr_stack+41845, r12vrr_stack+32615);

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+24113, r12vrr_stack+11812, r12vrr_stack+23567, r12vrr_stack+45030, r12vrr_stack+44120, r12vrr_stack+42118, r12vrr_stack+34331);
 tmp = r12vrr_stack + 24113;
 target_ptr = Libr12->rvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+24113, r12vrr_stack+11812, r12vrr_stack+49489, r12vrr_stack+45030, r12vrr_stack+44120, r12vrr_stack+35111);
 tmp = r12vrr_stack + 17077;
 target_ptr = Libr12->rvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11812, r12vrr_stack+6412, r12vrr_stack+9292, r12vrr_stack+6832, r12vrr_stack+3703, r12vrr_stack+1938);
 tmp = r12vrr_stack + 11812;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12232, r12vrr_stack+9292, r12vrr_stack+14062, r12vrr_stack+11056, r12vrr_stack+6832, r12vrr_stack+6412);
 tmp = r12vrr_stack + 12232;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12772, r12vrr_stack+14062, r12vrr_stack+19717, r12vrr_stack+16132, r12vrr_stack+11056, r12vrr_stack+9292);
 tmp = r12vrr_stack + 12772;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4144, r12vrr_stack+19717, r12vrr_stack+26669, r12vrr_stack+22412, r12vrr_stack+16132, r12vrr_stack+14062);
 tmp = r12vrr_stack + 4144;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+1539, r12vrr_stack+26669, r12vrr_stack+35111, r12vrr_stack+29903, r12vrr_stack+22412, r12vrr_stack+19717);
 tmp = r12vrr_stack + 1539;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+2529, r12vrr_stack+35111, r12vrr_stack+45030, r12vrr_stack+38933, r12vrr_stack+29903, r12vrr_stack+26669);
 tmp = r12vrr_stack + 2529;
 target_ptr = Libr12->t2vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+72713, r12vrr_stack+45030, r12vrr_stack+56020, r12vrr_stack+49489, r12vrr_stack+38933, r12vrr_stack+35111);
 tmp = r12vrr_stack + 72713;
 target_ptr = Libr12->t2vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+82886, r12vrr_stack+6832, r12vrr_stack+11056, r12vrr_stack+60227, r12vrr_stack+58351, r12vrr_stack+3703);
 tmp = r12vrr_stack + 82886;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+63675, r12vrr_stack+11056, r12vrr_stack+16132, r12vrr_stack+62667, r12vrr_stack+60227, r12vrr_stack+6832);
 tmp = r12vrr_stack + 63675;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+64431, r12vrr_stack+16132, r12vrr_stack+22412, r12vrr_stack+65745, r12vrr_stack+62667, r12vrr_stack+11056);
 tmp = r12vrr_stack + 64431;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+61011, r12vrr_stack+22412, r12vrr_stack+29903, r12vrr_stack+69535, r12vrr_stack+65745, r12vrr_stack+16132);
 tmp = r12vrr_stack + 61011;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+46395, r12vrr_stack+29903, r12vrr_stack+38933, r12vrr_stack+74111, r12vrr_stack+69535, r12vrr_stack+22412);
 tmp = r12vrr_stack + 46395;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+47781, r12vrr_stack+38933, r12vrr_stack+49489, r12vrr_stack+79547, r12vrr_stack+74111, r12vrr_stack+29903);
 tmp = r12vrr_stack + 47781;
 target_ptr = Libr12->t2vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+67005, r12vrr_stack+49489, r12vrr_stack+91090, r12vrr_stack+85917, r12vrr_stack+79547, r12vrr_stack+38933);
 tmp = r12vrr_stack + 67005;
 target_ptr = Libr12->t2vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+93295, r12vrr_stack+60227, r12vrr_stack+62667, r12vrr_stack+94079, r12vrr_stack+52411, r12vrr_stack+58351);
 tmp = r12vrr_stack + 93295;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+58351, r12vrr_stack+62667, r12vrr_stack+65745, r12vrr_stack+95087, r12vrr_stack+94079, r12vrr_stack+60227);
 tmp = r12vrr_stack + 58351;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+98003, r12vrr_stack+65745, r12vrr_stack+69535, r12vrr_stack+96383, r12vrr_stack+95087, r12vrr_stack+62667);
 tmp = r12vrr_stack + 98003;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+51400, r12vrr_stack+69535, r12vrr_stack+74111, r12vrr_stack+99543, r12vrr_stack+96383, r12vrr_stack+65745);
 tmp = r12vrr_stack + 51400;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+52940, r12vrr_stack+74111, r12vrr_stack+79547, r12vrr_stack+101523, r12vrr_stack+99543, r12vrr_stack+69535);
 tmp = r12vrr_stack + 52940;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+36281, r12vrr_stack+79547, r12vrr_stack+85917, r12vrr_stack+103899, r12vrr_stack+101523, r12vrr_stack+74111);
 tmp = r12vrr_stack + 36281;
 target_ptr = Libr12->t2vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+31289, r12vrr_stack+85917, r12vrr_stack+75959, r12vrr_stack+106707, r12vrr_stack+103899, r12vrr_stack+79547);
 tmp = r12vrr_stack + 31289;
 target_ptr = Libr12->t2vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+59359, r12vrr_stack+6412, r12vrr_stack+6832, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+5264);
 tmp = r12vrr_stack + 59359;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23567, r12vrr_stack+9292, r12vrr_stack+11056, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+8932);
 tmp = r12vrr_stack + 23567;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4969, r12vrr_stack+14062, r12vrr_stack+16132, r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+13612);
 tmp = r12vrr_stack + 4969;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+19717, r12vrr_stack+22412, r12vrr_stack+26669, r12vrr_stack+26009, r12vrr_stack+19167);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+20542, r12vrr_stack+26669, r12vrr_stack+29903, r12vrr_stack+35111, r12vrr_stack+34331, r12vrr_stack+26009);
 tmp = r12vrr_stack + 20542;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+25478, r12vrr_stack+35111, r12vrr_stack+38933, r12vrr_stack+45030, r12vrr_stack+44120, r12vrr_stack+34331);
 tmp = r12vrr_stack + 25478;
 target_ptr = Libr12->t1vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14737, r12vrr_stack+45030, r12vrr_stack+49489, r12vrr_stack+56020, r12vrr_stack+54970, r12vrr_stack+44120);
 tmp = r12vrr_stack + 14737;
 target_ptr = Libr12->t1vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13447, r12vrr_stack+6832, r12vrr_stack+60227, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+6412);
 tmp = r12vrr_stack + 13447;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5644, r12vrr_stack+11056, r12vrr_stack+62667, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+9292);
 tmp = r12vrr_stack + 5644;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+44050, r12vrr_stack+16132, r12vrr_stack+65745, r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+14062);
 tmp = r12vrr_stack + 44050;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+54788, r12vrr_stack+22412, r12vrr_stack+69535, r12vrr_stack+29903, r12vrr_stack+26669, r12vrr_stack+19717);
 tmp = r12vrr_stack + 54788;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+40571, r12vrr_stack+29903, r12vrr_stack+74111, r12vrr_stack+38933, r12vrr_stack+35111, r12vrr_stack+26669);
 tmp = r12vrr_stack + 40571;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7420, r12vrr_stack+38933, r12vrr_stack+79547, r12vrr_stack+49489, r12vrr_stack+45030, r12vrr_stack+35111);
 tmp = r12vrr_stack + 7420;
 target_ptr = Libr12->t1vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+109983, r12vrr_stack+49489, r12vrr_stack+85917, r12vrr_stack+91090, r12vrr_stack+56020, r12vrr_stack+45030);
 tmp = r12vrr_stack + 109983;
 target_ptr = Libr12->t1vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+55943, r12vrr_stack+60227, r12vrr_stack+94079, r12vrr_stack+62667, r12vrr_stack+11056, r12vrr_stack+6832);
 tmp = r12vrr_stack + 55943;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+94079, r12vrr_stack+62667, r12vrr_stack+95087, r12vrr_stack+65745, r12vrr_stack+16132, r12vrr_stack+11056);
 tmp = r12vrr_stack + 94079;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+95087, r12vrr_stack+65745, r12vrr_stack+96383, r12vrr_stack+69535, r12vrr_stack+22412, r12vrr_stack+16132);
 tmp = r12vrr_stack + 95087;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+96347, r12vrr_stack+69535, r12vrr_stack+99543, r12vrr_stack+74111, r12vrr_stack+29903, r12vrr_stack+22412);
 tmp = r12vrr_stack + 96347;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+99263, r12vrr_stack+74111, r12vrr_stack+101523, r12vrr_stack+79547, r12vrr_stack+38933, r12vrr_stack+29903);
 tmp = r12vrr_stack + 99263;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+101111, r12vrr_stack+79547, r12vrr_stack+103899, r12vrr_stack+85917, r12vrr_stack+49489, r12vrr_stack+38933);
 tmp = r12vrr_stack + 101111;
 target_ptr = Libr12->t1vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+103295, r12vrr_stack+85917, r12vrr_stack+106707, r12vrr_stack+75959, r12vrr_stack+91090, r12vrr_stack+49489);
 tmp = r12vrr_stack + 103295;
 target_ptr = Libr12->t1vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+75959, r12vrr_stack+28274, r12vrr_stack+1119, r12vrr_stack+60227, r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+3703);
 tmp = r12vrr_stack + 75959;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+76743, r12vrr_stack+57595, r12vrr_stack+28862, r12vrr_stack+62667, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+6832);
 tmp = r12vrr_stack + 76743;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+77751, r12vrr_stack+89140, r12vrr_stack+88465, r12vrr_stack+65745, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+11056);
 tmp = r12vrr_stack + 77751;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+88465, r12vrr_stack+81731, r12vrr_stack+90085, r12vrr_stack+69535, r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+16132);
 tmp = r12vrr_stack + 88465;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+90005, r12vrr_stack+42664, r12vrr_stack+83546, r12vrr_stack+74111, r12vrr_stack+29903, r12vrr_stack+26669, r12vrr_stack+22412);
 tmp = r12vrr_stack + 90005;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+26648, r12vrr_stack+71075, r12vrr_stack+84536, r12vrr_stack+79547, r12vrr_stack+38933, r12vrr_stack+35111, r12vrr_stack+29903);
 tmp = r12vrr_stack + 26648;
 target_ptr = Libr12->rvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+79011, r12vrr_stack+17077, r12vrr_stack+24113, r12vrr_stack+85917, r12vrr_stack+49489, r12vrr_stack+45030, r12vrr_stack+38933);
 tmp = r12vrr_stack + 79011;
 target_ptr = Libr12->rvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];


}

