#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_gfif(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+800, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+758, r12vrr_stack+800, NULL, NULL, r12vrr_stack+204);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+884, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+947, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+234);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+58, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+61, r12vrr_stack+58, r12vrr_stack+279, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+282, r12vrr_stack+58, r12vrr_stack+279, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+288, r12vrr_stack+61, r12vrr_stack+282, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+298, r12vrr_stack+1073, r12vrr_stack+288, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1119, r12vrr_stack+1098, r12vrr_stack+779, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+313);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+313, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+316, r12vrr_stack+49, r12vrr_stack+313, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+322, r12vrr_stack+52, r12vrr_stack+316, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+332, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1329, r12vrr_stack+800, r12vrr_stack+1308, NULL, NULL, r12vrr_stack+368);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+383);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+428);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1728, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+518);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1938, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+608);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+347, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+279, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2253, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+347);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2289, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2319, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+279);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2379, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+2253);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2479, r12vrr_stack+368, r12vrr_stack+332, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2524, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+2289);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2614, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+2319);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2764, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+2379);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+313, r12vrr_stack+518, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+316, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+313, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+521, r12vrr_stack+322, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+316, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+536, r12vrr_stack+332, r12vrr_stack+521, r12vrr_stack+358, r12vrr_stack+322, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2989, r12vrr_stack+1308, r12vrr_stack+536, NULL, NULL, r12vrr_stack+332);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3052, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+2479);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3178, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+2524);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3388, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+2614);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3703, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+2764);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+557, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+234, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+234, r12vrr_stack+557, NULL, NULL, r12vrr_stack+800);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+114, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4228, r12vrr_stack+114, r12vrr_stack+234, NULL, NULL, r12vrr_stack+758);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+204, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+368, r12vrr_stack+332, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4312, r12vrr_stack+557, r12vrr_stack+204, NULL, NULL, r12vrr_stack+1308);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4396, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+1329);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4564, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+821);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4732, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+1392);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+1083, r12vrr_stack+298, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+114, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+884);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+947);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+849, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+852, r12vrr_stack+518, r12vrr_stack+849, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+858, r12vrr_stack+15, r12vrr_stack+852, r12vrr_stack+313, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+868, r12vrr_stack+39, r12vrr_stack+858, r12vrr_stack+316, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+883, r12vrr_stack+521, r12vrr_stack+868, r12vrr_stack+322, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+904, r12vrr_stack+536, r12vrr_stack+883, r12vrr_stack+332, r12vrr_stack+521, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+932, r12vrr_stack+204, r12vrr_stack+904, NULL, NULL, r12vrr_stack+536);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+4312, r12vrr_stack+932, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+2989);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5712, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+3052);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5992, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+3178);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+1518);
 tmp = r12vrr_stack + 6412;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+3388);
 tmp = r12vrr_stack + 6832;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1016, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+758, r12vrr_stack+800, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7456, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+800, r12vrr_stack+1308, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+1016, r12vrr_stack+7456, NULL, NULL, r12vrr_stack+557);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7600, r12vrr_stack+7420, r12vrr_stack+1016, NULL, NULL, r12vrr_stack+234);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7708, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+7420, r12vrr_stack+1016, r12vrr_stack+4144);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+1098, r12vrr_stack+779, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+114);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+4228);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+204, r12vrr_stack+904, r12vrr_stack+1308, r12vrr_stack+536, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8248, r12vrr_stack+7456, r12vrr_stack+4180, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8356, r12vrr_stack+7492, r12vrr_stack+8248, r12vrr_stack+1016, r12vrr_stack+7456, r12vrr_stack+4312);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8572, r12vrr_stack+7708, r12vrr_stack+8356, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+4396);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4564);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+8572, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+4732);
 tmp = r12vrr_stack + 9292;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4564, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4567, r12vrr_stack+849, r12vrr_stack+4564, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4573, r12vrr_stack+852, r12vrr_stack+4567, r12vrr_stack+518, r12vrr_stack+849, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4583, r12vrr_stack+858, r12vrr_stack+4573, r12vrr_stack+15, r12vrr_stack+852, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1052, r12vrr_stack+868, r12vrr_stack+4583, r12vrr_stack+39, r12vrr_stack+858, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4598, r12vrr_stack+883, r12vrr_stack+1052, r12vrr_stack+521, r12vrr_stack+868, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4626, r12vrr_stack+904, r12vrr_stack+4598, r12vrr_stack+536, r12vrr_stack+883, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9832, r12vrr_stack+4180, r12vrr_stack+4626, NULL, NULL, r12vrr_stack+904);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9940, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+7456, r12vrr_stack+4180, r12vrr_stack+932);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10156, r12vrr_stack+8356, r12vrr_stack+9940, r12vrr_stack+7492, r12vrr_stack+8248, r12vrr_stack+5544);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10516, r12vrr_stack+8572, r12vrr_stack+10156, r12vrr_stack+7708, r12vrr_stack+8356, r12vrr_stack+5712);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+10516, r12vrr_stack+8932, r12vrr_stack+8572, r12vrr_stack+5992);
 tmp = r12vrr_stack + 11056;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4662, r12vrr_stack+1016, r12vrr_stack+7456, r12vrr_stack+234, r12vrr_stack+557, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4216, r12vrr_stack+7420, r12vrr_stack+1016, r12vrr_stack+114, r12vrr_stack+234, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4261, r12vrr_stack+7456, r12vrr_stack+4180, r12vrr_stack+557, r12vrr_stack+204, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+4662, r12vrr_stack+4261, NULL, NULL, r12vrr_stack+7456);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11947, r12vrr_stack+4216, r12vrr_stack+4662, NULL, NULL, r12vrr_stack+1016);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12082, r12vrr_stack+11947, r12vrr_stack+11812, r12vrr_stack+4216, r12vrr_stack+4662, r12vrr_stack+7492);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+821, r12vrr_stack+114, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12352, r12vrr_stack+7492, r12vrr_stack+4216, NULL, NULL, r12vrr_stack+7420);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+11947, r12vrr_stack+7492, r12vrr_stack+4216, r12vrr_stack+7600);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7537, r12vrr_stack+4180, r12vrr_stack+4626, r12vrr_stack+204, r12vrr_stack+904, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12757, r12vrr_stack+4261, r12vrr_stack+7537, NULL, NULL, r12vrr_stack+4180);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12892, r12vrr_stack+11812, r12vrr_stack+12757, r12vrr_stack+4662, r12vrr_stack+4261, r12vrr_stack+8248);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13162, r12vrr_stack+12082, r12vrr_stack+12892, r12vrr_stack+11947, r12vrr_stack+11812, r12vrr_stack+8356);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+12082, r12vrr_stack+12352, r12vrr_stack+11947, r12vrr_stack+7708);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+13162, r12vrr_stack+12487, r12vrr_stack+12082, r12vrr_stack+8572);
 tmp = r12vrr_stack + 14062;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4306, r12vrr_stack+4564, r12vrr_stack+518, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+114, r12vrr_stack+4567, r12vrr_stack+4306, r12vrr_stack+849, r12vrr_stack+4564, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+124, r12vrr_stack+4573, r12vrr_stack+114, r12vrr_stack+852, r12vrr_stack+4567, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7582, r12vrr_stack+4583, r12vrr_stack+124, r12vrr_stack+858, r12vrr_stack+4573, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7603, r12vrr_stack+1052, r12vrr_stack+7582, r12vrr_stack+868, r12vrr_stack+4583, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7631, r12vrr_stack+4598, r12vrr_stack+7603, r12vrr_stack+883, r12vrr_stack+1052, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7667, r12vrr_stack+4626, r12vrr_stack+7631, r12vrr_stack+904, r12vrr_stack+4598, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7712, r12vrr_stack+7537, r12vrr_stack+7667, NULL, NULL, r12vrr_stack+4626);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14737, r12vrr_stack+12757, r12vrr_stack+7712, r12vrr_stack+4261, r12vrr_stack+7537, r12vrr_stack+9832);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15007, r12vrr_stack+12892, r12vrr_stack+14737, r12vrr_stack+11812, r12vrr_stack+12757, r12vrr_stack+9940);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15457, r12vrr_stack+13162, r12vrr_stack+15007, r12vrr_stack+12082, r12vrr_stack+12892, r12vrr_stack+10156);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+15457, r12vrr_stack+13612, r12vrr_stack+13162, r12vrr_stack+10516);
 tmp = r12vrr_stack + 16132;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7847, r12vrr_stack+4662, r12vrr_stack+4261, r12vrr_stack+1016, r12vrr_stack+7456, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+4216, r12vrr_stack+4662, r12vrr_stack+7420, r12vrr_stack+1016, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+4261, r12vrr_stack+7537, r12vrr_stack+7456, r12vrr_stack+4180, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17132, r12vrr_stack+7847, r12vrr_stack+17077, NULL, NULL, r12vrr_stack+4261);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17297, r12vrr_stack+758, r12vrr_stack+7847, NULL, NULL, r12vrr_stack+4662);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17462, r12vrr_stack+17297, r12vrr_stack+17132, r12vrr_stack+758, r12vrr_stack+7847, r12vrr_stack+11812);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+7492, r12vrr_stack+4216, r12vrr_stack+4144, r12vrr_stack+7420, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17792, r12vrr_stack+11812, r12vrr_stack+758, NULL, NULL, r12vrr_stack+4216);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17957, r12vrr_stack+17792, r12vrr_stack+17297, r12vrr_stack+11812, r12vrr_stack+758, r12vrr_stack+11947);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+7537, r12vrr_stack+7667, r12vrr_stack+4180, r12vrr_stack+4626, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11867, r12vrr_stack+17077, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+7537);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18287, r12vrr_stack+17132, r12vrr_stack+11867, r12vrr_stack+7847, r12vrr_stack+17077, r12vrr_stack+12757);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18617, r12vrr_stack+17462, r12vrr_stack+18287, r12vrr_stack+17297, r12vrr_stack+17132, r12vrr_stack+12892);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19167, r12vrr_stack+17957, r12vrr_stack+17462, r12vrr_stack+17792, r12vrr_stack+17297, r12vrr_stack+12082);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+18617, r12vrr_stack+17957, r12vrr_stack+17462, r12vrr_stack+13162);
 tmp = r12vrr_stack + 19717;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+7475, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+7478, r12vrr_stack+518, r12vrr_stack+7475, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+12032, r12vrr_stack+4306, r12vrr_stack+7478, r12vrr_stack+4564, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+12042, r12vrr_stack+114, r12vrr_stack+12032, r12vrr_stack+4567, r12vrr_stack+4306, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12057, r12vrr_stack+124, r12vrr_stack+12042, r12vrr_stack+4573, r12vrr_stack+114, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12078, r12vrr_stack+7582, r12vrr_stack+12057, r12vrr_stack+4583, r12vrr_stack+124, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1016, r12vrr_stack+7603, r12vrr_stack+12078, r12vrr_stack+1052, r12vrr_stack+7582, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12106, r12vrr_stack+7631, r12vrr_stack+1016, r12vrr_stack+4598, r12vrr_stack+7603, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12151, r12vrr_stack+7667, r12vrr_stack+12106, r12vrr_stack+4626, r12vrr_stack+7631, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20542, r12vrr_stack+7420, r12vrr_stack+12151, NULL, NULL, r12vrr_stack+7667);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20707, r12vrr_stack+11867, r12vrr_stack+20542, r12vrr_stack+17077, r12vrr_stack+7420, r12vrr_stack+7712);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21037, r12vrr_stack+18287, r12vrr_stack+20707, r12vrr_stack+17132, r12vrr_stack+11867, r12vrr_stack+14737);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21587, r12vrr_stack+18617, r12vrr_stack+21037, r12vrr_stack+17462, r12vrr_stack+18287, r12vrr_stack+15007);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+21587, r12vrr_stack+19167, r12vrr_stack+18617, r12vrr_stack+15457);
 tmp = r12vrr_stack + 22412;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12206, r12vrr_stack+7847, r12vrr_stack+17077, r12vrr_stack+4662, r12vrr_stack+4261, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12272, r12vrr_stack+758, r12vrr_stack+7847, r12vrr_stack+4216, r12vrr_stack+4662, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4662, r12vrr_stack+17077, r12vrr_stack+7420, r12vrr_stack+4261, r12vrr_stack+7537, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+12206, r12vrr_stack+4662, NULL, NULL, r12vrr_stack+17077);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23765, r12vrr_stack+12272, r12vrr_stack+12206, NULL, NULL, r12vrr_stack+7847);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23963, r12vrr_stack+23765, r12vrr_stack+23567, r12vrr_stack+12272, r12vrr_stack+12206, r12vrr_stack+17132);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7847, r12vrr_stack+11812, r12vrr_stack+758, r12vrr_stack+7492, r12vrr_stack+4216, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+7847, r12vrr_stack+12272, NULL, NULL, r12vrr_stack+758);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24359, r12vrr_stack+17077, r12vrr_stack+23765, r12vrr_stack+7847, r12vrr_stack+12272, r12vrr_stack+17297);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12272, r12vrr_stack+7420, r12vrr_stack+12151, r12vrr_stack+7537, r12vrr_stack+7667, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24755, r12vrr_stack+4662, r12vrr_stack+12272, NULL, NULL, r12vrr_stack+7420);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24953, r12vrr_stack+23567, r12vrr_stack+24755, r12vrr_stack+12206, r12vrr_stack+4662, r12vrr_stack+11867);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+25349, r12vrr_stack+23963, r12vrr_stack+24953, r12vrr_stack+23765, r12vrr_stack+23567, r12vrr_stack+18287);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+26009, r12vrr_stack+24359, r12vrr_stack+23963, r12vrr_stack+17077, r12vrr_stack+23765, r12vrr_stack+17462);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+26669, r12vrr_stack+26009, r12vrr_stack+25349, r12vrr_stack+24359, r12vrr_stack+23963, r12vrr_stack+18617);
 tmp = r12vrr_stack + 26669;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+24359, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+849, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+24362, r12vrr_stack+347, r12vrr_stack+849, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+24359);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+24380, r12vrr_stack+68, r12vrr_stack+52, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+24398, r12vrr_stack+279, r12vrr_stack+24380, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+849);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+24434, r12vrr_stack+2253, r12vrr_stack+24398, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+24362);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+24494, r12vrr_stack+358, r12vrr_stack+322, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+24524, r12vrr_stack+2289, r12vrr_stack+24494, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+24380);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+24584, r12vrr_stack+2319, r12vrr_stack+24524, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+24398);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+23765, r12vrr_stack+2379, r12vrr_stack+24584, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+24434);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+24684, r12vrr_stack+332, r12vrr_stack+521, NULL, NULL, r12vrr_stack+322);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4216, r12vrr_stack+2479, r12vrr_stack+24684, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+24494);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+17077, r12vrr_stack+2524, r12vrr_stack+4216, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+24524);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+17227, r12vrr_stack+2614, r12vrr_stack+17077, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+24584);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+17452, r12vrr_stack+2764, r12vrr_stack+17227, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+23765);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+368, r12vrr_stack+536, r12vrr_stack+883, NULL, NULL, r12vrr_stack+521);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+557, r12vrr_stack+2989, r12vrr_stack+368, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+24684);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+27659, r12vrr_stack+3052, r12vrr_stack+557, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+4216);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+27869, r12vrr_stack+3178, r12vrr_stack+27659, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+17077);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+28184, r12vrr_stack+3388, r12vrr_stack+27869, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+17227);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+28625, r12vrr_stack+3703, r12vrr_stack+28184, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+17452);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+904, r12vrr_stack+4598, NULL, NULL, r12vrr_stack+883);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+932, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+904, r12vrr_stack+368);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+29213, r12vrr_stack+5544, r12vrr_stack+1392, r12vrr_stack+4312, r12vrr_stack+932, r12vrr_stack+557);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+29493, r12vrr_stack+5712, r12vrr_stack+29213, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+27659);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+29913, r12vrr_stack+5992, r12vrr_stack+29493, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+27869);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30501, r12vrr_stack+6832, r12vrr_stack+29913, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+28184);
 tmp = r12vrr_stack + 30501;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4312, r12vrr_stack+4626, r12vrr_stack+7631, NULL, NULL, r12vrr_stack+4598);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4728, r12vrr_stack+9832, r12vrr_stack+4312, r12vrr_stack+4180, r12vrr_stack+4626, r12vrr_stack+1308);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31285, r12vrr_stack+9940, r12vrr_stack+4728, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+1392);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31645, r12vrr_stack+10156, r12vrr_stack+31285, r12vrr_stack+8356, r12vrr_stack+9940, r12vrr_stack+29213);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+32185, r12vrr_stack+10516, r12vrr_stack+31645, r12vrr_stack+8572, r12vrr_stack+10156, r12vrr_stack+29493);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+32941, r12vrr_stack+11056, r12vrr_stack+32185, r12vrr_stack+9292, r12vrr_stack+10516, r12vrr_stack+29913);
 tmp = r12vrr_stack + 32941;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8248, r12vrr_stack+7667, r12vrr_stack+12106, NULL, NULL, r12vrr_stack+7631);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8383, r12vrr_stack+7712, r12vrr_stack+8248, r12vrr_stack+7537, r12vrr_stack+7667, r12vrr_stack+4312);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33949, r12vrr_stack+14737, r12vrr_stack+8383, r12vrr_stack+12757, r12vrr_stack+7712, r12vrr_stack+4728);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34399, r12vrr_stack+15007, r12vrr_stack+33949, r12vrr_stack+12892, r12vrr_stack+14737, r12vrr_stack+31285);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35074, r12vrr_stack+15457, r12vrr_stack+34399, r12vrr_stack+13162, r12vrr_stack+15007, r12vrr_stack+31645);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36019, r12vrr_stack+16132, r12vrr_stack+35074, r12vrr_stack+14062, r12vrr_stack+15457, r12vrr_stack+32185);
 tmp = r12vrr_stack + 36019;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+7475, r12vrr_stack+0, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+12757, r12vrr_stack+7478, r12vrr_stack+6, r12vrr_stack+518, r12vrr_stack+7475, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+12767, r12vrr_stack+12032, r12vrr_stack+12757, r12vrr_stack+4306, r12vrr_stack+7478, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12782, r12vrr_stack+12042, r12vrr_stack+12767, r12vrr_stack+114, r12vrr_stack+12032, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12803, r12vrr_stack+12057, r12vrr_stack+12782, r12vrr_stack+124, r12vrr_stack+12042, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+12078, r12vrr_stack+12803, r12vrr_stack+7582, r12vrr_stack+12057, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7537, r12vrr_stack+1016, r12vrr_stack+4180, r12vrr_stack+7603, r12vrr_stack+12078, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12831, r12vrr_stack+12106, r12vrr_stack+7537, r12vrr_stack+7631, r12vrr_stack+1016, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12886, r12vrr_stack+12151, r12vrr_stack+12831, NULL, NULL, r12vrr_stack+12106);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13051, r12vrr_stack+20542, r12vrr_stack+12886, r12vrr_stack+7420, r12vrr_stack+12151, r12vrr_stack+8248);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37279, r12vrr_stack+20707, r12vrr_stack+13051, r12vrr_stack+11867, r12vrr_stack+20542, r12vrr_stack+8383);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37829, r12vrr_stack+21037, r12vrr_stack+37279, r12vrr_stack+18287, r12vrr_stack+20707, r12vrr_stack+33949);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38654, r12vrr_stack+21587, r12vrr_stack+37829, r12vrr_stack+18617, r12vrr_stack+21037, r12vrr_stack+34399);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39809, r12vrr_stack+22412, r12vrr_stack+38654, r12vrr_stack+19717, r12vrr_stack+21587, r12vrr_stack+35074);
 tmp = r12vrr_stack + 39809;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12206, r12vrr_stack+12151, r12vrr_stack+12831, r12vrr_stack+7667, r12vrr_stack+12106, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18287, r12vrr_stack+12272, r12vrr_stack+12206, NULL, NULL, r12vrr_stack+12151);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18485, r12vrr_stack+24755, r12vrr_stack+18287, r12vrr_stack+4662, r12vrr_stack+12272, r12vrr_stack+20542);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41349, r12vrr_stack+24953, r12vrr_stack+18485, r12vrr_stack+23567, r12vrr_stack+24755, r12vrr_stack+20707);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42009, r12vrr_stack+25349, r12vrr_stack+41349, r12vrr_stack+23963, r12vrr_stack+24953, r12vrr_stack+21037);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42999, r12vrr_stack+26669, r12vrr_stack+42009, r12vrr_stack+26009, r12vrr_stack+25349, r12vrr_stack+21587);
 tmp = r12vrr_stack + 42999;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+23567, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+4306, r12vrr_stack+24359, r12vrr_stack+23567, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+23570, r12vrr_stack+12, r12vrr_stack+49, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+21, r12vrr_stack+849, r12vrr_stack+23570, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+23567);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+23579, r12vrr_stack+24362, r12vrr_stack+21, r12vrr_stack+347, r12vrr_stack+849, r12vrr_stack+4306);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+23609, r12vrr_stack+52, r12vrr_stack+316, NULL, NULL, r12vrr_stack+49);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+23627, r12vrr_stack+24380, r12vrr_stack+23609, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+23570);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+23663, r12vrr_stack+24398, r12vrr_stack+23627, r12vrr_stack+279, r12vrr_stack+24380, r12vrr_stack+21);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+431, r12vrr_stack+24434, r12vrr_stack+23663, r12vrr_stack+2253, r12vrr_stack+24398, r12vrr_stack+23579);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2253, r12vrr_stack+322, r12vrr_stack+39, NULL, NULL, r12vrr_stack+316);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4662, r12vrr_stack+24494, r12vrr_stack+2253, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+23609);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+18881, r12vrr_stack+24524, r12vrr_stack+4662, r12vrr_stack+2289, r12vrr_stack+24494, r12vrr_stack+23627);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+18981, r12vrr_stack+24584, r12vrr_stack+18881, r12vrr_stack+2319, r12vrr_stack+24524, r12vrr_stack+23663);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+13381, r12vrr_stack+23765, r12vrr_stack+18981, r12vrr_stack+2379, r12vrr_stack+24584, r12vrr_stack+431);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2283, r12vrr_stack+521, r12vrr_stack+868, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2328, r12vrr_stack+24684, r12vrr_stack+2283, r12vrr_stack+332, r12vrr_stack+521, r12vrr_stack+2253);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+11867, r12vrr_stack+4216, r12vrr_stack+2328, r12vrr_stack+2479, r12vrr_stack+24684, r12vrr_stack+4662);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+8653, r12vrr_stack+17077, r12vrr_stack+11867, r12vrr_stack+2524, r12vrr_stack+4216, r12vrr_stack+18881);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+23915, r12vrr_stack+17227, r12vrr_stack+8653, r12vrr_stack+2614, r12vrr_stack+17077, r12vrr_stack+18981);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+44385, r12vrr_stack+17452, r12vrr_stack+23915, r12vrr_stack+2764, r12vrr_stack+17227, r12vrr_stack+13381);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2418, r12vrr_stack+883, r12vrr_stack+1052, NULL, NULL, r12vrr_stack+868);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2481, r12vrr_stack+368, r12vrr_stack+2418, r12vrr_stack+536, r12vrr_stack+883, r12vrr_stack+2283);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2607, r12vrr_stack+557, r12vrr_stack+2481, r12vrr_stack+2989, r12vrr_stack+368, r12vrr_stack+2328);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+44805, r12vrr_stack+27659, r12vrr_stack+2607, r12vrr_stack+3052, r12vrr_stack+557, r12vrr_stack+11867);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+45120, r12vrr_stack+27869, r12vrr_stack+44805, r12vrr_stack+3178, r12vrr_stack+27659, r12vrr_stack+8653);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+45561, r12vrr_stack+28184, r12vrr_stack+45120, r12vrr_stack+3388, r12vrr_stack+27869, r12vrr_stack+23915);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2817, r12vrr_stack+28625, r12vrr_stack+45561, r12vrr_stack+3703, r12vrr_stack+28184, r12vrr_stack+44385);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3573, r12vrr_stack+4598, r12vrr_stack+7603, NULL, NULL, r12vrr_stack+1052);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1560, r12vrr_stack+1308, r12vrr_stack+3573, r12vrr_stack+904, r12vrr_stack+4598, r12vrr_stack+2418);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+46149, r12vrr_stack+1392, r12vrr_stack+1560, r12vrr_stack+932, r12vrr_stack+1308, r12vrr_stack+2481);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+46429, r12vrr_stack+29213, r12vrr_stack+46149, r12vrr_stack+5544, r12vrr_stack+1392, r12vrr_stack+2607);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+46849, r12vrr_stack+29493, r12vrr_stack+46429, r12vrr_stack+5712, r12vrr_stack+29213, r12vrr_stack+44805);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+47437, r12vrr_stack+29913, r12vrr_stack+46849, r12vrr_stack+5992, r12vrr_stack+29493, r12vrr_stack+45120);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+48221, r12vrr_stack+30501, r12vrr_stack+47437, r12vrr_stack+6832, r12vrr_stack+29913, r12vrr_stack+45561);
 tmp = r12vrr_stack + 48221;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+7631, r12vrr_stack+1016, NULL, NULL, r12vrr_stack+7603);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5652, r12vrr_stack+4312, r12vrr_stack+5544, r12vrr_stack+4626, r12vrr_stack+7631, r12vrr_stack+3573);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5868, r12vrr_stack+4728, r12vrr_stack+5652, r12vrr_stack+9832, r12vrr_stack+4312, r12vrr_stack+1560);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+49229, r12vrr_stack+31285, r12vrr_stack+5868, r12vrr_stack+9940, r12vrr_stack+4728, r12vrr_stack+46149);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+49769, r12vrr_stack+31645, r12vrr_stack+49229, r12vrr_stack+10156, r12vrr_stack+31285, r12vrr_stack+46429);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+50525, r12vrr_stack+32185, r12vrr_stack+49769, r12vrr_stack+10516, r12vrr_stack+31645, r12vrr_stack+46849);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+51533, r12vrr_stack+32941, r12vrr_stack+50525, r12vrr_stack+11056, r12vrr_stack+32185, r12vrr_stack+47437);
 tmp = r12vrr_stack + 51533;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9832, r12vrr_stack+12106, r12vrr_stack+7537, NULL, NULL, r12vrr_stack+1016);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9967, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+7667, r12vrr_stack+12106, r12vrr_stack+5544);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10237, r12vrr_stack+8383, r12vrr_stack+9967, r12vrr_stack+7712, r12vrr_stack+8248, r12vrr_stack+5652);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+52829, r12vrr_stack+33949, r12vrr_stack+10237, r12vrr_stack+14737, r12vrr_stack+8383, r12vrr_stack+5868);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+53504, r12vrr_stack+34399, r12vrr_stack+52829, r12vrr_stack+15007, r12vrr_stack+33949, r12vrr_stack+49229);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+54449, r12vrr_stack+35074, r12vrr_stack+53504, r12vrr_stack+15457, r12vrr_stack+34399, r12vrr_stack+49769);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+55709, r12vrr_stack+36019, r12vrr_stack+54449, r12vrr_stack+16132, r12vrr_stack+35074, r12vrr_stack+50525);
 tmp = r12vrr_stack + 55709;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4722, r12vrr_stack+0, r12vrr_stack+3, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+14737, r12vrr_stack+6, r12vrr_stack+4722, r12vrr_stack+7475, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+12017, r12vrr_stack+12757, r12vrr_stack+14737, r12vrr_stack+7478, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+536, r12vrr_stack+12767, r12vrr_stack+12017, r12vrr_stack+12032, r12vrr_stack+12757, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14747, r12vrr_stack+12782, r12vrr_stack+536, r12vrr_stack+12042, r12vrr_stack+12767, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4626, r12vrr_stack+12803, r12vrr_stack+14747, r12vrr_stack+12057, r12vrr_stack+12782, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12032, r12vrr_stack+4180, r12vrr_stack+4626, r12vrr_stack+12078, r12vrr_stack+12803, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14775, r12vrr_stack+7537, r12vrr_stack+12032, r12vrr_stack+1016, r12vrr_stack+4180, NULL);

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14830, r12vrr_stack+12831, r12vrr_stack+14775, NULL, NULL, r12vrr_stack+7537);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14995, r12vrr_stack+12886, r12vrr_stack+14830, r12vrr_stack+12151, r12vrr_stack+12831, r12vrr_stack+9832);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15325, r12vrr_stack+13051, r12vrr_stack+14995, r12vrr_stack+20542, r12vrr_stack+12886, r12vrr_stack+9967);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+57329, r12vrr_stack+37279, r12vrr_stack+15325, r12vrr_stack+20707, r12vrr_stack+13051, r12vrr_stack+10237);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+58154, r12vrr_stack+37829, r12vrr_stack+57329, r12vrr_stack+21037, r12vrr_stack+37279, r12vrr_stack+52829);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+59309, r12vrr_stack+38654, r12vrr_stack+58154, r12vrr_stack+21587, r12vrr_stack+37829, r12vrr_stack+53504);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+60849, r12vrr_stack+39809, r12vrr_stack+59309, r12vrr_stack+22412, r12vrr_stack+38654, r12vrr_stack+54449);
 tmp = r12vrr_stack + 60849;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20542, r12vrr_stack+12831, r12vrr_stack+14775, r12vrr_stack+12106, r12vrr_stack+7537, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20608, r12vrr_stack+12206, r12vrr_stack+20542, NULL, NULL, r12vrr_stack+12831);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20806, r12vrr_stack+18287, r12vrr_stack+20608, r12vrr_stack+12272, r12vrr_stack+12206, r12vrr_stack+12886);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21202, r12vrr_stack+18485, r12vrr_stack+20806, r12vrr_stack+24755, r12vrr_stack+18287, r12vrr_stack+13051);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+62829, r12vrr_stack+41349, r12vrr_stack+21202, r12vrr_stack+24953, r12vrr_stack+18485, r12vrr_stack+37279);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63819, r12vrr_stack+42009, r12vrr_stack+62829, r12vrr_stack+25349, r12vrr_stack+41349, r12vrr_stack+37829);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+65205, r12vrr_stack+42999, r12vrr_stack+63819, r12vrr_stack+26669, r12vrr_stack+42009, r12vrr_stack+38654);
 tmp = r12vrr_stack + 65205;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+12272, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+12275, r12vrr_stack+23567, r12vrr_stack+12272, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+12281, r12vrr_stack+4306, r12vrr_stack+12275, r12vrr_stack+24359, r12vrr_stack+23567, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12291, r12vrr_stack+49, r12vrr_stack+313, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+12300, r12vrr_stack+23570, r12vrr_stack+12291, r12vrr_stack+12, r12vrr_stack+49, r12vrr_stack+12272);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+12318, r12vrr_stack+21, r12vrr_stack+12300, r12vrr_stack+849, r12vrr_stack+23570, r12vrr_stack+12275);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+21862, r12vrr_stack+23579, r12vrr_stack+12318, r12vrr_stack+24362, r12vrr_stack+21, r12vrr_stack+12281);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+316, r12vrr_stack+15, NULL, NULL, r12vrr_stack+313);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+332, r12vrr_stack+23609, r12vrr_stack+21, r12vrr_stack+52, r12vrr_stack+316, r12vrr_stack+12291);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+21907, r12vrr_stack+23627, r12vrr_stack+332, r12vrr_stack+24380, r12vrr_stack+23609, r12vrr_stack+12300);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+21967, r12vrr_stack+23663, r12vrr_stack+21907, r12vrr_stack+24398, r12vrr_stack+23627, r12vrr_stack+12318);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+22057, r12vrr_stack+431, r12vrr_stack+21967, r12vrr_stack+24434, r12vrr_stack+23663, r12vrr_stack+21862);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+21862, r12vrr_stack+39, r12vrr_stack+858, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+431, r12vrr_stack+2253, r12vrr_stack+21862, r12vrr_stack+322, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+23567, r12vrr_stack+4662, r12vrr_stack+431, r12vrr_stack+24494, r12vrr_stack+2253, r12vrr_stack+332);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+22183, r12vrr_stack+18881, r12vrr_stack+23567, r12vrr_stack+24524, r12vrr_stack+4662, r12vrr_stack+21907);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+15875, r12vrr_stack+18981, r12vrr_stack+22183, r12vrr_stack+24584, r12vrr_stack+18881, r12vrr_stack+21967);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+10687, r12vrr_stack+13381, r12vrr_stack+15875, r12vrr_stack+23765, r12vrr_stack+18981, r12vrr_stack+22057);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+13381, r12vrr_stack+868, r12vrr_stack+4583, NULL, NULL, r12vrr_stack+858);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+13426, r12vrr_stack+2283, r12vrr_stack+13381, r12vrr_stack+521, r12vrr_stack+868, r12vrr_stack+21862);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+21862, r12vrr_stack+2328, r12vrr_stack+13426, r12vrr_stack+24684, r12vrr_stack+2283, r12vrr_stack+431);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+18881, r12vrr_stack+11867, r12vrr_stack+21862, r12vrr_stack+4216, r12vrr_stack+2328, r12vrr_stack+23567);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+8653, r12vrr_stack+18881, r12vrr_stack+17077, r12vrr_stack+11867, r12vrr_stack+22183);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+24230, r12vrr_stack+23915, r12vrr_stack+23567, r12vrr_stack+17227, r12vrr_stack+8653, r12vrr_stack+15875);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+24650, r12vrr_stack+44385, r12vrr_stack+24230, r12vrr_stack+17452, r12vrr_stack+23915, r12vrr_stack+10687);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10687, r12vrr_stack+1052, r12vrr_stack+7582, NULL, NULL, r12vrr_stack+4583);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10750, r12vrr_stack+2418, r12vrr_stack+10687, r12vrr_stack+883, r12vrr_stack+1052, r12vrr_stack+13381);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+44385, r12vrr_stack+2481, r12vrr_stack+10750, r12vrr_stack+368, r12vrr_stack+2418, r12vrr_stack+13426);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+2607, r12vrr_stack+44385, r12vrr_stack+557, r12vrr_stack+2481, r12vrr_stack+21862);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21862, r12vrr_stack+44805, r12vrr_stack+17077, r12vrr_stack+27659, r12vrr_stack+2607, r12vrr_stack+18881);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+25190, r12vrr_stack+45120, r12vrr_stack+21862, r12vrr_stack+27869, r12vrr_stack+44805, r12vrr_stack+23567);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+67053, r12vrr_stack+45561, r12vrr_stack+25190, r12vrr_stack+28184, r12vrr_stack+45120, r12vrr_stack+24230);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+2817, r12vrr_stack+67053, r12vrr_stack+28625, r12vrr_stack+45561, r12vrr_stack+24650);

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+24512, r12vrr_stack+7603, r12vrr_stack+12078, NULL, NULL, r12vrr_stack+7582);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+24596, r12vrr_stack+3573, r12vrr_stack+24512, r12vrr_stack+4598, r12vrr_stack+7603, r12vrr_stack+10687);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+24764, r12vrr_stack+1560, r12vrr_stack+24596, r12vrr_stack+1308, r12vrr_stack+3573, r12vrr_stack+10750);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+27659, r12vrr_stack+46149, r12vrr_stack+24764, r12vrr_stack+1392, r12vrr_stack+1560, r12vrr_stack+44385);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+44385, r12vrr_stack+46429, r12vrr_stack+27659, r12vrr_stack+29213, r12vrr_stack+46149, r12vrr_stack+17077);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+44973, r12vrr_stack+46849, r12vrr_stack+44385, r12vrr_stack+29493, r12vrr_stack+46429, r12vrr_stack+21862);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+45757, r12vrr_stack+47437, r12vrr_stack+44973, r12vrr_stack+29913, r12vrr_stack+46849, r12vrr_stack+25190);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+29213, r12vrr_stack+48221, r12vrr_stack+45757, r12vrr_stack+30501, r12vrr_stack+47437, r12vrr_stack+67053);
 tmp = r12vrr_stack + 29213;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+67053, r12vrr_stack+1016, r12vrr_stack+4180, NULL, NULL, r12vrr_stack+12078);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+67161, r12vrr_stack+5544, r12vrr_stack+67053, r12vrr_stack+7631, r12vrr_stack+1016, r12vrr_stack+24512);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+67377, r12vrr_stack+5652, r12vrr_stack+67161, r12vrr_stack+4312, r12vrr_stack+5544, r12vrr_stack+24596);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21862, r12vrr_stack+5868, r12vrr_stack+67377, r12vrr_stack+4728, r12vrr_stack+5652, r12vrr_stack+24764);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24512, r12vrr_stack+49229, r12vrr_stack+21862, r12vrr_stack+31285, r12vrr_stack+5868, r12vrr_stack+27659);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+46765, r12vrr_stack+49769, r12vrr_stack+24512, r12vrr_stack+31645, r12vrr_stack+49229, r12vrr_stack+44385);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+67737, r12vrr_stack+50525, r12vrr_stack+46765, r12vrr_stack+32185, r12vrr_stack+49769, r12vrr_stack+44973);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31285, r12vrr_stack+51533, r12vrr_stack+67737, r12vrr_stack+32941, r12vrr_stack+50525, r12vrr_stack+45757);
 tmp = r12vrr_stack + 31285;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+44385, r12vrr_stack+7537, r12vrr_stack+12032, NULL, NULL, r12vrr_stack+4180);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+44520, r12vrr_stack+9832, r12vrr_stack+44385, r12vrr_stack+12106, r12vrr_stack+7537, r12vrr_stack+67053);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+44790, r12vrr_stack+9967, r12vrr_stack+44520, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+67161);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+45240, r12vrr_stack+10237, r12vrr_stack+44790, r12vrr_stack+8383, r12vrr_stack+9967, r12vrr_stack+67377);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+49229, r12vrr_stack+52829, r12vrr_stack+45240, r12vrr_stack+33949, r12vrr_stack+10237, r12vrr_stack+21862);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+50174, r12vrr_stack+53504, r12vrr_stack+49229, r12vrr_stack+34399, r12vrr_stack+52829, r12vrr_stack+24512);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+69033, r12vrr_stack+54449, r12vrr_stack+50174, r12vrr_stack+35074, r12vrr_stack+53504, r12vrr_stack+46765);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33949, r12vrr_stack+55709, r12vrr_stack+69033, r12vrr_stack+36019, r12vrr_stack+54449, r12vrr_stack+67737);
 tmp = r12vrr_stack + 33949;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24512, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24515, r12vrr_stack+3, r12vrr_stack+24512, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+24521, r12vrr_stack+4722, r12vrr_stack+24515, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+24531, r12vrr_stack+14737, r12vrr_stack+24521, r12vrr_stack+6, r12vrr_stack+4722, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+12017, r12vrr_stack+24531, r12vrr_stack+12757, r12vrr_stack+14737, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30473, r12vrr_stack+536, r12vrr_stack+0, r12vrr_stack+12767, r12vrr_stack+12017, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+32905, r12vrr_stack+14747, r12vrr_stack+30473, r12vrr_stack+12782, r12vrr_stack+536, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35974, r12vrr_stack+4626, r12vrr_stack+32905, r12vrr_stack+12803, r12vrr_stack+14747, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+12032, r12vrr_stack+35974, r12vrr_stack+4180, r12vrr_stack+4626, NULL);

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11867, r12vrr_stack+14775, r12vrr_stack+0, NULL, NULL, r12vrr_stack+12032);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+14830, r12vrr_stack+11867, r12vrr_stack+12831, r12vrr_stack+14775, r12vrr_stack+44385);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21862, r12vrr_stack+14995, r12vrr_stack+4180, r12vrr_stack+12886, r12vrr_stack+14830, r12vrr_stack+44520);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+15325, r12vrr_stack+21862, r12vrr_stack+13051, r12vrr_stack+14995, r12vrr_stack+44790);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24512, r12vrr_stack+57329, r12vrr_stack+4180, r12vrr_stack+37279, r12vrr_stack+15325, r12vrr_stack+45240);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44385, r12vrr_stack+58154, r12vrr_stack+24512, r12vrr_stack+37829, r12vrr_stack+57329, r12vrr_stack+49229);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+67053, r12vrr_stack+59309, r12vrr_stack+44385, r12vrr_stack+38654, r12vrr_stack+58154, r12vrr_stack+50174);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44385, r12vrr_stack+60849, r12vrr_stack+67053, r12vrr_stack+39809, r12vrr_stack+59309, r12vrr_stack+69033);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+67053, r12vrr_stack+14775, r12vrr_stack+0, r12vrr_stack+7537, r12vrr_stack+12032, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7537, r12vrr_stack+20542, r12vrr_stack+67053, NULL, NULL, r12vrr_stack+14775);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+67053, r12vrr_stack+20608, r12vrr_stack+7537, r12vrr_stack+12206, r12vrr_stack+20542, r12vrr_stack+14830);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+67449, r12vrr_stack+20806, r12vrr_stack+67053, r12vrr_stack+18287, r12vrr_stack+20608, r12vrr_stack+14995);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68109, r12vrr_stack+21202, r12vrr_stack+67449, r12vrr_stack+18485, r12vrr_stack+20806, r12vrr_stack+15325);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+69099, r12vrr_stack+62829, r12vrr_stack+68109, r12vrr_stack+41349, r12vrr_stack+21202, r12vrr_stack+57329);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+67053, r12vrr_stack+63819, r12vrr_stack+69099, r12vrr_stack+42009, r12vrr_stack+62829, r12vrr_stack+58154);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37279, r12vrr_stack+65205, r12vrr_stack+67053, r12vrr_stack+42999, r12vrr_stack+63819, r12vrr_stack+59309);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+67053, &(Data->ss_r12_ss), NULL, r12vrr_stack+58, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+67056, r12vrr_stack+67053, &(Data->ss_r12_ss), r12vrr_stack+61, r12vrr_stack+58, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+67062, r12vrr_stack+67056, r12vrr_stack+67053, r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+58, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+67072, r12vrr_stack+67062, r12vrr_stack+67056, r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+61, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+67087, r12vrr_stack+67072, r12vrr_stack+67062, r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+1073, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+30473, r12vrr_stack+67087, r12vrr_stack+67072, r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+1083, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+67108, r12vrr_stack+30473, NULL, r12vrr_stack+5012, r12vrr_stack+821, NULL, r12vrr_stack+1098);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+67192, r12vrr_stack+67108, r12vrr_stack+30473, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+1119);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+67360, r12vrr_stack+67192, r12vrr_stack+67108, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+1182);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+1119, r12vrr_stack+67360, r12vrr_stack+67192, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+1728);
 tmp = r12vrr_stack + 1119;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+67640, r12vrr_stack+1119, r12vrr_stack+67360, r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+1938);
 tmp = r12vrr_stack + 67640;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+68228, r12vrr_stack+67640, r12vrr_stack+1119, r12vrr_stack+30501, r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+3703);
 tmp = r12vrr_stack + 68228;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+32905, r12vrr_stack+30473, r12vrr_stack+67087, r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+1098, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+67053, r12vrr_stack+32905, NULL, r12vrr_stack+7924, r12vrr_stack+4144, NULL, r12vrr_stack+821);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+67161, r12vrr_stack+67053, r12vrr_stack+32905, r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+5012);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+69012, r12vrr_stack+67161, r12vrr_stack+67053, r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+5096);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+69372, r12vrr_stack+69012, r12vrr_stack+67161, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+5264);
 tmp = r12vrr_stack + 69372;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+69912, r12vrr_stack+69372, r12vrr_stack+69012, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+6412);
 tmp = r12vrr_stack + 69912;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+62829, r12vrr_stack+69912, r12vrr_stack+69372, r12vrr_stack+32941, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+6832);
 tmp = r12vrr_stack + 62829;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+35974, r12vrr_stack+32905, r12vrr_stack+30473, r12vrr_stack+7492, r12vrr_stack+4144, r12vrr_stack+821, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+69012, r12vrr_stack+35974, NULL, r12vrr_stack+12352, r12vrr_stack+7492, NULL, r12vrr_stack+4144);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+69147, r12vrr_stack+69012, r12vrr_stack+35974, r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+7492, r12vrr_stack+7924);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+69417, r12vrr_stack+69147, r12vrr_stack+69012, r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+8032);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+63837, r12vrr_stack+69417, r12vrr_stack+69147, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+8932);
 tmp = r12vrr_stack + 63837;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+57329, r12vrr_stack+63837, r12vrr_stack+69417, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+9292);
 tmp = r12vrr_stack + 57329;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+58274, r12vrr_stack+57329, r12vrr_stack+63837, r12vrr_stack+36019, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+11056);
 tmp = r12vrr_stack + 58274;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+63837, r12vrr_stack+35974, r12vrr_stack+32905, r12vrr_stack+11812, r12vrr_stack+7492, r12vrr_stack+4144, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+63837, NULL, r12vrr_stack+17792, r12vrr_stack+11812, NULL, r12vrr_stack+7492);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4309, r12vrr_stack+4144, r12vrr_stack+63837, r12vrr_stack+17957, r12vrr_stack+17792, r12vrr_stack+11812, r12vrr_stack+12352);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+4309, r12vrr_stack+4144, r12vrr_stack+19167, r12vrr_stack+17957, r12vrr_stack+17792, r12vrr_stack+12487);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12362, r12vrr_stack+11812, r12vrr_stack+4309, r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+17957, r12vrr_stack+13612);
 tmp = r12vrr_stack + 12362;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+63837, r12vrr_stack+12362, r12vrr_stack+11812, r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+14062);
 tmp = r12vrr_stack + 63837;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+41349, r12vrr_stack+63837, r12vrr_stack+12362, r12vrr_stack+39809, r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+16132);
 tmp = r12vrr_stack + 41349;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11812, r12vrr_stack+6412, r12vrr_stack+9292, r12vrr_stack+6832, r12vrr_stack+3703, r12vrr_stack+1938);
 tmp = r12vrr_stack + 11812;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12232, r12vrr_stack+9292, r12vrr_stack+14062, r12vrr_stack+11056, r12vrr_stack+6832, r12vrr_stack+6412);
 tmp = r12vrr_stack + 12232;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12772, r12vrr_stack+14062, r12vrr_stack+19717, r12vrr_stack+16132, r12vrr_stack+11056, r12vrr_stack+9292);
 tmp = r12vrr_stack + 12772;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4144, r12vrr_stack+19717, r12vrr_stack+26669, r12vrr_stack+22412, r12vrr_stack+16132, r12vrr_stack+14062);
 tmp = r12vrr_stack + 4144;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+69012, r12vrr_stack+6832, r12vrr_stack+11056, r12vrr_stack+30501, r12vrr_stack+28625, r12vrr_stack+3703);
 tmp = r12vrr_stack + 69012;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+59534, r12vrr_stack+11056, r12vrr_stack+16132, r12vrr_stack+32941, r12vrr_stack+30501, r12vrr_stack+6832);
 tmp = r12vrr_stack + 59534;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20542, r12vrr_stack+16132, r12vrr_stack+22412, r12vrr_stack+36019, r12vrr_stack+32941, r12vrr_stack+11056);
 tmp = r12vrr_stack + 20542;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+22412, r12vrr_stack+42999, r12vrr_stack+39809, r12vrr_stack+36019, r12vrr_stack+16132);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21487, r12vrr_stack+30501, r12vrr_stack+32941, r12vrr_stack+48221, r12vrr_stack+2817, r12vrr_stack+28625);
 tmp = r12vrr_stack + 21487;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1155, r12vrr_stack+32941, r12vrr_stack+36019, r12vrr_stack+51533, r12vrr_stack+48221, r12vrr_stack+30501);
 tmp = r12vrr_stack + 1155;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+46860, r12vrr_stack+36019, r12vrr_stack+39809, r12vrr_stack+55709, r12vrr_stack+51533, r12vrr_stack+32941);
 tmp = r12vrr_stack + 46860;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+49229, r12vrr_stack+39809, r12vrr_stack+65205, r12vrr_stack+60849, r12vrr_stack+55709, r12vrr_stack+36019);
 tmp = r12vrr_stack + 49229;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24512, r12vrr_stack+48221, r12vrr_stack+51533, r12vrr_stack+29213, r12vrr_stack+23567, r12vrr_stack+2817);
 tmp = r12vrr_stack + 24512;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2163, r12vrr_stack+51533, r12vrr_stack+55709, r12vrr_stack+31285, r12vrr_stack+29213, r12vrr_stack+48221);
 tmp = r12vrr_stack + 2163;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+52829, r12vrr_stack+55709, r12vrr_stack+60849, r12vrr_stack+33949, r12vrr_stack+31285, r12vrr_stack+51533);
 tmp = r12vrr_stack + 52829;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+17077, r12vrr_stack+60849, r12vrr_stack+37279, r12vrr_stack+44385, r12vrr_stack+33949, r12vrr_stack+55709);
 tmp = r12vrr_stack + 17077;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23567, r12vrr_stack+6412, r12vrr_stack+6832, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+5264);
 tmp = r12vrr_stack + 23567;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4969, r12vrr_stack+9292, r12vrr_stack+11056, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+8932);
 tmp = r12vrr_stack + 4969;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5509, r12vrr_stack+14062, r12vrr_stack+16132, r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+13612);
 tmp = r12vrr_stack + 5509;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14737, r12vrr_stack+19717, r12vrr_stack+22412, r12vrr_stack+26669, r12vrr_stack+26009, r12vrr_stack+19167);
 tmp = r12vrr_stack + 14737;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13447, r12vrr_stack+6832, r12vrr_stack+30501, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+6412);
 tmp = r12vrr_stack + 13447;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+50769, r12vrr_stack+11056, r12vrr_stack+32941, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+9292);
 tmp = r12vrr_stack + 50769;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25520, r12vrr_stack+16132, r12vrr_stack+36019, r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+14062);
 tmp = r12vrr_stack + 25520;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+54449, r12vrr_stack+22412, r12vrr_stack+39809, r12vrr_stack+42999, r12vrr_stack+26669, r12vrr_stack+19717);
 tmp = r12vrr_stack + 54449;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+26465, r12vrr_stack+30501, r12vrr_stack+48221, r12vrr_stack+32941, r12vrr_stack+11056, r12vrr_stack+6832);
 tmp = r12vrr_stack + 26465;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+27249, r12vrr_stack+32941, r12vrr_stack+51533, r12vrr_stack+36019, r12vrr_stack+16132, r12vrr_stack+11056);
 tmp = r12vrr_stack + 27249;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19057, r12vrr_stack+36019, r12vrr_stack+55709, r12vrr_stack+39809, r12vrr_stack+22412, r12vrr_stack+16132);
 tmp = r12vrr_stack + 19057;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7420, r12vrr_stack+39809, r12vrr_stack+60849, r12vrr_stack+65205, r12vrr_stack+42999, r12vrr_stack+22412);
 tmp = r12vrr_stack + 7420;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+42889, r12vrr_stack+48221, r12vrr_stack+29213, r12vrr_stack+51533, r12vrr_stack+32941, r12vrr_stack+30501);
 tmp = r12vrr_stack + 42889;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8960, r12vrr_stack+51533, r12vrr_stack+31285, r12vrr_stack+55709, r12vrr_stack+36019, r12vrr_stack+32941);
 tmp = r12vrr_stack + 8960;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31285, r12vrr_stack+55709, r12vrr_stack+33949, r12vrr_stack+60849, r12vrr_stack+39809, r12vrr_stack+36019);
 tmp = r12vrr_stack + 31285;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+33949, r12vrr_stack+60849, r12vrr_stack+44385, r12vrr_stack+37279, r12vrr_stack+65205, r12vrr_stack+39809);
 tmp = r12vrr_stack + 33949;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+37279, r12vrr_stack+68228, r12vrr_stack+67640, r12vrr_stack+48221, r12vrr_stack+30501, r12vrr_stack+6832, r12vrr_stack+28625);
 tmp = r12vrr_stack + 37279;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+38287, r12vrr_stack+62829, r12vrr_stack+69912, r12vrr_stack+51533, r12vrr_stack+32941, r12vrr_stack+11056, r12vrr_stack+30501);
 tmp = r12vrr_stack + 38287;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+64992, r12vrr_stack+58274, r12vrr_stack+57329, r12vrr_stack+55709, r12vrr_stack+36019, r12vrr_stack+16132, r12vrr_stack+32941);
 tmp = r12vrr_stack + 64992;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+66612, r12vrr_stack+41349, r12vrr_stack+63837, r12vrr_stack+60849, r12vrr_stack+39809, r12vrr_stack+22412, r12vrr_stack+36019);
 tmp = r12vrr_stack + 66612;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];


}

