#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_gfig(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+800, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+758, r12vrr_stack+800, NULL, NULL, r12vrr_stack+204);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+884, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+947, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+234);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+58, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+61, r12vrr_stack+58, r12vrr_stack+279, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+282, r12vrr_stack+58, r12vrr_stack+279, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+288, r12vrr_stack+61, r12vrr_stack+282, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+298, r12vrr_stack+1073, r12vrr_stack+288, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1119, r12vrr_stack+1098, r12vrr_stack+779, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+313);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+313, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+316, r12vrr_stack+49, r12vrr_stack+313, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+322, r12vrr_stack+52, r12vrr_stack+316, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+332, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1329, r12vrr_stack+800, r12vrr_stack+1308, NULL, NULL, r12vrr_stack+368);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+383);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+428);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1728, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+518);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1938, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+608);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+347, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+279, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2253, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+347);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2289, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2319, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+279);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2379, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+2253);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2479, r12vrr_stack+368, r12vrr_stack+332, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2524, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+2289);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2614, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+2319);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2764, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+2379);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+313, r12vrr_stack+518, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+316, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+313, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+521, r12vrr_stack+322, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+316, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+536, r12vrr_stack+332, r12vrr_stack+521, r12vrr_stack+358, r12vrr_stack+322, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2989, r12vrr_stack+1308, r12vrr_stack+536, NULL, NULL, r12vrr_stack+332);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3052, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+2479);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3178, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+2524);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3388, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+2614);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3703, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+2764);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+557, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+234, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+234, r12vrr_stack+557, NULL, NULL, r12vrr_stack+800);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+114, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4228, r12vrr_stack+114, r12vrr_stack+234, NULL, NULL, r12vrr_stack+758);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+204, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+368, r12vrr_stack+332, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4312, r12vrr_stack+557, r12vrr_stack+204, NULL, NULL, r12vrr_stack+1308);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4396, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+1329);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4564, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+821);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4732, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+1392);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+1083, r12vrr_stack+298, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+114, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+884);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+947);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+849, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+852, r12vrr_stack+518, r12vrr_stack+849, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+858, r12vrr_stack+15, r12vrr_stack+852, r12vrr_stack+313, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+868, r12vrr_stack+39, r12vrr_stack+858, r12vrr_stack+316, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+883, r12vrr_stack+521, r12vrr_stack+868, r12vrr_stack+322, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+904, r12vrr_stack+536, r12vrr_stack+883, r12vrr_stack+332, r12vrr_stack+521, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+932, r12vrr_stack+204, r12vrr_stack+904, NULL, NULL, r12vrr_stack+536);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+4312, r12vrr_stack+932, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+2989);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5712, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+3052);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5992, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+3178);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+1518);
 tmp = r12vrr_stack + 6412;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+3388);
 tmp = r12vrr_stack + 6832;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1016, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+758, r12vrr_stack+800, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7456, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+800, r12vrr_stack+1308, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+1016, r12vrr_stack+7456, NULL, NULL, r12vrr_stack+557);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7600, r12vrr_stack+7420, r12vrr_stack+1016, NULL, NULL, r12vrr_stack+234);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7708, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+7420, r12vrr_stack+1016, r12vrr_stack+4144);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+1098, r12vrr_stack+779, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+114);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+4228);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+204, r12vrr_stack+904, r12vrr_stack+1308, r12vrr_stack+536, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8248, r12vrr_stack+7456, r12vrr_stack+4180, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8356, r12vrr_stack+7492, r12vrr_stack+8248, r12vrr_stack+1016, r12vrr_stack+7456, r12vrr_stack+4312);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8572, r12vrr_stack+7708, r12vrr_stack+8356, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+4396);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4564);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+8572, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+4732);
 tmp = r12vrr_stack + 9292;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4564, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4567, r12vrr_stack+849, r12vrr_stack+4564, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4573, r12vrr_stack+852, r12vrr_stack+4567, r12vrr_stack+518, r12vrr_stack+849, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4583, r12vrr_stack+858, r12vrr_stack+4573, r12vrr_stack+15, r12vrr_stack+852, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1052, r12vrr_stack+868, r12vrr_stack+4583, r12vrr_stack+39, r12vrr_stack+858, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4598, r12vrr_stack+883, r12vrr_stack+1052, r12vrr_stack+521, r12vrr_stack+868, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4626, r12vrr_stack+904, r12vrr_stack+4598, r12vrr_stack+536, r12vrr_stack+883, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9832, r12vrr_stack+4180, r12vrr_stack+4626, NULL, NULL, r12vrr_stack+904);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9940, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+7456, r12vrr_stack+4180, r12vrr_stack+932);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10156, r12vrr_stack+8356, r12vrr_stack+9940, r12vrr_stack+7492, r12vrr_stack+8248, r12vrr_stack+5544);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10516, r12vrr_stack+8572, r12vrr_stack+10156, r12vrr_stack+7708, r12vrr_stack+8356, r12vrr_stack+5712);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+10516, r12vrr_stack+8932, r12vrr_stack+8572, r12vrr_stack+5992);
 tmp = r12vrr_stack + 11056;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4662, r12vrr_stack+1016, r12vrr_stack+7456, r12vrr_stack+234, r12vrr_stack+557, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4216, r12vrr_stack+7420, r12vrr_stack+1016, r12vrr_stack+114, r12vrr_stack+234, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4261, r12vrr_stack+7456, r12vrr_stack+4180, r12vrr_stack+557, r12vrr_stack+204, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+4662, r12vrr_stack+4261, NULL, NULL, r12vrr_stack+7456);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11947, r12vrr_stack+4216, r12vrr_stack+4662, NULL, NULL, r12vrr_stack+1016);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12082, r12vrr_stack+11947, r12vrr_stack+11812, r12vrr_stack+4216, r12vrr_stack+4662, r12vrr_stack+7492);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+821, r12vrr_stack+114, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12352, r12vrr_stack+7492, r12vrr_stack+4216, NULL, NULL, r12vrr_stack+7420);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+11947, r12vrr_stack+7492, r12vrr_stack+4216, r12vrr_stack+7600);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7537, r12vrr_stack+4180, r12vrr_stack+4626, r12vrr_stack+204, r12vrr_stack+904, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12757, r12vrr_stack+4261, r12vrr_stack+7537, NULL, NULL, r12vrr_stack+4180);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12892, r12vrr_stack+11812, r12vrr_stack+12757, r12vrr_stack+4662, r12vrr_stack+4261, r12vrr_stack+8248);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13162, r12vrr_stack+12082, r12vrr_stack+12892, r12vrr_stack+11947, r12vrr_stack+11812, r12vrr_stack+8356);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+12082, r12vrr_stack+12352, r12vrr_stack+11947, r12vrr_stack+7708);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+13162, r12vrr_stack+12487, r12vrr_stack+12082, r12vrr_stack+8572);
 tmp = r12vrr_stack + 14062;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4306, r12vrr_stack+4564, r12vrr_stack+518, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+114, r12vrr_stack+4567, r12vrr_stack+4306, r12vrr_stack+849, r12vrr_stack+4564, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+124, r12vrr_stack+4573, r12vrr_stack+114, r12vrr_stack+852, r12vrr_stack+4567, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7582, r12vrr_stack+4583, r12vrr_stack+124, r12vrr_stack+858, r12vrr_stack+4573, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7603, r12vrr_stack+1052, r12vrr_stack+7582, r12vrr_stack+868, r12vrr_stack+4583, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7631, r12vrr_stack+4598, r12vrr_stack+7603, r12vrr_stack+883, r12vrr_stack+1052, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7667, r12vrr_stack+4626, r12vrr_stack+7631, r12vrr_stack+904, r12vrr_stack+4598, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7712, r12vrr_stack+7537, r12vrr_stack+7667, NULL, NULL, r12vrr_stack+4626);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14737, r12vrr_stack+12757, r12vrr_stack+7712, r12vrr_stack+4261, r12vrr_stack+7537, r12vrr_stack+9832);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15007, r12vrr_stack+12892, r12vrr_stack+14737, r12vrr_stack+11812, r12vrr_stack+12757, r12vrr_stack+9940);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15457, r12vrr_stack+13162, r12vrr_stack+15007, r12vrr_stack+12082, r12vrr_stack+12892, r12vrr_stack+10156);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+15457, r12vrr_stack+13612, r12vrr_stack+13162, r12vrr_stack+10516);
 tmp = r12vrr_stack + 16132;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7847, r12vrr_stack+4662, r12vrr_stack+4261, r12vrr_stack+1016, r12vrr_stack+7456, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+4216, r12vrr_stack+4662, r12vrr_stack+7420, r12vrr_stack+1016, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+4261, r12vrr_stack+7537, r12vrr_stack+7456, r12vrr_stack+4180, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17132, r12vrr_stack+7847, r12vrr_stack+17077, NULL, NULL, r12vrr_stack+4261);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17297, r12vrr_stack+758, r12vrr_stack+7847, NULL, NULL, r12vrr_stack+4662);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17462, r12vrr_stack+17297, r12vrr_stack+17132, r12vrr_stack+758, r12vrr_stack+7847, r12vrr_stack+11812);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+7492, r12vrr_stack+4216, r12vrr_stack+4144, r12vrr_stack+7420, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17792, r12vrr_stack+11812, r12vrr_stack+758, NULL, NULL, r12vrr_stack+4216);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17957, r12vrr_stack+17792, r12vrr_stack+17297, r12vrr_stack+11812, r12vrr_stack+758, r12vrr_stack+11947);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+7537, r12vrr_stack+7667, r12vrr_stack+4180, r12vrr_stack+4626, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11867, r12vrr_stack+17077, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+7537);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18287, r12vrr_stack+17132, r12vrr_stack+11867, r12vrr_stack+7847, r12vrr_stack+17077, r12vrr_stack+12757);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18617, r12vrr_stack+17462, r12vrr_stack+18287, r12vrr_stack+17297, r12vrr_stack+17132, r12vrr_stack+12892);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19167, r12vrr_stack+17957, r12vrr_stack+17462, r12vrr_stack+17792, r12vrr_stack+17297, r12vrr_stack+12082);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+18617, r12vrr_stack+17957, r12vrr_stack+17462, r12vrr_stack+13162);
 tmp = r12vrr_stack + 19717;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+7475, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+7478, r12vrr_stack+518, r12vrr_stack+7475, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+12032, r12vrr_stack+4306, r12vrr_stack+7478, r12vrr_stack+4564, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+12042, r12vrr_stack+114, r12vrr_stack+12032, r12vrr_stack+4567, r12vrr_stack+4306, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12057, r12vrr_stack+124, r12vrr_stack+12042, r12vrr_stack+4573, r12vrr_stack+114, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12078, r12vrr_stack+7582, r12vrr_stack+12057, r12vrr_stack+4583, r12vrr_stack+124, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1016, r12vrr_stack+7603, r12vrr_stack+12078, r12vrr_stack+1052, r12vrr_stack+7582, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12106, r12vrr_stack+7631, r12vrr_stack+1016, r12vrr_stack+4598, r12vrr_stack+7603, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12151, r12vrr_stack+7667, r12vrr_stack+12106, r12vrr_stack+4626, r12vrr_stack+7631, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20542, r12vrr_stack+7420, r12vrr_stack+12151, NULL, NULL, r12vrr_stack+7667);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20707, r12vrr_stack+11867, r12vrr_stack+20542, r12vrr_stack+17077, r12vrr_stack+7420, r12vrr_stack+7712);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21037, r12vrr_stack+18287, r12vrr_stack+20707, r12vrr_stack+17132, r12vrr_stack+11867, r12vrr_stack+14737);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21587, r12vrr_stack+18617, r12vrr_stack+21037, r12vrr_stack+17462, r12vrr_stack+18287, r12vrr_stack+15007);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+21587, r12vrr_stack+19167, r12vrr_stack+18617, r12vrr_stack+15457);
 tmp = r12vrr_stack + 22412;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12206, r12vrr_stack+7847, r12vrr_stack+17077, r12vrr_stack+4662, r12vrr_stack+4261, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12272, r12vrr_stack+758, r12vrr_stack+7847, r12vrr_stack+4216, r12vrr_stack+4662, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4662, r12vrr_stack+17077, r12vrr_stack+7420, r12vrr_stack+4261, r12vrr_stack+7537, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+12206, r12vrr_stack+4662, NULL, NULL, r12vrr_stack+17077);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23765, r12vrr_stack+12272, r12vrr_stack+12206, NULL, NULL, r12vrr_stack+7847);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23963, r12vrr_stack+23765, r12vrr_stack+23567, r12vrr_stack+12272, r12vrr_stack+12206, r12vrr_stack+17132);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17132, r12vrr_stack+11812, r12vrr_stack+758, r12vrr_stack+7492, r12vrr_stack+4216, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24359, r12vrr_stack+17132, r12vrr_stack+12272, NULL, NULL, r12vrr_stack+758);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24557, r12vrr_stack+24359, r12vrr_stack+23765, r12vrr_stack+17132, r12vrr_stack+12272, r12vrr_stack+17297);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4216, r12vrr_stack+7420, r12vrr_stack+12151, r12vrr_stack+7537, r12vrr_stack+7667, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17198, r12vrr_stack+4662, r12vrr_stack+4216, NULL, NULL, r12vrr_stack+7420);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24953, r12vrr_stack+23567, r12vrr_stack+17198, r12vrr_stack+12206, r12vrr_stack+4662, r12vrr_stack+11867);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+25349, r12vrr_stack+23963, r12vrr_stack+24953, r12vrr_stack+23765, r12vrr_stack+23567, r12vrr_stack+18287);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+26009, r12vrr_stack+24557, r12vrr_stack+23963, r12vrr_stack+24359, r12vrr_stack+23765, r12vrr_stack+17462);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+26669, r12vrr_stack+26009, r12vrr_stack+25349, r12vrr_stack+24557, r12vrr_stack+23963, r12vrr_stack+18617);
 tmp = r12vrr_stack + 26669;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4282, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4285, r12vrr_stack+7475, r12vrr_stack+4282, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4291, r12vrr_stack+7478, r12vrr_stack+4285, r12vrr_stack+518, r12vrr_stack+7475, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+17396, r12vrr_stack+12032, r12vrr_stack+4291, r12vrr_stack+4306, r12vrr_stack+7478, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17411, r12vrr_stack+12042, r12vrr_stack+17396, r12vrr_stack+114, r12vrr_stack+12032, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17432, r12vrr_stack+12057, r12vrr_stack+17411, r12vrr_stack+124, r12vrr_stack+12042, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17460, r12vrr_stack+12078, r12vrr_stack+17432, r12vrr_stack+7582, r12vrr_stack+12057, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17496, r12vrr_stack+1016, r12vrr_stack+17460, r12vrr_stack+7603, r12vrr_stack+12078, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17541, r12vrr_stack+12106, r12vrr_stack+17496, r12vrr_stack+7631, r12vrr_stack+1016, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17596, r12vrr_stack+12151, r12vrr_stack+17541, r12vrr_stack+7667, r12vrr_stack+12106, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27659, r12vrr_stack+4216, r12vrr_stack+17596, NULL, NULL, r12vrr_stack+12151);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27857, r12vrr_stack+17198, r12vrr_stack+27659, r12vrr_stack+4662, r12vrr_stack+4216, r12vrr_stack+20542);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28253, r12vrr_stack+24953, r12vrr_stack+27857, r12vrr_stack+23567, r12vrr_stack+17198, r12vrr_stack+20707);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28913, r12vrr_stack+25349, r12vrr_stack+28253, r12vrr_stack+23963, r12vrr_stack+24953, r12vrr_stack+21037);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29903, r12vrr_stack+26669, r12vrr_stack+28913, r12vrr_stack+26009, r12vrr_stack+25349, r12vrr_stack+21587);
 tmp = r12vrr_stack + 29903;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+17662, r12vrr_stack+12206, r12vrr_stack+4662, r12vrr_stack+7847, r12vrr_stack+17077, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31289, r12vrr_stack+12272, r12vrr_stack+12206, r12vrr_stack+758, r12vrr_stack+7847, NULL);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31367, r12vrr_stack+4662, r12vrr_stack+4216, r12vrr_stack+17077, r12vrr_stack+7420, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31445, r12vrr_stack+17662, r12vrr_stack+31367, NULL, NULL, r12vrr_stack+4662);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31679, r12vrr_stack+31289, r12vrr_stack+17662, NULL, NULL, r12vrr_stack+12206);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31913, r12vrr_stack+31679, r12vrr_stack+31445, r12vrr_stack+31289, r12vrr_stack+17662, r12vrr_stack+23567);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+17132, r12vrr_stack+12272, r12vrr_stack+11812, r12vrr_stack+758, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+32381, r12vrr_stack+23567, r12vrr_stack+31289, NULL, NULL, r12vrr_stack+12272);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+32615, r12vrr_stack+32381, r12vrr_stack+31679, r12vrr_stack+23567, r12vrr_stack+31289, r12vrr_stack+23765);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31289, r12vrr_stack+4216, r12vrr_stack+17596, r12vrr_stack+7420, r12vrr_stack+12151, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+31367, r12vrr_stack+31289, NULL, NULL, r12vrr_stack+4216);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33083, r12vrr_stack+31445, r12vrr_stack+23567, r12vrr_stack+17662, r12vrr_stack+31367, r12vrr_stack+17198);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33551, r12vrr_stack+31913, r12vrr_stack+33083, r12vrr_stack+31679, r12vrr_stack+31445, r12vrr_stack+24953);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+34331, r12vrr_stack+32615, r12vrr_stack+31913, r12vrr_stack+32381, r12vrr_stack+31679, r12vrr_stack+23963);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35111, r12vrr_stack+34331, r12vrr_stack+33551, r12vrr_stack+32615, r12vrr_stack+31913, r12vrr_stack+25349);
 tmp = r12vrr_stack + 35111;
 target_ptr = Libr12->gvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+518, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+849, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+31679, r12vrr_stack+347, r12vrr_stack+849, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+518);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+31697, r12vrr_stack+68, r12vrr_stack+52, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+31715, r12vrr_stack+279, r12vrr_stack+31697, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+849);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+31751, r12vrr_stack+2253, r12vrr_stack+31715, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+31679);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+358, r12vrr_stack+322, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+31811, r12vrr_stack+2289, r12vrr_stack+114, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+31697);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+32381, r12vrr_stack+2319, r12vrr_stack+31811, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+31715);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+32481, r12vrr_stack+2379, r12vrr_stack+32381, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+31751);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+144, r12vrr_stack+332, r12vrr_stack+521, NULL, NULL, r12vrr_stack+322);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+32631, r12vrr_stack+2479, r12vrr_stack+144, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+114);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+32721, r12vrr_stack+2524, r12vrr_stack+32631, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+31811);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+23801, r12vrr_stack+2614, r12vrr_stack+32721, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+32381);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+24026, r12vrr_stack+2764, r12vrr_stack+23801, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+32481);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+368, r12vrr_stack+536, r12vrr_stack+883, NULL, NULL, r12vrr_stack+521);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+32871, r12vrr_stack+2989, r12vrr_stack+368, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+144);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+557, r12vrr_stack+3052, r12vrr_stack+32871, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+32631);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+36281, r12vrr_stack+3178, r12vrr_stack+557, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+32721);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+36596, r12vrr_stack+3388, r12vrr_stack+36281, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+23801);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+37037, r12vrr_stack+3703, r12vrr_stack+36596, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+24026);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+904, r12vrr_stack+4598, NULL, NULL, r12vrr_stack+883);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+932, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+904, r12vrr_stack+368);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+37625, r12vrr_stack+5544, r12vrr_stack+1392, r12vrr_stack+4312, r12vrr_stack+932, r12vrr_stack+32871);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+37905, r12vrr_stack+5712, r12vrr_stack+37625, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+557);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+38325, r12vrr_stack+5992, r12vrr_stack+37905, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+36281);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+38913, r12vrr_stack+6832, r12vrr_stack+38325, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+36596);
 tmp = r12vrr_stack + 38913;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1560, r12vrr_stack+4626, r12vrr_stack+7631, NULL, NULL, r12vrr_stack+4598);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4662, r12vrr_stack+9832, r12vrr_stack+1560, r12vrr_stack+4180, r12vrr_stack+4626, r12vrr_stack+1308);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+39697, r12vrr_stack+9940, r12vrr_stack+4662, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+1392);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+40057, r12vrr_stack+10156, r12vrr_stack+39697, r12vrr_stack+8356, r12vrr_stack+9940, r12vrr_stack+37625);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+40597, r12vrr_stack+10516, r12vrr_stack+40057, r12vrr_stack+8572, r12vrr_stack+10156, r12vrr_stack+37905);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+41353, r12vrr_stack+11056, r12vrr_stack+40597, r12vrr_stack+9292, r12vrr_stack+10516, r12vrr_stack+38325);
 tmp = r12vrr_stack + 41353;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8248, r12vrr_stack+7667, r12vrr_stack+12106, NULL, NULL, r12vrr_stack+7631);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8383, r12vrr_stack+7712, r12vrr_stack+8248, r12vrr_stack+7537, r12vrr_stack+7667, r12vrr_stack+1560);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42361, r12vrr_stack+14737, r12vrr_stack+8383, r12vrr_stack+12757, r12vrr_stack+7712, r12vrr_stack+4662);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42811, r12vrr_stack+15007, r12vrr_stack+42361, r12vrr_stack+12892, r12vrr_stack+14737, r12vrr_stack+39697);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+43486, r12vrr_stack+15457, r12vrr_stack+42811, r12vrr_stack+13162, r12vrr_stack+15007, r12vrr_stack+40057);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+44431, r12vrr_stack+16132, r12vrr_stack+43486, r12vrr_stack+14062, r12vrr_stack+15457, r12vrr_stack+40597);
 tmp = r12vrr_stack + 44431;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12757, r12vrr_stack+12151, r12vrr_stack+17541, NULL, NULL, r12vrr_stack+12106);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12922, r12vrr_stack+20542, r12vrr_stack+12757, r12vrr_stack+7420, r12vrr_stack+12151, r12vrr_stack+8248);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45691, r12vrr_stack+20707, r12vrr_stack+12922, r12vrr_stack+11867, r12vrr_stack+20542, r12vrr_stack+8383);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46241, r12vrr_stack+21037, r12vrr_stack+45691, r12vrr_stack+18287, r12vrr_stack+20707, r12vrr_stack+42361);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+47066, r12vrr_stack+21587, r12vrr_stack+46241, r12vrr_stack+18617, r12vrr_stack+21037, r12vrr_stack+42811);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48221, r12vrr_stack+22412, r12vrr_stack+47066, r12vrr_stack+19717, r12vrr_stack+21587, r12vrr_stack+43486);
 tmp = r12vrr_stack + 48221;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+4282, r12vrr_stack+0, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+18287, r12vrr_stack+4285, r12vrr_stack+6, r12vrr_stack+7475, r12vrr_stack+4282, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+18297, r12vrr_stack+4291, r12vrr_stack+18287, r12vrr_stack+7478, r12vrr_stack+4285, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18312, r12vrr_stack+17396, r12vrr_stack+18297, r12vrr_stack+12032, r12vrr_stack+4291, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18333, r12vrr_stack+17411, r12vrr_stack+18312, r12vrr_stack+12042, r12vrr_stack+17396, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+17432, r12vrr_stack+18333, r12vrr_stack+12057, r12vrr_stack+17411, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7537, r12vrr_stack+17460, r12vrr_stack+4180, r12vrr_stack+12078, r12vrr_stack+17432, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+17496, r12vrr_stack+7537, r12vrr_stack+1016, r12vrr_stack+17460, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18361, r12vrr_stack+17541, r12vrr_stack+17077, r12vrr_stack+12106, r12vrr_stack+17496, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18427, r12vrr_stack+17596, r12vrr_stack+18361, NULL, NULL, r12vrr_stack+17541);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18625, r12vrr_stack+27659, r12vrr_stack+18427, r12vrr_stack+4216, r12vrr_stack+17596, r12vrr_stack+12757);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+49761, r12vrr_stack+27857, r12vrr_stack+18625, r12vrr_stack+17198, r12vrr_stack+27659, r12vrr_stack+12922);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+50421, r12vrr_stack+28253, r12vrr_stack+49761, r12vrr_stack+24953, r12vrr_stack+27857, r12vrr_stack+45691);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51411, r12vrr_stack+28913, r12vrr_stack+50421, r12vrr_stack+25349, r12vrr_stack+28253, r12vrr_stack+46241);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+52797, r12vrr_stack+29903, r12vrr_stack+51411, r12vrr_stack+26669, r12vrr_stack+28913, r12vrr_stack+47066);
 tmp = r12vrr_stack + 52797;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24953, r12vrr_stack+17596, r12vrr_stack+18361, r12vrr_stack+12151, r12vrr_stack+17541, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+25031, r12vrr_stack+31289, r12vrr_stack+24953, NULL, NULL, r12vrr_stack+17596);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+25265, r12vrr_stack+23567, r12vrr_stack+25031, r12vrr_stack+31367, r12vrr_stack+31289, r12vrr_stack+27659);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+54645, r12vrr_stack+33083, r12vrr_stack+25265, r12vrr_stack+31445, r12vrr_stack+23567, r12vrr_stack+27857);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+55425, r12vrr_stack+33551, r12vrr_stack+54645, r12vrr_stack+31913, r12vrr_stack+33083, r12vrr_stack+28253);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+56595, r12vrr_stack+35111, r12vrr_stack+55425, r12vrr_stack+34331, r12vrr_stack+33551, r12vrr_stack+28913);
 tmp = r12vrr_stack + 56595;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+31367, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+31370, r12vrr_stack+518, r12vrr_stack+31367, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+31376, r12vrr_stack+12, r12vrr_stack+49, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+21, r12vrr_stack+849, r12vrr_stack+31376, r12vrr_stack+3, r12vrr_stack+12, r12vrr_stack+31367);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+31385, r12vrr_stack+31679, r12vrr_stack+21, r12vrr_stack+347, r12vrr_stack+849, r12vrr_stack+31370);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+24341, r12vrr_stack+52, r12vrr_stack+316, NULL, NULL, r12vrr_stack+49);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+31415, r12vrr_stack+31697, r12vrr_stack+24341, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+31376);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1668, r12vrr_stack+31715, r12vrr_stack+31415, r12vrr_stack+279, r12vrr_stack+31697, r12vrr_stack+21);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+31451, r12vrr_stack+31751, r12vrr_stack+1668, r12vrr_stack+2253, r12vrr_stack+31715, r12vrr_stack+31385);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2253, r12vrr_stack+322, r12vrr_stack+39, NULL, NULL, r12vrr_stack+316);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+31541, r12vrr_stack+114, r12vrr_stack+2253, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+24341);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+25733, r12vrr_stack+31811, r12vrr_stack+31541, r12vrr_stack+2289, r12vrr_stack+114, r12vrr_stack+31415);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+25833, r12vrr_stack+32381, r12vrr_stack+25733, r12vrr_stack+2319, r12vrr_stack+31811, r12vrr_stack+1668);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+11867, r12vrr_stack+32481, r12vrr_stack+25833, r12vrr_stack+2379, r12vrr_stack+32381, r12vrr_stack+31451);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2283, r12vrr_stack+521, r12vrr_stack+868, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2328, r12vrr_stack+144, r12vrr_stack+2283, r12vrr_stack+332, r12vrr_stack+521, r12vrr_stack+2253);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+17198, r12vrr_stack+32631, r12vrr_stack+2328, r12vrr_stack+2479, r12vrr_stack+144, r12vrr_stack+31541);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+13252, r12vrr_stack+32721, r12vrr_stack+17198, r12vrr_stack+2524, r12vrr_stack+32631, r12vrr_stack+25733);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+31871, r12vrr_stack+23801, r12vrr_stack+13252, r12vrr_stack+2614, r12vrr_stack+32721, r12vrr_stack+25833);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+58233, r12vrr_stack+24026, r12vrr_stack+31871, r12vrr_stack+2764, r12vrr_stack+23801, r12vrr_stack+11867);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2418, r12vrr_stack+883, r12vrr_stack+1052, NULL, NULL, r12vrr_stack+868);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2481, r12vrr_stack+368, r12vrr_stack+2418, r12vrr_stack+536, r12vrr_stack+883, r12vrr_stack+2283);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2607, r12vrr_stack+32871, r12vrr_stack+2481, r12vrr_stack+2989, r12vrr_stack+368, r12vrr_stack+2328);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58653, r12vrr_stack+557, r12vrr_stack+2607, r12vrr_stack+3052, r12vrr_stack+32871, r12vrr_stack+17198);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58968, r12vrr_stack+36281, r12vrr_stack+58653, r12vrr_stack+3178, r12vrr_stack+557, r12vrr_stack+13252);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+59409, r12vrr_stack+36596, r12vrr_stack+58968, r12vrr_stack+3388, r12vrr_stack+36281, r12vrr_stack+31871);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2817, r12vrr_stack+37037, r12vrr_stack+59409, r12vrr_stack+3703, r12vrr_stack+36596, r12vrr_stack+58233);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3573, r12vrr_stack+4598, r12vrr_stack+7603, NULL, NULL, r12vrr_stack+1052);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8653, r12vrr_stack+1308, r12vrr_stack+3573, r12vrr_stack+904, r12vrr_stack+4598, r12vrr_stack+2418);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4301, r12vrr_stack+1392, r12vrr_stack+8653, r12vrr_stack+932, r12vrr_stack+1308, r12vrr_stack+2481);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+59997, r12vrr_stack+37625, r12vrr_stack+4301, r12vrr_stack+5544, r12vrr_stack+1392, r12vrr_stack+2607);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+60417, r12vrr_stack+37905, r12vrr_stack+59997, r12vrr_stack+5712, r12vrr_stack+37625, r12vrr_stack+58653);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+61005, r12vrr_stack+38325, r12vrr_stack+60417, r12vrr_stack+5992, r12vrr_stack+37905, r12vrr_stack+58968);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+61789, r12vrr_stack+38913, r12vrr_stack+61005, r12vrr_stack+6832, r12vrr_stack+38325, r12vrr_stack+59409);
 tmp = r12vrr_stack + 61789;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+7631, r12vrr_stack+1016, NULL, NULL, r12vrr_stack+7603);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5652, r12vrr_stack+1560, r12vrr_stack+5544, r12vrr_stack+4626, r12vrr_stack+7631, r12vrr_stack+3573);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5868, r12vrr_stack+4662, r12vrr_stack+5652, r12vrr_stack+9832, r12vrr_stack+1560, r12vrr_stack+8653);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62797, r12vrr_stack+39697, r12vrr_stack+5868, r12vrr_stack+9940, r12vrr_stack+4662, r12vrr_stack+4301);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+63337, r12vrr_stack+40057, r12vrr_stack+62797, r12vrr_stack+10156, r12vrr_stack+39697, r12vrr_stack+59997);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+64093, r12vrr_stack+40597, r12vrr_stack+63337, r12vrr_stack+10516, r12vrr_stack+40057, r12vrr_stack+60417);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+65101, r12vrr_stack+41353, r12vrr_stack+64093, r12vrr_stack+11056, r12vrr_stack+40597, r12vrr_stack+61005);
 tmp = r12vrr_stack + 65101;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13477, r12vrr_stack+12106, r12vrr_stack+17496, NULL, NULL, r12vrr_stack+1016);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9832, r12vrr_stack+8248, r12vrr_stack+13477, r12vrr_stack+7667, r12vrr_stack+12106, r12vrr_stack+5544);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10102, r12vrr_stack+8383, r12vrr_stack+9832, r12vrr_stack+7712, r12vrr_stack+8248, r12vrr_stack+5652);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+66397, r12vrr_stack+42361, r12vrr_stack+10102, r12vrr_stack+14737, r12vrr_stack+8383, r12vrr_stack+5868);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+67072, r12vrr_stack+42811, r12vrr_stack+66397, r12vrr_stack+15007, r12vrr_stack+42361, r12vrr_stack+62797);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+68017, r12vrr_stack+43486, r12vrr_stack+67072, r12vrr_stack+15457, r12vrr_stack+42811, r12vrr_stack+63337);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+69277, r12vrr_stack+44431, r12vrr_stack+68017, r12vrr_stack+16132, r12vrr_stack+43486, r12vrr_stack+64093);
 tmp = r12vrr_stack + 69277;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14737, r12vrr_stack+17541, r12vrr_stack+17077, NULL, NULL, r12vrr_stack+17496);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14902, r12vrr_stack+12757, r12vrr_stack+14737, r12vrr_stack+12151, r12vrr_stack+17541, r12vrr_stack+13477);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15232, r12vrr_stack+12922, r12vrr_stack+14902, r12vrr_stack+20542, r12vrr_stack+12757, r12vrr_stack+9832);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+70897, r12vrr_stack+45691, r12vrr_stack+15232, r12vrr_stack+20707, r12vrr_stack+12922, r12vrr_stack+10102);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+71722, r12vrr_stack+46241, r12vrr_stack+70897, r12vrr_stack+21037, r12vrr_stack+45691, r12vrr_stack+66397);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+72877, r12vrr_stack+47066, r12vrr_stack+71722, r12vrr_stack+21587, r12vrr_stack+46241, r12vrr_stack+67072);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+74417, r12vrr_stack+48221, r12vrr_stack+72877, r12vrr_stack+22412, r12vrr_stack+47066, r12vrr_stack+68017);
 tmp = r12vrr_stack + 74417;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+20542, r12vrr_stack+0, r12vrr_stack+3, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+20548, r12vrr_stack+6, r12vrr_stack+20542, r12vrr_stack+4282, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+20558, r12vrr_stack+18287, r12vrr_stack+20548, r12vrr_stack+4285, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+536, r12vrr_stack+18297, r12vrr_stack+20558, r12vrr_stack+4291, r12vrr_stack+18287, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+20573, r12vrr_stack+18312, r12vrr_stack+536, r12vrr_stack+17396, r12vrr_stack+18297, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4626, r12vrr_stack+18333, r12vrr_stack+20573, r12vrr_stack+17411, r12vrr_stack+18312, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20601, r12vrr_stack+4180, r12vrr_stack+4626, r12vrr_stack+17432, r12vrr_stack+18333, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20646, r12vrr_stack+7537, r12vrr_stack+20601, r12vrr_stack+17460, r12vrr_stack+4180, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20701, r12vrr_stack+17077, r12vrr_stack+20646, r12vrr_stack+17496, r12vrr_stack+7537, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20767, r12vrr_stack+18361, r12vrr_stack+20701, NULL, NULL, r12vrr_stack+17077);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20965, r12vrr_stack+18427, r12vrr_stack+20767, r12vrr_stack+17596, r12vrr_stack+18361, r12vrr_stack+14737);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21361, r12vrr_stack+18625, r12vrr_stack+20965, r12vrr_stack+27659, r12vrr_stack+18427, r12vrr_stack+14902);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+76397, r12vrr_stack+49761, r12vrr_stack+21361, r12vrr_stack+27857, r12vrr_stack+18625, r12vrr_stack+15232);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+77387, r12vrr_stack+50421, r12vrr_stack+76397, r12vrr_stack+28253, r12vrr_stack+49761, r12vrr_stack+70897);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+78773, r12vrr_stack+51411, r12vrr_stack+77387, r12vrr_stack+28913, r12vrr_stack+50421, r12vrr_stack+71722);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+80621, r12vrr_stack+52797, r12vrr_stack+78773, r12vrr_stack+29903, r12vrr_stack+51411, r12vrr_stack+72877);
 tmp = r12vrr_stack + 80621;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31601, r12vrr_stack+18361, r12vrr_stack+20701, r12vrr_stack+17541, r12vrr_stack+17077, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+27659, r12vrr_stack+24953, r12vrr_stack+31601, NULL, NULL, r12vrr_stack+18361);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+27893, r12vrr_stack+25031, r12vrr_stack+27659, r12vrr_stack+31289, r12vrr_stack+24953, r12vrr_stack+18427);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+28361, r12vrr_stack+25265, r12vrr_stack+27893, r12vrr_stack+23567, r12vrr_stack+25031, r12vrr_stack+18625);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+82997, r12vrr_stack+54645, r12vrr_stack+28361, r12vrr_stack+33083, r12vrr_stack+25265, r12vrr_stack+49761);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+84167, r12vrr_stack+55425, r12vrr_stack+82997, r12vrr_stack+33551, r12vrr_stack+54645, r12vrr_stack+50421);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+85805, r12vrr_stack+56595, r12vrr_stack+84167, r12vrr_stack+35111, r12vrr_stack+55425, r12vrr_stack+51411);
 tmp = r12vrr_stack + 85805;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+23567, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+23570, r12vrr_stack+31367, r12vrr_stack+23567, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+23576, r12vrr_stack+31370, r12vrr_stack+23570, r12vrr_stack+518, r12vrr_stack+31367, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+23586, r12vrr_stack+49, r12vrr_stack+313, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+23595, r12vrr_stack+31376, r12vrr_stack+23586, r12vrr_stack+12, r12vrr_stack+49, r12vrr_stack+23567);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+23613, r12vrr_stack+21, r12vrr_stack+23595, r12vrr_stack+849, r12vrr_stack+31376, r12vrr_stack+23570);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+23643, r12vrr_stack+31385, r12vrr_stack+23613, r12vrr_stack+31679, r12vrr_stack+21, r12vrr_stack+23576);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+316, r12vrr_stack+15, NULL, NULL, r12vrr_stack+313);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+332, r12vrr_stack+24341, r12vrr_stack+21, r12vrr_stack+52, r12vrr_stack+316, r12vrr_stack+23586);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+23688, r12vrr_stack+31415, r12vrr_stack+332, r12vrr_stack+31697, r12vrr_stack+24341, r12vrr_stack+23595);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+431, r12vrr_stack+1668, r12vrr_stack+23688, r12vrr_stack+31715, r12vrr_stack+31415, r12vrr_stack+23613);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+31289, r12vrr_stack+31451, r12vrr_stack+431, r12vrr_stack+31751, r12vrr_stack+1668, r12vrr_stack+23643);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1668, r12vrr_stack+39, r12vrr_stack+858, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+31679, r12vrr_stack+2253, r12vrr_stack+1668, r12vrr_stack+322, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+23567, r12vrr_stack+31541, r12vrr_stack+31679, r12vrr_stack+114, r12vrr_stack+2253, r12vrr_stack+332);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+29141, r12vrr_stack+25733, r12vrr_stack+23567, r12vrr_stack+31811, r12vrr_stack+31541, r12vrr_stack+23688);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+29291, r12vrr_stack+25833, r12vrr_stack+29141, r12vrr_stack+32381, r12vrr_stack+25733, r12vrr_stack+431);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+29501, r12vrr_stack+11867, r12vrr_stack+29291, r12vrr_stack+32481, r12vrr_stack+25833, r12vrr_stack+31289);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+31289, r12vrr_stack+868, r12vrr_stack+4583, NULL, NULL, r12vrr_stack+858);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+431, r12vrr_stack+2283, r12vrr_stack+31289, r12vrr_stack+521, r12vrr_stack+868, r12vrr_stack+1668);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+31334, r12vrr_stack+2328, r12vrr_stack+431, r12vrr_stack+144, r12vrr_stack+2283, r12vrr_stack+31679);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+25733, r12vrr_stack+17198, r12vrr_stack+31334, r12vrr_stack+32631, r12vrr_stack+2328, r12vrr_stack+23567);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+22021, r12vrr_stack+13252, r12vrr_stack+25733, r12vrr_stack+32721, r12vrr_stack+17198, r12vrr_stack+29141);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+10552, r12vrr_stack+31871, r12vrr_stack+22021, r12vrr_stack+23801, r12vrr_stack+13252, r12vrr_stack+29291);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+32186, r12vrr_stack+58233, r12vrr_stack+10552, r12vrr_stack+24026, r12vrr_stack+31871, r12vrr_stack+29501);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58233, r12vrr_stack+1052, r12vrr_stack+7582, NULL, NULL, r12vrr_stack+4583);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58296, r12vrr_stack+2418, r12vrr_stack+58233, r12vrr_stack+883, r12vrr_stack+1052, r12vrr_stack+31289);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58422, r12vrr_stack+2481, r12vrr_stack+58296, r12vrr_stack+368, r12vrr_stack+2418, r12vrr_stack+431);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+29141, r12vrr_stack+2607, r12vrr_stack+58422, r12vrr_stack+32871, r12vrr_stack+2481, r12vrr_stack+31334);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+29456, r12vrr_stack+58653, r12vrr_stack+29141, r12vrr_stack+557, r12vrr_stack+2607, r12vrr_stack+25733);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+58968, r12vrr_stack+29456, r12vrr_stack+36281, r12vrr_stack+58653, r12vrr_stack+22021);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+32726, r12vrr_stack+59409, r12vrr_stack+23567, r12vrr_stack+36596, r12vrr_stack+58968, r12vrr_stack+10552);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+87989, r12vrr_stack+2817, r12vrr_stack+32726, r12vrr_stack+37037, r12vrr_stack+59409, r12vrr_stack+32186);

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10552, r12vrr_stack+7603, r12vrr_stack+12078, NULL, NULL, r12vrr_stack+7582);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10636, r12vrr_stack+3573, r12vrr_stack+10552, r12vrr_stack+4598, r12vrr_stack+7603, r12vrr_stack+58233);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+22021, r12vrr_stack+8653, r12vrr_stack+10636, r12vrr_stack+1308, r12vrr_stack+3573, r12vrr_stack+58296);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+36281, r12vrr_stack+4301, r12vrr_stack+22021, r12vrr_stack+1392, r12vrr_stack+8653, r12vrr_stack+58422);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+58233, r12vrr_stack+59997, r12vrr_stack+36281, r12vrr_stack+37625, r12vrr_stack+4301, r12vrr_stack+29141);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+58821, r12vrr_stack+60417, r12vrr_stack+58233, r12vrr_stack+37905, r12vrr_stack+59997, r12vrr_stack+29456);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31679, r12vrr_stack+61005, r12vrr_stack+58821, r12vrr_stack+38325, r12vrr_stack+60417, r12vrr_stack+23567);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+37625, r12vrr_stack+61789, r12vrr_stack+31679, r12vrr_stack+38913, r12vrr_stack+61005, r12vrr_stack+32726);
 tmp = r12vrr_stack + 37625;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+1016, r12vrr_stack+17460, NULL, NULL, r12vrr_stack+12078);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23675, r12vrr_stack+5544, r12vrr_stack+23567, r12vrr_stack+7631, r12vrr_stack+1016, r12vrr_stack+10552);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23891, r12vrr_stack+5652, r12vrr_stack+23675, r12vrr_stack+1560, r12vrr_stack+5544, r12vrr_stack+10636);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+29141, r12vrr_stack+5868, r12vrr_stack+23891, r12vrr_stack+4662, r12vrr_stack+5652, r12vrr_stack+22021);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+59605, r12vrr_stack+62797, r12vrr_stack+29141, r12vrr_stack+39697, r12vrr_stack+5868, r12vrr_stack+36281);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60361, r12vrr_stack+63337, r12vrr_stack+59605, r12vrr_stack+40057, r12vrr_stack+62797, r12vrr_stack+58233);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+32687, r12vrr_stack+64093, r12vrr_stack+60361, r12vrr_stack+40597, r12vrr_stack+63337, r12vrr_stack+58821);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+39697, r12vrr_stack+65101, r12vrr_stack+32687, r12vrr_stack+41353, r12vrr_stack+64093, r12vrr_stack+31679);
 tmp = r12vrr_stack + 39697;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31679, r12vrr_stack+17496, r12vrr_stack+7537, NULL, NULL, r12vrr_stack+17460);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31814, r12vrr_stack+13477, r12vrr_stack+31679, r12vrr_stack+12106, r12vrr_stack+17496, r12vrr_stack+23567);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32084, r12vrr_stack+9832, r12vrr_stack+31814, r12vrr_stack+8248, r12vrr_stack+13477, r12vrr_stack+23675);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+58233, r12vrr_stack+10102, r12vrr_stack+32084, r12vrr_stack+8383, r12vrr_stack+9832, r12vrr_stack+23891);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+62797, r12vrr_stack+66397, r12vrr_stack+58233, r12vrr_stack+42361, r12vrr_stack+10102, r12vrr_stack+29141);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+63742, r12vrr_stack+67072, r12vrr_stack+62797, r12vrr_stack+42811, r12vrr_stack+66397, r12vrr_stack+59605);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+88934, r12vrr_stack+68017, r12vrr_stack+63742, r12vrr_stack+43486, r12vrr_stack+67072, r12vrr_stack+60361);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42361, r12vrr_stack+69277, r12vrr_stack+88934, r12vrr_stack+44431, r12vrr_stack+68017, r12vrr_stack+32687);
 tmp = r12vrr_stack + 42361;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+66397, r12vrr_stack+17077, r12vrr_stack+20646, NULL, NULL, r12vrr_stack+7537);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+66562, r12vrr_stack+14737, r12vrr_stack+66397, r12vrr_stack+17541, r12vrr_stack+17077, r12vrr_stack+31679);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+66892, r12vrr_stack+14902, r12vrr_stack+66562, r12vrr_stack+12757, r12vrr_stack+14737, r12vrr_stack+31814);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+67442, r12vrr_stack+15232, r12vrr_stack+66892, r12vrr_stack+12922, r12vrr_stack+14902, r12vrr_stack+32084);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31679, r12vrr_stack+70897, r12vrr_stack+67442, r12vrr_stack+45691, r12vrr_stack+15232, r12vrr_stack+58233);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+58233, r12vrr_stack+71722, r12vrr_stack+31679, r12vrr_stack+46241, r12vrr_stack+70897, r12vrr_stack+62797);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+59773, r12vrr_stack+72877, r12vrr_stack+58233, r12vrr_stack+47066, r12vrr_stack+71722, r12vrr_stack+63742);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45691, r12vrr_stack+74417, r12vrr_stack+59773, r12vrr_stack+48221, r12vrr_stack+72877, r12vrr_stack+88934);
 tmp = r12vrr_stack + 45691;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+88934, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+88937, r12vrr_stack+3, r12vrr_stack+88934, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+88943, r12vrr_stack+20542, r12vrr_stack+88937, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+88953, r12vrr_stack+20548, r12vrr_stack+88943, r12vrr_stack+6, r12vrr_stack+20542, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+20558, r12vrr_stack+88953, r12vrr_stack+18287, r12vrr_stack+20548, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+38885, r12vrr_stack+536, r12vrr_stack+0, r12vrr_stack+18297, r12vrr_stack+20558, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+61753, r12vrr_stack+20573, r12vrr_stack+38885, r12vrr_stack+18312, r12vrr_stack+536, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+44386, r12vrr_stack+4626, r12vrr_stack+61753, r12vrr_stack+18333, r12vrr_stack+20573, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48166, r12vrr_stack+20601, r12vrr_stack+44386, r12vrr_stack+4180, r12vrr_stack+4626, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+20646, r12vrr_stack+48166, r12vrr_stack+7537, r12vrr_stack+20601, NULL);

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7537, r12vrr_stack+20701, r12vrr_stack+4180, NULL, NULL, r12vrr_stack+20646);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4246, r12vrr_stack+20767, r12vrr_stack+7537, r12vrr_stack+18361, r12vrr_stack+20701, r12vrr_stack+66397);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+88934, r12vrr_stack+20965, r12vrr_stack+4246, r12vrr_stack+18427, r12vrr_stack+20767, r12vrr_stack+66562);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+89594, r12vrr_stack+21361, r12vrr_stack+88934, r12vrr_stack+18625, r12vrr_stack+20965, r12vrr_stack+66892);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+62797, r12vrr_stack+76397, r12vrr_stack+89594, r12vrr_stack+49761, r12vrr_stack+21361, r12vrr_stack+67442);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+88934, r12vrr_stack+77387, r12vrr_stack+62797, r12vrr_stack+50421, r12vrr_stack+76397, r12vrr_stack+31679);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31679, r12vrr_stack+78773, r12vrr_stack+88934, r12vrr_stack+51411, r12vrr_stack+77387, r12vrr_stack+58233);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+49761, r12vrr_stack+80621, r12vrr_stack+31679, r12vrr_stack+52797, r12vrr_stack+78773, r12vrr_stack+59773);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31679, r12vrr_stack+20701, r12vrr_stack+4180, r12vrr_stack+17077, r12vrr_stack+20646, NULL);

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+31601, r12vrr_stack+31679, NULL, NULL, r12vrr_stack+20701);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31679, r12vrr_stack+27659, r12vrr_stack+4180, r12vrr_stack+24953, r12vrr_stack+31601, r12vrr_stack+20767);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+27893, r12vrr_stack+31679, r12vrr_stack+25031, r12vrr_stack+27659, r12vrr_stack+20965);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58233, r12vrr_stack+28361, r12vrr_stack+4180, r12vrr_stack+25265, r12vrr_stack+27893, r12vrr_stack+21361);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59403, r12vrr_stack+82997, r12vrr_stack+58233, r12vrr_stack+54645, r12vrr_stack+28361, r12vrr_stack+76397);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+27659, r12vrr_stack+84167, r12vrr_stack+59403, r12vrr_stack+55425, r12vrr_stack+82997, r12vrr_stack+77387);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58233, r12vrr_stack+85805, r12vrr_stack+27659, r12vrr_stack+56595, r12vrr_stack+84167, r12vrr_stack+78773);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+27659, &(Data->ss_r12_ss), NULL, r12vrr_stack+58, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+27662, r12vrr_stack+27659, &(Data->ss_r12_ss), r12vrr_stack+61, r12vrr_stack+58, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+27668, r12vrr_stack+27662, r12vrr_stack+27659, r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+58, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+27678, r12vrr_stack+27668, r12vrr_stack+27662, r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+61, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+27693, r12vrr_stack+27678, r12vrr_stack+27668, r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+1073, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+38885, r12vrr_stack+27693, r12vrr_stack+27678, r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+1083, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+27714, r12vrr_stack+38885, NULL, r12vrr_stack+5012, r12vrr_stack+821, NULL, r12vrr_stack+1098);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+27798, r12vrr_stack+27714, r12vrr_stack+38885, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+1119);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+27966, r12vrr_stack+27798, r12vrr_stack+27714, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+1182);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+1119, r12vrr_stack+27966, r12vrr_stack+27798, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+1728);
 tmp = r12vrr_stack + 1119;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+28246, r12vrr_stack+1119, r12vrr_stack+27966, r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+1938);
 tmp = r12vrr_stack + 28246;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+28834, r12vrr_stack+28246, r12vrr_stack+1119, r12vrr_stack+38913, r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+3703);
 tmp = r12vrr_stack + 28834;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+41317, r12vrr_stack+38885, r12vrr_stack+27693, r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+1098, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+27659, r12vrr_stack+41317, NULL, r12vrr_stack+7924, r12vrr_stack+4144, NULL, r12vrr_stack+821);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+27767, r12vrr_stack+27659, r12vrr_stack+41317, r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+5012);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+82997, r12vrr_stack+27767, r12vrr_stack+27659, r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+5096);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+83357, r12vrr_stack+82997, r12vrr_stack+27767, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+5264);
 tmp = r12vrr_stack + 83357;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+36281, r12vrr_stack+83357, r12vrr_stack+82997, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+6412);
 tmp = r12vrr_stack + 36281;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+83897, r12vrr_stack+36281, r12vrr_stack+83357, r12vrr_stack+41353, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+6832);
 tmp = r12vrr_stack + 83897;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+44386, r12vrr_stack+41317, r12vrr_stack+38885, r12vrr_stack+7492, r12vrr_stack+4144, r12vrr_stack+821, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+82997, r12vrr_stack+44386, NULL, r12vrr_stack+12352, r12vrr_stack+7492, NULL, r12vrr_stack+4144);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+83132, r12vrr_stack+82997, r12vrr_stack+44386, r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+7492, r12vrr_stack+7924);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+83402, r12vrr_stack+83132, r12vrr_stack+82997, r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+8032);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+84905, r12vrr_stack+83402, r12vrr_stack+83132, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+8932);
 tmp = r12vrr_stack + 84905;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+76397, r12vrr_stack+84905, r12vrr_stack+83402, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+9292);
 tmp = r12vrr_stack + 76397;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+77342, r12vrr_stack+76397, r12vrr_stack+84905, r12vrr_stack+44431, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+11056);
 tmp = r12vrr_stack + 77342;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+44386, r12vrr_stack+41317, r12vrr_stack+11812, r12vrr_stack+7492, r12vrr_stack+4144, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+17077, NULL, r12vrr_stack+17792, r12vrr_stack+11812, NULL, r12vrr_stack+7492);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4309, r12vrr_stack+4144, r12vrr_stack+17077, r12vrr_stack+17957, r12vrr_stack+17792, r12vrr_stack+11812, r12vrr_stack+12352);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4639, r12vrr_stack+4309, r12vrr_stack+4144, r12vrr_stack+19167, r12vrr_stack+17957, r12vrr_stack+17792, r12vrr_stack+12487);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+84905, r12vrr_stack+4639, r12vrr_stack+4309, r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+17957, r12vrr_stack+13612);
 tmp = r12vrr_stack + 84905;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+78602, r12vrr_stack+84905, r12vrr_stack+4639, r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+14062);
 tmp = r12vrr_stack + 78602;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+54645, r12vrr_stack+78602, r12vrr_stack+84905, r12vrr_stack+48221, r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+16132);
 tmp = r12vrr_stack + 54645;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+52731, r12vrr_stack+17077, r12vrr_stack+44386, r12vrr_stack+17132, r12vrr_stack+11812, r12vrr_stack+7492, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+84905, r12vrr_stack+52731, NULL, r12vrr_stack+24359, r12vrr_stack+17132, NULL, r12vrr_stack+11812);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+84905, r12vrr_stack+52731, r12vrr_stack+24557, r12vrr_stack+24359, r12vrr_stack+17132, r12vrr_stack+17792);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12208, r12vrr_stack+11812, r12vrr_stack+84905, r12vrr_stack+26009, r12vrr_stack+24557, r12vrr_stack+24359, r12vrr_stack+17957);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23567, r12vrr_stack+12208, r12vrr_stack+11812, r12vrr_stack+26669, r12vrr_stack+26009, r12vrr_stack+24557, r12vrr_stack+19167);
 tmp = r12vrr_stack + 23567;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+24557, r12vrr_stack+23567, r12vrr_stack+12208, r12vrr_stack+29903, r12vrr_stack+26669, r12vrr_stack+26009, r12vrr_stack+19717);
 tmp = r12vrr_stack + 24557;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+24557, r12vrr_stack+23567, r12vrr_stack+52797, r12vrr_stack+29903, r12vrr_stack+26669, r12vrr_stack+22412);
 tmp = r12vrr_stack + 17077;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23567, r12vrr_stack+6412, r12vrr_stack+9292, r12vrr_stack+6832, r12vrr_stack+3703, r12vrr_stack+1938);
 tmp = r12vrr_stack + 23567;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23987, r12vrr_stack+9292, r12vrr_stack+14062, r12vrr_stack+11056, r12vrr_stack+6832, r12vrr_stack+6412);
 tmp = r12vrr_stack + 23987;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11812, r12vrr_stack+14062, r12vrr_stack+19717, r12vrr_stack+16132, r12vrr_stack+11056, r12vrr_stack+9292);
 tmp = r12vrr_stack + 11812;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12487, r12vrr_stack+19717, r12vrr_stack+26669, r12vrr_stack+22412, r12vrr_stack+16132, r12vrr_stack+14062);
 tmp = r12vrr_stack + 12487;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4144, r12vrr_stack+26669, r12vrr_stack+35111, r12vrr_stack+29903, r12vrr_stack+22412, r12vrr_stack+19717);
 tmp = r12vrr_stack + 4144;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+84905, r12vrr_stack+6832, r12vrr_stack+11056, r12vrr_stack+38913, r12vrr_stack+37037, r12vrr_stack+3703);
 tmp = r12vrr_stack + 84905;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+82997, r12vrr_stack+11056, r12vrr_stack+16132, r12vrr_stack+41353, r12vrr_stack+38913, r12vrr_stack+6832);
 tmp = r12vrr_stack + 82997;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+88934, r12vrr_stack+16132, r12vrr_stack+22412, r12vrr_stack+44431, r12vrr_stack+41353, r12vrr_stack+11056);
 tmp = r12vrr_stack + 88934;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+62797, r12vrr_stack+22412, r12vrr_stack+29903, r12vrr_stack+48221, r12vrr_stack+44431, r12vrr_stack+16132);
 tmp = r12vrr_stack + 62797;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+66397, r12vrr_stack+29903, r12vrr_stack+56595, r12vrr_stack+52797, r12vrr_stack+48221, r12vrr_stack+22412);
 tmp = r12vrr_stack + 66397;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+79757, r12vrr_stack+38913, r12vrr_stack+41353, r12vrr_stack+61789, r12vrr_stack+2817, r12vrr_stack+37037);
 tmp = r12vrr_stack + 79757;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+89879, r12vrr_stack+41353, r12vrr_stack+44431, r12vrr_stack+65101, r12vrr_stack+61789, r12vrr_stack+38913);
 tmp = r12vrr_stack + 89879;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+67783, r12vrr_stack+44431, r12vrr_stack+48221, r12vrr_stack+69277, r12vrr_stack+65101, r12vrr_stack+41353);
 tmp = r12vrr_stack + 67783;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+48221, r12vrr_stack+52797, r12vrr_stack+74417, r12vrr_stack+69277, r12vrr_stack+44431);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+20542, r12vrr_stack+52797, r12vrr_stack+85805, r12vrr_stack+80621, r12vrr_stack+74417, r12vrr_stack+48221);
 tmp = r12vrr_stack + 20542;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+63952, r12vrr_stack+61789, r12vrr_stack+65101, r12vrr_stack+37625, r12vrr_stack+87989, r12vrr_stack+2817);
 tmp = r12vrr_stack + 63952;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1540, r12vrr_stack+65101, r12vrr_stack+69277, r12vrr_stack+39697, r12vrr_stack+37625, r12vrr_stack+61789);
 tmp = r12vrr_stack + 1540;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+70897, r12vrr_stack+69277, r12vrr_stack+74417, r12vrr_stack+42361, r12vrr_stack+39697, r12vrr_stack+65101);
 tmp = r12vrr_stack + 70897;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+31289, r12vrr_stack+74417, r12vrr_stack+80621, r12vrr_stack+45691, r12vrr_stack+42361, r12vrr_stack+69277);
 tmp = r12vrr_stack + 31289;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+90887, r12vrr_stack+80621, r12vrr_stack+58233, r12vrr_stack+49761, r12vrr_stack+45691, r12vrr_stack+74417);
 tmp = r12vrr_stack + 90887;
 target_ptr = Libr12->t2vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+87989, r12vrr_stack+6412, r12vrr_stack+6832, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+5264);
 tmp = r12vrr_stack + 87989;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5134, r12vrr_stack+9292, r12vrr_stack+11056, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+8932);
 tmp = r12vrr_stack + 5134;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5674, r12vrr_stack+14062, r12vrr_stack+16132, r12vrr_stack+19717, r12vrr_stack+19167, r12vrr_stack+13612);
 tmp = r12vrr_stack + 5674;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+2836, r12vrr_stack+19717, r12vrr_stack+22412, r12vrr_stack+26669, r12vrr_stack+26009, r12vrr_stack+19167);
 tmp = r12vrr_stack + 2836;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+72517, r12vrr_stack+26669, r12vrr_stack+29903, r12vrr_stack+35111, r12vrr_stack+34331, r12vrr_stack+26009);
 tmp = r12vrr_stack + 72517;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25943, r12vrr_stack+6832, r12vrr_stack+38913, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+6412);
 tmp = r12vrr_stack + 25943;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18925, r12vrr_stack+11056, r12vrr_stack+41353, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+9292);
 tmp = r12vrr_stack + 18925;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14737, r12vrr_stack+16132, r12vrr_stack+44431, r12vrr_stack+22412, r12vrr_stack+19717, r12vrr_stack+14062);
 tmp = r12vrr_stack + 14737;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+13312, r12vrr_stack+22412, r12vrr_stack+48221, r12vrr_stack+29903, r12vrr_stack+26669, r12vrr_stack+19717);
 tmp = r12vrr_stack + 13312;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+33269, r12vrr_stack+29903, r12vrr_stack+52797, r12vrr_stack+56595, r12vrr_stack+35111, r12vrr_stack+26669);
 tmp = r12vrr_stack + 33269;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+26531, r12vrr_stack+38913, r12vrr_stack+61789, r12vrr_stack+41353, r12vrr_stack+11056, r12vrr_stack+6832);
 tmp = r12vrr_stack + 26531;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+34655, r12vrr_stack+41353, r12vrr_stack+65101, r12vrr_stack+44431, r12vrr_stack+16132, r12vrr_stack+11056);
 tmp = r12vrr_stack + 34655;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7420, r12vrr_stack+44431, r12vrr_stack+69277, r12vrr_stack+48221, r12vrr_stack+22412, r12vrr_stack+16132);
 tmp = r12vrr_stack + 7420;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+8680, r12vrr_stack+48221, r12vrr_stack+74417, r12vrr_stack+52797, r12vrr_stack+29903, r12vrr_stack+22412);
 tmp = r12vrr_stack + 8680;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+93263, r12vrr_stack+52797, r12vrr_stack+80621, r12vrr_stack+85805, r12vrr_stack+56595, r12vrr_stack+29903);
 tmp = r12vrr_stack + 93263;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+56185, r12vrr_stack+61789, r12vrr_stack+37625, r12vrr_stack+65101, r12vrr_stack+41353, r12vrr_stack+38913);
 tmp = r12vrr_stack + 56185;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+95111, r12vrr_stack+65101, r12vrr_stack+39697, r12vrr_stack+69277, r12vrr_stack+44431, r12vrr_stack+41353);
 tmp = r12vrr_stack + 95111;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+39697, r12vrr_stack+69277, r12vrr_stack+42361, r12vrr_stack+74417, r12vrr_stack+48221, r12vrr_stack+44431);
 tmp = r12vrr_stack + 39697;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+42361, r12vrr_stack+74417, r12vrr_stack+45691, r12vrr_stack+80621, r12vrr_stack+52797, r12vrr_stack+48221);
 tmp = r12vrr_stack + 42361;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+45691, r12vrr_stack+80621, r12vrr_stack+49761, r12vrr_stack+58233, r12vrr_stack+85805, r12vrr_stack+52797);
 tmp = r12vrr_stack + 45691;
 target_ptr = Libr12->t1vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+49761, r12vrr_stack+28834, r12vrr_stack+28246, r12vrr_stack+61789, r12vrr_stack+38913, r12vrr_stack+6832, r12vrr_stack+37037);
 tmp = r12vrr_stack + 49761;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+37037, r12vrr_stack+83897, r12vrr_stack+36281, r12vrr_stack+65101, r12vrr_stack+41353, r12vrr_stack+11056, r12vrr_stack+38913);
 tmp = r12vrr_stack + 37037;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+50769, r12vrr_stack+77342, r12vrr_stack+76397, r12vrr_stack+69277, r12vrr_stack+44431, r12vrr_stack+16132, r12vrr_stack+41353);
 tmp = r12vrr_stack + 50769;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+76397, r12vrr_stack+54645, r12vrr_stack+78602, r12vrr_stack+74417, r12vrr_stack+48221, r12vrr_stack+22412, r12vrr_stack+44431);
 tmp = r12vrr_stack + 76397;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27315, r12vrr_stack+17077, r12vrr_stack+24557, r12vrr_stack+80621, r12vrr_stack+52797, r12vrr_stack+29903, r12vrr_stack+48221);
 tmp = r12vrr_stack + 27315;
 target_ptr = Libr12->rvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];


}

