#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_gpfd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+3);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+27, r12vrr_stack+15, NULL, NULL, Data->F+2);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+27, r12vrr_stack+15, r12vrr_stack+3);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+6);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+15, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+123, r12vrr_stack+27, r12vrr_stack+15, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+129, r12vrr_stack+12, r12vrr_stack+39, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+135, r12vrr_stack+117, r12vrr_stack+129, NULL, NULL, r12vrr_stack+12);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+153, r12vrr_stack+123, r12vrr_stack+117, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+171, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+18);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+207, r12vrr_stack+27, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+216, r12vrr_stack+210, r12vrr_stack+123, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+234, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+30);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+39, r12vrr_stack+30, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+270, r12vrr_stack+129, r12vrr_stack+33, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+288, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+42);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+324, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+51);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+384, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+69);

 /*--- compute (g0|d0)^0 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+444, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+87);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+534, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+537, r12vrr_stack+0, r12vrr_stack+534, Data->F+3, Data->F+4, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+543, r12vrr_stack+6, r12vrr_stack+537, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+553, r12vrr_stack+39, r12vrr_stack+30, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+562, r12vrr_stack+42, r12vrr_stack+553, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+534);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+580, r12vrr_stack+51, r12vrr_stack+562, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+537);

 /*--- compute (g0|p0)^1 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+610, r12vrr_stack+87, r12vrr_stack+580, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+543);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+3, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+655, r12vrr_stack+33, r12vrr_stack+69, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+673, r12vrr_stack+270, r12vrr_stack+655, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+553);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+709, r12vrr_stack+288, r12vrr_stack+673, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+562);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+769, r12vrr_stack+324, r12vrr_stack+709, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+580);

 /*--- compute (h0|d0)^0 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+859, r12vrr_stack+444, r12vrr_stack+769, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+610);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+75, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+985, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+995, r12vrr_stack+985, r12vrr_stack+75, NULL, NULL, r12vrr_stack+129);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1025, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+27, r12vrr_stack+15, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1035, r12vrr_stack+1025, r12vrr_stack+985, NULL, NULL, r12vrr_stack+117);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+12, r12vrr_stack+33, r12vrr_stack+69, r12vrr_stack+39, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1065, r12vrr_stack+75, r12vrr_stack+12, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1095, r12vrr_stack+995, r12vrr_stack+1065, r12vrr_stack+985, r12vrr_stack+75, r12vrr_stack+270);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1155, r12vrr_stack+1035, r12vrr_stack+995, r12vrr_stack+1025, r12vrr_stack+985, r12vrr_stack+135);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1215, r12vrr_stack+1155, r12vrr_stack+1095, r12vrr_stack+1035, r12vrr_stack+995, r12vrr_stack+288);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+135, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+207, r12vrr_stack+27, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1315, r12vrr_stack+135, r12vrr_stack+1025, NULL, NULL, r12vrr_stack+123);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1345, r12vrr_stack+1315, r12vrr_stack+1035, r12vrr_stack+135, r12vrr_stack+1025, r12vrr_stack+153);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1405, r12vrr_stack+1345, r12vrr_stack+1155, r12vrr_stack+1315, r12vrr_stack+1035, r12vrr_stack+171);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+145, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+148, r12vrr_stack+3, r12vrr_stack+145, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+154, r12vrr_stack+69, r12vrr_stack+148, r12vrr_stack+30, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+164, r12vrr_stack+12, r12vrr_stack+154, NULL, NULL, r12vrr_stack+69);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1505, r12vrr_stack+1065, r12vrr_stack+164, r12vrr_stack+75, r12vrr_stack+12, r12vrr_stack+655);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1565, r12vrr_stack+1095, r12vrr_stack+1505, r12vrr_stack+995, r12vrr_stack+1065, r12vrr_stack+673);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1665, r12vrr_stack+1215, r12vrr_stack+1565, r12vrr_stack+1155, r12vrr_stack+1095, r12vrr_stack+709);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1815, r12vrr_stack+1405, r12vrr_stack+1215, r12vrr_stack+1345, r12vrr_stack+1155, r12vrr_stack+324);
 tmp = r12vrr_stack + 1815;
 target_ptr = Libr12->gvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1965, r12vrr_stack+1815, r12vrr_stack+1665, r12vrr_stack+1405, r12vrr_stack+1215, r12vrr_stack+769);
 tmp = r12vrr_stack + 1965;
 target_ptr = Libr12->gvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2175, r12vrr_stack+985, r12vrr_stack+75, r12vrr_stack+117, r12vrr_stack+129, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2190, r12vrr_stack+1025, r12vrr_stack+985, r12vrr_stack+123, r12vrr_stack+117, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2205, r12vrr_stack+75, r12vrr_stack+12, r12vrr_stack+129, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2220, r12vrr_stack+2175, r12vrr_stack+2205, NULL, NULL, r12vrr_stack+75);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2265, r12vrr_stack+2190, r12vrr_stack+2175, NULL, NULL, r12vrr_stack+985);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2310, r12vrr_stack+2265, r12vrr_stack+2220, r12vrr_stack+2190, r12vrr_stack+2175, r12vrr_stack+995);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+995, r12vrr_stack+135, r12vrr_stack+1025, r12vrr_stack+210, r12vrr_stack+123, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2400, r12vrr_stack+995, r12vrr_stack+2190, NULL, NULL, r12vrr_stack+1025);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2445, r12vrr_stack+2400, r12vrr_stack+2265, r12vrr_stack+995, r12vrr_stack+2190, r12vrr_stack+1035);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1010, r12vrr_stack+12, r12vrr_stack+154, r12vrr_stack+33, r12vrr_stack+69, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2535, r12vrr_stack+2205, r12vrr_stack+1010, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2580, r12vrr_stack+2220, r12vrr_stack+2535, r12vrr_stack+2175, r12vrr_stack+2205, r12vrr_stack+1065);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2670, r12vrr_stack+2310, r12vrr_stack+2580, r12vrr_stack+2265, r12vrr_stack+2220, r12vrr_stack+1095);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2820, r12vrr_stack+2445, r12vrr_stack+2310, r12vrr_stack+2400, r12vrr_stack+2265, r12vrr_stack+1155);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2970, r12vrr_stack+2820, r12vrr_stack+2670, r12vrr_stack+2445, r12vrr_stack+2310, r12vrr_stack+1215);
 tmp = r12vrr_stack + 2970;
 target_ptr = Libr12->gvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1155, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1158, r12vrr_stack+145, r12vrr_stack+1155, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1164, r12vrr_stack+148, r12vrr_stack+1158, r12vrr_stack+3, r12vrr_stack+145, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1174, r12vrr_stack+154, r12vrr_stack+1164, r12vrr_stack+69, r12vrr_stack+148, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3195, r12vrr_stack+1010, r12vrr_stack+1174, NULL, NULL, r12vrr_stack+154);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3240, r12vrr_stack+2535, r12vrr_stack+3195, r12vrr_stack+2205, r12vrr_stack+1010, r12vrr_stack+164);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3330, r12vrr_stack+2580, r12vrr_stack+3240, r12vrr_stack+2220, r12vrr_stack+2535, r12vrr_stack+1505);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3480, r12vrr_stack+2670, r12vrr_stack+3330, r12vrr_stack+2310, r12vrr_stack+2580, r12vrr_stack+1565);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3705, r12vrr_stack+2970, r12vrr_stack+3480, r12vrr_stack+2820, r12vrr_stack+2670, r12vrr_stack+1665);
 tmp = r12vrr_stack + 3705;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1189, r12vrr_stack+2175, r12vrr_stack+2205, r12vrr_stack+985, r12vrr_stack+75, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1035, r12vrr_stack+2190, r12vrr_stack+2175, r12vrr_stack+1025, r12vrr_stack+985, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4020, r12vrr_stack+2205, r12vrr_stack+1010, r12vrr_stack+75, r12vrr_stack+12, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4041, r12vrr_stack+1189, r12vrr_stack+4020, NULL, NULL, r12vrr_stack+2205);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4104, r12vrr_stack+1035, r12vrr_stack+1189, NULL, NULL, r12vrr_stack+2175);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4167, r12vrr_stack+4104, r12vrr_stack+4041, r12vrr_stack+1035, r12vrr_stack+1189, r12vrr_stack+2220);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2220, r12vrr_stack+995, r12vrr_stack+2190, r12vrr_stack+135, r12vrr_stack+1025, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4293, r12vrr_stack+2220, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+2190);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4356, r12vrr_stack+4293, r12vrr_stack+4104, r12vrr_stack+2220, r12vrr_stack+1035, r12vrr_stack+2265);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2241, r12vrr_stack+1010, r12vrr_stack+1174, r12vrr_stack+12, r12vrr_stack+154, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4482, r12vrr_stack+4020, r12vrr_stack+2241, NULL, NULL, r12vrr_stack+1010);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4545, r12vrr_stack+4041, r12vrr_stack+4482, r12vrr_stack+1189, r12vrr_stack+4020, r12vrr_stack+2535);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4671, r12vrr_stack+4167, r12vrr_stack+4545, r12vrr_stack+4104, r12vrr_stack+4041, r12vrr_stack+2580);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4881, r12vrr_stack+4356, r12vrr_stack+4167, r12vrr_stack+4293, r12vrr_stack+4104, r12vrr_stack+2310);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5091, r12vrr_stack+4881, r12vrr_stack+4671, r12vrr_stack+4356, r12vrr_stack+4167, r12vrr_stack+2670);
 tmp = r12vrr_stack + 5091;
 target_ptr = Libr12->gvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1025, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1028, r12vrr_stack+1155, r12vrr_stack+1025, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+985, r12vrr_stack+1158, r12vrr_stack+1028, r12vrr_stack+145, r12vrr_stack+1155, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2262, r12vrr_stack+1164, r12vrr_stack+985, r12vrr_stack+148, r12vrr_stack+1158, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2277, r12vrr_stack+1174, r12vrr_stack+2262, r12vrr_stack+154, r12vrr_stack+1164, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2298, r12vrr_stack+2241, r12vrr_stack+2277, NULL, NULL, r12vrr_stack+1174);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+4482, r12vrr_stack+2298, r12vrr_stack+4020, r12vrr_stack+2241, r12vrr_stack+3195);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5532, r12vrr_stack+4545, r12vrr_stack+5406, r12vrr_stack+4041, r12vrr_stack+4482, r12vrr_stack+3240);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5742, r12vrr_stack+4671, r12vrr_stack+5532, r12vrr_stack+4167, r12vrr_stack+4545, r12vrr_stack+3330);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6057, r12vrr_stack+5091, r12vrr_stack+5742, r12vrr_stack+4881, r12vrr_stack+4671, r12vrr_stack+3480);
 tmp = r12vrr_stack + 6057;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2361, r12vrr_stack+1189, r12vrr_stack+4020, r12vrr_stack+2175, r12vrr_stack+2205, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6498, r12vrr_stack+1035, r12vrr_stack+1189, r12vrr_stack+2190, r12vrr_stack+2175, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6526, r12vrr_stack+4020, r12vrr_stack+2241, r12vrr_stack+2205, r12vrr_stack+1010, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6554, r12vrr_stack+2361, r12vrr_stack+6526, NULL, NULL, r12vrr_stack+4020);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6638, r12vrr_stack+6498, r12vrr_stack+2361, NULL, NULL, r12vrr_stack+1189);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6722, r12vrr_stack+6638, r12vrr_stack+6554, r12vrr_stack+6498, r12vrr_stack+2361, r12vrr_stack+4041);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4020, r12vrr_stack+2220, r12vrr_stack+1035, r12vrr_stack+995, r12vrr_stack+2190, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6890, r12vrr_stack+4020, r12vrr_stack+6498, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6974, r12vrr_stack+6890, r12vrr_stack+6638, r12vrr_stack+4020, r12vrr_stack+6498, r12vrr_stack+4104);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6498, r12vrr_stack+2241, r12vrr_stack+2277, r12vrr_stack+1010, r12vrr_stack+1174, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4020, r12vrr_stack+6526, r12vrr_stack+6498, NULL, NULL, r12vrr_stack+2241);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7142, r12vrr_stack+6554, r12vrr_stack+4020, r12vrr_stack+2361, r12vrr_stack+6526, r12vrr_stack+4482);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7310, r12vrr_stack+6722, r12vrr_stack+7142, r12vrr_stack+6638, r12vrr_stack+6554, r12vrr_stack+4545);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7590, r12vrr_stack+6974, r12vrr_stack+6722, r12vrr_stack+6890, r12vrr_stack+6638, r12vrr_stack+4167);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7870, r12vrr_stack+7590, r12vrr_stack+7310, r12vrr_stack+6974, r12vrr_stack+6722, r12vrr_stack+4671);
 tmp = r12vrr_stack + 7870;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+145, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+6638, r12vrr_stack+534, r12vrr_stack+145, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+6644, r12vrr_stack+537, r12vrr_stack+6638, r12vrr_stack+0, r12vrr_stack+534, NULL);

 /*--- compute (g0|00)^2 ---*/
 _BUILD_g000(Data,r12vrr_stack+6654, r12vrr_stack+543, r12vrr_stack+6644, r12vrr_stack+6, r12vrr_stack+537, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+534, r12vrr_stack+30, r12vrr_stack+3, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+117, r12vrr_stack+553, r12vrr_stack+534, r12vrr_stack+39, r12vrr_stack+30, r12vrr_stack+145);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+6669, r12vrr_stack+562, r12vrr_stack+117, r12vrr_stack+42, r12vrr_stack+553, r12vrr_stack+6638);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+2175, r12vrr_stack+580, r12vrr_stack+6669, r12vrr_stack+51, r12vrr_stack+562, r12vrr_stack+6644);

 /*--- compute (h0|p0)^1 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+6890, r12vrr_stack+610, r12vrr_stack+2175, r12vrr_stack+87, r12vrr_stack+580, r12vrr_stack+6654);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+6638, r12vrr_stack+69, r12vrr_stack+148, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+543, r12vrr_stack+655, r12vrr_stack+6638, r12vrr_stack+33, r12vrr_stack+69, r12vrr_stack+534);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+579, r12vrr_stack+673, r12vrr_stack+543, r12vrr_stack+270, r12vrr_stack+655, r12vrr_stack+117);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+6953, r12vrr_stack+709, r12vrr_stack+579, r12vrr_stack+288, r12vrr_stack+673, r12vrr_stack+6669);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+4104, r12vrr_stack+769, r12vrr_stack+6953, r12vrr_stack+324, r12vrr_stack+709, r12vrr_stack+2175);

 /*--- compute (i0|d0)^0 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+8290, r12vrr_stack+859, r12vrr_stack+4104, r12vrr_stack+444, r12vrr_stack+769, r12vrr_stack+6890);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+6890, r12vrr_stack+154, r12vrr_stack+1164, NULL, NULL, r12vrr_stack+148);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+270, r12vrr_stack+164, r12vrr_stack+6890, r12vrr_stack+12, r12vrr_stack+154, r12vrr_stack+6638);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+639, r12vrr_stack+1505, r12vrr_stack+270, r12vrr_stack+1065, r12vrr_stack+164, r12vrr_stack+543);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+8458, r12vrr_stack+1565, r12vrr_stack+639, r12vrr_stack+1095, r12vrr_stack+1505, r12vrr_stack+579);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+8608, r12vrr_stack+1665, r12vrr_stack+8458, r12vrr_stack+1215, r12vrr_stack+1565, r12vrr_stack+6953);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+8818, r12vrr_stack+1965, r12vrr_stack+8608, r12vrr_stack+1815, r12vrr_stack+1665, r12vrr_stack+4104);
 tmp = r12vrr_stack + 8818;
 target_ptr = Libr12->gvrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2175, r12vrr_stack+1174, r12vrr_stack+2262, NULL, NULL, r12vrr_stack+1164);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4104, r12vrr_stack+3195, r12vrr_stack+2175, r12vrr_stack+1010, r12vrr_stack+1174, r12vrr_stack+6890);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+6890, r12vrr_stack+3240, r12vrr_stack+4104, r12vrr_stack+2535, r12vrr_stack+3195, r12vrr_stack+270);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1505, r12vrr_stack+3330, r12vrr_stack+6890, r12vrr_stack+2580, r12vrr_stack+3240, r12vrr_stack+639);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+534, r12vrr_stack+3480, r12vrr_stack+1505, r12vrr_stack+2670, r12vrr_stack+3330, r12vrr_stack+8458);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+9098, r12vrr_stack+3705, r12vrr_stack+534, r12vrr_stack+2970, r12vrr_stack+3480, r12vrr_stack+8608);
 tmp = r12vrr_stack + 9098;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+8458, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+8461, r12vrr_stack+1025, r12vrr_stack+8458, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+849, r12vrr_stack+1028, r12vrr_stack+8461, r12vrr_stack+1155, r12vrr_stack+1025, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+8458, r12vrr_stack+985, r12vrr_stack+849, r12vrr_stack+1158, r12vrr_stack+1028, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8473, r12vrr_stack+2262, r12vrr_stack+8458, r12vrr_stack+1164, r12vrr_stack+985, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8494, r12vrr_stack+2277, r12vrr_stack+8473, NULL, NULL, r12vrr_stack+2262);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1189, r12vrr_stack+2298, r12vrr_stack+8494, r12vrr_stack+2241, r12vrr_stack+2277, r12vrr_stack+2175);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8494, r12vrr_stack+5406, r12vrr_stack+1189, r12vrr_stack+4482, r12vrr_stack+2298, r12vrr_stack+4104);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3195, r12vrr_stack+5532, r12vrr_stack+8494, r12vrr_stack+4545, r12vrr_stack+5406, r12vrr_stack+6890);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9518, r12vrr_stack+5742, r12vrr_stack+3195, r12vrr_stack+4671, r12vrr_stack+5532, r12vrr_stack+1505);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9959, r12vrr_stack+6057, r12vrr_stack+9518, r12vrr_stack+5091, r12vrr_stack+5742, r12vrr_stack+534);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+534, r12vrr_stack+2277, r12vrr_stack+8473, r12vrr_stack+1174, r12vrr_stack+2262, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6638, r12vrr_stack+6498, r12vrr_stack+534, NULL, NULL, r12vrr_stack+2277);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+534, r12vrr_stack+4020, r12vrr_stack+6638, r12vrr_stack+6526, r12vrr_stack+6498, r12vrr_stack+2298);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9518, r12vrr_stack+7142, r12vrr_stack+534, r12vrr_stack+6554, r12vrr_stack+4020, r12vrr_stack+5406);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3195, r12vrr_stack+7310, r12vrr_stack+9518, r12vrr_stack+6722, r12vrr_stack+7142, r12vrr_stack+5532);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6498, r12vrr_stack+7870, r12vrr_stack+3195, r12vrr_stack+7590, r12vrr_stack+7310, r12vrr_stack+5742);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3195, &(Data->ss_r12_ss), NULL, r12vrr_stack+207, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+3198, r12vrr_stack+3195, &(Data->ss_r12_ss), r12vrr_stack+210, r12vrr_stack+207, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+985, r12vrr_stack+3198, r12vrr_stack+3195, r12vrr_stack+135, r12vrr_stack+210, r12vrr_stack+207, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+3204, r12vrr_stack+985, NULL, r12vrr_stack+1315, r12vrr_stack+135, NULL, r12vrr_stack+210);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+3234, r12vrr_stack+3204, r12vrr_stack+985, r12vrr_stack+1345, r12vrr_stack+1315, r12vrr_stack+135, r12vrr_stack+216);

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+3294, r12vrr_stack+3234, r12vrr_stack+3204, r12vrr_stack+1405, r12vrr_stack+1345, r12vrr_stack+1315, r12vrr_stack+234);

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+216, r12vrr_stack+3294, r12vrr_stack+3234, r12vrr_stack+1815, r12vrr_stack+1405, r12vrr_stack+1345, r12vrr_stack+384);
 tmp = r12vrr_stack + 216;
 target_ptr = Libr12->rvrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+3204, r12vrr_stack+985, r12vrr_stack+3198, r12vrr_stack+995, r12vrr_stack+135, r12vrr_stack+210, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+2175, r12vrr_stack+3204, NULL, r12vrr_stack+2400, r12vrr_stack+995, NULL, r12vrr_stack+135);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+3394, r12vrr_stack+2175, r12vrr_stack+3204, r12vrr_stack+2445, r12vrr_stack+2400, r12vrr_stack+995, r12vrr_stack+1315);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+3484, r12vrr_stack+3394, r12vrr_stack+2175, r12vrr_stack+2820, r12vrr_stack+2445, r12vrr_stack+2400, r12vrr_stack+1345);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+9518, r12vrr_stack+3484, r12vrr_stack+3394, r12vrr_stack+2970, r12vrr_stack+2820, r12vrr_stack+2445, r12vrr_stack+1405);
 tmp = r12vrr_stack + 9518;
 target_ptr = Libr12->rvrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+3394, r12vrr_stack+3204, r12vrr_stack+985, r12vrr_stack+2220, r12vrr_stack+995, r12vrr_stack+135, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+3415, r12vrr_stack+3394, NULL, r12vrr_stack+4293, r12vrr_stack+2220, NULL, r12vrr_stack+995);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+985, r12vrr_stack+3415, r12vrr_stack+3394, r12vrr_stack+4356, r12vrr_stack+4293, r12vrr_stack+2220, r12vrr_stack+2400);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+1111, r12vrr_stack+985, r12vrr_stack+3415, r12vrr_stack+4881, r12vrr_stack+4356, r12vrr_stack+4293, r12vrr_stack+2445);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+2175, r12vrr_stack+1111, r12vrr_stack+985, r12vrr_stack+5091, r12vrr_stack+4881, r12vrr_stack+4356, r12vrr_stack+2820);
 tmp = r12vrr_stack + 2175;
 target_ptr = Libr12->rvrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2490, r12vrr_stack+1815, r12vrr_stack+2970, r12vrr_stack+1965, r12vrr_stack+859, r12vrr_stack+444);
 tmp = r12vrr_stack + 2490;
 target_ptr = Libr12->t2vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5406, r12vrr_stack+2970, r12vrr_stack+5091, r12vrr_stack+3705, r12vrr_stack+1965, r12vrr_stack+1815);
 tmp = r12vrr_stack + 5406;
 target_ptr = Libr12->t2vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5631, r12vrr_stack+5091, r12vrr_stack+7870, r12vrr_stack+6057, r12vrr_stack+3705, r12vrr_stack+2970);
 tmp = r12vrr_stack + 5631;
 target_ptr = Libr12->t2vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9743, r12vrr_stack+1965, r12vrr_stack+3705, r12vrr_stack+8818, r12vrr_stack+8290, r12vrr_stack+859);
 tmp = r12vrr_stack + 9743;
 target_ptr = Libr12->t2vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8290, r12vrr_stack+3705, r12vrr_stack+6057, r12vrr_stack+9098, r12vrr_stack+8818, r12vrr_stack+1965);
 tmp = r12vrr_stack + 8290;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4020, r12vrr_stack+6057, r12vrr_stack+6498, r12vrr_stack+9959, r12vrr_stack+9098, r12vrr_stack+3705);
 tmp = r12vrr_stack + 4020;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_g0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8605, r12vrr_stack+1815, r12vrr_stack+1965, r12vrr_stack+2970, r12vrr_stack+2820, r12vrr_stack+1405);
 tmp = r12vrr_stack + 8605;
 target_ptr = Libr12->t1vrr_classes[4][3];
 for(i=0;i<150;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_g0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4461, r12vrr_stack+2970, r12vrr_stack+3705, r12vrr_stack+5091, r12vrr_stack+4881, r12vrr_stack+2820);
 tmp = r12vrr_stack + 4461;
 target_ptr = Libr12->t1vrr_classes[4][4];
 for(i=0;i<225;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_g0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+534, r12vrr_stack+5091, r12vrr_stack+6057, r12vrr_stack+7870, r12vrr_stack+7590, r12vrr_stack+4881);
 tmp = r12vrr_stack + 534;
 target_ptr = Libr12->t1vrr_classes[4][5];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_h0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+849, r12vrr_stack+1965, r12vrr_stack+8818, r12vrr_stack+3705, r12vrr_stack+2970, r12vrr_stack+1815);
 tmp = r12vrr_stack + 849;
 target_ptr = Libr12->t1vrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8755, r12vrr_stack+3705, r12vrr_stack+9098, r12vrr_stack+6057, r12vrr_stack+5091, r12vrr_stack+2970);
 tmp = r12vrr_stack + 8755;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9070, r12vrr_stack+6057, r12vrr_stack+9959, r12vrr_stack+6498, r12vrr_stack+7870, r12vrr_stack+5091);
 tmp = r12vrr_stack + 9070;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||f0)^0 ---*/
 _R_BUILD_h0f0(Data,r12vrr_stack+6498, r12vrr_stack+216, r12vrr_stack+3294, r12vrr_stack+1965, r12vrr_stack+1815, r12vrr_stack+1405, r12vrr_stack+444);
 tmp = r12vrr_stack + 6498;
 target_ptr = Libr12->rvrr_classes[5][3];
 for(i=0;i<210;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+6708, r12vrr_stack+9518, r12vrr_stack+3484, r12vrr_stack+3705, r12vrr_stack+2970, r12vrr_stack+2820, r12vrr_stack+1815);
 tmp = r12vrr_stack + 6708;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+7023, r12vrr_stack+2175, r12vrr_stack+1111, r12vrr_stack+6057, r12vrr_stack+5091, r12vrr_stack+4881, r12vrr_stack+2970);
 tmp = r12vrr_stack + 7023;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];


}

