#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_gpii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+800, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+758, r12vrr_stack+800, NULL, NULL, r12vrr_stack+204);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+884, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+947, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+234);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+58, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+61, r12vrr_stack+58, r12vrr_stack+279, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+282, r12vrr_stack+58, r12vrr_stack+279, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+288, r12vrr_stack+61, r12vrr_stack+282, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+298, r12vrr_stack+1073, r12vrr_stack+288, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1119, r12vrr_stack+1098, r12vrr_stack+779, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+313);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+313, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+316, r12vrr_stack+49, r12vrr_stack+313, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+322, r12vrr_stack+52, r12vrr_stack+316, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+332, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1329, r12vrr_stack+800, r12vrr_stack+1308, NULL, NULL, r12vrr_stack+368);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+383);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+428);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1728, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+518);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1938, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+608);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+347, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+279, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2253, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+347);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2289, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2319, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+279);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2379, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+2253);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2479, r12vrr_stack+368, r12vrr_stack+332, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2524, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+2289);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2614, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+2319);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2764, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+2379);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+313, r12vrr_stack+518, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+316, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+313, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+521, r12vrr_stack+322, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+316, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+536, r12vrr_stack+332, r12vrr_stack+521, r12vrr_stack+358, r12vrr_stack+322, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2989, r12vrr_stack+1308, r12vrr_stack+536, NULL, NULL, r12vrr_stack+332);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3052, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+2479);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3178, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+2524);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3388, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+2614);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3703, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+2764);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+557, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+234, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+234, r12vrr_stack+557, NULL, NULL, r12vrr_stack+800);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+114, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4228, r12vrr_stack+114, r12vrr_stack+234, NULL, NULL, r12vrr_stack+758);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+204, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+368, r12vrr_stack+332, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4312, r12vrr_stack+557, r12vrr_stack+204, NULL, NULL, r12vrr_stack+1308);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4396, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+1329);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4564, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+821);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4732, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+1392);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+1083, r12vrr_stack+298, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+114, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+884);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+947);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+849, r12vrr_stack+518, r12vrr_stack+49, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+855, r12vrr_stack+15, r12vrr_stack+849, r12vrr_stack+313, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+865, r12vrr_stack+39, r12vrr_stack+855, r12vrr_stack+316, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+880, r12vrr_stack+521, r12vrr_stack+865, r12vrr_stack+322, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+901, r12vrr_stack+536, r12vrr_stack+880, r12vrr_stack+332, r12vrr_stack+521, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+929, r12vrr_stack+204, r12vrr_stack+901, NULL, NULL, r12vrr_stack+536);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+4312, r12vrr_stack+929, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+2989);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5712, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+3052);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5992, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+3178);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+1518);
 tmp = r12vrr_stack + 6412;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+3388);
 tmp = r12vrr_stack + 6832;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1013, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+758, r12vrr_stack+800, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7456, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+800, r12vrr_stack+1308, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+1013, r12vrr_stack+7456, NULL, NULL, r12vrr_stack+557);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7600, r12vrr_stack+7420, r12vrr_stack+1013, NULL, NULL, r12vrr_stack+234);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7708, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+7420, r12vrr_stack+1013, r12vrr_stack+4144);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+1098, r12vrr_stack+779, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+114);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+4228);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+204, r12vrr_stack+901, r12vrr_stack+1308, r12vrr_stack+536, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8248, r12vrr_stack+7456, r12vrr_stack+4180, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8356, r12vrr_stack+7492, r12vrr_stack+8248, r12vrr_stack+1013, r12vrr_stack+7456, r12vrr_stack+4312);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8572, r12vrr_stack+7708, r12vrr_stack+8356, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+4396);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4564);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+8572, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+4732);
 tmp = r12vrr_stack + 9292;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4564, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4567, r12vrr_stack+49, r12vrr_stack+4564, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4573, r12vrr_stack+849, r12vrr_stack+4567, r12vrr_stack+518, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4583, r12vrr_stack+855, r12vrr_stack+4573, r12vrr_stack+15, r12vrr_stack+849, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4598, r12vrr_stack+865, r12vrr_stack+4583, r12vrr_stack+39, r12vrr_stack+855, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4619, r12vrr_stack+880, r12vrr_stack+4598, r12vrr_stack+521, r12vrr_stack+865, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4647, r12vrr_stack+901, r12vrr_stack+4619, r12vrr_stack+536, r12vrr_stack+880, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9832, r12vrr_stack+4180, r12vrr_stack+4647, NULL, NULL, r12vrr_stack+901);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9940, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+7456, r12vrr_stack+4180, r12vrr_stack+929);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10156, r12vrr_stack+8356, r12vrr_stack+9940, r12vrr_stack+7492, r12vrr_stack+8248, r12vrr_stack+5544);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10516, r12vrr_stack+8572, r12vrr_stack+10156, r12vrr_stack+7708, r12vrr_stack+8356, r12vrr_stack+5712);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+10516, r12vrr_stack+8932, r12vrr_stack+8572, r12vrr_stack+5992);
 tmp = r12vrr_stack + 11056;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4683, r12vrr_stack+1013, r12vrr_stack+7456, r12vrr_stack+234, r12vrr_stack+557, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4216, r12vrr_stack+7420, r12vrr_stack+1013, r12vrr_stack+114, r12vrr_stack+234, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4261, r12vrr_stack+7456, r12vrr_stack+4180, r12vrr_stack+557, r12vrr_stack+204, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+4683, r12vrr_stack+4261, NULL, NULL, r12vrr_stack+7456);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11947, r12vrr_stack+4216, r12vrr_stack+4683, NULL, NULL, r12vrr_stack+1013);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12082, r12vrr_stack+11947, r12vrr_stack+11812, r12vrr_stack+4216, r12vrr_stack+4683, r12vrr_stack+7492);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+821, r12vrr_stack+114, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12352, r12vrr_stack+7492, r12vrr_stack+4216, NULL, NULL, r12vrr_stack+7420);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+11947, r12vrr_stack+7492, r12vrr_stack+4216, r12vrr_stack+7600);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7537, r12vrr_stack+4180, r12vrr_stack+4647, r12vrr_stack+204, r12vrr_stack+901, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12757, r12vrr_stack+4261, r12vrr_stack+7537, NULL, NULL, r12vrr_stack+4180);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12892, r12vrr_stack+11812, r12vrr_stack+12757, r12vrr_stack+4683, r12vrr_stack+4261, r12vrr_stack+8248);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13162, r12vrr_stack+12082, r12vrr_stack+12892, r12vrr_stack+11947, r12vrr_stack+11812, r12vrr_stack+8356);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+12082, r12vrr_stack+12352, r12vrr_stack+11947, r12vrr_stack+7708);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+13162, r12vrr_stack+12487, r12vrr_stack+12082, r12vrr_stack+8572);
 tmp = r12vrr_stack + 14062;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+4564, r12vrr_stack+518, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+4567, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+4564, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+114, r12vrr_stack+4573, r12vrr_stack+39, r12vrr_stack+849, r12vrr_stack+4567, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7582, r12vrr_stack+4583, r12vrr_stack+114, r12vrr_stack+855, r12vrr_stack+4573, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7603, r12vrr_stack+4598, r12vrr_stack+7582, r12vrr_stack+865, r12vrr_stack+4583, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7631, r12vrr_stack+4619, r12vrr_stack+7603, r12vrr_stack+880, r12vrr_stack+4598, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7667, r12vrr_stack+4647, r12vrr_stack+7631, r12vrr_stack+901, r12vrr_stack+4619, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7712, r12vrr_stack+7537, r12vrr_stack+7667, NULL, NULL, r12vrr_stack+4647);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14737, r12vrr_stack+12757, r12vrr_stack+7712, r12vrr_stack+4261, r12vrr_stack+7537, r12vrr_stack+9832);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15007, r12vrr_stack+12892, r12vrr_stack+14737, r12vrr_stack+11812, r12vrr_stack+12757, r12vrr_stack+9940);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15457, r12vrr_stack+13162, r12vrr_stack+15007, r12vrr_stack+12082, r12vrr_stack+12892, r12vrr_stack+10156);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+15457, r12vrr_stack+13612, r12vrr_stack+13162, r12vrr_stack+10516);
 tmp = r12vrr_stack + 16132;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7847, r12vrr_stack+4683, r12vrr_stack+4261, r12vrr_stack+1013, r12vrr_stack+7456, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+4216, r12vrr_stack+4683, r12vrr_stack+7420, r12vrr_stack+1013, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1013, r12vrr_stack+4261, r12vrr_stack+7537, r12vrr_stack+7456, r12vrr_stack+4180, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+7847, r12vrr_stack+1013, NULL, NULL, r12vrr_stack+4261);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17242, r12vrr_stack+758, r12vrr_stack+7847, NULL, NULL, r12vrr_stack+4683);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17407, r12vrr_stack+17242, r12vrr_stack+17077, r12vrr_stack+758, r12vrr_stack+7847, r12vrr_stack+11812);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+7492, r12vrr_stack+4216, r12vrr_stack+4144, r12vrr_stack+7420, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17737, r12vrr_stack+11812, r12vrr_stack+758, NULL, NULL, r12vrr_stack+4216);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17902, r12vrr_stack+17737, r12vrr_stack+17242, r12vrr_stack+11812, r12vrr_stack+758, r12vrr_stack+11947);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+7537, r12vrr_stack+7667, r12vrr_stack+4180, r12vrr_stack+4647, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11867, r12vrr_stack+1013, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+7537);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18232, r12vrr_stack+17077, r12vrr_stack+11867, r12vrr_stack+7847, r12vrr_stack+1013, r12vrr_stack+12757);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18562, r12vrr_stack+17407, r12vrr_stack+18232, r12vrr_stack+17242, r12vrr_stack+17077, r12vrr_stack+12892);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19112, r12vrr_stack+17902, r12vrr_stack+17407, r12vrr_stack+17737, r12vrr_stack+17242, r12vrr_stack+12082);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19662, r12vrr_stack+19112, r12vrr_stack+18562, r12vrr_stack+17902, r12vrr_stack+17407, r12vrr_stack+13162);
 tmp = r12vrr_stack + 19662;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4306, r12vrr_stack+518, r12vrr_stack+49, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+7475, r12vrr_stack+15, r12vrr_stack+4306, r12vrr_stack+4564, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+129, r12vrr_stack+39, r12vrr_stack+7475, r12vrr_stack+4567, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12032, r12vrr_stack+114, r12vrr_stack+129, r12vrr_stack+4573, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12053, r12vrr_stack+7582, r12vrr_stack+12032, r12vrr_stack+4583, r12vrr_stack+114, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12081, r12vrr_stack+7603, r12vrr_stack+12053, r12vrr_stack+4598, r12vrr_stack+7582, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4564, r12vrr_stack+7631, r12vrr_stack+12081, r12vrr_stack+4619, r12vrr_stack+7603, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12117, r12vrr_stack+7667, r12vrr_stack+4564, r12vrr_stack+4647, r12vrr_stack+7631, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12172, r12vrr_stack+7420, r12vrr_stack+12117, NULL, NULL, r12vrr_stack+7667);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20487, r12vrr_stack+11867, r12vrr_stack+12172, r12vrr_stack+1013, r12vrr_stack+7420, r12vrr_stack+7712);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20817, r12vrr_stack+18232, r12vrr_stack+20487, r12vrr_stack+17077, r12vrr_stack+11867, r12vrr_stack+14737);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21367, r12vrr_stack+18562, r12vrr_stack+20817, r12vrr_stack+17407, r12vrr_stack+18232, r12vrr_stack+15007);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22192, r12vrr_stack+19662, r12vrr_stack+21367, r12vrr_stack+19112, r12vrr_stack+18562, r12vrr_stack+15457);
 tmp = r12vrr_stack + 22192;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23347, r12vrr_stack+7847, r12vrr_stack+1013, r12vrr_stack+4683, r12vrr_stack+4261, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23413, r12vrr_stack+758, r12vrr_stack+7847, r12vrr_stack+4216, r12vrr_stack+4683, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23479, r12vrr_stack+1013, r12vrr_stack+7420, r12vrr_stack+4261, r12vrr_stack+7537, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23545, r12vrr_stack+23347, r12vrr_stack+23479, NULL, NULL, r12vrr_stack+1013);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23743, r12vrr_stack+23413, r12vrr_stack+23347, NULL, NULL, r12vrr_stack+7847);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23941, r12vrr_stack+23743, r12vrr_stack+23545, r12vrr_stack+23413, r12vrr_stack+23347, r12vrr_stack+17077);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+11812, r12vrr_stack+758, r12vrr_stack+7492, r12vrr_stack+4216, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24337, r12vrr_stack+17077, r12vrr_stack+23413, NULL, NULL, r12vrr_stack+758);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24535, r12vrr_stack+24337, r12vrr_stack+23743, r12vrr_stack+17077, r12vrr_stack+23413, r12vrr_stack+17242);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4216, r12vrr_stack+7420, r12vrr_stack+12117, r12vrr_stack+7537, r12vrr_stack+7667, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17143, r12vrr_stack+23479, r12vrr_stack+4216, NULL, NULL, r12vrr_stack+7420);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24931, r12vrr_stack+23545, r12vrr_stack+17143, r12vrr_stack+23347, r12vrr_stack+23479, r12vrr_stack+11867);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+25327, r12vrr_stack+23941, r12vrr_stack+24931, r12vrr_stack+23743, r12vrr_stack+23545, r12vrr_stack+18232);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+25987, r12vrr_stack+24535, r12vrr_stack+23941, r12vrr_stack+24337, r12vrr_stack+23743, r12vrr_stack+17407);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+26647, r12vrr_stack+25987, r12vrr_stack+25327, r12vrr_stack+24535, r12vrr_stack+23941, r12vrr_stack+18562);
 tmp = r12vrr_stack + 26647;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4282, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4285, r12vrr_stack+49, r12vrr_stack+4282, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4609, r12vrr_stack+4306, r12vrr_stack+4285, r12vrr_stack+518, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4291, r12vrr_stack+7475, r12vrr_stack+4609, r12vrr_stack+15, r12vrr_stack+4306, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17341, r12vrr_stack+129, r12vrr_stack+4291, r12vrr_stack+39, r12vrr_stack+7475, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17362, r12vrr_stack+12032, r12vrr_stack+17341, r12vrr_stack+114, r12vrr_stack+129, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17390, r12vrr_stack+12053, r12vrr_stack+17362, r12vrr_stack+7582, r12vrr_stack+12032, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17426, r12vrr_stack+12081, r12vrr_stack+17390, r12vrr_stack+7603, r12vrr_stack+12053, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+17471, r12vrr_stack+4564, r12vrr_stack+17426, r12vrr_stack+7631, r12vrr_stack+12081, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17526, r12vrr_stack+12117, r12vrr_stack+17471, r12vrr_stack+7667, r12vrr_stack+4564, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27637, r12vrr_stack+4216, r12vrr_stack+17526, NULL, NULL, r12vrr_stack+12117);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27835, r12vrr_stack+17143, r12vrr_stack+27637, r12vrr_stack+23479, r12vrr_stack+4216, r12vrr_stack+12172);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28231, r12vrr_stack+24931, r12vrr_stack+27835, r12vrr_stack+23545, r12vrr_stack+17143, r12vrr_stack+20487);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28891, r12vrr_stack+25327, r12vrr_stack+28231, r12vrr_stack+23941, r12vrr_stack+24931, r12vrr_stack+20817);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29881, r12vrr_stack+26647, r12vrr_stack+28891, r12vrr_stack+25987, r12vrr_stack+25327, r12vrr_stack+21367);
 tmp = r12vrr_stack + 29881;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+17592, r12vrr_stack+23347, r12vrr_stack+23479, r12vrr_stack+7847, r12vrr_stack+1013, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31267, r12vrr_stack+23413, r12vrr_stack+23347, r12vrr_stack+758, r12vrr_stack+7847, NULL);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31345, r12vrr_stack+23479, r12vrr_stack+4216, r12vrr_stack+1013, r12vrr_stack+7420, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31423, r12vrr_stack+17592, r12vrr_stack+31345, NULL, NULL, r12vrr_stack+23479);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31657, r12vrr_stack+31267, r12vrr_stack+17592, NULL, NULL, r12vrr_stack+23347);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31891, r12vrr_stack+31657, r12vrr_stack+31423, r12vrr_stack+31267, r12vrr_stack+17592, r12vrr_stack+23545);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+23545, r12vrr_stack+17077, r12vrr_stack+23413, r12vrr_stack+11812, r12vrr_stack+758, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+32359, r12vrr_stack+23545, r12vrr_stack+31267, NULL, NULL, r12vrr_stack+23413);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+32593, r12vrr_stack+32359, r12vrr_stack+31657, r12vrr_stack+23545, r12vrr_stack+31267, r12vrr_stack+23743);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+23623, r12vrr_stack+4216, r12vrr_stack+17526, r12vrr_stack+7420, r12vrr_stack+12117, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+23701, r12vrr_stack+31345, r12vrr_stack+23623, NULL, NULL, r12vrr_stack+4216);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33061, r12vrr_stack+31423, r12vrr_stack+23701, r12vrr_stack+17592, r12vrr_stack+31345, r12vrr_stack+17143);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33529, r12vrr_stack+31891, r12vrr_stack+33061, r12vrr_stack+31657, r12vrr_stack+31423, r12vrr_stack+24931);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+34309, r12vrr_stack+32593, r12vrr_stack+31891, r12vrr_stack+32359, r12vrr_stack+31657, r12vrr_stack+23941);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35089, r12vrr_stack+34309, r12vrr_stack+33529, r12vrr_stack+32593, r12vrr_stack+31891, r12vrr_stack+25327);
 tmp = r12vrr_stack + 35089;
 target_ptr = Libr12->gvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+4282, r12vrr_stack+518, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+4285, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+4282, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+114, r12vrr_stack+4609, r12vrr_stack+39, r12vrr_stack+4306, r12vrr_stack+4285, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+4291, r12vrr_stack+114, r12vrr_stack+7475, r12vrr_stack+4609, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+17341, r12vrr_stack+758, r12vrr_stack+129, r12vrr_stack+4291, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23935, r12vrr_stack+17362, r12vrr_stack+779, r12vrr_stack+12032, r12vrr_stack+17341, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23971, r12vrr_stack+17390, r12vrr_stack+23935, r12vrr_stack+12053, r12vrr_stack+17362, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24016, r12vrr_stack+17426, r12vrr_stack+23971, r12vrr_stack+12081, r12vrr_stack+17390, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12032, r12vrr_stack+17471, r12vrr_stack+24016, r12vrr_stack+4564, r12vrr_stack+17426, NULL);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24071, r12vrr_stack+17526, r12vrr_stack+12032, r12vrr_stack+12117, r12vrr_stack+17471, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36259, r12vrr_stack+23623, r12vrr_stack+24071, NULL, NULL, r12vrr_stack+17526);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36493, r12vrr_stack+23701, r12vrr_stack+36259, r12vrr_stack+31345, r12vrr_stack+23623, r12vrr_stack+27637);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36961, r12vrr_stack+33061, r12vrr_stack+36493, r12vrr_stack+31423, r12vrr_stack+23701, r12vrr_stack+27835);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37741, r12vrr_stack+33529, r12vrr_stack+36961, r12vrr_stack+31891, r12vrr_stack+33061, r12vrr_stack+28231);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38911, r12vrr_stack+35089, r12vrr_stack+37741, r12vrr_stack+34309, r12vrr_stack+33529, r12vrr_stack+28891);
 tmp = r12vrr_stack + 38911;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24149, r12vrr_stack+17592, r12vrr_stack+31345, r12vrr_stack+23347, r12vrr_stack+23479, NULL);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24240, r12vrr_stack+31267, r12vrr_stack+17592, r12vrr_stack+23413, r12vrr_stack+23347, NULL);

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+40549, r12vrr_stack+31345, r12vrr_stack+23623, r12vrr_stack+23479, r12vrr_stack+4216, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+40640, r12vrr_stack+24149, r12vrr_stack+40549, NULL, NULL, r12vrr_stack+31345);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+40913, r12vrr_stack+24240, r12vrr_stack+24149, NULL, NULL, r12vrr_stack+17592);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+41186, r12vrr_stack+40913, r12vrr_stack+40640, r12vrr_stack+24240, r12vrr_stack+24149, r12vrr_stack+31423);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31423, r12vrr_stack+23545, r12vrr_stack+31267, r12vrr_stack+17077, r12vrr_stack+23413, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+41732, r12vrr_stack+31423, r12vrr_stack+24240, NULL, NULL, r12vrr_stack+31267);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+42005, r12vrr_stack+41732, r12vrr_stack+40913, r12vrr_stack+31423, r12vrr_stack+24240, r12vrr_stack+31657);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31514, r12vrr_stack+23623, r12vrr_stack+24071, r12vrr_stack+4216, r12vrr_stack+17526, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31605, r12vrr_stack+40549, r12vrr_stack+31514, NULL, NULL, r12vrr_stack+23623);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+42551, r12vrr_stack+40640, r12vrr_stack+31605, r12vrr_stack+24149, r12vrr_stack+40549, r12vrr_stack+23701);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+43097, r12vrr_stack+41186, r12vrr_stack+42551, r12vrr_stack+40913, r12vrr_stack+40640, r12vrr_stack+33061);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+44007, r12vrr_stack+42005, r12vrr_stack+41186, r12vrr_stack+41732, r12vrr_stack+40913, r12vrr_stack+31891);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+44917, r12vrr_stack+44007, r12vrr_stack+43097, r12vrr_stack+42005, r12vrr_stack+41186, r12vrr_stack+33529);
 tmp = r12vrr_stack + 44917;
 target_ptr = Libr12->gvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4306, r12vrr_stack+518, r12vrr_stack+49, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+31878, r12vrr_stack+15, r12vrr_stack+4306, r12vrr_stack+4282, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+129, r12vrr_stack+39, r12vrr_stack+31878, r12vrr_stack+4285, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31888, r12vrr_stack+114, r12vrr_stack+129, r12vrr_stack+4609, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31909, r12vrr_stack+758, r12vrr_stack+31888, r12vrr_stack+4291, r12vrr_stack+114, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31937, r12vrr_stack+779, r12vrr_stack+31909, r12vrr_stack+17341, r12vrr_stack+758, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31973, r12vrr_stack+23935, r12vrr_stack+31937, r12vrr_stack+17362, r12vrr_stack+779, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32018, r12vrr_stack+23971, r12vrr_stack+31973, r12vrr_stack+17390, r12vrr_stack+23935, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17341, r12vrr_stack+24016, r12vrr_stack+32018, r12vrr_stack+17426, r12vrr_stack+23971, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+32073, r12vrr_stack+12032, r12vrr_stack+17341, r12vrr_stack+17471, r12vrr_stack+24016, NULL);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+32151, r12vrr_stack+24071, r12vrr_stack+32073, r12vrr_stack+17526, r12vrr_stack+12032, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+46282, r12vrr_stack+31514, r12vrr_stack+32151, NULL, NULL, r12vrr_stack+24071);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+46555, r12vrr_stack+31605, r12vrr_stack+46282, r12vrr_stack+40549, r12vrr_stack+31514, r12vrr_stack+36259);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+47101, r12vrr_stack+42551, r12vrr_stack+46555, r12vrr_stack+40640, r12vrr_stack+31605, r12vrr_stack+36493);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+48011, r12vrr_stack+43097, r12vrr_stack+47101, r12vrr_stack+41186, r12vrr_stack+42551, r12vrr_stack+36961);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+49376, r12vrr_stack+44917, r12vrr_stack+48011, r12vrr_stack+44007, r12vrr_stack+43097, r12vrr_stack+37741);
 tmp = r12vrr_stack + 49376;
 target_ptr = Libr12->gvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+32242, r12vrr_stack+24149, r12vrr_stack+40549, r12vrr_stack+17592, r12vrr_stack+31345, NULL);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+23347, r12vrr_stack+24240, r12vrr_stack+24149, r12vrr_stack+31267, r12vrr_stack+17592, NULL);

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+17592, r12vrr_stack+40549, r12vrr_stack+31514, r12vrr_stack+31345, r12vrr_stack+23623, NULL);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51287, r12vrr_stack+32242, r12vrr_stack+17592, NULL, NULL, r12vrr_stack+40549);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51602, r12vrr_stack+23347, r12vrr_stack+32242, NULL, NULL, r12vrr_stack+24149);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51917, r12vrr_stack+51602, r12vrr_stack+51287, r12vrr_stack+23347, r12vrr_stack+32242, r12vrr_stack+40640);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+40549, r12vrr_stack+31423, r12vrr_stack+24240, r12vrr_stack+23545, r12vrr_stack+31267, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52547, r12vrr_stack+40549, r12vrr_stack+23347, NULL, NULL, r12vrr_stack+24240);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52862, r12vrr_stack+52547, r12vrr_stack+51602, r12vrr_stack+40549, r12vrr_stack+23347, r12vrr_stack+40913);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+23347, r12vrr_stack+31514, r12vrr_stack+32151, r12vrr_stack+23623, r12vrr_stack+24071, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+40549, r12vrr_stack+17592, r12vrr_stack+23347, NULL, NULL, r12vrr_stack+31514);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+53492, r12vrr_stack+51287, r12vrr_stack+40549, r12vrr_stack+32242, r12vrr_stack+17592, r12vrr_stack+31605);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+54122, r12vrr_stack+51917, r12vrr_stack+53492, r12vrr_stack+51602, r12vrr_stack+51287, r12vrr_stack+42551);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+55172, r12vrr_stack+52862, r12vrr_stack+51917, r12vrr_stack+52547, r12vrr_stack+51602, r12vrr_stack+41186);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+56222, r12vrr_stack+55172, r12vrr_stack+54122, r12vrr_stack+52862, r12vrr_stack+51917, r12vrr_stack+43097);
 tmp = r12vrr_stack + 56222;
 target_ptr = Libr12->gvrr_classes[4][13];
 for(i=0;i<1575;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+51602, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+51605, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51614, r12vrr_stack+347, r12vrr_stack+51605, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+51602);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+51632, r12vrr_stack+68, r12vrr_stack+52, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+51650, r12vrr_stack+279, r12vrr_stack+51632, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+51605);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1013, r12vrr_stack+2253, r12vrr_stack+51650, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+51614);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+51602, r12vrr_stack+358, r12vrr_stack+322, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+51686, r12vrr_stack+2289, r12vrr_stack+51602, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+51632);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+51746, r12vrr_stack+2319, r12vrr_stack+51686, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+51650);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+52547, r12vrr_stack+2379, r12vrr_stack+51746, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+1013);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1013, r12vrr_stack+332, r12vrr_stack+521, NULL, NULL, r12vrr_stack+322);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2253, r12vrr_stack+2479, r12vrr_stack+1013, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+51602);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+52697, r12vrr_stack+2524, r12vrr_stack+2253, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+51686);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+52847, r12vrr_stack+2614, r12vrr_stack+52697, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+51746);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+51602, r12vrr_stack+2764, r12vrr_stack+52847, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+52547);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+52547, r12vrr_stack+536, r12vrr_stack+880, NULL, NULL, r12vrr_stack+521);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2343, r12vrr_stack+2989, r12vrr_stack+52547, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+1013);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+521, r12vrr_stack+3052, r12vrr_stack+2343, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+2253);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2469, r12vrr_stack+3178, r12vrr_stack+521, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+52697);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+40864, r12vrr_stack+3388, r12vrr_stack+2469, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+52847);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+52610, r12vrr_stack+3703, r12vrr_stack+40864, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+51602);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+51602, r12vrr_stack+901, r12vrr_stack+4619, NULL, NULL, r12vrr_stack+880);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+51686, r12vrr_stack+929, r12vrr_stack+51602, r12vrr_stack+204, r12vrr_stack+901, r12vrr_stack+52547);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+5544, r12vrr_stack+51686, r12vrr_stack+4312, r12vrr_stack+929, r12vrr_stack+2343);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2784, r12vrr_stack+5712, r12vrr_stack+1308, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+521);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+57797, r12vrr_stack+5992, r12vrr_stack+2784, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+2469);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+58385, r12vrr_stack+6832, r12vrr_stack+57797, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+40864);
 tmp = r12vrr_stack + 58385;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+40864, r12vrr_stack+4647, r12vrr_stack+7631, NULL, NULL, r12vrr_stack+4619);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+40972, r12vrr_stack+9832, r12vrr_stack+40864, r12vrr_stack+4180, r12vrr_stack+4647, r12vrr_stack+51602);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+41188, r12vrr_stack+9940, r12vrr_stack+40972, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+51686);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+10156, r12vrr_stack+41188, r12vrr_stack+8356, r12vrr_stack+9940, r12vrr_stack+1308);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+59169, r12vrr_stack+10516, r12vrr_stack+5544, r12vrr_stack+8572, r12vrr_stack+10156, r12vrr_stack+2784);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+11056, r12vrr_stack+59169, r12vrr_stack+9292, r12vrr_stack+10516, r12vrr_stack+57797);
 tmp = r12vrr_stack + 2253;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+57797, r12vrr_stack+7667, r12vrr_stack+4564, NULL, NULL, r12vrr_stack+7631);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+57932, r12vrr_stack+7712, r12vrr_stack+57797, r12vrr_stack+7537, r12vrr_stack+7667, r12vrr_stack+40864);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9832, r12vrr_stack+14737, r12vrr_stack+57932, r12vrr_stack+12757, r12vrr_stack+7712, r12vrr_stack+40972);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10282, r12vrr_stack+15007, r12vrr_stack+9832, r12vrr_stack+12892, r12vrr_stack+14737, r12vrr_stack+41188);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+59925, r12vrr_stack+15457, r12vrr_stack+10282, r12vrr_stack+13162, r12vrr_stack+15007, r12vrr_stack+5544);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+60870, r12vrr_stack+16132, r12vrr_stack+59925, r12vrr_stack+14062, r12vrr_stack+15457, r12vrr_stack+59169);
 tmp = r12vrr_stack + 60870;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+59169, r12vrr_stack+12117, r12vrr_stack+17471, NULL, NULL, r12vrr_stack+4564);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+59334, r12vrr_stack+12172, r12vrr_stack+59169, r12vrr_stack+7420, r12vrr_stack+12117, r12vrr_stack+57797);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+20487, r12vrr_stack+59334, r12vrr_stack+11867, r12vrr_stack+12172, r12vrr_stack+57932);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14737, r12vrr_stack+20817, r12vrr_stack+5544, r12vrr_stack+18232, r12vrr_stack+20487, r12vrr_stack+9832);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+62130, r12vrr_stack+21367, r12vrr_stack+14737, r12vrr_stack+18562, r12vrr_stack+20817, r12vrr_stack+10282);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+63285, r12vrr_stack+22192, r12vrr_stack+62130, r12vrr_stack+19662, r12vrr_stack+21367, r12vrr_stack+59925);
 tmp = r12vrr_stack + 63285;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+9832, r12vrr_stack+17526, r12vrr_stack+12032, NULL, NULL, r12vrr_stack+17471);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+10030, r12vrr_stack+27637, r12vrr_stack+9832, r12vrr_stack+4216, r12vrr_stack+17526, r12vrr_stack+59169);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20487, r12vrr_stack+27835, r12vrr_stack+10030, r12vrr_stack+17143, r12vrr_stack+27637, r12vrr_stack+59334);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59169, r12vrr_stack+28231, r12vrr_stack+20487, r12vrr_stack+24931, r12vrr_stack+27835, r12vrr_stack+5544);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+64825, r12vrr_stack+28891, r12vrr_stack+59169, r12vrr_stack+25327, r12vrr_stack+28231, r12vrr_stack+14737);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+66211, r12vrr_stack+29881, r12vrr_stack+64825, r12vrr_stack+26647, r12vrr_stack+28891, r12vrr_stack+62130);
 tmp = r12vrr_stack + 66211;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+62130, r12vrr_stack+24071, r12vrr_stack+32073, NULL, NULL, r12vrr_stack+12032);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+62364, r12vrr_stack+36259, r12vrr_stack+62130, r12vrr_stack+23623, r12vrr_stack+24071, r12vrr_stack+9832);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14737, r12vrr_stack+36493, r12vrr_stack+62364, r12vrr_stack+23701, r12vrr_stack+36259, r12vrr_stack+10030);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9832, r12vrr_stack+36961, r12vrr_stack+14737, r12vrr_stack+33061, r12vrr_stack+36493, r12vrr_stack+20487);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20487, r12vrr_stack+37741, r12vrr_stack+9832, r12vrr_stack+33529, r12vrr_stack+36961, r12vrr_stack+59169);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+27637, r12vrr_stack+38911, r12vrr_stack+20487, r12vrr_stack+35089, r12vrr_stack+37741, r12vrr_stack+64825);
 tmp = r12vrr_stack + 27637;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+64825, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+64825, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+64825, r12vrr_stack+4306, r12vrr_stack+52, r12vrr_stack+518, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+31878, r12vrr_stack+64825, r12vrr_stack+15, r12vrr_stack+4306, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+129, r12vrr_stack+0, r12vrr_stack+39, r12vrr_stack+31878, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+64825, r12vrr_stack+31888, r12vrr_stack+15, r12vrr_stack+114, r12vrr_stack+129, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+31909, r12vrr_stack+64825, r12vrr_stack+758, r12vrr_stack+31888, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+64825, r12vrr_stack+31937, r12vrr_stack+0, r12vrr_stack+779, r12vrr_stack+31909, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+31973, r12vrr_stack+64825, r12vrr_stack+23935, r12vrr_stack+31937, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+64825, r12vrr_stack+32018, r12vrr_stack+0, r12vrr_stack+23971, r12vrr_stack+31973, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+64891, r12vrr_stack+17341, r12vrr_stack+64825, r12vrr_stack+24016, r12vrr_stack+32018, NULL);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+64969, r12vrr_stack+32073, r12vrr_stack+64891, r12vrr_stack+12032, r12vrr_stack+17341, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+65060, r12vrr_stack+32151, r12vrr_stack+64969, NULL, NULL, r12vrr_stack+32073);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+65333, r12vrr_stack+46282, r12vrr_stack+65060, r12vrr_stack+31514, r12vrr_stack+32151, r12vrr_stack+62130);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+59169, r12vrr_stack+46555, r12vrr_stack+65333, r12vrr_stack+31605, r12vrr_stack+46282, r12vrr_stack+62364);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+36259, r12vrr_stack+47101, r12vrr_stack+59169, r12vrr_stack+42551, r12vrr_stack+46555, r12vrr_stack+14737);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+68059, r12vrr_stack+48011, r12vrr_stack+36259, r12vrr_stack+43097, r12vrr_stack+47101, r12vrr_stack+9832);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+36259, r12vrr_stack+49376, r12vrr_stack+68059, r12vrr_stack+44917, r12vrr_stack+48011, r12vrr_stack+20487);

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+20487, r12vrr_stack+32151, r12vrr_stack+64969, r12vrr_stack+24071, r12vrr_stack+32073, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51602, r12vrr_stack+23347, r12vrr_stack+20487, NULL, NULL, r12vrr_stack+32151);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+20487, r12vrr_stack+40549, r12vrr_stack+51602, r12vrr_stack+17592, r12vrr_stack+23347, r12vrr_stack+46282);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+21117, r12vrr_stack+53492, r12vrr_stack+20487, r12vrr_stack+51287, r12vrr_stack+40549, r12vrr_stack+46555);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+68059, r12vrr_stack+54122, r12vrr_stack+21117, r12vrr_stack+51917, r12vrr_stack+53492, r12vrr_stack+47101);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+69634, r12vrr_stack+56222, r12vrr_stack+68059, r12vrr_stack+55172, r12vrr_stack+54122, r12vrr_stack+48011);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+68059, &(Data->ss_r12_ss), NULL, r12vrr_stack+58, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+68062, r12vrr_stack+68059, &(Data->ss_r12_ss), r12vrr_stack+61, r12vrr_stack+58, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+68068, r12vrr_stack+68062, r12vrr_stack+68059, r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+58, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+68078, r12vrr_stack+68068, r12vrr_stack+68062, r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+61, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+68093, r12vrr_stack+68078, r12vrr_stack+68068, r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+1073, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+68114, r12vrr_stack+68093, r12vrr_stack+68078, r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+1083, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+68142, r12vrr_stack+68114, NULL, r12vrr_stack+5012, r12vrr_stack+821, NULL, r12vrr_stack+1098);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+68226, r12vrr_stack+68142, r12vrr_stack+68114, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+1119);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+68394, r12vrr_stack+68226, r12vrr_stack+68142, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+1182);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+1119, r12vrr_stack+68394, r12vrr_stack+68226, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+1728);
 tmp = r12vrr_stack + 1119;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+68142, r12vrr_stack+68114, r12vrr_stack+68093, r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+1098, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+68178, r12vrr_stack+68142, NULL, r12vrr_stack+7924, r12vrr_stack+4144, NULL, r12vrr_stack+821);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+1539, r12vrr_stack+68178, r12vrr_stack+68142, r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+5012);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+68674, r12vrr_stack+1539, r12vrr_stack+68178, r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+5096);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+69034, r12vrr_stack+68674, r12vrr_stack+1539, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+5264);
 tmp = r12vrr_stack + 69034;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+1539, r12vrr_stack+68142, r12vrr_stack+68114, r12vrr_stack+7492, r12vrr_stack+4144, r12vrr_stack+821, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+1584, r12vrr_stack+1539, NULL, r12vrr_stack+12352, r12vrr_stack+7492, NULL, r12vrr_stack+4144);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+40549, r12vrr_stack+1584, r12vrr_stack+1539, r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+7492, r12vrr_stack+7924);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+40819, r12vrr_stack+40549, r12vrr_stack+1584, r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+12352, r12vrr_stack+8032);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+51287, r12vrr_stack+40819, r12vrr_stack+40549, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+12487, r12vrr_stack+8932);
 tmp = r12vrr_stack + 51287;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+40549, r12vrr_stack+1539, r12vrr_stack+68142, r12vrr_stack+11812, r12vrr_stack+7492, r12vrr_stack+4144, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+40549, NULL, r12vrr_stack+17737, r12vrr_stack+11812, NULL, r12vrr_stack+7492);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4309, r12vrr_stack+4144, r12vrr_stack+40549, r12vrr_stack+17902, r12vrr_stack+17737, r12vrr_stack+11812, r12vrr_stack+12352);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4639, r12vrr_stack+4309, r12vrr_stack+4144, r12vrr_stack+19112, r12vrr_stack+17902, r12vrr_stack+17737, r12vrr_stack+12487);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+20487, r12vrr_stack+4639, r12vrr_stack+4309, r12vrr_stack+19662, r12vrr_stack+19112, r12vrr_stack+17902, r12vrr_stack+13612);
 tmp = r12vrr_stack + 20487;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+40549, r12vrr_stack+1539, r12vrr_stack+17077, r12vrr_stack+11812, r12vrr_stack+7492, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23347, r12vrr_stack+4144, NULL, r12vrr_stack+24337, r12vrr_stack+17077, NULL, r12vrr_stack+11812);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1539, r12vrr_stack+23347, r12vrr_stack+4144, r12vrr_stack+24535, r12vrr_stack+24337, r12vrr_stack+17077, r12vrr_stack+17737);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+21312, r12vrr_stack+1539, r12vrr_stack+23347, r12vrr_stack+25987, r12vrr_stack+24535, r12vrr_stack+24337, r12vrr_stack+17902);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+46282, r12vrr_stack+21312, r12vrr_stack+1539, r12vrr_stack+26647, r12vrr_stack+25987, r12vrr_stack+24535, r12vrr_stack+19112);
 tmp = r12vrr_stack + 46282;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1539, r12vrr_stack+4144, r12vrr_stack+40549, r12vrr_stack+23545, r12vrr_stack+17077, r12vrr_stack+11812, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+1539, NULL, r12vrr_stack+32359, r12vrr_stack+23545, NULL, r12vrr_stack+17077);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12046, r12vrr_stack+11812, r12vrr_stack+1539, r12vrr_stack+32593, r12vrr_stack+32359, r12vrr_stack+23545, r12vrr_stack+24337);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12514, r12vrr_stack+12046, r12vrr_stack+11812, r12vrr_stack+34309, r12vrr_stack+32593, r12vrr_stack+32359, r12vrr_stack+24535);

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+47272, r12vrr_stack+12514, r12vrr_stack+12046, r12vrr_stack+35089, r12vrr_stack+34309, r12vrr_stack+32593, r12vrr_stack+25987);
 tmp = r12vrr_stack + 47272;
 target_ptr = Libr12->rvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+1539, r12vrr_stack+4144, r12vrr_stack+31423, r12vrr_stack+23545, r12vrr_stack+17077, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17077, r12vrr_stack+11812, NULL, r12vrr_stack+41732, r12vrr_stack+31423, NULL, r12vrr_stack+23545);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17350, r12vrr_stack+17077, r12vrr_stack+11812, r12vrr_stack+42005, r12vrr_stack+41732, r12vrr_stack+31423, r12vrr_stack+32359);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+17896, r12vrr_stack+17350, r12vrr_stack+17077, r12vrr_stack+44007, r12vrr_stack+42005, r12vrr_stack+41732, r12vrr_stack+32593);

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23347, r12vrr_stack+17896, r12vrr_stack+17350, r12vrr_stack+44917, r12vrr_stack+44007, r12vrr_stack+42005, r12vrr_stack+34309);
 tmp = r12vrr_stack + 23347;
 target_ptr = Libr12->rvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17077, r12vrr_stack+6412, r12vrr_stack+9292, r12vrr_stack+6832, r12vrr_stack+3703, r12vrr_stack+1938);
 tmp = r12vrr_stack + 17077;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11812, r12vrr_stack+9292, r12vrr_stack+14062, r12vrr_stack+11056, r12vrr_stack+6832, r12vrr_stack+6412);
 tmp = r12vrr_stack + 11812;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24712, r12vrr_stack+14062, r12vrr_stack+19662, r12vrr_stack+16132, r12vrr_stack+11056, r12vrr_stack+9292);
 tmp = r12vrr_stack + 24712;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+41269, r12vrr_stack+19662, r12vrr_stack+26647, r12vrr_stack+22192, r12vrr_stack+16132, r12vrr_stack+14062);
 tmp = r12vrr_stack + 41269;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+42094, r12vrr_stack+26647, r12vrr_stack+35089, r12vrr_stack+29881, r12vrr_stack+22192, r12vrr_stack+19662);
 tmp = r12vrr_stack + 42094;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9832, r12vrr_stack+35089, r12vrr_stack+44917, r12vrr_stack+38911, r12vrr_stack+29881, r12vrr_stack+26647);
 tmp = r12vrr_stack + 9832;
 target_ptr = Libr12->t2vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14737, r12vrr_stack+44917, r12vrr_stack+56222, r12vrr_stack+49376, r12vrr_stack+38911, r12vrr_stack+35089);
 tmp = r12vrr_stack + 14737;
 target_ptr = Libr12->t2vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+57797, r12vrr_stack+6832, r12vrr_stack+11056, r12vrr_stack+58385, r12vrr_stack+52610, r12vrr_stack+3703);
 tmp = r12vrr_stack + 57797;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+43084, r12vrr_stack+11056, r12vrr_stack+16132, r12vrr_stack+2253, r12vrr_stack+58385, r12vrr_stack+6832);
 tmp = r12vrr_stack + 43084;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+51962, r12vrr_stack+16132, r12vrr_stack+22192, r12vrr_stack+60870, r12vrr_stack+2253, r12vrr_stack+11056);
 tmp = r12vrr_stack + 51962;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+62130, r12vrr_stack+22192, r12vrr_stack+29881, r12vrr_stack+63285, r12vrr_stack+60870, r12vrr_stack+16132);
 tmp = r12vrr_stack + 62130;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+64825, r12vrr_stack+29881, r12vrr_stack+38911, r12vrr_stack+66211, r12vrr_stack+63285, r12vrr_stack+22192);
 tmp = r12vrr_stack + 64825;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+52907, r12vrr_stack+38911, r12vrr_stack+49376, r12vrr_stack+27637, r12vrr_stack+66211, r12vrr_stack+29881);
 tmp = r12vrr_stack + 52907;
 target_ptr = Libr12->t2vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+31267, r12vrr_stack+49376, r12vrr_stack+69634, r12vrr_stack+36259, r12vrr_stack+27637, r12vrr_stack+38911);
 tmp = r12vrr_stack + 31267;
 target_ptr = Libr12->t2vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25387, r12vrr_stack+6412, r12vrr_stack+6832, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+5264);
 tmp = r12vrr_stack + 25387;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+54545, r12vrr_stack+9292, r12vrr_stack+11056, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+8932);
 tmp = r12vrr_stack + 54545;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+48442, r12vrr_stack+14062, r12vrr_stack+16132, r12vrr_stack+19662, r12vrr_stack+19112, r12vrr_stack+13612);
 tmp = r12vrr_stack + 48442;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+59169, r12vrr_stack+19662, r12vrr_stack+22192, r12vrr_stack+26647, r12vrr_stack+25987, r12vrr_stack+19112);
 tmp = r12vrr_stack + 59169;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+26647, r12vrr_stack+29881, r12vrr_stack+35089, r12vrr_stack+34309, r12vrr_stack+25987);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7420, r12vrr_stack+35089, r12vrr_stack+38911, r12vrr_stack+44917, r12vrr_stack+44007, r12vrr_stack+34309);
 tmp = r12vrr_stack + 7420;
 target_ptr = Libr12->t1vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3261, r12vrr_stack+44917, r12vrr_stack+49376, r12vrr_stack+56222, r12vrr_stack+55172, r12vrr_stack+44007);
 tmp = r12vrr_stack + 3261;
 target_ptr = Libr12->t1vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+55085, r12vrr_stack+6832, r12vrr_stack+58385, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+6412);
 tmp = r12vrr_stack + 55085;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+58385, r12vrr_stack+11056, r12vrr_stack+2253, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+9292);
 tmp = r12vrr_stack + 58385;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2253, r12vrr_stack+16132, r12vrr_stack+60870, r12vrr_stack+22192, r12vrr_stack+19662, r12vrr_stack+14062);
 tmp = r12vrr_stack + 2253;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+59994, r12vrr_stack+22192, r12vrr_stack+63285, r12vrr_stack+29881, r12vrr_stack+26647, r12vrr_stack+19662);
 tmp = r12vrr_stack + 59994;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+63285, r12vrr_stack+29881, r12vrr_stack+66211, r12vrr_stack+38911, r12vrr_stack+35089, r12vrr_stack+26647);
 tmp = r12vrr_stack + 63285;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+66211, r12vrr_stack+38911, r12vrr_stack+27637, r12vrr_stack+49376, r12vrr_stack+44917, r12vrr_stack+35089);
 tmp = r12vrr_stack + 66211;
 target_ptr = Libr12->t1vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+27637, r12vrr_stack+49376, r12vrr_stack+36259, r12vrr_stack+69634, r12vrr_stack+56222, r12vrr_stack+44917);
 tmp = r12vrr_stack + 27637;
 target_ptr = Libr12->t1vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+36259, r12vrr_stack+1119, r12vrr_stack+68394, r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+1938);
 tmp = r12vrr_stack + 36259;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+36847, r12vrr_stack+69034, r12vrr_stack+68674, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+6412);
 tmp = r12vrr_stack + 36847;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+37603, r12vrr_stack+51287, r12vrr_stack+40819, r12vrr_stack+16132, r12vrr_stack+14062, r12vrr_stack+13612, r12vrr_stack+9292);
 tmp = r12vrr_stack + 37603;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+67849, r12vrr_stack+20487, r12vrr_stack+4639, r12vrr_stack+22192, r12vrr_stack+19662, r12vrr_stack+19112, r12vrr_stack+14062);
 tmp = r12vrr_stack + 67849;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+69004, r12vrr_stack+46282, r12vrr_stack+21312, r12vrr_stack+29881, r12vrr_stack+26647, r12vrr_stack+25987, r12vrr_stack+19662);
 tmp = r12vrr_stack + 69004;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+29548, r12vrr_stack+47272, r12vrr_stack+12514, r12vrr_stack+38911, r12vrr_stack+35089, r12vrr_stack+34309, r12vrr_stack+26647);
 tmp = r12vrr_stack + 29548;
 target_ptr = Libr12->rvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+33178, r12vrr_stack+23347, r12vrr_stack+17896, r12vrr_stack+49376, r12vrr_stack+44917, r12vrr_stack+44007, r12vrr_stack+35089);
 tmp = r12vrr_stack + 33178;
 target_ptr = Libr12->rvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];


}

