#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_gpip(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+6, NULL, NULL, r12vrr_stack+0);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+12, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+58, r12vrr_stack+52, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+12, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+68, r12vrr_stack+3, r12vrr_stack+12, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+74, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+84, r12vrr_stack+39, r12vrr_stack+74, NULL, NULL, r12vrr_stack+6);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+58, r12vrr_stack+39, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+144, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+21);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+204, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219, r12vrr_stack+58, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+234, r12vrr_stack+219, r12vrr_stack+204, NULL, NULL, r12vrr_stack+39);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+279, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+282, r12vrr_stack+279, r12vrr_stack+49, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+288, r12vrr_stack+282, r12vrr_stack+52, r12vrr_stack+279, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+288, r12vrr_stack+58, r12vrr_stack+282, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+219, NULL, NULL, r12vrr_stack+58);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+12, r12vrr_stack+49, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+358, r12vrr_stack+68, r12vrr_stack+52, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+368, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+6, r12vrr_stack+68, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+383, r12vrr_stack+204, r12vrr_stack+368, NULL, NULL, r12vrr_stack+74);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+428, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+84);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+518, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+114);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+608, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+313, r12vrr_stack+234, r12vrr_stack+144);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+758, r12vrr_stack+219, r12vrr_stack+204, r12vrr_stack+58, r12vrr_stack+39, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+298, r12vrr_stack+219, r12vrr_stack+288, r12vrr_stack+58, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+800, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+39, r12vrr_stack+74, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+758, r12vrr_stack+800, NULL, NULL, r12vrr_stack+204);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+884, r12vrr_stack+779, r12vrr_stack+758, NULL, NULL, r12vrr_stack+219);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+947, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+234);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+58, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+61, r12vrr_stack+58, r12vrr_stack+279, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+282, r12vrr_stack+58, r12vrr_stack+279, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+288, r12vrr_stack+61, r12vrr_stack+282, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+298, r12vrr_stack+1073, r12vrr_stack+288, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1119, r12vrr_stack+1098, r12vrr_stack+779, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1182, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+313);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+313, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+316, r12vrr_stack+49, r12vrr_stack+313, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+322, r12vrr_stack+52, r12vrr_stack+316, r12vrr_stack+12, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+332, r12vrr_stack+358, r12vrr_stack+322, r12vrr_stack+68, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+74, r12vrr_stack+358, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1329, r12vrr_stack+800, r12vrr_stack+1308, NULL, NULL, r12vrr_stack+368);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1392, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+383);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1518, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+884, r12vrr_stack+821, r12vrr_stack+428);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1728, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+1119, r12vrr_stack+884, r12vrr_stack+518);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1938, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+1182, r12vrr_stack+947, r12vrr_stack+608);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+347, r12vrr_stack+0, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+279, r12vrr_stack+6, r12vrr_stack+68, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2253, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+347);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2289, r12vrr_stack+74, r12vrr_stack+358, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2319, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+39, r12vrr_stack+74, r12vrr_stack+279);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2379, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+114, r12vrr_stack+84, r12vrr_stack+2253);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2479, r12vrr_stack+368, r12vrr_stack+332, NULL, NULL, r12vrr_stack+358);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2524, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+204, r12vrr_stack+368, r12vrr_stack+2289);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2614, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+234, r12vrr_stack+383, r12vrr_stack+2319);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2764, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+518, r12vrr_stack+428, r12vrr_stack+2379);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+518, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+313, r12vrr_stack+518, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+39, r12vrr_stack+316, r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+313, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+521, r12vrr_stack+322, r12vrr_stack+39, r12vrr_stack+52, r12vrr_stack+316, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+536, r12vrr_stack+332, r12vrr_stack+521, r12vrr_stack+358, r12vrr_stack+322, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2989, r12vrr_stack+1308, r12vrr_stack+536, NULL, NULL, r12vrr_stack+332);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3052, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+2479);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3178, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+821, r12vrr_stack+1329, r12vrr_stack+2524);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3388, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+947, r12vrr_stack+1392, r12vrr_stack+2614);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3703, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+1728, r12vrr_stack+1518, r12vrr_stack+2764);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+557, r12vrr_stack+800, r12vrr_stack+1308, r12vrr_stack+204, r12vrr_stack+368, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+234, r12vrr_stack+758, r12vrr_stack+800, r12vrr_stack+219, r12vrr_stack+204, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+234, r12vrr_stack+557, NULL, NULL, r12vrr_stack+800);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+114, r12vrr_stack+779, r12vrr_stack+758, r12vrr_stack+298, r12vrr_stack+219, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4228, r12vrr_stack+114, r12vrr_stack+234, NULL, NULL, r12vrr_stack+758);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+204, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+368, r12vrr_stack+332, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4312, r12vrr_stack+557, r12vrr_stack+204, NULL, NULL, r12vrr_stack+1308);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4396, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+1329);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4564, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+821);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4732, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+4228, r12vrr_stack+4144, r12vrr_stack+1392);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+779, r12vrr_stack+1083, r12vrr_stack+298, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+114, NULL, NULL, r12vrr_stack+779);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+884);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+5012, r12vrr_stack+4228, r12vrr_stack+947);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+849, r12vrr_stack+518, r12vrr_stack+49, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+855, r12vrr_stack+15, r12vrr_stack+849, r12vrr_stack+313, r12vrr_stack+518, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+865, r12vrr_stack+39, r12vrr_stack+855, r12vrr_stack+316, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+880, r12vrr_stack+521, r12vrr_stack+865, r12vrr_stack+322, r12vrr_stack+39, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+901, r12vrr_stack+536, r12vrr_stack+880, r12vrr_stack+332, r12vrr_stack+521, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+929, r12vrr_stack+204, r12vrr_stack+901, NULL, NULL, r12vrr_stack+536);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+4312, r12vrr_stack+929, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+2989);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5712, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+4144, r12vrr_stack+4312, r12vrr_stack+3052);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5992, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+4564, r12vrr_stack+4396, r12vrr_stack+3178);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+5096, r12vrr_stack+4564, r12vrr_stack+1518);
 tmp = r12vrr_stack + 6412;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+5264, r12vrr_stack+4732, r12vrr_stack+3388);
 tmp = r12vrr_stack + 6832;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1013, r12vrr_stack+234, r12vrr_stack+557, r12vrr_stack+758, r12vrr_stack+800, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+114, r12vrr_stack+234, r12vrr_stack+779, r12vrr_stack+758, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7456, r12vrr_stack+557, r12vrr_stack+204, r12vrr_stack+800, r12vrr_stack+1308, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+1013, r12vrr_stack+7456, NULL, NULL, r12vrr_stack+557);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7600, r12vrr_stack+7420, r12vrr_stack+1013, NULL, NULL, r12vrr_stack+234);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7708, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+7420, r12vrr_stack+1013, r12vrr_stack+4144);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+114, r12vrr_stack+1098, r12vrr_stack+779, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+7420, NULL, NULL, r12vrr_stack+114);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+4228);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4180, r12vrr_stack+204, r12vrr_stack+901, r12vrr_stack+1308, r12vrr_stack+536, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8248, r12vrr_stack+7456, r12vrr_stack+4180, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8356, r12vrr_stack+7492, r12vrr_stack+8248, r12vrr_stack+1013, r12vrr_stack+7456, r12vrr_stack+4312);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8572, r12vrr_stack+7708, r12vrr_stack+8356, r12vrr_stack+7600, r12vrr_stack+7492, r12vrr_stack+4396);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+7924, r12vrr_stack+7600, r12vrr_stack+4564);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+8572, r12vrr_stack+8032, r12vrr_stack+7708, r12vrr_stack+4732);
 tmp = r12vrr_stack + 9292;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4564, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4567, r12vrr_stack+49, r12vrr_stack+4564, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4573, r12vrr_stack+849, r12vrr_stack+4567, r12vrr_stack+518, r12vrr_stack+49, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4583, r12vrr_stack+855, r12vrr_stack+4573, r12vrr_stack+15, r12vrr_stack+849, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4598, r12vrr_stack+865, r12vrr_stack+4583, r12vrr_stack+39, r12vrr_stack+855, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4619, r12vrr_stack+880, r12vrr_stack+4598, r12vrr_stack+521, r12vrr_stack+865, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4647, r12vrr_stack+901, r12vrr_stack+4619, r12vrr_stack+536, r12vrr_stack+880, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9832, r12vrr_stack+4180, r12vrr_stack+4647, NULL, NULL, r12vrr_stack+901);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9940, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+7456, r12vrr_stack+4180, r12vrr_stack+929);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10156, r12vrr_stack+8356, r12vrr_stack+9940, r12vrr_stack+7492, r12vrr_stack+8248, r12vrr_stack+5544);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10516, r12vrr_stack+8572, r12vrr_stack+10156, r12vrr_stack+7708, r12vrr_stack+8356, r12vrr_stack+5712);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+10516, r12vrr_stack+8932, r12vrr_stack+8572, r12vrr_stack+5992);
 tmp = r12vrr_stack + 11056;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4683, r12vrr_stack+1013, r12vrr_stack+7456, r12vrr_stack+234, r12vrr_stack+557, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4216, r12vrr_stack+7420, r12vrr_stack+1013, r12vrr_stack+114, r12vrr_stack+234, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4261, r12vrr_stack+7456, r12vrr_stack+4180, r12vrr_stack+557, r12vrr_stack+204, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+4683, r12vrr_stack+4261, NULL, NULL, r12vrr_stack+7456);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11947, r12vrr_stack+4216, r12vrr_stack+4683, NULL, NULL, r12vrr_stack+1013);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12082, r12vrr_stack+11947, r12vrr_stack+11812, r12vrr_stack+4216, r12vrr_stack+4683, r12vrr_stack+7492);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1013, r12vrr_stack+4144, r12vrr_stack+7420, r12vrr_stack+821, r12vrr_stack+114, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7456, r12vrr_stack+1013, r12vrr_stack+4216, NULL, NULL, r12vrr_stack+7420);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12352, r12vrr_stack+7456, r12vrr_stack+11947, r12vrr_stack+1013, r12vrr_stack+4216, r12vrr_stack+7600);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4216, r12vrr_stack+4180, r12vrr_stack+4647, r12vrr_stack+204, r12vrr_stack+901, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12622, r12vrr_stack+4261, r12vrr_stack+4216, NULL, NULL, r12vrr_stack+4180);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12757, r12vrr_stack+11812, r12vrr_stack+12622, r12vrr_stack+4683, r12vrr_stack+4261, r12vrr_stack+8248);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13027, r12vrr_stack+12082, r12vrr_stack+12757, r12vrr_stack+11947, r12vrr_stack+11812, r12vrr_stack+8356);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13477, r12vrr_stack+12352, r12vrr_stack+12082, r12vrr_stack+7456, r12vrr_stack+11947, r12vrr_stack+7708);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13927, r12vrr_stack+13477, r12vrr_stack+13027, r12vrr_stack+12352, r12vrr_stack+12082, r12vrr_stack+8572);
 tmp = r12vrr_stack + 13927;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+518, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12352, r12vrr_stack+3, r12vrr_stack+12, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+12361, r12vrr_stack+347, r12vrr_stack+12352, r12vrr_stack+0, r12vrr_stack+3, r12vrr_stack+518);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+12379, r12vrr_stack+68, r12vrr_stack+52, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+12397, r12vrr_stack+279, r12vrr_stack+12379, r12vrr_stack+6, r12vrr_stack+68, r12vrr_stack+12352);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1013, r12vrr_stack+2253, r12vrr_stack+12397, r12vrr_stack+21, r12vrr_stack+279, r12vrr_stack+12361);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+114, r12vrr_stack+358, r12vrr_stack+322, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+12433, r12vrr_stack+2289, r12vrr_stack+114, r12vrr_stack+74, r12vrr_stack+358, r12vrr_stack+12379);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+12493, r12vrr_stack+2319, r12vrr_stack+12433, r12vrr_stack+84, r12vrr_stack+2289, r12vrr_stack+12397);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+7420, r12vrr_stack+2379, r12vrr_stack+12493, r12vrr_stack+144, r12vrr_stack+2319, r12vrr_stack+1013);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1013, r12vrr_stack+332, r12vrr_stack+521, NULL, NULL, r12vrr_stack+322);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2253, r12vrr_stack+2479, r12vrr_stack+1013, r12vrr_stack+368, r12vrr_stack+332, r12vrr_stack+114);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7570, r12vrr_stack+2524, r12vrr_stack+2253, r12vrr_stack+383, r12vrr_stack+2479, r12vrr_stack+12433);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+14602, r12vrr_stack+2614, r12vrr_stack+7570, r12vrr_stack+428, r12vrr_stack+2524, r12vrr_stack+12493);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+14827, r12vrr_stack+2764, r12vrr_stack+14602, r12vrr_stack+608, r12vrr_stack+2614, r12vrr_stack+7420);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7420, r12vrr_stack+536, r12vrr_stack+880, NULL, NULL, r12vrr_stack+521);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2343, r12vrr_stack+2989, r12vrr_stack+7420, r12vrr_stack+1308, r12vrr_stack+536, r12vrr_stack+1013);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2469, r12vrr_stack+3052, r12vrr_stack+2343, r12vrr_stack+1329, r12vrr_stack+2989, r12vrr_stack+2253);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2679, r12vrr_stack+3178, r12vrr_stack+2469, r12vrr_stack+1392, r12vrr_stack+3052, r12vrr_stack+7570);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7483, r12vrr_stack+3388, r12vrr_stack+2679, r12vrr_stack+1518, r12vrr_stack+3178, r12vrr_stack+14602);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+232, r12vrr_stack+3703, r12vrr_stack+7483, r12vrr_stack+1938, r12vrr_stack+3388, r12vrr_stack+14827);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14602, r12vrr_stack+901, r12vrr_stack+4619, NULL, NULL, r12vrr_stack+880);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14686, r12vrr_stack+929, r12vrr_stack+14602, r12vrr_stack+204, r12vrr_stack+901, r12vrr_stack+7420);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14854, r12vrr_stack+5544, r12vrr_stack+14686, r12vrr_stack+4312, r12vrr_stack+929, r12vrr_stack+2343);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1308, r12vrr_stack+5712, r12vrr_stack+14854, r12vrr_stack+4396, r12vrr_stack+5544, r12vrr_stack+2469);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15134, r12vrr_stack+5992, r12vrr_stack+1308, r12vrr_stack+4732, r12vrr_stack+5712, r12vrr_stack+2679);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2253, r12vrr_stack+6832, r12vrr_stack+15134, r12vrr_stack+6412, r12vrr_stack+5992, r12vrr_stack+7483);
 tmp = r12vrr_stack + 2253;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+5544, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+4564, r12vrr_stack+5544, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5544, r12vrr_stack+4567, r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+4564, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5554, r12vrr_stack+4573, r12vrr_stack+5544, r12vrr_stack+849, r12vrr_stack+4567, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5569, r12vrr_stack+4583, r12vrr_stack+5554, r12vrr_stack+855, r12vrr_stack+4573, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5590, r12vrr_stack+4598, r12vrr_stack+5569, r12vrr_stack+865, r12vrr_stack+4583, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+4619, r12vrr_stack+5590, r12vrr_stack+880, r12vrr_stack+4598, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5580, r12vrr_stack+4647, r12vrr_stack+5544, NULL, NULL, r12vrr_stack+4619);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5688, r12vrr_stack+9832, r12vrr_stack+5580, r12vrr_stack+4180, r12vrr_stack+4647, r12vrr_stack+14602);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5904, r12vrr_stack+9940, r12vrr_stack+5688, r12vrr_stack+8248, r12vrr_stack+9832, r12vrr_stack+14686);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3037, r12vrr_stack+10156, r12vrr_stack+5904, r12vrr_stack+8356, r12vrr_stack+9940, r12vrr_stack+14854);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5580, r12vrr_stack+10516, r12vrr_stack+3037, r12vrr_stack+8572, r12vrr_stack+10156, r12vrr_stack+1308);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15722, r12vrr_stack+11056, r12vrr_stack+5580, r12vrr_stack+9292, r12vrr_stack+10516, r12vrr_stack+15134);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5580, r12vrr_stack+4647, r12vrr_stack+5544, r12vrr_stack+901, r12vrr_stack+4619, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11947, r12vrr_stack+4216, r12vrr_stack+5580, NULL, NULL, r12vrr_stack+4647);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12352, r12vrr_stack+12622, r12vrr_stack+11947, r12vrr_stack+4261, r12vrr_stack+4216, r12vrr_stack+9832);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5544, r12vrr_stack+12757, r12vrr_stack+12352, r12vrr_stack+11812, r12vrr_stack+12622, r12vrr_stack+9940);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8248, r12vrr_stack+13027, r12vrr_stack+5544, r12vrr_stack+12082, r12vrr_stack+12757, r12vrr_stack+10156);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11812, r12vrr_stack+13927, r12vrr_stack+8248, r12vrr_stack+13477, r12vrr_stack+13027, r12vrr_stack+10516);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+8248, &(Data->ss_r12_ss), NULL, r12vrr_stack+58, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+8251, r12vrr_stack+8248, &(Data->ss_r12_ss), r12vrr_stack+61, r12vrr_stack+58, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+8257, r12vrr_stack+8251, r12vrr_stack+8248, r12vrr_stack+1073, r12vrr_stack+61, r12vrr_stack+58, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+8267, r12vrr_stack+8257, r12vrr_stack+8251, r12vrr_stack+1083, r12vrr_stack+1073, r12vrr_stack+61, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+8282, r12vrr_stack+8267, r12vrr_stack+8257, r12vrr_stack+1098, r12vrr_stack+1083, r12vrr_stack+1073, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+8303, r12vrr_stack+8282, r12vrr_stack+8267, r12vrr_stack+821, r12vrr_stack+1098, r12vrr_stack+1083, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+8331, r12vrr_stack+8303, NULL, r12vrr_stack+5012, r12vrr_stack+821, NULL, r12vrr_stack+1098);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+8415, r12vrr_stack+8331, r12vrr_stack+8303, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+821, r12vrr_stack+1119);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+8583, r12vrr_stack+8415, r12vrr_stack+8331, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+5012, r12vrr_stack+1182);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+1119, r12vrr_stack+8583, r12vrr_stack+8415, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+5096, r12vrr_stack+1728);
 tmp = r12vrr_stack + 1119;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+8331, r12vrr_stack+8303, r12vrr_stack+8282, r12vrr_stack+4144, r12vrr_stack+821, r12vrr_stack+1098, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+8367, r12vrr_stack+8331, NULL, r12vrr_stack+7924, r12vrr_stack+4144, NULL, r12vrr_stack+821);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+1539, r12vrr_stack+8367, r12vrr_stack+8331, r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+4144, r12vrr_stack+5012);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+4144, r12vrr_stack+1539, r12vrr_stack+8367, r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+7924, r12vrr_stack+5096);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+4504, r12vrr_stack+4144, r12vrr_stack+1539, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+8032, r12vrr_stack+5264);
 tmp = r12vrr_stack + 4504;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5544, r12vrr_stack+6412, r12vrr_stack+9292, r12vrr_stack+6832, r12vrr_stack+3703, r12vrr_stack+1938);
 tmp = r12vrr_stack + 5544;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12757, r12vrr_stack+9292, r12vrr_stack+13927, r12vrr_stack+11056, r12vrr_stack+6832, r12vrr_stack+6412);
 tmp = r12vrr_stack + 12757;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9832, r12vrr_stack+6832, r12vrr_stack+11056, r12vrr_stack+2253, r12vrr_stack+232, r12vrr_stack+3703);
 tmp = r12vrr_stack + 9832;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3037, r12vrr_stack+11056, r12vrr_stack+11812, r12vrr_stack+15722, r12vrr_stack+2253, r12vrr_stack+6832);
 tmp = r12vrr_stack + 3037;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5964, r12vrr_stack+6412, r12vrr_stack+6832, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+5264);
 tmp = r12vrr_stack + 5964;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10420, r12vrr_stack+9292, r12vrr_stack+11056, r12vrr_stack+13927, r12vrr_stack+13477, r12vrr_stack+8932);
 tmp = r12vrr_stack + 10420;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13297, r12vrr_stack+6832, r12vrr_stack+2253, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+6412);
 tmp = r12vrr_stack + 13297;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2253, r12vrr_stack+11056, r12vrr_stack+15722, r12vrr_stack+11812, r12vrr_stack+13927, r12vrr_stack+9292);
 tmp = r12vrr_stack + 2253;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+11812, r12vrr_stack+1119, r12vrr_stack+8583, r12vrr_stack+6832, r12vrr_stack+6412, r12vrr_stack+5264, r12vrr_stack+1938);
 tmp = r12vrr_stack + 11812;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+6832, r12vrr_stack+4504, r12vrr_stack+4144, r12vrr_stack+11056, r12vrr_stack+9292, r12vrr_stack+8932, r12vrr_stack+6412);
 tmp = r12vrr_stack + 6832;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];


}

