#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_h0ii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+5);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+161, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+164, r12vrr_stack+161, r12vrr_stack+21, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+170, r12vrr_stack+121, NULL, NULL, r12vrr_stack+24);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+30, r12vrr_stack+21, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+216, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+226, r12vrr_stack+111, r12vrr_stack+216, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+256, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+39);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+57);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+75);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+476, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+491, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+164, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+506, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+521, r12vrr_stack+476, r12vrr_stack+506, NULL, NULL, r12vrr_stack+111);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+566, r12vrr_stack+491, r12vrr_stack+476, NULL, NULL, r12vrr_stack+121);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+611, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+131);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+701, r12vrr_stack+24, r12vrr_stack+161, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+707, r12vrr_stack+701, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+717, r12vrr_stack+707, r12vrr_stack+170, r12vrr_stack+701, r12vrr_stack+164, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+732, r12vrr_stack+717, r12vrr_stack+491, NULL, NULL, r12vrr_stack+170);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+777, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+180);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+180, r12vrr_stack+21, r12vrr_stack+27, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+186, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+30, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+867, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+33, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+882, r12vrr_stack+506, r12vrr_stack+867, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+927, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+226);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1017, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+256);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1167, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+316);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1317, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+376);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+170, r12vrr_stack+121, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+1563, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+476);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1647, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+707, r12vrr_stack+170, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1668, r12vrr_stack+1647, r12vrr_stack+1563, NULL, NULL, r12vrr_stack+491);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1731, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+111, r12vrr_stack+216, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1542, r12vrr_stack+1731, NULL, NULL, r12vrr_stack+506);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1815, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+521);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1941, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+566);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2067, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+611);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+566, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+569, r12vrr_stack+566, r12vrr_stack+24, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+701, r12vrr_stack+566, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+707, r12vrr_stack+569, r12vrr_stack+701, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+717, r12vrr_stack+121, r12vrr_stack+707, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2277, r12vrr_stack+590, r12vrr_stack+1647, NULL, NULL, r12vrr_stack+717);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2340, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+732);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2466, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+777);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+732, r12vrr_stack+27, r12vrr_stack+24, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+738, r12vrr_stack+180, r12vrr_stack+732, r12vrr_stack+21, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+748, r12vrr_stack+186, r12vrr_stack+738, r12vrr_stack+210, r12vrr_stack+180, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+216, r12vrr_stack+186, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+784, r12vrr_stack+1731, r12vrr_stack+763, NULL, NULL, r12vrr_stack+867);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+882);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2802, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+927);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3012, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1017);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3327, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+1167);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3642, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+1317);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+21, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+847, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+161, r12vrr_stack+6, r12vrr_stack+847, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+21);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4083, r12vrr_stack+33, r12vrr_stack+210, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4101, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+847);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4137, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+161);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+30, r12vrr_stack+216, r12vrr_stack+186, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4197, r12vrr_stack+226, r12vrr_stack+30, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+4083);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4257, r12vrr_stack+256, r12vrr_stack+4197, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+4101);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+4357, r12vrr_stack+376, r12vrr_stack+4257, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+4137);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+131, r12vrr_stack+867, r12vrr_stack+748, NULL, NULL, r12vrr_stack+186);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4083, r12vrr_stack+882, r12vrr_stack+131, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+30);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+196, r12vrr_stack+927, r12vrr_stack+4083, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+4197);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4507, r12vrr_stack+1017, r12vrr_stack+196, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+4257);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4732, r12vrr_stack+1317, r12vrr_stack+4507, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+4357);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+611, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+614, r12vrr_stack+24, r12vrr_stack+611, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+620, r12vrr_stack+732, r12vrr_stack+614, r12vrr_stack+27, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+27, r12vrr_stack+738, r12vrr_stack+620, r12vrr_stack+180, r12vrr_stack+732, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+42, r12vrr_stack+748, r12vrr_stack+27, r12vrr_stack+186, r12vrr_stack+738, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+630, r12vrr_stack+763, r12vrr_stack+42, NULL, NULL, r12vrr_stack+748);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+882, r12vrr_stack+784, r12vrr_stack+630, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+131);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1008, r12vrr_stack+2676, r12vrr_stack+882, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+4083);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+2802, r12vrr_stack+1008, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+196);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5047, r12vrr_stack+3012, r12vrr_stack+4083, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+4507);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5488, r12vrr_stack+3642, r12vrr_stack+5047, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+4732);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4398, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+476, r12vrr_stack+506, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4426, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+491, r12vrr_stack+476, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4454, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+506, r12vrr_stack+867, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4482, r12vrr_stack+4398, r12vrr_stack+4454, NULL, NULL, r12vrr_stack+1731);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4566, r12vrr_stack+4426, r12vrr_stack+4398, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4650, r12vrr_stack+4566, r12vrr_stack+4482, r12vrr_stack+4426, r12vrr_stack+4398, r12vrr_stack+1752);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+717, r12vrr_stack+491, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4818, r12vrr_stack+1752, r12vrr_stack+4426, NULL, NULL, r12vrr_stack+1563);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+131, r12vrr_stack+4818, r12vrr_stack+4566, r12vrr_stack+1752, r12vrr_stack+4426, r12vrr_stack+1584);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+763, r12vrr_stack+42, r12vrr_stack+867, r12vrr_stack+748, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4902, r12vrr_stack+4454, r12vrr_stack+1584, NULL, NULL, r12vrr_stack+763);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+299, r12vrr_stack+4482, r12vrr_stack+4902, r12vrr_stack+4398, r12vrr_stack+4454, r12vrr_stack+784);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1218, r12vrr_stack+4650, r12vrr_stack+299, r12vrr_stack+4566, r12vrr_stack+4482, r12vrr_stack+2676);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6076, r12vrr_stack+131, r12vrr_stack+4650, r12vrr_stack+4818, r12vrr_stack+4566, r12vrr_stack+1815);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6356, r12vrr_stack+6076, r12vrr_stack+1218, r12vrr_stack+131, r12vrr_stack+4650, r12vrr_stack+2802);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+575, r12vrr_stack+717, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2704, r12vrr_stack+2676, r12vrr_stack+1752, NULL, NULL, r12vrr_stack+1647);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2788, r12vrr_stack+2704, r12vrr_stack+4818, r12vrr_stack+2676, r12vrr_stack+1752, r12vrr_stack+1668);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6776, r12vrr_stack+2788, r12vrr_stack+131, r12vrr_stack+2704, r12vrr_stack+4818, r12vrr_stack+1941);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7056, r12vrr_stack+6776, r12vrr_stack+6076, r12vrr_stack+2788, r12vrr_stack+131, r12vrr_stack+2067);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1668, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1671, r12vrr_stack+611, r12vrr_stack+1668, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1677, r12vrr_stack+614, r12vrr_stack+1671, r12vrr_stack+24, r12vrr_stack+611, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1687, r12vrr_stack+620, r12vrr_stack+1677, r12vrr_stack+732, r12vrr_stack+614, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1702, r12vrr_stack+27, r12vrr_stack+1687, r12vrr_stack+738, r12vrr_stack+620, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2956, r12vrr_stack+42, r12vrr_stack+1702, r12vrr_stack+748, r12vrr_stack+27, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+784, r12vrr_stack+1584, r12vrr_stack+2956, NULL, NULL, r12vrr_stack+42);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1780, r12vrr_stack+4902, r12vrr_stack+784, r12vrr_stack+4454, r12vrr_stack+1584, r12vrr_stack+630);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1948, r12vrr_stack+299, r12vrr_stack+1780, r12vrr_stack+4482, r12vrr_stack+4902, r12vrr_stack+882);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+1218, r12vrr_stack+1948, r12vrr_stack+4650, r12vrr_stack+299, r12vrr_stack+1008);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7896, r12vrr_stack+6356, r12vrr_stack+7476, r12vrr_stack+6076, r12vrr_stack+1218, r12vrr_stack+4083);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8484, r12vrr_stack+7056, r12vrr_stack+6356, r12vrr_stack+6776, r12vrr_stack+6076, r12vrr_stack+3012);
 tmp = r12vrr_stack + 8484;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9072, r12vrr_stack+8484, r12vrr_stack+7896, r12vrr_stack+7056, r12vrr_stack+6356, r12vrr_stack+5047);
 tmp = r12vrr_stack + 9072;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+4398, r12vrr_stack+4454, r12vrr_stack+1542, r12vrr_stack+1731, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4119, r12vrr_stack+4426, r12vrr_stack+4398, r12vrr_stack+1563, r12vrr_stack+1542, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4155, r12vrr_stack+4119, r12vrr_stack+4083, NULL, NULL, r12vrr_stack+4398);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4263, r12vrr_stack+1752, r12vrr_stack+4426, r12vrr_stack+1647, r12vrr_stack+1563, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+630, r12vrr_stack+4263, r12vrr_stack+4119, NULL, NULL, r12vrr_stack+4426);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4299, r12vrr_stack+4454, r12vrr_stack+1584, r12vrr_stack+1731, r12vrr_stack+763, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2984, r12vrr_stack+4083, r12vrr_stack+4299, NULL, NULL, r12vrr_stack+4454);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3092, r12vrr_stack+4155, r12vrr_stack+2984, r12vrr_stack+4119, r12vrr_stack+4083, r12vrr_stack+4482);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+868, r12vrr_stack+630, r12vrr_stack+4155, r12vrr_stack+4263, r12vrr_stack+4119, r12vrr_stack+4566);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4986, r12vrr_stack+868, r12vrr_stack+3092, r12vrr_stack+630, r12vrr_stack+4155, r12vrr_stack+4650);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4482, r12vrr_stack+2676, r12vrr_stack+1752, r12vrr_stack+590, r12vrr_stack+1647, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4518, r12vrr_stack+4482, r12vrr_stack+4263, NULL, NULL, r12vrr_stack+1752);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9856, r12vrr_stack+4518, r12vrr_stack+630, r12vrr_stack+4482, r12vrr_stack+4263, r12vrr_stack+4818);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10072, r12vrr_stack+9856, r12vrr_stack+868, r12vrr_stack+4518, r12vrr_stack+630, r12vrr_stack+131);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+131, r12vrr_stack+1584, r12vrr_stack+2956, r12vrr_stack+763, r12vrr_stack+42, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+167, r12vrr_stack+4299, r12vrr_stack+131, NULL, NULL, r12vrr_stack+1584);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4626, r12vrr_stack+2984, r12vrr_stack+167, r12vrr_stack+4083, r12vrr_stack+4299, r12vrr_stack+4902);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10432, r12vrr_stack+3092, r12vrr_stack+4626, r12vrr_stack+4155, r12vrr_stack+2984, r12vrr_stack+299);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10792, r12vrr_stack+4986, r12vrr_stack+10432, r12vrr_stack+868, r12vrr_stack+3092, r12vrr_stack+1218);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11332, r12vrr_stack+10072, r12vrr_stack+4986, r12vrr_stack+9856, r12vrr_stack+868, r12vrr_stack+6076);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11872, r12vrr_stack+11332, r12vrr_stack+10792, r12vrr_stack+10072, r12vrr_stack+4986, r12vrr_stack+6356);
 tmp = r12vrr_stack + 11872;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6076, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6079, r12vrr_stack+1668, r12vrr_stack+6076, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6085, r12vrr_stack+1671, r12vrr_stack+6079, r12vrr_stack+611, r12vrr_stack+1668, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6095, r12vrr_stack+1677, r12vrr_stack+6085, r12vrr_stack+614, r12vrr_stack+1671, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6110, r12vrr_stack+1687, r12vrr_stack+6095, r12vrr_stack+620, r12vrr_stack+1677, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6131, r12vrr_stack+1702, r12vrr_stack+6110, r12vrr_stack+27, r12vrr_stack+1687, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6159, r12vrr_stack+2956, r12vrr_stack+6131, r12vrr_stack+42, r12vrr_stack+1702, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6195, r12vrr_stack+131, r12vrr_stack+6159, NULL, NULL, r12vrr_stack+2956);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6303, r12vrr_stack+167, r12vrr_stack+6195, r12vrr_stack+4299, r12vrr_stack+131, r12vrr_stack+784);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1084, r12vrr_stack+4626, r12vrr_stack+6303, r12vrr_stack+2984, r12vrr_stack+167, r12vrr_stack+1780);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12628, r12vrr_stack+10432, r12vrr_stack+1084, r12vrr_stack+3092, r12vrr_stack+4626, r12vrr_stack+1948);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13168, r12vrr_stack+10792, r12vrr_stack+12628, r12vrr_stack+4986, r12vrr_stack+10432, r12vrr_stack+7476);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13924, r12vrr_stack+11872, r12vrr_stack+13168, r12vrr_stack+11332, r12vrr_stack+10792, r12vrr_stack+7896);
 tmp = r12vrr_stack + 13924;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+4083, r12vrr_stack+4299, r12vrr_stack+4398, r12vrr_stack+4454, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7521, r12vrr_stack+4119, r12vrr_stack+4083, r12vrr_stack+4426, r12vrr_stack+4398, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7566, r12vrr_stack+7521, r12vrr_stack+7476, NULL, NULL, r12vrr_stack+4083);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7701, r12vrr_stack+4263, r12vrr_stack+4119, r12vrr_stack+1752, r12vrr_stack+4426, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7746, r12vrr_stack+7701, r12vrr_stack+7521, NULL, NULL, r12vrr_stack+4119);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7881, r12vrr_stack+4299, r12vrr_stack+131, r12vrr_stack+4454, r12vrr_stack+1584, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7926, r12vrr_stack+7476, r12vrr_stack+7881, NULL, NULL, r12vrr_stack+4299);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8061, r12vrr_stack+7566, r12vrr_stack+7926, r12vrr_stack+7521, r12vrr_stack+7476, r12vrr_stack+2984);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1780, r12vrr_stack+7746, r12vrr_stack+7566, r12vrr_stack+7701, r12vrr_stack+7521, r12vrr_stack+4155);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14932, r12vrr_stack+1780, r12vrr_stack+8061, r12vrr_stack+7746, r12vrr_stack+7566, r12vrr_stack+3092);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4155, r12vrr_stack+4482, r12vrr_stack+4263, r12vrr_stack+2676, r12vrr_stack+1752, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2984, r12vrr_stack+4155, r12vrr_stack+7701, NULL, NULL, r12vrr_stack+4263);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+275, r12vrr_stack+2984, r12vrr_stack+7746, r12vrr_stack+4155, r12vrr_stack+7701, r12vrr_stack+630);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15382, r12vrr_stack+275, r12vrr_stack+1780, r12vrr_stack+2984, r12vrr_stack+7746, r12vrr_stack+868);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4200, r12vrr_stack+131, r12vrr_stack+6159, r12vrr_stack+1584, r12vrr_stack+2956, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3119, r12vrr_stack+7881, r12vrr_stack+4200, NULL, NULL, r12vrr_stack+131);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+611, r12vrr_stack+7926, r12vrr_stack+3119, r12vrr_stack+7476, r12vrr_stack+7881, r12vrr_stack+167);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15832, r12vrr_stack+8061, r12vrr_stack+611, r12vrr_stack+7566, r12vrr_stack+7926, r12vrr_stack+4626);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16282, r12vrr_stack+14932, r12vrr_stack+15832, r12vrr_stack+1780, r12vrr_stack+8061, r12vrr_stack+10432);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16957, r12vrr_stack+15382, r12vrr_stack+14932, r12vrr_stack+275, r12vrr_stack+1780, r12vrr_stack+4986);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17632, r12vrr_stack+16957, r12vrr_stack+16282, r12vrr_stack+15382, r12vrr_stack+14932, r12vrr_stack+10792);
 tmp = r12vrr_stack + 17632;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+10432, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+10435, r12vrr_stack+6076, r12vrr_stack+10432, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+10441, r12vrr_stack+6079, r12vrr_stack+10435, r12vrr_stack+1668, r12vrr_stack+6076, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+10451, r12vrr_stack+6085, r12vrr_stack+10441, r12vrr_stack+1671, r12vrr_stack+6079, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+545, r12vrr_stack+6095, r12vrr_stack+10451, r12vrr_stack+1677, r12vrr_stack+6085, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10466, r12vrr_stack+6110, r12vrr_stack+545, r12vrr_stack+1687, r12vrr_stack+6095, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10494, r12vrr_stack+6131, r12vrr_stack+10466, r12vrr_stack+1702, r12vrr_stack+6110, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10530, r12vrr_stack+6159, r12vrr_stack+10494, r12vrr_stack+2956, r12vrr_stack+6131, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10575, r12vrr_stack+4200, r12vrr_stack+10530, NULL, NULL, r12vrr_stack+6159);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10710, r12vrr_stack+3119, r12vrr_stack+10575, r12vrr_stack+7881, r12vrr_stack+4200, r12vrr_stack+6195);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4626, r12vrr_stack+611, r12vrr_stack+10710, r12vrr_stack+7926, r12vrr_stack+3119, r12vrr_stack+6303);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18577, r12vrr_stack+15832, r12vrr_stack+4626, r12vrr_stack+8061, r12vrr_stack+611, r12vrr_stack+1084);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19252, r12vrr_stack+16282, r12vrr_stack+18577, r12vrr_stack+14932, r12vrr_stack+15832, r12vrr_stack+12628);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20197, r12vrr_stack+17632, r12vrr_stack+19252, r12vrr_stack+16957, r12vrr_stack+16282, r12vrr_stack+13168);
 tmp = r12vrr_stack + 20197;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12628, r12vrr_stack+7476, r12vrr_stack+7881, r12vrr_stack+4083, r12vrr_stack+4299, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12683, r12vrr_stack+7521, r12vrr_stack+7476, r12vrr_stack+4119, r12vrr_stack+4083, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12738, r12vrr_stack+12683, r12vrr_stack+12628, NULL, NULL, r12vrr_stack+7476);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12903, r12vrr_stack+7701, r12vrr_stack+7521, r12vrr_stack+4263, r12vrr_stack+4119, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12958, r12vrr_stack+12903, r12vrr_stack+12683, NULL, NULL, r12vrr_stack+7521);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+7881, r12vrr_stack+4200, r12vrr_stack+4299, r12vrr_stack+131, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4299, r12vrr_stack+12628, r12vrr_stack+4083, NULL, NULL, r12vrr_stack+7881);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13123, r12vrr_stack+12738, r12vrr_stack+4299, r12vrr_stack+12683, r12vrr_stack+12628, r12vrr_stack+7926);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13453, r12vrr_stack+12958, r12vrr_stack+12738, r12vrr_stack+12903, r12vrr_stack+12683, r12vrr_stack+7566);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6195, r12vrr_stack+13453, r12vrr_stack+13123, r12vrr_stack+12958, r12vrr_stack+12738, r12vrr_stack+8061);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7566, r12vrr_stack+4155, r12vrr_stack+7701, r12vrr_stack+4482, r12vrr_stack+4263, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7926, r12vrr_stack+7566, r12vrr_stack+12903, NULL, NULL, r12vrr_stack+7701);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8091, r12vrr_stack+7926, r12vrr_stack+12958, r12vrr_stack+7566, r12vrr_stack+12903, r12vrr_stack+7746);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+881, r12vrr_stack+8091, r12vrr_stack+13453, r12vrr_stack+7926, r12vrr_stack+12958, r12vrr_stack+1780);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7746, r12vrr_stack+4200, r12vrr_stack+10530, r12vrr_stack+131, r12vrr_stack+6159, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10980, r12vrr_stack+4083, r12vrr_stack+7746, NULL, NULL, r12vrr_stack+4200);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5076, r12vrr_stack+4299, r12vrr_stack+10980, r12vrr_stack+12628, r12vrr_stack+4083, r12vrr_stack+3119);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1431, r12vrr_stack+13123, r12vrr_stack+5076, r12vrr_stack+12738, r12vrr_stack+4299, r12vrr_stack+611);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21457, r12vrr_stack+6195, r12vrr_stack+1431, r12vrr_stack+13453, r12vrr_stack+13123, r12vrr_stack+15832);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22282, r12vrr_stack+881, r12vrr_stack+6195, r12vrr_stack+8091, r12vrr_stack+13453, r12vrr_stack+14932);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23107, r12vrr_stack+22282, r12vrr_stack+21457, r12vrr_stack+881, r12vrr_stack+6195, r12vrr_stack+16282);
 tmp = r12vrr_stack + 23107;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+14932, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+14935, r12vrr_stack+10432, r12vrr_stack+14932, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+14941, r12vrr_stack+10435, r12vrr_stack+14935, r12vrr_stack+6076, r12vrr_stack+10432, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+14951, r12vrr_stack+10441, r12vrr_stack+14941, r12vrr_stack+6079, r12vrr_stack+10435, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14966, r12vrr_stack+10451, r12vrr_stack+14951, r12vrr_stack+6085, r12vrr_stack+10441, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2956, r12vrr_stack+545, r12vrr_stack+14966, r12vrr_stack+6095, r12vrr_stack+10451, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14987, r12vrr_stack+10466, r12vrr_stack+2956, r12vrr_stack+6110, r12vrr_stack+545, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6076, r12vrr_stack+10494, r12vrr_stack+14987, r12vrr_stack+6131, r12vrr_stack+10466, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15023, r12vrr_stack+10530, r12vrr_stack+6076, r12vrr_stack+6159, r12vrr_stack+10494, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15078, r12vrr_stack+7746, r12vrr_stack+15023, NULL, NULL, r12vrr_stack+10530);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15832, r12vrr_stack+10980, r12vrr_stack+15078, r12vrr_stack+4083, r12vrr_stack+7746, r12vrr_stack+10575);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16162, r12vrr_stack+5076, r12vrr_stack+15832, r12vrr_stack+4299, r12vrr_stack+10980, r12vrr_stack+10710);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24262, r12vrr_stack+1431, r12vrr_stack+16162, r12vrr_stack+13123, r12vrr_stack+5076, r12vrr_stack+4626);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+25087, r12vrr_stack+21457, r12vrr_stack+24262, r12vrr_stack+6195, r12vrr_stack+1431, r12vrr_stack+18577);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+26242, r12vrr_stack+23107, r12vrr_stack+25087, r12vrr_stack+22282, r12vrr_stack+21457, r12vrr_stack+19252);
 tmp = r12vrr_stack + 26242;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18577, r12vrr_stack+12628, r12vrr_stack+4083, r12vrr_stack+7476, r12vrr_stack+7881, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18643, r12vrr_stack+12683, r12vrr_stack+12628, r12vrr_stack+7521, r12vrr_stack+7476, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18709, r12vrr_stack+18643, r12vrr_stack+18577, NULL, NULL, r12vrr_stack+12628);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18907, r12vrr_stack+12903, r12vrr_stack+12683, r12vrr_stack+7701, r12vrr_stack+7521, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+18973, r12vrr_stack+18907, r12vrr_stack+18643, NULL, NULL, r12vrr_stack+12683);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+4083, r12vrr_stack+7746, r12vrr_stack+7881, r12vrr_stack+4200, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19171, r12vrr_stack+18577, r12vrr_stack+7476, NULL, NULL, r12vrr_stack+4083);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19369, r12vrr_stack+18709, r12vrr_stack+19171, r12vrr_stack+18643, r12vrr_stack+18577, r12vrr_stack+4299);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19765, r12vrr_stack+18973, r12vrr_stack+18709, r12vrr_stack+18907, r12vrr_stack+18643, r12vrr_stack+12738);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27782, r12vrr_stack+19765, r12vrr_stack+19369, r12vrr_stack+18973, r12vrr_stack+18709, r12vrr_stack+13123);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13123, r12vrr_stack+7566, r12vrr_stack+12903, r12vrr_stack+4155, r12vrr_stack+7701, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13189, r12vrr_stack+13123, r12vrr_stack+18907, NULL, NULL, r12vrr_stack+12903);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4626, r12vrr_stack+13189, r12vrr_stack+18973, r12vrr_stack+13123, r12vrr_stack+18907, r12vrr_stack+12958);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28442, r12vrr_stack+4626, r12vrr_stack+19765, r12vrr_stack+13189, r12vrr_stack+18973, r12vrr_stack+13453);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12958, r12vrr_stack+7746, r12vrr_stack+15023, r12vrr_stack+4200, r12vrr_stack+10530, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4200, r12vrr_stack+7476, r12vrr_stack+12958, NULL, NULL, r12vrr_stack+7746);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13387, r12vrr_stack+19171, r12vrr_stack+4200, r12vrr_stack+18577, r12vrr_stack+7476, r12vrr_stack+10980);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+10575, r12vrr_stack+19369, r12vrr_stack+13387, r12vrr_stack+18709, r12vrr_stack+19171, r12vrr_stack+5076);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29102, r12vrr_stack+27782, r12vrr_stack+10575, r12vrr_stack+19765, r12vrr_stack+19369, r12vrr_stack+1431);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30092, r12vrr_stack+28442, r12vrr_stack+27782, r12vrr_stack+4626, r12vrr_stack+19765, r12vrr_stack+6195);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31082, r12vrr_stack+30092, r12vrr_stack+29102, r12vrr_stack+28442, r12vrr_stack+27782, r12vrr_stack+21457);
 tmp = r12vrr_stack + 31082;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21457, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+21460, r12vrr_stack+14932, r12vrr_stack+21457, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21466, r12vrr_stack+14935, r12vrr_stack+21460, r12vrr_stack+10432, r12vrr_stack+14932, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+21476, r12vrr_stack+14941, r12vrr_stack+21466, r12vrr_stack+10435, r12vrr_stack+14935, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21491, r12vrr_stack+14951, r12vrr_stack+21476, r12vrr_stack+10441, r12vrr_stack+14941, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21512, r12vrr_stack+14966, r12vrr_stack+21491, r12vrr_stack+10451, r12vrr_stack+14951, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20161, r12vrr_stack+2956, r12vrr_stack+21512, r12vrr_stack+545, r12vrr_stack+14966, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21540, r12vrr_stack+14987, r12vrr_stack+20161, r12vrr_stack+10466, r12vrr_stack+2956, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10432, r12vrr_stack+6076, r12vrr_stack+21540, r12vrr_stack+10494, r12vrr_stack+14987, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21585, r12vrr_stack+15023, r12vrr_stack+10432, r12vrr_stack+10530, r12vrr_stack+6076, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21651, r12vrr_stack+12958, r12vrr_stack+21585, NULL, NULL, r12vrr_stack+15023);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21849, r12vrr_stack+4200, r12vrr_stack+21651, r12vrr_stack+7476, r12vrr_stack+12958, r12vrr_stack+15078);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1431, r12vrr_stack+13387, r12vrr_stack+21849, r12vrr_stack+19171, r12vrr_stack+4200, r12vrr_stack+15832);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+32468, r12vrr_stack+10575, r12vrr_stack+1431, r12vrr_stack+19369, r12vrr_stack+13387, r12vrr_stack+16162);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+33458, r12vrr_stack+29102, r12vrr_stack+32468, r12vrr_stack+27782, r12vrr_stack+10575, r12vrr_stack+24262);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+34844, r12vrr_stack+31082, r12vrr_stack+33458, r12vrr_stack+30092, r12vrr_stack+29102, r12vrr_stack+25087);
 tmp = r12vrr_stack + 34844;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24262, r12vrr_stack+18577, r12vrr_stack+7476, r12vrr_stack+12628, r12vrr_stack+4083, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24340, r12vrr_stack+18643, r12vrr_stack+18577, r12vrr_stack+12683, r12vrr_stack+12628, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24418, r12vrr_stack+24340, r12vrr_stack+24262, NULL, NULL, r12vrr_stack+18577);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24652, r12vrr_stack+18907, r12vrr_stack+18643, r12vrr_stack+12903, r12vrr_stack+12683, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+12628, r12vrr_stack+24652, r12vrr_stack+24340, NULL, NULL, r12vrr_stack+18643);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24730, r12vrr_stack+7476, r12vrr_stack+12958, r12vrr_stack+4083, r12vrr_stack+7746, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+24808, r12vrr_stack+24262, r12vrr_stack+24730, NULL, NULL, r12vrr_stack+7476);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+25042, r12vrr_stack+24418, r12vrr_stack+24808, r12vrr_stack+24340, r12vrr_stack+24262, r12vrr_stack+19171);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+25510, r12vrr_stack+12628, r12vrr_stack+24418, r12vrr_stack+24652, r12vrr_stack+24340, r12vrr_stack+18709);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+15832, r12vrr_stack+25510, r12vrr_stack+25042, r12vrr_stack+12628, r12vrr_stack+24418, r12vrr_stack+19369);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18709, r12vrr_stack+13123, r12vrr_stack+18907, r12vrr_stack+7566, r12vrr_stack+12903, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19171, r12vrr_stack+18709, r12vrr_stack+24652, NULL, NULL, r12vrr_stack+18907);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+6121, r12vrr_stack+19171, r12vrr_stack+12628, r12vrr_stack+18709, r12vrr_stack+24652, r12vrr_stack+18973);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+36692, r12vrr_stack+6121, r12vrr_stack+25510, r12vrr_stack+19171, r12vrr_stack+12628, r12vrr_stack+19765);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18973, r12vrr_stack+12958, r12vrr_stack+21585, r12vrr_stack+7746, r12vrr_stack+15023, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19405, r12vrr_stack+24730, r12vrr_stack+18973, NULL, NULL, r12vrr_stack+12958);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19639, r12vrr_stack+24808, r12vrr_stack+19405, r12vrr_stack+24262, r12vrr_stack+24730, r12vrr_stack+4200);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37472, r12vrr_stack+25042, r12vrr_stack+19639, r12vrr_stack+24418, r12vrr_stack+24808, r12vrr_stack+13387);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38252, r12vrr_stack+15832, r12vrr_stack+37472, r12vrr_stack+25510, r12vrr_stack+25042, r12vrr_stack+10575);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+39422, r12vrr_stack+36692, r12vrr_stack+15832, r12vrr_stack+6121, r12vrr_stack+25510, r12vrr_stack+27782);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+40592, r12vrr_stack+39422, r12vrr_stack+38252, r12vrr_stack+36692, r12vrr_stack+15832, r12vrr_stack+29102);
 tmp = r12vrr_stack + 40592;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+29102, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+29105, r12vrr_stack+21457, r12vrr_stack+29102, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+29111, r12vrr_stack+21460, r12vrr_stack+29105, r12vrr_stack+14932, r12vrr_stack+21457, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+29121, r12vrr_stack+21466, r12vrr_stack+29111, r12vrr_stack+14935, r12vrr_stack+21460, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+545, r12vrr_stack+21476, r12vrr_stack+29121, r12vrr_stack+14941, r12vrr_stack+21466, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+29136, r12vrr_stack+21491, r12vrr_stack+545, r12vrr_stack+14951, r12vrr_stack+21476, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+29164, r12vrr_stack+21512, r12vrr_stack+29136, r12vrr_stack+14966, r12vrr_stack+21491, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14932, r12vrr_stack+20161, r12vrr_stack+29164, r12vrr_stack+2956, r12vrr_stack+21512, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29200, r12vrr_stack+21540, r12vrr_stack+14932, r12vrr_stack+14987, r12vrr_stack+20161, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29255, r12vrr_stack+10432, r12vrr_stack+29200, r12vrr_stack+6076, r12vrr_stack+21540, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29321, r12vrr_stack+21585, r12vrr_stack+29255, r12vrr_stack+15023, r12vrr_stack+10432, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14977, r12vrr_stack+18973, r12vrr_stack+29321, NULL, NULL, r12vrr_stack+21585);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29399, r12vrr_stack+19405, r12vrr_stack+14977, r12vrr_stack+24730, r12vrr_stack+18973, r12vrr_stack+21651);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+10487, r12vrr_stack+19639, r12vrr_stack+29399, r12vrr_stack+24808, r12vrr_stack+19405, r12vrr_stack+21849);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+42230, r12vrr_stack+37472, r12vrr_stack+10487, r12vrr_stack+25042, r12vrr_stack+19639, r12vrr_stack+1431);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+43400, r12vrr_stack+38252, r12vrr_stack+42230, r12vrr_stack+15832, r12vrr_stack+37472, r12vrr_stack+32468);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45038, r12vrr_stack+40592, r12vrr_stack+43400, r12vrr_stack+39422, r12vrr_stack+38252, r12vrr_stack+33458);
 tmp = r12vrr_stack + 45038;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+32468, r12vrr_stack+24262, r12vrr_stack+24730, r12vrr_stack+18577, r12vrr_stack+7476, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+32559, r12vrr_stack+24340, r12vrr_stack+24262, r12vrr_stack+18643, r12vrr_stack+18577, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+32650, r12vrr_stack+32559, r12vrr_stack+32468, NULL, NULL, r12vrr_stack+24262);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+32923, r12vrr_stack+24652, r12vrr_stack+24340, r12vrr_stack+18907, r12vrr_stack+18643, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+33014, r12vrr_stack+32923, r12vrr_stack+32559, NULL, NULL, r12vrr_stack+24340);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+18577, r12vrr_stack+24730, r12vrr_stack+18973, r12vrr_stack+7476, r12vrr_stack+12958, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+33287, r12vrr_stack+32468, r12vrr_stack+18577, NULL, NULL, r12vrr_stack+24730);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+33560, r12vrr_stack+32650, r12vrr_stack+33287, r12vrr_stack+32559, r12vrr_stack+32468, r12vrr_stack+24808);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+34106, r12vrr_stack+33014, r12vrr_stack+32650, r12vrr_stack+32923, r12vrr_stack+32559, r12vrr_stack+24418);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+47222, r12vrr_stack+34106, r12vrr_stack+33560, r12vrr_stack+33014, r12vrr_stack+32650, r12vrr_stack+25042);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24418, r12vrr_stack+18709, r12vrr_stack+24652, r12vrr_stack+13123, r12vrr_stack+18907, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24808, r12vrr_stack+24418, r12vrr_stack+32923, NULL, NULL, r12vrr_stack+24652);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+1431, r12vrr_stack+24808, r12vrr_stack+33014, r12vrr_stack+24418, r12vrr_stack+32923, r12vrr_stack+12628);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+48132, r12vrr_stack+1431, r12vrr_stack+34106, r12vrr_stack+24808, r12vrr_stack+33014, r12vrr_stack+25510);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+12628, r12vrr_stack+18973, r12vrr_stack+29321, r12vrr_stack+12958, r12vrr_stack+21585, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+12719, r12vrr_stack+18577, r12vrr_stack+12628, NULL, NULL, r12vrr_stack+18973);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+25081, r12vrr_stack+33287, r12vrr_stack+12719, r12vrr_stack+32468, r12vrr_stack+18577, r12vrr_stack+19405);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+49042, r12vrr_stack+33560, r12vrr_stack+25081, r12vrr_stack+32650, r12vrr_stack+33287, r12vrr_stack+19639);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+49952, r12vrr_stack+47222, r12vrr_stack+49042, r12vrr_stack+34106, r12vrr_stack+33560, r12vrr_stack+37472);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+51317, r12vrr_stack+48132, r12vrr_stack+47222, r12vrr_stack+1431, r12vrr_stack+34106, r12vrr_stack+15832);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+52682, r12vrr_stack+51317, r12vrr_stack+49952, r12vrr_stack+48132, r12vrr_stack+47222, r12vrr_stack+38252);
 tmp = r12vrr_stack + 52682;
 target_ptr = Libr12->gvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15832, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15835, r12vrr_stack+29102, r12vrr_stack+15832, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+15841, r12vrr_stack+29105, r12vrr_stack+15835, r12vrr_stack+21457, r12vrr_stack+29102, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+15851, r12vrr_stack+29111, r12vrr_stack+15841, r12vrr_stack+21460, r12vrr_stack+29105, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15866, r12vrr_stack+29121, r12vrr_stack+15851, r12vrr_stack+21466, r12vrr_stack+29111, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2956, r12vrr_stack+545, r12vrr_stack+15866, r12vrr_stack+21476, r12vrr_stack+29121, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15832, r12vrr_stack+29136, r12vrr_stack+2956, r12vrr_stack+21491, r12vrr_stack+545, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6076, r12vrr_stack+29164, r12vrr_stack+15832, r12vrr_stack+21512, r12vrr_stack+29136, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15832, r12vrr_stack+14932, r12vrr_stack+6076, r12vrr_stack+20161, r12vrr_stack+29164, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15887, r12vrr_stack+29200, r12vrr_stack+15832, r12vrr_stack+21540, r12vrr_stack+14932, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+15953, r12vrr_stack+29255, r12vrr_stack+15887, r12vrr_stack+10432, r12vrr_stack+29200, NULL);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+15832, r12vrr_stack+29321, r12vrr_stack+15953, r12vrr_stack+21585, r12vrr_stack+29255, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+15923, r12vrr_stack+12628, r12vrr_stack+15832, NULL, NULL, r12vrr_stack+29321);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+16196, r12vrr_stack+12719, r12vrr_stack+15923, r12vrr_stack+18577, r12vrr_stack+12628, r12vrr_stack+14977);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+37472, r12vrr_stack+25081, r12vrr_stack+16196, r12vrr_stack+33287, r12vrr_stack+12719, r12vrr_stack+29399);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+54593, r12vrr_stack+49042, r12vrr_stack+37472, r12vrr_stack+33560, r12vrr_stack+25081, r12vrr_stack+10487);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+37472, r12vrr_stack+49952, r12vrr_stack+54593, r12vrr_stack+47222, r12vrr_stack+49042, r12vrr_stack+42230);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+54593, r12vrr_stack+52682, r12vrr_stack+37472, r12vrr_stack+51317, r12vrr_stack+49952, r12vrr_stack+43400);

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+37472, r12vrr_stack+32468, r12vrr_stack+18577, r12vrr_stack+24262, r12vrr_stack+24730, NULL);

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+37577, r12vrr_stack+32559, r12vrr_stack+32468, r12vrr_stack+24340, r12vrr_stack+24262, NULL);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+37682, r12vrr_stack+37577, r12vrr_stack+37472, NULL, NULL, r12vrr_stack+32468);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+37997, r12vrr_stack+32923, r12vrr_stack+32559, r12vrr_stack+24652, r12vrr_stack+24340, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+38102, r12vrr_stack+37997, r12vrr_stack+37577, NULL, NULL, r12vrr_stack+32559);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+32468, r12vrr_stack+18577, r12vrr_stack+12628, r12vrr_stack+24730, r12vrr_stack+18973, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+38417, r12vrr_stack+37472, r12vrr_stack+32468, NULL, NULL, r12vrr_stack+18577);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+38732, r12vrr_stack+37682, r12vrr_stack+38417, r12vrr_stack+37577, r12vrr_stack+37472, r12vrr_stack+33287);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+42230, r12vrr_stack+38102, r12vrr_stack+37682, r12vrr_stack+37997, r12vrr_stack+37577, r12vrr_stack+32650);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+42860, r12vrr_stack+42230, r12vrr_stack+38732, r12vrr_stack+38102, r12vrr_stack+37682, r12vrr_stack+33560);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+37577, r12vrr_stack+24418, r12vrr_stack+32923, r12vrr_stack+18709, r12vrr_stack+24652, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+33287, r12vrr_stack+37577, r12vrr_stack+37997, NULL, NULL, r12vrr_stack+32923);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+43910, r12vrr_stack+33287, r12vrr_stack+38102, r12vrr_stack+37577, r12vrr_stack+37997, r12vrr_stack+33014);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+57141, r12vrr_stack+43910, r12vrr_stack+42230, r12vrr_stack+33287, r12vrr_stack+38102, r12vrr_stack+34106);

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+37577, r12vrr_stack+12628, r12vrr_stack+15832, r12vrr_stack+18973, r12vrr_stack+29321, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+15832, r12vrr_stack+32468, r12vrr_stack+37577, NULL, NULL, r12vrr_stack+12628);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+16147, r12vrr_stack+38417, r12vrr_stack+15832, r12vrr_stack+37472, r12vrr_stack+32468, r12vrr_stack+12719);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+32468, r12vrr_stack+38732, r12vrr_stack+16147, r12vrr_stack+37682, r12vrr_stack+38417, r12vrr_stack+25081);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+58191, r12vrr_stack+42860, r12vrr_stack+32468, r12vrr_stack+42230, r12vrr_stack+38732, r12vrr_stack+49042);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+32468, r12vrr_stack+57141, r12vrr_stack+42860, r12vrr_stack+43910, r12vrr_stack+42230, r12vrr_stack+47222);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+59766, r12vrr_stack+32468, r12vrr_stack+58191, r12vrr_stack+57141, r12vrr_stack+42860, r12vrr_stack+49952);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+57141, &(Data->ss_r12_ss), NULL, r12vrr_stack+566, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+57144, r12vrr_stack+57141, &(Data->ss_r12_ss), r12vrr_stack+569, r12vrr_stack+566, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+57150, r12vrr_stack+57144, r12vrr_stack+57141, r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+566, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+57160, r12vrr_stack+57150, r12vrr_stack+57144, r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+569, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+57175, r12vrr_stack+57160, r12vrr_stack+57150, r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+121, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+2956, r12vrr_stack+57175, r12vrr_stack+57160, r12vrr_stack+2676, r12vrr_stack+590, r12vrr_stack+575, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+57196, r12vrr_stack+2956, NULL, r12vrr_stack+2704, r12vrr_stack+2676, NULL, r12vrr_stack+590);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+57280, r12vrr_stack+57196, r12vrr_stack+2956, r12vrr_stack+2788, r12vrr_stack+2704, r12vrr_stack+2676, r12vrr_stack+2277);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+57448, r12vrr_stack+57280, r12vrr_stack+57196, r12vrr_stack+6776, r12vrr_stack+2788, r12vrr_stack+2704, r12vrr_stack+2340);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+57728, r12vrr_stack+57448, r12vrr_stack+57280, r12vrr_stack+7056, r12vrr_stack+6776, r12vrr_stack+2788, r12vrr_stack+2466);

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+57196, r12vrr_stack+2956, r12vrr_stack+57175, r12vrr_stack+4482, r12vrr_stack+2676, r12vrr_stack+590, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+57232, r12vrr_stack+57196, NULL, r12vrr_stack+4518, r12vrr_stack+4482, NULL, r12vrr_stack+2676);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+58148, r12vrr_stack+57232, r12vrr_stack+57196, r12vrr_stack+9856, r12vrr_stack+4518, r12vrr_stack+4482, r12vrr_stack+2704);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+58364, r12vrr_stack+58148, r12vrr_stack+57232, r12vrr_stack+10072, r12vrr_stack+9856, r12vrr_stack+4518, r12vrr_stack+2788);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+58724, r12vrr_stack+58364, r12vrr_stack+58148, r12vrr_stack+11332, r12vrr_stack+10072, r12vrr_stack+9856, r12vrr_stack+6776);

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+6076, r12vrr_stack+57196, r12vrr_stack+2956, r12vrr_stack+4155, r12vrr_stack+4482, r12vrr_stack+2676, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+58148, r12vrr_stack+6076, NULL, r12vrr_stack+2984, r12vrr_stack+4155, NULL, r12vrr_stack+4482);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+59264, r12vrr_stack+58148, r12vrr_stack+6076, r12vrr_stack+275, r12vrr_stack+2984, r12vrr_stack+4155, r12vrr_stack+4518);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+14932, r12vrr_stack+59264, r12vrr_stack+58148, r12vrr_stack+15382, r12vrr_stack+275, r12vrr_stack+2984, r12vrr_stack+9856);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+47222, r12vrr_stack+14932, r12vrr_stack+59264, r12vrr_stack+16957, r12vrr_stack+15382, r12vrr_stack+275, r12vrr_stack+10072);

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+57141, r12vrr_stack+6076, r12vrr_stack+57196, r12vrr_stack+7566, r12vrr_stack+4155, r12vrr_stack+4482, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+57196, r12vrr_stack+57141, NULL, r12vrr_stack+7926, r12vrr_stack+7566, NULL, r12vrr_stack+4155);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+59264, r12vrr_stack+57196, r12vrr_stack+57141, r12vrr_stack+8091, r12vrr_stack+7926, r12vrr_stack+7566, r12vrr_stack+2984);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42230, r12vrr_stack+59264, r12vrr_stack+57196, r12vrr_stack+881, r12vrr_stack+8091, r12vrr_stack+7926, r12vrr_stack+275);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+21457, r12vrr_stack+42230, r12vrr_stack+59264, r12vrr_stack+22282, r12vrr_stack+881, r12vrr_stack+8091, r12vrr_stack+15382);

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+59264, r12vrr_stack+57141, r12vrr_stack+6076, r12vrr_stack+13123, r12vrr_stack+7566, r12vrr_stack+4155, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+59330, r12vrr_stack+59264, NULL, r12vrr_stack+13189, r12vrr_stack+13123, NULL, r12vrr_stack+7566);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42780, r12vrr_stack+59330, r12vrr_stack+59264, r12vrr_stack+4626, r12vrr_stack+13189, r12vrr_stack+13123, r12vrr_stack+7926);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27782, r12vrr_stack+42780, r12vrr_stack+59330, r12vrr_stack+28442, r12vrr_stack+4626, r12vrr_stack+13189, r12vrr_stack+8091);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+29102, r12vrr_stack+27782, r12vrr_stack+42780, r12vrr_stack+30092, r12vrr_stack+28442, r12vrr_stack+4626, r12vrr_stack+881);

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42780, r12vrr_stack+59264, r12vrr_stack+57141, r12vrr_stack+18709, r12vrr_stack+13123, r12vrr_stack+7566, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+57141, r12vrr_stack+42780, NULL, r12vrr_stack+19171, r12vrr_stack+18709, NULL, r12vrr_stack+13123);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42858, r12vrr_stack+57141, r12vrr_stack+42780, r12vrr_stack+6121, r12vrr_stack+19171, r12vrr_stack+18709, r12vrr_stack+13189);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+43326, r12vrr_stack+42858, r12vrr_stack+57141, r12vrr_stack+36692, r12vrr_stack+6121, r12vrr_stack+19171, r12vrr_stack+4626);

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+49042, r12vrr_stack+43326, r12vrr_stack+42858, r12vrr_stack+39422, r12vrr_stack+36692, r12vrr_stack+6121, r12vrr_stack+28442);

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42858, r12vrr_stack+42780, r12vrr_stack+59264, r12vrr_stack+24418, r12vrr_stack+18709, r12vrr_stack+13123, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+59264, r12vrr_stack+42858, NULL, r12vrr_stack+24808, r12vrr_stack+24418, NULL, r12vrr_stack+18709);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+44106, r12vrr_stack+59264, r12vrr_stack+42858, r12vrr_stack+1431, r12vrr_stack+24808, r12vrr_stack+24418, r12vrr_stack+19171);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+50212, r12vrr_stack+44106, r12vrr_stack+59264, r12vrr_stack+48132, r12vrr_stack+1431, r12vrr_stack+24808, r12vrr_stack+6121);

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+37472, r12vrr_stack+50212, r12vrr_stack+44106, r12vrr_stack+51317, r12vrr_stack+48132, r12vrr_stack+1431, r12vrr_stack+36692);

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1431, r12vrr_stack+8484, r12vrr_stack+11872, r12vrr_stack+9072, r12vrr_stack+5488, r12vrr_stack+3642);
 tmp = r12vrr_stack + 1431;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3642, r12vrr_stack+11872, r12vrr_stack+17632, r12vrr_stack+13924, r12vrr_stack+9072, r12vrr_stack+8484);
 tmp = r12vrr_stack + 3642;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4398, r12vrr_stack+17632, r12vrr_stack+23107, r12vrr_stack+20197, r12vrr_stack+13924, r12vrr_stack+11872);
 tmp = r12vrr_stack + 4398;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5343, r12vrr_stack+23107, r12vrr_stack+31082, r12vrr_stack+26242, r12vrr_stack+20197, r12vrr_stack+17632);
 tmp = r12vrr_stack + 5343;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+18577, r12vrr_stack+31082, r12vrr_stack+40592, r12vrr_stack+34844, r12vrr_stack+26242, r12vrr_stack+23107);
 tmp = r12vrr_stack + 18577;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+24262, r12vrr_stack+40592, r12vrr_stack+52682, r12vrr_stack+45038, r12vrr_stack+34844, r12vrr_stack+31082);
 tmp = r12vrr_stack + 24262;
 target_ptr = Libr12->t2vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+61971, r12vrr_stack+52682, r12vrr_stack+59766, r12vrr_stack+54593, r12vrr_stack+45038, r12vrr_stack+40592);
 tmp = r12vrr_stack + 61971;
 target_ptr = Libr12->t2vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2019, r12vrr_stack+8484, r12vrr_stack+9072, r12vrr_stack+11872, r12vrr_stack+11332, r12vrr_stack+7056);
 tmp = r12vrr_stack + 2019;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9072, r12vrr_stack+11872, r12vrr_stack+13924, r12vrr_stack+17632, r12vrr_stack+16957, r12vrr_stack+11332);
 tmp = r12vrr_stack + 9072;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15832, r12vrr_stack+17632, r12vrr_stack+20197, r12vrr_stack+23107, r12vrr_stack+22282, r12vrr_stack+16957);
 tmp = r12vrr_stack + 15832;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12628, r12vrr_stack+23107, r12vrr_stack+26242, r12vrr_stack+31082, r12vrr_stack+30092, r12vrr_stack+22282);
 tmp = r12vrr_stack + 12628;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+19963, r12vrr_stack+31082, r12vrr_stack+34844, r12vrr_stack+40592, r12vrr_stack+39422, r12vrr_stack+30092);
 tmp = r12vrr_stack + 19963;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+34043, r12vrr_stack+40592, r12vrr_stack+45038, r12vrr_stack+52682, r12vrr_stack+51317, r12vrr_stack+39422);
 tmp = r12vrr_stack + 34043;
 target_ptr = Libr12->t1vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+44106, r12vrr_stack+52682, r12vrr_stack+54593, r12vrr_stack+59766, r12vrr_stack+32468, r12vrr_stack+51317);
 tmp = r12vrr_stack + 44106;
 target_ptr = Libr12->t1vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+32468, r12vrr_stack+57728, r12vrr_stack+57448, r12vrr_stack+8484, r12vrr_stack+7056, r12vrr_stack+6776, r12vrr_stack+3327);
 tmp = r12vrr_stack + 32468;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+33056, r12vrr_stack+58724, r12vrr_stack+58364, r12vrr_stack+11872, r12vrr_stack+11332, r12vrr_stack+10072, r12vrr_stack+7056);
 tmp = r12vrr_stack + 33056;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+54593, r12vrr_stack+47222, r12vrr_stack+14932, r12vrr_stack+17632, r12vrr_stack+16957, r12vrr_stack+15382, r12vrr_stack+11332);
 tmp = r12vrr_stack + 54593;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+55538, r12vrr_stack+21457, r12vrr_stack+42230, r12vrr_stack+23107, r12vrr_stack+22282, r12vrr_stack+881, r12vrr_stack+16957);
 tmp = r12vrr_stack + 55538;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+56693, r12vrr_stack+29102, r12vrr_stack+27782, r12vrr_stack+31082, r12vrr_stack+30092, r12vrr_stack+28442, r12vrr_stack+22282);
 tmp = r12vrr_stack + 56693;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+58079, r12vrr_stack+49042, r12vrr_stack+43326, r12vrr_stack+40592, r12vrr_stack+39422, r12vrr_stack+36692, r12vrr_stack+30092);
 tmp = r12vrr_stack + 58079;
 target_ptr = Libr12->rvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+40592, r12vrr_stack+37472, r12vrr_stack+50212, r12vrr_stack+52682, r12vrr_stack+51317, r12vrr_stack+48132, r12vrr_stack+39422);
 tmp = r12vrr_stack + 40592;
 target_ptr = Libr12->rvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];


}

