#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_hdgf(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+4);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+27, r12vrr_stack+15, NULL, NULL, Data->F+3);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+27, r12vrr_stack+15, r12vrr_stack+3);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+6);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+15, r12vrr_stack+12, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+123, r12vrr_stack+27, r12vrr_stack+15, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+129, r12vrr_stack+12, r12vrr_stack+39, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+135, r12vrr_stack+117, r12vrr_stack+129, NULL, NULL, r12vrr_stack+12);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+153, r12vrr_stack+123, r12vrr_stack+117, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+171, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+18);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+207, r12vrr_stack+27, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+216, r12vrr_stack+210, r12vrr_stack+123, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+234, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+30);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+39, r12vrr_stack+30, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+270, r12vrr_stack+129, r12vrr_stack+33, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+288, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+42);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+324, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+51);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+384, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+69);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+444, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+87);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+534, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+544, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+27, r12vrr_stack+15, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+554, r12vrr_stack+544, r12vrr_stack+534, NULL, NULL, r12vrr_stack+117);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+584, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+207, r12vrr_stack+27, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+594, r12vrr_stack+584, r12vrr_stack+544, NULL, NULL, r12vrr_stack+123);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+624, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+634, r12vrr_stack+534, r12vrr_stack+624, NULL, NULL, r12vrr_stack+129);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+664, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+135);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+724, r12vrr_stack+594, r12vrr_stack+554, r12vrr_stack+584, r12vrr_stack+544, r12vrr_stack+153);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+784, r12vrr_stack+724, r12vrr_stack+664, r12vrr_stack+594, r12vrr_stack+554, r12vrr_stack+171);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+153, r12vrr_stack+27, r12vrr_stack+207, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+159, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+27, r12vrr_stack+207, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+884, r12vrr_stack+159, r12vrr_stack+584, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+914, r12vrr_stack+884, r12vrr_stack+594, r12vrr_stack+159, r12vrr_stack+584, r12vrr_stack+216);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+974, r12vrr_stack+914, r12vrr_stack+724, r12vrr_stack+884, r12vrr_stack+594, r12vrr_stack+234);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+216, r12vrr_stack+30, r12vrr_stack+207, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+222, r12vrr_stack+33, r12vrr_stack+216, r12vrr_stack+39, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+232, r12vrr_stack+624, r12vrr_stack+222, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1074, r12vrr_stack+634, r12vrr_stack+232, r12vrr_stack+534, r12vrr_stack+624, r12vrr_stack+270);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1134, r12vrr_stack+664, r12vrr_stack+1074, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+288);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1234, r12vrr_stack+784, r12vrr_stack+1134, r12vrr_stack+724, r12vrr_stack+664, r12vrr_stack+324);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1384, r12vrr_stack+974, r12vrr_stack+784, r12vrr_stack+914, r12vrr_stack+724, r12vrr_stack+384);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1384, r12vrr_stack+1234, r12vrr_stack+974, r12vrr_stack+784, r12vrr_stack+444);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+15, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+262, r12vrr_stack+0, r12vrr_stack+15, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+1744, r12vrr_stack+6, r12vrr_stack+262, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1754, r12vrr_stack+39, r12vrr_stack+30, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1763, r12vrr_stack+42, r12vrr_stack+1754, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+15);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1781, r12vrr_stack+51, r12vrr_stack+1763, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+262);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+1811, r12vrr_stack+87, r12vrr_stack+1781, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+1744);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+69, r12vrr_stack+33, r12vrr_stack+216, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1856, r12vrr_stack+270, r12vrr_stack+69, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+1754);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1892, r12vrr_stack+288, r12vrr_stack+1856, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+1763);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+1952, r12vrr_stack+324, r12vrr_stack+1892, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+1781);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+2042, r12vrr_stack+444, r12vrr_stack+1952, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+1811);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+384, r12vrr_stack+207, r12vrr_stack+12, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+390, r12vrr_stack+216, r12vrr_stack+384, r12vrr_stack+30, r12vrr_stack+207, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+400, r12vrr_stack+222, r12vrr_stack+390, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2168, r12vrr_stack+232, r12vrr_stack+400, r12vrr_stack+624, r12vrr_stack+222, r12vrr_stack+69);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2228, r12vrr_stack+1074, r12vrr_stack+2168, r12vrr_stack+634, r12vrr_stack+232, r12vrr_stack+1856);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+2328, r12vrr_stack+1134, r12vrr_stack+2228, r12vrr_stack+664, r12vrr_stack+1074, r12vrr_stack+1892);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2478, r12vrr_stack+1234, r12vrr_stack+2328, r12vrr_stack+784, r12vrr_stack+1134, r12vrr_stack+1952);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2688, r12vrr_stack+1534, r12vrr_stack+2478, r12vrr_stack+1384, r12vrr_stack+1234, r12vrr_stack+2042);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+135, r12vrr_stack+534, r12vrr_stack+624, r12vrr_stack+117, r12vrr_stack+129, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+169, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+123, r12vrr_stack+117, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+184, r12vrr_stack+624, r12vrr_stack+222, r12vrr_stack+129, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2968, r12vrr_stack+135, r12vrr_stack+184, NULL, NULL, r12vrr_stack+624);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3013, r12vrr_stack+169, r12vrr_stack+135, NULL, NULL, r12vrr_stack+534);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3058, r12vrr_stack+3013, r12vrr_stack+2968, r12vrr_stack+169, r12vrr_stack+135, r12vrr_stack+634);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+634, r12vrr_stack+584, r12vrr_stack+544, r12vrr_stack+210, r12vrr_stack+123, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3148, r12vrr_stack+634, r12vrr_stack+169, NULL, NULL, r12vrr_stack+544);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3193, r12vrr_stack+3148, r12vrr_stack+3013, r12vrr_stack+634, r12vrr_stack+169, r12vrr_stack+554);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+649, r12vrr_stack+222, r12vrr_stack+390, r12vrr_stack+33, r12vrr_stack+216, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3283, r12vrr_stack+184, r12vrr_stack+649, NULL, NULL, r12vrr_stack+222);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3328, r12vrr_stack+2968, r12vrr_stack+3283, r12vrr_stack+135, r12vrr_stack+184, r12vrr_stack+232);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3418, r12vrr_stack+3058, r12vrr_stack+3328, r12vrr_stack+3013, r12vrr_stack+2968, r12vrr_stack+1074);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3568, r12vrr_stack+3193, r12vrr_stack+3058, r12vrr_stack+3148, r12vrr_stack+3013, r12vrr_stack+664);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3718, r12vrr_stack+3568, r12vrr_stack+3418, r12vrr_stack+3193, r12vrr_stack+3058, r12vrr_stack+1134);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+664, r12vrr_stack+159, r12vrr_stack+584, r12vrr_stack+153, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+679, r12vrr_stack+664, r12vrr_stack+634, NULL, NULL, r12vrr_stack+584);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3943, r12vrr_stack+679, r12vrr_stack+3148, r12vrr_stack+664, r12vrr_stack+634, r12vrr_stack+594);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4033, r12vrr_stack+3943, r12vrr_stack+3193, r12vrr_stack+679, r12vrr_stack+3148, r12vrr_stack+724);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4183, r12vrr_stack+4033, r12vrr_stack+3568, r12vrr_stack+3943, r12vrr_stack+3193, r12vrr_stack+784);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+150, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+12, r12vrr_stack+150, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+724, r12vrr_stack+384, r12vrr_stack+210, r12vrr_stack+207, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+734, r12vrr_stack+390, r12vrr_stack+724, r12vrr_stack+216, r12vrr_stack+384, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+749, r12vrr_stack+649, r12vrr_stack+734, NULL, NULL, r12vrr_stack+390);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+794, r12vrr_stack+3283, r12vrr_stack+749, r12vrr_stack+184, r12vrr_stack+649, r12vrr_stack+400);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4408, r12vrr_stack+3328, r12vrr_stack+794, r12vrr_stack+2968, r12vrr_stack+3283, r12vrr_stack+2168);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4558, r12vrr_stack+3418, r12vrr_stack+4408, r12vrr_stack+3058, r12vrr_stack+3328, r12vrr_stack+2228);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4783, r12vrr_stack+3718, r12vrr_stack+4558, r12vrr_stack+3568, r12vrr_stack+3418, r12vrr_stack+2328);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5098, r12vrr_stack+4183, r12vrr_stack+3718, r12vrr_stack+4033, r12vrr_stack+3568, r12vrr_stack+1234);
 tmp = r12vrr_stack + 5098;
 target_ptr = Libr12->gvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5413, r12vrr_stack+5098, r12vrr_stack+4783, r12vrr_stack+4183, r12vrr_stack+3718, r12vrr_stack+2478);
 tmp = r12vrr_stack + 5413;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+594, r12vrr_stack+135, r12vrr_stack+184, r12vrr_stack+534, r12vrr_stack+624, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+169, r12vrr_stack+135, r12vrr_stack+544, r12vrr_stack+534, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5833, r12vrr_stack+554, r12vrr_stack+594, NULL, NULL, r12vrr_stack+135);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5896, r12vrr_stack+634, r12vrr_stack+169, r12vrr_stack+584, r12vrr_stack+544, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5917, r12vrr_stack+5896, r12vrr_stack+554, NULL, NULL, r12vrr_stack+169);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5980, r12vrr_stack+184, r12vrr_stack+649, r12vrr_stack+624, r12vrr_stack+222, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6001, r12vrr_stack+594, r12vrr_stack+5980, NULL, NULL, r12vrr_stack+184);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6064, r12vrr_stack+5833, r12vrr_stack+6001, r12vrr_stack+554, r12vrr_stack+594, r12vrr_stack+2968);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6190, r12vrr_stack+5917, r12vrr_stack+5833, r12vrr_stack+5896, r12vrr_stack+554, r12vrr_stack+3013);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6316, r12vrr_stack+6190, r12vrr_stack+6064, r12vrr_stack+5917, r12vrr_stack+5833, r12vrr_stack+3058);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2968, r12vrr_stack+664, r12vrr_stack+634, r12vrr_stack+159, r12vrr_stack+584, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2989, r12vrr_stack+2968, r12vrr_stack+5896, NULL, NULL, r12vrr_stack+634);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6526, r12vrr_stack+2989, r12vrr_stack+5917, r12vrr_stack+2968, r12vrr_stack+5896, r12vrr_stack+3148);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6652, r12vrr_stack+6526, r12vrr_stack+6190, r12vrr_stack+2989, r12vrr_stack+5917, r12vrr_stack+3193);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3052, r12vrr_stack+649, r12vrr_stack+734, r12vrr_stack+222, r12vrr_stack+390, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3073, r12vrr_stack+5980, r12vrr_stack+3052, NULL, NULL, r12vrr_stack+649);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3136, r12vrr_stack+6001, r12vrr_stack+3073, r12vrr_stack+594, r12vrr_stack+5980, r12vrr_stack+3283);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6862, r12vrr_stack+6064, r12vrr_stack+3136, r12vrr_stack+5833, r12vrr_stack+6001, r12vrr_stack+3328);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7072, r12vrr_stack+6316, r12vrr_stack+6862, r12vrr_stack+6190, r12vrr_stack+6064, r12vrr_stack+3418);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7387, r12vrr_stack+6652, r12vrr_stack+6316, r12vrr_stack+6526, r12vrr_stack+6190, r12vrr_stack+3568);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7702, r12vrr_stack+7387, r12vrr_stack+7072, r12vrr_stack+6652, r12vrr_stack+6316, r12vrr_stack+3718);
 tmp = r12vrr_stack + 7702;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3568, r12vrr_stack+150, r12vrr_stack+3, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3574, r12vrr_stack+210, r12vrr_stack+3568, r12vrr_stack+12, r12vrr_stack+150, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3584, r12vrr_stack+724, r12vrr_stack+3574, r12vrr_stack+384, r12vrr_stack+210, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3262, r12vrr_stack+734, r12vrr_stack+3584, r12vrr_stack+390, r12vrr_stack+724, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3599, r12vrr_stack+3052, r12vrr_stack+3262, NULL, NULL, r12vrr_stack+734);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8143, r12vrr_stack+3073, r12vrr_stack+3599, r12vrr_stack+5980, r12vrr_stack+3052, r12vrr_stack+749);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8269, r12vrr_stack+3136, r12vrr_stack+8143, r12vrr_stack+6001, r12vrr_stack+3073, r12vrr_stack+794);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8479, r12vrr_stack+6862, r12vrr_stack+8269, r12vrr_stack+6064, r12vrr_stack+3136, r12vrr_stack+4408);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8794, r12vrr_stack+7072, r12vrr_stack+8479, r12vrr_stack+6316, r12vrr_stack+6862, r12vrr_stack+4558);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9235, r12vrr_stack+7702, r12vrr_stack+8794, r12vrr_stack+7387, r12vrr_stack+7072, r12vrr_stack+4783);
 tmp = r12vrr_stack + 9235;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3662, r12vrr_stack+594, r12vrr_stack+5980, r12vrr_stack+135, r12vrr_stack+184, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3690, r12vrr_stack+554, r12vrr_stack+594, r12vrr_stack+169, r12vrr_stack+135, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9823, r12vrr_stack+3690, r12vrr_stack+3662, NULL, NULL, r12vrr_stack+594);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+117, r12vrr_stack+5896, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+169, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9907, r12vrr_stack+117, r12vrr_stack+3690, NULL, NULL, r12vrr_stack+554);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9991, r12vrr_stack+5980, r12vrr_stack+3052, r12vrr_stack+184, r12vrr_stack+649, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10019, r12vrr_stack+3662, r12vrr_stack+9991, NULL, NULL, r12vrr_stack+5980);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10103, r12vrr_stack+9823, r12vrr_stack+10019, r12vrr_stack+3690, r12vrr_stack+3662, r12vrr_stack+6001);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10271, r12vrr_stack+9907, r12vrr_stack+9823, r12vrr_stack+117, r12vrr_stack+3690, r12vrr_stack+5833);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10439, r12vrr_stack+10271, r12vrr_stack+10103, r12vrr_stack+9907, r12vrr_stack+9823, r12vrr_stack+6064);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5833, r12vrr_stack+2968, r12vrr_stack+5896, r12vrr_stack+664, r12vrr_stack+634, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6001, r12vrr_stack+5833, r12vrr_stack+117, NULL, NULL, r12vrr_stack+5896);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10719, r12vrr_stack+6001, r12vrr_stack+9907, r12vrr_stack+5833, r12vrr_stack+117, r12vrr_stack+5917);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10887, r12vrr_stack+10719, r12vrr_stack+10271, r12vrr_stack+6001, r12vrr_stack+9907, r12vrr_stack+6190);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5917, r12vrr_stack+3052, r12vrr_stack+3262, r12vrr_stack+649, r12vrr_stack+734, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6085, r12vrr_stack+9991, r12vrr_stack+5917, NULL, NULL, r12vrr_stack+3052);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11167, r12vrr_stack+10019, r12vrr_stack+6085, r12vrr_stack+3662, r12vrr_stack+9991, r12vrr_stack+3073);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11335, r12vrr_stack+10103, r12vrr_stack+11167, r12vrr_stack+9823, r12vrr_stack+10019, r12vrr_stack+3136);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11615, r12vrr_stack+10439, r12vrr_stack+11335, r12vrr_stack+10271, r12vrr_stack+10103, r12vrr_stack+6862);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12035, r12vrr_stack+10887, r12vrr_stack+10439, r12vrr_stack+10719, r12vrr_stack+10271, r12vrr_stack+6316);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12455, r12vrr_stack+12035, r12vrr_stack+11615, r12vrr_stack+10887, r12vrr_stack+10439, r12vrr_stack+7072);
 tmp = r12vrr_stack + 12455;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+5945, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5948, r12vrr_stack+3, r12vrr_stack+5945, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5954, r12vrr_stack+3568, r12vrr_stack+5948, r12vrr_stack+150, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5964, r12vrr_stack+3574, r12vrr_stack+5954, r12vrr_stack+210, r12vrr_stack+3568, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5861, r12vrr_stack+3584, r12vrr_stack+5964, r12vrr_stack+724, r12vrr_stack+3574, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6169, r12vrr_stack+3262, r12vrr_stack+5861, r12vrr_stack+734, r12vrr_stack+3584, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6197, r12vrr_stack+5917, r12vrr_stack+6169, NULL, NULL, r12vrr_stack+3262);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6281, r12vrr_stack+6085, r12vrr_stack+6197, r12vrr_stack+9991, r12vrr_stack+5917, r12vrr_stack+3599);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13043, r12vrr_stack+11167, r12vrr_stack+6281, r12vrr_stack+10019, r12vrr_stack+6085, r12vrr_stack+8143);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13323, r12vrr_stack+11335, r12vrr_stack+13043, r12vrr_stack+10103, r12vrr_stack+11167, r12vrr_stack+8269);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13743, r12vrr_stack+11615, r12vrr_stack+13323, r12vrr_stack+10439, r12vrr_stack+11335, r12vrr_stack+8479);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14331, r12vrr_stack+12455, r12vrr_stack+13743, r12vrr_stack+12035, r12vrr_stack+11615, r12vrr_stack+8794);
 tmp = r12vrr_stack + 14331;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6449, r12vrr_stack+3662, r12vrr_stack+9991, r12vrr_stack+594, r12vrr_stack+5980, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6485, r12vrr_stack+3690, r12vrr_stack+3662, r12vrr_stack+554, r12vrr_stack+594, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15115, r12vrr_stack+6485, r12vrr_stack+6449, NULL, NULL, r12vrr_stack+3662);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+169, r12vrr_stack+117, r12vrr_stack+3690, r12vrr_stack+5896, r12vrr_stack+554, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+534, r12vrr_stack+169, r12vrr_stack+6485, NULL, NULL, r12vrr_stack+3690);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15223, r12vrr_stack+9991, r12vrr_stack+5917, r12vrr_stack+5980, r12vrr_stack+3052, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15259, r12vrr_stack+6449, r12vrr_stack+15223, NULL, NULL, r12vrr_stack+9991);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15367, r12vrr_stack+15115, r12vrr_stack+15259, r12vrr_stack+6485, r12vrr_stack+6449, r12vrr_stack+10019);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15583, r12vrr_stack+534, r12vrr_stack+15115, r12vrr_stack+169, r12vrr_stack+6485, r12vrr_stack+9823);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15799, r12vrr_stack+15583, r12vrr_stack+15367, r12vrr_stack+534, r12vrr_stack+15115, r12vrr_stack+10103);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9823, r12vrr_stack+5833, r12vrr_stack+117, r12vrr_stack+2968, r12vrr_stack+5896, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10019, r12vrr_stack+9823, r12vrr_stack+169, NULL, NULL, r12vrr_stack+117);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16159, r12vrr_stack+10019, r12vrr_stack+534, r12vrr_stack+9823, r12vrr_stack+169, r12vrr_stack+9907);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16375, r12vrr_stack+16159, r12vrr_stack+15583, r12vrr_stack+10019, r12vrr_stack+534, r12vrr_stack+10271);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9859, r12vrr_stack+5917, r12vrr_stack+6169, r12vrr_stack+3052, r12vrr_stack+3262, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10127, r12vrr_stack+15223, r12vrr_stack+9859, NULL, NULL, r12vrr_stack+5917);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16735, r12vrr_stack+15259, r12vrr_stack+10127, r12vrr_stack+6449, r12vrr_stack+15223, r12vrr_stack+6085);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16951, r12vrr_stack+15367, r12vrr_stack+16735, r12vrr_stack+15115, r12vrr_stack+15259, r12vrr_stack+11167);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17311, r12vrr_stack+15799, r12vrr_stack+16951, r12vrr_stack+15583, r12vrr_stack+15367, r12vrr_stack+11335);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17851, r12vrr_stack+16375, r12vrr_stack+15799, r12vrr_stack+16159, r12vrr_stack+15583, r12vrr_stack+10439);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18391, r12vrr_stack+17851, r12vrr_stack+17311, r12vrr_stack+16375, r12vrr_stack+15799, r12vrr_stack+11615);
 tmp = r12vrr_stack + 18391;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9895, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9898, r12vrr_stack+5945, r12vrr_stack+9895, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+9904, r12vrr_stack+5948, r12vrr_stack+9898, r12vrr_stack+3, r12vrr_stack+5945, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+9914, r12vrr_stack+5954, r12vrr_stack+9904, r12vrr_stack+3568, r12vrr_stack+5948, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9929, r12vrr_stack+5964, r12vrr_stack+9914, r12vrr_stack+3574, r12vrr_stack+5954, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9950, r12vrr_stack+5861, r12vrr_stack+9929, r12vrr_stack+3584, r12vrr_stack+5964, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10235, r12vrr_stack+6169, r12vrr_stack+9950, r12vrr_stack+3262, r12vrr_stack+5861, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10271, r12vrr_stack+9859, r12vrr_stack+10235, NULL, NULL, r12vrr_stack+6169);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10379, r12vrr_stack+10127, r12vrr_stack+10271, r12vrr_stack+15223, r12vrr_stack+9859, r12vrr_stack+6197);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19147, r12vrr_stack+16735, r12vrr_stack+10379, r12vrr_stack+15259, r12vrr_stack+10127, r12vrr_stack+6281);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19507, r12vrr_stack+16951, r12vrr_stack+19147, r12vrr_stack+15367, r12vrr_stack+16735, r12vrr_stack+13043);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20047, r12vrr_stack+17311, r12vrr_stack+19507, r12vrr_stack+15799, r12vrr_stack+16951, r12vrr_stack+13323);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20803, r12vrr_stack+18391, r12vrr_stack+20047, r12vrr_stack+17851, r12vrr_stack+17311, r12vrr_stack+13743);
 tmp = r12vrr_stack + 20803;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10595, r12vrr_stack+6449, r12vrr_stack+15223, r12vrr_stack+3662, r12vrr_stack+9991, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10640, r12vrr_stack+6485, r12vrr_stack+6449, r12vrr_stack+3690, r12vrr_stack+3662, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21811, r12vrr_stack+10640, r12vrr_stack+10595, NULL, NULL, r12vrr_stack+6449);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21946, r12vrr_stack+169, r12vrr_stack+6485, r12vrr_stack+117, r12vrr_stack+3690, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21991, r12vrr_stack+21946, r12vrr_stack+10640, NULL, NULL, r12vrr_stack+6485);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6449, r12vrr_stack+15223, r12vrr_stack+9859, r12vrr_stack+9991, r12vrr_stack+5917, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22126, r12vrr_stack+10595, r12vrr_stack+6449, NULL, NULL, r12vrr_stack+15223);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22261, r12vrr_stack+21811, r12vrr_stack+22126, r12vrr_stack+10640, r12vrr_stack+10595, r12vrr_stack+15259);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22531, r12vrr_stack+21991, r12vrr_stack+21811, r12vrr_stack+21946, r12vrr_stack+10640, r12vrr_stack+15115);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22801, r12vrr_stack+22531, r12vrr_stack+22261, r12vrr_stack+21991, r12vrr_stack+21811, r12vrr_stack+15367);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15115, r12vrr_stack+9823, r12vrr_stack+169, r12vrr_stack+5833, r12vrr_stack+117, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15160, r12vrr_stack+15115, r12vrr_stack+21946, NULL, NULL, r12vrr_stack+169);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15295, r12vrr_stack+15160, r12vrr_stack+21991, r12vrr_stack+15115, r12vrr_stack+21946, r12vrr_stack+534);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23251, r12vrr_stack+15295, r12vrr_stack+22531, r12vrr_stack+15160, r12vrr_stack+21991, r12vrr_stack+15583);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+534, r12vrr_stack+9859, r12vrr_stack+10235, r12vrr_stack+5917, r12vrr_stack+6169, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21946, r12vrr_stack+6449, r12vrr_stack+534, NULL, NULL, r12vrr_stack+9859);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23701, r12vrr_stack+22126, r12vrr_stack+21946, r12vrr_stack+10595, r12vrr_stack+6449, r12vrr_stack+10127);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23971, r12vrr_stack+22261, r12vrr_stack+23701, r12vrr_stack+21811, r12vrr_stack+22126, r12vrr_stack+16735);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24421, r12vrr_stack+22801, r12vrr_stack+23971, r12vrr_stack+22531, r12vrr_stack+22261, r12vrr_stack+16951);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25096, r12vrr_stack+23251, r12vrr_stack+22801, r12vrr_stack+15295, r12vrr_stack+22531, r12vrr_stack+15799);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15115, r12vrr_stack+25096, r12vrr_stack+24421, r12vrr_stack+23251, r12vrr_stack+22801, r12vrr_stack+17311);
 tmp = r12vrr_stack + 15115;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+3568, r12vrr_stack+15, r12vrr_stack+3, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+23251, r12vrr_stack+262, r12vrr_stack+3568, r12vrr_stack+0, r12vrr_stack+15, NULL);

 /*--- compute (g0|00)^3 ---*/
 _BUILD_g000(Data,r12vrr_stack+23261, r12vrr_stack+1744, r12vrr_stack+23251, r12vrr_stack+6, r12vrr_stack+262, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+30, r12vrr_stack+207, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+23276, r12vrr_stack+1754, r12vrr_stack+18, r12vrr_stack+39, r12vrr_stack+30, r12vrr_stack+3);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+23294, r12vrr_stack+1763, r12vrr_stack+23276, r12vrr_stack+42, r12vrr_stack+1754, r12vrr_stack+3568);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+22081, r12vrr_stack+1781, r12vrr_stack+23294, r12vrr_stack+51, r12vrr_stack+1763, r12vrr_stack+23251);

 /*--- compute (h0|p0)^2 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+23324, r12vrr_stack+1811, r12vrr_stack+22081, r12vrr_stack+87, r12vrr_stack+1781, r12vrr_stack+23261);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+216, r12vrr_stack+384, NULL, NULL, r12vrr_stack+207);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+105, r12vrr_stack+69, r12vrr_stack+87, r12vrr_stack+33, r12vrr_stack+216, r12vrr_stack+18);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+23387, r12vrr_stack+1856, r12vrr_stack+105, r12vrr_stack+270, r12vrr_stack+69, r12vrr_stack+23276);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+23447, r12vrr_stack+1892, r12vrr_stack+23387, r12vrr_stack+288, r12vrr_stack+1856, r12vrr_stack+23294);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+23537, r12vrr_stack+1952, r12vrr_stack+23447, r12vrr_stack+324, r12vrr_stack+1892, r12vrr_stack+22081);

 /*--- compute (i0|d0)^1 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+22531, r12vrr_stack+2042, r12vrr_stack+23537, r12vrr_stack+444, r12vrr_stack+1952, r12vrr_stack+23324);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+33, r12vrr_stack+390, r12vrr_stack+724, NULL, NULL, r12vrr_stack+384);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+22699, r12vrr_stack+400, r12vrr_stack+33, r12vrr_stack+222, r12vrr_stack+390, r12vrr_stack+87);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+21811, r12vrr_stack+2168, r12vrr_stack+22699, r12vrr_stack+232, r12vrr_stack+400, r12vrr_stack+105);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+25771, r12vrr_stack+2228, r12vrr_stack+21811, r12vrr_stack+1074, r12vrr_stack+2168, r12vrr_stack+23387);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+25921, r12vrr_stack+2328, r12vrr_stack+25771, r12vrr_stack+1134, r12vrr_stack+2228, r12vrr_stack+23447);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+26131, r12vrr_stack+2478, r12vrr_stack+25921, r12vrr_stack+1234, r12vrr_stack+2328, r12vrr_stack+23537);

 /*--- compute (k0|f0)^0 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+26411, r12vrr_stack+2688, r12vrr_stack+26131, r12vrr_stack+1534, r12vrr_stack+2478, r12vrr_stack+22531);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1074, r12vrr_stack+734, r12vrr_stack+3584, NULL, NULL, r12vrr_stack+724);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1119, r12vrr_stack+749, r12vrr_stack+1074, r12vrr_stack+649, r12vrr_stack+734, r12vrr_stack+33);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1209, r12vrr_stack+794, r12vrr_stack+1119, r12vrr_stack+3283, r12vrr_stack+749, r12vrr_stack+22699);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+26771, r12vrr_stack+4408, r12vrr_stack+1209, r12vrr_stack+3328, r12vrr_stack+794, r12vrr_stack+21811);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+26996, r12vrr_stack+4558, r12vrr_stack+26771, r12vrr_stack+3418, r12vrr_stack+4408, r12vrr_stack+25771);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+27311, r12vrr_stack+4783, r12vrr_stack+26996, r12vrr_stack+3718, r12vrr_stack+4558, r12vrr_stack+25921);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+27731, r12vrr_stack+5413, r12vrr_stack+27311, r12vrr_stack+5098, r12vrr_stack+4783, r12vrr_stack+26131);
 tmp = r12vrr_stack + 27731;
 target_ptr = Libr12->gvrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3283, r12vrr_stack+3262, r12vrr_stack+5861, NULL, NULL, r12vrr_stack+3584);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3346, r12vrr_stack+3599, r12vrr_stack+3283, r12vrr_stack+3052, r12vrr_stack+3262, r12vrr_stack+1074);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3662, r12vrr_stack+8143, r12vrr_stack+3346, r12vrr_stack+3073, r12vrr_stack+3599, r12vrr_stack+1119);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+28271, r12vrr_stack+8269, r12vrr_stack+3662, r12vrr_stack+3136, r12vrr_stack+8143, r12vrr_stack+1209);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+28586, r12vrr_stack+8479, r12vrr_stack+28271, r12vrr_stack+6862, r12vrr_stack+8269, r12vrr_stack+26771);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+29027, r12vrr_stack+8794, r12vrr_stack+28586, r12vrr_stack+7072, r12vrr_stack+8479, r12vrr_stack+26996);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+29615, r12vrr_stack+9235, r12vrr_stack+29027, r12vrr_stack+7702, r12vrr_stack+8794, r12vrr_stack+27311);
 tmp = r12vrr_stack + 29615;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6862, r12vrr_stack+6169, r12vrr_stack+9950, NULL, NULL, r12vrr_stack+5861);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6946, r12vrr_stack+6197, r12vrr_stack+6862, r12vrr_stack+5917, r12vrr_stack+6169, r12vrr_stack+3283);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30371, r12vrr_stack+6281, r12vrr_stack+6946, r12vrr_stack+6085, r12vrr_stack+6197, r12vrr_stack+3346);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30651, r12vrr_stack+13043, r12vrr_stack+30371, r12vrr_stack+11167, r12vrr_stack+6281, r12vrr_stack+3662);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31071, r12vrr_stack+13323, r12vrr_stack+30651, r12vrr_stack+11335, r12vrr_stack+13043, r12vrr_stack+28271);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31659, r12vrr_stack+13743, r12vrr_stack+31071, r12vrr_stack+11615, r12vrr_stack+13323, r12vrr_stack+28586);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+32443, r12vrr_stack+14331, r12vrr_stack+31659, r12vrr_stack+12455, r12vrr_stack+13743, r12vrr_stack+29027);
 tmp = r12vrr_stack + 32443;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+63, r12vrr_stack+9895, r12vrr_stack+0, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+11167, r12vrr_stack+9898, r12vrr_stack+63, r12vrr_stack+5945, r12vrr_stack+9895, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+11177, r12vrr_stack+9904, r12vrr_stack+11167, r12vrr_stack+5948, r12vrr_stack+9898, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11192, r12vrr_stack+9914, r12vrr_stack+11177, r12vrr_stack+5954, r12vrr_stack+9904, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11213, r12vrr_stack+9929, r12vrr_stack+11192, r12vrr_stack+5964, r12vrr_stack+9914, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11241, r12vrr_stack+9950, r12vrr_stack+11213, r12vrr_stack+5861, r12vrr_stack+9929, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11277, r12vrr_stack+10235, r12vrr_stack+11241, NULL, NULL, r12vrr_stack+9950);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11385, r12vrr_stack+10271, r12vrr_stack+11277, r12vrr_stack+9859, r12vrr_stack+10235, r12vrr_stack+6862);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11601, r12vrr_stack+10379, r12vrr_stack+11385, r12vrr_stack+10127, r12vrr_stack+10271, r12vrr_stack+6946);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+33451, r12vrr_stack+19147, r12vrr_stack+11601, r12vrr_stack+16735, r12vrr_stack+10379, r12vrr_stack+30371);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+33991, r12vrr_stack+19507, r12vrr_stack+33451, r12vrr_stack+16951, r12vrr_stack+19147, r12vrr_stack+30651);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+34747, r12vrr_stack+20047, r12vrr_stack+33991, r12vrr_stack+17311, r12vrr_stack+19507, r12vrr_stack+31071);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35755, r12vrr_stack+20803, r12vrr_stack+34747, r12vrr_stack+18391, r12vrr_stack+20047, r12vrr_stack+31659);
 tmp = r12vrr_stack + 35755;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16735, r12vrr_stack+10235, r12vrr_stack+11241, r12vrr_stack+6169, r12vrr_stack+9950, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16780, r12vrr_stack+534, r12vrr_stack+16735, NULL, NULL, r12vrr_stack+10235);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16915, r12vrr_stack+21946, r12vrr_stack+16780, r12vrr_stack+6449, r12vrr_stack+534, r12vrr_stack+10271);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37051, r12vrr_stack+23701, r12vrr_stack+16915, r12vrr_stack+22126, r12vrr_stack+21946, r12vrr_stack+10379);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37501, r12vrr_stack+23971, r12vrr_stack+37051, r12vrr_stack+22261, r12vrr_stack+23701, r12vrr_stack+19147);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38176, r12vrr_stack+24421, r12vrr_stack+37501, r12vrr_stack+22801, r12vrr_stack+23971, r12vrr_stack+19507);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39121, r12vrr_stack+15115, r12vrr_stack+38176, r12vrr_stack+25096, r12vrr_stack+24421, r12vrr_stack+20047);
 tmp = r12vrr_stack + 39121;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+22126, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+22126, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+22129, r12vrr_stack+3568, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, NULL);

 /*--- compute (g0|00)^4 ---*/
 _BUILD_g000(Data,r12vrr_stack+22139, r12vrr_stack+23251, r12vrr_stack+22129, r12vrr_stack+262, r12vrr_stack+3568, NULL);

 /*--- compute (h0|00)^3 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+22154, r12vrr_stack+23261, r12vrr_stack+22139, r12vrr_stack+1744, r12vrr_stack+23251, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1744, r12vrr_stack+207, r12vrr_stack+12, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+22175, r12vrr_stack+18, r12vrr_stack+1744, r12vrr_stack+30, r12vrr_stack+207, r12vrr_stack+22126);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+22193, r12vrr_stack+23276, r12vrr_stack+22175, r12vrr_stack+1754, r12vrr_stack+18, r12vrr_stack+6);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+22223, r12vrr_stack+23294, r12vrr_stack+22193, r12vrr_stack+1763, r12vrr_stack+23276, r12vrr_stack+22129);

 /*--- compute (h0|p0)^3 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+22268, r12vrr_stack+22081, r12vrr_stack+22223, r12vrr_stack+1781, r12vrr_stack+23294, r12vrr_stack+22139);

 /*--- compute (i0|p0)^2 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+6085, r12vrr_stack+23324, r12vrr_stack+22268, r12vrr_stack+1811, r12vrr_stack+22081, r12vrr_stack+22154);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+22081, r12vrr_stack+384, r12vrr_stack+210, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+9859, r12vrr_stack+87, r12vrr_stack+22081, r12vrr_stack+216, r12vrr_stack+384, r12vrr_stack+1744);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1744, r12vrr_stack+105, r12vrr_stack+9859, r12vrr_stack+69, r12vrr_stack+87, r12vrr_stack+22175);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+216, r12vrr_stack+23387, r12vrr_stack+1744, r12vrr_stack+1856, r12vrr_stack+105, r12vrr_stack+22193);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+22331, r12vrr_stack+23447, r12vrr_stack+216, r12vrr_stack+1892, r12vrr_stack+23387, r12vrr_stack+22223);

 /*--- compute (i0|d0)^2 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+22099, r12vrr_stack+23537, r12vrr_stack+22331, r12vrr_stack+1952, r12vrr_stack+23447, r12vrr_stack+22268);

 /*--- compute (k0|d0)^1 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1804, r12vrr_stack+22531, r12vrr_stack+22099, r12vrr_stack+2042, r12vrr_stack+23537, r12vrr_stack+6085);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+6085, r12vrr_stack+724, r12vrr_stack+3574, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+69, r12vrr_stack+33, r12vrr_stack+6085, r12vrr_stack+390, r12vrr_stack+724, r12vrr_stack+22081);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2020, r12vrr_stack+22699, r12vrr_stack+69, r12vrr_stack+400, r12vrr_stack+33, r12vrr_stack+9859);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+306, r12vrr_stack+21811, r12vrr_stack+2020, r12vrr_stack+2168, r12vrr_stack+22699, r12vrr_stack+1744);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3052, r12vrr_stack+25771, r12vrr_stack+306, r12vrr_stack+2228, r12vrr_stack+21811, r12vrr_stack+216);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+22457, r12vrr_stack+25921, r12vrr_stack+3052, r12vrr_stack+2328, r12vrr_stack+25771, r12vrr_stack+22331);

 /*--- compute (k0|f0)^1 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+22737, r12vrr_stack+26131, r12vrr_stack+22457, r12vrr_stack+2478, r12vrr_stack+25921, r12vrr_stack+22099);

 /*--- compute (l0|f0)^0 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2120, r12vrr_stack+26411, r12vrr_stack+22737, r12vrr_stack+2688, r12vrr_stack+26131, r12vrr_stack+1804);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+25771, r12vrr_stack+3584, r12vrr_stack+5964, NULL, NULL, r12vrr_stack+3574);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+25816, r12vrr_stack+1074, r12vrr_stack+25771, r12vrr_stack+734, r12vrr_stack+3584, r12vrr_stack+6085);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+25906, r12vrr_stack+1119, r12vrr_stack+25816, r12vrr_stack+749, r12vrr_stack+1074, r12vrr_stack+69);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+26056, r12vrr_stack+1209, r12vrr_stack+25906, r12vrr_stack+794, r12vrr_stack+1119, r12vrr_stack+2020);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1744, r12vrr_stack+26771, r12vrr_stack+26056, r12vrr_stack+4408, r12vrr_stack+1209, r12vrr_stack+306);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+23097, r12vrr_stack+26996, r12vrr_stack+1744, r12vrr_stack+4558, r12vrr_stack+26771, r12vrr_stack+3052);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+17185, r12vrr_stack+27311, r12vrr_stack+23097, r12vrr_stack+4783, r12vrr_stack+26996, r12vrr_stack+22457);

 /*--- compute (l0|g0)^0 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4408, r12vrr_stack+27731, r12vrr_stack+17185, r12vrr_stack+5413, r12vrr_stack+27311, r12vrr_stack+22737);
 tmp = r12vrr_stack + 4408;
 target_ptr = Libr12->gvrr_classes[8][4];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3052, r12vrr_stack+5861, r12vrr_stack+9929, NULL, NULL, r12vrr_stack+5964);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17725, r12vrr_stack+3283, r12vrr_stack+3052, r12vrr_stack+3262, r12vrr_stack+5861, r12vrr_stack+25771);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+26771, r12vrr_stack+3346, r12vrr_stack+17725, r12vrr_stack+3599, r12vrr_stack+3283, r12vrr_stack+25816);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+26981, r12vrr_stack+3662, r12vrr_stack+26771, r12vrr_stack+8143, r12vrr_stack+3346, r12vrr_stack+25906);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3115, r12vrr_stack+28271, r12vrr_stack+26981, r12vrr_stack+8269, r12vrr_stack+3662, r12vrr_stack+26056);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+25771, r12vrr_stack+28586, r12vrr_stack+3115, r12vrr_stack+8479, r12vrr_stack+28271, r12vrr_stack+1744);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+22081, r12vrr_stack+29027, r12vrr_stack+25771, r12vrr_stack+8794, r12vrr_stack+28586, r12vrr_stack+23097);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8143, r12vrr_stack+29615, r12vrr_stack+22081, r12vrr_stack+9235, r12vrr_stack+29027, r12vrr_stack+17185);
 tmp = r12vrr_stack + 8143;
 target_ptr = Libr12->gvrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+69, r12vrr_stack+9950, r12vrr_stack+11213, NULL, NULL, r12vrr_stack+9929);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17185, r12vrr_stack+6862, r12vrr_stack+69, r12vrr_stack+6169, r12vrr_stack+9950, r12vrr_stack+3052);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17353, r12vrr_stack+6946, r12vrr_stack+17185, r12vrr_stack+6197, r12vrr_stack+6862, r12vrr_stack+17725);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28271, r12vrr_stack+30371, r12vrr_stack+17353, r12vrr_stack+6281, r12vrr_stack+6946, r12vrr_stack+26771);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28691, r12vrr_stack+30651, r12vrr_stack+28271, r12vrr_stack+13043, r12vrr_stack+30371, r12vrr_stack+26981);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+26771, r12vrr_stack+31071, r12vrr_stack+28691, r12vrr_stack+13323, r12vrr_stack+30651, r12vrr_stack+3115);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+40381, r12vrr_stack+31659, r12vrr_stack+26771, r12vrr_stack+13743, r12vrr_stack+31071, r12vrr_stack+25771);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30371, r12vrr_stack+32443, r12vrr_stack+40381, r12vrr_stack+14331, r12vrr_stack+31659, r12vrr_stack+22081);
 tmp = r12vrr_stack + 30371;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+22081, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+22084, r12vrr_stack+0, r12vrr_stack+22081, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+22090, r12vrr_stack+63, r12vrr_stack+22084, r12vrr_stack+9895, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5083, r12vrr_stack+11167, r12vrr_stack+22090, r12vrr_stack+9898, r12vrr_stack+63, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+11177, r12vrr_stack+5083, r12vrr_stack+9904, r12vrr_stack+11167, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+22081, r12vrr_stack+11192, r12vrr_stack+0, r12vrr_stack+9914, r12vrr_stack+11177, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22109, r12vrr_stack+11213, r12vrr_stack+22081, r12vrr_stack+9929, r12vrr_stack+11192, NULL);

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10127, r12vrr_stack+11241, r12vrr_stack+22109, NULL, NULL, r12vrr_stack+11213);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22145, r12vrr_stack+11277, r12vrr_stack+10127, r12vrr_stack+10235, r12vrr_stack+11241, r12vrr_stack+69);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22361, r12vrr_stack+11385, r12vrr_stack+22145, r12vrr_stack+10271, r12vrr_stack+11277, r12vrr_stack+17185);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22721, r12vrr_stack+11601, r12vrr_stack+22361, r12vrr_stack+10379, r12vrr_stack+11385, r12vrr_stack+17353);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31631, r12vrr_stack+33451, r12vrr_stack+22721, r12vrr_stack+19147, r12vrr_stack+11601, r12vrr_stack+28271);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22145, r12vrr_stack+33991, r12vrr_stack+31631, r12vrr_stack+19507, r12vrr_stack+33451, r12vrr_stack+28691);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28271, r12vrr_stack+34747, r12vrr_stack+22145, r12vrr_stack+20047, r12vrr_stack+33991, r12vrr_stack+26771);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19147, r12vrr_stack+35755, r12vrr_stack+28271, r12vrr_stack+20803, r12vrr_stack+34747, r12vrr_stack+40381);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40381, r12vrr_stack+11241, r12vrr_stack+22109, r12vrr_stack+9950, r12vrr_stack+11213, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21811, r12vrr_stack+16735, r12vrr_stack+40381, NULL, NULL, r12vrr_stack+11241);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40381, r12vrr_stack+16780, r12vrr_stack+21811, r12vrr_stack+534, r12vrr_stack+16735, r12vrr_stack+11277);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40651, r12vrr_stack+16915, r12vrr_stack+40381, r12vrr_stack+21946, r12vrr_stack+16780, r12vrr_stack+11385);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21811, r12vrr_stack+37051, r12vrr_stack+40651, r12vrr_stack+23701, r12vrr_stack+16915, r12vrr_stack+11601);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40381, r12vrr_stack+37501, r12vrr_stack+21811, r12vrr_stack+23971, r12vrr_stack+37051, r12vrr_stack+33451);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21811, r12vrr_stack+38176, r12vrr_stack+40381, r12vrr_stack+24421, r12vrr_stack+37501, r12vrr_stack+33991);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40381, r12vrr_stack+39121, r12vrr_stack+21811, r12vrr_stack+15115, r12vrr_stack+38176, r12vrr_stack+34747);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+21811, &(Data->ss_r12_ss), NULL, r12vrr_stack+27, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+21814, r12vrr_stack+21811, &(Data->ss_r12_ss), r12vrr_stack+153, r12vrr_stack+27, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+21820, r12vrr_stack+21814, r12vrr_stack+21811, r12vrr_stack+159, r12vrr_stack+153, r12vrr_stack+27, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+5083, r12vrr_stack+21820, r12vrr_stack+21814, r12vrr_stack+664, r12vrr_stack+159, r12vrr_stack+153, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+21830, r12vrr_stack+5083, NULL, r12vrr_stack+679, r12vrr_stack+664, NULL, r12vrr_stack+159);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+21875, r12vrr_stack+21830, r12vrr_stack+5083, r12vrr_stack+3943, r12vrr_stack+679, r12vrr_stack+664, r12vrr_stack+884);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+21965, r12vrr_stack+21875, r12vrr_stack+21830, r12vrr_stack+4033, r12vrr_stack+3943, r12vrr_stack+679, r12vrr_stack+914);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+22115, r12vrr_stack+21965, r12vrr_stack+21875, r12vrr_stack+4183, r12vrr_stack+4033, r12vrr_stack+3943, r12vrr_stack+974);

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+22340, r12vrr_stack+22115, r12vrr_stack+21965, r12vrr_stack+5098, r12vrr_stack+4183, r12vrr_stack+4033, r12vrr_stack+1384);
 tmp = r12vrr_stack + 22340;
 target_ptr = Libr12->rvrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||g0)^0 ---*/
 _R_BUILD_i0g0(Data,r12vrr_stack+22655, r12vrr_stack+22340, r12vrr_stack+22115, r12vrr_stack+5413, r12vrr_stack+5098, r12vrr_stack+4183, r12vrr_stack+1534);
 tmp = r12vrr_stack + 22655;
 target_ptr = Libr12->rvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+21830, r12vrr_stack+5083, r12vrr_stack+21820, r12vrr_stack+2968, r12vrr_stack+664, r12vrr_stack+159, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+21851, r12vrr_stack+21830, NULL, r12vrr_stack+2989, r12vrr_stack+2968, NULL, r12vrr_stack+664);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+21914, r12vrr_stack+21851, r12vrr_stack+21830, r12vrr_stack+6526, r12vrr_stack+2989, r12vrr_stack+2968, r12vrr_stack+679);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+679, r12vrr_stack+21914, r12vrr_stack+21851, r12vrr_stack+6652, r12vrr_stack+6526, r12vrr_stack+2989, r12vrr_stack+3943);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+889, r12vrr_stack+679, r12vrr_stack+21914, r12vrr_stack+7387, r12vrr_stack+6652, r12vrr_stack+6526, r12vrr_stack+4033);

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+6085, r12vrr_stack+889, r12vrr_stack+679, r12vrr_stack+7702, r12vrr_stack+7387, r12vrr_stack+6652, r12vrr_stack+4183);
 tmp = r12vrr_stack + 6085;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+23075, r12vrr_stack+6085, r12vrr_stack+889, r12vrr_stack+9235, r12vrr_stack+7702, r12vrr_stack+7387, r12vrr_stack+5098);
 tmp = r12vrr_stack + 23075;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+679, r12vrr_stack+21830, r12vrr_stack+5083, r12vrr_stack+5833, r12vrr_stack+2968, r12vrr_stack+664, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+707, r12vrr_stack+679, NULL, r12vrr_stack+6001, r12vrr_stack+5833, NULL, r12vrr_stack+2968);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+791, r12vrr_stack+707, r12vrr_stack+679, r12vrr_stack+10719, r12vrr_stack+6001, r12vrr_stack+5833, r12vrr_stack+2989);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+2989, r12vrr_stack+791, r12vrr_stack+707, r12vrr_stack+10887, r12vrr_stack+10719, r12vrr_stack+6001, r12vrr_stack+6526);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+3269, r12vrr_stack+2989, r12vrr_stack+791, r12vrr_stack+12035, r12vrr_stack+10887, r12vrr_stack+10719, r12vrr_stack+6652);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+6526, r12vrr_stack+3269, r12vrr_stack+2989, r12vrr_stack+12455, r12vrr_stack+12035, r12vrr_stack+10887, r12vrr_stack+7387);
 tmp = r12vrr_stack + 6526;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+707, r12vrr_stack+6526, r12vrr_stack+3269, r12vrr_stack+14331, r12vrr_stack+12455, r12vrr_stack+12035, r12vrr_stack+7702);
 tmp = r12vrr_stack + 707;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+20767, r12vrr_stack+679, r12vrr_stack+21830, r12vrr_stack+9823, r12vrr_stack+5833, r12vrr_stack+2968, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+2968, r12vrr_stack+20767, NULL, r12vrr_stack+10019, r12vrr_stack+9823, NULL, r12vrr_stack+5833);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+3076, r12vrr_stack+2968, r12vrr_stack+20767, r12vrr_stack+16159, r12vrr_stack+10019, r12vrr_stack+9823, r12vrr_stack+6001);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+3292, r12vrr_stack+3076, r12vrr_stack+2968, r12vrr_stack+16375, r12vrr_stack+16159, r12vrr_stack+10019, r12vrr_stack+10719);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+9823, r12vrr_stack+3292, r12vrr_stack+3076, r12vrr_stack+17851, r12vrr_stack+16375, r12vrr_stack+16159, r12vrr_stack+10887);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+10363, r12vrr_stack+9823, r12vrr_stack+3292, r12vrr_stack+18391, r12vrr_stack+17851, r12vrr_stack+16375, r12vrr_stack+12035);
 tmp = r12vrr_stack + 10363;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+2968, r12vrr_stack+10363, r12vrr_stack+9823, r12vrr_stack+20803, r12vrr_stack+18391, r12vrr_stack+17851, r12vrr_stack+12455);
 tmp = r12vrr_stack + 2968;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9823, r12vrr_stack+5098, r12vrr_stack+7702, r12vrr_stack+5413, r12vrr_stack+2688, r12vrr_stack+1534);
 tmp = r12vrr_stack + 9823;
 target_ptr = Libr12->t2vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11119, r12vrr_stack+7702, r12vrr_stack+12455, r12vrr_stack+9235, r12vrr_stack+5413, r12vrr_stack+5098);
 tmp = r12vrr_stack + 11119;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1491, r12vrr_stack+12455, r12vrr_stack+18391, r12vrr_stack+14331, r12vrr_stack+9235, r12vrr_stack+7702);
 tmp = r12vrr_stack + 1491;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23663, r12vrr_stack+18391, r12vrr_stack+15115, r12vrr_stack+20803, r12vrr_stack+14331, r12vrr_stack+12455);
 tmp = r12vrr_stack + 23663;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11560, r12vrr_stack+5413, r12vrr_stack+9235, r12vrr_stack+27731, r12vrr_stack+26411, r12vrr_stack+2688);
 tmp = r12vrr_stack + 11560;
 target_ptr = Libr12->t2vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24419, r12vrr_stack+9235, r12vrr_stack+14331, r12vrr_stack+29615, r12vrr_stack+27731, r12vrr_stack+5413);
 tmp = r12vrr_stack + 24419;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33451, r12vrr_stack+14331, r12vrr_stack+20803, r12vrr_stack+32443, r12vrr_stack+29615, r12vrr_stack+9235);
 tmp = r12vrr_stack + 33451;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+34235, r12vrr_stack+20803, r12vrr_stack+39121, r12vrr_stack+35755, r12vrr_stack+32443, r12vrr_stack+14331);
 tmp = r12vrr_stack + 34235;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_k0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+37051, r12vrr_stack+27731, r12vrr_stack+29615, r12vrr_stack+4408, r12vrr_stack+2120, r12vrr_stack+26411);
 tmp = r12vrr_stack + 37051;
 target_ptr = Libr12->t2vrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+37591, r12vrr_stack+29615, r12vrr_stack+32443, r12vrr_stack+8143, r12vrr_stack+4408, r12vrr_stack+27731);
 tmp = r12vrr_stack + 37591;
 target_ptr = Libr12->t2vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+28271, r12vrr_stack+32443, r12vrr_stack+35755, r12vrr_stack+30371, r12vrr_stack+8143, r12vrr_stack+29615);
 tmp = r12vrr_stack + 28271;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25771, r12vrr_stack+35755, r12vrr_stack+40381, r12vrr_stack+19147, r12vrr_stack+30371, r12vrr_stack+32443);
 tmp = r12vrr_stack + 25771;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_h0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2079, r12vrr_stack+5098, r12vrr_stack+5413, r12vrr_stack+7702, r12vrr_stack+7387, r12vrr_stack+4183);
 tmp = r12vrr_stack + 2079;
 target_ptr = Libr12->t1vrr_classes[5][4];
 for(i=0;i<315;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21811, r12vrr_stack+7702, r12vrr_stack+9235, r12vrr_stack+12455, r12vrr_stack+12035, r12vrr_stack+7387);
 tmp = r12vrr_stack + 21811;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7114, r12vrr_stack+12455, r12vrr_stack+14331, r12vrr_stack+18391, r12vrr_stack+17851, r12vrr_stack+12035);
 tmp = r12vrr_stack + 7114;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+38347, r12vrr_stack+18391, r12vrr_stack+20803, r12vrr_stack+15115, r12vrr_stack+25096, r12vrr_stack+17851);
 tmp = r12vrr_stack + 38347;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3976, r12vrr_stack+5413, r12vrr_stack+27731, r12vrr_stack+9235, r12vrr_stack+7702, r12vrr_stack+5098);
 tmp = r12vrr_stack + 3976;
 target_ptr = Libr12->t1vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25007, r12vrr_stack+9235, r12vrr_stack+29615, r12vrr_stack+14331, r12vrr_stack+12455, r12vrr_stack+7702);
 tmp = r12vrr_stack + 25007;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31631, r12vrr_stack+14331, r12vrr_stack+32443, r12vrr_stack+20803, r12vrr_stack+18391, r12vrr_stack+12455);
 tmp = r12vrr_stack + 31631;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13043, r12vrr_stack+20803, r12vrr_stack+35755, r12vrr_stack+39121, r12vrr_stack+15115, r12vrr_stack+18391);
 tmp = r12vrr_stack + 13043;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_k0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15115, r12vrr_stack+27731, r12vrr_stack+4408, r12vrr_stack+29615, r12vrr_stack+9235, r12vrr_stack+5413);
 tmp = r12vrr_stack + 15115;
 target_ptr = Libr12->t1vrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15655, r12vrr_stack+29615, r12vrr_stack+8143, r12vrr_stack+32443, r12vrr_stack+14331, r12vrr_stack+9235);
 tmp = r12vrr_stack + 15655;
 target_ptr = Libr12->t1vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8143, r12vrr_stack+32443, r12vrr_stack+30371, r12vrr_stack+35755, r12vrr_stack+20803, r12vrr_stack+14331);
 tmp = r12vrr_stack + 8143;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16411, r12vrr_stack+35755, r12vrr_stack+19147, r12vrr_stack+40381, r12vrr_stack+39121, r12vrr_stack+20803);
 tmp = r12vrr_stack + 16411;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||g0)^0 ---*/
 _R_BUILD_k0g0(Data,r12vrr_stack+19147, r12vrr_stack+22655, r12vrr_stack+22340, r12vrr_stack+27731, r12vrr_stack+5413, r12vrr_stack+5098, r12vrr_stack+2688);
 tmp = r12vrr_stack + 19147;
 target_ptr = Libr12->rvrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||h0)^0 ---*/
 _R_BUILD_k0h0(Data,r12vrr_stack+19687, r12vrr_stack+23075, r12vrr_stack+6085, r12vrr_stack+29615, r12vrr_stack+9235, r12vrr_stack+7702, r12vrr_stack+5413);
 tmp = r12vrr_stack + 19687;
 target_ptr = Libr12->rvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+4396, r12vrr_stack+707, r12vrr_stack+6526, r12vrr_stack+32443, r12vrr_stack+14331, r12vrr_stack+12455, r12vrr_stack+9235);
 tmp = r12vrr_stack + 4396;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+5404, r12vrr_stack+2968, r12vrr_stack+10363, r12vrr_stack+35755, r12vrr_stack+20803, r12vrr_stack+18391, r12vrr_stack+14331);
 tmp = r12vrr_stack + 5404;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];


}

