#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_hdid(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+5);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+161, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+164, r12vrr_stack+161, r12vrr_stack+21, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+170, r12vrr_stack+121, NULL, NULL, r12vrr_stack+24);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+30, r12vrr_stack+21, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+216, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+226, r12vrr_stack+111, r12vrr_stack+216, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+256, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+39);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+57);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+75);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+476, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+491, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+164, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+506, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+521, r12vrr_stack+476, r12vrr_stack+506, NULL, NULL, r12vrr_stack+111);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+566, r12vrr_stack+491, r12vrr_stack+476, NULL, NULL, r12vrr_stack+121);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+611, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+131);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+701, r12vrr_stack+24, r12vrr_stack+161, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+707, r12vrr_stack+701, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+717, r12vrr_stack+707, r12vrr_stack+170, r12vrr_stack+701, r12vrr_stack+164, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+732, r12vrr_stack+717, r12vrr_stack+491, NULL, NULL, r12vrr_stack+170);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+777, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+180);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+180, r12vrr_stack+21, r12vrr_stack+27, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+186, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+30, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+867, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+33, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+882, r12vrr_stack+506, r12vrr_stack+867, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+927, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+226);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1017, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+256);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1167, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+316);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1317, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+376);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+170, r12vrr_stack+121, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+1563, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+476);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1647, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+707, r12vrr_stack+170, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1668, r12vrr_stack+1647, r12vrr_stack+1563, NULL, NULL, r12vrr_stack+491);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1731, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+111, r12vrr_stack+216, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1542, r12vrr_stack+1731, NULL, NULL, r12vrr_stack+506);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1815, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+521);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1941, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+566);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2067, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+611);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+566, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+569, r12vrr_stack+566, r12vrr_stack+24, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+701, r12vrr_stack+566, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+707, r12vrr_stack+569, r12vrr_stack+701, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+717, r12vrr_stack+121, r12vrr_stack+707, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2277, r12vrr_stack+590, r12vrr_stack+1647, NULL, NULL, r12vrr_stack+717);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2340, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+732);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2466, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+777);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+732, r12vrr_stack+27, r12vrr_stack+24, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+738, r12vrr_stack+180, r12vrr_stack+732, r12vrr_stack+21, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+748, r12vrr_stack+186, r12vrr_stack+738, r12vrr_stack+210, r12vrr_stack+180, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+216, r12vrr_stack+186, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+784, r12vrr_stack+1731, r12vrr_stack+763, NULL, NULL, r12vrr_stack+867);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+882);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2802, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+927);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3012, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1017);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3327, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+1167);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3642, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+1317);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+847, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+850, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+161, r12vrr_stack+6, r12vrr_stack+850, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+847);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4083, r12vrr_stack+33, r12vrr_stack+210, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4101, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+850);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4137, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+161);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4197, r12vrr_stack+216, r12vrr_stack+186, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4227, r12vrr_stack+226, r12vrr_stack+4197, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+4083);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4287, r12vrr_stack+256, r12vrr_stack+4227, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+4101);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+4387, r12vrr_stack+376, r12vrr_stack+4287, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+4137);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+316, r12vrr_stack+867, r12vrr_stack+748, NULL, NULL, r12vrr_stack+186);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4537, r12vrr_stack+882, r12vrr_stack+316, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+4197);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4627, r12vrr_stack+927, r12vrr_stack+4537, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+4227);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4777, r12vrr_stack+1017, r12vrr_stack+4627, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+4287);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5002, r12vrr_stack+1317, r12vrr_stack+4777, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+4387);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+24, r12vrr_stack+3, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+732, r12vrr_stack+15, r12vrr_stack+27, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+361, r12vrr_stack+738, r12vrr_stack+111, r12vrr_stack+180, r12vrr_stack+732, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1167, r12vrr_stack+748, r12vrr_stack+361, r12vrr_stack+186, r12vrr_stack+738, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1188, r12vrr_stack+763, r12vrr_stack+1167, NULL, NULL, r12vrr_stack+748);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5317, r12vrr_stack+784, r12vrr_stack+1188, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+316);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5443, r12vrr_stack+2676, r12vrr_stack+5317, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+4537);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5653, r12vrr_stack+2802, r12vrr_stack+5443, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+4627);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5968, r12vrr_stack+3012, r12vrr_stack+5653, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+4777);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6409, r12vrr_stack+3642, r12vrr_stack+5968, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+5002);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+476, r12vrr_stack+506, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1279, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+491, r12vrr_stack+476, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+611, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+506, r12vrr_stack+867, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+1251, r12vrr_stack+611, NULL, NULL, r12vrr_stack+1731);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7081, r12vrr_stack+1279, r12vrr_stack+1251, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7165, r12vrr_stack+7081, r12vrr_stack+6997, r12vrr_stack+1279, r12vrr_stack+1251, r12vrr_stack+1752);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+717, r12vrr_stack+491, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+1752, r12vrr_stack+1279, NULL, NULL, r12vrr_stack+1563);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7333, r12vrr_stack+476, r12vrr_stack+7081, r12vrr_stack+1752, r12vrr_stack+1279, r12vrr_stack+1584);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+763, r12vrr_stack+1167, r12vrr_stack+867, r12vrr_stack+748, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7501, r12vrr_stack+611, r12vrr_stack+1584, NULL, NULL, r12vrr_stack+763);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7585, r12vrr_stack+6997, r12vrr_stack+7501, r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+784);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7753, r12vrr_stack+7165, r12vrr_stack+7585, r12vrr_stack+7081, r12vrr_stack+6997, r12vrr_stack+2676);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8033, r12vrr_stack+7333, r12vrr_stack+7165, r12vrr_stack+476, r12vrr_stack+7081, r12vrr_stack+1815);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8313, r12vrr_stack+8033, r12vrr_stack+7753, r12vrr_stack+7333, r12vrr_stack+7165, r12vrr_stack+2802);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1612, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+575, r12vrr_stack+717, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1780, r12vrr_stack+1612, r12vrr_stack+1752, NULL, NULL, r12vrr_stack+1647);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+476, r12vrr_stack+1612, r12vrr_stack+1752, r12vrr_stack+1668);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+7333, r12vrr_stack+1780, r12vrr_stack+476, r12vrr_stack+1941);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+8033, r12vrr_stack+8733, r12vrr_stack+7333, r12vrr_stack+2067);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1668, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+560, r12vrr_stack+3, r12vrr_stack+1668, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1307, r12vrr_stack+15, r12vrr_stack+560, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1671, r12vrr_stack+111, r12vrr_stack+1307, r12vrr_stack+732, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1686, r12vrr_stack+361, r12vrr_stack+1671, r12vrr_stack+738, r12vrr_stack+111, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1864, r12vrr_stack+1167, r12vrr_stack+1686, r12vrr_stack+748, r12vrr_stack+361, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1892, r12vrr_stack+1584, r12vrr_stack+1864, NULL, NULL, r12vrr_stack+1167);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1976, r12vrr_stack+7501, r12vrr_stack+1892, r12vrr_stack+611, r12vrr_stack+1584, r12vrr_stack+1188);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+7585, r12vrr_stack+1976, r12vrr_stack+6997, r12vrr_stack+7501, r12vrr_stack+5317);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9881, r12vrr_stack+7753, r12vrr_stack+9601, r12vrr_stack+7165, r12vrr_stack+7585, r12vrr_stack+5443);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10301, r12vrr_stack+8313, r12vrr_stack+9881, r12vrr_stack+8033, r12vrr_stack+7753, r12vrr_stack+5653);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+8313, r12vrr_stack+8901, r12vrr_stack+8033, r12vrr_stack+3012);
 tmp = r12vrr_stack + 10889;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+10301, r12vrr_stack+9181, r12vrr_stack+8313, r12vrr_stack+5968);
 tmp = r12vrr_stack + 11477;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+1542, r12vrr_stack+1731, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2180, r12vrr_stack+1279, r12vrr_stack+1251, r12vrr_stack+1563, r12vrr_stack+1542, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+2180, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1251);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2216, r12vrr_stack+1752, r12vrr_stack+1279, r12vrr_stack+1647, r12vrr_stack+1563, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12369, r12vrr_stack+2216, r12vrr_stack+2180, NULL, NULL, r12vrr_stack+1279);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+611, r12vrr_stack+1584, r12vrr_stack+1731, r12vrr_stack+763, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12477, r12vrr_stack+2144, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+611);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12585, r12vrr_stack+12261, r12vrr_stack+12477, r12vrr_stack+2180, r12vrr_stack+2144, r12vrr_stack+6997);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12801, r12vrr_stack+12369, r12vrr_stack+12261, r12vrr_stack+2216, r12vrr_stack+2180, r12vrr_stack+7081);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13017, r12vrr_stack+12801, r12vrr_stack+12585, r12vrr_stack+12369, r12vrr_stack+12261, r12vrr_stack+7165);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+1612, r12vrr_stack+1752, r12vrr_stack+590, r12vrr_stack+1647, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7033, r12vrr_stack+6997, r12vrr_stack+2216, NULL, NULL, r12vrr_stack+1752);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+12369, r12vrr_stack+6997, r12vrr_stack+2216, r12vrr_stack+476);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+12801, r12vrr_stack+7033, r12vrr_stack+12369, r12vrr_stack+7333);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+1584, r12vrr_stack+1864, r12vrr_stack+763, r12vrr_stack+1167, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+1542, r12vrr_stack+476, NULL, NULL, r12vrr_stack+1584);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7249, r12vrr_stack+12477, r12vrr_stack+7141, r12vrr_stack+2144, r12vrr_stack+1542, r12vrr_stack+7501);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13953, r12vrr_stack+12585, r12vrr_stack+7249, r12vrr_stack+12261, r12vrr_stack+12477, r12vrr_stack+7585);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14313, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+12801, r12vrr_stack+12585, r12vrr_stack+7753);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+13017, r12vrr_stack+13377, r12vrr_stack+12801, r12vrr_stack+8033);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+14313, r12vrr_stack+13593, r12vrr_stack+13017, r12vrr_stack+8313);
 tmp = r12vrr_stack + 15393;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1578, r12vrr_stack+1668, r12vrr_stack+24, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+8033, r12vrr_stack+560, r12vrr_stack+1578, r12vrr_stack+3, r12vrr_stack+1668, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+8043, r12vrr_stack+1307, r12vrr_stack+8033, r12vrr_stack+15, r12vrr_stack+560, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8058, r12vrr_stack+1671, r12vrr_stack+8043, r12vrr_stack+111, r12vrr_stack+1307, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+1686, r12vrr_stack+8058, r12vrr_stack+361, r12vrr_stack+1671, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7465, r12vrr_stack+1864, r12vrr_stack+1640, r12vrr_stack+1167, r12vrr_stack+1686, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8079, r12vrr_stack+476, r12vrr_stack+7465, NULL, NULL, r12vrr_stack+1864);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+7141, r12vrr_stack+8079, r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+1892);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16365, r12vrr_stack+7249, r12vrr_stack+16149, r12vrr_stack+12477, r12vrr_stack+7141, r12vrr_stack+1976);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16725, r12vrr_stack+13953, r12vrr_stack+16365, r12vrr_stack+12585, r12vrr_stack+7249, r12vrr_stack+9601);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17265, r12vrr_stack+14313, r12vrr_stack+16725, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+9881);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+17265, r12vrr_stack+14853, r12vrr_stack+14313, r12vrr_stack+10301);
 tmp = r12vrr_stack + 18021;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1707, r12vrr_stack+2144, r12vrr_stack+1542, r12vrr_stack+1251, r12vrr_stack+611, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8187, r12vrr_stack+2180, r12vrr_stack+2144, r12vrr_stack+1279, r12vrr_stack+1251, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+8187, r12vrr_stack+1707, NULL, NULL, r12vrr_stack+2144);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8232, r12vrr_stack+2216, r12vrr_stack+2180, r12vrr_stack+1752, r12vrr_stack+1279, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19164, r12vrr_stack+8232, r12vrr_stack+8187, NULL, NULL, r12vrr_stack+2180);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+611, r12vrr_stack+1584, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19299, r12vrr_stack+1707, r12vrr_stack+1251, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19434, r12vrr_stack+19029, r12vrr_stack+19299, r12vrr_stack+8187, r12vrr_stack+1707, r12vrr_stack+12477);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19704, r12vrr_stack+19164, r12vrr_stack+19029, r12vrr_stack+8232, r12vrr_stack+8187, r12vrr_stack+12261);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19974, r12vrr_stack+19704, r12vrr_stack+19434, r12vrr_stack+19164, r12vrr_stack+19029, r12vrr_stack+12585);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+2216, r12vrr_stack+1612, r12vrr_stack+1752, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12477, r12vrr_stack+12261, r12vrr_stack+8232, NULL, NULL, r12vrr_stack+2216);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+19164, r12vrr_stack+12261, r12vrr_stack+8232, r12vrr_stack+12369);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+19704, r12vrr_stack+12477, r12vrr_stack+19164, r12vrr_stack+12801);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12306, r12vrr_stack+476, r12vrr_stack+7465, r12vrr_stack+1584, r12vrr_stack+1864, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12612, r12vrr_stack+1251, r12vrr_stack+12306, NULL, NULL, r12vrr_stack+476);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12747, r12vrr_stack+19299, r12vrr_stack+12612, r12vrr_stack+1707, r12vrr_stack+1251, r12vrr_stack+7141);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21144, r12vrr_stack+19434, r12vrr_stack+12747, r12vrr_stack+19029, r12vrr_stack+19299, r12vrr_stack+7249);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21594, r12vrr_stack+19974, r12vrr_stack+21144, r12vrr_stack+19704, r12vrr_stack+19434, r12vrr_stack+13953);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+19974, r12vrr_stack+20424, r12vrr_stack+19704, r12vrr_stack+13017);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+21594, r12vrr_stack+20694, r12vrr_stack+19974, r12vrr_stack+14313);
 tmp = r12vrr_stack + 22944;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+24, r12vrr_stack+3, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13017, r12vrr_stack+1578, r12vrr_stack+15, r12vrr_stack+1668, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13027, r12vrr_stack+8033, r12vrr_stack+13017, r12vrr_stack+560, r12vrr_stack+1578, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13042, r12vrr_stack+8043, r12vrr_stack+13027, r12vrr_stack+1307, r12vrr_stack+8033, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+8058, r12vrr_stack+13042, r12vrr_stack+1671, r12vrr_stack+8043, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8277, r12vrr_stack+1640, r12vrr_stack+1752, r12vrr_stack+1686, r12vrr_stack+8058, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13063, r12vrr_stack+7465, r12vrr_stack+8277, r12vrr_stack+1864, r12vrr_stack+1640, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13108, r12vrr_stack+12306, r12vrr_stack+13063, NULL, NULL, r12vrr_stack+7465);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23889, r12vrr_stack+12612, r12vrr_stack+13108, r12vrr_stack+1251, r12vrr_stack+12306, r12vrr_stack+8079);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24159, r12vrr_stack+12747, r12vrr_stack+23889, r12vrr_stack+19299, r12vrr_stack+12612, r12vrr_stack+16149);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24609, r12vrr_stack+21144, r12vrr_stack+24159, r12vrr_stack+19434, r12vrr_stack+12747, r12vrr_stack+16365);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25284, r12vrr_stack+21594, r12vrr_stack+24609, r12vrr_stack+19974, r12vrr_stack+21144, r12vrr_stack+16725);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+25284, r12vrr_stack+22269, r12vrr_stack+21594, r12vrr_stack+17265);
 tmp = r12vrr_stack + 26229;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13243, r12vrr_stack+1707, r12vrr_stack+1251, r12vrr_stack+2144, r12vrr_stack+1542, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13298, r12vrr_stack+8187, r12vrr_stack+1707, r12vrr_stack+2180, r12vrr_stack+2144, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+13298, r12vrr_stack+13243, NULL, NULL, r12vrr_stack+1707);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12351, r12vrr_stack+8232, r12vrr_stack+8187, r12vrr_stack+2216, r12vrr_stack+2180, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27654, r12vrr_stack+12351, r12vrr_stack+13298, NULL, NULL, r12vrr_stack+8187);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+12306, r12vrr_stack+1542, r12vrr_stack+476, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27819, r12vrr_stack+13243, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1251);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27984, r12vrr_stack+27489, r12vrr_stack+27819, r12vrr_stack+13298, r12vrr_stack+13243, r12vrr_stack+19299);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28314, r12vrr_stack+27654, r12vrr_stack+27489, r12vrr_stack+12351, r12vrr_stack+13298, r12vrr_stack+19029);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28644, r12vrr_stack+28314, r12vrr_stack+27984, r12vrr_stack+27654, r12vrr_stack+27489, r12vrr_stack+19434);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+12261, r12vrr_stack+8232, r12vrr_stack+6997, r12vrr_stack+2216, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19299, r12vrr_stack+19029, r12vrr_stack+12351, NULL, NULL, r12vrr_stack+8232);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29194, r12vrr_stack+19299, r12vrr_stack+27654, r12vrr_stack+19029, r12vrr_stack+12351, r12vrr_stack+19164);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29524, r12vrr_stack+29194, r12vrr_stack+28314, r12vrr_stack+19299, r12vrr_stack+27654, r12vrr_stack+19704);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27654, r12vrr_stack+12306, r12vrr_stack+13063, r12vrr_stack+476, r12vrr_stack+7465, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+2144, r12vrr_stack+27654, NULL, NULL, r12vrr_stack+12306);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19194, r12vrr_stack+27819, r12vrr_stack+19029, r12vrr_stack+13243, r12vrr_stack+2144, r12vrr_stack+12612);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30074, r12vrr_stack+27984, r12vrr_stack+19194, r12vrr_stack+27489, r12vrr_stack+27819, r12vrr_stack+12747);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30624, r12vrr_stack+28644, r12vrr_stack+30074, r12vrr_stack+28314, r12vrr_stack+27984, r12vrr_stack+21144);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31449, r12vrr_stack+29524, r12vrr_stack+28644, r12vrr_stack+29194, r12vrr_stack+28314, r12vrr_stack+19974);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+30624, r12vrr_stack+29524, r12vrr_stack+28644, r12vrr_stack+21594);
 tmp = r12vrr_stack + 32274;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1668, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+28314, r12vrr_stack+847, r12vrr_stack+1668, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+28320, r12vrr_stack+30, r12vrr_stack+21, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+57, r12vrr_stack+850, r12vrr_stack+28320, r12vrr_stack+0, r12vrr_stack+30, r12vrr_stack+1668);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+131, r12vrr_stack+161, r12vrr_stack+57, r12vrr_stack+6, r12vrr_stack+850, r12vrr_stack+28314);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+28329, r12vrr_stack+210, r12vrr_stack+180, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1542, r12vrr_stack+4083, r12vrr_stack+28329, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+28320);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+28347, r12vrr_stack+4101, r12vrr_stack+1542, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+57);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+8187, r12vrr_stack+4137, r12vrr_stack+28347, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+131);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+75, r12vrr_stack+186, r12vrr_stack+738, NULL, NULL, r12vrr_stack+180);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+28407, r12vrr_stack+4197, r12vrr_stack+75, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+28329);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+28467, r12vrr_stack+4227, r12vrr_stack+28407, r12vrr_stack+226, r12vrr_stack+4197, r12vrr_stack+1542);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+29194, r12vrr_stack+4287, r12vrr_stack+28467, r12vrr_stack+256, r12vrr_stack+4227, r12vrr_stack+28347);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+29344, r12vrr_stack+4387, r12vrr_stack+29194, r12vrr_stack+376, r12vrr_stack+4287, r12vrr_stack+8187);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1707, r12vrr_stack+748, r12vrr_stack+361, NULL, NULL, r12vrr_stack+738);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+376, r12vrr_stack+316, r12vrr_stack+1707, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+75);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+29554, r12vrr_stack+4537, r12vrr_stack+376, r12vrr_stack+882, r12vrr_stack+316, r12vrr_stack+28407);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+29704, r12vrr_stack+4627, r12vrr_stack+29554, r12vrr_stack+927, r12vrr_stack+4537, r12vrr_stack+28467);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+19524, r12vrr_stack+4777, r12vrr_stack+29704, r12vrr_stack+1017, r12vrr_stack+4627, r12vrr_stack+29194);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+19839, r12vrr_stack+5002, r12vrr_stack+19524, r12vrr_stack+1317, r12vrr_stack+4777, r12vrr_stack+29344);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+216, r12vrr_stack+1167, r12vrr_stack+1686, NULL, NULL, r12vrr_stack+361);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12351, r12vrr_stack+1188, r12vrr_stack+216, r12vrr_stack+763, r12vrr_stack+1167, r12vrr_stack+1707);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+5317, r12vrr_stack+12351, r12vrr_stack+784, r12vrr_stack+1188, r12vrr_stack+376);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33429, r12vrr_stack+5443, r12vrr_stack+1251, r12vrr_stack+2676, r12vrr_stack+5317, r12vrr_stack+29554);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33744, r12vrr_stack+5653, r12vrr_stack+33429, r12vrr_stack+2802, r12vrr_stack+5443, r12vrr_stack+29704);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+34185, r12vrr_stack+5968, r12vrr_stack+33744, r12vrr_stack+3012, r12vrr_stack+5653, r12vrr_stack+19524);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+34773, r12vrr_stack+6409, r12vrr_stack+34185, r12vrr_stack+3642, r12vrr_stack+5968, r12vrr_stack+19839);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+1864, r12vrr_stack+1640, NULL, NULL, r12vrr_stack+1686);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+1892, r12vrr_stack+763, r12vrr_stack+1584, r12vrr_stack+1864, r12vrr_stack+216);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2844, r12vrr_stack+1976, r12vrr_stack+2676, r12vrr_stack+7501, r12vrr_stack+1892, r12vrr_stack+12351);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+35529, r12vrr_stack+9601, r12vrr_stack+2844, r12vrr_stack+7585, r12vrr_stack+1976, r12vrr_stack+1251);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+35949, r12vrr_stack+9881, r12vrr_stack+35529, r12vrr_stack+7753, r12vrr_stack+9601, r12vrr_stack+33429);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+36537, r12vrr_stack+10301, r12vrr_stack+35949, r12vrr_stack+8313, r12vrr_stack+9881, r12vrr_stack+33744);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+37321, r12vrr_stack+11477, r12vrr_stack+36537, r12vrr_stack+10889, r12vrr_stack+10301, r12vrr_stack+34185);
 tmp = r12vrr_stack + 37321;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8313, r12vrr_stack+7465, r12vrr_stack+8277, NULL, NULL, r12vrr_stack+1640);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8421, r12vrr_stack+8079, r12vrr_stack+8313, r12vrr_stack+476, r12vrr_stack+7465, r12vrr_stack+763);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7501, r12vrr_stack+16149, r12vrr_stack+8421, r12vrr_stack+7141, r12vrr_stack+8079, r12vrr_stack+2676);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+38329, r12vrr_stack+16365, r12vrr_stack+7501, r12vrr_stack+7249, r12vrr_stack+16149, r12vrr_stack+2844);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+38869, r12vrr_stack+16725, r12vrr_stack+38329, r12vrr_stack+13953, r12vrr_stack+16365, r12vrr_stack+35529);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+39625, r12vrr_stack+17265, r12vrr_stack+38869, r12vrr_stack+14313, r12vrr_stack+16725, r12vrr_stack+35949);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+40633, r12vrr_stack+18021, r12vrr_stack+39625, r12vrr_stack+15393, r12vrr_stack+17265, r12vrr_stack+36537);
 tmp = r12vrr_stack + 40633;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+105, r12vrr_stack+3, r12vrr_stack+0, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13953, r12vrr_stack+15, r12vrr_stack+105, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13963, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+1578, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1578, r12vrr_stack+13027, r12vrr_stack+13963, r12vrr_stack+8033, r12vrr_stack+13017, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13978, r12vrr_stack+13042, r12vrr_stack+1578, r12vrr_stack+8043, r12vrr_stack+13027, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14006, r12vrr_stack+1752, r12vrr_stack+13978, r12vrr_stack+8058, r12vrr_stack+13042, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14042, r12vrr_stack+8277, r12vrr_stack+14006, r12vrr_stack+1640, r12vrr_stack+1752, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14087, r12vrr_stack+13063, r12vrr_stack+14042, NULL, NULL, r12vrr_stack+8277);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14222, r12vrr_stack+13108, r12vrr_stack+14087, r12vrr_stack+12306, r12vrr_stack+13063, r12vrr_stack+8313);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+41929, r12vrr_stack+23889, r12vrr_stack+14222, r12vrr_stack+12612, r12vrr_stack+13108, r12vrr_stack+8421);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42379, r12vrr_stack+24159, r12vrr_stack+41929, r12vrr_stack+12747, r12vrr_stack+23889, r12vrr_stack+7501);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+43054, r12vrr_stack+24609, r12vrr_stack+42379, r12vrr_stack+21144, r12vrr_stack+24159, r12vrr_stack+38329);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+43999, r12vrr_stack+25284, r12vrr_stack+43054, r12vrr_stack+21594, r12vrr_stack+24609, r12vrr_stack+38869);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+45259, r12vrr_stack+26229, r12vrr_stack+43999, r12vrr_stack+22944, r12vrr_stack+25284, r12vrr_stack+39625);
 tmp = r12vrr_stack + 45259;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21144, r12vrr_stack+13063, r12vrr_stack+14042, r12vrr_stack+7465, r12vrr_stack+8277, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+27654, r12vrr_stack+21144, NULL, NULL, r12vrr_stack+13063);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21199, r12vrr_stack+19029, r12vrr_stack+27489, r12vrr_stack+2144, r12vrr_stack+27654, r12vrr_stack+13108);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21529, r12vrr_stack+19194, r12vrr_stack+21199, r12vrr_stack+27819, r12vrr_stack+19029, r12vrr_stack+23889);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46879, r12vrr_stack+30074, r12vrr_stack+21529, r12vrr_stack+27984, r12vrr_stack+19194, r12vrr_stack+24159);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+47704, r12vrr_stack+30624, r12vrr_stack+46879, r12vrr_stack+28644, r12vrr_stack+30074, r12vrr_stack+24609);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48859, r12vrr_stack+32274, r12vrr_stack+47704, r12vrr_stack+31449, r12vrr_stack+30624, r12vrr_stack+25284);
 tmp = r12vrr_stack + 48859;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+24, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+2144, r12vrr_stack+1668, r12vrr_stack+24, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+2150, r12vrr_stack+28314, r12vrr_stack+2144, r12vrr_stack+847, r12vrr_stack+1668, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+27, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+2160, r12vrr_stack+28320, r12vrr_stack+6, r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+24);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+2178, r12vrr_stack+57, r12vrr_stack+2160, r12vrr_stack+850, r12vrr_stack+28320, r12vrr_stack+2144);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+12306, r12vrr_stack+131, r12vrr_stack+2178, r12vrr_stack+161, r12vrr_stack+57, r12vrr_stack+2150);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+131, r12vrr_stack+180, r12vrr_stack+732, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+21, r12vrr_stack+28329, r12vrr_stack+131, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+6);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+847, r12vrr_stack+1542, r12vrr_stack+21, r12vrr_stack+4083, r12vrr_stack+28329, r12vrr_stack+2160);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+907, r12vrr_stack+28347, r12vrr_stack+847, r12vrr_stack+4101, r12vrr_stack+1542, r12vrr_stack+2178);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+8187, r12vrr_stack+907, r12vrr_stack+4137, r12vrr_stack+28347, r12vrr_stack+12306);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+12306, r12vrr_stack+738, r12vrr_stack+111, NULL, NULL, r12vrr_stack+732);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+8187, r12vrr_stack+75, r12vrr_stack+12306, r12vrr_stack+186, r12vrr_stack+738, r12vrr_stack+131);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+466, r12vrr_stack+28407, r12vrr_stack+8187, r12vrr_stack+4197, r12vrr_stack+75, r12vrr_stack+21);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+997, r12vrr_stack+28467, r12vrr_stack+466, r12vrr_stack+4227, r12vrr_stack+28407, r12vrr_stack+847);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+12612, r12vrr_stack+29194, r12vrr_stack+997, r12vrr_stack+4287, r12vrr_stack+28467, r12vrr_stack+907);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+29344, r12vrr_stack+12612, r12vrr_stack+4387, r12vrr_stack+29194, r12vrr_stack+2144);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2144, r12vrr_stack+361, r12vrr_stack+1671, NULL, NULL, r12vrr_stack+111);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+847, r12vrr_stack+1707, r12vrr_stack+2144, r12vrr_stack+748, r12vrr_stack+361, r12vrr_stack+12306);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4363, r12vrr_stack+376, r12vrr_stack+847, r12vrr_stack+316, r12vrr_stack+1707, r12vrr_stack+8187);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+14492, r12vrr_stack+29554, r12vrr_stack+4363, r12vrr_stack+4537, r12vrr_stack+376, r12vrr_stack+466);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+29704, r12vrr_stack+14492, r12vrr_stack+4627, r12vrr_stack+29554, r12vrr_stack+997);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+27709, r12vrr_stack+19524, r12vrr_stack+7141, r12vrr_stack+4777, r12vrr_stack+29704, r12vrr_stack+12612);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+28129, r12vrr_stack+19839, r12vrr_stack+27709, r12vrr_stack+5002, r12vrr_stack+19524, r12vrr_stack+4083);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+1686, r12vrr_stack+8058, NULL, NULL, r12vrr_stack+1671);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4146, r12vrr_stack+216, r12vrr_stack+4083, r12vrr_stack+1167, r12vrr_stack+1686, r12vrr_stack+2144);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+19524, r12vrr_stack+12351, r12vrr_stack+4146, r12vrr_stack+1188, r12vrr_stack+216, r12vrr_stack+847);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+847, r12vrr_stack+1251, r12vrr_stack+19524, r12vrr_stack+5317, r12vrr_stack+12351, r12vrr_stack+4363);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4272, r12vrr_stack+33429, r12vrr_stack+847, r12vrr_stack+5443, r12vrr_stack+1251, r12vrr_stack+14492);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4713, r12vrr_stack+33744, r12vrr_stack+4272, r12vrr_stack+5653, r12vrr_stack+33429, r12vrr_stack+7141);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+28669, r12vrr_stack+34185, r12vrr_stack+4713, r12vrr_stack+5968, r12vrr_stack+33744, r12vrr_stack+27709);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5301, r12vrr_stack+34773, r12vrr_stack+28669, r12vrr_stack+6409, r12vrr_stack+34185, r12vrr_stack+28129);

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+1640, r12vrr_stack+1752, NULL, NULL, r12vrr_stack+8058);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+27709, r12vrr_stack+763, r12vrr_stack+21, r12vrr_stack+1864, r12vrr_stack+1640, r12vrr_stack+4083);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+27877, r12vrr_stack+2676, r12vrr_stack+27709, r12vrr_stack+1892, r12vrr_stack+763, r12vrr_stack+4146);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28157, r12vrr_stack+2844, r12vrr_stack+27877, r12vrr_stack+1976, r12vrr_stack+2676, r12vrr_stack+19524);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19524, r12vrr_stack+35529, r12vrr_stack+28157, r12vrr_stack+9601, r12vrr_stack+2844, r12vrr_stack+847);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+33429, r12vrr_stack+35949, r12vrr_stack+19524, r12vrr_stack+9881, r12vrr_stack+35529, r12vrr_stack+4272);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+50399, r12vrr_stack+36537, r12vrr_stack+33429, r12vrr_stack+10301, r12vrr_stack+35949, r12vrr_stack+4713);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+37321, r12vrr_stack+50399, r12vrr_stack+11477, r12vrr_stack+36537, r12vrr_stack+28669);
 tmp = r12vrr_stack + 9601;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35529, r12vrr_stack+8277, r12vrr_stack+14006, NULL, NULL, r12vrr_stack+1752);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35637, r12vrr_stack+8313, r12vrr_stack+35529, r12vrr_stack+7465, r12vrr_stack+8277, r12vrr_stack+21);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+8421, r12vrr_stack+35637, r12vrr_stack+8079, r12vrr_stack+8313, r12vrr_stack+27709);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+35853, r12vrr_stack+7501, r12vrr_stack+7141, r12vrr_stack+16149, r12vrr_stack+8421, r12vrr_stack+27877);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+36393, r12vrr_stack+38329, r12vrr_stack+35853, r12vrr_stack+16365, r12vrr_stack+7501, r12vrr_stack+28157);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27709, r12vrr_stack+38869, r12vrr_stack+36393, r12vrr_stack+16725, r12vrr_stack+38329, r12vrr_stack+19524);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28717, r12vrr_stack+39625, r12vrr_stack+27709, r12vrr_stack+17265, r12vrr_stack+38869, r12vrr_stack+33429);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+40633, r12vrr_stack+28717, r12vrr_stack+18021, r12vrr_stack+39625, r12vrr_stack+50399);
 tmp = r12vrr_stack + 16149;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+50399, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+50402, r12vrr_stack+0, r12vrr_stack+50399, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+105, r12vrr_stack+50402, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+13953, r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+105, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+13963, r12vrr_stack+0, r12vrr_stack+13017, r12vrr_stack+13953, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10861, r12vrr_stack+1578, r12vrr_stack+15, r12vrr_stack+13027, r12vrr_stack+13963, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+13978, r12vrr_stack+10861, r12vrr_stack+13042, r12vrr_stack+1578, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36, r12vrr_stack+14006, r12vrr_stack+0, r12vrr_stack+1752, r12vrr_stack+13978, NULL);

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+50399, r12vrr_stack+14042, r12vrr_stack+36, NULL, NULL, r12vrr_stack+14006);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+50534, r12vrr_stack+14087, r12vrr_stack+50399, r12vrr_stack+13063, r12vrr_stack+14042, r12vrr_stack+35529);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+50804, r12vrr_stack+14222, r12vrr_stack+50534, r12vrr_stack+13108, r12vrr_stack+14087, r12vrr_stack+35637);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+51254, r12vrr_stack+41929, r12vrr_stack+50804, r12vrr_stack+23889, r12vrr_stack+14222, r12vrr_stack+7141);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+42379, r12vrr_stack+51254, r12vrr_stack+24159, r12vrr_stack+41929, r12vrr_stack+35853);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+50399, r12vrr_stack+43054, r12vrr_stack+7141, r12vrr_stack+24609, r12vrr_stack+42379, r12vrr_stack+36393);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35529, r12vrr_stack+43999, r12vrr_stack+50399, r12vrr_stack+25284, r12vrr_stack+43054, r12vrr_stack+27709);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23889, r12vrr_stack+45259, r12vrr_stack+35529, r12vrr_stack+26229, r12vrr_stack+43999, r12vrr_stack+28717);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35529, r12vrr_stack+14042, r12vrr_stack+36, r12vrr_stack+8277, r12vrr_stack+14006, NULL);

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35584, r12vrr_stack+21144, r12vrr_stack+35529, NULL, NULL, r12vrr_stack+14042);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35749, r12vrr_stack+27489, r12vrr_stack+35584, r12vrr_stack+27654, r12vrr_stack+21144, r12vrr_stack+14087);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27654, r12vrr_stack+21199, r12vrr_stack+35749, r12vrr_stack+19029, r12vrr_stack+27489, r12vrr_stack+14222);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28204, r12vrr_stack+21529, r12vrr_stack+27654, r12vrr_stack+19194, r12vrr_stack+21199, r12vrr_stack+41929);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+46879, r12vrr_stack+28204, r12vrr_stack+30074, r12vrr_stack+21529, r12vrr_stack+42379);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+47704, r12vrr_stack+19029, r12vrr_stack+30624, r12vrr_stack+46879, r12vrr_stack+43054);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41929, r12vrr_stack+48859, r12vrr_stack+27489, r12vrr_stack+32274, r12vrr_stack+47704, r12vrr_stack+43999);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+27489, &(Data->ss_r12_ss), NULL, r12vrr_stack+566, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+27492, r12vrr_stack+27489, &(Data->ss_r12_ss), r12vrr_stack+569, r12vrr_stack+566, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+27498, r12vrr_stack+27492, r12vrr_stack+27489, r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+566, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+27508, r12vrr_stack+27498, r12vrr_stack+27492, r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+569, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+27523, r12vrr_stack+27508, r12vrr_stack+27498, r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+121, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+10861, r12vrr_stack+27523, r12vrr_stack+27508, r12vrr_stack+1612, r12vrr_stack+590, r12vrr_stack+575, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+27544, r12vrr_stack+10861, NULL, r12vrr_stack+1780, r12vrr_stack+1612, NULL, r12vrr_stack+590);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+27628, r12vrr_stack+27544, r12vrr_stack+10861, r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+1612, r12vrr_stack+2277);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+27796, r12vrr_stack+27628, r12vrr_stack+27544, r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+2340);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+28076, r12vrr_stack+27796, r12vrr_stack+27628, r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+2466);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+28496, r12vrr_stack+28076, r12vrr_stack+27796, r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+3327);
 tmp = r12vrr_stack + 28496;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+29084, r12vrr_stack+28496, r12vrr_stack+28076, r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+3642);
 tmp = r12vrr_stack + 29084;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+27544, r12vrr_stack+10861, r12vrr_stack+27523, r12vrr_stack+6997, r12vrr_stack+1612, r12vrr_stack+590, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+27580, r12vrr_stack+27544, NULL, r12vrr_stack+7033, r12vrr_stack+6997, NULL, r12vrr_stack+1612);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+27688, r12vrr_stack+27580, r12vrr_stack+27544, r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+6997, r12vrr_stack+1780);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+27904, r12vrr_stack+27688, r12vrr_stack+27580, r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+8733);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+29868, r12vrr_stack+27904, r12vrr_stack+27688, r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+8901);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+30408, r12vrr_stack+29868, r12vrr_stack+27904, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+9181);
 tmp = r12vrr_stack + 30408;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+46879, r12vrr_stack+30408, r12vrr_stack+29868, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+10889);
 tmp = r12vrr_stack + 46879;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+29868, r12vrr_stack+27544, r12vrr_stack+10861, r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+1612, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+29913, r12vrr_stack+29868, NULL, r12vrr_stack+12477, r12vrr_stack+12261, NULL, r12vrr_stack+6997);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+30048, r12vrr_stack+29913, r12vrr_stack+29868, r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+12261, r12vrr_stack+7033);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+6997, r12vrr_stack+30048, r12vrr_stack+29913, r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+13377);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+30048, r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+13593);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+12936, r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+14853);
 tmp = r12vrr_stack + 12936;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+6997, r12vrr_stack+12936, r12vrr_stack+12261, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+15393);
 tmp = r12vrr_stack + 6997;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12261, r12vrr_stack+10889, r12vrr_stack+15393, r12vrr_stack+11477, r12vrr_stack+6409, r12vrr_stack+3642);
 tmp = r12vrr_stack + 12261;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8257, r12vrr_stack+15393, r12vrr_stack+22944, r12vrr_stack+18021, r12vrr_stack+11477, r12vrr_stack+10889);
 tmp = r12vrr_stack + 8257;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13881, r12vrr_stack+22944, r12vrr_stack+32274, r12vrr_stack+26229, r12vrr_stack+18021, r12vrr_stack+15393);
 tmp = r12vrr_stack + 13881;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+27489, r12vrr_stack+11477, r12vrr_stack+18021, r12vrr_stack+37321, r12vrr_stack+34773, r12vrr_stack+6409);
 tmp = r12vrr_stack + 27489;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19029, r12vrr_stack+18021, r12vrr_stack+26229, r12vrr_stack+40633, r12vrr_stack+37321, r12vrr_stack+11477);
 tmp = r12vrr_stack + 19029;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20037, r12vrr_stack+26229, r12vrr_stack+48859, r12vrr_stack+45259, r12vrr_stack+40633, r12vrr_stack+18021);
 tmp = r12vrr_stack + 20037;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+43909, r12vrr_stack+37321, r12vrr_stack+40633, r12vrr_stack+9601, r12vrr_stack+5301, r12vrr_stack+34773);
 tmp = r12vrr_stack + 43909;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+50399, r12vrr_stack+40633, r12vrr_stack+45259, r12vrr_stack+16149, r12vrr_stack+9601, r12vrr_stack+37321);
 tmp = r12vrr_stack + 50399;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+45259, r12vrr_stack+41929, r12vrr_stack+23889, r12vrr_stack+16149, r12vrr_stack+40633);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+47887, r12vrr_stack+10889, r12vrr_stack+11477, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+9181);
 tmp = r12vrr_stack + 47887;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21297, r12vrr_stack+15393, r12vrr_stack+18021, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+14853);
 tmp = r12vrr_stack + 21297;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1620, r12vrr_stack+22944, r12vrr_stack+26229, r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+22269);
 tmp = r12vrr_stack + 1620;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31164, r12vrr_stack+11477, r12vrr_stack+37321, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+10889);
 tmp = r12vrr_stack + 31164;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2565, r12vrr_stack+18021, r12vrr_stack+40633, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+15393);
 tmp = r12vrr_stack + 2565;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3573, r12vrr_stack+26229, r12vrr_stack+45259, r12vrr_stack+48859, r12vrr_stack+32274, r12vrr_stack+22944);
 tmp = r12vrr_stack + 3573;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31948, r12vrr_stack+37321, r12vrr_stack+9601, r12vrr_stack+40633, r12vrr_stack+18021, r12vrr_stack+11477);
 tmp = r12vrr_stack + 31948;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9013, r12vrr_stack+40633, r12vrr_stack+16149, r12vrr_stack+45259, r12vrr_stack+26229, r12vrr_stack+18021);
 tmp = r12vrr_stack + 9013;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16149, r12vrr_stack+45259, r12vrr_stack+23889, r12vrr_stack+41929, r12vrr_stack+48859, r12vrr_stack+26229);
 tmp = r12vrr_stack + 16149;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+41929, r12vrr_stack+29084, r12vrr_stack+28496, r12vrr_stack+37321, r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+6409);
 tmp = r12vrr_stack + 41929;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+23889, r12vrr_stack+46879, r12vrr_stack+30408, r12vrr_stack+40633, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+11477);
 tmp = r12vrr_stack + 23889;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+10309, r12vrr_stack+6997, r12vrr_stack+12936, r12vrr_stack+45259, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+18021);
 tmp = r12vrr_stack + 10309;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];


}

