#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_hpi0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+5);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+161, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+164, r12vrr_stack+161, r12vrr_stack+21, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+170, r12vrr_stack+121, NULL, NULL, r12vrr_stack+24);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+30, r12vrr_stack+21, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+216, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+226, r12vrr_stack+111, r12vrr_stack+216, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+256, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+39);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+57);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+75);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+476, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+491, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+164, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+506, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+521, r12vrr_stack+476, r12vrr_stack+506, NULL, NULL, r12vrr_stack+111);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+566, r12vrr_stack+491, r12vrr_stack+476, NULL, NULL, r12vrr_stack+121);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+611, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+131);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+701, r12vrr_stack+24, r12vrr_stack+161, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+707, r12vrr_stack+701, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+717, r12vrr_stack+707, r12vrr_stack+170, r12vrr_stack+701, r12vrr_stack+164, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+732, r12vrr_stack+717, r12vrr_stack+491, NULL, NULL, r12vrr_stack+170);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+777, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+180);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+180, r12vrr_stack+21, r12vrr_stack+27, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+186, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+30, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+867, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+33, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+882, r12vrr_stack+506, r12vrr_stack+867, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+927, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+226);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1017, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+256);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1167, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+316);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1317, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+376);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+170, r12vrr_stack+121, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+1563, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+476);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1647, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+707, r12vrr_stack+170, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1668, r12vrr_stack+1647, r12vrr_stack+1563, NULL, NULL, r12vrr_stack+491);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1731, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+111, r12vrr_stack+216, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1542, r12vrr_stack+1731, NULL, NULL, r12vrr_stack+506);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1815, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+521);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1941, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+566);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2067, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+611);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+566, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+569, r12vrr_stack+566, r12vrr_stack+24, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+701, r12vrr_stack+566, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+707, r12vrr_stack+569, r12vrr_stack+701, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+717, r12vrr_stack+121, r12vrr_stack+707, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2277, r12vrr_stack+590, r12vrr_stack+1647, NULL, NULL, r12vrr_stack+717);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2340, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+732);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2466, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+777);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+732, r12vrr_stack+27, r12vrr_stack+24, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+738, r12vrr_stack+180, r12vrr_stack+732, r12vrr_stack+21, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+748, r12vrr_stack+186, r12vrr_stack+738, r12vrr_stack+210, r12vrr_stack+180, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+216, r12vrr_stack+186, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+784, r12vrr_stack+1731, r12vrr_stack+763, NULL, NULL, r12vrr_stack+867);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+882);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2802, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+927);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3012, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1017);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3327, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+1167);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3642, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+1317);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+847, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+850, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+161, r12vrr_stack+6, r12vrr_stack+850, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+847);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4083, r12vrr_stack+33, r12vrr_stack+210, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4101, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+850);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4137, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+161);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4197, r12vrr_stack+216, r12vrr_stack+186, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4227, r12vrr_stack+226, r12vrr_stack+4197, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+4083);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4287, r12vrr_stack+256, r12vrr_stack+4227, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+4101);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+4387, r12vrr_stack+376, r12vrr_stack+4287, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+4137);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+316, r12vrr_stack+867, r12vrr_stack+748, NULL, NULL, r12vrr_stack+186);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4537, r12vrr_stack+882, r12vrr_stack+316, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+4197);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4627, r12vrr_stack+927, r12vrr_stack+4537, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+4227);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4777, r12vrr_stack+1017, r12vrr_stack+4627, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+4287);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5002, r12vrr_stack+1317, r12vrr_stack+4777, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+4387);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+24, r12vrr_stack+3, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+732, r12vrr_stack+15, r12vrr_stack+27, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+361, r12vrr_stack+738, r12vrr_stack+111, r12vrr_stack+180, r12vrr_stack+732, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1167, r12vrr_stack+748, r12vrr_stack+361, r12vrr_stack+186, r12vrr_stack+738, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1188, r12vrr_stack+763, r12vrr_stack+1167, NULL, NULL, r12vrr_stack+748);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5317, r12vrr_stack+784, r12vrr_stack+1188, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+316);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5443, r12vrr_stack+2676, r12vrr_stack+5317, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+4537);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5653, r12vrr_stack+2802, r12vrr_stack+5443, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+4627);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5968, r12vrr_stack+3012, r12vrr_stack+5653, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+4777);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6409, r12vrr_stack+3642, r12vrr_stack+5968, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+5002);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+476, r12vrr_stack+506, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1279, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+491, r12vrr_stack+476, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+611, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+506, r12vrr_stack+867, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+1251, r12vrr_stack+611, NULL, NULL, r12vrr_stack+1731);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7081, r12vrr_stack+1279, r12vrr_stack+1251, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7165, r12vrr_stack+7081, r12vrr_stack+6997, r12vrr_stack+1279, r12vrr_stack+1251, r12vrr_stack+1752);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+717, r12vrr_stack+491, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+1752, r12vrr_stack+1279, NULL, NULL, r12vrr_stack+1563);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7333, r12vrr_stack+476, r12vrr_stack+7081, r12vrr_stack+1752, r12vrr_stack+1279, r12vrr_stack+1584);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+763, r12vrr_stack+1167, r12vrr_stack+867, r12vrr_stack+748, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7501, r12vrr_stack+611, r12vrr_stack+1584, NULL, NULL, r12vrr_stack+763);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7585, r12vrr_stack+6997, r12vrr_stack+7501, r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+784);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7753, r12vrr_stack+7165, r12vrr_stack+7585, r12vrr_stack+7081, r12vrr_stack+6997, r12vrr_stack+2676);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8033, r12vrr_stack+7333, r12vrr_stack+7165, r12vrr_stack+476, r12vrr_stack+7081, r12vrr_stack+1815);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8313, r12vrr_stack+8033, r12vrr_stack+7753, r12vrr_stack+7333, r12vrr_stack+7165, r12vrr_stack+2802);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1612, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+575, r12vrr_stack+717, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1780, r12vrr_stack+1612, r12vrr_stack+1752, NULL, NULL, r12vrr_stack+1647);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+476, r12vrr_stack+1612, r12vrr_stack+1752, r12vrr_stack+1668);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+7333, r12vrr_stack+1780, r12vrr_stack+476, r12vrr_stack+1941);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+8033, r12vrr_stack+8733, r12vrr_stack+7333, r12vrr_stack+2067);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+560, r12vrr_stack+3, r12vrr_stack+27, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1307, r12vrr_stack+15, r12vrr_stack+560, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1668, r12vrr_stack+111, r12vrr_stack+1307, r12vrr_stack+732, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1683, r12vrr_stack+361, r12vrr_stack+1668, r12vrr_stack+738, r12vrr_stack+111, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1864, r12vrr_stack+1167, r12vrr_stack+1683, r12vrr_stack+748, r12vrr_stack+361, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1892, r12vrr_stack+1584, r12vrr_stack+1864, NULL, NULL, r12vrr_stack+1167);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1976, r12vrr_stack+7501, r12vrr_stack+1892, r12vrr_stack+611, r12vrr_stack+1584, r12vrr_stack+1188);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+7585, r12vrr_stack+1976, r12vrr_stack+6997, r12vrr_stack+7501, r12vrr_stack+5317);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9881, r12vrr_stack+7753, r12vrr_stack+9601, r12vrr_stack+7165, r12vrr_stack+7585, r12vrr_stack+5443);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10301, r12vrr_stack+8313, r12vrr_stack+9881, r12vrr_stack+8033, r12vrr_stack+7753, r12vrr_stack+5653);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+8313, r12vrr_stack+8901, r12vrr_stack+8033, r12vrr_stack+3012);
 tmp = r12vrr_stack + 10889;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+10301, r12vrr_stack+9181, r12vrr_stack+8313, r12vrr_stack+5968);
 tmp = r12vrr_stack + 11477;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+1542, r12vrr_stack+1731, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2180, r12vrr_stack+1279, r12vrr_stack+1251, r12vrr_stack+1563, r12vrr_stack+1542, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+2180, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1251);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2216, r12vrr_stack+1752, r12vrr_stack+1279, r12vrr_stack+1647, r12vrr_stack+1563, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12369, r12vrr_stack+2216, r12vrr_stack+2180, NULL, NULL, r12vrr_stack+1279);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+1584, r12vrr_stack+1731, r12vrr_stack+763, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12477, r12vrr_stack+2144, r12vrr_stack+1251, NULL, NULL, r12vrr_stack+611);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12585, r12vrr_stack+12261, r12vrr_stack+12477, r12vrr_stack+2180, r12vrr_stack+2144, r12vrr_stack+6997);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12801, r12vrr_stack+12369, r12vrr_stack+12261, r12vrr_stack+2216, r12vrr_stack+2180, r12vrr_stack+7081);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13017, r12vrr_stack+12801, r12vrr_stack+12585, r12vrr_stack+12369, r12vrr_stack+12261, r12vrr_stack+7165);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2180, r12vrr_stack+1612, r12vrr_stack+1752, r12vrr_stack+590, r12vrr_stack+1647, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+2180, r12vrr_stack+2216, NULL, NULL, r12vrr_stack+1752);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7105, r12vrr_stack+6997, r12vrr_stack+12369, r12vrr_stack+2180, r12vrr_stack+2216, r12vrr_stack+476);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13377, r12vrr_stack+7105, r12vrr_stack+12801, r12vrr_stack+6997, r12vrr_stack+12369, r12vrr_stack+7333);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12369, r12vrr_stack+1584, r12vrr_stack+1864, r12vrr_stack+763, r12vrr_stack+1167, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+1251, r12vrr_stack+12369, NULL, NULL, r12vrr_stack+1584);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13737, r12vrr_stack+12477, r12vrr_stack+6997, r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+7501);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13953, r12vrr_stack+12585, r12vrr_stack+13737, r12vrr_stack+12261, r12vrr_stack+12477, r12vrr_stack+7585);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14313, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+12801, r12vrr_stack+12585, r12vrr_stack+7753);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14853, r12vrr_stack+13377, r12vrr_stack+13017, r12vrr_stack+7105, r12vrr_stack+12801, r12vrr_stack+8033);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+14313, r12vrr_stack+13377, r12vrr_stack+13017, r12vrr_stack+8313);
 tmp = r12vrr_stack + 15393;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+24, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+13377, r12vrr_stack+847, r12vrr_stack+24, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+13383, r12vrr_stack+30, r12vrr_stack+21, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+57, r12vrr_stack+850, r12vrr_stack+13383, r12vrr_stack+0, r12vrr_stack+30, r12vrr_stack+24);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+131, r12vrr_stack+161, r12vrr_stack+57, r12vrr_stack+6, r12vrr_stack+850, r12vrr_stack+13377);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+161, r12vrr_stack+210, r12vrr_stack+180, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+13392, r12vrr_stack+4083, r12vrr_stack+161, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+13383);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+13428, r12vrr_stack+4101, r12vrr_stack+13392, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+57);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+13488, r12vrr_stack+4137, r12vrr_stack+13428, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+131);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+186, r12vrr_stack+738, NULL, NULL, r12vrr_stack+180);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4083, r12vrr_stack+4197, r12vrr_stack+131, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+161);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+13578, r12vrr_stack+4227, r12vrr_stack+4083, r12vrr_stack+226, r12vrr_stack+4197, r12vrr_stack+13392);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+8033, r12vrr_stack+4287, r12vrr_stack+13578, r12vrr_stack+256, r12vrr_stack+4227, r12vrr_stack+13428);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+12801, r12vrr_stack+4387, r12vrr_stack+8033, r12vrr_stack+376, r12vrr_stack+4287, r12vrr_stack+13488);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+376, r12vrr_stack+748, r12vrr_stack+361, NULL, NULL, r12vrr_stack+738);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+421, r12vrr_stack+316, r12vrr_stack+376, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+131);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+131, r12vrr_stack+4537, r12vrr_stack+421, r12vrr_stack+882, r12vrr_stack+316, r12vrr_stack+4083);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4083, r12vrr_stack+4627, r12vrr_stack+131, r12vrr_stack+927, r12vrr_stack+4537, r12vrr_stack+13578);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4308, r12vrr_stack+4777, r12vrr_stack+4083, r12vrr_stack+1017, r12vrr_stack+4627, r12vrr_stack+8033);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+5002, r12vrr_stack+4308, r12vrr_stack+1317, r12vrr_stack+4777, r12vrr_stack+12801);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12801, r12vrr_stack+1167, r12vrr_stack+1683, NULL, NULL, r12vrr_stack+361);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12864, r12vrr_stack+1188, r12vrr_stack+12801, r12vrr_stack+763, r12vrr_stack+1167, r12vrr_stack+376);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1317, r12vrr_stack+5317, r12vrr_stack+12864, r12vrr_stack+784, r12vrr_stack+1188, r12vrr_stack+421);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4623, r12vrr_stack+5443, r12vrr_stack+1317, r12vrr_stack+2676, r12vrr_stack+5317, r12vrr_stack+131);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4938, r12vrr_stack+5653, r12vrr_stack+4623, r12vrr_stack+2802, r12vrr_stack+5443, r12vrr_stack+4083);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+16569, r12vrr_stack+5968, r12vrr_stack+4938, r12vrr_stack+3012, r12vrr_stack+5653, r12vrr_stack+4308);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+17157, r12vrr_stack+6409, r12vrr_stack+16569, r12vrr_stack+3642, r12vrr_stack+5968, r12vrr_stack+16149);

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+21, r12vrr_stack+27, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+16149, r12vrr_stack+560, r12vrr_stack+21, r12vrr_stack+3, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+1307, r12vrr_stack+16149, r12vrr_stack+15, r12vrr_stack+560, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+1668, r12vrr_stack+0, r12vrr_stack+111, r12vrr_stack+1307, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+1683, r12vrr_stack+15, r12vrr_stack+361, r12vrr_stack+1668, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+1864, r12vrr_stack+1640, NULL, NULL, r12vrr_stack+1683);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+1892, r12vrr_stack+0, r12vrr_stack+1584, r12vrr_stack+1864, r12vrr_stack+12801);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8033, r12vrr_stack+1976, r12vrr_stack+16149, r12vrr_stack+7501, r12vrr_stack+1892, r12vrr_stack+12864);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+9601, r12vrr_stack+8033, r12vrr_stack+7585, r12vrr_stack+1976, r12vrr_stack+1317);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+9881, r12vrr_stack+16149, r12vrr_stack+7753, r12vrr_stack+9601, r12vrr_stack+4623);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+10301, r12vrr_stack+2676, r12vrr_stack+8313, r12vrr_stack+9881, r12vrr_stack+4938);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4867, r12vrr_stack+11477, r12vrr_stack+4083, r12vrr_stack+10889, r12vrr_stack+10301, r12vrr_stack+16569);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+1864, r12vrr_stack+1640, r12vrr_stack+1167, r12vrr_stack+1683, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+12369, r12vrr_stack+4083, NULL, NULL, r12vrr_stack+1864);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12801, r12vrr_stack+6997, r12vrr_stack+12261, r12vrr_stack+1251, r12vrr_stack+12369, r12vrr_stack+1892);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13377, r12vrr_stack+13737, r12vrr_stack+12801, r12vrr_stack+12477, r12vrr_stack+6997, r12vrr_stack+1976);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+13953, r12vrr_stack+13377, r12vrr_stack+12585, r12vrr_stack+13737, r12vrr_stack+9601);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+14313, r12vrr_stack+6997, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+9881);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+15393, r12vrr_stack+12261, r12vrr_stack+14853, r12vrr_stack+14313, r12vrr_stack+10301);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+12261, &(Data->ss_r12_ss), NULL, r12vrr_stack+566, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+12264, r12vrr_stack+12261, &(Data->ss_r12_ss), r12vrr_stack+569, r12vrr_stack+566, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+12270, r12vrr_stack+12264, r12vrr_stack+12261, r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+566, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+12280, r12vrr_stack+12270, r12vrr_stack+12264, r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+569, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+12295, r12vrr_stack+12280, r12vrr_stack+12270, r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+121, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+12316, r12vrr_stack+12295, r12vrr_stack+12280, r12vrr_stack+1612, r12vrr_stack+590, r12vrr_stack+575, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+12344, r12vrr_stack+12316, NULL, r12vrr_stack+1780, r12vrr_stack+1612, NULL, r12vrr_stack+590);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+12428, r12vrr_stack+12344, r12vrr_stack+12316, r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+1612, r12vrr_stack+2277);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+12596, r12vrr_stack+12428, r12vrr_stack+12344, r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+2340);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+12876, r12vrr_stack+12596, r12vrr_stack+12428, r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+2466);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+13296, r12vrr_stack+12876, r12vrr_stack+12596, r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+3327);
 tmp = r12vrr_stack + 13296;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12261, r12vrr_stack+10889, r12vrr_stack+15393, r12vrr_stack+11477, r12vrr_stack+6409, r12vrr_stack+3642);
 tmp = r12vrr_stack + 12261;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4083, r12vrr_stack+11477, r12vrr_stack+16149, r12vrr_stack+4867, r12vrr_stack+17157, r12vrr_stack+6409);
 tmp = r12vrr_stack + 4083;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17157, r12vrr_stack+10889, r12vrr_stack+11477, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+9181);
 tmp = r12vrr_stack + 17157;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13884, r12vrr_stack+11477, r12vrr_stack+4867, r12vrr_stack+16149, r12vrr_stack+15393, r12vrr_stack+10889);
 tmp = r12vrr_stack + 13884;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+4867, r12vrr_stack+13296, r12vrr_stack+12876, r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+3642);
 tmp = r12vrr_stack + 4867;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];


}

