#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_hpii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+5);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+161, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+164, r12vrr_stack+161, r12vrr_stack+21, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+170, r12vrr_stack+121, NULL, NULL, r12vrr_stack+24);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+30, r12vrr_stack+21, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+216, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+226, r12vrr_stack+111, r12vrr_stack+216, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+256, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+39);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+57);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+75);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+476, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+491, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+164, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+506, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+521, r12vrr_stack+476, r12vrr_stack+506, NULL, NULL, r12vrr_stack+111);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+566, r12vrr_stack+491, r12vrr_stack+476, NULL, NULL, r12vrr_stack+121);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+611, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+131);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+701, r12vrr_stack+24, r12vrr_stack+161, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+707, r12vrr_stack+701, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+717, r12vrr_stack+707, r12vrr_stack+170, r12vrr_stack+701, r12vrr_stack+164, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+732, r12vrr_stack+717, r12vrr_stack+491, NULL, NULL, r12vrr_stack+170);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+777, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+180);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+180, r12vrr_stack+21, r12vrr_stack+27, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+186, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+30, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+867, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+33, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+882, r12vrr_stack+506, r12vrr_stack+867, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+927, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+226);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1017, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+256);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1167, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+316);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1317, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+376);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+170, r12vrr_stack+121, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+1563, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+476);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1647, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+707, r12vrr_stack+170, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1668, r12vrr_stack+1647, r12vrr_stack+1563, NULL, NULL, r12vrr_stack+491);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1731, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+111, r12vrr_stack+216, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1542, r12vrr_stack+1731, NULL, NULL, r12vrr_stack+506);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1815, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+521);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1941, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+566);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2067, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+611);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+566, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+569, r12vrr_stack+566, r12vrr_stack+24, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+701, r12vrr_stack+566, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+707, r12vrr_stack+569, r12vrr_stack+701, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+717, r12vrr_stack+121, r12vrr_stack+707, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2277, r12vrr_stack+590, r12vrr_stack+1647, NULL, NULL, r12vrr_stack+717);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2340, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+732);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2466, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+777);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+732, r12vrr_stack+27, r12vrr_stack+24, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+738, r12vrr_stack+180, r12vrr_stack+732, r12vrr_stack+21, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+748, r12vrr_stack+186, r12vrr_stack+738, r12vrr_stack+210, r12vrr_stack+180, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+216, r12vrr_stack+186, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+784, r12vrr_stack+1731, r12vrr_stack+763, NULL, NULL, r12vrr_stack+867);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+882);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2802, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+927);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3012, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1017);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3327, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+1167);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3642, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+1317);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+847, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+850, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+161, r12vrr_stack+6, r12vrr_stack+850, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+847);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4083, r12vrr_stack+33, r12vrr_stack+210, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4101, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+850);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4137, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+161);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4197, r12vrr_stack+216, r12vrr_stack+186, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4227, r12vrr_stack+226, r12vrr_stack+4197, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+4083);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4287, r12vrr_stack+256, r12vrr_stack+4227, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+4101);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+4387, r12vrr_stack+376, r12vrr_stack+4287, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+4137);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+316, r12vrr_stack+867, r12vrr_stack+748, NULL, NULL, r12vrr_stack+186);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4537, r12vrr_stack+882, r12vrr_stack+316, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+4197);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4627, r12vrr_stack+927, r12vrr_stack+4537, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+4227);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4777, r12vrr_stack+1017, r12vrr_stack+4627, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+4287);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5002, r12vrr_stack+1317, r12vrr_stack+4777, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+4387);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+24, r12vrr_stack+3, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+732, r12vrr_stack+15, r12vrr_stack+27, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+361, r12vrr_stack+738, r12vrr_stack+111, r12vrr_stack+180, r12vrr_stack+732, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1167, r12vrr_stack+748, r12vrr_stack+361, r12vrr_stack+186, r12vrr_stack+738, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1188, r12vrr_stack+763, r12vrr_stack+1167, NULL, NULL, r12vrr_stack+748);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5317, r12vrr_stack+784, r12vrr_stack+1188, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+316);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5443, r12vrr_stack+2676, r12vrr_stack+5317, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+4537);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5653, r12vrr_stack+2802, r12vrr_stack+5443, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+4627);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5968, r12vrr_stack+3012, r12vrr_stack+5653, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+4777);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6409, r12vrr_stack+3642, r12vrr_stack+5968, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+5002);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+476, r12vrr_stack+506, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1279, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+491, r12vrr_stack+476, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+611, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+506, r12vrr_stack+867, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+1251, r12vrr_stack+611, NULL, NULL, r12vrr_stack+1731);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7081, r12vrr_stack+1279, r12vrr_stack+1251, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7165, r12vrr_stack+7081, r12vrr_stack+6997, r12vrr_stack+1279, r12vrr_stack+1251, r12vrr_stack+1752);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+717, r12vrr_stack+491, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+1752, r12vrr_stack+1279, NULL, NULL, r12vrr_stack+1563);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7333, r12vrr_stack+476, r12vrr_stack+7081, r12vrr_stack+1752, r12vrr_stack+1279, r12vrr_stack+1584);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+763, r12vrr_stack+1167, r12vrr_stack+867, r12vrr_stack+748, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7501, r12vrr_stack+611, r12vrr_stack+1584, NULL, NULL, r12vrr_stack+763);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7585, r12vrr_stack+6997, r12vrr_stack+7501, r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+784);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7753, r12vrr_stack+7165, r12vrr_stack+7585, r12vrr_stack+7081, r12vrr_stack+6997, r12vrr_stack+2676);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8033, r12vrr_stack+7333, r12vrr_stack+7165, r12vrr_stack+476, r12vrr_stack+7081, r12vrr_stack+1815);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8313, r12vrr_stack+8033, r12vrr_stack+7753, r12vrr_stack+7333, r12vrr_stack+7165, r12vrr_stack+2802);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1612, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+575, r12vrr_stack+717, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1780, r12vrr_stack+1612, r12vrr_stack+1752, NULL, NULL, r12vrr_stack+1647);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+476, r12vrr_stack+1612, r12vrr_stack+1752, r12vrr_stack+1668);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+7333, r12vrr_stack+1780, r12vrr_stack+476, r12vrr_stack+1941);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+8033, r12vrr_stack+8733, r12vrr_stack+7333, r12vrr_stack+2067);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+560, r12vrr_stack+3, r12vrr_stack+27, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1307, r12vrr_stack+15, r12vrr_stack+560, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1668, r12vrr_stack+111, r12vrr_stack+1307, r12vrr_stack+732, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1683, r12vrr_stack+361, r12vrr_stack+1668, r12vrr_stack+738, r12vrr_stack+111, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1864, r12vrr_stack+1167, r12vrr_stack+1683, r12vrr_stack+748, r12vrr_stack+361, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1892, r12vrr_stack+1584, r12vrr_stack+1864, NULL, NULL, r12vrr_stack+1167);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1976, r12vrr_stack+7501, r12vrr_stack+1892, r12vrr_stack+611, r12vrr_stack+1584, r12vrr_stack+1188);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+7585, r12vrr_stack+1976, r12vrr_stack+6997, r12vrr_stack+7501, r12vrr_stack+5317);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9881, r12vrr_stack+7753, r12vrr_stack+9601, r12vrr_stack+7165, r12vrr_stack+7585, r12vrr_stack+5443);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10301, r12vrr_stack+8313, r12vrr_stack+9881, r12vrr_stack+8033, r12vrr_stack+7753, r12vrr_stack+5653);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+8313, r12vrr_stack+8901, r12vrr_stack+8033, r12vrr_stack+3012);
 tmp = r12vrr_stack + 10889;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+10301, r12vrr_stack+9181, r12vrr_stack+8313, r12vrr_stack+5968);
 tmp = r12vrr_stack + 11477;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+1542, r12vrr_stack+1731, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2180, r12vrr_stack+1279, r12vrr_stack+1251, r12vrr_stack+1563, r12vrr_stack+1542, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+2180, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1251);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2216, r12vrr_stack+1752, r12vrr_stack+1279, r12vrr_stack+1647, r12vrr_stack+1563, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12369, r12vrr_stack+2216, r12vrr_stack+2180, NULL, NULL, r12vrr_stack+1279);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+611, r12vrr_stack+1584, r12vrr_stack+1731, r12vrr_stack+763, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12477, r12vrr_stack+2144, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+611);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12585, r12vrr_stack+12261, r12vrr_stack+12477, r12vrr_stack+2180, r12vrr_stack+2144, r12vrr_stack+6997);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12801, r12vrr_stack+12369, r12vrr_stack+12261, r12vrr_stack+2216, r12vrr_stack+2180, r12vrr_stack+7081);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13017, r12vrr_stack+12801, r12vrr_stack+12585, r12vrr_stack+12369, r12vrr_stack+12261, r12vrr_stack+7165);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+1612, r12vrr_stack+1752, r12vrr_stack+590, r12vrr_stack+1647, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7033, r12vrr_stack+6997, r12vrr_stack+2216, NULL, NULL, r12vrr_stack+1752);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+12369, r12vrr_stack+6997, r12vrr_stack+2216, r12vrr_stack+476);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+12801, r12vrr_stack+7033, r12vrr_stack+12369, r12vrr_stack+7333);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+1584, r12vrr_stack+1864, r12vrr_stack+763, r12vrr_stack+1167, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+1542, r12vrr_stack+476, NULL, NULL, r12vrr_stack+1584);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7249, r12vrr_stack+12477, r12vrr_stack+7141, r12vrr_stack+2144, r12vrr_stack+1542, r12vrr_stack+7501);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13953, r12vrr_stack+12585, r12vrr_stack+7249, r12vrr_stack+12261, r12vrr_stack+12477, r12vrr_stack+7585);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14313, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+12801, r12vrr_stack+12585, r12vrr_stack+7753);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+13017, r12vrr_stack+13377, r12vrr_stack+12801, r12vrr_stack+8033);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+14313, r12vrr_stack+13593, r12vrr_stack+13017, r12vrr_stack+8313);
 tmp = r12vrr_stack + 15393;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1578, r12vrr_stack+27, r12vrr_stack+24, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+8033, r12vrr_stack+560, r12vrr_stack+1578, r12vrr_stack+3, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+8043, r12vrr_stack+1307, r12vrr_stack+8033, r12vrr_stack+15, r12vrr_stack+560, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8058, r12vrr_stack+1668, r12vrr_stack+8043, r12vrr_stack+111, r12vrr_stack+1307, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+1683, r12vrr_stack+8058, r12vrr_stack+361, r12vrr_stack+1668, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7465, r12vrr_stack+1864, r12vrr_stack+1640, r12vrr_stack+1167, r12vrr_stack+1683, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8079, r12vrr_stack+476, r12vrr_stack+7465, NULL, NULL, r12vrr_stack+1864);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+7141, r12vrr_stack+8079, r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+1892);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16365, r12vrr_stack+7249, r12vrr_stack+16149, r12vrr_stack+12477, r12vrr_stack+7141, r12vrr_stack+1976);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16725, r12vrr_stack+13953, r12vrr_stack+16365, r12vrr_stack+12585, r12vrr_stack+7249, r12vrr_stack+9601);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17265, r12vrr_stack+14313, r12vrr_stack+16725, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+9881);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+17265, r12vrr_stack+14853, r12vrr_stack+14313, r12vrr_stack+10301);
 tmp = r12vrr_stack + 18021;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8187, r12vrr_stack+2144, r12vrr_stack+1542, r12vrr_stack+1251, r12vrr_stack+611, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8232, r12vrr_stack+2180, r12vrr_stack+2144, r12vrr_stack+1279, r12vrr_stack+1251, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+8232, r12vrr_stack+8187, NULL, NULL, r12vrr_stack+2144);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+512, r12vrr_stack+2216, r12vrr_stack+2180, r12vrr_stack+1752, r12vrr_stack+1279, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19164, r12vrr_stack+512, r12vrr_stack+8232, NULL, NULL, r12vrr_stack+2180);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+611, r12vrr_stack+1584, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19299, r12vrr_stack+8187, r12vrr_stack+1251, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19434, r12vrr_stack+19029, r12vrr_stack+19299, r12vrr_stack+8232, r12vrr_stack+8187, r12vrr_stack+12477);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19704, r12vrr_stack+19164, r12vrr_stack+19029, r12vrr_stack+512, r12vrr_stack+8232, r12vrr_stack+12261);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19974, r12vrr_stack+19704, r12vrr_stack+19434, r12vrr_stack+19164, r12vrr_stack+19029, r12vrr_stack+12585);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+2216, r12vrr_stack+1612, r12vrr_stack+1752, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12477, r12vrr_stack+12261, r12vrr_stack+512, NULL, NULL, r12vrr_stack+2216);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+19164, r12vrr_stack+12261, r12vrr_stack+512, r12vrr_stack+12369);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+19704, r12vrr_stack+12477, r12vrr_stack+19164, r12vrr_stack+12801);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12306, r12vrr_stack+476, r12vrr_stack+7465, r12vrr_stack+1584, r12vrr_stack+1864, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12612, r12vrr_stack+1251, r12vrr_stack+12306, NULL, NULL, r12vrr_stack+476);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12747, r12vrr_stack+19299, r12vrr_stack+12612, r12vrr_stack+8187, r12vrr_stack+1251, r12vrr_stack+7141);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21144, r12vrr_stack+19434, r12vrr_stack+12747, r12vrr_stack+19029, r12vrr_stack+19299, r12vrr_stack+7249);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21594, r12vrr_stack+19974, r12vrr_stack+21144, r12vrr_stack+19704, r12vrr_stack+19434, r12vrr_stack+13953);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+19974, r12vrr_stack+20424, r12vrr_stack+19704, r12vrr_stack+13017);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+21594, r12vrr_stack+20694, r12vrr_stack+19974, r12vrr_stack+14313);
 tmp = r12vrr_stack + 22944;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+24, r12vrr_stack+3, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+1578, r12vrr_stack+15, r12vrr_stack+27, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13017, r12vrr_stack+8033, r12vrr_stack+111, r12vrr_stack+560, r12vrr_stack+1578, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13032, r12vrr_stack+8043, r12vrr_stack+13017, r12vrr_stack+1307, r12vrr_stack+8033, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13053, r12vrr_stack+8058, r12vrr_stack+13032, r12vrr_stack+1668, r12vrr_stack+8043, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8277, r12vrr_stack+1640, r12vrr_stack+13053, r12vrr_stack+1683, r12vrr_stack+8058, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13081, r12vrr_stack+7465, r12vrr_stack+8277, r12vrr_stack+1864, r12vrr_stack+1640, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13126, r12vrr_stack+12306, r12vrr_stack+13081, NULL, NULL, r12vrr_stack+7465);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23889, r12vrr_stack+12612, r12vrr_stack+13126, r12vrr_stack+1251, r12vrr_stack+12306, r12vrr_stack+8079);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24159, r12vrr_stack+12747, r12vrr_stack+23889, r12vrr_stack+19299, r12vrr_stack+12612, r12vrr_stack+16149);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24609, r12vrr_stack+21144, r12vrr_stack+24159, r12vrr_stack+19434, r12vrr_stack+12747, r12vrr_stack+16365);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25284, r12vrr_stack+21594, r12vrr_stack+24609, r12vrr_stack+19974, r12vrr_stack+21144, r12vrr_stack+16725);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+25284, r12vrr_stack+22269, r12vrr_stack+21594, r12vrr_stack+17265);
 tmp = r12vrr_stack + 26229;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13261, r12vrr_stack+8187, r12vrr_stack+1251, r12vrr_stack+2144, r12vrr_stack+1542, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13316, r12vrr_stack+8232, r12vrr_stack+8187, r12vrr_stack+2180, r12vrr_stack+2144, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+13316, r12vrr_stack+13261, NULL, NULL, r12vrr_stack+8187);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12351, r12vrr_stack+512, r12vrr_stack+8232, r12vrr_stack+2216, r12vrr_stack+2180, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27654, r12vrr_stack+12351, r12vrr_stack+13316, NULL, NULL, r12vrr_stack+8232);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+12306, r12vrr_stack+1542, r12vrr_stack+476, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27819, r12vrr_stack+13261, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1251);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27984, r12vrr_stack+27489, r12vrr_stack+27819, r12vrr_stack+13316, r12vrr_stack+13261, r12vrr_stack+19299);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28314, r12vrr_stack+27654, r12vrr_stack+27489, r12vrr_stack+12351, r12vrr_stack+13316, r12vrr_stack+19029);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28644, r12vrr_stack+28314, r12vrr_stack+27984, r12vrr_stack+27654, r12vrr_stack+27489, r12vrr_stack+19434);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+12261, r12vrr_stack+512, r12vrr_stack+6997, r12vrr_stack+2216, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19299, r12vrr_stack+19029, r12vrr_stack+12351, NULL, NULL, r12vrr_stack+512);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29194, r12vrr_stack+19299, r12vrr_stack+27654, r12vrr_stack+19029, r12vrr_stack+12351, r12vrr_stack+19164);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29524, r12vrr_stack+29194, r12vrr_stack+28314, r12vrr_stack+19299, r12vrr_stack+27654, r12vrr_stack+19704);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19084, r12vrr_stack+12306, r12vrr_stack+13081, r12vrr_stack+476, r12vrr_stack+7465, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19464, r12vrr_stack+2144, r12vrr_stack+19084, NULL, NULL, r12vrr_stack+12306);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19629, r12vrr_stack+27819, r12vrr_stack+19464, r12vrr_stack+13261, r12vrr_stack+2144, r12vrr_stack+12612);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30074, r12vrr_stack+27984, r12vrr_stack+19629, r12vrr_stack+27489, r12vrr_stack+27819, r12vrr_stack+12747);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30624, r12vrr_stack+28644, r12vrr_stack+30074, r12vrr_stack+28314, r12vrr_stack+27984, r12vrr_stack+21144);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31449, r12vrr_stack+29524, r12vrr_stack+28644, r12vrr_stack+29194, r12vrr_stack+28314, r12vrr_stack+19974);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+30624, r12vrr_stack+29524, r12vrr_stack+28644, r12vrr_stack+21594);
 tmp = r12vrr_stack + 32274;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13371, r12vrr_stack+3, r12vrr_stack+27, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+19139, r12vrr_stack+15, r12vrr_stack+13371, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1668, r12vrr_stack+111, r12vrr_stack+19139, r12vrr_stack+1578, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1296, r12vrr_stack+13017, r12vrr_stack+1668, r12vrr_stack+8033, r12vrr_stack+111, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19149, r12vrr_stack+13032, r12vrr_stack+1296, r12vrr_stack+8043, r12vrr_stack+13017, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19177, r12vrr_stack+13053, r12vrr_stack+19149, r12vrr_stack+8058, r12vrr_stack+13032, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8033, r12vrr_stack+8277, r12vrr_stack+19177, r12vrr_stack+1640, r12vrr_stack+13053, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19213, r12vrr_stack+13081, r12vrr_stack+8033, r12vrr_stack+7465, r12vrr_stack+8277, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19959, r12vrr_stack+19084, r12vrr_stack+19213, NULL, NULL, r12vrr_stack+13081);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33429, r12vrr_stack+19464, r12vrr_stack+19959, r12vrr_stack+2144, r12vrr_stack+19084, r12vrr_stack+13126);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33759, r12vrr_stack+19629, r12vrr_stack+33429, r12vrr_stack+27819, r12vrr_stack+19464, r12vrr_stack+23889);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34309, r12vrr_stack+30074, r12vrr_stack+33759, r12vrr_stack+27984, r12vrr_stack+19629, r12vrr_stack+24159);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35134, r12vrr_stack+30624, r12vrr_stack+34309, r12vrr_stack+28644, r12vrr_stack+30074, r12vrr_stack+24609);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+35134, r12vrr_stack+31449, r12vrr_stack+30624, r12vrr_stack+25284);
 tmp = r12vrr_stack + 36289;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20124, r12vrr_stack+13261, r12vrr_stack+2144, r12vrr_stack+8187, r12vrr_stack+1251, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20190, r12vrr_stack+13316, r12vrr_stack+13261, r12vrr_stack+8232, r12vrr_stack+8187, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37829, r12vrr_stack+20190, r12vrr_stack+20124, NULL, NULL, r12vrr_stack+13261);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20256, r12vrr_stack+12351, r12vrr_stack+13316, r12vrr_stack+512, r12vrr_stack+8232, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38027, r12vrr_stack+20256, r12vrr_stack+20190, NULL, NULL, r12vrr_stack+13316);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8187, r12vrr_stack+2144, r12vrr_stack+19084, r12vrr_stack+1251, r12vrr_stack+12306, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38225, r12vrr_stack+20124, r12vrr_stack+8187, NULL, NULL, r12vrr_stack+2144);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38423, r12vrr_stack+37829, r12vrr_stack+38225, r12vrr_stack+20190, r12vrr_stack+20124, r12vrr_stack+27819);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38819, r12vrr_stack+38027, r12vrr_stack+37829, r12vrr_stack+20256, r12vrr_stack+20190, r12vrr_stack+27489);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39215, r12vrr_stack+38819, r12vrr_stack+38423, r12vrr_stack+38027, r12vrr_stack+37829, r12vrr_stack+27984);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+19029, r12vrr_stack+12351, r12vrr_stack+12261, r12vrr_stack+512, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27819, r12vrr_stack+27489, r12vrr_stack+20256, NULL, NULL, r12vrr_stack+12351);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39875, r12vrr_stack+27819, r12vrr_stack+38027, r12vrr_stack+27489, r12vrr_stack+20256, r12vrr_stack+27654);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40271, r12vrr_stack+39875, r12vrr_stack+38819, r12vrr_stack+27819, r12vrr_stack+38027, r12vrr_stack+28314);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27555, r12vrr_stack+19084, r12vrr_stack+19213, r12vrr_stack+12306, r12vrr_stack+13081, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27621, r12vrr_stack+8187, r12vrr_stack+27555, NULL, NULL, r12vrr_stack+19084);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28017, r12vrr_stack+38225, r12vrr_stack+27621, r12vrr_stack+20124, r12vrr_stack+8187, r12vrr_stack+19464);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40931, r12vrr_stack+38423, r12vrr_stack+28017, r12vrr_stack+37829, r12vrr_stack+38225, r12vrr_stack+19629);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41591, r12vrr_stack+39215, r12vrr_stack+40931, r12vrr_stack+38819, r12vrr_stack+38423, r12vrr_stack+30074);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42581, r12vrr_stack+40271, r12vrr_stack+39215, r12vrr_stack+39875, r12vrr_stack+38819, r12vrr_stack+28644);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+41591, r12vrr_stack+40271, r12vrr_stack+39215, r12vrr_stack+30624);
 tmp = r12vrr_stack + 43571;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+512, r12vrr_stack+27, r12vrr_stack+24, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+518, r12vrr_stack+13371, r12vrr_stack+512, r12vrr_stack+3, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+528, r12vrr_stack+19139, r12vrr_stack+518, r12vrr_stack+15, r12vrr_stack+13371, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+543, r12vrr_stack+1668, r12vrr_stack+528, r12vrr_stack+111, r12vrr_stack+19139, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28413, r12vrr_stack+1296, r12vrr_stack+543, r12vrr_stack+13017, r12vrr_stack+1668, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28441, r12vrr_stack+19149, r12vrr_stack+28413, r12vrr_stack+13032, r12vrr_stack+1296, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+19177, r12vrr_stack+28441, r12vrr_stack+13053, r12vrr_stack+19149, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13017, r12vrr_stack+8033, r12vrr_stack+1251, r12vrr_stack+8277, r12vrr_stack+19177, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28477, r12vrr_stack+19213, r12vrr_stack+13017, r12vrr_stack+13081, r12vrr_stack+8033, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28543, r12vrr_stack+27555, r12vrr_stack+28477, NULL, NULL, r12vrr_stack+19213);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28741, r12vrr_stack+27621, r12vrr_stack+28543, r12vrr_stack+8187, r12vrr_stack+27555, r12vrr_stack+19959);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44957, r12vrr_stack+28017, r12vrr_stack+28741, r12vrr_stack+38225, r12vrr_stack+27621, r12vrr_stack+33429);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45617, r12vrr_stack+40931, r12vrr_stack+44957, r12vrr_stack+38423, r12vrr_stack+28017, r12vrr_stack+33759);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46607, r12vrr_stack+41591, r12vrr_stack+45617, r12vrr_stack+39215, r12vrr_stack+40931, r12vrr_stack+34309);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+47993, r12vrr_stack+43571, r12vrr_stack+46607, r12vrr_stack+42581, r12vrr_stack+41591, r12vrr_stack+35134);
 tmp = r12vrr_stack + 47993;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2199, r12vrr_stack+20124, r12vrr_stack+8187, r12vrr_stack+13261, r12vrr_stack+2144, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20322, r12vrr_stack+20190, r12vrr_stack+20124, r12vrr_stack+13316, r12vrr_stack+13261, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+49841, r12vrr_stack+20322, r12vrr_stack+2199, NULL, NULL, r12vrr_stack+20124);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+611, r12vrr_stack+20256, r12vrr_stack+20190, r12vrr_stack+12351, r12vrr_stack+13316, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50075, r12vrr_stack+611, r12vrr_stack+20322, NULL, NULL, r12vrr_stack+20190);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+13261, r12vrr_stack+8187, r12vrr_stack+27555, r12vrr_stack+2144, r12vrr_stack+19084, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50309, r12vrr_stack+2199, r12vrr_stack+13261, NULL, NULL, r12vrr_stack+8187);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50543, r12vrr_stack+49841, r12vrr_stack+50309, r12vrr_stack+20322, r12vrr_stack+2199, r12vrr_stack+38225);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+51011, r12vrr_stack+50075, r12vrr_stack+49841, r12vrr_stack+611, r12vrr_stack+20322, r12vrr_stack+37829);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+51479, r12vrr_stack+51011, r12vrr_stack+50543, r12vrr_stack+50075, r12vrr_stack+49841, r12vrr_stack+38423);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37829, r12vrr_stack+27489, r12vrr_stack+20256, r12vrr_stack+19029, r12vrr_stack+12351, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38225, r12vrr_stack+37829, r12vrr_stack+611, NULL, NULL, r12vrr_stack+20256);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52259, r12vrr_stack+38225, r12vrr_stack+50075, r12vrr_stack+37829, r12vrr_stack+611, r12vrr_stack+38027);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52727, r12vrr_stack+52259, r12vrr_stack+51011, r12vrr_stack+38225, r12vrr_stack+50075, r12vrr_stack+38819);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+12351, r12vrr_stack+27555, r12vrr_stack+28477, r12vrr_stack+19084, r12vrr_stack+19213, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37907, r12vrr_stack+13261, r12vrr_stack+12351, NULL, NULL, r12vrr_stack+27555);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38459, r12vrr_stack+50309, r12vrr_stack+37907, r12vrr_stack+2199, r12vrr_stack+13261, r12vrr_stack+27621);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+53507, r12vrr_stack+50543, r12vrr_stack+38459, r12vrr_stack+49841, r12vrr_stack+50309, r12vrr_stack+28017);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+54287, r12vrr_stack+51479, r12vrr_stack+53507, r12vrr_stack+51011, r12vrr_stack+50543, r12vrr_stack+40931);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+55457, r12vrr_stack+52727, r12vrr_stack+51479, r12vrr_stack+52259, r12vrr_stack+51011, r12vrr_stack+39215);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+56627, r12vrr_stack+55457, r12vrr_stack+54287, r12vrr_stack+52727, r12vrr_stack+51479, r12vrr_stack+41591);
 tmp = r12vrr_stack + 56627;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+24, r12vrr_stack+3, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+512, r12vrr_stack+15, r12vrr_stack+27, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+12429, r12vrr_stack+518, r12vrr_stack+111, r12vrr_stack+13371, r12vrr_stack+512, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12444, r12vrr_stack+528, r12vrr_stack+12429, r12vrr_stack+19139, r12vrr_stack+518, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+38141, r12vrr_stack+543, r12vrr_stack+12444, r12vrr_stack+1668, r12vrr_stack+528, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+38169, r12vrr_stack+28413, r12vrr_stack+38141, r12vrr_stack+1296, r12vrr_stack+543, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38927, r12vrr_stack+28441, r12vrr_stack+38169, r12vrr_stack+19149, r12vrr_stack+28413, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+38927, r12vrr_stack+19177, r12vrr_stack+28441, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19139, r12vrr_stack+13017, r12vrr_stack+2144, r12vrr_stack+8033, r12vrr_stack+1251, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38972, r12vrr_stack+28477, r12vrr_stack+19139, r12vrr_stack+19213, r12vrr_stack+13017, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+39050, r12vrr_stack+12351, r12vrr_stack+38972, NULL, NULL, r12vrr_stack+28477);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+39284, r12vrr_stack+37907, r12vrr_stack+39050, r12vrr_stack+13261, r12vrr_stack+12351, r12vrr_stack+28543);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58265, r12vrr_stack+38459, r12vrr_stack+39284, r12vrr_stack+50309, r12vrr_stack+37907, r12vrr_stack+28741);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59045, r12vrr_stack+53507, r12vrr_stack+58265, r12vrr_stack+50543, r12vrr_stack+38459, r12vrr_stack+44957);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60215, r12vrr_stack+54287, r12vrr_stack+59045, r12vrr_stack+51479, r12vrr_stack+53507, r12vrr_stack+45617);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+61853, r12vrr_stack+56627, r12vrr_stack+60215, r12vrr_stack+55457, r12vrr_stack+54287, r12vrr_stack+46607);
 tmp = r12vrr_stack + 61853;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+39752, r12vrr_stack+2199, r12vrr_stack+13261, r12vrr_stack+20124, r12vrr_stack+8187, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+64037, r12vrr_stack+20322, r12vrr_stack+2199, r12vrr_stack+20190, r12vrr_stack+20124, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+64128, r12vrr_stack+64037, r12vrr_stack+39752, NULL, NULL, r12vrr_stack+2199);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+64401, r12vrr_stack+611, r12vrr_stack+20322, r12vrr_stack+20256, r12vrr_stack+20190, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+64492, r12vrr_stack+64401, r12vrr_stack+64037, NULL, NULL, r12vrr_stack+20322);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+20124, r12vrr_stack+13261, r12vrr_stack+12351, r12vrr_stack+8187, r12vrr_stack+27555, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+64765, r12vrr_stack+39752, r12vrr_stack+20124, NULL, NULL, r12vrr_stack+13261);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+65038, r12vrr_stack+64128, r12vrr_stack+64765, r12vrr_stack+64037, r12vrr_stack+39752, r12vrr_stack+50309);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+65584, r12vrr_stack+64492, r12vrr_stack+64128, r12vrr_stack+64401, r12vrr_stack+64037, r12vrr_stack+49841);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+66130, r12vrr_stack+65584, r12vrr_stack+65038, r12vrr_stack+64492, r12vrr_stack+64128, r12vrr_stack+50543);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+49841, r12vrr_stack+37829, r12vrr_stack+611, r12vrr_stack+27489, r12vrr_stack+20256, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50309, r12vrr_stack+49841, r12vrr_stack+64401, NULL, NULL, r12vrr_stack+611);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+67040, r12vrr_stack+50309, r12vrr_stack+64492, r12vrr_stack+49841, r12vrr_stack+64401, r12vrr_stack+50075);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+67586, r12vrr_stack+67040, r12vrr_stack+65584, r12vrr_stack+50309, r12vrr_stack+64492, r12vrr_stack+51011);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+49932, r12vrr_stack+12351, r12vrr_stack+38972, r12vrr_stack+27555, r12vrr_stack+28477, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50023, r12vrr_stack+20124, r12vrr_stack+49932, NULL, NULL, r12vrr_stack+12351);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50582, r12vrr_stack+64765, r12vrr_stack+50023, r12vrr_stack+39752, r12vrr_stack+20124, r12vrr_stack+37907);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+68496, r12vrr_stack+65038, r12vrr_stack+50582, r12vrr_stack+64128, r12vrr_stack+64765, r12vrr_stack+38459);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+69406, r12vrr_stack+66130, r12vrr_stack+68496, r12vrr_stack+65584, r12vrr_stack+65038, r12vrr_stack+53507);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+70771, r12vrr_stack+67586, r12vrr_stack+66130, r12vrr_stack+67040, r12vrr_stack+65584, r12vrr_stack+51479);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+72136, r12vrr_stack+70771, r12vrr_stack+69406, r12vrr_stack+67586, r12vrr_stack+66130, r12vrr_stack+54287);
 tmp = r12vrr_stack + 72136;
 target_ptr = Libr12->gvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+50296, r12vrr_stack+3, r12vrr_stack+27, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+51128, r12vrr_stack+15, r12vrr_stack+50296, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1668, r12vrr_stack+111, r12vrr_stack+51128, r12vrr_stack+512, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1296, r12vrr_stack+12429, r12vrr_stack+1668, r12vrr_stack+518, r12vrr_stack+111, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+51138, r12vrr_stack+12444, r12vrr_stack+1296, r12vrr_stack+528, r12vrr_stack+12429, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+51166, r12vrr_stack+38141, r12vrr_stack+51138, r12vrr_stack+543, r12vrr_stack+12444, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+512, r12vrr_stack+38169, r12vrr_stack+51166, r12vrr_stack+28413, r12vrr_stack+38141, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51202, r12vrr_stack+38927, r12vrr_stack+512, r12vrr_stack+28441, r12vrr_stack+38169, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51257, r12vrr_stack+2144, r12vrr_stack+51202, r12vrr_stack+1251, r12vrr_stack+38927, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+51323, r12vrr_stack+19139, r12vrr_stack+51257, r12vrr_stack+13017, r12vrr_stack+2144, NULL);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+51401, r12vrr_stack+38972, r12vrr_stack+51323, r12vrr_stack+28477, r12vrr_stack+19139, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+51492, r12vrr_stack+49932, r12vrr_stack+51401, NULL, NULL, r12vrr_stack+38972);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+74047, r12vrr_stack+50023, r12vrr_stack+51492, r12vrr_stack+20124, r12vrr_stack+49932, r12vrr_stack+39050);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+74593, r12vrr_stack+50582, r12vrr_stack+74047, r12vrr_stack+64765, r12vrr_stack+50023, r12vrr_stack+39284);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+75503, r12vrr_stack+68496, r12vrr_stack+74593, r12vrr_stack+65038, r12vrr_stack+50582, r12vrr_stack+58265);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76868, r12vrr_stack+69406, r12vrr_stack+75503, r12vrr_stack+66130, r12vrr_stack+68496, r12vrr_stack+59045);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78779, r12vrr_stack+72136, r12vrr_stack+76868, r12vrr_stack+70771, r12vrr_stack+69406, r12vrr_stack+60215);
 tmp = r12vrr_stack + 78779;
 target_ptr = Libr12->gvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51765, r12vrr_stack+39752, r12vrr_stack+20124, r12vrr_stack+2199, r12vrr_stack+13261, NULL);

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51870, r12vrr_stack+64037, r12vrr_stack+39752, r12vrr_stack+20322, r12vrr_stack+2199, NULL);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+81327, r12vrr_stack+51870, r12vrr_stack+51765, NULL, NULL, r12vrr_stack+39752);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+39752, r12vrr_stack+64401, r12vrr_stack+64037, r12vrr_stack+611, r12vrr_stack+20322, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+81642, r12vrr_stack+39752, r12vrr_stack+51870, NULL, NULL, r12vrr_stack+64037);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51975, r12vrr_stack+20124, r12vrr_stack+49932, r12vrr_stack+13261, r12vrr_stack+12351, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+81957, r12vrr_stack+51765, r12vrr_stack+51975, NULL, NULL, r12vrr_stack+20124);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82272, r12vrr_stack+81327, r12vrr_stack+81957, r12vrr_stack+51870, r12vrr_stack+51765, r12vrr_stack+64765);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82902, r12vrr_stack+81642, r12vrr_stack+81327, r12vrr_stack+39752, r12vrr_stack+51870, r12vrr_stack+64128);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+83532, r12vrr_stack+82902, r12vrr_stack+82272, r12vrr_stack+81642, r12vrr_stack+81327, r12vrr_stack+65038);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51870, r12vrr_stack+49841, r12vrr_stack+64401, r12vrr_stack+37829, r12vrr_stack+611, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+64765, r12vrr_stack+51870, r12vrr_stack+39752, NULL, NULL, r12vrr_stack+64401);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+84582, r12vrr_stack+64765, r12vrr_stack+81642, r12vrr_stack+51870, r12vrr_stack+39752, r12vrr_stack+64492);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+85212, r12vrr_stack+84582, r12vrr_stack+82902, r12vrr_stack+64765, r12vrr_stack+81642, r12vrr_stack+65584);

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51870, r12vrr_stack+49932, r12vrr_stack+51401, r12vrr_stack+12351, r12vrr_stack+38972, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+81642, r12vrr_stack+51975, r12vrr_stack+51870, NULL, NULL, r12vrr_stack+49932);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+64037, r12vrr_stack+81957, r12vrr_stack+81642, r12vrr_stack+51765, r12vrr_stack+51975, r12vrr_stack+50023);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+64667, r12vrr_stack+82272, r12vrr_stack+64037, r12vrr_stack+81327, r12vrr_stack+81957, r12vrr_stack+50582);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+86262, r12vrr_stack+83532, r12vrr_stack+64667, r12vrr_stack+82902, r12vrr_stack+82272, r12vrr_stack+68496);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+87837, r12vrr_stack+85212, r12vrr_stack+83532, r12vrr_stack+84582, r12vrr_stack+82902, r12vrr_stack+66130);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+89412, r12vrr_stack+87837, r12vrr_stack+86262, r12vrr_stack+85212, r12vrr_stack+83532, r12vrr_stack+69406);
 tmp = r12vrr_stack + 89412;
 target_ptr = Libr12->gvrr_classes[5][13];
 for(i=0;i<2205;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+24, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+82902, r12vrr_stack+847, r12vrr_stack+24, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+557, r12vrr_stack+30, r12vrr_stack+21, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+57, r12vrr_stack+850, r12vrr_stack+557, r12vrr_stack+0, r12vrr_stack+30, r12vrr_stack+24);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+131, r12vrr_stack+161, r12vrr_stack+57, r12vrr_stack+6, r12vrr_stack+850, r12vrr_stack+82902);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+82902, r12vrr_stack+210, r12vrr_stack+180, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+82920, r12vrr_stack+4083, r12vrr_stack+82902, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+557);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+82956, r12vrr_stack+4101, r12vrr_stack+82920, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+57);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+8187, r12vrr_stack+4137, r12vrr_stack+82956, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+131);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+186, r12vrr_stack+738, NULL, NULL, r12vrr_stack+180);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4083, r12vrr_stack+4197, r12vrr_stack+131, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+82902);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+83016, r12vrr_stack+4227, r12vrr_stack+4083, r12vrr_stack+226, r12vrr_stack+4197, r12vrr_stack+82920);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+83116, r12vrr_stack+4287, r12vrr_stack+83016, r12vrr_stack+256, r12vrr_stack+4227, r12vrr_stack+82956);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+83266, r12vrr_stack+4387, r12vrr_stack+83116, r12vrr_stack+376, r12vrr_stack+4287, r12vrr_stack+8187);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1251, r12vrr_stack+748, r12vrr_stack+361, NULL, NULL, r12vrr_stack+738);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+8187, r12vrr_stack+316, r12vrr_stack+1251, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+131);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+131, r12vrr_stack+4537, r12vrr_stack+8187, r12vrr_stack+882, r12vrr_stack+316, r12vrr_stack+4083);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4083, r12vrr_stack+4627, r12vrr_stack+131, r12vrr_stack+927, r12vrr_stack+4537, r12vrr_stack+83016);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+81327, r12vrr_stack+4777, r12vrr_stack+4083, r12vrr_stack+1017, r12vrr_stack+4627, r12vrr_stack+83116);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4308, r12vrr_stack+5002, r12vrr_stack+81327, r12vrr_stack+1317, r12vrr_stack+4777, r12vrr_stack+83266);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1317, r12vrr_stack+1167, r12vrr_stack+1683, NULL, NULL, r12vrr_stack+361);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1380, r12vrr_stack+1188, r12vrr_stack+1317, r12vrr_stack+763, r12vrr_stack+1167, r12vrr_stack+1251);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4728, r12vrr_stack+5317, r12vrr_stack+1380, r12vrr_stack+784, r12vrr_stack+1188, r12vrr_stack+8187);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4938, r12vrr_stack+5443, r12vrr_stack+4728, r12vrr_stack+2676, r12vrr_stack+5317, r12vrr_stack+131);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+82902, r12vrr_stack+5653, r12vrr_stack+4938, r12vrr_stack+2802, r12vrr_stack+5443, r12vrr_stack+4083);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+84582, r12vrr_stack+5968, r12vrr_stack+82902, r12vrr_stack+3012, r12vrr_stack+5653, r12vrr_stack+81327);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+85170, r12vrr_stack+6409, r12vrr_stack+84582, r12vrr_stack+3642, r12vrr_stack+5968, r12vrr_stack+4308);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+81327, r12vrr_stack+1864, r12vrr_stack+1640, NULL, NULL, r12vrr_stack+1683);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+81411, r12vrr_stack+1892, r12vrr_stack+81327, r12vrr_stack+1584, r12vrr_stack+1864, r12vrr_stack+1317);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+1976, r12vrr_stack+81411, r12vrr_stack+7501, r12vrr_stack+1892, r12vrr_stack+1380);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+9601, r12vrr_stack+4083, r12vrr_stack+7585, r12vrr_stack+1976, r12vrr_stack+4728);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5253, r12vrr_stack+9881, r12vrr_stack+2676, r12vrr_stack+7753, r12vrr_stack+9601, r12vrr_stack+4938);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4363, r12vrr_stack+10301, r12vrr_stack+5253, r12vrr_stack+8313, r12vrr_stack+9881, r12vrr_stack+82902);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+65717, r12vrr_stack+11477, r12vrr_stack+4363, r12vrr_stack+10889, r12vrr_stack+10301, r12vrr_stack+84582);
 tmp = r12vrr_stack + 65717;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+84582, r12vrr_stack+7465, r12vrr_stack+8277, NULL, NULL, r12vrr_stack+1640);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+84690, r12vrr_stack+8079, r12vrr_stack+84582, r12vrr_stack+476, r12vrr_stack+7465, r12vrr_stack+81327);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7465, r12vrr_stack+16149, r12vrr_stack+84690, r12vrr_stack+7141, r12vrr_stack+8079, r12vrr_stack+81411);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+82902, r12vrr_stack+16365, r12vrr_stack+7465, r12vrr_stack+7249, r12vrr_stack+16149, r12vrr_stack+4083);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+16725, r12vrr_stack+82902, r12vrr_stack+13953, r12vrr_stack+16365, r12vrr_stack+2676);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+91617, r12vrr_stack+17265, r12vrr_stack+9601, r12vrr_stack+14313, r12vrr_stack+16725, r12vrr_stack+5253);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+92625, r12vrr_stack+18021, r12vrr_stack+91617, r12vrr_stack+15393, r12vrr_stack+17265, r12vrr_stack+4363);
 tmp = r12vrr_stack + 92625;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+13081, r12vrr_stack+8033, NULL, NULL, r12vrr_stack+8277);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2811, r12vrr_stack+13126, r12vrr_stack+2676, r12vrr_stack+12306, r12vrr_stack+13081, r12vrr_stack+84582);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13953, r12vrr_stack+23889, r12vrr_stack+2811, r12vrr_stack+12612, r12vrr_stack+13126, r12vrr_stack+84690);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+24159, r12vrr_stack+13953, r12vrr_stack+12747, r12vrr_stack+23889, r12vrr_stack+7465);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4758, r12vrr_stack+24609, r12vrr_stack+4083, r12vrr_stack+21144, r12vrr_stack+24159, r12vrr_stack+82902);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+25284, r12vrr_stack+4758, r12vrr_stack+21594, r12vrr_stack+24609, r12vrr_stack+9601);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+93921, r12vrr_stack+26229, r12vrr_stack+16149, r12vrr_stack+22944, r12vrr_stack+25284, r12vrr_stack+91617);
 tmp = r12vrr_stack + 93921;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+91617, r12vrr_stack+19213, r12vrr_stack+13017, NULL, NULL, r12vrr_stack+8033);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+91782, r12vrr_stack+19959, r12vrr_stack+91617, r12vrr_stack+19084, r12vrr_stack+19213, r12vrr_stack+2676);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+33429, r12vrr_stack+91782, r12vrr_stack+19464, r12vrr_stack+19959, r12vrr_stack+2811);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21144, r12vrr_stack+33759, r12vrr_stack+9601, r12vrr_stack+19629, r12vrr_stack+33429, r12vrr_stack+13953);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23889, r12vrr_stack+34309, r12vrr_stack+21144, r12vrr_stack+30074, r12vrr_stack+33759, r12vrr_stack+4083);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+35134, r12vrr_stack+23889, r12vrr_stack+30624, r12vrr_stack+34309, r12vrr_stack+4758);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+36289, r12vrr_stack+7141, r12vrr_stack+32274, r12vrr_stack+35134, r12vrr_stack+16149);
 tmp = r12vrr_stack + 4083;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+28477, r12vrr_stack+19139, NULL, NULL, r12vrr_stack+13017);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16347, r12vrr_stack+28543, r12vrr_stack+16149, r12vrr_stack+27555, r12vrr_stack+28477, r12vrr_stack+91617);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16743, r12vrr_stack+28741, r12vrr_stack+16347, r12vrr_stack+27621, r12vrr_stack+28543, r12vrr_stack+91782);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+91617, r12vrr_stack+44957, r12vrr_stack+16743, r12vrr_stack+28017, r12vrr_stack+28741, r12vrr_stack+9601);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+33429, r12vrr_stack+45617, r12vrr_stack+91617, r12vrr_stack+40931, r12vrr_stack+44957, r12vrr_stack+21144);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+95541, r12vrr_stack+46607, r12vrr_stack+33429, r12vrr_stack+41591, r12vrr_stack+45617, r12vrr_stack+23889);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+97389, r12vrr_stack+47993, r12vrr_stack+95541, r12vrr_stack+43571, r12vrr_stack+46607, r12vrr_stack+7141);
 tmp = r12vrr_stack + 97389;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+38972, r12vrr_stack+51323, NULL, NULL, r12vrr_stack+19139);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+7375, r12vrr_stack+39050, r12vrr_stack+7141, r12vrr_stack+12351, r12vrr_stack+38972, r12vrr_stack+16149);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+7843, r12vrr_stack+39284, r12vrr_stack+7375, r12vrr_stack+37907, r12vrr_stack+39050, r12vrr_stack+16347);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+23889, r12vrr_stack+58265, r12vrr_stack+7843, r12vrr_stack+38459, r12vrr_stack+39284, r12vrr_stack+16743);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+59045, r12vrr_stack+23889, r12vrr_stack+53507, r12vrr_stack+58265, r12vrr_stack+91617);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+44957, r12vrr_stack+60215, r12vrr_stack+16149, r12vrr_stack+54287, r12vrr_stack+59045, r12vrr_stack+33429);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33429, r12vrr_stack+61853, r12vrr_stack+44957, r12vrr_stack+56627, r12vrr_stack+60215, r12vrr_stack+95541);
 tmp = r12vrr_stack + 33429;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+21, r12vrr_stack+27, r12vrr_stack+0, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+95541, r12vrr_stack+50296, r12vrr_stack+21, r12vrr_stack+3, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+51128, r12vrr_stack+95541, r12vrr_stack+15, r12vrr_stack+50296, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+1668, r12vrr_stack+0, r12vrr_stack+111, r12vrr_stack+51128, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+1296, r12vrr_stack+15, r12vrr_stack+12429, r12vrr_stack+1668, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1668, r12vrr_stack+51138, r12vrr_stack+1640, r12vrr_stack+12444, r12vrr_stack+1296, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1704, r12vrr_stack+51166, r12vrr_stack+1668, r12vrr_stack+38141, r12vrr_stack+51138, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19084, r12vrr_stack+512, r12vrr_stack+1704, r12vrr_stack+38169, r12vrr_stack+51166, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+51202, r12vrr_stack+19084, r12vrr_stack+38927, r12vrr_stack+512, NULL);

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2199, r12vrr_stack+51257, r12vrr_stack+1640, r12vrr_stack+2144, r12vrr_stack+51202, NULL);

 /*--- compute (00|q0)^7 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+51323, r12vrr_stack+2199, r12vrr_stack+19139, r12vrr_stack+51257, NULL);

 /*--- compute (p0|q0)^6 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+95541, r12vrr_stack+51401, r12vrr_stack+1640, NULL, NULL, r12vrr_stack+51323);

 /*--- compute (d0|q0)^5 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+95814, r12vrr_stack+51492, r12vrr_stack+95541, r12vrr_stack+49932, r12vrr_stack+51401, r12vrr_stack+7141);

 /*--- compute (f0|q0)^4 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+96360, r12vrr_stack+74047, r12vrr_stack+95814, r12vrr_stack+50023, r12vrr_stack+51492, r12vrr_stack+7375);

 /*--- compute (g0|q0)^3 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+58265, r12vrr_stack+74593, r12vrr_stack+96360, r12vrr_stack+50582, r12vrr_stack+74047, r12vrr_stack+7843);

 /*--- compute (h0|q0)^2 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+59630, r12vrr_stack+75503, r12vrr_stack+58265, r12vrr_stack+68496, r12vrr_stack+74593, r12vrr_stack+23889);

 /*--- compute (i0|q0)^1 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99765, r12vrr_stack+76868, r12vrr_stack+59630, r12vrr_stack+69406, r12vrr_stack+75503, r12vrr_stack+16149);

 /*--- compute (k0|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+58265, r12vrr_stack+78779, r12vrr_stack+99765, r12vrr_stack+72136, r12vrr_stack+76868, r12vrr_stack+44957);

 /*--- compute (00|r0)^6 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+51765, r12vrr_stack+51401, r12vrr_stack+1640, r12vrr_stack+38972, r12vrr_stack+51323, NULL);

 /*--- compute (p0|r0)^5 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+81327, r12vrr_stack+51870, r12vrr_stack+51765, NULL, NULL, r12vrr_stack+51401);

 /*--- compute (d0|r0)^4 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82902, r12vrr_stack+81642, r12vrr_stack+81327, r12vrr_stack+51975, r12vrr_stack+51870, r12vrr_stack+51492);

 /*--- compute (f0|r0)^3 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+44957, r12vrr_stack+64037, r12vrr_stack+82902, r12vrr_stack+81957, r12vrr_stack+81642, r12vrr_stack+74047);

 /*--- compute (g0|r0)^2 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+46007, r12vrr_stack+64667, r12vrr_stack+44957, r12vrr_stack+82272, r12vrr_stack+64037, r12vrr_stack+74593);

 /*--- compute (h0|r0)^1 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+81327, r12vrr_stack+86262, r12vrr_stack+46007, r12vrr_stack+83532, r12vrr_stack+64667, r12vrr_stack+75503);

 /*--- compute (i0|r0)^0 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+44957, r12vrr_stack+89412, r12vrr_stack+81327, r12vrr_stack+87837, r12vrr_stack+86262, r12vrr_stack+76868);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+81327, &(Data->ss_r12_ss), NULL, r12vrr_stack+566, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+81330, r12vrr_stack+81327, &(Data->ss_r12_ss), r12vrr_stack+569, r12vrr_stack+566, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+81336, r12vrr_stack+81330, r12vrr_stack+81327, r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+566, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+81346, r12vrr_stack+81336, r12vrr_stack+81330, r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+569, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+81361, r12vrr_stack+81346, r12vrr_stack+81336, r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+121, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+81382, r12vrr_stack+81361, r12vrr_stack+81346, r12vrr_stack+1612, r12vrr_stack+590, r12vrr_stack+575, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+81410, r12vrr_stack+81382, NULL, r12vrr_stack+1780, r12vrr_stack+1612, NULL, r12vrr_stack+590);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+81494, r12vrr_stack+81410, r12vrr_stack+81382, r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+1612, r12vrr_stack+2277);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+81662, r12vrr_stack+81494, r12vrr_stack+81410, r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+2340);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+81942, r12vrr_stack+81662, r12vrr_stack+81494, r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+2466);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+82362, r12vrr_stack+81942, r12vrr_stack+81662, r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+3327);
 tmp = r12vrr_stack + 82362;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+81410, r12vrr_stack+81382, r12vrr_stack+81361, r12vrr_stack+6997, r12vrr_stack+1612, r12vrr_stack+590, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+81446, r12vrr_stack+81410, NULL, r12vrr_stack+7033, r12vrr_stack+6997, NULL, r12vrr_stack+1612);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+81554, r12vrr_stack+81446, r12vrr_stack+81410, r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+6997, r12vrr_stack+1780);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+82950, r12vrr_stack+81554, r12vrr_stack+81446, r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+8733);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+83310, r12vrr_stack+82950, r12vrr_stack+81554, r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+8901);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+83850, r12vrr_stack+83310, r12vrr_stack+82950, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+9181);
 tmp = r12vrr_stack + 83850;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+82950, r12vrr_stack+81410, r12vrr_stack+81382, r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+1612, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+82995, r12vrr_stack+82950, NULL, r12vrr_stack+12477, r12vrr_stack+12261, NULL, r12vrr_stack+6997);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+81446, r12vrr_stack+82995, r12vrr_stack+82950, r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+12261, r12vrr_stack+7033);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+7033, r12vrr_stack+81446, r12vrr_stack+82995, r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+13377);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+7483, r12vrr_stack+7033, r12vrr_stack+81446, r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+13593);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+8158, r12vrr_stack+7483, r12vrr_stack+7033, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+14853);
 tmp = r12vrr_stack + 8158;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7033, r12vrr_stack+82950, r12vrr_stack+81410, r12vrr_stack+19029, r12vrr_stack+12261, r12vrr_stack+6997, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7088, r12vrr_stack+7033, NULL, r12vrr_stack+19299, r12vrr_stack+19029, NULL, r12vrr_stack+12261);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+81327, r12vrr_stack+7088, r12vrr_stack+7033, r12vrr_stack+29194, r12vrr_stack+19299, r12vrr_stack+19029, r12vrr_stack+12477);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+84606, r12vrr_stack+81327, r12vrr_stack+7088, r12vrr_stack+29524, r12vrr_stack+29194, r12vrr_stack+19299, r12vrr_stack+20424);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+64037, r12vrr_stack+84606, r12vrr_stack+81327, r12vrr_stack+31449, r12vrr_stack+29524, r12vrr_stack+29194, r12vrr_stack+20694);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+74047, r12vrr_stack+64037, r12vrr_stack+84606, r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+29524, r12vrr_stack+22269);
 tmp = r12vrr_stack + 74047;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+84606, r12vrr_stack+7033, r12vrr_stack+82950, r12vrr_stack+27489, r12vrr_stack+19029, r12vrr_stack+12261, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+84606, NULL, r12vrr_stack+27819, r12vrr_stack+27489, NULL, r12vrr_stack+19029);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12459, r12vrr_stack+12261, r12vrr_stack+84606, r12vrr_stack+39875, r12vrr_stack+27819, r12vrr_stack+27489, r12vrr_stack+19299);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12855, r12vrr_stack+12459, r12vrr_stack+12261, r12vrr_stack+40271, r12vrr_stack+39875, r12vrr_stack+27819, r12vrr_stack+29194);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13515, r12vrr_stack+12855, r12vrr_stack+12459, r12vrr_stack+42581, r12vrr_stack+40271, r12vrr_stack+39875, r12vrr_stack+29524);

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+75202, r12vrr_stack+13515, r12vrr_stack+12855, r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+40271, r12vrr_stack+31449);
 tmp = r12vrr_stack + 75202;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+9103, r12vrr_stack+84606, r12vrr_stack+7033, r12vrr_stack+37829, r12vrr_stack+27489, r12vrr_stack+19029, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+9103, NULL, r12vrr_stack+38225, r12vrr_stack+37829, NULL, r12vrr_stack+27489);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19263, r12vrr_stack+19029, r12vrr_stack+9103, r12vrr_stack+52259, r12vrr_stack+38225, r12vrr_stack+37829, r12vrr_stack+27819);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19731, r12vrr_stack+19263, r12vrr_stack+19029, r12vrr_stack+52727, r12vrr_stack+52259, r12vrr_stack+38225, r12vrr_stack+39875);

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+20511, r12vrr_stack+19731, r12vrr_stack+19263, r12vrr_stack+55457, r12vrr_stack+52727, r12vrr_stack+52259, r12vrr_stack+40271);

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+76588, r12vrr_stack+20511, r12vrr_stack+19731, r12vrr_stack+56627, r12vrr_stack+55457, r12vrr_stack+52727, r12vrr_stack+42581);
 tmp = r12vrr_stack + 76588;
 target_ptr = Libr12->rvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+9103, r12vrr_stack+84606, r12vrr_stack+49841, r12vrr_stack+37829, r12vrr_stack+27489, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+19029, NULL, r12vrr_stack+50309, r12vrr_stack+49841, NULL, r12vrr_stack+37829);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27762, r12vrr_stack+27489, r12vrr_stack+19029, r12vrr_stack+67040, r12vrr_stack+50309, r12vrr_stack+49841, r12vrr_stack+38225);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+27762, r12vrr_stack+27489, r12vrr_stack+67586, r12vrr_stack+67040, r12vrr_stack+50309, r12vrr_stack+52259);

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+49841, r12vrr_stack+19029, r12vrr_stack+27762, r12vrr_stack+70771, r12vrr_stack+67586, r12vrr_stack+67040, r12vrr_stack+52727);

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+85926, r12vrr_stack+49841, r12vrr_stack+19029, r12vrr_stack+72136, r12vrr_stack+70771, r12vrr_stack+67586, r12vrr_stack+55457);
 tmp = r12vrr_stack + 85926;
 target_ptr = Libr12->rvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+21681, r12vrr_stack+10889, r12vrr_stack+15393, r12vrr_stack+11477, r12vrr_stack+6409, r12vrr_stack+3642);
 tmp = r12vrr_stack + 21681;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19029, r12vrr_stack+15393, r12vrr_stack+22944, r12vrr_stack+18021, r12vrr_stack+11477, r12vrr_stack+10889);
 tmp = r12vrr_stack + 19029;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+27489, r12vrr_stack+22944, r12vrr_stack+32274, r12vrr_stack+26229, r12vrr_stack+18021, r12vrr_stack+15393);
 tmp = r12vrr_stack + 27489;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+28434, r12vrr_stack+32274, r12vrr_stack+43571, r12vrr_stack+36289, r12vrr_stack+26229, r12vrr_stack+22944);
 tmp = r12vrr_stack + 28434;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+29589, r12vrr_stack+43571, r12vrr_stack+56627, r12vrr_stack+47993, r12vrr_stack+36289, r12vrr_stack+32274);
 tmp = r12vrr_stack + 29589;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+51206, r12vrr_stack+56627, r12vrr_stack+72136, r12vrr_stack+61853, r12vrr_stack+47993, r12vrr_stack+43571);
 tmp = r12vrr_stack + 51206;
 target_ptr = Libr12->t2vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+52844, r12vrr_stack+72136, r12vrr_stack+89412, r12vrr_stack+78779, r12vrr_stack+61853, r12vrr_stack+56627);
 tmp = r12vrr_stack + 52844;
 target_ptr = Libr12->t2vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+37829, r12vrr_stack+11477, r12vrr_stack+18021, r12vrr_stack+65717, r12vrr_stack+85170, r12vrr_stack+6409);
 tmp = r12vrr_stack + 37829;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+91617, r12vrr_stack+18021, r12vrr_stack+26229, r12vrr_stack+92625, r12vrr_stack+65717, r12vrr_stack+11477);
 tmp = r12vrr_stack + 91617;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+38613, r12vrr_stack+26229, r12vrr_stack+36289, r12vrr_stack+93921, r12vrr_stack+92625, r12vrr_stack+18021);
 tmp = r12vrr_stack + 38613;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+39873, r12vrr_stack+36289, r12vrr_stack+47993, r12vrr_stack+4083, r12vrr_stack+93921, r12vrr_stack+26229);
 tmp = r12vrr_stack + 39873;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+95541, r12vrr_stack+47993, r12vrr_stack+61853, r12vrr_stack+97389, r12vrr_stack+4083, r12vrr_stack+36289);
 tmp = r12vrr_stack + 95541;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+99765, r12vrr_stack+61853, r12vrr_stack+78779, r12vrr_stack+33429, r12vrr_stack+97389, r12vrr_stack+47993);
 tmp = r12vrr_stack + 99765;
 target_ptr = Libr12->t2vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+78779, r12vrr_stack+44957, r12vrr_stack+58265, r12vrr_stack+33429, r12vrr_stack+61853);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19785, r12vrr_stack+10889, r12vrr_stack+11477, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+9181);
 tmp = r12vrr_stack + 19785;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+41413, r12vrr_stack+15393, r12vrr_stack+18021, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+14853);
 tmp = r12vrr_stack + 41413;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+84606, r12vrr_stack+22944, r12vrr_stack+26229, r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+22269);
 tmp = r12vrr_stack + 84606;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12261, r12vrr_stack+32274, r12vrr_stack+36289, r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+31449);
 tmp = r12vrr_stack + 12261;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+16149, r12vrr_stack+43571, r12vrr_stack+47993, r12vrr_stack+56627, r12vrr_stack+55457, r12vrr_stack+42581);
 tmp = r12vrr_stack + 16149;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+23889, r12vrr_stack+56627, r12vrr_stack+61853, r12vrr_stack+72136, r12vrr_stack+70771, r12vrr_stack+55457);
 tmp = r12vrr_stack + 23889;
 target_ptr = Libr12->t1vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+66725, r12vrr_stack+72136, r12vrr_stack+78779, r12vrr_stack+89412, r12vrr_stack+87837, r12vrr_stack+70771);
 tmp = r12vrr_stack + 66725;
 target_ptr = Libr12->t1vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+87837, r12vrr_stack+11477, r12vrr_stack+65717, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+10889);
 tmp = r12vrr_stack + 87837;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+64862, r12vrr_stack+18021, r12vrr_stack+92625, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+15393);
 tmp = r12vrr_stack + 64862;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+92625, r12vrr_stack+26229, r12vrr_stack+93921, r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+22944);
 tmp = r12vrr_stack + 92625;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+93885, r12vrr_stack+36289, r12vrr_stack+4083, r12vrr_stack+47993, r12vrr_stack+43571, r12vrr_stack+32274);
 tmp = r12vrr_stack + 93885;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4083, r12vrr_stack+47993, r12vrr_stack+97389, r12vrr_stack+61853, r12vrr_stack+56627, r12vrr_stack+43571);
 tmp = r12vrr_stack + 4083;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+97389, r12vrr_stack+61853, r12vrr_stack+33429, r12vrr_stack+78779, r12vrr_stack+72136, r12vrr_stack+56627);
 tmp = r12vrr_stack + 97389;
 target_ptr = Libr12->t1vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+33429, r12vrr_stack+78779, r12vrr_stack+58265, r12vrr_stack+44957, r12vrr_stack+89412, r12vrr_stack+72136);
 tmp = r12vrr_stack + 33429;
 target_ptr = Libr12->t1vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+44957, r12vrr_stack+82362, r12vrr_stack+81942, r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+3642);
 tmp = r12vrr_stack + 44957;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+45741, r12vrr_stack+83850, r12vrr_stack+83310, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+10889);
 tmp = r12vrr_stack + 45741;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+58265, r12vrr_stack+8158, r12vrr_stack+7483, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+15393);
 tmp = r12vrr_stack + 58265;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+59525, r12vrr_stack+74047, r12vrr_stack+64037, r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+22944);
 tmp = r12vrr_stack + 59525;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+35977, r12vrr_stack+75202, r12vrr_stack+13515, r12vrr_stack+47993, r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+32274);
 tmp = r12vrr_stack + 35977;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+74047, r12vrr_stack+76588, r12vrr_stack+20511, r12vrr_stack+61853, r12vrr_stack+56627, r12vrr_stack+55457, r12vrr_stack+43571);
 tmp = r12vrr_stack + 74047;
 target_ptr = Libr12->rvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+76231, r12vrr_stack+85926, r12vrr_stack+49841, r12vrr_stack+78779, r12vrr_stack+72136, r12vrr_stack+70771, r12vrr_stack+56627);
 tmp = r12vrr_stack + 76231;
 target_ptr = Libr12->rvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];


}

