#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_i0ff(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+12, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (d0|00)^2 ---*/
 _BUILD_d000(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+21, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+24, r12vrr_stack+0, r12vrr_stack+21, Data->F+4, Data->F+5, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+30, r12vrr_stack+6, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (f0|00)^2 ---*/
 _BUILD_f000(Data,r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (g0|00)^2 ---*/
 _BUILD_g000(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+30, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+65, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+68, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+71, r12vrr_stack+68, r12vrr_stack+65, NULL, NULL, Data->F+4);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+80, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+83, r12vrr_stack+80, r12vrr_stack+68, NULL, NULL, Data->F+3);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+92, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+95, r12vrr_stack+65, r12vrr_stack+92, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+104, r12vrr_stack+71, r12vrr_stack+95, r12vrr_stack+68, r12vrr_stack+65, r12vrr_stack+0);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+122, r12vrr_stack+83, r12vrr_stack+71, r12vrr_stack+80, r12vrr_stack+68, r12vrr_stack+3);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+140, r12vrr_stack+122, r12vrr_stack+104, r12vrr_stack+83, r12vrr_stack+71, r12vrr_stack+6);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+170, r12vrr_stack+3, r12vrr_stack+80, NULL, NULL, Data->F+2);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+179, r12vrr_stack+170, r12vrr_stack+83, r12vrr_stack+3, r12vrr_stack+80, r12vrr_stack+12);

 /*--- compute (f0|p0)^1 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+197, r12vrr_stack+179, r12vrr_stack+122, r12vrr_stack+170, r12vrr_stack+83, r12vrr_stack+15);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+227, r12vrr_stack+92, r12vrr_stack+12, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+236, r12vrr_stack+95, r12vrr_stack+227, r12vrr_stack+65, r12vrr_stack+92, r12vrr_stack+21);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+254, r12vrr_stack+104, r12vrr_stack+236, r12vrr_stack+71, r12vrr_stack+95, r12vrr_stack+24);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+284, r12vrr_stack+140, r12vrr_stack+254, r12vrr_stack+122, r12vrr_stack+104, r12vrr_stack+30);

 /*--- compute (g0|p0)^1 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+329, r12vrr_stack+197, r12vrr_stack+140, r12vrr_stack+179, r12vrr_stack+122, r12vrr_stack+40);

 /*--- compute (h0|p0)^1 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+374, r12vrr_stack+329, r12vrr_stack+284, r12vrr_stack+197, r12vrr_stack+140, r12vrr_stack+50);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+68, r12vrr_stack+65, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+437, r12vrr_stack+80, r12vrr_stack+68, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+443, r12vrr_stack+65, r12vrr_stack+92, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+449, r12vrr_stack+15, r12vrr_stack+443, NULL, NULL, r12vrr_stack+65);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+467, r12vrr_stack+437, r12vrr_stack+15, NULL, NULL, r12vrr_stack+68);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+485, r12vrr_stack+467, r12vrr_stack+449, r12vrr_stack+437, r12vrr_stack+15, r12vrr_stack+71);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+71, r12vrr_stack+3, r12vrr_stack+80, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+521, r12vrr_stack+71, r12vrr_stack+437, NULL, NULL, r12vrr_stack+80);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+539, r12vrr_stack+521, r12vrr_stack+467, r12vrr_stack+71, r12vrr_stack+437, r12vrr_stack+83);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+83, r12vrr_stack+92, r12vrr_stack+12, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+575, r12vrr_stack+443, r12vrr_stack+83, NULL, NULL, r12vrr_stack+92);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+593, r12vrr_stack+449, r12vrr_stack+575, r12vrr_stack+15, r12vrr_stack+443, r12vrr_stack+95);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+629, r12vrr_stack+485, r12vrr_stack+593, r12vrr_stack+467, r12vrr_stack+449, r12vrr_stack+104);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+689, r12vrr_stack+539, r12vrr_stack+485, r12vrr_stack+521, r12vrr_stack+467, r12vrr_stack+122);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+749, r12vrr_stack+689, r12vrr_stack+629, r12vrr_stack+539, r12vrr_stack+485, r12vrr_stack+140);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+89, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+122, r12vrr_stack+89, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+839, r12vrr_stack+122, r12vrr_stack+71, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+857, r12vrr_stack+839, r12vrr_stack+521, r12vrr_stack+122, r12vrr_stack+71, r12vrr_stack+170);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+893, r12vrr_stack+857, r12vrr_stack+539, r12vrr_stack+839, r12vrr_stack+521, r12vrr_stack+179);

 /*--- compute (g0|d0)^0 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+953, r12vrr_stack+893, r12vrr_stack+689, r12vrr_stack+857, r12vrr_stack+539, r12vrr_stack+197);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+77, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+170, r12vrr_stack+12, r12vrr_stack+77, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+176, r12vrr_stack+83, r12vrr_stack+170, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+1043, r12vrr_stack+575, r12vrr_stack+176, r12vrr_stack+443, r12vrr_stack+83, r12vrr_stack+227);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1079, r12vrr_stack+593, r12vrr_stack+1043, r12vrr_stack+449, r12vrr_stack+575, r12vrr_stack+236);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+1139, r12vrr_stack+629, r12vrr_stack+1079, r12vrr_stack+485, r12vrr_stack+593, r12vrr_stack+254);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1229, r12vrr_stack+749, r12vrr_stack+1139, r12vrr_stack+689, r12vrr_stack+629, r12vrr_stack+284);

 /*--- compute (h0|d0)^0 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1355, r12vrr_stack+953, r12vrr_stack+749, r12vrr_stack+893, r12vrr_stack+689, r12vrr_stack+329);

 /*--- compute (i0|d0)^0 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1481, r12vrr_stack+1355, r12vrr_stack+1229, r12vrr_stack+953, r12vrr_stack+749, r12vrr_stack+374);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+194, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+197, r12vrr_stack+21, r12vrr_stack+194, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+203, r12vrr_stack+24, r12vrr_stack+197, r12vrr_stack+0, r12vrr_stack+21, NULL);

 /*--- compute (g0|00)^3 ---*/
 _BUILD_g000(Data,r12vrr_stack+1649, r12vrr_stack+30, r12vrr_stack+203, r12vrr_stack+6, r12vrr_stack+24, NULL);

 /*--- compute (h0|00)^2 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+1664, r12vrr_stack+50, r12vrr_stack+1649, r12vrr_stack+40, r12vrr_stack+30, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+77, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+227, r12vrr_stack+21, r12vrr_stack+92, r12vrr_stack+12, r12vrr_stack+194);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1685, r12vrr_stack+236, r12vrr_stack+30, r12vrr_stack+95, r12vrr_stack+227, r12vrr_stack+197);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+1715, r12vrr_stack+254, r12vrr_stack+1685, r12vrr_stack+104, r12vrr_stack+236, r12vrr_stack+203);

 /*--- compute (h0|p0)^2 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+1760, r12vrr_stack+284, r12vrr_stack+1715, r12vrr_stack+140, r12vrr_stack+254, r12vrr_stack+1649);

 /*--- compute (i0|p0)^1 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+194, r12vrr_stack+374, r12vrr_stack+1760, r12vrr_stack+329, r12vrr_stack+284, r12vrr_stack+1664);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+77, r12vrr_stack+0, Data->F+7, Data->F+8, NULL);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1649, r12vrr_stack+170, r12vrr_stack+6, NULL, NULL, r12vrr_stack+77);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+278, r12vrr_stack+176, r12vrr_stack+1649, r12vrr_stack+83, r12vrr_stack+170, r12vrr_stack+21);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+314, r12vrr_stack+1043, r12vrr_stack+278, r12vrr_stack+575, r12vrr_stack+176, r12vrr_stack+30);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+1823, r12vrr_stack+1079, r12vrr_stack+314, r12vrr_stack+593, r12vrr_stack+1043, r12vrr_stack+1685);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1913, r12vrr_stack+1139, r12vrr_stack+1823, r12vrr_stack+629, r12vrr_stack+1079, r12vrr_stack+1715);

 /*--- compute (i0|d0)^1 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+2039, r12vrr_stack+1229, r12vrr_stack+1913, r12vrr_stack+749, r12vrr_stack+1139, r12vrr_stack+1760);

 /*--- compute (k0|d0)^0 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+2207, r12vrr_stack+1481, r12vrr_stack+2039, r12vrr_stack+1355, r12vrr_stack+1229, r12vrr_stack+194);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+194, r12vrr_stack+443, r12vrr_stack+83, r12vrr_stack+65, r12vrr_stack+92, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+204, r12vrr_stack+15, r12vrr_stack+443, r12vrr_stack+68, r12vrr_stack+65, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+214, r12vrr_stack+204, r12vrr_stack+194, NULL, NULL, r12vrr_stack+443);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+244, r12vrr_stack+437, r12vrr_stack+15, r12vrr_stack+80, r12vrr_stack+68, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+21, r12vrr_stack+244, r12vrr_stack+204, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+254, r12vrr_stack+83, r12vrr_stack+170, r12vrr_stack+92, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+92, r12vrr_stack+194, r12vrr_stack+254, NULL, NULL, r12vrr_stack+83);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1667, r12vrr_stack+214, r12vrr_stack+92, r12vrr_stack+204, r12vrr_stack+194, r12vrr_stack+575);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1727, r12vrr_stack+21, r12vrr_stack+214, r12vrr_stack+244, r12vrr_stack+204, r12vrr_stack+449);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2423, r12vrr_stack+1727, r12vrr_stack+1667, r12vrr_stack+21, r12vrr_stack+214, r12vrr_stack+593);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+449, r12vrr_stack+71, r12vrr_stack+437, r12vrr_stack+3, r12vrr_stack+80, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+575, r12vrr_stack+449, r12vrr_stack+244, NULL, NULL, r12vrr_stack+437);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+374, r12vrr_stack+575, r12vrr_stack+21, r12vrr_stack+449, r12vrr_stack+244, r12vrr_stack+467);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2523, r12vrr_stack+374, r12vrr_stack+1727, r12vrr_stack+575, r12vrr_stack+21, r12vrr_stack+485);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+459, r12vrr_stack+170, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+77, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+469, r12vrr_stack+254, r12vrr_stack+459, NULL, NULL, r12vrr_stack+170);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2623, r12vrr_stack+92, r12vrr_stack+469, r12vrr_stack+194, r12vrr_stack+254, r12vrr_stack+176);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2683, r12vrr_stack+1667, r12vrr_stack+2623, r12vrr_stack+214, r12vrr_stack+92, r12vrr_stack+1043);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+2783, r12vrr_stack+2423, r12vrr_stack+2683, r12vrr_stack+1727, r12vrr_stack+1667, r12vrr_stack+1079);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+2933, r12vrr_stack+2523, r12vrr_stack+2423, r12vrr_stack+374, r12vrr_stack+1727, r12vrr_stack+629);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3083, r12vrr_stack+2933, r12vrr_stack+2783, r12vrr_stack+2523, r12vrr_stack+2423, r12vrr_stack+1139);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1043, r12vrr_stack+122, r12vrr_stack+71, r12vrr_stack+89, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1053, r12vrr_stack+1043, r12vrr_stack+449, NULL, NULL, r12vrr_stack+71);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1083, r12vrr_stack+1053, r12vrr_stack+575, r12vrr_stack+1043, r12vrr_stack+449, r12vrr_stack+521);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+3293, r12vrr_stack+1083, r12vrr_stack+374, r12vrr_stack+1053, r12vrr_stack+575, r12vrr_stack+539);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+3393, r12vrr_stack+3293, r12vrr_stack+2523, r12vrr_stack+1083, r12vrr_stack+374, r12vrr_stack+689);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3543, r12vrr_stack+3393, r12vrr_stack+2933, r12vrr_stack+3293, r12vrr_stack+2523, r12vrr_stack+749);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1143, r12vrr_stack+0, r12vrr_stack+3, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1149, r12vrr_stack+6, r12vrr_stack+1143, r12vrr_stack+77, r12vrr_stack+0, NULL);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1159, r12vrr_stack+459, r12vrr_stack+1149, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+499, r12vrr_stack+469, r12vrr_stack+1159, r12vrr_stack+254, r12vrr_stack+459, r12vrr_stack+1649);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+605, r12vrr_stack+2623, r12vrr_stack+499, r12vrr_stack+92, r12vrr_stack+469, r12vrr_stack+278);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+3753, r12vrr_stack+2683, r12vrr_stack+605, r12vrr_stack+1667, r12vrr_stack+2623, r12vrr_stack+314);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3903, r12vrr_stack+2783, r12vrr_stack+3753, r12vrr_stack+2423, r12vrr_stack+2683, r12vrr_stack+1823);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+4113, r12vrr_stack+3083, r12vrr_stack+3903, r12vrr_stack+2933, r12vrr_stack+2783, r12vrr_stack+1913);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+4393, r12vrr_stack+3543, r12vrr_stack+3083, r12vrr_stack+3393, r12vrr_stack+2933, r12vrr_stack+1229);
 tmp = r12vrr_stack + 4393;
 target_ptr = Libr12->gvrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|f0)^0 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+4673, r12vrr_stack+4393, r12vrr_stack+4113, r12vrr_stack+3543, r12vrr_stack+3083, r12vrr_stack+2039);
 tmp = r12vrr_stack + 4673;
 target_ptr = Libr12->gvrr_classes[7][3];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1649, r12vrr_stack+204, r12vrr_stack+194, r12vrr_stack+15, r12vrr_stack+443, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1189, r12vrr_stack+244, r12vrr_stack+204, r12vrr_stack+437, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1204, r12vrr_stack+194, r12vrr_stack+254, r12vrr_stack+443, r12vrr_stack+83, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1219, r12vrr_stack+1649, r12vrr_stack+1204, NULL, NULL, r12vrr_stack+194);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1264, r12vrr_stack+1189, r12vrr_stack+1649, NULL, NULL, r12vrr_stack+204);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+705, r12vrr_stack+1264, r12vrr_stack+1219, r12vrr_stack+1189, r12vrr_stack+1649, r12vrr_stack+214);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+214, r12vrr_stack+449, r12vrr_stack+244, r12vrr_stack+71, r12vrr_stack+437, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1309, r12vrr_stack+214, r12vrr_stack+1189, NULL, NULL, r12vrr_stack+244);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+264, r12vrr_stack+1309, r12vrr_stack+1264, r12vrr_stack+214, r12vrr_stack+1189, r12vrr_stack+21);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+229, r12vrr_stack+254, r12vrr_stack+459, r12vrr_stack+83, r12vrr_stack+170, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+12, r12vrr_stack+1204, r12vrr_stack+229, NULL, NULL, r12vrr_stack+254);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1787, r12vrr_stack+1219, r12vrr_stack+12, r12vrr_stack+1649, r12vrr_stack+1204, r12vrr_stack+92);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1877, r12vrr_stack+705, r12vrr_stack+1787, r12vrr_stack+1264, r12vrr_stack+1219, r12vrr_stack+1667);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2027, r12vrr_stack+264, r12vrr_stack+705, r12vrr_stack+1309, r12vrr_stack+1264, r12vrr_stack+1727);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5033, r12vrr_stack+2027, r12vrr_stack+1877, r12vrr_stack+264, r12vrr_stack+705, r12vrr_stack+2423);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+434, r12vrr_stack+1043, r12vrr_stack+449, r12vrr_stack+122, r12vrr_stack+71, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2423, r12vrr_stack+434, r12vrr_stack+214, NULL, NULL, r12vrr_stack+449);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1664, r12vrr_stack+2423, r12vrr_stack+1309, r12vrr_stack+434, r12vrr_stack+214, r12vrr_stack+575);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5258, r12vrr_stack+1664, r12vrr_stack+264, r12vrr_stack+2423, r12vrr_stack+1309, r12vrr_stack+374);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5408, r12vrr_stack+5258, r12vrr_stack+2027, r12vrr_stack+1664, r12vrr_stack+264, r12vrr_stack+2523);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2468, r12vrr_stack+459, r12vrr_stack+1149, r12vrr_stack+170, r12vrr_stack+6, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2483, r12vrr_stack+229, r12vrr_stack+2468, NULL, NULL, r12vrr_stack+459);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2528, r12vrr_stack+12, r12vrr_stack+2483, r12vrr_stack+1204, r12vrr_stack+229, r12vrr_stack+469);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5633, r12vrr_stack+1787, r12vrr_stack+2528, r12vrr_stack+1219, r12vrr_stack+12, r12vrr_stack+2623);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5783, r12vrr_stack+1877, r12vrr_stack+5633, r12vrr_stack+705, r12vrr_stack+1787, r12vrr_stack+2683);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6008, r12vrr_stack+5033, r12vrr_stack+5783, r12vrr_stack+2027, r12vrr_stack+1877, r12vrr_stack+2783);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2618, r12vrr_stack+5408, r12vrr_stack+5033, r12vrr_stack+5258, r12vrr_stack+2027, r12vrr_stack+2933);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6323, r12vrr_stack+2618, r12vrr_stack+6008, r12vrr_stack+5408, r12vrr_stack+5033, r12vrr_stack+3083);
 tmp = r12vrr_stack + 6323;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2933, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2936, r12vrr_stack+3, r12vrr_stack+2933, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2942, r12vrr_stack+1143, r12vrr_stack+2936, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2952, r12vrr_stack+1149, r12vrr_stack+2942, r12vrr_stack+6, r12vrr_stack+1143, NULL);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2967, r12vrr_stack+2468, r12vrr_stack+2952, NULL, NULL, r12vrr_stack+1149);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3012, r12vrr_stack+2483, r12vrr_stack+2967, r12vrr_stack+229, r12vrr_stack+2468, r12vrr_stack+1159);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3102, r12vrr_stack+2528, r12vrr_stack+3012, r12vrr_stack+12, r12vrr_stack+2483, r12vrr_stack+499);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+6743, r12vrr_stack+5633, r12vrr_stack+3102, r12vrr_stack+1787, r12vrr_stack+2528, r12vrr_stack+605);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6968, r12vrr_stack+5783, r12vrr_stack+6743, r12vrr_stack+1877, r12vrr_stack+5633, r12vrr_stack+3753);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7283, r12vrr_stack+6008, r12vrr_stack+6968, r12vrr_stack+5033, r12vrr_stack+5783, r12vrr_stack+3903);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7703, r12vrr_stack+6323, r12vrr_stack+7283, r12vrr_stack+2618, r12vrr_stack+6008, r12vrr_stack+4113);
 tmp = r12vrr_stack + 7703;
 target_ptr = Libr12->gvrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3753, r12vrr_stack+1649, r12vrr_stack+1204, r12vrr_stack+204, r12vrr_stack+194, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3774, r12vrr_stack+1189, r12vrr_stack+1649, r12vrr_stack+244, r12vrr_stack+204, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3795, r12vrr_stack+1204, r12vrr_stack+229, r12vrr_stack+194, r12vrr_stack+254, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3816, r12vrr_stack+3753, r12vrr_stack+3795, NULL, NULL, r12vrr_stack+1204);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3879, r12vrr_stack+3774, r12vrr_stack+3753, NULL, NULL, r12vrr_stack+1649);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3942, r12vrr_stack+3879, r12vrr_stack+3816, r12vrr_stack+3774, r12vrr_stack+3753, r12vrr_stack+1219);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1219, r12vrr_stack+214, r12vrr_stack+1189, r12vrr_stack+449, r12vrr_stack+244, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4068, r12vrr_stack+1219, r12vrr_stack+3774, NULL, NULL, r12vrr_stack+1189);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4131, r12vrr_stack+4068, r12vrr_stack+3879, r12vrr_stack+1219, r12vrr_stack+3774, r12vrr_stack+1264);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1240, r12vrr_stack+229, r12vrr_stack+2468, r12vrr_stack+254, r12vrr_stack+459, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4257, r12vrr_stack+3795, r12vrr_stack+1240, NULL, NULL, r12vrr_stack+229);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+469, r12vrr_stack+3816, r12vrr_stack+4257, r12vrr_stack+3753, r12vrr_stack+3795, r12vrr_stack+12);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8243, r12vrr_stack+3942, r12vrr_stack+469, r12vrr_stack+3879, r12vrr_stack+3816, r12vrr_stack+1787);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8453, r12vrr_stack+4131, r12vrr_stack+3942, r12vrr_stack+4068, r12vrr_stack+3879, r12vrr_stack+705);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8663, r12vrr_stack+8453, r12vrr_stack+8243, r12vrr_stack+4131, r12vrr_stack+3942, r12vrr_stack+1877);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1261, r12vrr_stack+434, r12vrr_stack+214, r12vrr_stack+1043, r12vrr_stack+449, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4320, r12vrr_stack+1261, r12vrr_stack+1219, NULL, NULL, r12vrr_stack+214);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+595, r12vrr_stack+4320, r12vrr_stack+4068, r12vrr_stack+1261, r12vrr_stack+1219, r12vrr_stack+1309);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1754, r12vrr_stack+595, r12vrr_stack+4131, r12vrr_stack+4320, r12vrr_stack+4068, r12vrr_stack+264);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8978, r12vrr_stack+1754, r12vrr_stack+8453, r12vrr_stack+595, r12vrr_stack+4131, r12vrr_stack+2027);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+244, r12vrr_stack+2468, r12vrr_stack+2952, r12vrr_stack+459, r12vrr_stack+1149, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+265, r12vrr_stack+1240, r12vrr_stack+244, NULL, NULL, r12vrr_stack+2468);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1964, r12vrr_stack+4257, r12vrr_stack+265, r12vrr_stack+3795, r12vrr_stack+1240, r12vrr_stack+2483);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9293, r12vrr_stack+469, r12vrr_stack+1964, r12vrr_stack+3816, r12vrr_stack+4257, r12vrr_stack+2528);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9503, r12vrr_stack+8243, r12vrr_stack+9293, r12vrr_stack+3942, r12vrr_stack+469, r12vrr_stack+5633);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9818, r12vrr_stack+8663, r12vrr_stack+9503, r12vrr_stack+8453, r12vrr_stack+8243, r12vrr_stack+5783);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10259, r12vrr_stack+8978, r12vrr_stack+8663, r12vrr_stack+1754, r12vrr_stack+8453, r12vrr_stack+5033);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10700, r12vrr_stack+10259, r12vrr_stack+9818, r12vrr_stack+8978, r12vrr_stack+8663, r12vrr_stack+6008);
 tmp = r12vrr_stack + 10700;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5033, r12vrr_stack+2933, r12vrr_stack+0, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4383, r12vrr_stack+2936, r12vrr_stack+5033, r12vrr_stack+3, r12vrr_stack+2933, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3, r12vrr_stack+2942, r12vrr_stack+4383, r12vrr_stack+1143, r12vrr_stack+2936, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18, r12vrr_stack+2952, r12vrr_stack+3, r12vrr_stack+1149, r12vrr_stack+2942, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5039, r12vrr_stack+244, r12vrr_stack+18, NULL, NULL, r12vrr_stack+2952);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5102, r12vrr_stack+265, r12vrr_stack+5039, r12vrr_stack+1240, r12vrr_stack+244, r12vrr_stack+2967);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5633, r12vrr_stack+1964, r12vrr_stack+5102, r12vrr_stack+4257, r12vrr_stack+265, r12vrr_stack+3012);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5843, r12vrr_stack+9293, r12vrr_stack+5633, r12vrr_stack+469, r12vrr_stack+1964, r12vrr_stack+3102);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11288, r12vrr_stack+9503, r12vrr_stack+5843, r12vrr_stack+8243, r12vrr_stack+9293, r12vrr_stack+6743);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11729, r12vrr_stack+9818, r12vrr_stack+11288, r12vrr_stack+8663, r12vrr_stack+9503, r12vrr_stack+6968);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12317, r12vrr_stack+10700, r12vrr_stack+11729, r12vrr_stack+10259, r12vrr_stack+9818, r12vrr_stack+7283);
 tmp = r12vrr_stack + 12317;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6743, r12vrr_stack+3753, r12vrr_stack+3795, r12vrr_stack+1649, r12vrr_stack+1204, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6771, r12vrr_stack+3774, r12vrr_stack+3753, r12vrr_stack+1189, r12vrr_stack+1649, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6799, r12vrr_stack+3795, r12vrr_stack+1240, r12vrr_stack+1204, r12vrr_stack+229, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6827, r12vrr_stack+6743, r12vrr_stack+6799, NULL, NULL, r12vrr_stack+3795);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6911, r12vrr_stack+6771, r12vrr_stack+6743, NULL, NULL, r12vrr_stack+3753);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6995, r12vrr_stack+6911, r12vrr_stack+6827, r12vrr_stack+6771, r12vrr_stack+6743, r12vrr_stack+3816);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3816, r12vrr_stack+1219, r12vrr_stack+3774, r12vrr_stack+214, r12vrr_stack+1189, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7163, r12vrr_stack+3816, r12vrr_stack+6771, NULL, NULL, r12vrr_stack+3774);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7247, r12vrr_stack+7163, r12vrr_stack+6911, r12vrr_stack+3816, r12vrr_stack+6771, r12vrr_stack+3879);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3844, r12vrr_stack+1240, r12vrr_stack+244, r12vrr_stack+229, r12vrr_stack+2468, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7415, r12vrr_stack+6799, r12vrr_stack+3844, NULL, NULL, r12vrr_stack+1240);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7499, r12vrr_stack+6827, r12vrr_stack+7415, r12vrr_stack+6743, r12vrr_stack+6799, r12vrr_stack+4257);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2967, r12vrr_stack+6995, r12vrr_stack+7499, r12vrr_stack+6911, r12vrr_stack+6827, r12vrr_stack+469);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13073, r12vrr_stack+7247, r12vrr_stack+6995, r12vrr_stack+7163, r12vrr_stack+6911, r12vrr_stack+3942);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13353, r12vrr_stack+13073, r12vrr_stack+2967, r12vrr_stack+7247, r12vrr_stack+6995, r12vrr_stack+8243);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8243, r12vrr_stack+1261, r12vrr_stack+1219, r12vrr_stack+434, r12vrr_stack+214, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8271, r12vrr_stack+8243, r12vrr_stack+3816, NULL, NULL, r12vrr_stack+1219);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3872, r12vrr_stack+8271, r12vrr_stack+7163, r12vrr_stack+8243, r12vrr_stack+3816, r12vrr_stack+4068);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13773, r12vrr_stack+3872, r12vrr_stack+7247, r12vrr_stack+8271, r12vrr_stack+7163, r12vrr_stack+4131);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14053, r12vrr_stack+13773, r12vrr_stack+13073, r12vrr_stack+3872, r12vrr_stack+7247, r12vrr_stack+8453);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8355, r12vrr_stack+244, r12vrr_stack+18, r12vrr_stack+2468, r12vrr_stack+2952, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2468, r12vrr_stack+3844, r12vrr_stack+8355, NULL, NULL, r12vrr_stack+244);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8383, r12vrr_stack+7415, r12vrr_stack+2468, r12vrr_stack+6799, r12vrr_stack+3844, r12vrr_stack+265);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4040, r12vrr_stack+7499, r12vrr_stack+8383, r12vrr_stack+6827, r12vrr_stack+7415, r12vrr_stack+1964);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14473, r12vrr_stack+2967, r12vrr_stack+4040, r12vrr_stack+6995, r12vrr_stack+7499, r12vrr_stack+9293);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14893, r12vrr_stack+13353, r12vrr_stack+14473, r12vrr_stack+13073, r12vrr_stack+2967, r12vrr_stack+9503);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15481, r12vrr_stack+14053, r12vrr_stack+13353, r12vrr_stack+13773, r12vrr_stack+13073, r12vrr_stack+8663);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16069, r12vrr_stack+15481, r12vrr_stack+14893, r12vrr_stack+14053, r12vrr_stack+13353, r12vrr_stack+9818);
 tmp = r12vrr_stack + 16069;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9293, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9296, r12vrr_stack+0, r12vrr_stack+9293, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+9302, r12vrr_stack+5033, r12vrr_stack+9296, r12vrr_stack+2933, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1649, r12vrr_stack+4383, r12vrr_stack+9302, r12vrr_stack+2936, r12vrr_stack+5033, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9293, r12vrr_stack+3, r12vrr_stack+1649, r12vrr_stack+2942, r12vrr_stack+4383, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9314, r12vrr_stack+18, r12vrr_stack+9293, r12vrr_stack+2952, r12vrr_stack+3, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9342, r12vrr_stack+8355, r12vrr_stack+9314, NULL, NULL, r12vrr_stack+18);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9426, r12vrr_stack+2468, r12vrr_stack+9342, r12vrr_stack+3844, r12vrr_stack+8355, r12vrr_stack+5039);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9594, r12vrr_stack+8383, r12vrr_stack+9426, r12vrr_stack+7415, r12vrr_stack+2468, r12vrr_stack+5102);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8551, r12vrr_stack+4040, r12vrr_stack+9594, r12vrr_stack+7499, r12vrr_stack+8383, r12vrr_stack+5633);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9342, r12vrr_stack+14473, r12vrr_stack+8551, r12vrr_stack+2967, r12vrr_stack+4040, r12vrr_stack+5843);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16853, r12vrr_stack+14893, r12vrr_stack+9342, r12vrr_stack+13353, r12vrr_stack+14473, r12vrr_stack+11288);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17637, r12vrr_stack+16069, r12vrr_stack+16853, r12vrr_stack+15481, r12vrr_stack+14893, r12vrr_stack+11729);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7667, r12vrr_stack+6743, r12vrr_stack+6799, r12vrr_stack+3753, r12vrr_stack+3795, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16853, r12vrr_stack+6771, r12vrr_stack+6743, r12vrr_stack+3774, r12vrr_stack+3753, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16889, r12vrr_stack+6799, r12vrr_stack+3844, r12vrr_stack+3795, r12vrr_stack+1240, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16925, r12vrr_stack+7667, r12vrr_stack+16889, NULL, NULL, r12vrr_stack+6799);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17033, r12vrr_stack+16853, r12vrr_stack+7667, NULL, NULL, r12vrr_stack+6743);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17141, r12vrr_stack+17033, r12vrr_stack+16925, r12vrr_stack+16853, r12vrr_stack+7667, r12vrr_stack+6827);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6799, r12vrr_stack+3816, r12vrr_stack+6771, r12vrr_stack+1219, r12vrr_stack+3774, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17357, r12vrr_stack+6799, r12vrr_stack+16853, NULL, NULL, r12vrr_stack+6771);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11288, r12vrr_stack+17357, r12vrr_stack+17033, r12vrr_stack+6799, r12vrr_stack+16853, r12vrr_stack+6911);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16853, r12vrr_stack+3844, r12vrr_stack+8355, r12vrr_stack+1240, r12vrr_stack+244, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6835, r12vrr_stack+16889, r12vrr_stack+16853, NULL, NULL, r12vrr_stack+3844);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11504, r12vrr_stack+16925, r12vrr_stack+6835, r12vrr_stack+7667, r12vrr_stack+16889, r12vrr_stack+7415);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11720, r12vrr_stack+17141, r12vrr_stack+11504, r12vrr_stack+17033, r12vrr_stack+16925, r12vrr_stack+7499);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9342, r12vrr_stack+11288, r12vrr_stack+17141, r12vrr_stack+17357, r12vrr_stack+17033, r12vrr_stack+6995);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9702, r12vrr_stack+9342, r12vrr_stack+11720, r12vrr_stack+11288, r12vrr_stack+17141, r12vrr_stack+2967);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17033, r12vrr_stack+8243, r12vrr_stack+3816, r12vrr_stack+1261, r12vrr_stack+1219, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7415, r12vrr_stack+17033, r12vrr_stack+6799, NULL, NULL, r12vrr_stack+3816);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6943, r12vrr_stack+7415, r12vrr_stack+17357, r12vrr_stack+17033, r12vrr_stack+6799, r12vrr_stack+7163);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2933, r12vrr_stack+6943, r12vrr_stack+11288, r12vrr_stack+7415, r12vrr_stack+17357, r12vrr_stack+7247);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7159, r12vrr_stack+2933, r12vrr_stack+9342, r12vrr_stack+6943, r12vrr_stack+11288, r12vrr_stack+13073);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13073, r12vrr_stack+8355, r12vrr_stack+9314, r12vrr_stack+244, r12vrr_stack+18, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17033, r12vrr_stack+16853, r12vrr_stack+13073, NULL, NULL, r12vrr_stack+8355);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11288, r12vrr_stack+6835, r12vrr_stack+17033, r12vrr_stack+16889, r12vrr_stack+16853, r12vrr_stack+2468);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8551, r12vrr_stack+11504, r12vrr_stack+11288, r12vrr_stack+16925, r12vrr_stack+6835, r12vrr_stack+8383);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5633, r12vrr_stack+11720, r12vrr_stack+8551, r12vrr_stack+17141, r12vrr_stack+11504, r12vrr_stack+4040);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16853, r12vrr_stack+9702, r12vrr_stack+5633, r12vrr_stack+9342, r12vrr_stack+11720, r12vrr_stack+14473);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11288, r12vrr_stack+7159, r12vrr_stack+9702, r12vrr_stack+2933, r12vrr_stack+9342, r12vrr_stack+13353);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18645, r12vrr_stack+11288, r12vrr_stack+16853, r12vrr_stack+7159, r12vrr_stack+9702, r12vrr_stack+14893);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+16853, &(Data->ss_r12_ss), NULL, r12vrr_stack+89, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+16856, r12vrr_stack+16853, &(Data->ss_r12_ss), r12vrr_stack+122, r12vrr_stack+89, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+4383, r12vrr_stack+16856, r12vrr_stack+16853, r12vrr_stack+1043, r12vrr_stack+122, r12vrr_stack+89, NULL);

 /*--- compute (p0||f0)^0 ---*/
 _R_BUILD_p0f0(Data,r12vrr_stack+16862, r12vrr_stack+4383, NULL, r12vrr_stack+1053, r12vrr_stack+1043, NULL, r12vrr_stack+122);

 /*--- compute (d0||f0)^0 ---*/
 _R_BUILD_d0f0(Data,r12vrr_stack+16892, r12vrr_stack+16862, r12vrr_stack+4383, r12vrr_stack+1083, r12vrr_stack+1053, r12vrr_stack+1043, r12vrr_stack+839);

 /*--- compute (f0||f0)^0 ---*/
 _R_BUILD_f0f0(Data,r12vrr_stack+16952, r12vrr_stack+16892, r12vrr_stack+16862, r12vrr_stack+3293, r12vrr_stack+1083, r12vrr_stack+1053, r12vrr_stack+857);

 /*--- compute (g0||f0)^0 ---*/
 _R_BUILD_g0f0(Data,r12vrr_stack+2468, r12vrr_stack+16952, r12vrr_stack+16892, r12vrr_stack+3393, r12vrr_stack+3293, r12vrr_stack+1083, r12vrr_stack+893);

 /*--- compute (h0||f0)^0 ---*/
 _R_BUILD_h0f0(Data,r12vrr_stack+17052, r12vrr_stack+2468, r12vrr_stack+16952, r12vrr_stack+3543, r12vrr_stack+3393, r12vrr_stack+3293, r12vrr_stack+953);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+1649, r12vrr_stack+4383, r12vrr_stack+16856, r12vrr_stack+434, r12vrr_stack+1043, r12vrr_stack+122, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+16853, r12vrr_stack+1649, NULL, r12vrr_stack+2423, r12vrr_stack+434, NULL, r12vrr_stack+1043);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+16898, r12vrr_stack+16853, r12vrr_stack+1649, r12vrr_stack+1664, r12vrr_stack+2423, r12vrr_stack+434, r12vrr_stack+1053);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+17262, r12vrr_stack+16898, r12vrr_stack+16853, r12vrr_stack+5258, r12vrr_stack+1664, r12vrr_stack+2423, r12vrr_stack+1083);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+17412, r12vrr_stack+17262, r12vrr_stack+16898, r12vrr_stack+5408, r12vrr_stack+5258, r12vrr_stack+1664, r12vrr_stack+3293);

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+2933, r12vrr_stack+17412, r12vrr_stack+17262, r12vrr_stack+2618, r12vrr_stack+5408, r12vrr_stack+5258, r12vrr_stack+3393);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+17262, r12vrr_stack+1649, r12vrr_stack+4383, r12vrr_stack+1261, r12vrr_stack+434, r12vrr_stack+1043, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+17283, r12vrr_stack+17262, NULL, r12vrr_stack+4320, r12vrr_stack+1261, NULL, r12vrr_stack+434);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+16853, r12vrr_stack+17283, r12vrr_stack+17262, r12vrr_stack+595, r12vrr_stack+4320, r12vrr_stack+1261, r12vrr_stack+2423);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+14473, r12vrr_stack+16853, r12vrr_stack+17283, r12vrr_stack+1754, r12vrr_stack+595, r12vrr_stack+4320, r12vrr_stack+1664);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+14683, r12vrr_stack+14473, r12vrr_stack+16853, r12vrr_stack+8978, r12vrr_stack+1754, r12vrr_stack+595, r12vrr_stack+5258);

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+14998, r12vrr_stack+14683, r12vrr_stack+14473, r12vrr_stack+10259, r12vrr_stack+8978, r12vrr_stack+1754, r12vrr_stack+5408);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+14473, r12vrr_stack+17262, r12vrr_stack+1649, r12vrr_stack+8243, r12vrr_stack+1261, r12vrr_stack+434, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+1649, r12vrr_stack+14473, NULL, r12vrr_stack+8271, r12vrr_stack+8243, NULL, r12vrr_stack+1261);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+14501, r12vrr_stack+1649, r12vrr_stack+14473, r12vrr_stack+3872, r12vrr_stack+8271, r12vrr_stack+8243, r12vrr_stack+4320);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+5633, r12vrr_stack+14501, r12vrr_stack+1649, r12vrr_stack+13773, r12vrr_stack+3872, r12vrr_stack+8271, r12vrr_stack+595);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+8243, r12vrr_stack+5633, r12vrr_stack+14501, r12vrr_stack+14053, r12vrr_stack+13773, r12vrr_stack+3872, r12vrr_stack+1754);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+13073, r12vrr_stack+8243, r12vrr_stack+5633, r12vrr_stack+15481, r12vrr_stack+14053, r12vrr_stack+13773, r12vrr_stack+8978);

 /*--- compute (i0|[r12,T2]|f0)^0 ---*/
 _T2_BUILD_i0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5633, r12vrr_stack+4393, r12vrr_stack+6323, r12vrr_stack+4673, r12vrr_stack+2207, r12vrr_stack+1481);
 tmp = r12vrr_stack + 5633;
 target_ptr = Libr12->t2vrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1481, r12vrr_stack+6323, r12vrr_stack+10700, r12vrr_stack+7703, r12vrr_stack+4673, r12vrr_stack+4393);
 tmp = r12vrr_stack + 1481;
 target_ptr = Libr12->t2vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6743, r12vrr_stack+10700, r12vrr_stack+16069, r12vrr_stack+12317, r12vrr_stack+7703, r12vrr_stack+6323);
 tmp = r12vrr_stack + 6743;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9293, r12vrr_stack+16069, r12vrr_stack+18645, r12vrr_stack+17637, r12vrr_stack+12317, r12vrr_stack+10700);
 tmp = r12vrr_stack + 9293;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|f0)^0 ---*/
 _T1_BUILD_i0f0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1901, r12vrr_stack+4393, r12vrr_stack+4673, r12vrr_stack+6323, r12vrr_stack+2618, r12vrr_stack+3543);
 tmp = r12vrr_stack + 1901;
 target_ptr = Libr12->t1vrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4673, r12vrr_stack+6323, r12vrr_stack+7703, r12vrr_stack+10700, r12vrr_stack+10259, r12vrr_stack+2618);
 tmp = r12vrr_stack + 4673;
 target_ptr = Libr12->t1vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7331, r12vrr_stack+10700, r12vrr_stack+12317, r12vrr_stack+16069, r12vrr_stack+15481, r12vrr_stack+10259);
 tmp = r12vrr_stack + 7331;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12044, r12vrr_stack+16069, r12vrr_stack+17637, r12vrr_stack+18645, r12vrr_stack+11288, r12vrr_stack+15481);
 tmp = r12vrr_stack + 12044;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||f0)^0 ---*/
 _R_BUILD_i0f0(Data,r12vrr_stack+11288, r12vrr_stack+17052, r12vrr_stack+2468, r12vrr_stack+4393, r12vrr_stack+3543, r12vrr_stack+3393, r12vrr_stack+1355);
 tmp = r12vrr_stack + 11288;
 target_ptr = Libr12->rvrr_classes[6][3];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||g0)^0 ---*/
 _R_BUILD_i0g0(Data,r12vrr_stack+11568, r12vrr_stack+2933, r12vrr_stack+17412, r12vrr_stack+6323, r12vrr_stack+2618, r12vrr_stack+5408, r12vrr_stack+3543);
 tmp = r12vrr_stack + 11568;
 target_ptr = Libr12->rvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+2933, r12vrr_stack+14998, r12vrr_stack+14683, r12vrr_stack+10700, r12vrr_stack+10259, r12vrr_stack+8978, r12vrr_stack+2618);
 tmp = r12vrr_stack + 2933;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+3521, r12vrr_stack+13073, r12vrr_stack+8243, r12vrr_stack+16069, r12vrr_stack+15481, r12vrr_stack+14053, r12vrr_stack+10259);
 tmp = r12vrr_stack + 3521;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];


}

