#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_i0gd(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+6, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+4, Data->F+5, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+34, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+37, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+40, r12vrr_stack+31, r12vrr_stack+37, NULL, NULL, Data->F+5);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+49, r12vrr_stack+34, r12vrr_stack+31, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+58, r12vrr_stack+49, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+0);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+76, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+79, r12vrr_stack+76, r12vrr_stack+34, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+88, r12vrr_stack+79, r12vrr_stack+49, r12vrr_stack+76, r12vrr_stack+34, r12vrr_stack+3);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+106, r12vrr_stack+37, r12vrr_stack+3, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+115, r12vrr_stack+40, r12vrr_stack+106, r12vrr_stack+31, r12vrr_stack+37, r12vrr_stack+6);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+133, r12vrr_stack+58, r12vrr_stack+115, r12vrr_stack+49, r12vrr_stack+40, r12vrr_stack+9);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+163, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+79, r12vrr_stack+49, r12vrr_stack+15);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+193, r12vrr_stack+163, r12vrr_stack+133, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+21);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+238, r12vrr_stack+31, r12vrr_stack+37, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+244, r12vrr_stack+34, r12vrr_stack+31, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+250, r12vrr_stack+244, r12vrr_stack+238, NULL, NULL, r12vrr_stack+31);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+268, r12vrr_stack+76, r12vrr_stack+34, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+274, r12vrr_stack+268, r12vrr_stack+244, NULL, NULL, r12vrr_stack+34);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+292, r12vrr_stack+37, r12vrr_stack+3, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+298, r12vrr_stack+238, r12vrr_stack+292, NULL, NULL, r12vrr_stack+37);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+316, r12vrr_stack+250, r12vrr_stack+298, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+40);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+352, r12vrr_stack+274, r12vrr_stack+250, r12vrr_stack+268, r12vrr_stack+244, r12vrr_stack+49);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+388, r12vrr_stack+352, r12vrr_stack+316, r12vrr_stack+274, r12vrr_stack+250, r12vrr_stack+58);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+76, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+448, r12vrr_stack+52, r12vrr_stack+268, NULL, NULL, r12vrr_stack+76);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+466, r12vrr_stack+448, r12vrr_stack+274, r12vrr_stack+52, r12vrr_stack+268, r12vrr_stack+79);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+502, r12vrr_stack+466, r12vrr_stack+352, r12vrr_stack+448, r12vrr_stack+274, r12vrr_stack+88);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+79, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+82, r12vrr_stack+3, r12vrr_stack+79, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+88, r12vrr_stack+292, r12vrr_stack+82, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+562, r12vrr_stack+298, r12vrr_stack+88, r12vrr_stack+238, r12vrr_stack+292, r12vrr_stack+106);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+598, r12vrr_stack+316, r12vrr_stack+562, r12vrr_stack+250, r12vrr_stack+298, r12vrr_stack+115);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+658, r12vrr_stack+388, r12vrr_stack+598, r12vrr_stack+352, r12vrr_stack+316, r12vrr_stack+133);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+748, r12vrr_stack+502, r12vrr_stack+388, r12vrr_stack+466, r12vrr_stack+352, r12vrr_stack+163);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+838, r12vrr_stack+748, r12vrr_stack+658, r12vrr_stack+502, r12vrr_stack+388, r12vrr_stack+193);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+964, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+34, r12vrr_stack+31, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+974, r12vrr_stack+268, r12vrr_stack+244, r12vrr_stack+76, r12vrr_stack+34, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+984, r12vrr_stack+238, r12vrr_stack+292, r12vrr_stack+31, r12vrr_stack+37, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+994, r12vrr_stack+964, r12vrr_stack+984, NULL, NULL, r12vrr_stack+238);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1024, r12vrr_stack+974, r12vrr_stack+964, NULL, NULL, r12vrr_stack+244);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1054, r12vrr_stack+1024, r12vrr_stack+994, r12vrr_stack+974, r12vrr_stack+964, r12vrr_stack+250);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+250, r12vrr_stack+52, r12vrr_stack+268, r12vrr_stack+49, r12vrr_stack+76, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1114, r12vrr_stack+250, r12vrr_stack+974, NULL, NULL, r12vrr_stack+268);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1144, r12vrr_stack+1114, r12vrr_stack+1024, r12vrr_stack+250, r12vrr_stack+974, r12vrr_stack+274);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+292, r12vrr_stack+82, r12vrr_stack+37, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1204, r12vrr_stack+984, r12vrr_stack+274, NULL, NULL, r12vrr_stack+292);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1234, r12vrr_stack+994, r12vrr_stack+1204, r12vrr_stack+964, r12vrr_stack+984, r12vrr_stack+298);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1294, r12vrr_stack+1054, r12vrr_stack+1234, r12vrr_stack+1024, r12vrr_stack+994, r12vrr_stack+316);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1394, r12vrr_stack+1144, r12vrr_stack+1054, r12vrr_stack+1114, r12vrr_stack+1024, r12vrr_stack+352);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1494, r12vrr_stack+1394, r12vrr_stack+1294, r12vrr_stack+1144, r12vrr_stack+1054, r12vrr_stack+388);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+76, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+31, r12vrr_stack+76, r12vrr_stack+49, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+352, r12vrr_stack+31, r12vrr_stack+52, r12vrr_stack+76, r12vrr_stack+49, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1644, r12vrr_stack+352, r12vrr_stack+250, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1674, r12vrr_stack+1644, r12vrr_stack+1114, r12vrr_stack+352, r12vrr_stack+250, r12vrr_stack+448);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1734, r12vrr_stack+1674, r12vrr_stack+1144, r12vrr_stack+1644, r12vrr_stack+1114, r12vrr_stack+466);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1834, r12vrr_stack+1734, r12vrr_stack+1394, r12vrr_stack+1674, r12vrr_stack+1144, r12vrr_stack+502);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+448, r12vrr_stack+79, r12vrr_stack+49, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+454, r12vrr_stack+82, r12vrr_stack+448, r12vrr_stack+3, r12vrr_stack+79, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+464, r12vrr_stack+274, r12vrr_stack+454, NULL, NULL, r12vrr_stack+82);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+494, r12vrr_stack+1204, r12vrr_stack+464, r12vrr_stack+984, r12vrr_stack+274, r12vrr_stack+88);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1984, r12vrr_stack+1234, r12vrr_stack+494, r12vrr_stack+994, r12vrr_stack+1204, r12vrr_stack+562);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+2084, r12vrr_stack+1294, r12vrr_stack+1984, r12vrr_stack+1054, r12vrr_stack+1234, r12vrr_stack+598);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2234, r12vrr_stack+1494, r12vrr_stack+2084, r12vrr_stack+1394, r12vrr_stack+1294, r12vrr_stack+658);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2444, r12vrr_stack+1834, r12vrr_stack+1494, r12vrr_stack+1734, r12vrr_stack+1394, r12vrr_stack+748);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2654, r12vrr_stack+2444, r12vrr_stack+2234, r12vrr_stack+1834, r12vrr_stack+1494, r12vrr_stack+838);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+554, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+362, r12vrr_stack+6, r12vrr_stack+554, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+368, r12vrr_stack+9, r12vrr_stack+362, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (g0|00)^3 ---*/
 _BUILD_g000(Data,r12vrr_stack+2934, r12vrr_stack+21, r12vrr_stack+368, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+79, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+2949, r12vrr_stack+106, r12vrr_stack+6, r12vrr_stack+37, r12vrr_stack+3, r12vrr_stack+554);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+2967, r12vrr_stack+115, r12vrr_stack+2949, r12vrr_stack+40, r12vrr_stack+106, r12vrr_stack+362);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+2997, r12vrr_stack+133, r12vrr_stack+2967, r12vrr_stack+58, r12vrr_stack+115, r12vrr_stack+368);

 /*--- compute (h0|p0)^2 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+3042, r12vrr_stack+193, r12vrr_stack+2997, r12vrr_stack+163, r12vrr_stack+133, r12vrr_stack+2934);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+58, r12vrr_stack+82, r12vrr_stack+448, NULL, NULL, r12vrr_stack+79);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+106, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+292, r12vrr_stack+82, r12vrr_stack+6);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+142, r12vrr_stack+562, r12vrr_stack+106, r12vrr_stack+298, r12vrr_stack+88, r12vrr_stack+2949);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+3105, r12vrr_stack+598, r12vrr_stack+142, r12vrr_stack+316, r12vrr_stack+562, r12vrr_stack+2967);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+3195, r12vrr_stack+658, r12vrr_stack+3105, r12vrr_stack+388, r12vrr_stack+598, r12vrr_stack+2997);

 /*--- compute (i0|d0)^1 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+3321, r12vrr_stack+838, r12vrr_stack+3195, r12vrr_stack+748, r12vrr_stack+658, r12vrr_stack+3042);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+88, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+91, r12vrr_stack+49, r12vrr_stack+88, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+298, r12vrr_stack+448, r12vrr_stack+91, r12vrr_stack+79, r12vrr_stack+49, NULL);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+308, r12vrr_stack+454, r12vrr_stack+298, NULL, NULL, r12vrr_stack+448);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2934, r12vrr_stack+464, r12vrr_stack+308, r12vrr_stack+274, r12vrr_stack+454, r12vrr_stack+58);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2994, r12vrr_stack+494, r12vrr_stack+2934, r12vrr_stack+1204, r12vrr_stack+464, r12vrr_stack+106);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+554, r12vrr_stack+1984, r12vrr_stack+2994, r12vrr_stack+1234, r12vrr_stack+494, r12vrr_stack+142);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+704, r12vrr_stack+2084, r12vrr_stack+554, r12vrr_stack+1294, r12vrr_stack+1984, r12vrr_stack+3105);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3489, r12vrr_stack+2234, r12vrr_stack+704, r12vrr_stack+1494, r12vrr_stack+2084, r12vrr_stack+3195);

 /*--- compute (k0|f0)^0 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3769, r12vrr_stack+2654, r12vrr_stack+3489, r12vrr_stack+2444, r12vrr_stack+2234, r12vrr_stack+3321);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+58, r12vrr_stack+984, r12vrr_stack+274, r12vrr_stack+238, r12vrr_stack+292, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+97, r12vrr_stack+964, r12vrr_stack+984, r12vrr_stack+244, r12vrr_stack+238, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+112, r12vrr_stack+97, r12vrr_stack+58, NULL, NULL, r12vrr_stack+984);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+157, r12vrr_stack+974, r12vrr_stack+964, r12vrr_stack+268, r12vrr_stack+244, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+172, r12vrr_stack+157, r12vrr_stack+97, NULL, NULL, r12vrr_stack+964);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+217, r12vrr_stack+274, r12vrr_stack+454, r12vrr_stack+292, r12vrr_stack+82, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3094, r12vrr_stack+58, r12vrr_stack+217, NULL, NULL, r12vrr_stack+274);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3139, r12vrr_stack+112, r12vrr_stack+3094, r12vrr_stack+97, r12vrr_stack+58, r12vrr_stack+1204);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3229, r12vrr_stack+172, r12vrr_stack+112, r12vrr_stack+157, r12vrr_stack+97, r12vrr_stack+994);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3319, r12vrr_stack+3229, r12vrr_stack+3139, r12vrr_stack+172, r12vrr_stack+112, r12vrr_stack+1234);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+994, r12vrr_stack+250, r12vrr_stack+974, r12vrr_stack+52, r12vrr_stack+268, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1204, r12vrr_stack+994, r12vrr_stack+157, NULL, NULL, r12vrr_stack+974);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4129, r12vrr_stack+1204, r12vrr_stack+172, r12vrr_stack+994, r12vrr_stack+157, r12vrr_stack+1024);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4219, r12vrr_stack+4129, r12vrr_stack+3229, r12vrr_stack+1204, r12vrr_stack+172, r12vrr_stack+1054);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1009, r12vrr_stack+454, r12vrr_stack+298, r12vrr_stack+82, r12vrr_stack+448, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1249, r12vrr_stack+217, r12vrr_stack+1009, NULL, NULL, r12vrr_stack+454);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1024, r12vrr_stack+3094, r12vrr_stack+1249, r12vrr_stack+58, r12vrr_stack+217, r12vrr_stack+464);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4369, r12vrr_stack+3139, r12vrr_stack+1024, r12vrr_stack+112, r12vrr_stack+3094, r12vrr_stack+494);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4519, r12vrr_stack+3319, r12vrr_stack+4369, r12vrr_stack+3229, r12vrr_stack+3139, r12vrr_stack+1984);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4744, r12vrr_stack+4219, r12vrr_stack+3319, r12vrr_stack+4129, r12vrr_stack+3229, r12vrr_stack+1294);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4969, r12vrr_stack+4744, r12vrr_stack+4519, r12vrr_stack+4219, r12vrr_stack+3319, r12vrr_stack+2084);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1294, r12vrr_stack+352, r12vrr_stack+250, r12vrr_stack+31, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1309, r12vrr_stack+1294, r12vrr_stack+994, NULL, NULL, r12vrr_stack+250);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+464, r12vrr_stack+1309, r12vrr_stack+1204, r12vrr_stack+1294, r12vrr_stack+994, r12vrr_stack+1114);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1984, r12vrr_stack+464, r12vrr_stack+4129, r12vrr_stack+1309, r12vrr_stack+1204, r12vrr_stack+1144);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5284, r12vrr_stack+1984, r12vrr_stack+4219, r12vrr_stack+464, r12vrr_stack+4129, r12vrr_stack+1394);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5509, r12vrr_stack+5284, r12vrr_stack+4744, r12vrr_stack+1984, r12vrr_stack+4219, r12vrr_stack+1494);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+73, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+88, r12vrr_stack+73, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1114, r12vrr_stack+91, r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+88, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+37, r12vrr_stack+298, r12vrr_stack+1114, r12vrr_stack+448, r12vrr_stack+91, NULL);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1124, r12vrr_stack+1009, r12vrr_stack+37, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1354, r12vrr_stack+1249, r12vrr_stack+1124, r12vrr_stack+217, r12vrr_stack+1009, r12vrr_stack+308);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1444, r12vrr_stack+1024, r12vrr_stack+1354, r12vrr_stack+3094, r12vrr_stack+1249, r12vrr_stack+2934);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5824, r12vrr_stack+4369, r12vrr_stack+1444, r12vrr_stack+3139, r12vrr_stack+1024, r12vrr_stack+2994);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6049, r12vrr_stack+4519, r12vrr_stack+5824, r12vrr_stack+3319, r12vrr_stack+4369, r12vrr_stack+554);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6364, r12vrr_stack+4969, r12vrr_stack+6049, r12vrr_stack+4744, r12vrr_stack+4519, r12vrr_stack+704);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6784, r12vrr_stack+5509, r12vrr_stack+4969, r12vrr_stack+5284, r12vrr_stack+4744, r12vrr_stack+2234);
 tmp = r12vrr_stack + 6784;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7204, r12vrr_stack+6784, r12vrr_stack+6364, r12vrr_stack+5509, r12vrr_stack+4969, r12vrr_stack+3489);
 tmp = r12vrr_stack + 7204;
 target_ptr = Libr12->gvrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+97, r12vrr_stack+58, r12vrr_stack+964, r12vrr_stack+984, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+575, r12vrr_stack+157, r12vrr_stack+97, r12vrr_stack+974, r12vrr_stack+964, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+596, r12vrr_stack+58, r12vrr_stack+217, r12vrr_stack+984, r12vrr_stack+274, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+617, r12vrr_stack+554, r12vrr_stack+596, NULL, NULL, r12vrr_stack+58);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+680, r12vrr_stack+575, r12vrr_stack+554, NULL, NULL, r12vrr_stack+97);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+743, r12vrr_stack+680, r12vrr_stack+617, r12vrr_stack+575, r12vrr_stack+554, r12vrr_stack+112);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+112, r12vrr_stack+994, r12vrr_stack+157, r12vrr_stack+250, r12vrr_stack+974, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+869, r12vrr_stack+112, r12vrr_stack+575, NULL, NULL, r12vrr_stack+157);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2934, r12vrr_stack+869, r12vrr_stack+680, r12vrr_stack+112, r12vrr_stack+575, r12vrr_stack+172);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+172, r12vrr_stack+217, r12vrr_stack+1009, r12vrr_stack+274, r12vrr_stack+454, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2134, r12vrr_stack+596, r12vrr_stack+172, NULL, NULL, r12vrr_stack+217);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2197, r12vrr_stack+617, r12vrr_stack+2134, r12vrr_stack+554, r12vrr_stack+596, r12vrr_stack+3094);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3469, r12vrr_stack+743, r12vrr_stack+2197, r12vrr_stack+680, r12vrr_stack+617, r12vrr_stack+3139);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7744, r12vrr_stack+2934, r12vrr_stack+743, r12vrr_stack+869, r12vrr_stack+680, r12vrr_stack+3229);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7954, r12vrr_stack+7744, r12vrr_stack+3469, r12vrr_stack+2934, r12vrr_stack+743, r12vrr_stack+3319);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+193, r12vrr_stack+1294, r12vrr_stack+994, r12vrr_stack+352, r12vrr_stack+250, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3060, r12vrr_stack+193, r12vrr_stack+112, NULL, NULL, r12vrr_stack+994);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3123, r12vrr_stack+3060, r12vrr_stack+869, r12vrr_stack+193, r12vrr_stack+112, r12vrr_stack+1204);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3249, r12vrr_stack+3123, r12vrr_stack+2934, r12vrr_stack+3060, r12vrr_stack+869, r12vrr_stack+4129);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8269, r12vrr_stack+3249, r12vrr_stack+7744, r12vrr_stack+3123, r12vrr_stack+2934, r12vrr_stack+4219);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4129, r12vrr_stack+1009, r12vrr_stack+37, r12vrr_stack+454, r12vrr_stack+298, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4150, r12vrr_stack+172, r12vrr_stack+4129, NULL, NULL, r12vrr_stack+1009);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4213, r12vrr_stack+2134, r12vrr_stack+4150, r12vrr_stack+596, r12vrr_stack+172, r12vrr_stack+1249);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8584, r12vrr_stack+2197, r12vrr_stack+4213, r12vrr_stack+617, r12vrr_stack+2134, r12vrr_stack+1024);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8794, r12vrr_stack+3469, r12vrr_stack+8584, r12vrr_stack+743, r12vrr_stack+2197, r12vrr_stack+4369);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9109, r12vrr_stack+7954, r12vrr_stack+8794, r12vrr_stack+7744, r12vrr_stack+3469, r12vrr_stack+4519);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9550, r12vrr_stack+8269, r12vrr_stack+7954, r12vrr_stack+3249, r12vrr_stack+7744, r12vrr_stack+4744);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4339, r12vrr_stack+9550, r12vrr_stack+9109, r12vrr_stack+8269, r12vrr_stack+7954, r12vrr_stack+4969);
 tmp = r12vrr_stack + 4339;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+214, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1024, r12vrr_stack+73, r12vrr_stack+214, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3459, r12vrr_stack+52, r12vrr_stack+1024, r12vrr_stack+88, r12vrr_stack+73, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1030, r12vrr_stack+1114, r12vrr_stack+3459, r12vrr_stack+91, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1045, r12vrr_stack+37, r12vrr_stack+1030, r12vrr_stack+298, r12vrr_stack+1114, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4927, r12vrr_stack+4129, r12vrr_stack+1045, NULL, NULL, r12vrr_stack+37);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4990, r12vrr_stack+4150, r12vrr_stack+4927, r12vrr_stack+172, r12vrr_stack+4129, r12vrr_stack+1124);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9991, r12vrr_stack+4213, r12vrr_stack+4990, r12vrr_stack+2134, r12vrr_stack+4150, r12vrr_stack+1354);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10201, r12vrr_stack+8584, r12vrr_stack+9991, r12vrr_stack+2197, r12vrr_stack+4213, r12vrr_stack+1444);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10516, r12vrr_stack+8794, r12vrr_stack+10201, r12vrr_stack+3469, r12vrr_stack+8584, r12vrr_stack+5824);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10957, r12vrr_stack+9109, r12vrr_stack+10516, r12vrr_stack+7954, r12vrr_stack+8794, r12vrr_stack+6049);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11545, r12vrr_stack+4339, r12vrr_stack+10957, r12vrr_stack+9550, r12vrr_stack+9109, r12vrr_stack+6364);
 tmp = r12vrr_stack + 11545;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5824, r12vrr_stack+554, r12vrr_stack+596, r12vrr_stack+97, r12vrr_stack+58, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5852, r12vrr_stack+575, r12vrr_stack+554, r12vrr_stack+157, r12vrr_stack+97, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5880, r12vrr_stack+596, r12vrr_stack+172, r12vrr_stack+58, r12vrr_stack+217, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5908, r12vrr_stack+5824, r12vrr_stack+5880, NULL, NULL, r12vrr_stack+596);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5992, r12vrr_stack+5852, r12vrr_stack+5824, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5116, r12vrr_stack+5992, r12vrr_stack+5908, r12vrr_stack+5852, r12vrr_stack+5824, r12vrr_stack+617);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+617, r12vrr_stack+112, r12vrr_stack+575, r12vrr_stack+994, r12vrr_stack+157, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6076, r12vrr_stack+617, r12vrr_stack+5852, NULL, NULL, r12vrr_stack+575);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6160, r12vrr_stack+6076, r12vrr_stack+5992, r12vrr_stack+617, r12vrr_stack+5852, r12vrr_stack+680);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+645, r12vrr_stack+172, r12vrr_stack+4129, r12vrr_stack+217, r12vrr_stack+1009, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+217, r12vrr_stack+5880, r12vrr_stack+645, NULL, NULL, r12vrr_stack+172);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6328, r12vrr_stack+5908, r12vrr_stack+217, r12vrr_stack+5824, r12vrr_stack+5880, r12vrr_stack+2134);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6496, r12vrr_stack+5116, r12vrr_stack+6328, r12vrr_stack+5992, r12vrr_stack+5908, r12vrr_stack+2197);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2134, r12vrr_stack+6160, r12vrr_stack+5116, r12vrr_stack+6076, r12vrr_stack+5992, r12vrr_stack+743);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12301, r12vrr_stack+2134, r12vrr_stack+6496, r12vrr_stack+6160, r12vrr_stack+5116, r12vrr_stack+3469);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3469, r12vrr_stack+193, r12vrr_stack+112, r12vrr_stack+1294, r12vrr_stack+994, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3497, r12vrr_stack+3469, r12vrr_stack+617, NULL, NULL, r12vrr_stack+112);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3581, r12vrr_stack+3497, r12vrr_stack+6076, r12vrr_stack+3469, r12vrr_stack+617, r12vrr_stack+869);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12721, r12vrr_stack+3581, r12vrr_stack+6160, r12vrr_stack+3497, r12vrr_stack+6076, r12vrr_stack+2934);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13001, r12vrr_stack+12721, r12vrr_stack+2134, r12vrr_stack+3581, r12vrr_stack+6160, r12vrr_stack+7744);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7744, r12vrr_stack+4129, r12vrr_stack+1045, r12vrr_stack+1009, r12vrr_stack+37, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7772, r12vrr_stack+645, r12vrr_stack+7744, NULL, NULL, r12vrr_stack+4129);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+673, r12vrr_stack+217, r12vrr_stack+7772, r12vrr_stack+5880, r12vrr_stack+645, r12vrr_stack+4150);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1354, r12vrr_stack+6328, r12vrr_stack+673, r12vrr_stack+5908, r12vrr_stack+217, r12vrr_stack+4213);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13421, r12vrr_stack+6496, r12vrr_stack+1354, r12vrr_stack+5116, r12vrr_stack+6328, r12vrr_stack+8584);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13841, r12vrr_stack+12301, r12vrr_stack+13421, r12vrr_stack+2134, r12vrr_stack+6496, r12vrr_stack+8794);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14429, r12vrr_stack+13001, r12vrr_stack+12301, r12vrr_stack+12721, r12vrr_stack+2134, r12vrr_stack+7954);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15017, r12vrr_stack+14429, r12vrr_stack+13841, r12vrr_stack+13001, r12vrr_stack+12301, r12vrr_stack+9109);
 tmp = r12vrr_stack + 15017;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+8584, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+8587, r12vrr_stack+214, r12vrr_stack+8584, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1634, r12vrr_stack+1024, r12vrr_stack+8587, r12vrr_stack+73, r12vrr_stack+214, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+8584, r12vrr_stack+3459, r12vrr_stack+1634, r12vrr_stack+52, r12vrr_stack+1024, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+52, r12vrr_stack+1030, r12vrr_stack+8584, r12vrr_stack+1114, r12vrr_stack+3459, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8584, r12vrr_stack+1045, r12vrr_stack+52, r12vrr_stack+37, r12vrr_stack+1030, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8612, r12vrr_stack+7744, r12vrr_stack+8584, NULL, NULL, r12vrr_stack+1045);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8696, r12vrr_stack+7772, r12vrr_stack+8612, r12vrr_stack+645, r12vrr_stack+7744, r12vrr_stack+4927);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8864, r12vrr_stack+673, r12vrr_stack+8696, r12vrr_stack+217, r12vrr_stack+7772, r12vrr_stack+4990);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15801, r12vrr_stack+1354, r12vrr_stack+8864, r12vrr_stack+6328, r12vrr_stack+673, r12vrr_stack+9991);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8612, r12vrr_stack+13421, r12vrr_stack+15801, r12vrr_stack+6496, r12vrr_stack+1354, r12vrr_stack+10201);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15801, r12vrr_stack+13841, r12vrr_stack+8612, r12vrr_stack+12301, r12vrr_stack+13421, r12vrr_stack+10516);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16585, r12vrr_stack+15017, r12vrr_stack+15801, r12vrr_stack+14429, r12vrr_stack+13841, r12vrr_stack+10957);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15801, r12vrr_stack+5824, r12vrr_stack+5880, r12vrr_stack+554, r12vrr_stack+596, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15837, r12vrr_stack+5852, r12vrr_stack+5824, r12vrr_stack+575, r12vrr_stack+554, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15873, r12vrr_stack+5880, r12vrr_stack+645, r12vrr_stack+596, r12vrr_stack+172, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15909, r12vrr_stack+15801, r12vrr_stack+15873, NULL, NULL, r12vrr_stack+5880);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16017, r12vrr_stack+15837, r12vrr_stack+15801, NULL, NULL, r12vrr_stack+5824);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16125, r12vrr_stack+16017, r12vrr_stack+15909, r12vrr_stack+15837, r12vrr_stack+15801, r12vrr_stack+5908);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5880, r12vrr_stack+617, r12vrr_stack+5852, r12vrr_stack+112, r12vrr_stack+575, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16341, r12vrr_stack+5880, r12vrr_stack+15837, NULL, NULL, r12vrr_stack+5852);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8612, r12vrr_stack+16341, r12vrr_stack+16017, r12vrr_stack+5880, r12vrr_stack+15837, r12vrr_stack+5992);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15837, r12vrr_stack+645, r12vrr_stack+7744, r12vrr_stack+172, r12vrr_stack+4129, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5916, r12vrr_stack+15873, r12vrr_stack+15837, NULL, NULL, r12vrr_stack+645);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8828, r12vrr_stack+15909, r12vrr_stack+5916, r12vrr_stack+15801, r12vrr_stack+15873, r12vrr_stack+217);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9044, r12vrr_stack+16125, r12vrr_stack+8828, r12vrr_stack+16017, r12vrr_stack+15909, r12vrr_stack+6328);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17593, r12vrr_stack+8612, r12vrr_stack+16125, r12vrr_stack+16341, r12vrr_stack+16017, r12vrr_stack+5116);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17953, r12vrr_stack+17593, r12vrr_stack+9044, r12vrr_stack+8612, r12vrr_stack+16125, r12vrr_stack+6496);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15801, r12vrr_stack+3469, r12vrr_stack+617, r12vrr_stack+193, r12vrr_stack+112, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16017, r12vrr_stack+15801, r12vrr_stack+5880, NULL, NULL, r12vrr_stack+617);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6328, r12vrr_stack+16017, r12vrr_stack+16341, r12vrr_stack+15801, r12vrr_stack+5880, r12vrr_stack+6076);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9991, r12vrr_stack+6328, r12vrr_stack+8612, r12vrr_stack+16017, r12vrr_stack+16341, r12vrr_stack+6160);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10351, r12vrr_stack+9991, r12vrr_stack+17593, r12vrr_stack+6328, r12vrr_stack+8612, r12vrr_stack+2134);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15801, r12vrr_stack+7744, r12vrr_stack+8584, r12vrr_stack+4129, r12vrr_stack+1045, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16017, r12vrr_stack+15837, r12vrr_stack+15801, NULL, NULL, r12vrr_stack+7744);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8584, r12vrr_stack+5916, r12vrr_stack+16017, r12vrr_stack+15873, r12vrr_stack+15837, r12vrr_stack+7772);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7744, r12vrr_stack+8828, r12vrr_stack+8584, r12vrr_stack+15909, r12vrr_stack+5916, r12vrr_stack+673);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5824, r12vrr_stack+9044, r12vrr_stack+7744, r12vrr_stack+16125, r12vrr_stack+8828, r12vrr_stack+1354);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15801, r12vrr_stack+17953, r12vrr_stack+5824, r12vrr_stack+17593, r12vrr_stack+9044, r12vrr_stack+13421);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5824, r12vrr_stack+10351, r12vrr_stack+17953, r12vrr_stack+9991, r12vrr_stack+17593, r12vrr_stack+12301);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18493, r12vrr_stack+5824, r12vrr_stack+15801, r12vrr_stack+10351, r12vrr_stack+17953, r12vrr_stack+13841);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+15801, &(Data->ss_r12_ss), NULL, r12vrr_stack+76, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+15804, r12vrr_stack+15801, &(Data->ss_r12_ss), r12vrr_stack+31, r12vrr_stack+76, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+3459, r12vrr_stack+15804, r12vrr_stack+15801, r12vrr_stack+352, r12vrr_stack+31, r12vrr_stack+76, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+15810, r12vrr_stack+3459, r12vrr_stack+15804, r12vrr_stack+1294, r12vrr_stack+352, r12vrr_stack+31, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+15825, r12vrr_stack+15810, NULL, r12vrr_stack+1309, r12vrr_stack+1294, NULL, r12vrr_stack+352);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+15870, r12vrr_stack+15825, r12vrr_stack+15810, r12vrr_stack+464, r12vrr_stack+1309, r12vrr_stack+1294, r12vrr_stack+1644);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+15960, r12vrr_stack+15870, r12vrr_stack+15825, r12vrr_stack+1984, r12vrr_stack+464, r12vrr_stack+1309, r12vrr_stack+1674);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+16110, r12vrr_stack+15960, r12vrr_stack+15870, r12vrr_stack+5284, r12vrr_stack+1984, r12vrr_stack+464, r12vrr_stack+1734);

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+12301, r12vrr_stack+16110, r12vrr_stack+15960, r12vrr_stack+5509, r12vrr_stack+5284, r12vrr_stack+1984, r12vrr_stack+1834);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+15825, r12vrr_stack+15810, r12vrr_stack+3459, r12vrr_stack+193, r12vrr_stack+1294, r12vrr_stack+352, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+15846, r12vrr_stack+15825, NULL, r12vrr_stack+3060, r12vrr_stack+193, NULL, r12vrr_stack+1294);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+2934, r12vrr_stack+15846, r12vrr_stack+15825, r12vrr_stack+3123, r12vrr_stack+3060, r12vrr_stack+193, r12vrr_stack+1309);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+4129, r12vrr_stack+2934, r12vrr_stack+15846, r12vrr_stack+3249, r12vrr_stack+3123, r12vrr_stack+3060, r12vrr_stack+464);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+1309, r12vrr_stack+4129, r12vrr_stack+2934, r12vrr_stack+8269, r12vrr_stack+3249, r12vrr_stack+3123, r12vrr_stack+1984);

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+1624, r12vrr_stack+1309, r12vrr_stack+4129, r12vrr_stack+9550, r12vrr_stack+8269, r12vrr_stack+3249, r12vrr_stack+5284);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+4129, r12vrr_stack+15825, r12vrr_stack+15810, r12vrr_stack+3469, r12vrr_stack+193, r12vrr_stack+1294, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+4157, r12vrr_stack+4129, NULL, r12vrr_stack+3497, r12vrr_stack+3469, NULL, r12vrr_stack+193);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+2065, r12vrr_stack+4157, r12vrr_stack+4129, r12vrr_stack+3581, r12vrr_stack+3497, r12vrr_stack+3469, r12vrr_stack+3060);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+15801, r12vrr_stack+2065, r12vrr_stack+4157, r12vrr_stack+12721, r12vrr_stack+3581, r12vrr_stack+3497, r12vrr_stack+3123);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+17593, r12vrr_stack+15801, r12vrr_stack+2065, r12vrr_stack+13001, r12vrr_stack+12721, r12vrr_stack+3581, r12vrr_stack+3249);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+2934, r12vrr_stack+17593, r12vrr_stack+15801, r12vrr_stack+14429, r12vrr_stack+13001, r12vrr_stack+12721, r12vrr_stack+8269);

 /*--- compute (i0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18013, r12vrr_stack+6784, r12vrr_stack+4339, r12vrr_stack+7204, r12vrr_stack+3769, r12vrr_stack+2654);
 tmp = r12vrr_stack + 18013;
 target_ptr = Libr12->t2vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3522, r12vrr_stack+4339, r12vrr_stack+15017, r12vrr_stack+11545, r12vrr_stack+7204, r12vrr_stack+6784);
 tmp = r12vrr_stack + 3522;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9991, r12vrr_stack+15017, r12vrr_stack+18493, r12vrr_stack+16585, r12vrr_stack+11545, r12vrr_stack+4339);
 tmp = r12vrr_stack + 9991;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10775, r12vrr_stack+6784, r12vrr_stack+7204, r12vrr_stack+4339, r12vrr_stack+9550, r12vrr_stack+5509);
 tmp = r12vrr_stack + 10775;
 target_ptr = Libr12->t1vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7204, r12vrr_stack+4339, r12vrr_stack+11545, r12vrr_stack+15017, r12vrr_stack+14429, r12vrr_stack+9550);
 tmp = r12vrr_stack + 7204;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+11195, r12vrr_stack+15017, r12vrr_stack+16585, r12vrr_stack+18493, r12vrr_stack+5824, r12vrr_stack+14429);
 tmp = r12vrr_stack + 11195;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||g0)^0 ---*/
 _R_BUILD_i0g0(Data,r12vrr_stack+5824, r12vrr_stack+12301, r12vrr_stack+16110, r12vrr_stack+6784, r12vrr_stack+5509, r12vrr_stack+5284, r12vrr_stack+2444);
 tmp = r12vrr_stack + 5824;
 target_ptr = Libr12->rvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+6244, r12vrr_stack+1624, r12vrr_stack+1309, r12vrr_stack+4339, r12vrr_stack+9550, r12vrr_stack+8269, r12vrr_stack+5509);
 tmp = r12vrr_stack + 6244;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+7792, r12vrr_stack+2934, r12vrr_stack+17593, r12vrr_stack+15017, r12vrr_stack+14429, r12vrr_stack+13001, r12vrr_stack+9550);
 tmp = r12vrr_stack + 7792;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];


}

