#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_i0hf(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+27, r12vrr_stack+15, NULL, NULL, Data->F+4);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+27, r12vrr_stack+15, r12vrr_stack+3);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+6);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+15, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+123, r12vrr_stack+27, r12vrr_stack+15, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+129, r12vrr_stack+12, r12vrr_stack+39, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+135, r12vrr_stack+117, r12vrr_stack+129, NULL, NULL, r12vrr_stack+12);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+153, r12vrr_stack+123, r12vrr_stack+117, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+171, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+18);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+207, r12vrr_stack+27, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+216, r12vrr_stack+210, r12vrr_stack+123, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+234, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+30);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+39, r12vrr_stack+30, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+270, r12vrr_stack+129, r12vrr_stack+33, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+288, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+42);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+324, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+51);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+384, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+69);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+444, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+87);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+534, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+544, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+27, r12vrr_stack+15, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+554, r12vrr_stack+544, r12vrr_stack+534, NULL, NULL, r12vrr_stack+117);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+584, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+207, r12vrr_stack+27, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+594, r12vrr_stack+584, r12vrr_stack+544, NULL, NULL, r12vrr_stack+123);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+624, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+634, r12vrr_stack+534, r12vrr_stack+624, NULL, NULL, r12vrr_stack+129);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+664, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+135);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+724, r12vrr_stack+594, r12vrr_stack+554, r12vrr_stack+584, r12vrr_stack+544, r12vrr_stack+153);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+784, r12vrr_stack+724, r12vrr_stack+664, r12vrr_stack+594, r12vrr_stack+554, r12vrr_stack+171);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+153, r12vrr_stack+27, r12vrr_stack+207, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+159, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+27, r12vrr_stack+207, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+884, r12vrr_stack+159, r12vrr_stack+584, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+914, r12vrr_stack+884, r12vrr_stack+594, r12vrr_stack+159, r12vrr_stack+584, r12vrr_stack+216);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+974, r12vrr_stack+914, r12vrr_stack+724, r12vrr_stack+884, r12vrr_stack+594, r12vrr_stack+234);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+216, r12vrr_stack+30, r12vrr_stack+207, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+222, r12vrr_stack+33, r12vrr_stack+216, r12vrr_stack+39, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+232, r12vrr_stack+624, r12vrr_stack+222, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1074, r12vrr_stack+634, r12vrr_stack+232, r12vrr_stack+534, r12vrr_stack+624, r12vrr_stack+270);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1134, r12vrr_stack+664, r12vrr_stack+1074, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+288);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1234, r12vrr_stack+784, r12vrr_stack+1134, r12vrr_stack+724, r12vrr_stack+664, r12vrr_stack+324);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1384, r12vrr_stack+974, r12vrr_stack+784, r12vrr_stack+914, r12vrr_stack+724, r12vrr_stack+384);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1384, r12vrr_stack+1234, r12vrr_stack+974, r12vrr_stack+784, r12vrr_stack+444);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1744, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+123, r12vrr_stack+117, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1759, r12vrr_stack+584, r12vrr_stack+544, r12vrr_stack+210, r12vrr_stack+123, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1774, r12vrr_stack+534, r12vrr_stack+624, r12vrr_stack+117, r12vrr_stack+129, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1789, r12vrr_stack+1744, r12vrr_stack+1774, NULL, NULL, r12vrr_stack+534);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1834, r12vrr_stack+1759, r12vrr_stack+1744, NULL, NULL, r12vrr_stack+544);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1879, r12vrr_stack+1834, r12vrr_stack+1789, r12vrr_stack+1759, r12vrr_stack+1744, r12vrr_stack+554);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+159, r12vrr_stack+584, r12vrr_stack+153, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1969, r12vrr_stack+554, r12vrr_stack+1759, NULL, NULL, r12vrr_stack+584);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2014, r12vrr_stack+1969, r12vrr_stack+1834, r12vrr_stack+554, r12vrr_stack+1759, r12vrr_stack+594);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+569, r12vrr_stack+624, r12vrr_stack+222, r12vrr_stack+129, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2104, r12vrr_stack+1774, r12vrr_stack+569, NULL, NULL, r12vrr_stack+624);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2149, r12vrr_stack+1789, r12vrr_stack+2104, r12vrr_stack+1744, r12vrr_stack+1774, r12vrr_stack+634);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2239, r12vrr_stack+1879, r12vrr_stack+2149, r12vrr_stack+1834, r12vrr_stack+1789, r12vrr_stack+664);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2389, r12vrr_stack+2014, r12vrr_stack+1879, r12vrr_stack+1969, r12vrr_stack+1834, r12vrr_stack+724);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2539, r12vrr_stack+2389, r12vrr_stack+2239, r12vrr_stack+2014, r12vrr_stack+1879, r12vrr_stack+784);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+15, r12vrr_stack+27, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+724, r12vrr_stack+210, r12vrr_stack+153, r12vrr_stack+15, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+734, r12vrr_stack+724, r12vrr_stack+159, r12vrr_stack+210, r12vrr_stack+153, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2764, r12vrr_stack+734, r12vrr_stack+554, NULL, NULL, r12vrr_stack+159);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2809, r12vrr_stack+2764, r12vrr_stack+1969, r12vrr_stack+734, r12vrr_stack+554, r12vrr_stack+884);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2899, r12vrr_stack+2809, r12vrr_stack+2014, r12vrr_stack+2764, r12vrr_stack+1969, r12vrr_stack+914);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3049, r12vrr_stack+2899, r12vrr_stack+2389, r12vrr_stack+2809, r12vrr_stack+2014, r12vrr_stack+974);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+153, r12vrr_stack+207, r12vrr_stack+27, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+884, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+30, r12vrr_stack+207, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+894, r12vrr_stack+222, r12vrr_stack+884, r12vrr_stack+33, r12vrr_stack+216, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+909, r12vrr_stack+569, r12vrr_stack+894, NULL, NULL, r12vrr_stack+222);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+954, r12vrr_stack+2104, r12vrr_stack+909, r12vrr_stack+1774, r12vrr_stack+569, r12vrr_stack+232);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3274, r12vrr_stack+2149, r12vrr_stack+954, r12vrr_stack+1789, r12vrr_stack+2104, r12vrr_stack+1074);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3424, r12vrr_stack+2239, r12vrr_stack+3274, r12vrr_stack+1879, r12vrr_stack+2149, r12vrr_stack+1134);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3649, r12vrr_stack+2539, r12vrr_stack+3424, r12vrr_stack+2389, r12vrr_stack+2239, r12vrr_stack+1234);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3964, r12vrr_stack+3049, r12vrr_stack+2539, r12vrr_stack+2899, r12vrr_stack+2389, r12vrr_stack+1384);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4279, r12vrr_stack+3964, r12vrr_stack+3649, r12vrr_stack+3049, r12vrr_stack+2539, r12vrr_stack+1534);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1044, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+1047, r12vrr_stack+0, r12vrr_stack+1044, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+1053, r12vrr_stack+6, r12vrr_stack+1047, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+0, r12vrr_stack+39, r12vrr_stack+30, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+749, r12vrr_stack+42, r12vrr_stack+0, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+1044);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+594, r12vrr_stack+51, r12vrr_stack+749, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+1047);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+4699, r12vrr_stack+87, r12vrr_stack+594, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+1053);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1044, r12vrr_stack+33, r12vrr_stack+216, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+39, r12vrr_stack+270, r12vrr_stack+1044, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+0);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+75, r12vrr_stack+288, r12vrr_stack+39, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+749);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+4744, r12vrr_stack+324, r12vrr_stack+75, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+594);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+4834, r12vrr_stack+444, r12vrr_stack+4744, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+4699);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+594, r12vrr_stack+222, r12vrr_stack+884, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+262, r12vrr_stack+232, r12vrr_stack+594, r12vrr_stack+624, r12vrr_stack+222, r12vrr_stack+1044);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+322, r12vrr_stack+1074, r12vrr_stack+262, r12vrr_stack+634, r12vrr_stack+232, r12vrr_stack+39);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+4960, r12vrr_stack+1134, r12vrr_stack+322, r12vrr_stack+664, r12vrr_stack+1074, r12vrr_stack+75);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+5110, r12vrr_stack+1234, r12vrr_stack+4960, r12vrr_stack+784, r12vrr_stack+1134, r12vrr_stack+4744);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+5320, r12vrr_stack+1534, r12vrr_stack+5110, r12vrr_stack+1384, r12vrr_stack+1234, r12vrr_stack+4834);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+232, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+235, r12vrr_stack+27, r12vrr_stack+232, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+241, r12vrr_stack+153, r12vrr_stack+235, r12vrr_stack+207, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+884, r12vrr_stack+241, r12vrr_stack+216, r12vrr_stack+153, NULL);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+634, r12vrr_stack+894, r12vrr_stack+0, NULL, NULL, r12vrr_stack+884);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1044, r12vrr_stack+909, r12vrr_stack+634, r12vrr_stack+569, r12vrr_stack+894, r12vrr_stack+594);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1134, r12vrr_stack+954, r12vrr_stack+1044, r12vrr_stack+2104, r12vrr_stack+909, r12vrr_stack+262);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1284, r12vrr_stack+3274, r12vrr_stack+1134, r12vrr_stack+2149, r12vrr_stack+954, r12vrr_stack+322);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5600, r12vrr_stack+3424, r12vrr_stack+1284, r12vrr_stack+2239, r12vrr_stack+3274, r12vrr_stack+4960);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5915, r12vrr_stack+3649, r12vrr_stack+5600, r12vrr_stack+2539, r12vrr_stack+3424, r12vrr_stack+5110);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4699, r12vrr_stack+4279, r12vrr_stack+5915, r12vrr_stack+3964, r12vrr_stack+3649, r12vrr_stack+5320);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+594, r12vrr_stack+1774, r12vrr_stack+569, r12vrr_stack+534, r12vrr_stack+624, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+251, r12vrr_stack+1744, r12vrr_stack+1774, r12vrr_stack+544, r12vrr_stack+534, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+272, r12vrr_stack+251, r12vrr_stack+594, NULL, NULL, r12vrr_stack+1774);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+335, r12vrr_stack+1759, r12vrr_stack+1744, r12vrr_stack+584, r12vrr_stack+544, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+356, r12vrr_stack+335, r12vrr_stack+251, NULL, NULL, r12vrr_stack+1744);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+419, r12vrr_stack+569, r12vrr_stack+894, r12vrr_stack+624, r12vrr_stack+222, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+440, r12vrr_stack+594, r12vrr_stack+419, NULL, NULL, r12vrr_stack+569);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1509, r12vrr_stack+272, r12vrr_stack+440, r12vrr_stack+251, r12vrr_stack+594, r12vrr_stack+2104);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5239, r12vrr_stack+356, r12vrr_stack+272, r12vrr_stack+335, r12vrr_stack+251, r12vrr_stack+1789);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5365, r12vrr_stack+5239, r12vrr_stack+1509, r12vrr_stack+356, r12vrr_stack+272, r12vrr_stack+2149);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1789, r12vrr_stack+554, r12vrr_stack+1759, r12vrr_stack+159, r12vrr_stack+584, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2104, r12vrr_stack+1789, r12vrr_stack+335, NULL, NULL, r12vrr_stack+1759);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+749, r12vrr_stack+2104, r12vrr_stack+356, r12vrr_stack+1789, r12vrr_stack+335, r12vrr_stack+1834);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6335, r12vrr_stack+749, r12vrr_stack+5239, r12vrr_stack+2104, r12vrr_stack+356, r12vrr_stack+1879);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1810, r12vrr_stack+894, r12vrr_stack+0, r12vrr_stack+222, r12vrr_stack+884, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1831, r12vrr_stack+419, r12vrr_stack+1810, NULL, NULL, r12vrr_stack+894);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6545, r12vrr_stack+440, r12vrr_stack+1831, r12vrr_stack+594, r12vrr_stack+419, r12vrr_stack+909);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6671, r12vrr_stack+1509, r12vrr_stack+6545, r12vrr_stack+272, r12vrr_stack+440, r12vrr_stack+954);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6881, r12vrr_stack+5365, r12vrr_stack+6671, r12vrr_stack+5239, r12vrr_stack+1509, r12vrr_stack+3274);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7196, r12vrr_stack+6335, r12vrr_stack+5365, r12vrr_stack+749, r12vrr_stack+5239, r12vrr_stack+2239);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7511, r12vrr_stack+7196, r12vrr_stack+6881, r12vrr_stack+6335, r12vrr_stack+5365, r12vrr_stack+3424);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3274, r12vrr_stack+734, r12vrr_stack+554, r12vrr_stack+724, r12vrr_stack+159, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3295, r12vrr_stack+3274, r12vrr_stack+1789, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3358, r12vrr_stack+3295, r12vrr_stack+2104, r12vrr_stack+3274, r12vrr_stack+1789, r12vrr_stack+1969);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2167, r12vrr_stack+3358, r12vrr_stack+749, r12vrr_stack+3295, r12vrr_stack+2104, r12vrr_stack+2014);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7952, r12vrr_stack+2167, r12vrr_stack+6335, r12vrr_stack+3358, r12vrr_stack+749, r12vrr_stack+2389);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8267, r12vrr_stack+7952, r12vrr_stack+7196, r12vrr_stack+2167, r12vrr_stack+6335, r12vrr_stack+2539);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+159, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+162, r12vrr_stack+232, r12vrr_stack+159, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+584, r12vrr_stack+235, r12vrr_stack+162, r12vrr_stack+27, r12vrr_stack+232, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+168, r12vrr_stack+241, r12vrr_stack+584, r12vrr_stack+153, r12vrr_stack+235, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+183, r12vrr_stack+0, r12vrr_stack+168, r12vrr_stack+884, r12vrr_stack+241, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3484, r12vrr_stack+1810, r12vrr_stack+183, NULL, NULL, r12vrr_stack+0);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+909, r12vrr_stack+1831, r12vrr_stack+3484, r12vrr_stack+419, r12vrr_stack+1810, r12vrr_stack+634);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1894, r12vrr_stack+6545, r12vrr_stack+909, r12vrr_stack+440, r12vrr_stack+1831, r12vrr_stack+1044);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2377, r12vrr_stack+6671, r12vrr_stack+1894, r12vrr_stack+1509, r12vrr_stack+6545, r12vrr_stack+1134);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8708, r12vrr_stack+6881, r12vrr_stack+2377, r12vrr_stack+5365, r12vrr_stack+6671, r12vrr_stack+1284);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9149, r12vrr_stack+7511, r12vrr_stack+8708, r12vrr_stack+7196, r12vrr_stack+6881, r12vrr_stack+5600);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9737, r12vrr_stack+8267, r12vrr_stack+7511, r12vrr_stack+7952, r12vrr_stack+7196, r12vrr_stack+3649);
 tmp = r12vrr_stack + 9737;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10325, r12vrr_stack+9737, r12vrr_stack+9149, r12vrr_stack+8267, r12vrr_stack+7511, r12vrr_stack+5915);
 tmp = r12vrr_stack + 10325;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3547, r12vrr_stack+251, r12vrr_stack+594, r12vrr_stack+1744, r12vrr_stack+1774, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3575, r12vrr_stack+335, r12vrr_stack+251, r12vrr_stack+1759, r12vrr_stack+1744, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3603, r12vrr_stack+594, r12vrr_stack+419, r12vrr_stack+1774, r12vrr_stack+569, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3631, r12vrr_stack+3547, r12vrr_stack+3603, NULL, NULL, r12vrr_stack+594);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3715, r12vrr_stack+3575, r12vrr_stack+3547, NULL, NULL, r12vrr_stack+251);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1035, r12vrr_stack+3715, r12vrr_stack+3631, r12vrr_stack+3575, r12vrr_stack+3547, r12vrr_stack+272);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+272, r12vrr_stack+1789, r12vrr_stack+335, r12vrr_stack+554, r12vrr_stack+1759, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3799, r12vrr_stack+272, r12vrr_stack+3575, NULL, NULL, r12vrr_stack+335);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1203, r12vrr_stack+3799, r12vrr_stack+3715, r12vrr_stack+272, r12vrr_stack+3575, r12vrr_stack+356);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+356, r12vrr_stack+419, r12vrr_stack+1810, r12vrr_stack+569, r12vrr_stack+894, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1371, r12vrr_stack+3603, r12vrr_stack+356, NULL, NULL, r12vrr_stack+419);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5575, r12vrr_stack+3631, r12vrr_stack+1371, r12vrr_stack+3547, r12vrr_stack+3603, r12vrr_stack+440);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5743, r12vrr_stack+1035, r12vrr_stack+5575, r12vrr_stack+3715, r12vrr_stack+3631, r12vrr_stack+1509);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1455, r12vrr_stack+1203, r12vrr_stack+1035, r12vrr_stack+3799, r12vrr_stack+3715, r12vrr_stack+5239);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11081, r12vrr_stack+1455, r12vrr_stack+5743, r12vrr_stack+1203, r12vrr_stack+1035, r12vrr_stack+5365);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5239, r12vrr_stack+3274, r12vrr_stack+1789, r12vrr_stack+734, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5267, r12vrr_stack+5239, r12vrr_stack+272, NULL, NULL, r12vrr_stack+1789);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5351, r12vrr_stack+5267, r12vrr_stack+3799, r12vrr_stack+5239, r12vrr_stack+272, r12vrr_stack+2104);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6023, r12vrr_stack+5351, r12vrr_stack+1203, r12vrr_stack+5267, r12vrr_stack+3799, r12vrr_stack+749);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11501, r12vrr_stack+6023, r12vrr_stack+1455, r12vrr_stack+5351, r12vrr_stack+1203, r12vrr_stack+6335);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+749, r12vrr_stack+1810, r12vrr_stack+183, r12vrr_stack+894, r12vrr_stack+0, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+777, r12vrr_stack+356, r12vrr_stack+749, NULL, NULL, r12vrr_stack+1810);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6303, r12vrr_stack+1371, r12vrr_stack+777, r12vrr_stack+3603, r12vrr_stack+356, r12vrr_stack+1831);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11921, r12vrr_stack+5575, r12vrr_stack+6303, r12vrr_stack+3631, r12vrr_stack+1371, r12vrr_stack+6545);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12201, r12vrr_stack+5743, r12vrr_stack+11921, r12vrr_stack+1035, r12vrr_stack+5575, r12vrr_stack+6671);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12621, r12vrr_stack+11081, r12vrr_stack+12201, r12vrr_stack+1455, r12vrr_stack+5743, r12vrr_stack+6881);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6471, r12vrr_stack+11501, r12vrr_stack+11081, r12vrr_stack+6023, r12vrr_stack+1455, r12vrr_stack+7196);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13209, r12vrr_stack+6471, r12vrr_stack+12621, r12vrr_stack+11501, r12vrr_stack+11081, r12vrr_stack+7511);
 tmp = r12vrr_stack + 13209;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1831, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+204, r12vrr_stack+159, r12vrr_stack+1831, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1834, r12vrr_stack+162, r12vrr_stack+204, r12vrr_stack+232, r12vrr_stack+159, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1844, r12vrr_stack+584, r12vrr_stack+1834, r12vrr_stack+235, r12vrr_stack+162, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1859, r12vrr_stack+168, r12vrr_stack+1844, r12vrr_stack+241, r12vrr_stack+584, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+861, r12vrr_stack+183, r12vrr_stack+1859, r12vrr_stack+0, r12vrr_stack+168, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+440, r12vrr_stack+749, r12vrr_stack+861, NULL, NULL, r12vrr_stack+183);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7059, r12vrr_stack+777, r12vrr_stack+440, r12vrr_stack+356, r12vrr_stack+749, r12vrr_stack+3484);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7227, r12vrr_stack+6303, r12vrr_stack+7059, r12vrr_stack+1371, r12vrr_stack+777, r12vrr_stack+909);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7507, r12vrr_stack+11921, r12vrr_stack+7227, r12vrr_stack+5575, r12vrr_stack+6303, r12vrr_stack+1894);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13993, r12vrr_stack+12201, r12vrr_stack+7507, r12vrr_stack+5743, r12vrr_stack+11921, r12vrr_stack+2377);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14581, r12vrr_stack+12621, r12vrr_stack+13993, r12vrr_stack+11081, r12vrr_stack+12201, r12vrr_stack+8708);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15365, r12vrr_stack+13209, r12vrr_stack+14581, r12vrr_stack+6471, r12vrr_stack+12621, r12vrr_stack+9149);
 tmp = r12vrr_stack + 15365;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8708, r12vrr_stack+3547, r12vrr_stack+3603, r12vrr_stack+251, r12vrr_stack+594, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8744, r12vrr_stack+3575, r12vrr_stack+3547, r12vrr_stack+335, r12vrr_stack+251, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8780, r12vrr_stack+3603, r12vrr_stack+356, r12vrr_stack+594, r12vrr_stack+419, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+594, r12vrr_stack+8708, r12vrr_stack+8780, NULL, NULL, r12vrr_stack+3603);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8816, r12vrr_stack+8744, r12vrr_stack+8708, NULL, NULL, r12vrr_stack+3547);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8924, r12vrr_stack+8816, r12vrr_stack+594, r12vrr_stack+8744, r12vrr_stack+8708, r12vrr_stack+3631);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3631, r12vrr_stack+272, r12vrr_stack+3575, r12vrr_stack+1789, r12vrr_stack+335, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9140, r12vrr_stack+3631, r12vrr_stack+8744, NULL, NULL, r12vrr_stack+3575);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9248, r12vrr_stack+9140, r12vrr_stack+8816, r12vrr_stack+3631, r12vrr_stack+8744, r12vrr_stack+3715);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3667, r12vrr_stack+356, r12vrr_stack+749, r12vrr_stack+419, r12vrr_stack+1810, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9464, r12vrr_stack+8780, r12vrr_stack+3667, NULL, NULL, r12vrr_stack+356);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2377, r12vrr_stack+594, r12vrr_stack+9464, r12vrr_stack+8708, r12vrr_stack+8780, r12vrr_stack+1371);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16373, r12vrr_stack+8924, r12vrr_stack+2377, r12vrr_stack+8816, r12vrr_stack+594, r12vrr_stack+5575);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16733, r12vrr_stack+9248, r12vrr_stack+8924, r12vrr_stack+9140, r12vrr_stack+8816, r12vrr_stack+1035);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17093, r12vrr_stack+16733, r12vrr_stack+16373, r12vrr_stack+9248, r12vrr_stack+8924, r12vrr_stack+5743);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1371, r12vrr_stack+5239, r12vrr_stack+272, r12vrr_stack+3274, r12vrr_stack+1789, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9572, r12vrr_stack+1371, r12vrr_stack+3631, NULL, NULL, r12vrr_stack+272);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1880, r12vrr_stack+9572, r12vrr_stack+9140, r12vrr_stack+1371, r12vrr_stack+3631, r12vrr_stack+3799);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5519, r12vrr_stack+1880, r12vrr_stack+9248, r12vrr_stack+9572, r12vrr_stack+9140, r12vrr_stack+1203);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17633, r12vrr_stack+5519, r12vrr_stack+16733, r12vrr_stack+1880, r12vrr_stack+9248, r12vrr_stack+1455);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1407, r12vrr_stack+749, r12vrr_stack+861, r12vrr_stack+1810, r12vrr_stack+183, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1443, r12vrr_stack+3667, r12vrr_stack+1407, NULL, NULL, r12vrr_stack+749);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1551, r12vrr_stack+9464, r12vrr_stack+1443, r12vrr_stack+8780, r12vrr_stack+3667, r12vrr_stack+777);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+889, r12vrr_stack+2377, r12vrr_stack+1551, r12vrr_stack+594, r12vrr_stack+9464, r12vrr_stack+6303);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18173, r12vrr_stack+16373, r12vrr_stack+889, r12vrr_stack+8924, r12vrr_stack+2377, r12vrr_stack+11921);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18713, r12vrr_stack+17093, r12vrr_stack+18173, r12vrr_stack+16733, r12vrr_stack+16373, r12vrr_stack+12201);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19469, r12vrr_stack+17633, r12vrr_stack+17093, r12vrr_stack+5519, r12vrr_stack+16733, r12vrr_stack+11081);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20225, r12vrr_stack+19469, r12vrr_stack+18713, r12vrr_stack+17633, r12vrr_stack+17093, r12vrr_stack+12621);
 tmp = r12vrr_stack + 20225;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+11081, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+11084, r12vrr_stack+1831, r12vrr_stack+11081, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+11090, r12vrr_stack+204, r12vrr_stack+11084, r12vrr_stack+159, r12vrr_stack+1831, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+1834, r12vrr_stack+11090, r12vrr_stack+162, r12vrr_stack+204, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11100, r12vrr_stack+1844, r12vrr_stack+0, r12vrr_stack+584, r12vrr_stack+1834, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11121, r12vrr_stack+1859, r12vrr_stack+11100, r12vrr_stack+168, r12vrr_stack+1844, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11149, r12vrr_stack+861, r12vrr_stack+11121, r12vrr_stack+183, r12vrr_stack+1859, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11185, r12vrr_stack+1407, r12vrr_stack+11149, NULL, NULL, r12vrr_stack+861);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11921, r12vrr_stack+1443, r12vrr_stack+11185, r12vrr_stack+3667, r12vrr_stack+1407, r12vrr_stack+440);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12137, r12vrr_stack+1551, r12vrr_stack+11921, r12vrr_stack+9464, r12vrr_stack+1443, r12vrr_stack+7059);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12497, r12vrr_stack+889, r12vrr_stack+12137, r12vrr_stack+2377, r12vrr_stack+1551, r12vrr_stack+7227);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21233, r12vrr_stack+18173, r12vrr_stack+12497, r12vrr_stack+16373, r12vrr_stack+889, r12vrr_stack+7507);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21989, r12vrr_stack+18713, r12vrr_stack+21233, r12vrr_stack+17093, r12vrr_stack+18173, r12vrr_stack+13993);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22997, r12vrr_stack+20225, r12vrr_stack+21989, r12vrr_stack+19469, r12vrr_stack+18713, r12vrr_stack+14581);
 tmp = r12vrr_stack + 22997;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13993, r12vrr_stack+8708, r12vrr_stack+8780, r12vrr_stack+3547, r12vrr_stack+3603, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14038, r12vrr_stack+8744, r12vrr_stack+8708, r12vrr_stack+3575, r12vrr_stack+3547, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14083, r12vrr_stack+8780, r12vrr_stack+3667, r12vrr_stack+3603, r12vrr_stack+356, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14128, r12vrr_stack+13993, r12vrr_stack+14083, NULL, NULL, r12vrr_stack+8780);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14263, r12vrr_stack+14038, r12vrr_stack+13993, NULL, NULL, r12vrr_stack+8708);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14398, r12vrr_stack+14263, r12vrr_stack+14128, r12vrr_stack+14038, r12vrr_stack+13993, r12vrr_stack+594);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14668, r12vrr_stack+3631, r12vrr_stack+8744, r12vrr_stack+272, r12vrr_stack+3575, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14713, r12vrr_stack+14668, r12vrr_stack+14038, NULL, NULL, r12vrr_stack+8744);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14848, r12vrr_stack+14713, r12vrr_stack+14263, r12vrr_stack+14668, r12vrr_stack+14038, r12vrr_stack+8816);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8816, r12vrr_stack+3667, r12vrr_stack+1407, r12vrr_stack+356, r12vrr_stack+749, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15118, r12vrr_stack+14083, r12vrr_stack+8816, NULL, NULL, r12vrr_stack+3667);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7059, r12vrr_stack+14128, r12vrr_stack+15118, r12vrr_stack+13993, r12vrr_stack+14083, r12vrr_stack+9464);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7329, r12vrr_stack+14398, r12vrr_stack+7059, r12vrr_stack+14263, r12vrr_stack+14128, r12vrr_stack+2377);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24293, r12vrr_stack+14848, r12vrr_stack+14398, r12vrr_stack+14713, r12vrr_stack+14263, r12vrr_stack+8924);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24743, r12vrr_stack+24293, r12vrr_stack+7329, r12vrr_stack+14848, r12vrr_stack+14398, r12vrr_stack+16373);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16373, r12vrr_stack+1371, r12vrr_stack+3631, r12vrr_stack+5239, r12vrr_stack+272, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16418, r12vrr_stack+16373, r12vrr_stack+14668, NULL, NULL, r12vrr_stack+3631);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2377, r12vrr_stack+16418, r12vrr_stack+14713, r12vrr_stack+16373, r12vrr_stack+14668, r12vrr_stack+9140);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+216, r12vrr_stack+2377, r12vrr_stack+14848, r12vrr_stack+16418, r12vrr_stack+14713, r12vrr_stack+9248);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8861, r12vrr_stack+216, r12vrr_stack+24293, r12vrr_stack+2377, r12vrr_stack+14848, r12vrr_stack+16733);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16553, r12vrr_stack+1407, r12vrr_stack+11149, r12vrr_stack+749, r12vrr_stack+861, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16598, r12vrr_stack+8816, r12vrr_stack+16553, NULL, NULL, r12vrr_stack+1407);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16733, r12vrr_stack+15118, r12vrr_stack+16598, r12vrr_stack+14083, r12vrr_stack+8816, r12vrr_stack+1443);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25418, r12vrr_stack+7059, r12vrr_stack+16733, r12vrr_stack+14128, r12vrr_stack+15118, r12vrr_stack+1551);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25868, r12vrr_stack+7329, r12vrr_stack+25418, r12vrr_stack+14398, r12vrr_stack+7059, r12vrr_stack+889);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26543, r12vrr_stack+24743, r12vrr_stack+25868, r12vrr_stack+24293, r12vrr_stack+7329, r12vrr_stack+18173);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27488, r12vrr_stack+8861, r12vrr_stack+24743, r12vrr_stack+216, r12vrr_stack+24293, r12vrr_stack+17093);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+28433, r12vrr_stack+27488, r12vrr_stack+26543, r12vrr_stack+8861, r12vrr_stack+24743, r12vrr_stack+18713);
 tmp = r12vrr_stack + 28433;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18173, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+18176, r12vrr_stack+11081, r12vrr_stack+18173, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+18182, r12vrr_stack+11084, r12vrr_stack+18176, r12vrr_stack+1831, r12vrr_stack+11081, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+18192, r12vrr_stack+11090, r12vrr_stack+18182, r12vrr_stack+204, r12vrr_stack+11084, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18207, r12vrr_stack+0, r12vrr_stack+18192, r12vrr_stack+1834, r12vrr_stack+11090, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18173, r12vrr_stack+11100, r12vrr_stack+18207, r12vrr_stack+1844, r12vrr_stack+0, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9536, r12vrr_stack+11121, r12vrr_stack+18173, r12vrr_stack+1859, r12vrr_stack+11100, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18173, r12vrr_stack+11149, r12vrr_stack+9536, r12vrr_stack+861, r12vrr_stack+11121, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18218, r12vrr_stack+16553, r12vrr_stack+18173, NULL, NULL, r12vrr_stack+11149);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18353, r12vrr_stack+16598, r12vrr_stack+18218, r12vrr_stack+8816, r12vrr_stack+16553, r12vrr_stack+11185);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18623, r12vrr_stack+16733, r12vrr_stack+18353, r12vrr_stack+15118, r12vrr_stack+16598, r12vrr_stack+11921);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29693, r12vrr_stack+25418, r12vrr_stack+18623, r12vrr_stack+7059, r12vrr_stack+16733, r12vrr_stack+12137);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18218, r12vrr_stack+25868, r12vrr_stack+29693, r12vrr_stack+7329, r12vrr_stack+25418, r12vrr_stack+12497);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29693, r12vrr_stack+26543, r12vrr_stack+18218, r12vrr_stack+24743, r12vrr_stack+25868, r12vrr_stack+21233);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30953, r12vrr_stack+28433, r12vrr_stack+29693, r12vrr_stack+27488, r12vrr_stack+26543, r12vrr_stack+21989);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29693, r12vrr_stack+13993, r12vrr_stack+14083, r12vrr_stack+8708, r12vrr_stack+8780, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29748, r12vrr_stack+14038, r12vrr_stack+13993, r12vrr_stack+8744, r12vrr_stack+8708, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29803, r12vrr_stack+14083, r12vrr_stack+8816, r12vrr_stack+8780, r12vrr_stack+3667, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29858, r12vrr_stack+29693, r12vrr_stack+29803, NULL, NULL, r12vrr_stack+14083);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30023, r12vrr_stack+29748, r12vrr_stack+29693, NULL, NULL, r12vrr_stack+13993);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30188, r12vrr_stack+30023, r12vrr_stack+29858, r12vrr_stack+29748, r12vrr_stack+29693, r12vrr_stack+14128);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14083, r12vrr_stack+14668, r12vrr_stack+14038, r12vrr_stack+3631, r12vrr_stack+8744, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30518, r12vrr_stack+14083, r12vrr_stack+29748, NULL, NULL, r12vrr_stack+14038);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21233, r12vrr_stack+30518, r12vrr_stack+30023, r12vrr_stack+14083, r12vrr_stack+29748, r12vrr_stack+14263);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29748, r12vrr_stack+8816, r12vrr_stack+16553, r12vrr_stack+3667, r12vrr_stack+1407, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3667, r12vrr_stack+29803, r12vrr_stack+29748, NULL, NULL, r12vrr_stack+8816);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21563, r12vrr_stack+29858, r12vrr_stack+3667, r12vrr_stack+29693, r12vrr_stack+29803, r12vrr_stack+15118);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21893, r12vrr_stack+30188, r12vrr_stack+21563, r12vrr_stack+30023, r12vrr_stack+29858, r12vrr_stack+7059);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22443, r12vrr_stack+21233, r12vrr_stack+30188, r12vrr_stack+30518, r12vrr_stack+30023, r12vrr_stack+14398);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18218, r12vrr_stack+22443, r12vrr_stack+21893, r12vrr_stack+21233, r12vrr_stack+30188, r12vrr_stack+7329);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29693, r12vrr_stack+16373, r12vrr_stack+14668, r12vrr_stack+1371, r12vrr_stack+3631, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30023, r12vrr_stack+29693, r12vrr_stack+14083, NULL, NULL, r12vrr_stack+14668);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7059, r12vrr_stack+30023, r12vrr_stack+30518, r12vrr_stack+29693, r12vrr_stack+14083, r12vrr_stack+14713);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7389, r12vrr_stack+7059, r12vrr_stack+21233, r12vrr_stack+30023, r12vrr_stack+30518, r12vrr_stack+14848);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13993, r12vrr_stack+7389, r12vrr_stack+22443, r12vrr_stack+7059, r12vrr_stack+21233, r12vrr_stack+24293);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29693, r12vrr_stack+16553, r12vrr_stack+18173, r12vrr_stack+1407, r12vrr_stack+11149, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30023, r12vrr_stack+29748, r12vrr_stack+29693, NULL, NULL, r12vrr_stack+16553);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21233, r12vrr_stack+3667, r12vrr_stack+30023, r12vrr_stack+29803, r12vrr_stack+29748, r12vrr_stack+16598);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11921, r12vrr_stack+21563, r12vrr_stack+21233, r12vrr_stack+29858, r12vrr_stack+3667, r12vrr_stack+16733);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16553, r12vrr_stack+21893, r12vrr_stack+11921, r12vrr_stack+30188, r12vrr_stack+21563, r12vrr_stack+25418);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11921, r12vrr_stack+18218, r12vrr_stack+16553, r12vrr_stack+22443, r12vrr_stack+21893, r12vrr_stack+25868);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21233, r12vrr_stack+13993, r12vrr_stack+18218, r12vrr_stack+7389, r12vrr_stack+22443, r12vrr_stack+24743);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+24293, r12vrr_stack+21233, r12vrr_stack+11921, r12vrr_stack+13993, r12vrr_stack+18218, r12vrr_stack+26543);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+13993, &(Data->ss_r12_ss), NULL, r12vrr_stack+15, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+13996, r12vrr_stack+13993, &(Data->ss_r12_ss), r12vrr_stack+210, r12vrr_stack+15, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+14002, r12vrr_stack+13996, r12vrr_stack+13993, r12vrr_stack+724, r12vrr_stack+210, r12vrr_stack+15, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+14012, r12vrr_stack+14002, r12vrr_stack+13996, r12vrr_stack+734, r12vrr_stack+724, r12vrr_stack+210, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+14027, r12vrr_stack+14012, r12vrr_stack+14002, r12vrr_stack+3274, r12vrr_stack+734, r12vrr_stack+724, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+14048, r12vrr_stack+14027, NULL, r12vrr_stack+3295, r12vrr_stack+3274, NULL, r12vrr_stack+734);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+14111, r12vrr_stack+14048, r12vrr_stack+14027, r12vrr_stack+3358, r12vrr_stack+3295, r12vrr_stack+3274, r12vrr_stack+2764);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+14237, r12vrr_stack+14111, r12vrr_stack+14048, r12vrr_stack+2167, r12vrr_stack+3358, r12vrr_stack+3295, r12vrr_stack+2809);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+14447, r12vrr_stack+14237, r12vrr_stack+14111, r12vrr_stack+7952, r12vrr_stack+2167, r12vrr_stack+3358, r12vrr_stack+2899);

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+14762, r12vrr_stack+14447, r12vrr_stack+14237, r12vrr_stack+8267, r12vrr_stack+7952, r12vrr_stack+2167, r12vrr_stack+3049);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+14048, r12vrr_stack+14027, r12vrr_stack+14012, r12vrr_stack+5239, r12vrr_stack+3274, r12vrr_stack+734, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+14076, r12vrr_stack+14048, NULL, r12vrr_stack+5267, r12vrr_stack+5239, NULL, r12vrr_stack+3274);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+6303, r12vrr_stack+14076, r12vrr_stack+14048, r12vrr_stack+5351, r12vrr_stack+5267, r12vrr_stack+5239, r12vrr_stack+3295);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+14160, r12vrr_stack+6303, r12vrr_stack+14076, r12vrr_stack+6023, r12vrr_stack+5351, r12vrr_stack+5267, r12vrr_stack+3358);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+11081, r12vrr_stack+14160, r12vrr_stack+6303, r12vrr_stack+11501, r12vrr_stack+6023, r12vrr_stack+5351, r12vrr_stack+2167);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+3295, r12vrr_stack+11081, r12vrr_stack+14160, r12vrr_stack+6471, r12vrr_stack+11501, r12vrr_stack+6023, r12vrr_stack+7952);

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+9536, r12vrr_stack+14048, r12vrr_stack+14027, r12vrr_stack+1371, r12vrr_stack+5239, r12vrr_stack+3274, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+6303, r12vrr_stack+9536, NULL, r12vrr_stack+9572, r12vrr_stack+1371, NULL, r12vrr_stack+5239);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+0, r12vrr_stack+6303, r12vrr_stack+9536, r12vrr_stack+1880, r12vrr_stack+9572, r12vrr_stack+1371, r12vrr_stack+5267);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+14076, r12vrr_stack+0, r12vrr_stack+6303, r12vrr_stack+5519, r12vrr_stack+1880, r12vrr_stack+9572, r12vrr_stack+5351);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+11921, r12vrr_stack+14076, r12vrr_stack+0, r12vrr_stack+17633, r12vrr_stack+5519, r12vrr_stack+1880, r12vrr_stack+6023);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+16553, r12vrr_stack+11921, r12vrr_stack+14076, r12vrr_stack+19469, r12vrr_stack+17633, r12vrr_stack+5519, r12vrr_stack+11501);

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+14076, r12vrr_stack+9536, r12vrr_stack+14048, r12vrr_stack+16373, r12vrr_stack+1371, r12vrr_stack+5239, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+5239, r12vrr_stack+14076, NULL, r12vrr_stack+16418, r12vrr_stack+16373, NULL, r12vrr_stack+1371);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+14121, r12vrr_stack+5239, r12vrr_stack+14076, r12vrr_stack+2377, r12vrr_stack+16418, r12vrr_stack+16373, r12vrr_stack+9572);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+12461, r12vrr_stack+14121, r12vrr_stack+5239, r12vrr_stack+216, r12vrr_stack+2377, r12vrr_stack+16418, r12vrr_stack+1880);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+29693, r12vrr_stack+12461, r12vrr_stack+14121, r12vrr_stack+8861, r12vrr_stack+216, r12vrr_stack+2377, r12vrr_stack+5519);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+5239, r12vrr_stack+29693, r12vrr_stack+12461, r12vrr_stack+27488, r12vrr_stack+8861, r12vrr_stack+216, r12vrr_stack+17633);

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12461, r12vrr_stack+9737, r12vrr_stack+13209, r12vrr_stack+10325, r12vrr_stack+4699, r12vrr_stack+4279);
 tmp = r12vrr_stack + 12461;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4279, r12vrr_stack+13209, r12vrr_stack+20225, r12vrr_stack+15365, r12vrr_stack+10325, r12vrr_stack+9737);
 tmp = r12vrr_stack + 4279;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+20225, r12vrr_stack+28433, r12vrr_stack+22997, r12vrr_stack+15365, r12vrr_stack+13209);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1008, r12vrr_stack+28433, r12vrr_stack+24293, r12vrr_stack+30953, r12vrr_stack+22997, r12vrr_stack+20225);
 tmp = r12vrr_stack + 1008;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2268, r12vrr_stack+9737, r12vrr_stack+10325, r12vrr_stack+13209, r12vrr_stack+6471, r12vrr_stack+8267);
 tmp = r12vrr_stack + 2268;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18173, r12vrr_stack+13209, r12vrr_stack+15365, r12vrr_stack+20225, r12vrr_stack+19469, r12vrr_stack+6471);
 tmp = r12vrr_stack + 18173;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15203, r12vrr_stack+20225, r12vrr_stack+22997, r12vrr_stack+28433, r12vrr_stack+27488, r12vrr_stack+19469);
 tmp = r12vrr_stack + 15203;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22388, r12vrr_stack+28433, r12vrr_stack+30953, r12vrr_stack+24293, r12vrr_stack+21233, r12vrr_stack+27488);
 tmp = r12vrr_stack + 22388;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+21233, r12vrr_stack+14762, r12vrr_stack+14447, r12vrr_stack+9737, r12vrr_stack+8267, r12vrr_stack+7952, r12vrr_stack+3964);
 tmp = r12vrr_stack + 21233;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+9536, r12vrr_stack+3295, r12vrr_stack+11081, r12vrr_stack+13209, r12vrr_stack+6471, r12vrr_stack+11501, r12vrr_stack+8267);
 tmp = r12vrr_stack + 9536;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+13049, r12vrr_stack+16553, r12vrr_stack+11921, r12vrr_stack+20225, r12vrr_stack+19469, r12vrr_stack+17633, r12vrr_stack+6471);
 tmp = r12vrr_stack + 13049;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+6184, r12vrr_stack+5239, r12vrr_stack+29693, r12vrr_stack+28433, r12vrr_stack+27488, r12vrr_stack+8861, r12vrr_stack+19469);
 tmp = r12vrr_stack + 6184;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];


}

