#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_i0i0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+6);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+990, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+975, NULL, NULL, r12vrr_stack+274);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1110, r12vrr_stack+960, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+284);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1155, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+294);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+324);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1335, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+354);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+324, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+324, r12vrr_stack+6, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+414, r12vrr_stack+324, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+420, r12vrr_stack+81, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1485, r12vrr_stack+337, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1530, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+430);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+460);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+78, r12vrr_stack+6, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+440, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+455, r12vrr_stack+1095, r12vrr_stack+440, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+520);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1860, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+550);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2010, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+610);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2235, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+710);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2460, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+810);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2796, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2817, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+2775, r12vrr_stack+2817, NULL, NULL, r12vrr_stack+960);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2901, r12vrr_stack+2796, r12vrr_stack+2775, NULL, NULL, r12vrr_stack+975);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2964, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+990);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+990, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+327, r12vrr_stack+420, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3090, r12vrr_stack+990, r12vrr_stack+2796, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3153, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+1050);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1050, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2817, r12vrr_stack+1050, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3342, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+1110);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3468, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+1155);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3678, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+1245);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3888, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+1335);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1245, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+1245, r12vrr_stack+324, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+81, r12vrr_stack+1245, r12vrr_stack+324, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+327, r12vrr_stack+54, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+337, r12vrr_stack+420, r12vrr_stack+327, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4203, r12vrr_stack+1263, r12vrr_stack+990, NULL, NULL, r12vrr_stack+337);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4266, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1485);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4392, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1530);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4602, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+1620);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1485, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+1485, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1488, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1498, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+87, r12vrr_stack+414, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+93, r12vrr_stack+430, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1050, r12vrr_stack+1513, NULL, NULL, r12vrr_stack+440);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1597, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+455);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+1770);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5127, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+1860);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5442, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+2010);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5883, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+2235);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6324, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+2460);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+78, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+1723, r12vrr_stack+0, r12vrr_stack+78, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1729, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1738, r12vrr_stack+12, r12vrr_stack+1729, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+78);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1284, r12vrr_stack+30, r12vrr_stack+1738, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+1723);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+6912, r12vrr_stack+114, r12vrr_stack+9, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+1729);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+6948, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+1738);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+7008, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+1284);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1284, r12vrr_stack+93, r12vrr_stack+430, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+103, r12vrr_stack+520, r12vrr_stack+1284, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+9);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+163, r12vrr_stack+550, r12vrr_stack+103, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+6912);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+7098, r12vrr_stack+610, r12vrr_stack+163, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+6948);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7248, r12vrr_stack+810, r12vrr_stack+7098, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+7008);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+9, r12vrr_stack+440, r12vrr_stack+1498, NULL, NULL, r12vrr_stack+430);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+6912, r12vrr_stack+455, r12vrr_stack+9, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+1284);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+500, r12vrr_stack+1770, r12vrr_stack+6912, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+103);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+650, r12vrr_stack+1860, r12vrr_stack+500, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+163);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7458, r12vrr_stack+2010, r12vrr_stack+650, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+7098);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7773, r12vrr_stack+2460, r12vrr_stack+7458, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+7248);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+455, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+1485, r12vrr_stack+455, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+458, r12vrr_stack+81, r12vrr_stack+0, r12vrr_stack+6, r12vrr_stack+1485, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+468, r12vrr_stack+1488, r12vrr_stack+458, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60, r12vrr_stack+1498, r12vrr_stack+468, r12vrr_stack+430, r12vrr_stack+1488, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+1513, r12vrr_stack+60, NULL, NULL, r12vrr_stack+1498);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1284, r12vrr_stack+1534, r12vrr_stack+1110, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+9);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7002, r12vrr_stack+1597, r12vrr_stack+1284, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+6912);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1723, r12vrr_stack+4917, r12vrr_stack+7002, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+500);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2038, r12vrr_stack+5127, r12vrr_stack+1723, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+650);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8193, r12vrr_stack+5442, r12vrr_stack+2038, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+7458);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8781, r12vrr_stack+6324, r12vrr_stack+8193, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+7773);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+960, r12vrr_stack+1095, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6940, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+483, r12vrr_stack+6940, r12vrr_stack+6912, NULL, NULL, r12vrr_stack+2817);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6968, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+1035, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+567, r12vrr_stack+6968, r12vrr_stack+6940, NULL, NULL, r12vrr_stack+2775);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+1095, r12vrr_stack+440, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+651, r12vrr_stack+6912, r12vrr_stack+6, NULL, NULL, r12vrr_stack+1050);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+735, r12vrr_stack+483, r12vrr_stack+651, r12vrr_stack+6940, r12vrr_stack+6912, r12vrr_stack+3279);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7212, r12vrr_stack+567, r12vrr_stack+483, r12vrr_stack+6968, r12vrr_stack+6940, r12vrr_stack+2838);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7380, r12vrr_stack+7212, r12vrr_stack+735, r12vrr_stack+567, r12vrr_stack+483, r12vrr_stack+3342);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+337, r12vrr_stack+1035, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2838, r12vrr_stack+6968, NULL, NULL, r12vrr_stack+2796);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7660, r12vrr_stack+3279, r12vrr_stack+567, r12vrr_stack+2838, r12vrr_stack+6968, r12vrr_stack+2901);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7828, r12vrr_stack+7660, r12vrr_stack+7212, r12vrr_stack+3279, r12vrr_stack+567, r12vrr_stack+2964);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2866, r12vrr_stack+1513, r12vrr_stack+60, r12vrr_stack+440, r12vrr_stack+1498, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2894, r12vrr_stack+6, r12vrr_stack+2866, NULL, NULL, r12vrr_stack+1513);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+87, r12vrr_stack+651, r12vrr_stack+2894, r12vrr_stack+6912, r12vrr_stack+6, r12vrr_stack+1534);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2479, r12vrr_stack+735, r12vrr_stack+87, r12vrr_stack+483, r12vrr_stack+651, r12vrr_stack+1597);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9537, r12vrr_stack+7380, r12vrr_stack+2479, r12vrr_stack+7212, r12vrr_stack+735, r12vrr_stack+4917);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9957, r12vrr_stack+7828, r12vrr_stack+7380, r12vrr_stack+7660, r12vrr_stack+7212, r12vrr_stack+3468);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10377, r12vrr_stack+9957, r12vrr_stack+9537, r12vrr_stack+7828, r12vrr_stack+7380, r12vrr_stack+5127);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1248, r12vrr_stack+337, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4945, r12vrr_stack+4917, r12vrr_stack+2838, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5029, r12vrr_stack+4945, r12vrr_stack+3279, r12vrr_stack+4917, r12vrr_stack+2838, r12vrr_stack+3090);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3363, r12vrr_stack+5029, r12vrr_stack+7660, r12vrr_stack+4945, r12vrr_stack+3279, r12vrr_stack+3153);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10965, r12vrr_stack+3363, r12vrr_stack+7828, r12vrr_stack+5029, r12vrr_stack+7660, r12vrr_stack+3678);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11385, r12vrr_stack+10965, r12vrr_stack+9957, r12vrr_stack+3363, r12vrr_stack+7828, r12vrr_stack+3888);

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+5197, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6996, r12vrr_stack+455, r12vrr_stack+5197, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5197, r12vrr_stack+0, r12vrr_stack+6996, r12vrr_stack+1485, r12vrr_stack+455, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5207, r12vrr_stack+458, r12vrr_stack+5197, r12vrr_stack+81, r12vrr_stack+0, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5222, r12vrr_stack+468, r12vrr_stack+5207, r12vrr_stack+1488, r12vrr_stack+458, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11973, r12vrr_stack+60, r12vrr_stack+5222, r12vrr_stack+1498, r12vrr_stack+468, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5197, r12vrr_stack+2866, r12vrr_stack+11973, NULL, NULL, r12vrr_stack+60);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+2894, r12vrr_stack+5197, r12vrr_stack+6, r12vrr_stack+2866, r12vrr_stack+1110);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2978, r12vrr_stack+87, r12vrr_stack+1534, r12vrr_stack+651, r12vrr_stack+2894, r12vrr_stack+1284);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3643, r12vrr_stack+2479, r12vrr_stack+2978, r12vrr_stack+735, r12vrr_stack+87, r12vrr_stack+7002);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12001, r12vrr_stack+9537, r12vrr_stack+3643, r12vrr_stack+7380, r12vrr_stack+2479, r12vrr_stack+1723);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12589, r12vrr_stack+10377, r12vrr_stack+12001, r12vrr_stack+9957, r12vrr_stack+9537, r12vrr_stack+2038);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+11385, r12vrr_stack+10377, r12vrr_stack+10965, r12vrr_stack+9957, r12vrr_stack+5442);
 tmp = r12vrr_stack + 1534;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13373, r12vrr_stack+1534, r12vrr_stack+12589, r12vrr_stack+11385, r12vrr_stack+10377, r12vrr_stack+8193);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12001, r12vrr_stack+6940, r12vrr_stack+6912, r12vrr_stack+2775, r12vrr_stack+2817, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12037, r12vrr_stack+6968, r12vrr_stack+6940, r12vrr_stack+2796, r12vrr_stack+2775, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12073, r12vrr_stack+6912, r12vrr_stack+6, r12vrr_stack+2817, r12vrr_stack+1050, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12109, r12vrr_stack+12001, r12vrr_stack+12073, NULL, NULL, r12vrr_stack+6912);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12217, r12vrr_stack+12037, r12vrr_stack+12001, NULL, NULL, r12vrr_stack+6940);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6996, r12vrr_stack+12217, r12vrr_stack+12109, r12vrr_stack+12037, r12vrr_stack+12001, r12vrr_stack+483);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+2838, r12vrr_stack+6968, r12vrr_stack+990, r12vrr_stack+2796, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12325, r12vrr_stack+6912, r12vrr_stack+12037, NULL, NULL, r12vrr_stack+6968);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12433, r12vrr_stack+12325, r12vrr_stack+12217, r12vrr_stack+6912, r12vrr_stack+12037, r12vrr_stack+567);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12037, r12vrr_stack+6, r12vrr_stack+2866, r12vrr_stack+1050, r12vrr_stack+1513, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12649, r12vrr_stack+12073, r12vrr_stack+12037, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12757, r12vrr_stack+12109, r12vrr_stack+12649, r12vrr_stack+12001, r12vrr_stack+12073, r12vrr_stack+651);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12973, r12vrr_stack+6996, r12vrr_stack+12757, r12vrr_stack+12217, r12vrr_stack+12109, r12vrr_stack+735);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3643, r12vrr_stack+12433, r12vrr_stack+6996, r12vrr_stack+12325, r12vrr_stack+12217, r12vrr_stack+7212);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5197, r12vrr_stack+3643, r12vrr_stack+12973, r12vrr_stack+12433, r12vrr_stack+6996, r12vrr_stack+7380);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12001, r12vrr_stack+4917, r12vrr_stack+2838, r12vrr_stack+1263, r12vrr_stack+990, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12217, r12vrr_stack+12001, r12vrr_stack+6912, NULL, NULL, r12vrr_stack+2838);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7212, r12vrr_stack+12217, r12vrr_stack+12325, r12vrr_stack+12001, r12vrr_stack+6912, r12vrr_stack+3279);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2978, r12vrr_stack+7212, r12vrr_stack+12433, r12vrr_stack+12217, r12vrr_stack+12325, r12vrr_stack+7660);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+430, r12vrr_stack+2978, r12vrr_stack+3643, r12vrr_stack+7212, r12vrr_stack+12433, r12vrr_stack+7828);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12001, r12vrr_stack+2866, r12vrr_stack+11973, r12vrr_stack+1513, r12vrr_stack+60, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7212, r12vrr_stack+12037, r12vrr_stack+12001, NULL, NULL, r12vrr_stack+2866);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7320, r12vrr_stack+12649, r12vrr_stack+7212, r12vrr_stack+12073, r12vrr_stack+12037, r12vrr_stack+2894);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7536, r12vrr_stack+12757, r12vrr_stack+7320, r12vrr_stack+12109, r12vrr_stack+12649, r12vrr_stack+87);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11973, r12vrr_stack+12973, r12vrr_stack+7536, r12vrr_stack+6996, r12vrr_stack+12757, r12vrr_stack+2479);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+5197, r12vrr_stack+11973, r12vrr_stack+3643, r12vrr_stack+12973, r12vrr_stack+9537);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11973, r12vrr_stack+430, r12vrr_stack+5197, r12vrr_stack+2978, r12vrr_stack+3643, r12vrr_stack+9957);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7668, r12vrr_stack+11973, r12vrr_stack+6912, r12vrr_stack+430, r12vrr_stack+5197, r12vrr_stack+10377);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+5197, &(Data->ss_r12_ss), NULL, r12vrr_stack+1245, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+5200, r12vrr_stack+5197, &(Data->ss_r12_ss), r12vrr_stack+54, r12vrr_stack+1245, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+5206, r12vrr_stack+5200, r12vrr_stack+5197, r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+1245, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+5216, r12vrr_stack+5206, r12vrr_stack+5200, r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+54, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+5231, r12vrr_stack+5216, r12vrr_stack+5206, r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+420, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+5252, r12vrr_stack+5231, r12vrr_stack+5216, r12vrr_stack+4917, r12vrr_stack+1263, r12vrr_stack+1248, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+5280, r12vrr_stack+5252, NULL, r12vrr_stack+4945, r12vrr_stack+4917, NULL, r12vrr_stack+1263);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+5364, r12vrr_stack+5280, r12vrr_stack+5252, r12vrr_stack+5029, r12vrr_stack+4945, r12vrr_stack+4917, r12vrr_stack+4203);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+5532, r12vrr_stack+5364, r12vrr_stack+5280, r12vrr_stack+3363, r12vrr_stack+5029, r12vrr_stack+4945, r12vrr_stack+4266);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+6912, r12vrr_stack+5532, r12vrr_stack+5364, r12vrr_stack+10965, r12vrr_stack+3363, r12vrr_stack+5029, r12vrr_stack+4392);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+4917, r12vrr_stack+6912, r12vrr_stack+5532, r12vrr_stack+11385, r12vrr_stack+10965, r12vrr_stack+3363, r12vrr_stack+4602);

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9537, r12vrr_stack+1534, r12vrr_stack+7668, r12vrr_stack+13373, r12vrr_stack+8781, r12vrr_stack+6324);
 tmp = r12vrr_stack + 9537;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8676, r12vrr_stack+1534, r12vrr_stack+13373, r12vrr_stack+7668, r12vrr_stack+11973, r12vrr_stack+11385);
 tmp = r12vrr_stack + 8676;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+11973, r12vrr_stack+4917, r12vrr_stack+6912, r12vrr_stack+1534, r12vrr_stack+11385, r12vrr_stack+10965, r12vrr_stack+5883);
 tmp = r12vrr_stack + 11973;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];


}

