#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_idif(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+6);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+990, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+975, NULL, NULL, r12vrr_stack+274);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1110, r12vrr_stack+960, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+284);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1155, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+294);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+324);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1335, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+354);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+324, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+324, r12vrr_stack+6, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+414, r12vrr_stack+324, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+420, r12vrr_stack+81, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1485, r12vrr_stack+337, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1530, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+430);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+460);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+78, r12vrr_stack+6, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+440, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+455, r12vrr_stack+1095, r12vrr_stack+440, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+520);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1860, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+550);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2010, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+610);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2235, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+710);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2460, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+810);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2796, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2817, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+2775, r12vrr_stack+2817, NULL, NULL, r12vrr_stack+960);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2901, r12vrr_stack+2796, r12vrr_stack+2775, NULL, NULL, r12vrr_stack+975);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2964, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+990);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+990, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+327, r12vrr_stack+420, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3090, r12vrr_stack+990, r12vrr_stack+2796, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3153, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+1050);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1050, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2817, r12vrr_stack+1050, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3342, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+1110);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3468, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+1155);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3678, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+1245);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3888, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+1335);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1245, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+1245, r12vrr_stack+324, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+81, r12vrr_stack+1245, r12vrr_stack+324, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+327, r12vrr_stack+54, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+337, r12vrr_stack+420, r12vrr_stack+327, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4203, r12vrr_stack+1263, r12vrr_stack+990, NULL, NULL, r12vrr_stack+337);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4266, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1485);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4392, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1530);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4602, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+1620);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1485, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+1485, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1488, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1498, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+87, r12vrr_stack+414, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+93, r12vrr_stack+430, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1050, r12vrr_stack+1513, NULL, NULL, r12vrr_stack+440);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1597, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+455);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+1770);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5127, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+1860);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5442, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+2010);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5883, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+2235);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6324, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+2460);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1723, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+1726, r12vrr_stack+0, r12vrr_stack+1723, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1732, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1741, r12vrr_stack+12, r12vrr_stack+1732, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+1723);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1284, r12vrr_stack+30, r12vrr_stack+1741, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+1726);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1314, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+6912, r12vrr_stack+114, r12vrr_stack+1314, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+1732);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+6948, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+1741);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+7008, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+1284);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+168, r12vrr_stack+93, r12vrr_stack+430, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7098, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+1314);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+7158, r12vrr_stack+550, r12vrr_stack+7098, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+6912);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+7258, r12vrr_stack+610, r12vrr_stack+7158, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+6948);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7408, r12vrr_stack+810, r12vrr_stack+7258, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+7008);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+710, r12vrr_stack+440, r12vrr_stack+1498, NULL, NULL, r12vrr_stack+430);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7618, r12vrr_stack+455, r12vrr_stack+710, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+168);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7708, r12vrr_stack+1770, r12vrr_stack+7618, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+7098);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7858, r12vrr_stack+1860, r12vrr_stack+7708, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+7158);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8083, r12vrr_stack+2010, r12vrr_stack+7858, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+7258);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8398, r12vrr_stack+2460, r12vrr_stack+8083, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+7408);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+198, r12vrr_stack+1485, r12vrr_stack+3, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2235, r12vrr_stack+81, r12vrr_stack+198, r12vrr_stack+6, r12vrr_stack+1485, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2245, r12vrr_stack+1488, r12vrr_stack+2235, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+430, r12vrr_stack+1488, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2281, r12vrr_stack+1513, r12vrr_stack+2260, NULL, NULL, r12vrr_stack+1498);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+1534, r12vrr_stack+2281, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+710);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8818, r12vrr_stack+1597, r12vrr_stack+1110, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+7618);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9028, r12vrr_stack+4917, r12vrr_stack+8818, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+7708);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9343, r12vrr_stack+5127, r12vrr_stack+9028, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+7858);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9784, r12vrr_stack+5442, r12vrr_stack+9343, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+8083);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10372, r12vrr_stack+6324, r12vrr_stack+9784, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+8398);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2344, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+960, r12vrr_stack+1095, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2372, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+2372, r12vrr_stack+2344, NULL, NULL, r12vrr_stack+2817);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2400, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+1035, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+2400, r12vrr_stack+2372, NULL, NULL, r12vrr_stack+2775);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+1095, r12vrr_stack+440, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11212, r12vrr_stack+2344, r12vrr_stack+960, NULL, NULL, r12vrr_stack+1050);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11296, r12vrr_stack+1332, r12vrr_stack+11212, r12vrr_stack+2372, r12vrr_stack+2344, r12vrr_stack+3279);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11464, r12vrr_stack+11128, r12vrr_stack+1332, r12vrr_stack+2400, r12vrr_stack+2372, r12vrr_stack+2838);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11632, r12vrr_stack+11464, r12vrr_stack+11296, r12vrr_stack+11128, r12vrr_stack+1332, r12vrr_stack+3342);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+337, r12vrr_stack+1035, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2838, r12vrr_stack+2400, NULL, NULL, r12vrr_stack+2796);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11912, r12vrr_stack+3279, r12vrr_stack+11128, r12vrr_stack+2838, r12vrr_stack+2400, r12vrr_stack+2901);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12080, r12vrr_stack+11912, r12vrr_stack+11464, r12vrr_stack+3279, r12vrr_stack+11128, r12vrr_stack+2964);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2866, r12vrr_stack+1513, r12vrr_stack+2260, r12vrr_stack+440, r12vrr_stack+1498, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2894, r12vrr_stack+960, r12vrr_stack+2866, NULL, NULL, r12vrr_stack+1513);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12360, r12vrr_stack+11212, r12vrr_stack+2894, r12vrr_stack+2344, r12vrr_stack+960, r12vrr_stack+1534);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12528, r12vrr_stack+11296, r12vrr_stack+12360, r12vrr_stack+1332, r12vrr_stack+11212, r12vrr_stack+1597);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12808, r12vrr_stack+11632, r12vrr_stack+12528, r12vrr_stack+11464, r12vrr_stack+11296, r12vrr_stack+4917);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13228, r12vrr_stack+12080, r12vrr_stack+11632, r12vrr_stack+11912, r12vrr_stack+11464, r12vrr_stack+3468);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13648, r12vrr_stack+13228, r12vrr_stack+12808, r12vrr_stack+12080, r12vrr_stack+11632, r12vrr_stack+5127);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2978, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1248, r12vrr_stack+337, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3006, r12vrr_stack+2978, r12vrr_stack+2838, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+3279, r12vrr_stack+2978, r12vrr_stack+2838, r12vrr_stack+3090);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+11912, r12vrr_stack+3006, r12vrr_stack+3279, r12vrr_stack+3153);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+12080, r12vrr_stack+3363, r12vrr_stack+11912, r12vrr_stack+3678);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+13228, r12vrr_stack+14236, r12vrr_stack+12080, r12vrr_stack+3888);

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3090, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+3090, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3093, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+1485, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3103, r12vrr_stack+2235, r12vrr_stack+3093, r12vrr_stack+81, r12vrr_stack+198, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3118, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+1488, r12vrr_stack+2235, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3139, r12vrr_stack+2260, r12vrr_stack+3118, r12vrr_stack+1498, r12vrr_stack+2245, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3167, r12vrr_stack+2866, r12vrr_stack+3139, NULL, NULL, r12vrr_stack+2260);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3531, r12vrr_stack+2894, r12vrr_stack+3167, r12vrr_stack+960, r12vrr_stack+2866, r12vrr_stack+2281);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3699, r12vrr_stack+12360, r12vrr_stack+3531, r12vrr_stack+11212, r12vrr_stack+2894, r12vrr_stack+1110);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15524, r12vrr_stack+12528, r12vrr_stack+3699, r12vrr_stack+11296, r12vrr_stack+12360, r12vrr_stack+8818);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15944, r12vrr_stack+12808, r12vrr_stack+15524, r12vrr_stack+11632, r12vrr_stack+12528, r12vrr_stack+9028);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16532, r12vrr_stack+13648, r12vrr_stack+15944, r12vrr_stack+13228, r12vrr_stack+12808, r12vrr_stack+9343);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+13648, r12vrr_stack+14516, r12vrr_stack+13228, r12vrr_stack+5442);
 tmp = r12vrr_stack + 17316;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+16532, r12vrr_stack+14936, r12vrr_stack+13648, r12vrr_stack+9784);
 tmp = r12vrr_stack + 18100;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3979, r12vrr_stack+2372, r12vrr_stack+2344, r12vrr_stack+2775, r12vrr_stack+2817, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4015, r12vrr_stack+2400, r12vrr_stack+2372, r12vrr_stack+2796, r12vrr_stack+2775, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4051, r12vrr_stack+2344, r12vrr_stack+960, r12vrr_stack+2817, r12vrr_stack+1050, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4087, r12vrr_stack+3979, r12vrr_stack+4051, NULL, NULL, r12vrr_stack+2344);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+4015, r12vrr_stack+3979, NULL, NULL, r12vrr_stack+2372);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+264, r12vrr_stack+4087, r12vrr_stack+4015, r12vrr_stack+3979, r12vrr_stack+1332);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+2838, r12vrr_stack+2400, r12vrr_stack+990, r12vrr_stack+2796, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1368, r12vrr_stack+1332, r12vrr_stack+4015, NULL, NULL, r12vrr_stack+2400);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19324, r12vrr_stack+1368, r12vrr_stack+264, r12vrr_stack+1332, r12vrr_stack+4015, r12vrr_stack+11128);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+960, r12vrr_stack+2866, r12vrr_stack+1050, r12vrr_stack+1513, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19540, r12vrr_stack+4051, r12vrr_stack+11128, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19648, r12vrr_stack+4087, r12vrr_stack+19540, r12vrr_stack+3979, r12vrr_stack+4051, r12vrr_stack+11212);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19864, r12vrr_stack+19108, r12vrr_stack+19648, r12vrr_stack+264, r12vrr_stack+4087, r12vrr_stack+11296);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20224, r12vrr_stack+19324, r12vrr_stack+19108, r12vrr_stack+1368, r12vrr_stack+264, r12vrr_stack+11464);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20584, r12vrr_stack+20224, r12vrr_stack+19864, r12vrr_stack+19324, r12vrr_stack+19108, r12vrr_stack+11632);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11164, r12vrr_stack+2978, r12vrr_stack+2838, r12vrr_stack+1263, r12vrr_stack+990, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11200, r12vrr_stack+11164, r12vrr_stack+1332, NULL, NULL, r12vrr_stack+2838);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+1368, r12vrr_stack+11164, r12vrr_stack+1332, r12vrr_stack+3279);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+19324, r12vrr_stack+11200, r12vrr_stack+1368, r12vrr_stack+11912);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+20224, r12vrr_stack+11308, r12vrr_stack+19324, r12vrr_stack+12080);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+2866, r12vrr_stack+3139, r12vrr_stack+1513, r12vrr_stack+2260, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11920, r12vrr_stack+11128, r12vrr_stack+11884, NULL, NULL, r12vrr_stack+2866);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12028, r12vrr_stack+19540, r12vrr_stack+11920, r12vrr_stack+4051, r12vrr_stack+11128, r12vrr_stack+2894);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21664, r12vrr_stack+19648, r12vrr_stack+12028, r12vrr_stack+4087, r12vrr_stack+19540, r12vrr_stack+12360);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22024, r12vrr_stack+19864, r12vrr_stack+21664, r12vrr_stack+19108, r12vrr_stack+19648, r12vrr_stack+12528);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22564, r12vrr_stack+20584, r12vrr_stack+22024, r12vrr_stack+20224, r12vrr_stack+19864, r12vrr_stack+12808);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+20584, r12vrr_stack+11524, r12vrr_stack+20224, r12vrr_stack+13228);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+22564, r12vrr_stack+21124, r12vrr_stack+20584, r12vrr_stack+13648);
 tmp = r12vrr_stack + 24076;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13228, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13231, r12vrr_stack+3090, r12vrr_stack+13228, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13237, r12vrr_stack+48, r12vrr_stack+13231, r12vrr_stack+3, r12vrr_stack+3090, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13247, r12vrr_stack+3093, r12vrr_stack+13237, r12vrr_stack+198, r12vrr_stack+48, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13262, r12vrr_stack+3103, r12vrr_stack+13247, r12vrr_stack+2235, r12vrr_stack+3093, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13283, r12vrr_stack+3118, r12vrr_stack+13262, r12vrr_stack+2245, r12vrr_stack+3103, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13311, r12vrr_stack+3139, r12vrr_stack+13283, r12vrr_stack+2260, r12vrr_stack+3118, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13347, r12vrr_stack+11884, r12vrr_stack+13311, NULL, NULL, r12vrr_stack+3139);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+11920, r12vrr_stack+13347, r12vrr_stack+11128, r12vrr_stack+11884, r12vrr_stack+3167);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25300, r12vrr_stack+12028, r12vrr_stack+25084, r12vrr_stack+19540, r12vrr_stack+11920, r12vrr_stack+3531);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25660, r12vrr_stack+21664, r12vrr_stack+25300, r12vrr_stack+19648, r12vrr_stack+12028, r12vrr_stack+3699);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26200, r12vrr_stack+22024, r12vrr_stack+25660, r12vrr_stack+19864, r12vrr_stack+21664, r12vrr_stack+15524);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26956, r12vrr_stack+22564, r12vrr_stack+26200, r12vrr_stack+20584, r12vrr_stack+22024, r12vrr_stack+15944);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+26956, r12vrr_stack+23320, r12vrr_stack+22564, r12vrr_stack+16532);
 tmp = r12vrr_stack + 27964;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13455, r12vrr_stack+3979, r12vrr_stack+4051, r12vrr_stack+2372, r12vrr_stack+2344, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13500, r12vrr_stack+4015, r12vrr_stack+3979, r12vrr_stack+2400, r12vrr_stack+2372, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13545, r12vrr_stack+4051, r12vrr_stack+11128, r12vrr_stack+2344, r12vrr_stack+960, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+13455, r12vrr_stack+13545, NULL, NULL, r12vrr_stack+4051);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29395, r12vrr_stack+13500, r12vrr_stack+13455, NULL, NULL, r12vrr_stack+3979);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29530, r12vrr_stack+29395, r12vrr_stack+29260, r12vrr_stack+13500, r12vrr_stack+13455, r12vrr_stack+4087);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4087, r12vrr_stack+1332, r12vrr_stack+4015, r12vrr_stack+2838, r12vrr_stack+2400, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29800, r12vrr_stack+4087, r12vrr_stack+13500, NULL, NULL, r12vrr_stack+4015);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29935, r12vrr_stack+29800, r12vrr_stack+29395, r12vrr_stack+4087, r12vrr_stack+13500, r12vrr_stack+264);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+11128, r12vrr_stack+11884, r12vrr_stack+960, r12vrr_stack+2866, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+13545, r12vrr_stack+264, NULL, NULL, r12vrr_stack+11128);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+960, r12vrr_stack+13455, r12vrr_stack+13545, r12vrr_stack+19540);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30475, r12vrr_stack+29530, r12vrr_stack+30205, r12vrr_stack+29395, r12vrr_stack+29260, r12vrr_stack+19648);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30925, r12vrr_stack+29935, r12vrr_stack+29530, r12vrr_stack+29800, r12vrr_stack+29395, r12vrr_stack+19108);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31375, r12vrr_stack+30925, r12vrr_stack+30475, r12vrr_stack+29935, r12vrr_stack+29530, r12vrr_stack+19864);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+11164, r12vrr_stack+1332, r12vrr_stack+2978, r12vrr_stack+2838, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+19108, r12vrr_stack+4087, NULL, NULL, r12vrr_stack+1332);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+29800, r12vrr_stack+19108, r12vrr_stack+4087, r12vrr_stack+1368);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+29935, r12vrr_stack+19153, r12vrr_stack+29800, r12vrr_stack+19324);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+30925, r12vrr_stack+19540, r12vrr_stack+29935, r12vrr_stack+20224);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1368, r12vrr_stack+11884, r12vrr_stack+13311, r12vrr_stack+2866, r12vrr_stack+3139, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+264, r12vrr_stack+1368, NULL, NULL, r12vrr_stack+11884);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+960, r12vrr_stack+19288, r12vrr_stack+13545, r12vrr_stack+264, r12vrr_stack+11920);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20080, r12vrr_stack+30205, r12vrr_stack+19810, r12vrr_stack+29260, r12vrr_stack+960, r12vrr_stack+12028);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+30475, r12vrr_stack+20080, r12vrr_stack+29530, r12vrr_stack+30205, r12vrr_stack+21664);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33850, r12vrr_stack+31375, r12vrr_stack+33175, r12vrr_stack+30925, r12vrr_stack+30475, r12vrr_stack+22024);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+31375, r12vrr_stack+32050, r12vrr_stack+30925, r12vrr_stack+20584);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+33850, r12vrr_stack+32500, r12vrr_stack+31375, r12vrr_stack+22564);
 tmp = r12vrr_stack + 35740;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+198, r12vrr_stack+13228, r12vrr_stack+3, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1413, r12vrr_stack+13231, r12vrr_stack+198, r12vrr_stack+3090, r12vrr_stack+13228, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+13237, r12vrr_stack+1413, r12vrr_stack+48, r12vrr_stack+13231, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1423, r12vrr_stack+13247, r12vrr_stack+1095, r12vrr_stack+3093, r12vrr_stack+13237, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1444, r12vrr_stack+13262, r12vrr_stack+1423, r12vrr_stack+3103, r12vrr_stack+13247, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19423, r12vrr_stack+13283, r12vrr_stack+1444, r12vrr_stack+3118, r12vrr_stack+13262, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19459, r12vrr_stack+13311, r12vrr_stack+19423, r12vrr_stack+3139, r12vrr_stack+13283, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20530, r12vrr_stack+1368, r12vrr_stack+19459, NULL, NULL, r12vrr_stack+13311);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20665, r12vrr_stack+19288, r12vrr_stack+20530, r12vrr_stack+264, r12vrr_stack+1368, r12vrr_stack+13347);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+19810, r12vrr_stack+20665, r12vrr_stack+960, r12vrr_stack+19288, r12vrr_stack+25084);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37450, r12vrr_stack+20080, r12vrr_stack+37000, r12vrr_stack+30205, r12vrr_stack+19810, r12vrr_stack+25300);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38125, r12vrr_stack+33175, r12vrr_stack+37450, r12vrr_stack+30475, r12vrr_stack+20080, r12vrr_stack+25660);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39070, r12vrr_stack+33850, r12vrr_stack+38125, r12vrr_stack+31375, r12vrr_stack+33175, r12vrr_stack+26200);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+39070, r12vrr_stack+34795, r12vrr_stack+33850, r12vrr_stack+26956);
 tmp = r12vrr_stack + 40330;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+755, r12vrr_stack+13455, r12vrr_stack+13545, r12vrr_stack+3979, r12vrr_stack+4051, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20935, r12vrr_stack+13500, r12vrr_stack+13455, r12vrr_stack+4015, r12vrr_stack+3979, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20990, r12vrr_stack+13545, r12vrr_stack+264, r12vrr_stack+4051, r12vrr_stack+11128, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+755, r12vrr_stack+20990, NULL, NULL, r12vrr_stack+13545);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42115, r12vrr_stack+20935, r12vrr_stack+755, NULL, NULL, r12vrr_stack+13455);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42280, r12vrr_stack+42115, r12vrr_stack+41950, r12vrr_stack+20935, r12vrr_stack+755, r12vrr_stack+29260);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+4087, r12vrr_stack+13500, r12vrr_stack+1332, r12vrr_stack+4015, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42610, r12vrr_stack+29260, r12vrr_stack+20935, NULL, NULL, r12vrr_stack+13500);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42775, r12vrr_stack+42610, r12vrr_stack+42115, r12vrr_stack+29260, r12vrr_stack+20935, r12vrr_stack+29395);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29315, r12vrr_stack+264, r12vrr_stack+1368, r12vrr_stack+11128, r12vrr_stack+11884, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43105, r12vrr_stack+20990, r12vrr_stack+29315, NULL, NULL, r12vrr_stack+264);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43270, r12vrr_stack+41950, r12vrr_stack+43105, r12vrr_stack+755, r12vrr_stack+20990, r12vrr_stack+960);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43600, r12vrr_stack+42280, r12vrr_stack+43270, r12vrr_stack+42115, r12vrr_stack+41950, r12vrr_stack+30205);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44150, r12vrr_stack+42775, r12vrr_stack+42280, r12vrr_stack+42610, r12vrr_stack+42115, r12vrr_stack+29530);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44700, r12vrr_stack+44150, r12vrr_stack+43600, r12vrr_stack+42775, r12vrr_stack+42280, r12vrr_stack+30475);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+19108, r12vrr_stack+4087, r12vrr_stack+11164, r12vrr_stack+1332, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+30205, r12vrr_stack+29260, NULL, NULL, r12vrr_stack+4087);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+42610, r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+29800);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+42775, r12vrr_stack+30260, r12vrr_stack+42610, r12vrr_stack+29935);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+44150, r12vrr_stack+30425, r12vrr_stack+42775, r12vrr_stack+30925);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+1368, r12vrr_stack+19459, r12vrr_stack+11884, r12vrr_stack+13311, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30810, r12vrr_stack+29315, r12vrr_stack+30755, NULL, NULL, r12vrr_stack+1368);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30975, r12vrr_stack+43105, r12vrr_stack+30810, r12vrr_stack+20990, r12vrr_stack+29315, r12vrr_stack+19288);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46350, r12vrr_stack+43270, r12vrr_stack+30975, r12vrr_stack+41950, r12vrr_stack+43105, r12vrr_stack+19810);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46900, r12vrr_stack+43600, r12vrr_stack+46350, r12vrr_stack+42280, r12vrr_stack+43270, r12vrr_stack+20080);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+47725, r12vrr_stack+44700, r12vrr_stack+46900, r12vrr_stack+44150, r12vrr_stack+43600, r12vrr_stack+33175);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+44700, r12vrr_stack+29370, r12vrr_stack+44150, r12vrr_stack+31375);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+47725, r12vrr_stack+45525, r12vrr_stack+44700, r12vrr_stack+33850);
 tmp = r12vrr_stack + 50035;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1332, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+1332, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1335, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+13228, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1345, r12vrr_stack+1413, r12vrr_stack+1335, r12vrr_stack+13231, r12vrr_stack+198, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31305, r12vrr_stack+1095, r12vrr_stack+1345, r12vrr_stack+13237, r12vrr_stack+1413, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31326, r12vrr_stack+1423, r12vrr_stack+31305, r12vrr_stack+13247, r12vrr_stack+1095, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+1444, r12vrr_stack+31326, r12vrr_stack+13262, r12vrr_stack+1423, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31354, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+13283, r12vrr_stack+1444, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31399, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+13311, r12vrr_stack+19423, NULL);

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31454, r12vrr_stack+30755, r12vrr_stack+31399, NULL, NULL, r12vrr_stack+19459);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31619, r12vrr_stack+30810, r12vrr_stack+31454, r12vrr_stack+29315, r12vrr_stack+30755, r12vrr_stack+20530);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+30975, r12vrr_stack+31619, r12vrr_stack+43105, r12vrr_stack+30810, r12vrr_stack+20665);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52125, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+43270, r12vrr_stack+30975, r12vrr_stack+37000);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52950, r12vrr_stack+46900, r12vrr_stack+52125, r12vrr_stack+43600, r12vrr_stack+46350, r12vrr_stack+37450);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+54105, r12vrr_stack+47725, r12vrr_stack+52950, r12vrr_stack+44700, r12vrr_stack+46900, r12vrr_stack+38125);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+54105, r12vrr_stack+48880, r12vrr_stack+47725, r12vrr_stack+39070);
 tmp = r12vrr_stack + 55645;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+755, r12vrr_stack+20990, r12vrr_stack+13455, r12vrr_stack+13545, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+20935, r12vrr_stack+755, r12vrr_stack+13500, r12vrr_stack+13455, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1026, r12vrr_stack+20990, r12vrr_stack+29315, r12vrr_stack+13545, r12vrr_stack+264, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+31949, r12vrr_stack+1026, NULL, NULL, r12vrr_stack+20990);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+960, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+755);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57823, r12vrr_stack+57625, r12vrr_stack+29920, r12vrr_stack+960, r12vrr_stack+31949, r12vrr_stack+41950);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+29260, r12vrr_stack+20935, r12vrr_stack+4087, r12vrr_stack+13500, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58219, r12vrr_stack+41950, r12vrr_stack+960, NULL, NULL, r12vrr_stack+20935);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58417, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+41950, r12vrr_stack+960, r12vrr_stack+42115);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+29315, r12vrr_stack+30755, r12vrr_stack+264, r12vrr_stack+1368, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42016, r12vrr_stack+1026, r12vrr_stack+960, NULL, NULL, r12vrr_stack+29315);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+42016, r12vrr_stack+31949, r12vrr_stack+1026, r12vrr_stack+43105);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59209, r12vrr_stack+57823, r12vrr_stack+58813, r12vrr_stack+57625, r12vrr_stack+29920, r12vrr_stack+43270);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59869, r12vrr_stack+58417, r12vrr_stack+57823, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+42280);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60529, r12vrr_stack+59869, r12vrr_stack+59209, r12vrr_stack+58417, r12vrr_stack+57823, r12vrr_stack+43600);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+19108, r12vrr_stack+4087, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43105, r12vrr_stack+57625, r12vrr_stack+41950, NULL, NULL, r12vrr_stack+29260);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42214, r12vrr_stack+43105, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+41950, r12vrr_stack+42610);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43303, r12vrr_stack+42214, r12vrr_stack+58417, r12vrr_stack+43105, r12vrr_stack+58219, r12vrr_stack+42775);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61519, r12vrr_stack+43303, r12vrr_stack+59869, r12vrr_stack+42214, r12vrr_stack+58417, r12vrr_stack+44150);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+1368, r12vrr_stack+19459, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+960, r12vrr_stack+41950, NULL, NULL, r12vrr_stack+30755);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42214, r12vrr_stack+42016, r12vrr_stack+57625, r12vrr_stack+1026, r12vrr_stack+960, r12vrr_stack+30810);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42610, r12vrr_stack+58813, r12vrr_stack+42214, r12vrr_stack+29920, r12vrr_stack+42016, r12vrr_stack+30975);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+62509, r12vrr_stack+59209, r12vrr_stack+42610, r12vrr_stack+57823, r12vrr_stack+58813, r12vrr_stack+46350);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63499, r12vrr_stack+60529, r12vrr_stack+62509, r12vrr_stack+59869, r12vrr_stack+59209, r12vrr_stack+46900);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+64885, r12vrr_stack+61519, r12vrr_stack+60529, r12vrr_stack+43303, r12vrr_stack+59869, r12vrr_stack+44700);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43270, r12vrr_stack+64885, r12vrr_stack+63499, r12vrr_stack+61519, r12vrr_stack+60529, r12vrr_stack+47725);
 tmp = r12vrr_stack + 43270;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+61519, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+61522, r12vrr_stack+1723, r12vrr_stack+61519, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+61528, r12vrr_stack+1726, r12vrr_stack+61522, r12vrr_stack+0, r12vrr_stack+1723, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1236, r12vrr_stack+105, r12vrr_stack+78, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+60, r12vrr_stack+1732, r12vrr_stack+1236, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+61519);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+61538, r12vrr_stack+1741, r12vrr_stack+60, r12vrr_stack+12, r12vrr_stack+1732, r12vrr_stack+61522);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+61568, r12vrr_stack+1284, r12vrr_stack+61538, r12vrr_stack+30, r12vrr_stack+1741, r12vrr_stack+61528);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+87, r12vrr_stack+414, NULL, NULL, r12vrr_stack+78);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+19504, r12vrr_stack+1314, r12vrr_stack+9, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+1236);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+61613, r12vrr_stack+6912, r12vrr_stack+19504, r12vrr_stack+114, r12vrr_stack+1314, r12vrr_stack+60);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+61673, r12vrr_stack+6948, r12vrr_stack+61613, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+61538);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+61763, r12vrr_stack+7008, r12vrr_stack+61673, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+61568);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+204, r12vrr_stack+430, r12vrr_stack+1488, NULL, NULL, r12vrr_stack+414);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+108, r12vrr_stack+168, r12vrr_stack+204, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+9);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+234, r12vrr_stack+7098, r12vrr_stack+108, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+19504);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+61889, r12vrr_stack+7158, r12vrr_stack+234, r12vrr_stack+550, r12vrr_stack+7098, r12vrr_stack+61613);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+62039, r12vrr_stack+7258, r12vrr_stack+61889, r12vrr_stack+610, r12vrr_stack+7158, r12vrr_stack+61673);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+59869, r12vrr_stack+7408, r12vrr_stack+62039, r12vrr_stack+810, r12vrr_stack+7258, r12vrr_stack+61763);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+334, r12vrr_stack+1498, r12vrr_stack+2245, NULL, NULL, r12vrr_stack+1488);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+62249, r12vrr_stack+710, r12vrr_stack+334, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+204);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+62339, r12vrr_stack+7618, r12vrr_stack+62249, r12vrr_stack+455, r12vrr_stack+710, r12vrr_stack+108);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+440, r12vrr_stack+7708, r12vrr_stack+62339, r12vrr_stack+1770, r12vrr_stack+7618, r12vrr_stack+234);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+60149, r12vrr_stack+7858, r12vrr_stack+440, r12vrr_stack+1860, r12vrr_stack+7708, r12vrr_stack+61889);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+57823, r12vrr_stack+8083, r12vrr_stack+60149, r12vrr_stack+2010, r12vrr_stack+7858, r12vrr_stack+62039);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+58243, r12vrr_stack+8398, r12vrr_stack+57823, r12vrr_stack+2460, r12vrr_stack+8083, r12vrr_stack+59869);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60464, r12vrr_stack+2260, r12vrr_stack+3118, NULL, NULL, r12vrr_stack+2245);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+2281, r12vrr_stack+60464, r12vrr_stack+1513, r12vrr_stack+2260, r12vrr_stack+334);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+45118, r12vrr_stack+1110, r12vrr_stack+29920, r12vrr_stack+1534, r12vrr_stack+2281, r12vrr_stack+62249);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2344, r12vrr_stack+8818, r12vrr_stack+45118, r12vrr_stack+1597, r12vrr_stack+1110, r12vrr_stack+62339);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1759, r12vrr_stack+9028, r12vrr_stack+2344, r12vrr_stack+4917, r12vrr_stack+8818, r12vrr_stack+440);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+66271, r12vrr_stack+9343, r12vrr_stack+1759, r12vrr_stack+5127, r12vrr_stack+9028, r12vrr_stack+60149);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+66859, r12vrr_stack+9784, r12vrr_stack+66271, r12vrr_stack+5442, r12vrr_stack+9343, r12vrr_stack+57823);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+10372, r12vrr_stack+66859, r12vrr_stack+6324, r12vrr_stack+9784, r12vrr_stack+58243);

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+3139, r12vrr_stack+13283, NULL, NULL, r12vrr_stack+3118);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+45328, r12vrr_stack+3167, r12vrr_stack+1513, r12vrr_stack+2866, r12vrr_stack+3139, r12vrr_stack+60464);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+67615, r12vrr_stack+3531, r12vrr_stack+45328, r12vrr_stack+2894, r12vrr_stack+3167, r12vrr_stack+29920);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+67895, r12vrr_stack+3699, r12vrr_stack+67615, r12vrr_stack+12360, r12vrr_stack+3531, r12vrr_stack+45118);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+68315, r12vrr_stack+15524, r12vrr_stack+67895, r12vrr_stack+12528, r12vrr_stack+3699, r12vrr_stack+2344);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+68903, r12vrr_stack+15944, r12vrr_stack+68315, r12vrr_stack+12808, r12vrr_stack+15524, r12vrr_stack+1759);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12244, r12vrr_stack+16532, r12vrr_stack+68903, r12vrr_stack+13648, r12vrr_stack+15944, r12vrr_stack+66271);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+69687, r12vrr_stack+18100, r12vrr_stack+12244, r12vrr_stack+17316, r12vrr_stack+16532, r12vrr_stack+66859);
 tmp = r12vrr_stack + 69687;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1597, r12vrr_stack+13311, r12vrr_stack+19423, NULL, NULL, r12vrr_stack+13283);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13455, r12vrr_stack+13347, r12vrr_stack+1597, r12vrr_stack+11884, r12vrr_stack+13311, r12vrr_stack+1513);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13671, r12vrr_stack+25084, r12vrr_stack+13455, r12vrr_stack+11920, r12vrr_stack+13347, r12vrr_stack+45328);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+70947, r12vrr_stack+25300, r12vrr_stack+13671, r12vrr_stack+12028, r12vrr_stack+25084, r12vrr_stack+67615);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+71487, r12vrr_stack+25660, r12vrr_stack+70947, r12vrr_stack+21664, r12vrr_stack+25300, r12vrr_stack+67895);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+72243, r12vrr_stack+26200, r12vrr_stack+71487, r12vrr_stack+22024, r12vrr_stack+25660, r12vrr_stack+68315);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+73251, r12vrr_stack+26956, r12vrr_stack+72243, r12vrr_stack+22564, r12vrr_stack+26200, r12vrr_stack+68903);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+73251, r12vrr_stack+24076, r12vrr_stack+26956, r12vrr_stack+12244);
 tmp = r12vrr_stack + 21664;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+19459, r12vrr_stack+31354, NULL, NULL, r12vrr_stack+19423);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2659, r12vrr_stack+20530, r12vrr_stack+11884, r12vrr_stack+1368, r12vrr_stack+19459, r12vrr_stack+1597);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+74547, r12vrr_stack+20665, r12vrr_stack+2659, r12vrr_stack+19288, r12vrr_stack+20530, r12vrr_stack+13455);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+74997, r12vrr_stack+37000, r12vrr_stack+74547, r12vrr_stack+19810, r12vrr_stack+20665, r12vrr_stack+13671);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+75672, r12vrr_stack+37450, r12vrr_stack+74997, r12vrr_stack+20080, r12vrr_stack+37000, r12vrr_stack+70947);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+76617, r12vrr_stack+38125, r12vrr_stack+75672, r12vrr_stack+33175, r12vrr_stack+37450, r12vrr_stack+71487);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+77877, r12vrr_stack+39070, r12vrr_stack+76617, r12vrr_stack+33850, r12vrr_stack+38125, r12vrr_stack+72243);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+79497, r12vrr_stack+40330, r12vrr_stack+77877, r12vrr_stack+35740, r12vrr_stack+39070, r12vrr_stack+73251);
 tmp = r12vrr_stack + 79497;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33175, r12vrr_stack+1332, r12vrr_stack+0, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13252, r12vrr_stack+48, r12vrr_stack+33175, r12vrr_stack+3, r12vrr_stack+1332, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+33181, r12vrr_stack+1335, r12vrr_stack+13252, r12vrr_stack+198, r12vrr_stack+48, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+1345, r12vrr_stack+33181, r12vrr_stack+1413, r12vrr_stack+1335, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+33196, r12vrr_stack+31305, r12vrr_stack+5862, r12vrr_stack+1095, r12vrr_stack+1345, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23284, r12vrr_stack+31326, r12vrr_stack+33196, r12vrr_stack+1423, r12vrr_stack+31305, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+665, r12vrr_stack+11128, r12vrr_stack+23284, r12vrr_stack+1444, r12vrr_stack+31326, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33224, r12vrr_stack+31354, r12vrr_stack+665, r12vrr_stack+19423, r12vrr_stack+11128, NULL);

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33279, r12vrr_stack+31399, r12vrr_stack+33224, NULL, NULL, r12vrr_stack+31354);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33444, r12vrr_stack+31454, r12vrr_stack+33279, r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+11884);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33774, r12vrr_stack+31619, r12vrr_stack+33444, r12vrr_stack+30810, r12vrr_stack+31454, r12vrr_stack+2659);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+81522, r12vrr_stack+51575, r12vrr_stack+33774, r12vrr_stack+30975, r12vrr_stack+31619, r12vrr_stack+74547);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+82347, r12vrr_stack+52125, r12vrr_stack+81522, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+74997);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+83502, r12vrr_stack+52950, r12vrr_stack+82347, r12vrr_stack+46900, r12vrr_stack+52125, r12vrr_stack+75672);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+85042, r12vrr_stack+54105, r12vrr_stack+83502, r12vrr_stack+47725, r12vrr_stack+52950, r12vrr_stack+76617);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+85042, r12vrr_stack+50035, r12vrr_stack+54105, r12vrr_stack+77877);
 tmp = r12vrr_stack + 46350;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+33224, r12vrr_stack+19459, r12vrr_stack+31354, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30821, r12vrr_stack+41950, r12vrr_stack+30755, NULL, NULL, r12vrr_stack+31399);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+34324, r12vrr_stack+57625, r12vrr_stack+30821, r12vrr_stack+960, r12vrr_stack+41950, r12vrr_stack+31454);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+42214, r12vrr_stack+34324, r12vrr_stack+42016, r12vrr_stack+57625, r12vrr_stack+31619);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+87022, r12vrr_stack+42610, r12vrr_stack+19810, r12vrr_stack+58813, r12vrr_stack+42214, r12vrr_stack+51575);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+88012, r12vrr_stack+62509, r12vrr_stack+87022, r12vrr_stack+59209, r12vrr_stack+42610, r12vrr_stack+52125);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+89398, r12vrr_stack+63499, r12vrr_stack+88012, r12vrr_stack+60529, r12vrr_stack+62509, r12vrr_stack+52950);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+91246, r12vrr_stack+43270, r12vrr_stack+89398, r12vrr_stack+64885, r12vrr_stack+63499, r12vrr_stack+54105);
 tmp = r12vrr_stack + 91246;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^8 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (d0|00)^7 ---*/
 _BUILD_d000(Data,r12vrr_stack+198, r12vrr_stack+61519, r12vrr_stack+3, Data->F+7, Data->F+8, NULL);

 /*--- compute (f0|00)^6 ---*/
 _BUILD_f000(Data,r12vrr_stack+42016, r12vrr_stack+61522, r12vrr_stack+198, r12vrr_stack+1723, r12vrr_stack+61519, NULL);

 /*--- compute (g0|00)^5 ---*/
 _BUILD_g000(Data,r12vrr_stack+42026, r12vrr_stack+61528, r12vrr_stack+42016, r12vrr_stack+1726, r12vrr_stack+61522, NULL);

 /*--- compute (p0|p0)^8 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+42041, r12vrr_stack+78, r12vrr_stack+6, NULL, NULL, Data->F+9);

 /*--- compute (d0|p0)^7 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+42050, r12vrr_stack+1236, r12vrr_stack+42041, r12vrr_stack+105, r12vrr_stack+78, r12vrr_stack+3);

 /*--- compute (f0|p0)^6 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+42068, r12vrr_stack+60, r12vrr_stack+42050, r12vrr_stack+1732, r12vrr_stack+1236, r12vrr_stack+198);

 /*--- compute (g0|p0)^5 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+42098, r12vrr_stack+61538, r12vrr_stack+42068, r12vrr_stack+1741, r12vrr_stack+60, r12vrr_stack+42016);

 /*--- compute (h0|p0)^4 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+42143, r12vrr_stack+61568, r12vrr_stack+42098, r12vrr_stack+1284, r12vrr_stack+61538, r12vrr_stack+42026);

 /*--- compute (p0|d0)^8 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1284, r12vrr_stack+414, r12vrr_stack+81, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|d0)^7 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+48825, r12vrr_stack+9, r12vrr_stack+1284, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+42041);

 /*--- compute (f0|d0)^6 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+20470, r12vrr_stack+19504, r12vrr_stack+48825, r12vrr_stack+1314, r12vrr_stack+9, r12vrr_stack+42050);

 /*--- compute (g0|d0)^5 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+31019, r12vrr_stack+61613, r12vrr_stack+20470, r12vrr_stack+6912, r12vrr_stack+19504, r12vrr_stack+42068);

 /*--- compute (h0|d0)^4 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+31109, r12vrr_stack+61673, r12vrr_stack+31019, r12vrr_stack+6948, r12vrr_stack+61613, r12vrr_stack+42098);

 /*--- compute (i0|d0)^3 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+12019, r12vrr_stack+61763, r12vrr_stack+31109, r12vrr_stack+7008, r12vrr_stack+61673, r12vrr_stack+42143);

 /*--- compute (p0|f0)^8 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1302, r12vrr_stack+1488, r12vrr_stack+2235, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^7 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+6912, r12vrr_stack+204, r12vrr_stack+1302, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+1284);

 /*--- compute (f0|f0)^6 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+6972, r12vrr_stack+108, r12vrr_stack+6912, r12vrr_stack+168, r12vrr_stack+204, r12vrr_stack+48825);

 /*--- compute (g0|f0)^5 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+42016, r12vrr_stack+234, r12vrr_stack+6972, r12vrr_stack+7098, r12vrr_stack+108, r12vrr_stack+20470);

 /*--- compute (h0|f0)^4 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60527, r12vrr_stack+61889, r12vrr_stack+42016, r12vrr_stack+7158, r12vrr_stack+234, r12vrr_stack+31019);

 /*--- compute (i0|f0)^3 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60737, r12vrr_stack+62039, r12vrr_stack+60527, r12vrr_stack+7258, r12vrr_stack+61889, r12vrr_stack+31109);

 /*--- compute (k0|f0)^2 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+61017, r12vrr_stack+59869, r12vrr_stack+60737, r12vrr_stack+7408, r12vrr_stack+62039, r12vrr_stack+12019);

 /*--- compute (p0|g0)^8 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+3, r12vrr_stack+2245, r12vrr_stack+3103, NULL, NULL, r12vrr_stack+2235);

 /*--- compute (d0|g0)^7 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+12019, r12vrr_stack+334, r12vrr_stack+3, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+1302);

 /*--- compute (f0|g0)^6 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+31019, r12vrr_stack+62249, r12vrr_stack+12019, r12vrr_stack+710, r12vrr_stack+334, r12vrr_stack+6912);

 /*--- compute (g0|g0)^5 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+710, r12vrr_stack+62339, r12vrr_stack+31019, r12vrr_stack+7618, r12vrr_stack+62249, r12vrr_stack+6972);

 /*--- compute (h0|g0)^4 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+440, r12vrr_stack+710, r12vrr_stack+7708, r12vrr_stack+62339, r12vrr_stack+42016);

 /*--- compute (i0|g0)^3 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7227, r12vrr_stack+60149, r12vrr_stack+6912, r12vrr_stack+7858, r12vrr_stack+440, r12vrr_stack+60527);

 /*--- compute (k0|g0)^2 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+61377, r12vrr_stack+57823, r12vrr_stack+7227, r12vrr_stack+8083, r12vrr_stack+60149, r12vrr_stack+60737);

 /*--- compute (l0|g0)^1 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7647, r12vrr_stack+58243, r12vrr_stack+61377, r12vrr_stack+8398, r12vrr_stack+57823, r12vrr_stack+61017);

 /*--- compute (p0|h0)^8 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+57823, r12vrr_stack+3118, r12vrr_stack+13262, NULL, NULL, r12vrr_stack+3103);

 /*--- compute (d0|h0)^7 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+57886, r12vrr_stack+60464, r12vrr_stack+57823, r12vrr_stack+2260, r12vrr_stack+3118, r12vrr_stack+3);

 /*--- compute (f0|h0)^6 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58012, r12vrr_stack+29920, r12vrr_stack+57886, r12vrr_stack+2281, r12vrr_stack+60464, r12vrr_stack+12019);

 /*--- compute (g0|h0)^5 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58222, r12vrr_stack+45118, r12vrr_stack+58012, r12vrr_stack+1110, r12vrr_stack+29920, r12vrr_stack+31019);

 /*--- compute (h0|h0)^4 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58537, r12vrr_stack+2344, r12vrr_stack+58222, r12vrr_stack+8818, r12vrr_stack+45118, r12vrr_stack+710);

 /*--- compute (i0|h0)^3 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58978, r12vrr_stack+1759, r12vrr_stack+58537, r12vrr_stack+9028, r12vrr_stack+2344, r12vrr_stack+6912);

 /*--- compute (k0|h0)^2 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+59566, r12vrr_stack+66271, r12vrr_stack+58978, r12vrr_stack+9343, r12vrr_stack+1759, r12vrr_stack+7227);

 /*--- compute (l0|h0)^1 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60322, r12vrr_stack+66859, r12vrr_stack+59566, r12vrr_stack+9784, r12vrr_stack+66271, r12vrr_stack+61377);

 /*--- compute (m0|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+61267, r12vrr_stack+4917, r12vrr_stack+60322, r12vrr_stack+10372, r12vrr_stack+66859, r12vrr_stack+7647);

 /*--- compute (p0|i0)^8 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1360, r12vrr_stack+13283, r12vrr_stack+1444, NULL, NULL, r12vrr_stack+13262);

 /*--- compute (d0|i0)^7 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+66271, r12vrr_stack+1513, r12vrr_stack+1360, r12vrr_stack+3139, r12vrr_stack+13283, r12vrr_stack+57823);

 /*--- compute (f0|i0)^6 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+66439, r12vrr_stack+45328, r12vrr_stack+66271, r12vrr_stack+3167, r12vrr_stack+1513, r12vrr_stack+57886);

 /*--- compute (g0|i0)^5 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+66719, r12vrr_stack+67615, r12vrr_stack+66439, r12vrr_stack+3531, r12vrr_stack+45328, r12vrr_stack+58012);

 /*--- compute (h0|i0)^4 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+67895, r12vrr_stack+66719, r12vrr_stack+3699, r12vrr_stack+67615, r12vrr_stack+58222);

 /*--- compute (i0|i0)^3 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7500, r12vrr_stack+68315, r12vrr_stack+6912, r12vrr_stack+15524, r12vrr_stack+67895, r12vrr_stack+58537);

 /*--- compute (k0|i0)^2 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+57823, r12vrr_stack+68903, r12vrr_stack+7500, r12vrr_stack+15944, r12vrr_stack+68315, r12vrr_stack+58978);

 /*--- compute (l0|i0)^1 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+67139, r12vrr_stack+12244, r12vrr_stack+57823, r12vrr_stack+16532, r12vrr_stack+68903, r12vrr_stack+59566);

 /*--- compute (m0|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15524, r12vrr_stack+69687, r12vrr_stack+67139, r12vrr_stack+18100, r12vrr_stack+12244, r12vrr_stack+60322);
 tmp = r12vrr_stack + 15524;
 target_ptr = Libr12->gvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^8 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17064, r12vrr_stack+19423, r12vrr_stack+11128, NULL, NULL, r12vrr_stack+1444);

 /*--- compute (d0|k0)^7 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3531, r12vrr_stack+1597, r12vrr_stack+17064, r12vrr_stack+13311, r12vrr_stack+19423, r12vrr_stack+1360);

 /*--- compute (f0|k0)^6 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60, r12vrr_stack+13455, r12vrr_stack+3531, r12vrr_stack+13347, r12vrr_stack+1597, r12vrr_stack+66271);

 /*--- compute (g0|k0)^5 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1360, r12vrr_stack+13671, r12vrr_stack+60, r12vrr_stack+25084, r12vrr_stack+13455, r12vrr_stack+66439);

 /*--- compute (h0|k0)^4 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1900, r12vrr_stack+70947, r12vrr_stack+1360, r12vrr_stack+25300, r12vrr_stack+13671, r12vrr_stack+66719);

 /*--- compute (i0|k0)^3 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+58831, r12vrr_stack+71487, r12vrr_stack+1900, r12vrr_stack+25660, r12vrr_stack+70947, r12vrr_stack+6912);

 /*--- compute (k0|k0)^2 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+59839, r12vrr_stack+72243, r12vrr_stack+58831, r12vrr_stack+26200, r12vrr_stack+71487, r12vrr_stack+7500);

 /*--- compute (l0|k0)^1 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+73251, r12vrr_stack+59839, r12vrr_stack+26956, r12vrr_stack+72243, r12vrr_stack+57823);

 /*--- compute (m0|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+70947, r12vrr_stack+21664, r12vrr_stack+6912, r12vrr_stack+27964, r12vrr_stack+73251, r12vrr_stack+67139);
 tmp = r12vrr_stack + 70947;
 target_ptr = Libr12->gvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^8 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+57823, r12vrr_stack+31354, r12vrr_stack+665, NULL, NULL, r12vrr_stack+11128);

 /*--- compute (d0|l0)^7 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+57958, r12vrr_stack+11884, r12vrr_stack+57823, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+17064);

 /*--- compute (f0|l0)^6 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+58228, r12vrr_stack+2659, r12vrr_stack+57958, r12vrr_stack+20530, r12vrr_stack+11884, r12vrr_stack+3531);

 /*--- compute (g0|l0)^5 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+74547, r12vrr_stack+58228, r12vrr_stack+20665, r12vrr_stack+2659, r12vrr_stack+60);

 /*--- compute (h0|l0)^4 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8532, r12vrr_stack+74997, r12vrr_stack+11884, r12vrr_stack+37000, r12vrr_stack+74547, r12vrr_stack+1360);

 /*--- compute (i0|l0)^3 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+72927, r12vrr_stack+75672, r12vrr_stack+8532, r12vrr_stack+37450, r12vrr_stack+74997, r12vrr_stack+1900);

 /*--- compute (k0|l0)^2 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+76617, r12vrr_stack+72927, r12vrr_stack+38125, r12vrr_stack+75672, r12vrr_stack+58831);

 /*--- compute (l0|l0)^1 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+77877, r12vrr_stack+25084, r12vrr_stack+39070, r12vrr_stack+76617, r12vrr_stack+59839);

 /*--- compute (m0|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+58678, r12vrr_stack+79497, r12vrr_stack+37000, r12vrr_stack+40330, r12vrr_stack+77877, r12vrr_stack+6912);
 tmp = r12vrr_stack + 58678;
 target_ptr = Libr12->gvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6912, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6915, r12vrr_stack+0, r12vrr_stack+6912, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6921, r12vrr_stack+33175, r12vrr_stack+6915, r12vrr_stack+1332, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+13252, r12vrr_stack+6921, r12vrr_stack+48, r12vrr_stack+33175, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+33181, r12vrr_stack+0, r12vrr_stack+1335, r12vrr_stack+13252, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+5862, r12vrr_stack+15, r12vrr_stack+1345, r12vrr_stack+33181, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+33196, r12vrr_stack+6912, r12vrr_stack+31305, r12vrr_stack+5862, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+23284, r12vrr_stack+0, r12vrr_stack+31326, r12vrr_stack+33196, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+665, r12vrr_stack+6912, r12vrr_stack+11128, r12vrr_stack+23284, NULL);

 /*--- compute (p0|m0)^8 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+33224, r12vrr_stack+48825, NULL, NULL, r12vrr_stack+665);

 /*--- compute (d0|m0)^7 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7077, r12vrr_stack+33279, r12vrr_stack+6912, r12vrr_stack+31399, r12vrr_stack+33224, r12vrr_stack+57823);

 /*--- compute (f0|m0)^6 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7407, r12vrr_stack+33444, r12vrr_stack+7077, r12vrr_stack+31454, r12vrr_stack+33279, r12vrr_stack+57958);

 /*--- compute (g0|m0)^5 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39025, r12vrr_stack+33774, r12vrr_stack+7407, r12vrr_stack+31619, r12vrr_stack+33444, r12vrr_stack+58228);

 /*--- compute (h0|m0)^4 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+81522, r12vrr_stack+39025, r12vrr_stack+51575, r12vrr_stack+33774, r12vrr_stack+11884);

 /*--- compute (i0|m0)^3 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+82347, r12vrr_stack+6912, r12vrr_stack+52125, r12vrr_stack+81522, r12vrr_stack+8532);

 /*--- compute (k0|m0)^2 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+83502, r12vrr_stack+11884, r12vrr_stack+52950, r12vrr_stack+82347, r12vrr_stack+72927);

 /*--- compute (l0|m0)^1 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+72927, r12vrr_stack+85042, r12vrr_stack+6912, r12vrr_stack+54105, r12vrr_stack+83502, r12vrr_stack+25084);

 /*--- compute (m0|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+46350, r12vrr_stack+72927, r12vrr_stack+55645, r12vrr_stack+85042, r12vrr_stack+37000);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+33224, r12vrr_stack+48825, r12vrr_stack+31354, r12vrr_stack+665, NULL);

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42016, r12vrr_stack+30755, r12vrr_stack+37000, NULL, NULL, r12vrr_stack+33224);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+30821, r12vrr_stack+42016, r12vrr_stack+41950, r12vrr_stack+30755, r12vrr_stack+33279);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37396, r12vrr_stack+34324, r12vrr_stack+37000, r12vrr_stack+57625, r12vrr_stack+30821, r12vrr_stack+33444);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+19810, r12vrr_stack+37396, r12vrr_stack+42214, r12vrr_stack+34324, r12vrr_stack+33774);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+87022, r12vrr_stack+57625, r12vrr_stack+42610, r12vrr_stack+19810, r12vrr_stack+81522);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38386, r12vrr_stack+88012, r12vrr_stack+37000, r12vrr_stack+62509, r12vrr_stack+87022, r12vrr_stack+82347);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+72927, r12vrr_stack+89398, r12vrr_stack+38386, r12vrr_stack+63499, r12vrr_stack+88012, r12vrr_stack+83502);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+91246, r12vrr_stack+72927, r12vrr_stack+43270, r12vrr_stack+89398, r12vrr_stack+85042);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+72927, &(Data->ss_r12_ss), NULL, r12vrr_stack+1245, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+72930, r12vrr_stack+72927, &(Data->ss_r12_ss), r12vrr_stack+54, r12vrr_stack+1245, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+72936, r12vrr_stack+72930, r12vrr_stack+72927, r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+1245, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+72946, r12vrr_stack+72936, r12vrr_stack+72930, r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+54, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+5862, r12vrr_stack+72946, r12vrr_stack+72936, r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+420, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+72961, r12vrr_stack+5862, r12vrr_stack+72946, r12vrr_stack+2978, r12vrr_stack+1263, r12vrr_stack+1248, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+72989, r12vrr_stack+72961, NULL, r12vrr_stack+3006, r12vrr_stack+2978, NULL, r12vrr_stack+1263);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+73073, r12vrr_stack+72989, r12vrr_stack+72961, r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+2978, r12vrr_stack+4203);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+73241, r12vrr_stack+73073, r12vrr_stack+72989, r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+4266);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+73521, r12vrr_stack+73241, r12vrr_stack+73073, r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+4392);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+73941, r12vrr_stack+73521, r12vrr_stack+73241, r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+4602);

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+74529, r12vrr_stack+73941, r12vrr_stack+73521, r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+5883);
 tmp = r12vrr_stack + 74529;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+75313, r12vrr_stack+74529, r12vrr_stack+73941, r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+6324);
 tmp = r12vrr_stack + 75313;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+23284, r12vrr_stack+72961, r12vrr_stack+5862, r12vrr_stack+11164, r12vrr_stack+2978, r12vrr_stack+1263, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+5862, r12vrr_stack+23284, NULL, r12vrr_stack+11200, r12vrr_stack+11164, NULL, r12vrr_stack+2978);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+5970, r12vrr_stack+5862, r12vrr_stack+23284, r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+11164, r12vrr_stack+3006);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+39970, r12vrr_stack+5970, r12vrr_stack+5862, r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+3363);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+3006, r12vrr_stack+39970, r12vrr_stack+5970, r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+14236);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+3546, r12vrr_stack+3006, r12vrr_stack+39970, r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+14516);

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+72989, r12vrr_stack+3546, r12vrr_stack+3006, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+14936);
 tmp = r12vrr_stack + 72989;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+76321, r12vrr_stack+72989, r12vrr_stack+3546, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+17316);
 tmp = r12vrr_stack + 76321;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+3006, r12vrr_stack+23284, r12vrr_stack+72961, r12vrr_stack+19108, r12vrr_stack+11164, r12vrr_stack+2978, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+3051, r12vrr_stack+3006, NULL, r12vrr_stack+19153, r12vrr_stack+19108, NULL, r12vrr_stack+11164);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+3186, r12vrr_stack+3051, r12vrr_stack+3006, r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+19108, r12vrr_stack+11200);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+3456, r12vrr_stack+3186, r12vrr_stack+3051, r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+11308);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+3906, r12vrr_stack+3456, r12vrr_stack+3186, r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+11524);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+11200, r12vrr_stack+3906, r12vrr_stack+3456, r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+21124);

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+12145, r12vrr_stack+11200, r12vrr_stack+3906, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+23320);
 tmp = r12vrr_stack + 12145;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+33175, r12vrr_stack+12145, r12vrr_stack+11200, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+24076);
 tmp = r12vrr_stack + 33175;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+3006, r12vrr_stack+23284, r12vrr_stack+30205, r12vrr_stack+19108, r12vrr_stack+11164, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13405, r12vrr_stack+48825, NULL, r12vrr_stack+30260, r12vrr_stack+30205, NULL, r12vrr_stack+19108);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13570, r12vrr_stack+13405, r12vrr_stack+48825, r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+30205, r12vrr_stack+19153);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13900, r12vrr_stack+13570, r12vrr_stack+13405, r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+19540);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+13900, r12vrr_stack+13570, r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+32050);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19933, r12vrr_stack+19108, r12vrr_stack+13900, r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+32500);

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+77617, r12vrr_stack+19933, r12vrr_stack+19108, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+34795);
 tmp = r12vrr_stack + 77617;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+81522, r12vrr_stack+77617, r12vrr_stack+19933, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+35740);
 tmp = r12vrr_stack + 81522;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19108, r12vrr_stack+17316, r12vrr_stack+24076, r12vrr_stack+18100, r12vrr_stack+10372, r12vrr_stack+6324);
 tmp = r12vrr_stack + 19108;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19892, r12vrr_stack+24076, r12vrr_stack+35740, r12vrr_stack+27964, r12vrr_stack+18100, r12vrr_stack+17316);
 tmp = r12vrr_stack + 19892;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13405, r12vrr_stack+35740, r12vrr_stack+50035, r12vrr_stack+40330, r12vrr_stack+27964, r12vrr_stack+24076);
 tmp = r12vrr_stack + 13405;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+83502, r12vrr_stack+50035, r12vrr_stack+43270, r12vrr_stack+55645, r12vrr_stack+40330, r12vrr_stack+35740);
 tmp = r12vrr_stack + 83502;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5862, r12vrr_stack+18100, r12vrr_stack+27964, r12vrr_stack+69687, r12vrr_stack+4917, r12vrr_stack+10372);
 tmp = r12vrr_stack + 5862;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+85042, r12vrr_stack+27964, r12vrr_stack+40330, r12vrr_stack+21664, r12vrr_stack+69687, r12vrr_stack+18100);
 tmp = r12vrr_stack + 85042;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+86338, r12vrr_stack+40330, r12vrr_stack+55645, r12vrr_stack+79497, r12vrr_stack+21664, r12vrr_stack+27964);
 tmp = r12vrr_stack + 86338;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+87958, r12vrr_stack+55645, r12vrr_stack+91246, r12vrr_stack+46350, r12vrr_stack+79497, r12vrr_stack+40330);
 tmp = r12vrr_stack + 87958;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+89938, r12vrr_stack+69687, r12vrr_stack+21664, r12vrr_stack+15524, r12vrr_stack+61267, r12vrr_stack+4917);
 tmp = r12vrr_stack + 89938;
 target_ptr = Libr12->t2vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25084, r12vrr_stack+21664, r12vrr_stack+79497, r12vrr_stack+70947, r12vrr_stack+15524, r12vrr_stack+69687);
 tmp = r12vrr_stack + 25084;
 target_ptr = Libr12->t2vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+51575, r12vrr_stack+79497, r12vrr_stack+46350, r12vrr_stack+58678, r12vrr_stack+70947, r12vrr_stack+21664);
 tmp = r12vrr_stack + 51575;
 target_ptr = Libr12->t2vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+46350, r12vrr_stack+37000, r12vrr_stack+6912, r12vrr_stack+58678, r12vrr_stack+79497);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+57625, r12vrr_stack+17316, r12vrr_stack+18100, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+14936);
 tmp = r12vrr_stack + 57625;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+41950, r12vrr_stack+24076, r12vrr_stack+27964, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+23320);
 tmp = r12vrr_stack + 41950;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+26704, r12vrr_stack+35740, r12vrr_stack+40330, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+34795);
 tmp = r12vrr_stack + 26704;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+53600, r12vrr_stack+50035, r12vrr_stack+55645, r12vrr_stack+43270, r12vrr_stack+64885, r12vrr_stack+48880);
 tmp = r12vrr_stack + 53600;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+48825, r12vrr_stack+18100, r12vrr_stack+69687, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+17316);
 tmp = r12vrr_stack + 48825;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2475, r12vrr_stack+27964, r12vrr_stack+21664, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+24076);
 tmp = r12vrr_stack + 2475;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3771, r12vrr_stack+40330, r12vrr_stack+79497, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+35740);
 tmp = r12vrr_stack + 3771;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+61153, r12vrr_stack+55645, r12vrr_stack+46350, r12vrr_stack+91246, r12vrr_stack+43270, r12vrr_stack+50035);
 tmp = r12vrr_stack + 61153;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+42958, r12vrr_stack+69687, r12vrr_stack+15524, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+18100);
 tmp = r12vrr_stack + 42958;
 target_ptr = Libr12->t1vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14665, r12vrr_stack+21664, r12vrr_stack+70947, r12vrr_stack+79497, r12vrr_stack+40330, r12vrr_stack+27964);
 tmp = r12vrr_stack + 14665;
 target_ptr = Libr12->t1vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+70947, r12vrr_stack+79497, r12vrr_stack+58678, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+40330);
 tmp = r12vrr_stack + 70947;
 target_ptr = Libr12->t1vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+58409, r12vrr_stack+46350, r12vrr_stack+6912, r12vrr_stack+37000, r12vrr_stack+91246, r12vrr_stack+55645);
 tmp = r12vrr_stack + 58409;
 target_ptr = Libr12->t1vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||i0)^0 ---*/
 _R_BUILD_l0i0(Data,r12vrr_stack+37000, r12vrr_stack+75313, r12vrr_stack+74529, r12vrr_stack+69687, r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+10372);
 tmp = r12vrr_stack + 37000;
 target_ptr = Libr12->rvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||k0)^0 ---*/
 _R_BUILD_l0k0(Data,r12vrr_stack+38260, r12vrr_stack+76321, r12vrr_stack+72989, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+18100);
 tmp = r12vrr_stack + 38260;
 target_ptr = Libr12->rvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||l0)^0 ---*/
 _R_BUILD_l0l0(Data,r12vrr_stack+72972, r12vrr_stack+33175, r12vrr_stack+12145, r12vrr_stack+79497, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+27964);
 tmp = r12vrr_stack + 72972;
 target_ptr = Libr12->rvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27964, r12vrr_stack+81522, r12vrr_stack+77617, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+40330);
 tmp = r12vrr_stack + 27964;
 target_ptr = Libr12->rvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];


}

