#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ipgf(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|00)^3 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+6, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+9, r12vrr_stack+0, r12vrr_stack+6, Data->F+4, Data->F+5, NULL);

 /*--- compute (d0|00)^3 ---*/
 _BUILD_d000(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (f0|00)^3 ---*/
 _BUILD_f000(Data,r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+9, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+34, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+37, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+40, r12vrr_stack+31, r12vrr_stack+37, NULL, NULL, Data->F+5);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+49, r12vrr_stack+34, r12vrr_stack+31, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+58, r12vrr_stack+49, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+0);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+76, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+79, r12vrr_stack+76, r12vrr_stack+34, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^2 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+88, r12vrr_stack+79, r12vrr_stack+49, r12vrr_stack+76, r12vrr_stack+34, r12vrr_stack+3);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+106, r12vrr_stack+37, r12vrr_stack+3, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+115, r12vrr_stack+40, r12vrr_stack+106, r12vrr_stack+31, r12vrr_stack+37, r12vrr_stack+6);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+133, r12vrr_stack+58, r12vrr_stack+115, r12vrr_stack+49, r12vrr_stack+40, r12vrr_stack+9);

 /*--- compute (f0|p0)^2 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+163, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+79, r12vrr_stack+49, r12vrr_stack+15);

 /*--- compute (g0|p0)^2 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+193, r12vrr_stack+163, r12vrr_stack+133, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+21);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+238, r12vrr_stack+31, r12vrr_stack+37, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+244, r12vrr_stack+34, r12vrr_stack+31, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+250, r12vrr_stack+244, r12vrr_stack+238, NULL, NULL, r12vrr_stack+31);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+268, r12vrr_stack+76, r12vrr_stack+34, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+274, r12vrr_stack+268, r12vrr_stack+244, NULL, NULL, r12vrr_stack+34);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+292, r12vrr_stack+37, r12vrr_stack+3, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+298, r12vrr_stack+238, r12vrr_stack+292, NULL, NULL, r12vrr_stack+37);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+316, r12vrr_stack+250, r12vrr_stack+298, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+40);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+352, r12vrr_stack+274, r12vrr_stack+250, r12vrr_stack+268, r12vrr_stack+244, r12vrr_stack+49);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+388, r12vrr_stack+352, r12vrr_stack+316, r12vrr_stack+274, r12vrr_stack+250, r12vrr_stack+58);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+76, Data->F+1, Data->F+2, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+448, r12vrr_stack+52, r12vrr_stack+268, NULL, NULL, r12vrr_stack+76);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+466, r12vrr_stack+448, r12vrr_stack+274, r12vrr_stack+52, r12vrr_stack+268, r12vrr_stack+79);

 /*--- compute (f0|d0)^1 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+502, r12vrr_stack+466, r12vrr_stack+352, r12vrr_stack+448, r12vrr_stack+274, r12vrr_stack+88);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+79, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+82, r12vrr_stack+3, r12vrr_stack+79, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+88, r12vrr_stack+292, r12vrr_stack+82, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+562, r12vrr_stack+298, r12vrr_stack+88, r12vrr_stack+238, r12vrr_stack+292, r12vrr_stack+106);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+598, r12vrr_stack+316, r12vrr_stack+562, r12vrr_stack+250, r12vrr_stack+298, r12vrr_stack+115);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+658, r12vrr_stack+388, r12vrr_stack+598, r12vrr_stack+352, r12vrr_stack+316, r12vrr_stack+133);

 /*--- compute (g0|d0)^1 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+748, r12vrr_stack+502, r12vrr_stack+388, r12vrr_stack+466, r12vrr_stack+352, r12vrr_stack+163);

 /*--- compute (h0|d0)^1 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+838, r12vrr_stack+748, r12vrr_stack+658, r12vrr_stack+502, r12vrr_stack+388, r12vrr_stack+193);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+964, r12vrr_stack+244, r12vrr_stack+238, r12vrr_stack+34, r12vrr_stack+31, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+974, r12vrr_stack+268, r12vrr_stack+244, r12vrr_stack+76, r12vrr_stack+34, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+984, r12vrr_stack+238, r12vrr_stack+292, r12vrr_stack+31, r12vrr_stack+37, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+994, r12vrr_stack+964, r12vrr_stack+984, NULL, NULL, r12vrr_stack+238);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1024, r12vrr_stack+974, r12vrr_stack+964, NULL, NULL, r12vrr_stack+244);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1054, r12vrr_stack+1024, r12vrr_stack+994, r12vrr_stack+974, r12vrr_stack+964, r12vrr_stack+250);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+250, r12vrr_stack+52, r12vrr_stack+268, r12vrr_stack+49, r12vrr_stack+76, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1114, r12vrr_stack+250, r12vrr_stack+974, NULL, NULL, r12vrr_stack+268);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1144, r12vrr_stack+1114, r12vrr_stack+1024, r12vrr_stack+250, r12vrr_stack+974, r12vrr_stack+274);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+292, r12vrr_stack+82, r12vrr_stack+37, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1204, r12vrr_stack+984, r12vrr_stack+274, NULL, NULL, r12vrr_stack+292);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1234, r12vrr_stack+994, r12vrr_stack+1204, r12vrr_stack+964, r12vrr_stack+984, r12vrr_stack+298);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1294, r12vrr_stack+1054, r12vrr_stack+1234, r12vrr_stack+1024, r12vrr_stack+994, r12vrr_stack+316);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1394, r12vrr_stack+1144, r12vrr_stack+1054, r12vrr_stack+1114, r12vrr_stack+1024, r12vrr_stack+352);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1494, r12vrr_stack+1394, r12vrr_stack+1294, r12vrr_stack+1144, r12vrr_stack+1054, r12vrr_stack+388);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+76, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+31, r12vrr_stack+76, r12vrr_stack+49, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+352, r12vrr_stack+31, r12vrr_stack+52, r12vrr_stack+76, r12vrr_stack+49, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1644, r12vrr_stack+352, r12vrr_stack+250, NULL, NULL, r12vrr_stack+52);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1674, r12vrr_stack+1644, r12vrr_stack+1114, r12vrr_stack+352, r12vrr_stack+250, r12vrr_stack+448);

 /*--- compute (f0|f0)^0 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1734, r12vrr_stack+1674, r12vrr_stack+1144, r12vrr_stack+1644, r12vrr_stack+1114, r12vrr_stack+466);

 /*--- compute (g0|f0)^0 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1834, r12vrr_stack+1734, r12vrr_stack+1394, r12vrr_stack+1674, r12vrr_stack+1144, r12vrr_stack+502);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+49, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+448, r12vrr_stack+79, r12vrr_stack+49, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+454, r12vrr_stack+82, r12vrr_stack+448, r12vrr_stack+3, r12vrr_stack+79, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+464, r12vrr_stack+274, r12vrr_stack+454, NULL, NULL, r12vrr_stack+82);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+494, r12vrr_stack+1204, r12vrr_stack+464, r12vrr_stack+984, r12vrr_stack+274, r12vrr_stack+88);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1984, r12vrr_stack+1234, r12vrr_stack+494, r12vrr_stack+994, r12vrr_stack+1204, r12vrr_stack+562);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+2084, r12vrr_stack+1294, r12vrr_stack+1984, r12vrr_stack+1054, r12vrr_stack+1234, r12vrr_stack+598);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2234, r12vrr_stack+1494, r12vrr_stack+2084, r12vrr_stack+1394, r12vrr_stack+1294, r12vrr_stack+658);

 /*--- compute (h0|f0)^0 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2444, r12vrr_stack+1834, r12vrr_stack+1494, r12vrr_stack+1734, r12vrr_stack+1394, r12vrr_stack+748);

 /*--- compute (i0|f0)^0 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+2654, r12vrr_stack+2444, r12vrr_stack+2234, r12vrr_stack+1834, r12vrr_stack+1494, r12vrr_stack+838);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+554, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+362, r12vrr_stack+6, r12vrr_stack+554, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+368, r12vrr_stack+9, r12vrr_stack+362, r12vrr_stack+0, r12vrr_stack+6, NULL);

 /*--- compute (g0|00)^3 ---*/
 _BUILD_g000(Data,r12vrr_stack+2934, r12vrr_stack+21, r12vrr_stack+368, r12vrr_stack+15, r12vrr_stack+9, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+378, r12vrr_stack+3, r12vrr_stack+79, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+2949, r12vrr_stack+106, r12vrr_stack+378, r12vrr_stack+37, r12vrr_stack+3, r12vrr_stack+554);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+2967, r12vrr_stack+115, r12vrr_stack+2949, r12vrr_stack+40, r12vrr_stack+106, r12vrr_stack+362);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+2997, r12vrr_stack+133, r12vrr_stack+2967, r12vrr_stack+58, r12vrr_stack+115, r12vrr_stack+368);

 /*--- compute (h0|p0)^2 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+3042, r12vrr_stack+193, r12vrr_stack+2997, r12vrr_stack+163, r12vrr_stack+133, r12vrr_stack+2934);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+58, r12vrr_stack+82, r12vrr_stack+448, NULL, NULL, r12vrr_stack+79);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+3105, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+292, r12vrr_stack+82, r12vrr_stack+378);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+3141, r12vrr_stack+562, r12vrr_stack+3105, r12vrr_stack+298, r12vrr_stack+88, r12vrr_stack+2949);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+3201, r12vrr_stack+598, r12vrr_stack+3141, r12vrr_stack+316, r12vrr_stack+562, r12vrr_stack+2967);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+3291, r12vrr_stack+658, r12vrr_stack+3201, r12vrr_stack+388, r12vrr_stack+598, r12vrr_stack+2997);

 /*--- compute (i0|d0)^1 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+3417, r12vrr_stack+838, r12vrr_stack+3291, r12vrr_stack+748, r12vrr_stack+658, r12vrr_stack+3042);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+49, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+748, r12vrr_stack+448, r12vrr_stack+15, r12vrr_stack+79, r12vrr_stack+49, NULL);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+163, r12vrr_stack+454, r12vrr_stack+748, NULL, NULL, r12vrr_stack+448);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+758, r12vrr_stack+464, r12vrr_stack+163, r12vrr_stack+274, r12vrr_stack+454, r12vrr_stack+58);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+3585, r12vrr_stack+494, r12vrr_stack+758, r12vrr_stack+1204, r12vrr_stack+464, r12vrr_stack+3105);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+3685, r12vrr_stack+1984, r12vrr_stack+3585, r12vrr_stack+1234, r12vrr_stack+494, r12vrr_stack+3141);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3835, r12vrr_stack+2084, r12vrr_stack+3685, r12vrr_stack+1294, r12vrr_stack+1984, r12vrr_stack+3201);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+4045, r12vrr_stack+2234, r12vrr_stack+3835, r12vrr_stack+1494, r12vrr_stack+2084, r12vrr_stack+3291);

 /*--- compute (k0|f0)^0 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+4325, r12vrr_stack+2654, r12vrr_stack+4045, r12vrr_stack+2444, r12vrr_stack+2234, r12vrr_stack+3417);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+818, r12vrr_stack+984, r12vrr_stack+274, r12vrr_stack+238, r12vrr_stack+292, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+298, r12vrr_stack+964, r12vrr_stack+984, r12vrr_stack+244, r12vrr_stack+238, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+387, r12vrr_stack+298, r12vrr_stack+818, NULL, NULL, r12vrr_stack+984);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+313, r12vrr_stack+974, r12vrr_stack+964, r12vrr_stack+268, r12vrr_stack+244, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+4685, r12vrr_stack+313, r12vrr_stack+298, NULL, NULL, r12vrr_stack+964);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+328, r12vrr_stack+274, r12vrr_stack+454, r12vrr_stack+292, r12vrr_stack+82, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+4730, r12vrr_stack+818, r12vrr_stack+328, NULL, NULL, r12vrr_stack+274);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4775, r12vrr_stack+387, r12vrr_stack+4730, r12vrr_stack+298, r12vrr_stack+818, r12vrr_stack+1204);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4865, r12vrr_stack+4685, r12vrr_stack+387, r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+994);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4955, r12vrr_stack+4865, r12vrr_stack+4775, r12vrr_stack+4685, r12vrr_stack+387, r12vrr_stack+1234);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+994, r12vrr_stack+250, r12vrr_stack+974, r12vrr_stack+52, r12vrr_stack+268, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1204, r12vrr_stack+994, r12vrr_stack+313, NULL, NULL, r12vrr_stack+974);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+5105, r12vrr_stack+1204, r12vrr_stack+4685, r12vrr_stack+994, r12vrr_stack+313, r12vrr_stack+1024);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5195, r12vrr_stack+5105, r12vrr_stack+4865, r12vrr_stack+1204, r12vrr_stack+4685, r12vrr_stack+1054);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1009, r12vrr_stack+454, r12vrr_stack+748, r12vrr_stack+82, r12vrr_stack+448, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1249, r12vrr_stack+328, r12vrr_stack+1009, NULL, NULL, r12vrr_stack+454);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1024, r12vrr_stack+4730, r12vrr_stack+1249, r12vrr_stack+818, r12vrr_stack+328, r12vrr_stack+464);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5345, r12vrr_stack+4775, r12vrr_stack+1024, r12vrr_stack+387, r12vrr_stack+4730, r12vrr_stack+494);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5495, r12vrr_stack+4955, r12vrr_stack+5345, r12vrr_stack+4865, r12vrr_stack+4775, r12vrr_stack+1984);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+5720, r12vrr_stack+5195, r12vrr_stack+4955, r12vrr_stack+5105, r12vrr_stack+4865, r12vrr_stack+1294);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5945, r12vrr_stack+5720, r12vrr_stack+5495, r12vrr_stack+5195, r12vrr_stack+4955, r12vrr_stack+2084);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1294, r12vrr_stack+352, r12vrr_stack+250, r12vrr_stack+31, r12vrr_stack+52, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1309, r12vrr_stack+1294, r12vrr_stack+994, NULL, NULL, r12vrr_stack+250);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+6260, r12vrr_stack+1309, r12vrr_stack+1204, r12vrr_stack+1294, r12vrr_stack+994, r12vrr_stack+1114);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+6350, r12vrr_stack+6260, r12vrr_stack+5105, r12vrr_stack+1309, r12vrr_stack+1204, r12vrr_stack+1144);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+6500, r12vrr_stack+6350, r12vrr_stack+5195, r12vrr_stack+6260, r12vrr_stack+5105, r12vrr_stack+1394);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6725, r12vrr_stack+6500, r12vrr_stack+5720, r12vrr_stack+6350, r12vrr_stack+5195, r12vrr_stack+1494);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1114, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+0, r12vrr_stack+1114, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1117, r12vrr_stack+15, r12vrr_stack+52, r12vrr_stack+49, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1127, r12vrr_stack+748, r12vrr_stack+1117, r12vrr_stack+448, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1142, r12vrr_stack+1009, r12vrr_stack+1127, NULL, NULL, r12vrr_stack+748);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1354, r12vrr_stack+1249, r12vrr_stack+1142, r12vrr_stack+328, r12vrr_stack+1009, r12vrr_stack+163);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1444, r12vrr_stack+1024, r12vrr_stack+1354, r12vrr_stack+4730, r12vrr_stack+1249, r12vrr_stack+758);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7040, r12vrr_stack+5345, r12vrr_stack+1444, r12vrr_stack+4775, r12vrr_stack+1024, r12vrr_stack+3585);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7265, r12vrr_stack+5495, r12vrr_stack+7040, r12vrr_stack+4955, r12vrr_stack+5345, r12vrr_stack+3685);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7580, r12vrr_stack+5945, r12vrr_stack+7265, r12vrr_stack+5720, r12vrr_stack+5495, r12vrr_stack+3835);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8000, r12vrr_stack+6725, r12vrr_stack+5945, r12vrr_stack+6500, r12vrr_stack+5720, r12vrr_stack+2234);
 tmp = r12vrr_stack + 8000;
 target_ptr = Libr12->gvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8420, r12vrr_stack+8000, r12vrr_stack+7580, r12vrr_stack+6725, r12vrr_stack+5945, r12vrr_stack+4045);
 tmp = r12vrr_stack + 8420;
 target_ptr = Libr12->gvrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1594, r12vrr_stack+298, r12vrr_stack+818, r12vrr_stack+964, r12vrr_stack+984, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1615, r12vrr_stack+313, r12vrr_stack+298, r12vrr_stack+974, r12vrr_stack+964, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8960, r12vrr_stack+818, r12vrr_stack+328, r12vrr_stack+984, r12vrr_stack+274, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8981, r12vrr_stack+1594, r12vrr_stack+8960, NULL, NULL, r12vrr_stack+818);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9044, r12vrr_stack+1615, r12vrr_stack+1594, NULL, NULL, r12vrr_stack+298);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9107, r12vrr_stack+9044, r12vrr_stack+8981, r12vrr_stack+1615, r12vrr_stack+1594, r12vrr_stack+387);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+387, r12vrr_stack+994, r12vrr_stack+313, r12vrr_stack+250, r12vrr_stack+974, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9233, r12vrr_stack+387, r12vrr_stack+1615, NULL, NULL, r12vrr_stack+313);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9296, r12vrr_stack+9233, r12vrr_stack+9044, r12vrr_stack+387, r12vrr_stack+1615, r12vrr_stack+4685);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4685, r12vrr_stack+328, r12vrr_stack+1009, r12vrr_stack+274, r12vrr_stack+454, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9422, r12vrr_stack+8960, r12vrr_stack+4685, NULL, NULL, r12vrr_stack+328);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9485, r12vrr_stack+8981, r12vrr_stack+9422, r12vrr_stack+1594, r12vrr_stack+8960, r12vrr_stack+4730);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9611, r12vrr_stack+9107, r12vrr_stack+9485, r12vrr_stack+9044, r12vrr_stack+8981, r12vrr_stack+4775);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9821, r12vrr_stack+9296, r12vrr_stack+9107, r12vrr_stack+9233, r12vrr_stack+9044, r12vrr_stack+4865);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10031, r12vrr_stack+9821, r12vrr_stack+9611, r12vrr_stack+9296, r12vrr_stack+9107, r12vrr_stack+4955);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4706, r12vrr_stack+1294, r12vrr_stack+994, r12vrr_stack+352, r12vrr_stack+250, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4727, r12vrr_stack+4706, r12vrr_stack+387, NULL, NULL, r12vrr_stack+994);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4790, r12vrr_stack+4727, r12vrr_stack+9233, r12vrr_stack+4706, r12vrr_stack+387, r12vrr_stack+1204);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10346, r12vrr_stack+4790, r12vrr_stack+9296, r12vrr_stack+4727, r12vrr_stack+9233, r12vrr_stack+5105);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10556, r12vrr_stack+10346, r12vrr_stack+9821, r12vrr_stack+4790, r12vrr_stack+9296, r12vrr_stack+5195);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4916, r12vrr_stack+1009, r12vrr_stack+1127, r12vrr_stack+454, r12vrr_stack+748, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4937, r12vrr_stack+4685, r12vrr_stack+4916, NULL, NULL, r12vrr_stack+1009);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5000, r12vrr_stack+9422, r12vrr_stack+4937, r12vrr_stack+8960, r12vrr_stack+4685, r12vrr_stack+1249);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5126, r12vrr_stack+9485, r12vrr_stack+5000, r12vrr_stack+8981, r12vrr_stack+9422, r12vrr_stack+1024);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10871, r12vrr_stack+9611, r12vrr_stack+5126, r12vrr_stack+9107, r12vrr_stack+9485, r12vrr_stack+5345);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11186, r12vrr_stack+10031, r12vrr_stack+10871, r12vrr_stack+9821, r12vrr_stack+9611, r12vrr_stack+5495);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11627, r12vrr_stack+10556, r12vrr_stack+10031, r12vrr_stack+10346, r12vrr_stack+9821, r12vrr_stack+5720);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12068, r12vrr_stack+11627, r12vrr_stack+11186, r12vrr_stack+10556, r12vrr_stack+10031, r12vrr_stack+5945);
 tmp = r12vrr_stack + 12068;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+5720, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5723, r12vrr_stack+1114, r12vrr_stack+5720, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5729, r12vrr_stack+52, r12vrr_stack+5723, r12vrr_stack+0, r12vrr_stack+1114, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+5739, r12vrr_stack+1117, r12vrr_stack+5729, r12vrr_stack+15, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5754, r12vrr_stack+1127, r12vrr_stack+5739, r12vrr_stack+748, r12vrr_stack+1117, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5775, r12vrr_stack+4916, r12vrr_stack+5754, NULL, NULL, r12vrr_stack+1127);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12656, r12vrr_stack+4937, r12vrr_stack+5775, r12vrr_stack+4685, r12vrr_stack+4916, r12vrr_stack+1142);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12782, r12vrr_stack+5000, r12vrr_stack+12656, r12vrr_stack+9422, r12vrr_stack+4937, r12vrr_stack+1354);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12992, r12vrr_stack+5126, r12vrr_stack+12782, r12vrr_stack+9485, r12vrr_stack+5000, r12vrr_stack+1444);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13307, r12vrr_stack+10871, r12vrr_stack+12992, r12vrr_stack+9611, r12vrr_stack+5126, r12vrr_stack+7040);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13748, r12vrr_stack+11186, r12vrr_stack+13307, r12vrr_stack+10031, r12vrr_stack+10871, r12vrr_stack+7265);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14336, r12vrr_stack+12068, r12vrr_stack+13748, r12vrr_stack+11627, r12vrr_stack+11186, r12vrr_stack+7580);
 tmp = r12vrr_stack + 14336;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5838, r12vrr_stack+1594, r12vrr_stack+8960, r12vrr_stack+298, r12vrr_stack+818, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5866, r12vrr_stack+1615, r12vrr_stack+1594, r12vrr_stack+313, r12vrr_stack+298, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5894, r12vrr_stack+8960, r12vrr_stack+4685, r12vrr_stack+818, r12vrr_stack+328, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15092, r12vrr_stack+5838, r12vrr_stack+5894, NULL, NULL, r12vrr_stack+8960);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15176, r12vrr_stack+5866, r12vrr_stack+5838, NULL, NULL, r12vrr_stack+1594);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15260, r12vrr_stack+15176, r12vrr_stack+15092, r12vrr_stack+5866, r12vrr_stack+5838, r12vrr_stack+8981);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8981, r12vrr_stack+387, r12vrr_stack+1615, r12vrr_stack+994, r12vrr_stack+313, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+238, r12vrr_stack+8981, r12vrr_stack+5866, NULL, NULL, r12vrr_stack+1615);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15428, r12vrr_stack+238, r12vrr_stack+15176, r12vrr_stack+8981, r12vrr_stack+5866, r12vrr_stack+9044);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9009, r12vrr_stack+4685, r12vrr_stack+4916, r12vrr_stack+328, r12vrr_stack+1009, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15596, r12vrr_stack+5894, r12vrr_stack+9009, NULL, NULL, r12vrr_stack+4685);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15680, r12vrr_stack+15092, r12vrr_stack+15596, r12vrr_stack+5838, r12vrr_stack+5894, r12vrr_stack+9422);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15848, r12vrr_stack+15260, r12vrr_stack+15680, r12vrr_stack+15176, r12vrr_stack+15092, r12vrr_stack+9485);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16128, r12vrr_stack+15428, r12vrr_stack+15260, r12vrr_stack+238, r12vrr_stack+15176, r12vrr_stack+9107);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16408, r12vrr_stack+16128, r12vrr_stack+15848, r12vrr_stack+15428, r12vrr_stack+15260, r12vrr_stack+9611);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9422, r12vrr_stack+4706, r12vrr_stack+387, r12vrr_stack+1294, r12vrr_stack+994, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9450, r12vrr_stack+9422, r12vrr_stack+8981, NULL, NULL, r12vrr_stack+387);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9534, r12vrr_stack+9450, r12vrr_stack+238, r12vrr_stack+9422, r12vrr_stack+8981, r12vrr_stack+9233);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16828, r12vrr_stack+9534, r12vrr_stack+15428, r12vrr_stack+9450, r12vrr_stack+238, r12vrr_stack+9296);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17108, r12vrr_stack+16828, r12vrr_stack+16128, r12vrr_stack+9534, r12vrr_stack+15428, r12vrr_stack+9821);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9702, r12vrr_stack+4916, r12vrr_stack+5754, r12vrr_stack+1009, r12vrr_stack+1127, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9730, r12vrr_stack+9009, r12vrr_stack+9702, NULL, NULL, r12vrr_stack+4916);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9814, r12vrr_stack+15596, r12vrr_stack+9730, r12vrr_stack+5894, r12vrr_stack+9009, r12vrr_stack+4937);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9037, r12vrr_stack+15680, r12vrr_stack+9814, r12vrr_stack+15092, r12vrr_stack+15596, r12vrr_stack+5000);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17528, r12vrr_stack+15848, r12vrr_stack+9037, r12vrr_stack+15260, r12vrr_stack+15680, r12vrr_stack+5126);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17948, r12vrr_stack+16408, r12vrr_stack+17528, r12vrr_stack+16128, r12vrr_stack+15848, r12vrr_stack+10871);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18536, r12vrr_stack+17108, r12vrr_stack+16408, r12vrr_stack+16828, r12vrr_stack+16128, r12vrr_stack+10031);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19124, r12vrr_stack+18536, r12vrr_stack+17948, r12vrr_stack+17108, r12vrr_stack+16408, r12vrr_stack+11186);
 tmp = r12vrr_stack + 19124;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9982, r12vrr_stack+5720, r12vrr_stack+0, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+9988, r12vrr_stack+5723, r12vrr_stack+9982, r12vrr_stack+1114, r12vrr_stack+5720, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+9998, r12vrr_stack+5729, r12vrr_stack+9988, r12vrr_stack+52, r12vrr_stack+5723, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10013, r12vrr_stack+5739, r12vrr_stack+9998, r12vrr_stack+1117, r12vrr_stack+5729, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10034, r12vrr_stack+5754, r12vrr_stack+10013, r12vrr_stack+1127, r12vrr_stack+5739, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10062, r12vrr_stack+9702, r12vrr_stack+10034, NULL, NULL, r12vrr_stack+5754);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10146, r12vrr_stack+9730, r12vrr_stack+10062, r12vrr_stack+9009, r12vrr_stack+9702, r12vrr_stack+5775);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19908, r12vrr_stack+9814, r12vrr_stack+10146, r12vrr_stack+15596, r12vrr_stack+9730, r12vrr_stack+12656);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+20188, r12vrr_stack+9037, r12vrr_stack+19908, r12vrr_stack+15680, r12vrr_stack+9814, r12vrr_stack+12782);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+20608, r12vrr_stack+17528, r12vrr_stack+20188, r12vrr_stack+15848, r12vrr_stack+9037, r12vrr_stack+12992);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21196, r12vrr_stack+17948, r12vrr_stack+20608, r12vrr_stack+16408, r12vrr_stack+17528, r12vrr_stack+13307);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21980, r12vrr_stack+19124, r12vrr_stack+21196, r12vrr_stack+18536, r12vrr_stack+17948, r12vrr_stack+13748);
 tmp = r12vrr_stack + 21980;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9317, r12vrr_stack+5838, r12vrr_stack+5894, r12vrr_stack+1594, r12vrr_stack+8960, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9353, r12vrr_stack+5866, r12vrr_stack+5838, r12vrr_stack+1615, r12vrr_stack+1594, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+408, r12vrr_stack+5894, r12vrr_stack+9009, r12vrr_stack+8960, r12vrr_stack+4685, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22988, r12vrr_stack+9317, r12vrr_stack+408, NULL, NULL, r12vrr_stack+5894);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23096, r12vrr_stack+9353, r12vrr_stack+9317, NULL, NULL, r12vrr_stack+5838);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23204, r12vrr_stack+23096, r12vrr_stack+22988, r12vrr_stack+9353, r12vrr_stack+9317, r12vrr_stack+15092);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15092, r12vrr_stack+8981, r12vrr_stack+5866, r12vrr_stack+387, r12vrr_stack+1615, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23420, r12vrr_stack+15092, r12vrr_stack+9353, NULL, NULL, r12vrr_stack+5866);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23528, r12vrr_stack+23420, r12vrr_stack+23096, r12vrr_stack+15092, r12vrr_stack+9353, r12vrr_stack+15176);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15128, r12vrr_stack+9009, r12vrr_stack+9702, r12vrr_stack+4685, r12vrr_stack+4916, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23744, r12vrr_stack+408, r12vrr_stack+15128, NULL, NULL, r12vrr_stack+9009);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23852, r12vrr_stack+22988, r12vrr_stack+23744, r12vrr_stack+9317, r12vrr_stack+408, r12vrr_stack+15596);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24068, r12vrr_stack+23204, r12vrr_stack+23852, r12vrr_stack+23096, r12vrr_stack+22988, r12vrr_stack+15680);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24428, r12vrr_stack+23528, r12vrr_stack+23204, r12vrr_stack+23420, r12vrr_stack+23096, r12vrr_stack+15260);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24788, r12vrr_stack+24428, r12vrr_stack+24068, r12vrr_stack+23528, r12vrr_stack+23204, r12vrr_stack+15848);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15596, r12vrr_stack+9422, r12vrr_stack+8981, r12vrr_stack+4706, r12vrr_stack+387, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15632, r12vrr_stack+15596, r12vrr_stack+15092, NULL, NULL, r12vrr_stack+8981);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15740, r12vrr_stack+15632, r12vrr_stack+23420, r12vrr_stack+15596, r12vrr_stack+15092, r12vrr_stack+238);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25328, r12vrr_stack+15740, r12vrr_stack+23528, r12vrr_stack+15632, r12vrr_stack+23420, r12vrr_stack+15428);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25688, r12vrr_stack+25328, r12vrr_stack+24428, r12vrr_stack+15740, r12vrr_stack+23528, r12vrr_stack+16128);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+238, r12vrr_stack+9702, r12vrr_stack+10034, r12vrr_stack+4916, r12vrr_stack+5754, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15956, r12vrr_stack+15128, r12vrr_stack+238, NULL, NULL, r12vrr_stack+9702);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16064, r12vrr_stack+23744, r12vrr_stack+15956, r12vrr_stack+408, r12vrr_stack+15128, r12vrr_stack+9730);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15164, r12vrr_stack+23852, r12vrr_stack+16064, r12vrr_stack+22988, r12vrr_stack+23744, r12vrr_stack+9814);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26228, r12vrr_stack+24068, r12vrr_stack+15164, r12vrr_stack+23204, r12vrr_stack+23852, r12vrr_stack+9037);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26768, r12vrr_stack+24788, r12vrr_stack+26228, r12vrr_stack+24428, r12vrr_stack+24068, r12vrr_stack+17528);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27524, r12vrr_stack+25688, r12vrr_stack+24788, r12vrr_stack+25328, r12vrr_stack+24428, r12vrr_stack+16408);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28280, r12vrr_stack+27524, r12vrr_stack+26768, r12vrr_stack+25688, r12vrr_stack+24788, r12vrr_stack+17948);
 tmp = r12vrr_stack + 28280;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1114, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+52, r12vrr_stack+0, r12vrr_stack+1114, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+9982, r12vrr_stack+52, r12vrr_stack+5720, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+284, r12vrr_stack+9988, r12vrr_stack+274, r12vrr_stack+5723, r12vrr_stack+9982, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+387, r12vrr_stack+9998, r12vrr_stack+284, r12vrr_stack+5729, r12vrr_stack+9988, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+299, r12vrr_stack+10013, r12vrr_stack+387, r12vrr_stack+5739, r12vrr_stack+9998, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16280, r12vrr_stack+10034, r12vrr_stack+299, r12vrr_stack+5754, r12vrr_stack+10013, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16316, r12vrr_stack+238, r12vrr_stack+16280, NULL, NULL, r12vrr_stack+10034);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16424, r12vrr_stack+15956, r12vrr_stack+16316, r12vrr_stack+15128, r12vrr_stack+238, r12vrr_stack+10062);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+29288, r12vrr_stack+16064, r12vrr_stack+16424, r12vrr_stack+23744, r12vrr_stack+15956, r12vrr_stack+10146);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+29648, r12vrr_stack+15164, r12vrr_stack+29288, r12vrr_stack+23852, r12vrr_stack+16064, r12vrr_stack+19908);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30188, r12vrr_stack+26228, r12vrr_stack+29648, r12vrr_stack+24068, r12vrr_stack+15164, r12vrr_stack+20188);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30944, r12vrr_stack+26768, r12vrr_stack+30188, r12vrr_stack+24788, r12vrr_stack+26228, r12vrr_stack+20608);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+31952, r12vrr_stack+28280, r12vrr_stack+30944, r12vrr_stack+27524, r12vrr_stack+26768, r12vrr_stack+21196);
 tmp = r12vrr_stack + 31952;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+964, r12vrr_stack+9317, r12vrr_stack+408, r12vrr_stack+5838, r12vrr_stack+5894, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16640, r12vrr_stack+9353, r12vrr_stack+9317, r12vrr_stack+5866, r12vrr_stack+5838, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16685, r12vrr_stack+408, r12vrr_stack+15128, r12vrr_stack+5894, r12vrr_stack+9009, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33248, r12vrr_stack+964, r12vrr_stack+16685, NULL, NULL, r12vrr_stack+408);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33383, r12vrr_stack+16640, r12vrr_stack+964, NULL, NULL, r12vrr_stack+9317);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33518, r12vrr_stack+33383, r12vrr_stack+33248, r12vrr_stack+16640, r12vrr_stack+964, r12vrr_stack+22988);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22988, r12vrr_stack+15092, r12vrr_stack+9353, r12vrr_stack+8981, r12vrr_stack+5866, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33788, r12vrr_stack+22988, r12vrr_stack+16640, NULL, NULL, r12vrr_stack+9353);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33923, r12vrr_stack+33788, r12vrr_stack+33383, r12vrr_stack+22988, r12vrr_stack+16640, r12vrr_stack+23096);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16640, r12vrr_stack+15128, r12vrr_stack+238, r12vrr_stack+9009, r12vrr_stack+9702, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23033, r12vrr_stack+16685, r12vrr_stack+16640, NULL, NULL, r12vrr_stack+15128);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34193, r12vrr_stack+33248, r12vrr_stack+23033, r12vrr_stack+964, r12vrr_stack+16685, r12vrr_stack+23744);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34463, r12vrr_stack+33518, r12vrr_stack+34193, r12vrr_stack+33383, r12vrr_stack+33248, r12vrr_stack+23852);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34913, r12vrr_stack+33923, r12vrr_stack+33518, r12vrr_stack+33788, r12vrr_stack+33383, r12vrr_stack+23204);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35363, r12vrr_stack+34913, r12vrr_stack+34463, r12vrr_stack+33923, r12vrr_stack+33518, r12vrr_stack+24068);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+964, r12vrr_stack+15596, r12vrr_stack+15092, r12vrr_stack+9422, r12vrr_stack+8981, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33383, r12vrr_stack+964, r12vrr_stack+22988, NULL, NULL, r12vrr_stack+15092);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23744, r12vrr_stack+33383, r12vrr_stack+33788, r12vrr_stack+964, r12vrr_stack+22988, r12vrr_stack+23420);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36038, r12vrr_stack+23744, r12vrr_stack+33923, r12vrr_stack+33383, r12vrr_stack+33788, r12vrr_stack+23528);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36488, r12vrr_stack+36038, r12vrr_stack+34913, r12vrr_stack+23744, r12vrr_stack+33923, r12vrr_stack+24428);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22988, r12vrr_stack+238, r12vrr_stack+16280, r12vrr_stack+9702, r12vrr_stack+10034, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33383, r12vrr_stack+16640, r12vrr_stack+22988, NULL, NULL, r12vrr_stack+238);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33788, r12vrr_stack+23033, r12vrr_stack+33383, r12vrr_stack+16685, r12vrr_stack+16640, r12vrr_stack+15956);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23168, r12vrr_stack+34193, r12vrr_stack+33788, r12vrr_stack+33248, r12vrr_stack+23033, r12vrr_stack+16064);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23618, r12vrr_stack+34463, r12vrr_stack+23168, r12vrr_stack+33518, r12vrr_stack+34193, r12vrr_stack+15164);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37163, r12vrr_stack+35363, r12vrr_stack+23618, r12vrr_stack+34913, r12vrr_stack+34463, r12vrr_stack+26228);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38108, r12vrr_stack+36488, r12vrr_stack+35363, r12vrr_stack+36038, r12vrr_stack+34913, r12vrr_stack+24788);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39053, r12vrr_stack+38108, r12vrr_stack+37163, r12vrr_stack+36488, r12vrr_stack+35363, r12vrr_stack+26768);
 tmp = r12vrr_stack + 39053;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+34913, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+34916, r12vrr_stack+554, r12vrr_stack+34913, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+34922, r12vrr_stack+362, r12vrr_stack+34916, r12vrr_stack+6, r12vrr_stack+554, NULL);

 /*--- compute (g0|00)^4 ---*/
 _BUILD_g000(Data,r12vrr_stack+34932, r12vrr_stack+368, r12vrr_stack+34922, r12vrr_stack+9, r12vrr_stack+362, NULL);

 /*--- compute (h0|00)^3 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+4685, r12vrr_stack+2934, r12vrr_stack+34932, r12vrr_stack+21, r12vrr_stack+368, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+79, r12vrr_stack+49, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+34947, r12vrr_stack+378, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+79, r12vrr_stack+34913);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+34965, r12vrr_stack+2949, r12vrr_stack+34947, r12vrr_stack+106, r12vrr_stack+378, r12vrr_stack+34916);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+964, r12vrr_stack+2967, r12vrr_stack+34965, r12vrr_stack+115, r12vrr_stack+2949, r12vrr_stack+34922);

 /*--- compute (h0|p0)^3 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+34995, r12vrr_stack+2997, r12vrr_stack+964, r12vrr_stack+133, r12vrr_stack+2967, r12vrr_stack+34932);

 /*--- compute (i0|p0)^2 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+35058, r12vrr_stack+3042, r12vrr_stack+34995, r12vrr_stack+193, r12vrr_stack+2997, r12vrr_stack+4685);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4685, r12vrr_stack+448, r12vrr_stack+15, NULL, NULL, r12vrr_stack+49);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+193, r12vrr_stack+58, r12vrr_stack+4685, r12vrr_stack+82, r12vrr_stack+448, r12vrr_stack+6);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+2934, r12vrr_stack+3105, r12vrr_stack+193, r12vrr_stack+88, r12vrr_stack+58, r12vrr_stack+34947);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+2994, r12vrr_stack+3141, r12vrr_stack+2934, r12vrr_stack+562, r12vrr_stack+3105, r12vrr_stack+34965);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+35142, r12vrr_stack+3201, r12vrr_stack+2994, r12vrr_stack+598, r12vrr_stack+3141, r12vrr_stack+964);

 /*--- compute (i0|d0)^2 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+36038, r12vrr_stack+3291, r12vrr_stack+35142, r12vrr_stack+658, r12vrr_stack+3201, r12vrr_stack+34995);

 /*--- compute (k0|d0)^1 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+36206, r12vrr_stack+3417, r12vrr_stack+36038, r12vrr_stack+838, r12vrr_stack+3291, r12vrr_stack+35058);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+34913, r12vrr_stack+748, r12vrr_stack+1117, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+34943, r12vrr_stack+163, r12vrr_stack+34913, r12vrr_stack+454, r12vrr_stack+748, r12vrr_stack+4685);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+35003, r12vrr_stack+758, r12vrr_stack+34943, r12vrr_stack+464, r12vrr_stack+163, r12vrr_stack+193);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+79, r12vrr_stack+3585, r12vrr_stack+35003, r12vrr_stack+494, r12vrr_stack+758, r12vrr_stack+2934);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3084, r12vrr_stack+3685, r12vrr_stack+79, r12vrr_stack+1984, r12vrr_stack+3585, r12vrr_stack+2994);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3294, r12vrr_stack+3835, r12vrr_stack+3084, r12vrr_stack+2084, r12vrr_stack+3685, r12vrr_stack+35142);

 /*--- compute (k0|f0)^1 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+36422, r12vrr_stack+4045, r12vrr_stack+3294, r12vrr_stack+2234, r12vrr_stack+3835, r12vrr_stack+36038);

 /*--- compute (l0|f0)^0 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1984, r12vrr_stack+4325, r12vrr_stack+36422, r12vrr_stack+2654, r12vrr_stack+4045, r12vrr_stack+36206);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+36038, r12vrr_stack+1127, r12vrr_stack+5739, NULL, NULL, r12vrr_stack+1117);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+36083, r12vrr_stack+1142, r12vrr_stack+36038, r12vrr_stack+1009, r12vrr_stack+1127, r12vrr_stack+34913);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2934, r12vrr_stack+1354, r12vrr_stack+36083, r12vrr_stack+1249, r12vrr_stack+1142, r12vrr_stack+34943);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+36173, r12vrr_stack+1444, r12vrr_stack+2934, r12vrr_stack+1024, r12vrr_stack+1354, r12vrr_stack+35003);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+34913, r12vrr_stack+7040, r12vrr_stack+36173, r12vrr_stack+5345, r12vrr_stack+1444, r12vrr_stack+79);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3574, r12vrr_stack+7265, r12vrr_stack+34913, r12vrr_stack+5495, r12vrr_stack+7040, r12vrr_stack+3084);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+24293, r12vrr_stack+7580, r12vrr_stack+3574, r12vrr_stack+5945, r12vrr_stack+7265, r12vrr_stack+3294);

 /*--- compute (l0|g0)^0 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+408, r12vrr_stack+8420, r12vrr_stack+24293, r12vrr_stack+8000, r12vrr_stack+7580, r12vrr_stack+36422);
 tmp = r12vrr_stack + 408;
 target_ptr = Libr12->gvrr_classes[8][4];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3084, r12vrr_stack+5754, r12vrr_stack+10013, NULL, NULL, r12vrr_stack+5739);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3147, r12vrr_stack+5775, r12vrr_stack+3084, r12vrr_stack+4916, r12vrr_stack+5754, r12vrr_stack+36038);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3273, r12vrr_stack+12656, r12vrr_stack+3147, r12vrr_stack+4937, r12vrr_stack+5775, r12vrr_stack+36083);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7040, r12vrr_stack+12782, r12vrr_stack+3273, r12vrr_stack+5000, r12vrr_stack+12656, r12vrr_stack+2934);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7355, r12vrr_stack+12992, r12vrr_stack+7040, r12vrr_stack+5126, r12vrr_stack+12782, r12vrr_stack+36173);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+36038, r12vrr_stack+13307, r12vrr_stack+7355, r12vrr_stack+10871, r12vrr_stack+12992, r12vrr_stack+34913);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4916, r12vrr_stack+13748, r12vrr_stack+36038, r12vrr_stack+11186, r12vrr_stack+13307, r12vrr_stack+3574);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12656, r12vrr_stack+14336, r12vrr_stack+4916, r12vrr_stack+12068, r12vrr_stack+13748, r12vrr_stack+24293);
 tmp = r12vrr_stack + 12656;
 target_ptr = Libr12->gvrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+24293, r12vrr_stack+10034, r12vrr_stack+299, NULL, NULL, r12vrr_stack+10013);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+24377, r12vrr_stack+10062, r12vrr_stack+24293, r12vrr_stack+9702, r12vrr_stack+10034, r12vrr_stack+3084);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+24545, r12vrr_stack+10146, r12vrr_stack+24377, r12vrr_stack+9730, r12vrr_stack+10062, r12vrr_stack+3147);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+24825, r12vrr_stack+19908, r12vrr_stack+24545, r12vrr_stack+9814, r12vrr_stack+10146, r12vrr_stack+3273);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5672, r12vrr_stack+20188, r12vrr_stack+24825, r12vrr_stack+9037, r12vrr_stack+19908, r12vrr_stack+7040);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2934, r12vrr_stack+20608, r12vrr_stack+5672, r12vrr_stack+17528, r12vrr_stack+20188, r12vrr_stack+7355);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+40313, r12vrr_stack+21196, r12vrr_stack+2934, r12vrr_stack+17948, r12vrr_stack+20608, r12vrr_stack+36038);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19908, r12vrr_stack+21980, r12vrr_stack+40313, r12vrr_stack+19124, r12vrr_stack+21196, r12vrr_stack+4916);
 tmp = r12vrr_stack + 19908;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+4916, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4919, r12vrr_stack+1114, r12vrr_stack+4916, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2434, r12vrr_stack+52, r12vrr_stack+4919, r12vrr_stack+0, r12vrr_stack+1114, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+37, r12vrr_stack+274, r12vrr_stack+2434, r12vrr_stack+9982, r12vrr_stack+52, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4685, r12vrr_stack+284, r12vrr_stack+37, r12vrr_stack+9988, r12vrr_stack+274, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+37, r12vrr_stack+387, r12vrr_stack+4685, r12vrr_stack+9998, r12vrr_stack+284, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4916, r12vrr_stack+299, r12vrr_stack+37, r12vrr_stack+10013, r12vrr_stack+387, NULL);

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4952, r12vrr_stack+16280, r12vrr_stack+4916, NULL, NULL, r12vrr_stack+299);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5060, r12vrr_stack+16316, r12vrr_stack+4952, r12vrr_stack+238, r12vrr_stack+16280, r12vrr_stack+24293);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5276, r12vrr_stack+16424, r12vrr_stack+5060, r12vrr_stack+15956, r12vrr_stack+16316, r12vrr_stack+24377);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+36038, r12vrr_stack+29288, r12vrr_stack+5276, r12vrr_stack+16064, r12vrr_stack+16424, r12vrr_stack+24545);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10871, r12vrr_stack+29648, r12vrr_stack+36038, r12vrr_stack+15164, r12vrr_stack+29288, r12vrr_stack+24825);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17528, r12vrr_stack+30188, r12vrr_stack+10871, r12vrr_stack+26228, r12vrr_stack+29648, r12vrr_stack+5672);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4952, r12vrr_stack+30944, r12vrr_stack+17528, r12vrr_stack+26768, r12vrr_stack+30188, r12vrr_stack+2934);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+41321, r12vrr_stack+31952, r12vrr_stack+4952, r12vrr_stack+28280, r12vrr_stack+30944, r12vrr_stack+40313);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40313, r12vrr_stack+16280, r12vrr_stack+4916, r12vrr_stack+10034, r12vrr_stack+299, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33248, r12vrr_stack+22988, r12vrr_stack+40313, NULL, NULL, r12vrr_stack+16280);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33518, r12vrr_stack+33383, r12vrr_stack+33248, r12vrr_stack+16640, r12vrr_stack+22988, r12vrr_stack+16316);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34913, r12vrr_stack+33788, r12vrr_stack+33518, r12vrr_stack+23033, r12vrr_stack+33383, r12vrr_stack+16424);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40313, r12vrr_stack+23168, r12vrr_stack+34913, r12vrr_stack+34193, r12vrr_stack+33788, r12vrr_stack+29288);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33248, r12vrr_stack+23618, r12vrr_stack+40313, r12vrr_stack+34463, r12vrr_stack+23168, r12vrr_stack+29648);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4916, r12vrr_stack+37163, r12vrr_stack+33248, r12vrr_stack+35363, r12vrr_stack+23618, r12vrr_stack+30188);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33248, r12vrr_stack+39053, r12vrr_stack+4916, r12vrr_stack+38108, r12vrr_stack+37163, r12vrr_stack+30944);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+4916, &(Data->ss_r12_ss), NULL, r12vrr_stack+76, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+4919, r12vrr_stack+4916, &(Data->ss_r12_ss), r12vrr_stack+31, r12vrr_stack+76, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+2434, r12vrr_stack+4919, r12vrr_stack+4916, r12vrr_stack+352, r12vrr_stack+31, r12vrr_stack+76, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+4925, r12vrr_stack+2434, r12vrr_stack+4919, r12vrr_stack+1294, r12vrr_stack+352, r12vrr_stack+31, NULL);

 /*--- compute (p0||g0)^0 ---*/
 _R_BUILD_p0g0(Data,r12vrr_stack+4940, r12vrr_stack+4925, NULL, r12vrr_stack+1309, r12vrr_stack+1294, NULL, r12vrr_stack+352);

 /*--- compute (d0||g0)^0 ---*/
 _R_BUILD_d0g0(Data,r12vrr_stack+4985, r12vrr_stack+4940, r12vrr_stack+4925, r12vrr_stack+6260, r12vrr_stack+1309, r12vrr_stack+1294, r12vrr_stack+1644);

 /*--- compute (f0||g0)^0 ---*/
 _R_BUILD_f0g0(Data,r12vrr_stack+5075, r12vrr_stack+4985, r12vrr_stack+4940, r12vrr_stack+6350, r12vrr_stack+6260, r12vrr_stack+1309, r12vrr_stack+1674);

 /*--- compute (g0||g0)^0 ---*/
 _R_BUILD_g0g0(Data,r12vrr_stack+5225, r12vrr_stack+5075, r12vrr_stack+4985, r12vrr_stack+6500, r12vrr_stack+6350, r12vrr_stack+6260, r12vrr_stack+1734);

 /*--- compute (h0||g0)^0 ---*/
 _R_BUILD_h0g0(Data,r12vrr_stack+5450, r12vrr_stack+5225, r12vrr_stack+5075, r12vrr_stack+6725, r12vrr_stack+6500, r12vrr_stack+6350, r12vrr_stack+1834);

 /*--- compute (i0||g0)^0 ---*/
 _R_BUILD_i0g0(Data,r12vrr_stack+5765, r12vrr_stack+5450, r12vrr_stack+5225, r12vrr_stack+8000, r12vrr_stack+6725, r12vrr_stack+6500, r12vrr_stack+2444);
 tmp = r12vrr_stack + 5765;
 target_ptr = Libr12->rvrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+4685, r12vrr_stack+4925, r12vrr_stack+2434, r12vrr_stack+4706, r12vrr_stack+1294, r12vrr_stack+352, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+2434, r12vrr_stack+4685, NULL, r12vrr_stack+4727, r12vrr_stack+4706, NULL, r12vrr_stack+1294);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+2497, r12vrr_stack+2434, r12vrr_stack+4685, r12vrr_stack+4790, r12vrr_stack+4727, r12vrr_stack+4706, r12vrr_stack+1309);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+1309, r12vrr_stack+2497, r12vrr_stack+2434, r12vrr_stack+10346, r12vrr_stack+4790, r12vrr_stack+4727, r12vrr_stack+6260);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+1519, r12vrr_stack+1309, r12vrr_stack+2497, r12vrr_stack+10556, r12vrr_stack+10346, r12vrr_stack+4790, r12vrr_stack+6350);

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+4940, r12vrr_stack+1519, r12vrr_stack+1309, r12vrr_stack+11627, r12vrr_stack+10556, r12vrr_stack+10346, r12vrr_stack+6500);

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+34868, r12vrr_stack+4940, r12vrr_stack+1519, r12vrr_stack+12068, r12vrr_stack+11627, r12vrr_stack+10556, r12vrr_stack+6725);
 tmp = r12vrr_stack + 34868;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+1309, r12vrr_stack+4685, r12vrr_stack+4925, r12vrr_stack+9422, r12vrr_stack+4706, r12vrr_stack+1294, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+1337, r12vrr_stack+1309, NULL, r12vrr_stack+9450, r12vrr_stack+9422, NULL, r12vrr_stack+4706);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+1421, r12vrr_stack+1337, r12vrr_stack+1309, r12vrr_stack+9534, r12vrr_stack+9450, r12vrr_stack+9422, r12vrr_stack+4727);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+1589, r12vrr_stack+1421, r12vrr_stack+1337, r12vrr_stack+16828, r12vrr_stack+9534, r12vrr_stack+9450, r12vrr_stack+4790);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+6185, r12vrr_stack+1589, r12vrr_stack+1421, r12vrr_stack+17108, r12vrr_stack+16828, r12vrr_stack+9534, r12vrr_stack+10346);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+35456, r12vrr_stack+6185, r12vrr_stack+1589, r12vrr_stack+18536, r12vrr_stack+17108, r12vrr_stack+16828, r12vrr_stack+10556);

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+36044, r12vrr_stack+35456, r12vrr_stack+6185, r12vrr_stack+19124, r12vrr_stack+18536, r12vrr_stack+17108, r12vrr_stack+11627);
 tmp = r12vrr_stack + 36044;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+6185, r12vrr_stack+1309, r12vrr_stack+4685, r12vrr_stack+15596, r12vrr_stack+9422, r12vrr_stack+4706, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+4685, r12vrr_stack+6185, NULL, r12vrr_stack+15632, r12vrr_stack+15596, NULL, r12vrr_stack+9422);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+6221, r12vrr_stack+4685, r12vrr_stack+6185, r12vrr_stack+15740, r12vrr_stack+15632, r12vrr_stack+15596, r12vrr_stack+9450);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+36828, r12vrr_stack+6221, r12vrr_stack+4685, r12vrr_stack+25328, r12vrr_stack+15740, r12vrr_stack+15632, r12vrr_stack+9534);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+37188, r12vrr_stack+36828, r12vrr_stack+6221, r12vrr_stack+25688, r12vrr_stack+25328, r12vrr_stack+15740, r12vrr_stack+16828);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+40313, r12vrr_stack+37188, r12vrr_stack+36828, r12vrr_stack+27524, r12vrr_stack+25688, r12vrr_stack+25328, r12vrr_stack+17108);

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+29288, r12vrr_stack+40313, r12vrr_stack+37188, r12vrr_stack+28280, r12vrr_stack+27524, r12vrr_stack+25688, r12vrr_stack+18536);
 tmp = r12vrr_stack + 29288;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+36828, r12vrr_stack+8000, r12vrr_stack+12068, r12vrr_stack+8420, r12vrr_stack+4325, r12vrr_stack+2654);
 tmp = r12vrr_stack + 36828;
 target_ptr = Libr12->t2vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+37248, r12vrr_stack+12068, r12vrr_stack+19124, r12vrr_stack+14336, r12vrr_stack+8420, r12vrr_stack+8000);
 tmp = r12vrr_stack + 37248;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+30296, r12vrr_stack+19124, r12vrr_stack+28280, r12vrr_stack+21980, r12vrr_stack+14336, r12vrr_stack+12068);
 tmp = r12vrr_stack + 30296;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+22988, r12vrr_stack+28280, r12vrr_stack+39053, r12vrr_stack+31952, r12vrr_stack+21980, r12vrr_stack+19124);
 tmp = r12vrr_stack + 22988;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|g0)^0 ---*/
 _T2_BUILD_k0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6185, r12vrr_stack+8420, r12vrr_stack+14336, r12vrr_stack+408, r12vrr_stack+1984, r12vrr_stack+4325);
 tmp = r12vrr_stack + 6185;
 target_ptr = Libr12->t2vrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31080, r12vrr_stack+14336, r12vrr_stack+21980, r12vrr_stack+12656, r12vrr_stack+408, r12vrr_stack+8420);
 tmp = r12vrr_stack + 31080;
 target_ptr = Libr12->t2vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23996, r12vrr_stack+21980, r12vrr_stack+31952, r12vrr_stack+19908, r12vrr_stack+12656, r12vrr_stack+14336);
 tmp = r12vrr_stack + 23996;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25004, r12vrr_stack+31952, r12vrr_stack+33248, r12vrr_stack+41321, r12vrr_stack+19908, r12vrr_stack+21980);
 tmp = r12vrr_stack + 25004;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_i0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+26300, r12vrr_stack+8000, r12vrr_stack+8420, r12vrr_stack+12068, r12vrr_stack+11627, r12vrr_stack+6725);
 tmp = r12vrr_stack + 26300;
 target_ptr = Libr12->t1vrr_classes[6][4];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+26720, r12vrr_stack+12068, r12vrr_stack+14336, r12vrr_stack+19124, r12vrr_stack+18536, r12vrr_stack+11627);
 tmp = r12vrr_stack + 26720;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2934, r12vrr_stack+19124, r12vrr_stack+21980, r12vrr_stack+28280, r12vrr_stack+27524, r12vrr_stack+18536);
 tmp = r12vrr_stack + 2934;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3718, r12vrr_stack+28280, r12vrr_stack+31952, r12vrr_stack+39053, r12vrr_stack+38108, r12vrr_stack+27524);
 tmp = r12vrr_stack + 3718;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|g0)^0 ---*/
 _T1_BUILD_k0g0(Data,&(Libr12->ShellQuartet),r12vrr_stack+37836, r12vrr_stack+8420, r12vrr_stack+408, r12vrr_stack+14336, r12vrr_stack+12068, r12vrr_stack+8000);
 tmp = r12vrr_stack + 37836;
 target_ptr = Libr12->t1vrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+14336, r12vrr_stack+12656, r12vrr_stack+21980, r12vrr_stack+19124, r12vrr_stack+12068);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12656, r12vrr_stack+21980, r12vrr_stack+19908, r12vrr_stack+31952, r12vrr_stack+28280, r12vrr_stack+19124);
 tmp = r12vrr_stack + 12656;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19908, r12vrr_stack+31952, r12vrr_stack+41321, r12vrr_stack+33248, r12vrr_stack+39053, r12vrr_stack+28280);
 tmp = r12vrr_stack + 19908;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||g0)^0 ---*/
 _R_BUILD_k0g0(Data,r12vrr_stack+33248, r12vrr_stack+5765, r12vrr_stack+5450, r12vrr_stack+8420, r12vrr_stack+8000, r12vrr_stack+6725, r12vrr_stack+2654);
 tmp = r12vrr_stack + 33248;
 target_ptr = Libr12->rvrr_classes[7][4];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||h0)^0 ---*/
 _R_BUILD_k0h0(Data,r12vrr_stack+6725, r12vrr_stack+34868, r12vrr_stack+4940, r12vrr_stack+14336, r12vrr_stack+12068, r12vrr_stack+11627, r12vrr_stack+8000);
 tmp = r12vrr_stack + 6725;
 target_ptr = Libr12->rvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+7481, r12vrr_stack+36044, r12vrr_stack+35456, r12vrr_stack+21980, r12vrr_stack+19124, r12vrr_stack+18536, r12vrr_stack+12068);
 tmp = r12vrr_stack + 7481;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+8489, r12vrr_stack+29288, r12vrr_stack+40313, r12vrr_stack+31952, r12vrr_stack+28280, r12vrr_stack+27524, r12vrr_stack+19124);
 tmp = r12vrr_stack + 8489;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];


}

