#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_iphh(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+27, r12vrr_stack+15, NULL, NULL, Data->F+4);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+27, r12vrr_stack+15, r12vrr_stack+3);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+6);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+15, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+123, r12vrr_stack+27, r12vrr_stack+15, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+129, r12vrr_stack+12, r12vrr_stack+39, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+135, r12vrr_stack+117, r12vrr_stack+129, NULL, NULL, r12vrr_stack+12);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+153, r12vrr_stack+123, r12vrr_stack+117, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+171, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+18);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+207, r12vrr_stack+27, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+216, r12vrr_stack+210, r12vrr_stack+123, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+234, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+30);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+39, r12vrr_stack+30, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+270, r12vrr_stack+129, r12vrr_stack+33, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+288, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+42);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+324, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+51);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+384, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+69);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+444, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+87);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+534, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+544, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+27, r12vrr_stack+15, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+554, r12vrr_stack+544, r12vrr_stack+534, NULL, NULL, r12vrr_stack+117);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+584, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+207, r12vrr_stack+27, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+594, r12vrr_stack+584, r12vrr_stack+544, NULL, NULL, r12vrr_stack+123);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+624, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+634, r12vrr_stack+534, r12vrr_stack+624, NULL, NULL, r12vrr_stack+129);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+664, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+135);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+724, r12vrr_stack+594, r12vrr_stack+554, r12vrr_stack+584, r12vrr_stack+544, r12vrr_stack+153);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+784, r12vrr_stack+724, r12vrr_stack+664, r12vrr_stack+594, r12vrr_stack+554, r12vrr_stack+171);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+153, r12vrr_stack+27, r12vrr_stack+207, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+159, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+27, r12vrr_stack+207, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+884, r12vrr_stack+159, r12vrr_stack+584, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+914, r12vrr_stack+884, r12vrr_stack+594, r12vrr_stack+159, r12vrr_stack+584, r12vrr_stack+216);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+974, r12vrr_stack+914, r12vrr_stack+724, r12vrr_stack+884, r12vrr_stack+594, r12vrr_stack+234);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+216, r12vrr_stack+30, r12vrr_stack+207, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+222, r12vrr_stack+33, r12vrr_stack+216, r12vrr_stack+39, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+232, r12vrr_stack+624, r12vrr_stack+222, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1074, r12vrr_stack+634, r12vrr_stack+232, r12vrr_stack+534, r12vrr_stack+624, r12vrr_stack+270);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1134, r12vrr_stack+664, r12vrr_stack+1074, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+288);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1234, r12vrr_stack+784, r12vrr_stack+1134, r12vrr_stack+724, r12vrr_stack+664, r12vrr_stack+324);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1384, r12vrr_stack+974, r12vrr_stack+784, r12vrr_stack+914, r12vrr_stack+724, r12vrr_stack+384);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1384, r12vrr_stack+1234, r12vrr_stack+974, r12vrr_stack+784, r12vrr_stack+444);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1744, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+123, r12vrr_stack+117, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1759, r12vrr_stack+584, r12vrr_stack+544, r12vrr_stack+210, r12vrr_stack+123, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1774, r12vrr_stack+534, r12vrr_stack+624, r12vrr_stack+117, r12vrr_stack+129, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1789, r12vrr_stack+1744, r12vrr_stack+1774, NULL, NULL, r12vrr_stack+534);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1834, r12vrr_stack+1759, r12vrr_stack+1744, NULL, NULL, r12vrr_stack+544);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1879, r12vrr_stack+1834, r12vrr_stack+1789, r12vrr_stack+1759, r12vrr_stack+1744, r12vrr_stack+554);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+159, r12vrr_stack+584, r12vrr_stack+153, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1969, r12vrr_stack+554, r12vrr_stack+1759, NULL, NULL, r12vrr_stack+584);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2014, r12vrr_stack+1969, r12vrr_stack+1834, r12vrr_stack+554, r12vrr_stack+1759, r12vrr_stack+594);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+569, r12vrr_stack+624, r12vrr_stack+222, r12vrr_stack+129, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2104, r12vrr_stack+1774, r12vrr_stack+569, NULL, NULL, r12vrr_stack+624);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2149, r12vrr_stack+1789, r12vrr_stack+2104, r12vrr_stack+1744, r12vrr_stack+1774, r12vrr_stack+634);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2239, r12vrr_stack+1879, r12vrr_stack+2149, r12vrr_stack+1834, r12vrr_stack+1789, r12vrr_stack+664);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2389, r12vrr_stack+2014, r12vrr_stack+1879, r12vrr_stack+1969, r12vrr_stack+1834, r12vrr_stack+724);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2539, r12vrr_stack+2389, r12vrr_stack+2239, r12vrr_stack+2014, r12vrr_stack+1879, r12vrr_stack+784);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+15, r12vrr_stack+27, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+724, r12vrr_stack+210, r12vrr_stack+153, r12vrr_stack+15, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+734, r12vrr_stack+724, r12vrr_stack+159, r12vrr_stack+210, r12vrr_stack+153, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2764, r12vrr_stack+734, r12vrr_stack+554, NULL, NULL, r12vrr_stack+159);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2809, r12vrr_stack+2764, r12vrr_stack+1969, r12vrr_stack+734, r12vrr_stack+554, r12vrr_stack+884);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2899, r12vrr_stack+2809, r12vrr_stack+2014, r12vrr_stack+2764, r12vrr_stack+1969, r12vrr_stack+914);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3049, r12vrr_stack+2899, r12vrr_stack+2389, r12vrr_stack+2809, r12vrr_stack+2014, r12vrr_stack+974);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+153, r12vrr_stack+207, r12vrr_stack+27, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+884, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+30, r12vrr_stack+207, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+894, r12vrr_stack+222, r12vrr_stack+884, r12vrr_stack+33, r12vrr_stack+216, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+909, r12vrr_stack+569, r12vrr_stack+894, NULL, NULL, r12vrr_stack+222);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+954, r12vrr_stack+2104, r12vrr_stack+909, r12vrr_stack+1774, r12vrr_stack+569, r12vrr_stack+232);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3274, r12vrr_stack+2149, r12vrr_stack+954, r12vrr_stack+1789, r12vrr_stack+2104, r12vrr_stack+1074);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3424, r12vrr_stack+2239, r12vrr_stack+3274, r12vrr_stack+1879, r12vrr_stack+2149, r12vrr_stack+1134);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3649, r12vrr_stack+2539, r12vrr_stack+3424, r12vrr_stack+2389, r12vrr_stack+2239, r12vrr_stack+1234);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3964, r12vrr_stack+3049, r12vrr_stack+2539, r12vrr_stack+2899, r12vrr_stack+2389, r12vrr_stack+1384);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4279, r12vrr_stack+3964, r12vrr_stack+3649, r12vrr_stack+3049, r12vrr_stack+2539, r12vrr_stack+1534);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1044, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+1047, r12vrr_stack+0, r12vrr_stack+1044, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+1053, r12vrr_stack+6, r12vrr_stack+1047, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1063, r12vrr_stack+39, r12vrr_stack+30, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+749, r12vrr_stack+42, r12vrr_stack+1063, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+1044);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+594, r12vrr_stack+51, r12vrr_stack+749, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+1047);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+4699, r12vrr_stack+87, r12vrr_stack+594, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+1053);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+69, r12vrr_stack+33, r12vrr_stack+216, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4744, r12vrr_stack+270, r12vrr_stack+69, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+1063);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4780, r12vrr_stack+288, r12vrr_stack+4744, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+749);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+4840, r12vrr_stack+324, r12vrr_stack+4780, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+594);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+4930, r12vrr_stack+444, r12vrr_stack+4840, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+4699);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+384, r12vrr_stack+222, r12vrr_stack+884, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+5056, r12vrr_stack+232, r12vrr_stack+384, r12vrr_stack+624, r12vrr_stack+222, r12vrr_stack+69);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+5116, r12vrr_stack+1074, r12vrr_stack+5056, r12vrr_stack+634, r12vrr_stack+232, r12vrr_stack+4744);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+5216, r12vrr_stack+1134, r12vrr_stack+5116, r12vrr_stack+664, r12vrr_stack+1074, r12vrr_stack+4780);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+5366, r12vrr_stack+1234, r12vrr_stack+5216, r12vrr_stack+784, r12vrr_stack+1134, r12vrr_stack+4840);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+5576, r12vrr_stack+1534, r12vrr_stack+5366, r12vrr_stack+1384, r12vrr_stack+1234, r12vrr_stack+4930);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1384, r12vrr_stack+27, r12vrr_stack+12, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1390, r12vrr_stack+153, r12vrr_stack+1384, r12vrr_stack+207, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1400, r12vrr_stack+884, r12vrr_stack+1390, r12vrr_stack+216, r12vrr_stack+153, NULL);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1415, r12vrr_stack+894, r12vrr_stack+1400, NULL, NULL, r12vrr_stack+884);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+634, r12vrr_stack+909, r12vrr_stack+1415, r12vrr_stack+569, r12vrr_stack+894, r12vrr_stack+384);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5856, r12vrr_stack+954, r12vrr_stack+634, r12vrr_stack+2104, r12vrr_stack+909, r12vrr_stack+5056);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+6006, r12vrr_stack+3274, r12vrr_stack+5856, r12vrr_stack+2149, r12vrr_stack+954, r12vrr_stack+5116);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6231, r12vrr_stack+3424, r12vrr_stack+6006, r12vrr_stack+2239, r12vrr_stack+3274, r12vrr_stack+5216);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6546, r12vrr_stack+3649, r12vrr_stack+6231, r12vrr_stack+2539, r12vrr_stack+3424, r12vrr_stack+5366);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6966, r12vrr_stack+4279, r12vrr_stack+6546, r12vrr_stack+3964, r12vrr_stack+3649, r12vrr_stack+5576);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1460, r12vrr_stack+1774, r12vrr_stack+569, r12vrr_stack+534, r12vrr_stack+624, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1481, r12vrr_stack+1744, r12vrr_stack+1774, r12vrr_stack+544, r12vrr_stack+534, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+767, r12vrr_stack+1481, r12vrr_stack+1460, NULL, NULL, r12vrr_stack+1774);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1502, r12vrr_stack+1759, r12vrr_stack+1744, r12vrr_stack+584, r12vrr_stack+544, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7506, r12vrr_stack+1502, r12vrr_stack+1481, NULL, NULL, r12vrr_stack+1744);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+414, r12vrr_stack+569, r12vrr_stack+894, r12vrr_stack+624, r12vrr_stack+222, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7569, r12vrr_stack+1460, r12vrr_stack+414, NULL, NULL, r12vrr_stack+569);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7632, r12vrr_stack+767, r12vrr_stack+7569, r12vrr_stack+1481, r12vrr_stack+1460, r12vrr_stack+2104);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7758, r12vrr_stack+7506, r12vrr_stack+767, r12vrr_stack+1502, r12vrr_stack+1481, r12vrr_stack+1789);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7884, r12vrr_stack+7758, r12vrr_stack+7632, r12vrr_stack+7506, r12vrr_stack+767, r12vrr_stack+2149);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1789, r12vrr_stack+554, r12vrr_stack+1759, r12vrr_stack+159, r12vrr_stack+584, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2104, r12vrr_stack+1789, r12vrr_stack+1502, NULL, NULL, r12vrr_stack+1759);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8094, r12vrr_stack+2104, r12vrr_stack+7506, r12vrr_stack+1789, r12vrr_stack+1502, r12vrr_stack+1834);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8220, r12vrr_stack+8094, r12vrr_stack+7758, r12vrr_stack+2104, r12vrr_stack+7506, r12vrr_stack+1879);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1810, r12vrr_stack+894, r12vrr_stack+1400, r12vrr_stack+222, r12vrr_stack+884, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1831, r12vrr_stack+414, r12vrr_stack+1810, NULL, NULL, r12vrr_stack+894);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8430, r12vrr_stack+7569, r12vrr_stack+1831, r12vrr_stack+1460, r12vrr_stack+414, r12vrr_stack+909);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8556, r12vrr_stack+7632, r12vrr_stack+8430, r12vrr_stack+767, r12vrr_stack+7569, r12vrr_stack+954);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8766, r12vrr_stack+7884, r12vrr_stack+8556, r12vrr_stack+7758, r12vrr_stack+7632, r12vrr_stack+3274);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9081, r12vrr_stack+8220, r12vrr_stack+7884, r12vrr_stack+8094, r12vrr_stack+7758, r12vrr_stack+2239);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9396, r12vrr_stack+9081, r12vrr_stack+8766, r12vrr_stack+8220, r12vrr_stack+7884, r12vrr_stack+3424);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1894, r12vrr_stack+734, r12vrr_stack+554, r12vrr_stack+724, r12vrr_stack+159, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2167, r12vrr_stack+1894, r12vrr_stack+1789, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2230, r12vrr_stack+2167, r12vrr_stack+2104, r12vrr_stack+1894, r12vrr_stack+1789, r12vrr_stack+1969);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9837, r12vrr_stack+2230, r12vrr_stack+8094, r12vrr_stack+2167, r12vrr_stack+2104, r12vrr_stack+2014);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10047, r12vrr_stack+9837, r12vrr_stack+8220, r12vrr_stack+2230, r12vrr_stack+8094, r12vrr_stack+2389);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10362, r12vrr_stack+10047, r12vrr_stack+9081, r12vrr_stack+9837, r12vrr_stack+8220, r12vrr_stack+2539);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+159, r12vrr_stack+12, r12vrr_stack+3, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+584, r12vrr_stack+1384, r12vrr_stack+159, r12vrr_stack+27, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+165, r12vrr_stack+1390, r12vrr_stack+584, r12vrr_stack+153, r12vrr_stack+1384, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+180, r12vrr_stack+1400, r12vrr_stack+165, r12vrr_stack+884, r12vrr_stack+1390, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1915, r12vrr_stack+1810, r12vrr_stack+180, NULL, NULL, r12vrr_stack+1400);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1978, r12vrr_stack+1831, r12vrr_stack+1915, r12vrr_stack+414, r12vrr_stack+1810, r12vrr_stack+1415);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2356, r12vrr_stack+8430, r12vrr_stack+1978, r12vrr_stack+7569, r12vrr_stack+1831, r12vrr_stack+634);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10803, r12vrr_stack+8556, r12vrr_stack+2356, r12vrr_stack+7632, r12vrr_stack+8430, r12vrr_stack+5856);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11118, r12vrr_stack+8766, r12vrr_stack+10803, r12vrr_stack+7884, r12vrr_stack+8556, r12vrr_stack+6006);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11559, r12vrr_stack+9396, r12vrr_stack+11118, r12vrr_stack+9081, r12vrr_stack+8766, r12vrr_stack+6231);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12147, r12vrr_stack+10362, r12vrr_stack+9396, r12vrr_stack+10047, r12vrr_stack+9081, r12vrr_stack+3649);
 tmp = r12vrr_stack + 12147;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12735, r12vrr_stack+12147, r12vrr_stack+11559, r12vrr_stack+10362, r12vrr_stack+9396, r12vrr_stack+6546);
 tmp = r12vrr_stack + 12735;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2566, r12vrr_stack+1481, r12vrr_stack+1460, r12vrr_stack+1744, r12vrr_stack+1774, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2594, r12vrr_stack+1502, r12vrr_stack+1481, r12vrr_stack+1759, r12vrr_stack+1744, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2622, r12vrr_stack+1460, r12vrr_stack+414, r12vrr_stack+1774, r12vrr_stack+569, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2650, r12vrr_stack+2566, r12vrr_stack+2622, NULL, NULL, r12vrr_stack+1460);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13491, r12vrr_stack+2594, r12vrr_stack+2566, NULL, NULL, r12vrr_stack+1481);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13575, r12vrr_stack+13491, r12vrr_stack+2650, r12vrr_stack+2594, r12vrr_stack+2566, r12vrr_stack+767);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+767, r12vrr_stack+1789, r12vrr_stack+1502, r12vrr_stack+554, r12vrr_stack+1759, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+795, r12vrr_stack+767, r12vrr_stack+2594, NULL, NULL, r12vrr_stack+1502);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13743, r12vrr_stack+795, r12vrr_stack+13491, r12vrr_stack+767, r12vrr_stack+2594, r12vrr_stack+7506);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7506, r12vrr_stack+414, r12vrr_stack+1810, r12vrr_stack+569, r12vrr_stack+894, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13911, r12vrr_stack+2622, r12vrr_stack+7506, NULL, NULL, r12vrr_stack+414);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13995, r12vrr_stack+2650, r12vrr_stack+13911, r12vrr_stack+2566, r12vrr_stack+2622, r12vrr_stack+7569);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14163, r12vrr_stack+13575, r12vrr_stack+13995, r12vrr_stack+13491, r12vrr_stack+2650, r12vrr_stack+7632);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14443, r12vrr_stack+13743, r12vrr_stack+13575, r12vrr_stack+795, r12vrr_stack+13491, r12vrr_stack+7758);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14723, r12vrr_stack+14443, r12vrr_stack+14163, r12vrr_stack+13743, r12vrr_stack+13575, r12vrr_stack+7884);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7534, r12vrr_stack+1894, r12vrr_stack+1789, r12vrr_stack+734, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7562, r12vrr_stack+7534, r12vrr_stack+767, NULL, NULL, r12vrr_stack+1789);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7646, r12vrr_stack+7562, r12vrr_stack+795, r12vrr_stack+7534, r12vrr_stack+767, r12vrr_stack+2104);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7814, r12vrr_stack+7646, r12vrr_stack+13743, r12vrr_stack+7562, r12vrr_stack+795, r12vrr_stack+8094);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15143, r12vrr_stack+7814, r12vrr_stack+14443, r12vrr_stack+7646, r12vrr_stack+13743, r12vrr_stack+8220);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8094, r12vrr_stack+1810, r12vrr_stack+180, r12vrr_stack+894, r12vrr_stack+1400, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8122, r12vrr_stack+7506, r12vrr_stack+8094, NULL, NULL, r12vrr_stack+1810);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8206, r12vrr_stack+13911, r12vrr_stack+8122, r12vrr_stack+2622, r12vrr_stack+7506, r12vrr_stack+1831);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15563, r12vrr_stack+13995, r12vrr_stack+8206, r12vrr_stack+2650, r12vrr_stack+13911, r12vrr_stack+8430);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15843, r12vrr_stack+14163, r12vrr_stack+15563, r12vrr_stack+13575, r12vrr_stack+13995, r12vrr_stack+8556);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16263, r12vrr_stack+14723, r12vrr_stack+15843, r12vrr_stack+14443, r12vrr_stack+14163, r12vrr_stack+8766);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16851, r12vrr_stack+15143, r12vrr_stack+14723, r12vrr_stack+7814, r12vrr_stack+14443, r12vrr_stack+9081);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17439, r12vrr_stack+16851, r12vrr_stack+16263, r12vrr_stack+15143, r12vrr_stack+14723, r12vrr_stack+9396);
 tmp = r12vrr_stack + 17439;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9081, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+201, r12vrr_stack+3, r12vrr_stack+9081, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+624, r12vrr_stack+159, r12vrr_stack+201, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+9084, r12vrr_stack+584, r12vrr_stack+624, r12vrr_stack+1384, r12vrr_stack+159, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9099, r12vrr_stack+165, r12vrr_stack+9084, r12vrr_stack+1390, r12vrr_stack+584, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9120, r12vrr_stack+180, r12vrr_stack+9099, r12vrr_stack+1400, r12vrr_stack+165, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9148, r12vrr_stack+8094, r12vrr_stack+9120, NULL, NULL, r12vrr_stack+180);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18223, r12vrr_stack+8122, r12vrr_stack+9148, r12vrr_stack+7506, r12vrr_stack+8094, r12vrr_stack+1915);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18391, r12vrr_stack+8206, r12vrr_stack+18223, r12vrr_stack+13911, r12vrr_stack+8122, r12vrr_stack+1978);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18671, r12vrr_stack+15563, r12vrr_stack+18391, r12vrr_stack+13995, r12vrr_stack+8206, r12vrr_stack+2356);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19091, r12vrr_stack+15843, r12vrr_stack+18671, r12vrr_stack+14163, r12vrr_stack+15563, r12vrr_stack+10803);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19679, r12vrr_stack+16263, r12vrr_stack+19091, r12vrr_stack+14723, r12vrr_stack+15843, r12vrr_stack+11118);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+20463, r12vrr_stack+17439, r12vrr_stack+19679, r12vrr_stack+16851, r12vrr_stack+16263, r12vrr_stack+11559);
 tmp = r12vrr_stack + 20463;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+117, r12vrr_stack+2566, r12vrr_stack+2622, r12vrr_stack+1481, r12vrr_stack+1460, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9232, r12vrr_stack+2594, r12vrr_stack+2566, r12vrr_stack+1502, r12vrr_stack+1481, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9268, r12vrr_stack+2622, r12vrr_stack+7506, r12vrr_stack+1460, r12vrr_stack+414, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21471, r12vrr_stack+117, r12vrr_stack+9268, NULL, NULL, r12vrr_stack+2622);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21579, r12vrr_stack+9232, r12vrr_stack+117, NULL, NULL, r12vrr_stack+2566);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21687, r12vrr_stack+21579, r12vrr_stack+21471, r12vrr_stack+9232, r12vrr_stack+117, r12vrr_stack+2650);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2650, r12vrr_stack+767, r12vrr_stack+2594, r12vrr_stack+1789, r12vrr_stack+1502, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21903, r12vrr_stack+2650, r12vrr_stack+9232, NULL, NULL, r12vrr_stack+2594);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22011, r12vrr_stack+21903, r12vrr_stack+21579, r12vrr_stack+2650, r12vrr_stack+9232, r12vrr_stack+13491);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13491, r12vrr_stack+7506, r12vrr_stack+8094, r12vrr_stack+414, r12vrr_stack+1810, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22227, r12vrr_stack+9268, r12vrr_stack+13491, NULL, NULL, r12vrr_stack+7506);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22335, r12vrr_stack+21471, r12vrr_stack+22227, r12vrr_stack+117, r12vrr_stack+9268, r12vrr_stack+13911);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22551, r12vrr_stack+21687, r12vrr_stack+22335, r12vrr_stack+21579, r12vrr_stack+21471, r12vrr_stack+13995);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22911, r12vrr_stack+22011, r12vrr_stack+21687, r12vrr_stack+21903, r12vrr_stack+21579, r12vrr_stack+13575);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23271, r12vrr_stack+22911, r12vrr_stack+22551, r12vrr_stack+22011, r12vrr_stack+21687, r12vrr_stack+14163);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13911, r12vrr_stack+7534, r12vrr_stack+767, r12vrr_stack+1894, r12vrr_stack+1789, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13947, r12vrr_stack+13911, r12vrr_stack+2650, NULL, NULL, r12vrr_stack+767);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13527, r12vrr_stack+13947, r12vrr_stack+21903, r12vrr_stack+13911, r12vrr_stack+2650, r12vrr_stack+795);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14055, r12vrr_stack+13527, r12vrr_stack+22011, r12vrr_stack+13947, r12vrr_stack+21903, r12vrr_stack+13743);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23811, r12vrr_stack+14055, r12vrr_stack+22911, r12vrr_stack+13527, r12vrr_stack+22011, r12vrr_stack+14443);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13743, r12vrr_stack+8094, r12vrr_stack+9120, r12vrr_stack+1810, r12vrr_stack+180, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13779, r12vrr_stack+13491, r12vrr_stack+13743, NULL, NULL, r12vrr_stack+8094);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14415, r12vrr_stack+22227, r12vrr_stack+13779, r12vrr_stack+9268, r12vrr_stack+13491, r12vrr_stack+8122);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24351, r12vrr_stack+22335, r12vrr_stack+14415, r12vrr_stack+21471, r12vrr_stack+22227, r12vrr_stack+8206);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24711, r12vrr_stack+22551, r12vrr_stack+24351, r12vrr_stack+21687, r12vrr_stack+22335, r12vrr_stack+15563);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25251, r12vrr_stack+23271, r12vrr_stack+24711, r12vrr_stack+22911, r12vrr_stack+22551, r12vrr_stack+15843);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26007, r12vrr_stack+23811, r12vrr_stack+23271, r12vrr_stack+14055, r12vrr_stack+22911, r12vrr_stack+14723);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26763, r12vrr_stack+26007, r12vrr_stack+25251, r12vrr_stack+23811, r12vrr_stack+23271, r12vrr_stack+16263);
 tmp = r12vrr_stack + 26763;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1384, r12vrr_stack+9081, r12vrr_stack+12, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13887, r12vrr_stack+201, r12vrr_stack+1384, r12vrr_stack+3, r12vrr_stack+9081, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+795, r12vrr_stack+624, r12vrr_stack+13887, r12vrr_stack+159, r12vrr_stack+201, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+810, r12vrr_stack+9084, r12vrr_stack+795, r12vrr_stack+584, r12vrr_stack+624, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+831, r12vrr_stack+9099, r12vrr_stack+810, r12vrr_stack+165, r12vrr_stack+9084, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14631, r12vrr_stack+9120, r12vrr_stack+831, r12vrr_stack+180, r12vrr_stack+9099, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14667, r12vrr_stack+13743, r12vrr_stack+14631, NULL, NULL, r12vrr_stack+9120);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14775, r12vrr_stack+13779, r12vrr_stack+14667, r12vrr_stack+13491, r12vrr_stack+13743, r12vrr_stack+9148);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27771, r12vrr_stack+14415, r12vrr_stack+14775, r12vrr_stack+22227, r12vrr_stack+13779, r12vrr_stack+18223);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28131, r12vrr_stack+24351, r12vrr_stack+27771, r12vrr_stack+22335, r12vrr_stack+14415, r12vrr_stack+18391);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28671, r12vrr_stack+24711, r12vrr_stack+28131, r12vrr_stack+22551, r12vrr_stack+24351, r12vrr_stack+18671);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+29427, r12vrr_stack+25251, r12vrr_stack+28671, r12vrr_stack+23271, r12vrr_stack+24711, r12vrr_stack+19091);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30435, r12vrr_stack+26763, r12vrr_stack+29427, r12vrr_stack+26007, r12vrr_stack+25251, r12vrr_stack+19679);
 tmp = r12vrr_stack + 30435;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14991, r12vrr_stack+117, r12vrr_stack+9268, r12vrr_stack+2566, r12vrr_stack+2622, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15036, r12vrr_stack+9232, r12vrr_stack+117, r12vrr_stack+2594, r12vrr_stack+2566, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15081, r12vrr_stack+9268, r12vrr_stack+13491, r12vrr_stack+2622, r12vrr_stack+7506, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31731, r12vrr_stack+14991, r12vrr_stack+15081, NULL, NULL, r12vrr_stack+9268);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31866, r12vrr_stack+15036, r12vrr_stack+14991, NULL, NULL, r12vrr_stack+117);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32001, r12vrr_stack+31866, r12vrr_stack+31731, r12vrr_stack+15036, r12vrr_stack+14991, r12vrr_stack+21471);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21471, r12vrr_stack+2650, r12vrr_stack+9232, r12vrr_stack+767, r12vrr_stack+2594, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32271, r12vrr_stack+21471, r12vrr_stack+15036, NULL, NULL, r12vrr_stack+9232);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32406, r12vrr_stack+32271, r12vrr_stack+31866, r12vrr_stack+21471, r12vrr_stack+15036, r12vrr_stack+21579);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21516, r12vrr_stack+13491, r12vrr_stack+13743, r12vrr_stack+7506, r12vrr_stack+8094, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32676, r12vrr_stack+15081, r12vrr_stack+21516, NULL, NULL, r12vrr_stack+13491);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32811, r12vrr_stack+31731, r12vrr_stack+32676, r12vrr_stack+14991, r12vrr_stack+15081, r12vrr_stack+22227);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33081, r12vrr_stack+32001, r12vrr_stack+32811, r12vrr_stack+31866, r12vrr_stack+31731, r12vrr_stack+22335);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33531, r12vrr_stack+32406, r12vrr_stack+32001, r12vrr_stack+32271, r12vrr_stack+31866, r12vrr_stack+21687);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33981, r12vrr_stack+33531, r12vrr_stack+33081, r12vrr_stack+32406, r12vrr_stack+32001, r12vrr_stack+22551);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22227, r12vrr_stack+13911, r12vrr_stack+2650, r12vrr_stack+7534, r12vrr_stack+767, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22272, r12vrr_stack+22227, r12vrr_stack+21471, NULL, NULL, r12vrr_stack+2650);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22407, r12vrr_stack+22272, r12vrr_stack+32271, r12vrr_stack+22227, r12vrr_stack+21471, r12vrr_stack+21903);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21561, r12vrr_stack+22407, r12vrr_stack+32406, r12vrr_stack+22272, r12vrr_stack+32271, r12vrr_stack+22011);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34656, r12vrr_stack+21561, r12vrr_stack+33531, r12vrr_stack+22407, r12vrr_stack+32406, r12vrr_stack+22911);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22011, r12vrr_stack+13743, r12vrr_stack+14631, r12vrr_stack+8094, r12vrr_stack+9120, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22056, r12vrr_stack+21516, r12vrr_stack+22011, NULL, NULL, r12vrr_stack+13743);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22677, r12vrr_stack+32676, r12vrr_stack+22056, r12vrr_stack+15081, r12vrr_stack+21516, r12vrr_stack+13779);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35331, r12vrr_stack+32811, r12vrr_stack+22677, r12vrr_stack+31731, r12vrr_stack+32676, r12vrr_stack+14415);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35781, r12vrr_stack+33081, r12vrr_stack+35331, r12vrr_stack+32001, r12vrr_stack+32811, r12vrr_stack+24351);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36456, r12vrr_stack+33981, r12vrr_stack+35781, r12vrr_stack+33531, r12vrr_stack+33081, r12vrr_stack+24711);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37401, r12vrr_stack+34656, r12vrr_stack+33981, r12vrr_stack+21561, r12vrr_stack+33531, r12vrr_stack+23271);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38346, r12vrr_stack+37401, r12vrr_stack+36456, r12vrr_stack+34656, r12vrr_stack+33981, r12vrr_stack+25251);
 tmp = r12vrr_stack + 38346;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+159, r12vrr_stack+12, r12vrr_stack+3, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+22191, r12vrr_stack+1384, r12vrr_stack+159, r12vrr_stack+9081, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+22201, r12vrr_stack+13887, r12vrr_stack+22191, r12vrr_stack+201, r12vrr_stack+1384, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+767, r12vrr_stack+795, r12vrr_stack+22201, r12vrr_stack+624, r12vrr_stack+13887, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7506, r12vrr_stack+810, r12vrr_stack+767, r12vrr_stack+9084, r12vrr_stack+795, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22947, r12vrr_stack+831, r12vrr_stack+7506, r12vrr_stack+9099, r12vrr_stack+810, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22983, r12vrr_stack+14631, r12vrr_stack+22947, r12vrr_stack+9120, r12vrr_stack+831, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23028, r12vrr_stack+22011, r12vrr_stack+22983, NULL, NULL, r12vrr_stack+14631);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23163, r12vrr_stack+22056, r12vrr_stack+23028, r12vrr_stack+21516, r12vrr_stack+22011, r12vrr_stack+14667);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39606, r12vrr_stack+22677, r12vrr_stack+23163, r12vrr_stack+32676, r12vrr_stack+22056, r12vrr_stack+14775);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40056, r12vrr_stack+35331, r12vrr_stack+39606, r12vrr_stack+32811, r12vrr_stack+22677, r12vrr_stack+27771);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40731, r12vrr_stack+35781, r12vrr_stack+40056, r12vrr_stack+33081, r12vrr_stack+35331, r12vrr_stack+28131);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+41676, r12vrr_stack+36456, r12vrr_stack+40731, r12vrr_stack+33981, r12vrr_stack+35781, r12vrr_stack+28671);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42936, r12vrr_stack+38346, r12vrr_stack+41676, r12vrr_stack+37401, r12vrr_stack+36456, r12vrr_stack+29427);
 tmp = r12vrr_stack + 42936;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23433, r12vrr_stack+14991, r12vrr_stack+15081, r12vrr_stack+117, r12vrr_stack+9268, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23488, r12vrr_stack+15036, r12vrr_stack+14991, r12vrr_stack+9232, r12vrr_stack+117, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23543, r12vrr_stack+15081, r12vrr_stack+21516, r12vrr_stack+9268, r12vrr_stack+13491, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23598, r12vrr_stack+23433, r12vrr_stack+23543, NULL, NULL, r12vrr_stack+15081);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44556, r12vrr_stack+23488, r12vrr_stack+23433, NULL, NULL, r12vrr_stack+14991);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44721, r12vrr_stack+44556, r12vrr_stack+23598, r12vrr_stack+23488, r12vrr_stack+23433, r12vrr_stack+31731);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31731, r12vrr_stack+21471, r12vrr_stack+15036, r12vrr_stack+2650, r12vrr_stack+9232, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45051, r12vrr_stack+31731, r12vrr_stack+23488, NULL, NULL, r12vrr_stack+15036);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45216, r12vrr_stack+45051, r12vrr_stack+44556, r12vrr_stack+31731, r12vrr_stack+23488, r12vrr_stack+31866);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9232, r12vrr_stack+21516, r12vrr_stack+22011, r12vrr_stack+13491, r12vrr_stack+13743, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31786, r12vrr_stack+23543, r12vrr_stack+9232, NULL, NULL, r12vrr_stack+21516);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45546, r12vrr_stack+23598, r12vrr_stack+31786, r12vrr_stack+23433, r12vrr_stack+23543, r12vrr_stack+32676);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45876, r12vrr_stack+44721, r12vrr_stack+45546, r12vrr_stack+44556, r12vrr_stack+23598, r12vrr_stack+32811);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46426, r12vrr_stack+45216, r12vrr_stack+44721, r12vrr_stack+45051, r12vrr_stack+44556, r12vrr_stack+32001);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46976, r12vrr_stack+46426, r12vrr_stack+45876, r12vrr_stack+45216, r12vrr_stack+44721, r12vrr_stack+33081);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32676, r12vrr_stack+22227, r12vrr_stack+21471, r12vrr_stack+13911, r12vrr_stack+2650, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32731, r12vrr_stack+32676, r12vrr_stack+31731, NULL, NULL, r12vrr_stack+21471);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32896, r12vrr_stack+32731, r12vrr_stack+45051, r12vrr_stack+32676, r12vrr_stack+31731, r12vrr_stack+32271);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+47801, r12vrr_stack+32896, r12vrr_stack+45216, r12vrr_stack+32731, r12vrr_stack+45051, r12vrr_stack+32406);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48351, r12vrr_stack+47801, r12vrr_stack+46426, r12vrr_stack+32896, r12vrr_stack+45216, r12vrr_stack+33531);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33226, r12vrr_stack+22011, r12vrr_stack+22983, r12vrr_stack+13743, r12vrr_stack+14631, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33281, r12vrr_stack+9232, r12vrr_stack+33226, NULL, NULL, r12vrr_stack+22011);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33446, r12vrr_stack+31786, r12vrr_stack+33281, r12vrr_stack+23543, r12vrr_stack+9232, r12vrr_stack+22056);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31951, r12vrr_stack+45546, r12vrr_stack+33446, r12vrr_stack+23598, r12vrr_stack+31786, r12vrr_stack+22677);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+49176, r12vrr_stack+45876, r12vrr_stack+31951, r12vrr_stack+44721, r12vrr_stack+45546, r12vrr_stack+35331);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+50001, r12vrr_stack+46976, r12vrr_stack+49176, r12vrr_stack+46426, r12vrr_stack+45876, r12vrr_stack+35781);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51156, r12vrr_stack+48351, r12vrr_stack+46976, r12vrr_stack+47801, r12vrr_stack+46426, r12vrr_stack+33981);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52311, r12vrr_stack+51156, r12vrr_stack+50001, r12vrr_stack+48351, r12vrr_stack+46976, r12vrr_stack+36456);
 tmp = r12vrr_stack + 52311;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+33776, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+201, r12vrr_stack+3, r12vrr_stack+33776, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+624, r12vrr_stack+159, r12vrr_stack+201, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+33779, r12vrr_stack+22191, r12vrr_stack+624, r12vrr_stack+1384, r12vrr_stack+159, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33794, r12vrr_stack+22201, r12vrr_stack+33779, r12vrr_stack+13887, r12vrr_stack+22191, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+33815, r12vrr_stack+767, r12vrr_stack+33794, r12vrr_stack+795, r12vrr_stack+22201, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13491, r12vrr_stack+7506, r12vrr_stack+33815, r12vrr_stack+810, r12vrr_stack+767, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33843, r12vrr_stack+22947, r12vrr_stack+13491, r12vrr_stack+831, r12vrr_stack+7506, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33888, r12vrr_stack+22983, r12vrr_stack+33843, r12vrr_stack+14631, r12vrr_stack+22947, NULL);

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33943, r12vrr_stack+33226, r12vrr_stack+33888, NULL, NULL, r12vrr_stack+22983);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34108, r12vrr_stack+33281, r12vrr_stack+33943, r12vrr_stack+9232, r12vrr_stack+33226, r12vrr_stack+23028);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+53851, r12vrr_stack+33446, r12vrr_stack+34108, r12vrr_stack+31786, r12vrr_stack+33281, r12vrr_stack+23163);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+54401, r12vrr_stack+31951, r12vrr_stack+53851, r12vrr_stack+45546, r12vrr_stack+33446, r12vrr_stack+39606);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+55226, r12vrr_stack+49176, r12vrr_stack+54401, r12vrr_stack+45876, r12vrr_stack+31951, r12vrr_stack+40056);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+56381, r12vrr_stack+50001, r12vrr_stack+55226, r12vrr_stack+46976, r12vrr_stack+49176, r12vrr_stack+40731);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+57921, r12vrr_stack+52311, r12vrr_stack+56381, r12vrr_stack+51156, r12vrr_stack+50001, r12vrr_stack+41676);
 tmp = r12vrr_stack + 57921;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1744, r12vrr_stack+23433, r12vrr_stack+23543, r12vrr_stack+14991, r12vrr_stack+15081, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+34438, r12vrr_stack+23488, r12vrr_stack+23433, r12vrr_stack+15036, r12vrr_stack+14991, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+34504, r12vrr_stack+23543, r12vrr_stack+9232, r12vrr_stack+15081, r12vrr_stack+21516, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2566, r12vrr_stack+1744, r12vrr_stack+34504, NULL, NULL, r12vrr_stack+23543);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59901, r12vrr_stack+34438, r12vrr_stack+1744, NULL, NULL, r12vrr_stack+23433);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60099, r12vrr_stack+59901, r12vrr_stack+2566, r12vrr_stack+34438, r12vrr_stack+1744, r12vrr_stack+23598);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23598, r12vrr_stack+31731, r12vrr_stack+23488, r12vrr_stack+21471, r12vrr_stack+15036, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60495, r12vrr_stack+23598, r12vrr_stack+34438, NULL, NULL, r12vrr_stack+23488);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60693, r12vrr_stack+60495, r12vrr_stack+59901, r12vrr_stack+23598, r12vrr_stack+34438, r12vrr_stack+44556);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44556, r12vrr_stack+9232, r12vrr_stack+33226, r12vrr_stack+21516, r12vrr_stack+22011, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61089, r12vrr_stack+34504, r12vrr_stack+44556, NULL, NULL, r12vrr_stack+9232);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61287, r12vrr_stack+2566, r12vrr_stack+61089, r12vrr_stack+1744, r12vrr_stack+34504, r12vrr_stack+31786);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61683, r12vrr_stack+60099, r12vrr_stack+61287, r12vrr_stack+59901, r12vrr_stack+2566, r12vrr_stack+45546);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+62343, r12vrr_stack+60693, r12vrr_stack+60099, r12vrr_stack+60495, r12vrr_stack+59901, r12vrr_stack+44721);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63003, r12vrr_stack+62343, r12vrr_stack+61683, r12vrr_stack+60693, r12vrr_stack+60099, r12vrr_stack+45876);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45546, r12vrr_stack+32676, r12vrr_stack+31731, r12vrr_stack+22227, r12vrr_stack+21471, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45612, r12vrr_stack+45546, r12vrr_stack+23598, NULL, NULL, r12vrr_stack+31731);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45810, r12vrr_stack+45612, r12vrr_stack+60495, r12vrr_stack+45546, r12vrr_stack+23598, r12vrr_stack+45051);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63993, r12vrr_stack+45810, r12vrr_stack+60693, r12vrr_stack+45612, r12vrr_stack+60495, r12vrr_stack+45216);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+64653, r12vrr_stack+63993, r12vrr_stack+62343, r12vrr_stack+45810, r12vrr_stack+60693, r12vrr_stack+46426);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21471, r12vrr_stack+33226, r12vrr_stack+33888, r12vrr_stack+22011, r12vrr_stack+22983, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46206, r12vrr_stack+44556, r12vrr_stack+21471, NULL, NULL, r12vrr_stack+33226);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46404, r12vrr_stack+61089, r12vrr_stack+46206, r12vrr_stack+34504, r12vrr_stack+44556, r12vrr_stack+33281);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44622, r12vrr_stack+61287, r12vrr_stack+46404, r12vrr_stack+2566, r12vrr_stack+61089, r12vrr_stack+33446);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+65643, r12vrr_stack+61683, r12vrr_stack+44622, r12vrr_stack+60099, r12vrr_stack+61287, r12vrr_stack+31951);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+66633, r12vrr_stack+63003, r12vrr_stack+65643, r12vrr_stack+62343, r12vrr_stack+61683, r12vrr_stack+49176);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68019, r12vrr_stack+64653, r12vrr_stack+63003, r12vrr_stack+63993, r12vrr_stack+62343, r12vrr_stack+46976);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+69405, r12vrr_stack+68019, r12vrr_stack+66633, r12vrr_stack+64653, r12vrr_stack+63003, r12vrr_stack+50001);
 tmp = r12vrr_stack + 69405;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1384, r12vrr_stack+33776, r12vrr_stack+12, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21537, r12vrr_stack+201, r12vrr_stack+1384, r12vrr_stack+3, r12vrr_stack+33776, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+46800, r12vrr_stack+624, r12vrr_stack+21537, r12vrr_stack+159, r12vrr_stack+201, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+46815, r12vrr_stack+33779, r12vrr_stack+46800, r12vrr_stack+22191, r12vrr_stack+624, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+46836, r12vrr_stack+33794, r12vrr_stack+46815, r12vrr_stack+22201, r12vrr_stack+33779, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22191, r12vrr_stack+33815, r12vrr_stack+46836, r12vrr_stack+767, r12vrr_stack+33794, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+767, r12vrr_stack+13491, r12vrr_stack+22191, r12vrr_stack+7506, r12vrr_stack+33815, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46864, r12vrr_stack+33843, r12vrr_stack+767, r12vrr_stack+22947, r12vrr_stack+13491, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46919, r12vrr_stack+33888, r12vrr_stack+46864, r12vrr_stack+22983, r12vrr_stack+33843, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46985, r12vrr_stack+21471, r12vrr_stack+46919, NULL, NULL, r12vrr_stack+33888);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+47183, r12vrr_stack+46206, r12vrr_stack+46985, r12vrr_stack+44556, r12vrr_stack+21471, r12vrr_stack+33943);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71253, r12vrr_stack+46404, r12vrr_stack+47183, r12vrr_stack+61089, r12vrr_stack+46206, r12vrr_stack+34108);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71913, r12vrr_stack+44622, r12vrr_stack+71253, r12vrr_stack+61287, r12vrr_stack+46404, r12vrr_stack+53851);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+72903, r12vrr_stack+65643, r12vrr_stack+71913, r12vrr_stack+61683, r12vrr_stack+44622, r12vrr_stack+54401);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+74289, r12vrr_stack+66633, r12vrr_stack+72903, r12vrr_stack+63003, r12vrr_stack+65643, r12vrr_stack+55226);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+76137, r12vrr_stack+69405, r12vrr_stack+74289, r12vrr_stack+68019, r12vrr_stack+66633, r12vrr_stack+56381);
 tmp = r12vrr_stack + 76137;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+47579, r12vrr_stack+1744, r12vrr_stack+34504, r12vrr_stack+23433, r12vrr_stack+23543, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+47657, r12vrr_stack+34438, r12vrr_stack+1744, r12vrr_stack+23488, r12vrr_stack+23433, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31786, r12vrr_stack+34504, r12vrr_stack+44556, r12vrr_stack+23543, r12vrr_stack+9232, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45282, r12vrr_stack+47579, r12vrr_stack+31786, NULL, NULL, r12vrr_stack+34504);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78513, r12vrr_stack+47657, r12vrr_stack+47579, NULL, NULL, r12vrr_stack+1744);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78747, r12vrr_stack+78513, r12vrr_stack+45282, r12vrr_stack+47657, r12vrr_stack+47579, r12vrr_stack+2566);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2566, r12vrr_stack+23598, r12vrr_stack+34438, r12vrr_stack+31731, r12vrr_stack+23488, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79215, r12vrr_stack+2566, r12vrr_stack+47657, NULL, NULL, r12vrr_stack+34438);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79449, r12vrr_stack+79215, r12vrr_stack+78513, r12vrr_stack+2566, r12vrr_stack+47657, r12vrr_stack+59901);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59901, r12vrr_stack+44556, r12vrr_stack+21471, r12vrr_stack+9232, r12vrr_stack+33226, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79917, r12vrr_stack+31786, r12vrr_stack+59901, NULL, NULL, r12vrr_stack+44556);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+80151, r12vrr_stack+45282, r12vrr_stack+79917, r12vrr_stack+47579, r12vrr_stack+31786, r12vrr_stack+61089);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+80619, r12vrr_stack+78747, r12vrr_stack+80151, r12vrr_stack+78513, r12vrr_stack+45282, r12vrr_stack+61287);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81399, r12vrr_stack+79449, r12vrr_stack+78747, r12vrr_stack+79215, r12vrr_stack+78513, r12vrr_stack+60099);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+82179, r12vrr_stack+81399, r12vrr_stack+80619, r12vrr_stack+79449, r12vrr_stack+78747, r12vrr_stack+61683);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78513, r12vrr_stack+45546, r12vrr_stack+23598, r12vrr_stack+32676, r12vrr_stack+31731, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+61089, r12vrr_stack+78513, r12vrr_stack+2566, NULL, NULL, r12vrr_stack+23598);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+61323, r12vrr_stack+61089, r12vrr_stack+79215, r12vrr_stack+78513, r12vrr_stack+2566, r12vrr_stack+60495);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83349, r12vrr_stack+61323, r12vrr_stack+79449, r12vrr_stack+61089, r12vrr_stack+79215, r12vrr_stack+60693);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59979, r12vrr_stack+83349, r12vrr_stack+81399, r12vrr_stack+61323, r12vrr_stack+79449, r12vrr_stack+62343);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79215, r12vrr_stack+21471, r12vrr_stack+46919, r12vrr_stack+33226, r12vrr_stack+33888, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78513, r12vrr_stack+59901, r12vrr_stack+79215, NULL, NULL, r12vrr_stack+21471);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79293, r12vrr_stack+79917, r12vrr_stack+78513, r12vrr_stack+31786, r12vrr_stack+59901, r12vrr_stack+46206);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+61149, r12vrr_stack+80151, r12vrr_stack+79293, r12vrr_stack+45282, r12vrr_stack+79917, r12vrr_stack+46404);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+84129, r12vrr_stack+80619, r12vrr_stack+61149, r12vrr_stack+78747, r12vrr_stack+80151, r12vrr_stack+44622);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+85299, r12vrr_stack+82179, r12vrr_stack+84129, r12vrr_stack+81399, r12vrr_stack+80619, r12vrr_stack+65643);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+86937, r12vrr_stack+59979, r12vrr_stack+82179, r12vrr_stack+83349, r12vrr_stack+81399, r12vrr_stack+63003);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+88575, r12vrr_stack+86937, r12vrr_stack+85299, r12vrr_stack+59979, r12vrr_stack+82179, r12vrr_stack+66633);
 tmp = r12vrr_stack + 88575;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+159, r12vrr_stack+1044, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+59979, r12vrr_stack+1047, r12vrr_stack+159, r12vrr_stack+0, r12vrr_stack+1044, NULL);

 /*--- compute (g0|00)^4 ---*/
 _BUILD_g000(Data,r12vrr_stack+59989, r12vrr_stack+1053, r12vrr_stack+59979, r12vrr_stack+6, r12vrr_stack+1047, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1044, r12vrr_stack+30, r12vrr_stack+207, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+9081, r12vrr_stack+1063, r12vrr_stack+1044, r12vrr_stack+39, r12vrr_stack+30, r12vrr_stack+3);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+414, r12vrr_stack+749, r12vrr_stack+9081, r12vrr_stack+42, r12vrr_stack+1063, r12vrr_stack+159);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+60004, r12vrr_stack+594, r12vrr_stack+414, r12vrr_stack+51, r12vrr_stack+749, r12vrr_stack+59979);

 /*--- compute (h0|p0)^3 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+2104, r12vrr_stack+4699, r12vrr_stack+60004, r12vrr_stack+87, r12vrr_stack+594, r12vrr_stack+59989);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+749, r12vrr_stack+216, r12vrr_stack+153, NULL, NULL, r12vrr_stack+207);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+749, r12vrr_stack+33, r12vrr_stack+216, r12vrr_stack+1044);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+60049, r12vrr_stack+4744, r12vrr_stack+87, r12vrr_stack+270, r12vrr_stack+69, r12vrr_stack+9081);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+534, r12vrr_stack+4780, r12vrr_stack+60049, r12vrr_stack+288, r12vrr_stack+4744, r12vrr_stack+414);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+60109, r12vrr_stack+4840, r12vrr_stack+534, r12vrr_stack+324, r12vrr_stack+4780, r12vrr_stack+60004);

 /*--- compute (i0|d0)^2 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+60235, r12vrr_stack+4930, r12vrr_stack+60109, r12vrr_stack+444, r12vrr_stack+4840, r12vrr_stack+2104);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1044, r12vrr_stack+884, r12vrr_stack+1390, NULL, NULL, r12vrr_stack+153);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2104, r12vrr_stack+384, r12vrr_stack+1044, r12vrr_stack+222, r12vrr_stack+884, r12vrr_stack+749);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+414, r12vrr_stack+5056, r12vrr_stack+2104, r12vrr_stack+232, r12vrr_stack+384, r12vrr_stack+87);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+216, r12vrr_stack+5116, r12vrr_stack+414, r12vrr_stack+1074, r12vrr_stack+5056, r12vrr_stack+60049);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+4699, r12vrr_stack+5216, r12vrr_stack+216, r12vrr_stack+1134, r12vrr_stack+5116, r12vrr_stack+534);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+4909, r12vrr_stack+5366, r12vrr_stack+4699, r12vrr_stack+1234, r12vrr_stack+5216, r12vrr_stack+60109);

 /*--- compute (k0|f0)^1 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60403, r12vrr_stack+5576, r12vrr_stack+4909, r12vrr_stack+1534, r12vrr_stack+5366, r12vrr_stack+60235);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1074, r12vrr_stack+1400, r12vrr_stack+165, NULL, NULL, r12vrr_stack+1390);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1119, r12vrr_stack+1415, r12vrr_stack+1074, r12vrr_stack+894, r12vrr_stack+1400, r12vrr_stack+1044);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1209, r12vrr_stack+634, r12vrr_stack+1119, r12vrr_stack+909, r12vrr_stack+1415, r12vrr_stack+2104);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1390, r12vrr_stack+5856, r12vrr_stack+1209, r12vrr_stack+954, r12vrr_stack+634, r12vrr_stack+414);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5189, r12vrr_stack+6006, r12vrr_stack+1390, r12vrr_stack+3274, r12vrr_stack+5856, r12vrr_stack+216);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5504, r12vrr_stack+6231, r12vrr_stack+5189, r12vrr_stack+3424, r12vrr_stack+6006, r12vrr_stack+4699);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+81399, r12vrr_stack+6546, r12vrr_stack+5504, r12vrr_stack+3649, r12vrr_stack+6231, r12vrr_stack+4909);

 /*--- compute (l0|g0)^0 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3274, r12vrr_stack+6966, r12vrr_stack+81399, r12vrr_stack+4279, r12vrr_stack+6546, r12vrr_stack+60403);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2104, r12vrr_stack+180, r12vrr_stack+9099, NULL, NULL, r12vrr_stack+165);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4699, r12vrr_stack+1915, r12vrr_stack+2104, r12vrr_stack+1810, r12vrr_stack+180, r12vrr_stack+1074);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4825, r12vrr_stack+1978, r12vrr_stack+4699, r12vrr_stack+1831, r12vrr_stack+1915, r12vrr_stack+1119);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+216, r12vrr_stack+2356, r12vrr_stack+4825, r12vrr_stack+8430, r12vrr_stack+1978, r12vrr_stack+1209);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5924, r12vrr_stack+10803, r12vrr_stack+216, r12vrr_stack+8556, r12vrr_stack+2356, r12vrr_stack+1390);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6365, r12vrr_stack+11118, r12vrr_stack+5924, r12vrr_stack+8766, r12vrr_stack+10803, r12vrr_stack+5189);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+59979, r12vrr_stack+11559, r12vrr_stack+6365, r12vrr_stack+9396, r12vrr_stack+11118, r12vrr_stack+5504);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+61929, r12vrr_stack+12735, r12vrr_stack+59979, r12vrr_stack+12147, r12vrr_stack+11559, r12vrr_stack+81399);
 tmp = r12vrr_stack + 61929;
 target_ptr = Libr12->gvrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+81399, r12vrr_stack+9120, r12vrr_stack+831, NULL, NULL, r12vrr_stack+9099);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+81483, r12vrr_stack+9148, r12vrr_stack+81399, r12vrr_stack+8094, r12vrr_stack+9120, r12vrr_stack+2104);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+81651, r12vrr_stack+18223, r12vrr_stack+81483, r12vrr_stack+8122, r12vrr_stack+9148, r12vrr_stack+4699);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10803, r12vrr_stack+18391, r12vrr_stack+81651, r12vrr_stack+8206, r12vrr_stack+18223, r12vrr_stack+4825);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4699, r12vrr_stack+18671, r12vrr_stack+10803, r12vrr_stack+15563, r12vrr_stack+18391, r12vrr_stack+216);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8094, r12vrr_stack+19091, r12vrr_stack+4699, r12vrr_stack+15843, r12vrr_stack+18671, r12vrr_stack+5924);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5287, r12vrr_stack+19679, r12vrr_stack+8094, r12vrr_stack+16263, r12vrr_stack+19091, r12vrr_stack+6365);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15563, r12vrr_stack+20463, r12vrr_stack+5287, r12vrr_stack+17439, r12vrr_stack+19679, r12vrr_stack+59979);
 tmp = r12vrr_stack + 15563;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+59979, r12vrr_stack+14631, r12vrr_stack+22947, NULL, NULL, r12vrr_stack+831);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60087, r12vrr_stack+14667, r12vrr_stack+59979, r12vrr_stack+13743, r12vrr_stack+14631, r12vrr_stack+81399);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60303, r12vrr_stack+14775, r12vrr_stack+60087, r12vrr_stack+13779, r12vrr_stack+14667, r12vrr_stack+81483);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18223, r12vrr_stack+27771, r12vrr_stack+60303, r12vrr_stack+14415, r12vrr_stack+14775, r12vrr_stack+81651);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+81399, r12vrr_stack+28131, r12vrr_stack+18223, r12vrr_stack+24351, r12vrr_stack+27771, r12vrr_stack+10803);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10803, r12vrr_stack+28671, r12vrr_stack+81399, r12vrr_stack+24711, r12vrr_stack+28131, r12vrr_stack+4699);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18763, r12vrr_stack+29427, r12vrr_stack+10803, r12vrr_stack+25251, r12vrr_stack+28671, r12vrr_stack+8094);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8094, r12vrr_stack+30435, r12vrr_stack+18763, r12vrr_stack+26763, r12vrr_stack+29427, r12vrr_stack+5287);
 tmp = r12vrr_stack + 8094;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4699, r12vrr_stack+22983, r12vrr_stack+33843, NULL, NULL, r12vrr_stack+22947);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4834, r12vrr_stack+23028, r12vrr_stack+4699, r12vrr_stack+22011, r12vrr_stack+22983, r12vrr_stack+59979);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5104, r12vrr_stack+23163, r12vrr_stack+4834, r12vrr_stack+22056, r12vrr_stack+23028, r12vrr_stack+60087);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5554, r12vrr_stack+39606, r12vrr_stack+5104, r12vrr_stack+22677, r12vrr_stack+23163, r12vrr_stack+60303);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22677, r12vrr_stack+40056, r12vrr_stack+5554, r12vrr_stack+35331, r12vrr_stack+39606, r12vrr_stack+18223);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27771, r12vrr_stack+40731, r12vrr_stack+22677, r12vrr_stack+35781, r12vrr_stack+40056, r12vrr_stack+81399);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24351, r12vrr_stack+41676, r12vrr_stack+27771, r12vrr_stack+36456, r12vrr_stack+40731, r12vrr_stack+10803);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39606, r12vrr_stack+42936, r12vrr_stack+24351, r12vrr_stack+38346, r12vrr_stack+41676, r12vrr_stack+18763);
 tmp = r12vrr_stack + 39606;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10803, r12vrr_stack+33888, r12vrr_stack+46864, NULL, NULL, r12vrr_stack+33843);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10968, r12vrr_stack+33943, r12vrr_stack+10803, r12vrr_stack+33226, r12vrr_stack+33888, r12vrr_stack+4699);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11298, r12vrr_stack+34108, r12vrr_stack+10968, r12vrr_stack+33281, r12vrr_stack+33943, r12vrr_stack+4834);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18223, r12vrr_stack+53851, r12vrr_stack+11298, r12vrr_stack+33446, r12vrr_stack+34108, r12vrr_stack+5104);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19048, r12vrr_stack+54401, r12vrr_stack+18223, r12vrr_stack+31951, r12vrr_stack+53851, r12vrr_stack+5554);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4699, r12vrr_stack+55226, r12vrr_stack+19048, r12vrr_stack+49176, r12vrr_stack+54401, r12vrr_stack+22677);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35331, r12vrr_stack+56381, r12vrr_stack+4699, r12vrr_stack+50001, r12vrr_stack+55226, r12vrr_stack+27771);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27771, r12vrr_stack+57921, r12vrr_stack+35331, r12vrr_stack+52311, r12vrr_stack+56381, r12vrr_stack+24351);
 tmp = r12vrr_stack + 27771;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24351, r12vrr_stack+12, r12vrr_stack+207, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+24357, r12vrr_stack+1384, r12vrr_stack+24351, r12vrr_stack+33776, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3949, r12vrr_stack+21537, r12vrr_stack+24357, r12vrr_stack+201, r12vrr_stack+1384, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+24351, r12vrr_stack+46800, r12vrr_stack+3949, r12vrr_stack+624, r12vrr_stack+21537, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16823, r12vrr_stack+46815, r12vrr_stack+24351, r12vrr_stack+33779, r12vrr_stack+46800, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24351, r12vrr_stack+46836, r12vrr_stack+16823, r12vrr_stack+33794, r12vrr_stack+46815, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24387, r12vrr_stack+22191, r12vrr_stack+24351, r12vrr_stack+33815, r12vrr_stack+46836, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46800, r12vrr_stack+767, r12vrr_stack+24387, r12vrr_stack+13491, r12vrr_stack+22191, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44556, r12vrr_stack+46864, r12vrr_stack+46800, r12vrr_stack+33843, r12vrr_stack+767, NULL);

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24351, r12vrr_stack+46919, r12vrr_stack+44556, NULL, NULL, r12vrr_stack+46864);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24549, r12vrr_stack+46985, r12vrr_stack+24351, r12vrr_stack+21471, r12vrr_stack+46919, r12vrr_stack+10803);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24945, r12vrr_stack+47183, r12vrr_stack+24549, r12vrr_stack+46206, r12vrr_stack+46985, r12vrr_stack+10968);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+22677, r12vrr_stack+71253, r12vrr_stack+24945, r12vrr_stack+46404, r12vrr_stack+47183, r12vrr_stack+11298);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+24351, r12vrr_stack+71913, r12vrr_stack+22677, r12vrr_stack+44622, r12vrr_stack+71253, r12vrr_stack+18223);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+49176, r12vrr_stack+72903, r12vrr_stack+24351, r12vrr_stack+65643, r12vrr_stack+71913, r12vrr_stack+19048);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+53851, r12vrr_stack+74289, r12vrr_stack+49176, r12vrr_stack+66633, r12vrr_stack+72903, r12vrr_stack+4699);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+90759, r12vrr_stack+76137, r12vrr_stack+53851, r12vrr_stack+69405, r12vrr_stack+74289, r12vrr_stack+35331);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35331, r12vrr_stack+46919, r12vrr_stack+44556, r12vrr_stack+33888, r12vrr_stack+46864, NULL);

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+44556, r12vrr_stack+79215, r12vrr_stack+35331, NULL, NULL, r12vrr_stack+46919);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78747, r12vrr_stack+78513, r12vrr_stack+44556, r12vrr_stack+59901, r12vrr_stack+79215, r12vrr_stack+46985);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81399, r12vrr_stack+79293, r12vrr_stack+78747, r12vrr_stack+79917, r12vrr_stack+78513, r12vrr_stack+47183);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59901, r12vrr_stack+61149, r12vrr_stack+81399, r12vrr_stack+80151, r12vrr_stack+79293, r12vrr_stack+71253);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78513, r12vrr_stack+84129, r12vrr_stack+59901, r12vrr_stack+80619, r12vrr_stack+61149, r12vrr_stack+71913);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+53851, r12vrr_stack+85299, r12vrr_stack+78513, r12vrr_stack+82179, r12vrr_stack+84129, r12vrr_stack+72903);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78513, r12vrr_stack+88575, r12vrr_stack+53851, r12vrr_stack+86937, r12vrr_stack+85299, r12vrr_stack+74289);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+53851, &(Data->ss_r12_ss), NULL, r12vrr_stack+15, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+53854, r12vrr_stack+53851, &(Data->ss_r12_ss), r12vrr_stack+210, r12vrr_stack+15, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+53860, r12vrr_stack+53854, r12vrr_stack+53851, r12vrr_stack+724, r12vrr_stack+210, r12vrr_stack+15, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+3949, r12vrr_stack+53860, r12vrr_stack+53854, r12vrr_stack+734, r12vrr_stack+724, r12vrr_stack+210, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+53870, r12vrr_stack+3949, r12vrr_stack+53860, r12vrr_stack+1894, r12vrr_stack+734, r12vrr_stack+724, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+53891, r12vrr_stack+53870, NULL, r12vrr_stack+2167, r12vrr_stack+1894, NULL, r12vrr_stack+734);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+53954, r12vrr_stack+53891, r12vrr_stack+53870, r12vrr_stack+2230, r12vrr_stack+2167, r12vrr_stack+1894, r12vrr_stack+2764);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+54080, r12vrr_stack+53954, r12vrr_stack+53891, r12vrr_stack+9837, r12vrr_stack+2230, r12vrr_stack+2167, r12vrr_stack+2809);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+54290, r12vrr_stack+54080, r12vrr_stack+53954, r12vrr_stack+10047, r12vrr_stack+9837, r12vrr_stack+2230, r12vrr_stack+2899);

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+54605, r12vrr_stack+54290, r12vrr_stack+54080, r12vrr_stack+10362, r12vrr_stack+10047, r12vrr_stack+9837, r12vrr_stack+3049);

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+55046, r12vrr_stack+54605, r12vrr_stack+54290, r12vrr_stack+12147, r12vrr_stack+10362, r12vrr_stack+10047, r12vrr_stack+3964);
 tmp = r12vrr_stack + 55046;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+16823, r12vrr_stack+53870, r12vrr_stack+3949, r12vrr_stack+7534, r12vrr_stack+1894, r12vrr_stack+734, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+3949, r12vrr_stack+16823, NULL, r12vrr_stack+7562, r12vrr_stack+7534, NULL, r12vrr_stack+1894);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+13743, r12vrr_stack+3949, r12vrr_stack+16823, r12vrr_stack+7646, r12vrr_stack+7562, r12vrr_stack+7534, r12vrr_stack+2167);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+53891, r12vrr_stack+13743, r12vrr_stack+3949, r12vrr_stack+7814, r12vrr_stack+7646, r12vrr_stack+7562, r12vrr_stack+2230);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+54171, r12vrr_stack+53891, r12vrr_stack+13743, r12vrr_stack+15143, r12vrr_stack+7814, r12vrr_stack+7646, r12vrr_stack+9837);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+55634, r12vrr_stack+54171, r12vrr_stack+53891, r12vrr_stack+16851, r12vrr_stack+15143, r12vrr_stack+7814, r12vrr_stack+10047);

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+56222, r12vrr_stack+55634, r12vrr_stack+54171, r12vrr_stack+17439, r12vrr_stack+16851, r12vrr_stack+15143, r12vrr_stack+10362);
 tmp = r12vrr_stack + 56222;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+13491, r12vrr_stack+16823, r12vrr_stack+53870, r12vrr_stack+13911, r12vrr_stack+7534, r12vrr_stack+1894, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+13743, r12vrr_stack+13491, NULL, r12vrr_stack+13947, r12vrr_stack+13911, NULL, r12vrr_stack+7534);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+22011, r12vrr_stack+13743, r12vrr_stack+13491, r12vrr_stack+13527, r12vrr_stack+13947, r12vrr_stack+13911, r12vrr_stack+7562);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+53851, r12vrr_stack+22011, r12vrr_stack+13743, r12vrr_stack+14055, r12vrr_stack+13527, r12vrr_stack+13947, r12vrr_stack+7646);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+57006, r12vrr_stack+53851, r12vrr_stack+22011, r12vrr_stack+23811, r12vrr_stack+14055, r12vrr_stack+13527, r12vrr_stack+7814);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+81321, r12vrr_stack+57006, r12vrr_stack+53851, r12vrr_stack+26007, r12vrr_stack+23811, r12vrr_stack+14055, r12vrr_stack+15143);

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+82077, r12vrr_stack+81321, r12vrr_stack+57006, r12vrr_stack+26763, r12vrr_stack+26007, r12vrr_stack+23811, r12vrr_stack+16851);
 tmp = r12vrr_stack + 82077;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+57006, r12vrr_stack+13491, r12vrr_stack+16823, r12vrr_stack+22227, r12vrr_stack+13911, r12vrr_stack+7534, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+57051, r12vrr_stack+57006, NULL, r12vrr_stack+22272, r12vrr_stack+22227, NULL, r12vrr_stack+13911);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+57186, r12vrr_stack+57051, r12vrr_stack+57006, r12vrr_stack+22407, r12vrr_stack+22272, r12vrr_stack+22227, r12vrr_stack+13947);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+57456, r12vrr_stack+57186, r12vrr_stack+57051, r12vrr_stack+21561, r12vrr_stack+22407, r12vrr_stack+22272, r12vrr_stack+13527);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+53851, r12vrr_stack+57456, r12vrr_stack+57186, r12vrr_stack+34656, r12vrr_stack+21561, r12vrr_stack+22407, r12vrr_stack+14055);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+31731, r12vrr_stack+53851, r12vrr_stack+57456, r12vrr_stack+37401, r12vrr_stack+34656, r12vrr_stack+21561, r12vrr_stack+23811);

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+13947, r12vrr_stack+31731, r12vrr_stack+53851, r12vrr_stack+38346, r12vrr_stack+37401, r12vrr_stack+34656, r12vrr_stack+26007);
 tmp = r12vrr_stack + 13947;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+53851, r12vrr_stack+57006, r12vrr_stack+13491, r12vrr_stack+32676, r12vrr_stack+22227, r12vrr_stack+13911, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13491, r12vrr_stack+53851, NULL, r12vrr_stack+32731, r12vrr_stack+32676, NULL, r12vrr_stack+22227);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3949, r12vrr_stack+13491, r12vrr_stack+53851, r12vrr_stack+32896, r12vrr_stack+32731, r12vrr_stack+32676, r12vrr_stack+22272);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+53906, r12vrr_stack+3949, r12vrr_stack+13491, r12vrr_stack+47801, r12vrr_stack+32896, r12vrr_stack+32731, r12vrr_stack+22407);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+22272, r12vrr_stack+53906, r12vrr_stack+3949, r12vrr_stack+48351, r12vrr_stack+47801, r12vrr_stack+32896, r12vrr_stack+21561);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23097, r12vrr_stack+22272, r12vrr_stack+53906, r12vrr_stack+51156, r12vrr_stack+48351, r12vrr_stack+47801, r12vrr_stack+34656);

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+24252, r12vrr_stack+23097, r12vrr_stack+22272, r12vrr_stack+52311, r12vrr_stack+51156, r12vrr_stack+48351, r12vrr_stack+37401);
 tmp = r12vrr_stack + 24252;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+22272, r12vrr_stack+53851, r12vrr_stack+57006, r12vrr_stack+45546, r12vrr_stack+32676, r12vrr_stack+22227, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+57006, r12vrr_stack+22272, NULL, r12vrr_stack+45612, r12vrr_stack+45546, NULL, r12vrr_stack+32676);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+57204, r12vrr_stack+57006, r12vrr_stack+22272, r12vrr_stack+45810, r12vrr_stack+45612, r12vrr_stack+45546, r12vrr_stack+32731);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+53851, r12vrr_stack+57204, r12vrr_stack+57006, r12vrr_stack+63993, r12vrr_stack+45810, r12vrr_stack+45612, r12vrr_stack+32896);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+32676, r12vrr_stack+53851, r12vrr_stack+57204, r12vrr_stack+64653, r12vrr_stack+63993, r12vrr_stack+45810, r12vrr_stack+47801);

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+33666, r12vrr_stack+32676, r12vrr_stack+53851, r12vrr_stack+68019, r12vrr_stack+64653, r12vrr_stack+63993, r12vrr_stack+48351);

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+35052, r12vrr_stack+33666, r12vrr_stack+32676, r12vrr_stack+69405, r12vrr_stack+68019, r12vrr_stack+64653, r12vrr_stack+51156);
 tmp = r12vrr_stack + 35052;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7506, r12vrr_stack+12147, r12vrr_stack+17439, r12vrr_stack+12735, r12vrr_stack+6966, r12vrr_stack+4279);
 tmp = r12vrr_stack + 7506;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+32676, r12vrr_stack+17439, r12vrr_stack+26763, r12vrr_stack+20463, r12vrr_stack+12735, r12vrr_stack+12147);
 tmp = r12vrr_stack + 32676;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+83085, r12vrr_stack+26763, r12vrr_stack+38346, r12vrr_stack+30435, r12vrr_stack+20463, r12vrr_stack+17439);
 tmp = r12vrr_stack + 83085;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+84093, r12vrr_stack+38346, r12vrr_stack+52311, r12vrr_stack+42936, r12vrr_stack+30435, r12vrr_stack+26763);
 tmp = r12vrr_stack + 84093;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+85353, r12vrr_stack+52311, r12vrr_stack+69405, r12vrr_stack+57921, r12vrr_stack+42936, r12vrr_stack+38346);
 tmp = r12vrr_stack + 85353;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+59901, r12vrr_stack+69405, r12vrr_stack+88575, r12vrr_stack+76137, r12vrr_stack+57921, r12vrr_stack+52311);
 tmp = r12vrr_stack + 59901;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+57006, r12vrr_stack+12735, r12vrr_stack+20463, r12vrr_stack+61929, r12vrr_stack+3274, r12vrr_stack+6966);
 tmp = r12vrr_stack + 57006;
 target_ptr = Libr12->t2vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+71253, r12vrr_stack+20463, r12vrr_stack+30435, r12vrr_stack+15563, r12vrr_stack+61929, r12vrr_stack+12735);
 tmp = r12vrr_stack + 71253;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+72261, r12vrr_stack+30435, r12vrr_stack+42936, r12vrr_stack+8094, r12vrr_stack+15563, r12vrr_stack+20463);
 tmp = r12vrr_stack + 72261;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+73557, r12vrr_stack+42936, r12vrr_stack+57921, r12vrr_stack+39606, r12vrr_stack+8094, r12vrr_stack+30435);
 tmp = r12vrr_stack + 73557;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+44556, r12vrr_stack+57921, r12vrr_stack+76137, r12vrr_stack+27771, r12vrr_stack+39606, r12vrr_stack+42936);
 tmp = r12vrr_stack + 44556;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+46536, r12vrr_stack+76137, r12vrr_stack+78513, r12vrr_stack+90759, r12vrr_stack+27771, r12vrr_stack+57921);
 tmp = r12vrr_stack + 46536;
 target_ptr = Libr12->t2vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+53851, r12vrr_stack+12147, r12vrr_stack+12735, r12vrr_stack+17439, r12vrr_stack+16851, r12vrr_stack+10362);
 tmp = r12vrr_stack + 53851;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+75177, r12vrr_stack+17439, r12vrr_stack+20463, r12vrr_stack+26763, r12vrr_stack+26007, r12vrr_stack+16851);
 tmp = r12vrr_stack + 75177;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+48912, r12vrr_stack+26763, r12vrr_stack+30435, r12vrr_stack+38346, r12vrr_stack+37401, r12vrr_stack+26007);
 tmp = r12vrr_stack + 48912;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4699, r12vrr_stack+38346, r12vrr_stack+42936, r12vrr_stack+52311, r12vrr_stack+51156, r12vrr_stack+37401);
 tmp = r12vrr_stack + 4699;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5959, r12vrr_stack+52311, r12vrr_stack+57921, r12vrr_stack+69405, r12vrr_stack+68019, r12vrr_stack+51156);
 tmp = r12vrr_stack + 5959;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+18223, r12vrr_stack+69405, r12vrr_stack+76137, r12vrr_stack+88575, r12vrr_stack+86937, r12vrr_stack+68019);
 tmp = r12vrr_stack + 18223;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+86893, r12vrr_stack+12735, r12vrr_stack+61929, r12vrr_stack+20463, r12vrr_stack+17439, r12vrr_stack+12147);
 tmp = r12vrr_stack + 86893;
 target_ptr = Libr12->t1vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+61749, r12vrr_stack+20463, r12vrr_stack+15563, r12vrr_stack+30435, r12vrr_stack+26763, r12vrr_stack+17439);
 tmp = r12vrr_stack + 61749;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15207, r12vrr_stack+30435, r12vrr_stack+8094, r12vrr_stack+42936, r12vrr_stack+38346, r12vrr_stack+26763);
 tmp = r12vrr_stack + 15207;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8094, r12vrr_stack+42936, r12vrr_stack+39606, r12vrr_stack+57921, r12vrr_stack+52311, r12vrr_stack+38346);
 tmp = r12vrr_stack + 8094;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+39606, r12vrr_stack+57921, r12vrr_stack+27771, r12vrr_stack+76137, r12vrr_stack+69405, r12vrr_stack+52311);
 tmp = r12vrr_stack + 39606;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+27771, r12vrr_stack+76137, r12vrr_stack+90759, r12vrr_stack+78513, r12vrr_stack+88575, r12vrr_stack+69405);
 tmp = r12vrr_stack + 27771;
 target_ptr = Libr12->t1vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||h0)^0 ---*/
 _R_BUILD_k0h0(Data,r12vrr_stack+78513, r12vrr_stack+55046, r12vrr_stack+54605, r12vrr_stack+12735, r12vrr_stack+12147, r12vrr_stack+10362, r12vrr_stack+4279);
 tmp = r12vrr_stack + 78513;
 target_ptr = Libr12->rvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+12735, r12vrr_stack+56222, r12vrr_stack+55634, r12vrr_stack+20463, r12vrr_stack+17439, r12vrr_stack+16851, r12vrr_stack+12147);
 tmp = r12vrr_stack + 12735;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+79269, r12vrr_stack+82077, r12vrr_stack+81321, r12vrr_stack+30435, r12vrr_stack+26763, r12vrr_stack+26007, r12vrr_stack+17439);
 tmp = r12vrr_stack + 79269;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+80565, r12vrr_stack+13947, r12vrr_stack+31731, r12vrr_stack+42936, r12vrr_stack+38346, r12vrr_stack+37401, r12vrr_stack+26763);
 tmp = r12vrr_stack + 80565;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30147, r12vrr_stack+24252, r12vrr_stack+23097, r12vrr_stack+57921, r12vrr_stack+52311, r12vrr_stack+51156, r12vrr_stack+38346);
 tmp = r12vrr_stack + 30147;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+41586, r12vrr_stack+35052, r12vrr_stack+33666, r12vrr_stack+76137, r12vrr_stack+69405, r12vrr_stack+68019, r12vrr_stack+52311);
 tmp = r12vrr_stack + 41586;
 target_ptr = Libr12->rvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];


}

