#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_p0i0(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+0, r12vrr_stack+21, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+30, r12vrr_stack+6, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+30, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+21, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+24, r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+30, r12vrr_stack+71, r12vrr_stack+6, r12vrr_stack+24, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+96, r12vrr_stack+50, r12vrr_stack+81, r12vrr_stack+40, r12vrr_stack+30, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+12, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+117, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+127, r12vrr_stack+117, r12vrr_stack+40, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+142, r12vrr_stack+127, r12vrr_stack+50, r12vrr_stack+117, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+163, r12vrr_stack+142, r12vrr_stack+96, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+226, r12vrr_stack+50, r12vrr_stack+81, NULL, NULL, r12vrr_stack+30);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+40, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+43, r12vrr_stack+3, r12vrr_stack+40, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+271, r12vrr_stack+65, r12vrr_stack+43, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+281, r12vrr_stack+71, r12vrr_stack+271, r12vrr_stack+24, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+296, r12vrr_stack+81, r12vrr_stack+281, r12vrr_stack+30, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+317, r12vrr_stack+96, r12vrr_stack+296, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+380, r12vrr_stack+163, r12vrr_stack+317, r12vrr_stack+142, r12vrr_stack+96, r12vrr_stack+226);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12, r12vrr_stack+96, r12vrr_stack+296, r12vrr_stack+50, r12vrr_stack+81, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+226, r12vrr_stack+142, r12vrr_stack+96, r12vrr_stack+127, r12vrr_stack+50, NULL);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+254, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+257, r12vrr_stack+40, r12vrr_stack+254, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+49, r12vrr_stack+43, r12vrr_stack+257, r12vrr_stack+3, r12vrr_stack+40, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+254, r12vrr_stack+271, r12vrr_stack+49, r12vrr_stack+65, r12vrr_stack+43, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+40, r12vrr_stack+281, r12vrr_stack+254, r12vrr_stack+71, r12vrr_stack+271, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+506, r12vrr_stack+296, r12vrr_stack+40, r12vrr_stack+81, r12vrr_stack+281, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+534, r12vrr_stack+12, r12vrr_stack+506, NULL, NULL, r12vrr_stack+296);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+618, r12vrr_stack+226, r12vrr_stack+12, NULL, NULL, r12vrr_stack+96);
 tmp = r12vrr_stack + 618;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+702, r12vrr_stack+618, r12vrr_stack+534, r12vrr_stack+226, r12vrr_stack+12, r12vrr_stack+317);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+317, r12vrr_stack+12, r12vrr_stack+506, r12vrr_stack+96, r12vrr_stack+296, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+506, r12vrr_stack+226, r12vrr_stack+12, r12vrr_stack+142, r12vrr_stack+96, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+870, r12vrr_stack+506, r12vrr_stack+317, NULL, NULL, r12vrr_stack+12);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3, &(Data->ss_r12_ss), NULL, r12vrr_stack+0, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+12, r12vrr_stack+3, &(Data->ss_r12_ss), r12vrr_stack+6, r12vrr_stack+0, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+18, r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+117, r12vrr_stack+6, r12vrr_stack+0, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+28, r12vrr_stack+18, r12vrr_stack+12, r12vrr_stack+127, r12vrr_stack+117, r12vrr_stack+6, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+43, r12vrr_stack+28, r12vrr_stack+18, r12vrr_stack+142, r12vrr_stack+127, r12vrr_stack+117, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+0, r12vrr_stack+43, r12vrr_stack+28, r12vrr_stack+226, r12vrr_stack+142, r12vrr_stack+127, NULL);

 /*--- compute (p0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+28, r12vrr_stack+618, r12vrr_stack+870, r12vrr_stack+702, r12vrr_stack+380, r12vrr_stack+163);
 tmp = r12vrr_stack + 28;
 target_ptr = Libr12->t2vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+254, r12vrr_stack+618, r12vrr_stack+702, r12vrr_stack+870, r12vrr_stack+506, r12vrr_stack+226);
 tmp = r12vrr_stack + 254;
 target_ptr = Libr12->t1vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+702, r12vrr_stack+0, NULL, r12vrr_stack+618, r12vrr_stack+226, NULL, r12vrr_stack+142);
 tmp = r12vrr_stack + 702;
 target_ptr = Libr12->rvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];


}

