#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_p0ii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+0, r12vrr_stack+21, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+30, r12vrr_stack+6, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+30, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+21, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+24, r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+30, r12vrr_stack+71, r12vrr_stack+6, r12vrr_stack+24, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+96, r12vrr_stack+50, r12vrr_stack+81, r12vrr_stack+40, r12vrr_stack+30, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+12, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+117, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+127, r12vrr_stack+117, r12vrr_stack+40, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+142, r12vrr_stack+127, r12vrr_stack+50, r12vrr_stack+117, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+163, r12vrr_stack+142, r12vrr_stack+96, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+226, r12vrr_stack+50, r12vrr_stack+81, NULL, NULL, r12vrr_stack+30);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+40, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+43, r12vrr_stack+3, r12vrr_stack+40, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+271, r12vrr_stack+65, r12vrr_stack+43, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+281, r12vrr_stack+71, r12vrr_stack+271, r12vrr_stack+24, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+296, r12vrr_stack+81, r12vrr_stack+281, r12vrr_stack+30, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+317, r12vrr_stack+96, r12vrr_stack+296, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+380, r12vrr_stack+163, r12vrr_stack+317, r12vrr_stack+142, r12vrr_stack+96, r12vrr_stack+226);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12, r12vrr_stack+96, r12vrr_stack+296, r12vrr_stack+50, r12vrr_stack+81, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+226, r12vrr_stack+142, r12vrr_stack+96, r12vrr_stack+127, r12vrr_stack+50, NULL);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+254, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+257, r12vrr_stack+40, r12vrr_stack+254, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+49, r12vrr_stack+43, r12vrr_stack+257, r12vrr_stack+3, r12vrr_stack+40, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+506, r12vrr_stack+271, r12vrr_stack+49, r12vrr_stack+65, r12vrr_stack+43, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+521, r12vrr_stack+281, r12vrr_stack+506, r12vrr_stack+71, r12vrr_stack+271, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+542, r12vrr_stack+296, r12vrr_stack+521, r12vrr_stack+81, r12vrr_stack+281, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+570, r12vrr_stack+12, r12vrr_stack+542, NULL, NULL, r12vrr_stack+296);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+654, r12vrr_stack+226, r12vrr_stack+12, NULL, NULL, r12vrr_stack+96);
 tmp = r12vrr_stack + 654;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+738, r12vrr_stack+654, r12vrr_stack+570, r12vrr_stack+226, r12vrr_stack+12, r12vrr_stack+317);
 tmp = r12vrr_stack + 738;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+317, r12vrr_stack+12, r12vrr_stack+542, r12vrr_stack+96, r12vrr_stack+296, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+59, r12vrr_stack+226, r12vrr_stack+12, r12vrr_stack+142, r12vrr_stack+96, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+906, r12vrr_stack+59, r12vrr_stack+317, NULL, NULL, r12vrr_stack+12);
 tmp = r12vrr_stack + 906;
 target_ptr = Libr12->gvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+353, r12vrr_stack+254, r12vrr_stack+3, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+359, r12vrr_stack+257, r12vrr_stack+353, r12vrr_stack+40, r12vrr_stack+254, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+95, r12vrr_stack+49, r12vrr_stack+359, r12vrr_stack+43, r12vrr_stack+257, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1014, r12vrr_stack+506, r12vrr_stack+95, r12vrr_stack+271, r12vrr_stack+49, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1035, r12vrr_stack+521, r12vrr_stack+1014, r12vrr_stack+281, r12vrr_stack+506, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1063, r12vrr_stack+542, r12vrr_stack+1035, r12vrr_stack+296, r12vrr_stack+521, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1099, r12vrr_stack+317, r12vrr_stack+1063, NULL, NULL, r12vrr_stack+542);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1207, r12vrr_stack+906, r12vrr_stack+1099, r12vrr_stack+59, r12vrr_stack+317, r12vrr_stack+570);
 tmp = r12vrr_stack + 1207;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+570, r12vrr_stack+317, r12vrr_stack+1063, r12vrr_stack+12, r12vrr_stack+542, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+263, r12vrr_stack+59, r12vrr_stack+317, r12vrr_stack+226, r12vrr_stack+12, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1423, r12vrr_stack+263, r12vrr_stack+570, NULL, NULL, r12vrr_stack+317);
 tmp = r12vrr_stack + 1423;
 target_ptr = Libr12->gvrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+12, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+353, r12vrr_stack+15, r12vrr_stack+254, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+31, r12vrr_stack+359, r12vrr_stack+21, r12vrr_stack+257, r12vrr_stack+353, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+615, r12vrr_stack+95, r12vrr_stack+31, r12vrr_stack+49, r12vrr_stack+359, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1558, r12vrr_stack+1014, r12vrr_stack+615, r12vrr_stack+506, r12vrr_stack+95, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1586, r12vrr_stack+1035, r12vrr_stack+1558, r12vrr_stack+521, r12vrr_stack+1014, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1622, r12vrr_stack+1063, r12vrr_stack+1586, r12vrr_stack+542, r12vrr_stack+1035, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1667, r12vrr_stack+570, r12vrr_stack+1622, NULL, NULL, r12vrr_stack+1063);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1802, r12vrr_stack+1423, r12vrr_stack+1667, r12vrr_stack+263, r12vrr_stack+570, r12vrr_stack+1099);
 tmp = r12vrr_stack + 1802;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1099, r12vrr_stack+570, r12vrr_stack+1622, r12vrr_stack+317, r12vrr_stack+1063, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+506, r12vrr_stack+263, r12vrr_stack+570, r12vrr_stack+59, r12vrr_stack+317, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2072, r12vrr_stack+506, r12vrr_stack+1099, NULL, NULL, r12vrr_stack+570);
 tmp = r12vrr_stack + 2072;
 target_ptr = Libr12->gvrr_classes[1][9];
 for(i=0;i<165;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1154, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1157, r12vrr_stack+12, r12vrr_stack+1154, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1163, r12vrr_stack+15, r12vrr_stack+1157, r12vrr_stack+3, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1173, r12vrr_stack+21, r12vrr_stack+1163, r12vrr_stack+353, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+308, r12vrr_stack+31, r12vrr_stack+1173, r12vrr_stack+359, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+329, r12vrr_stack+615, r12vrr_stack+308, r12vrr_stack+95, r12vrr_stack+31, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2237, r12vrr_stack+1558, r12vrr_stack+329, r12vrr_stack+1014, r12vrr_stack+615, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2273, r12vrr_stack+1586, r12vrr_stack+2237, r12vrr_stack+1035, r12vrr_stack+1558, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2318, r12vrr_stack+1622, r12vrr_stack+2273, r12vrr_stack+1063, r12vrr_stack+1586, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2373, r12vrr_stack+1099, r12vrr_stack+2318, NULL, NULL, r12vrr_stack+1622);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2538, r12vrr_stack+2072, r12vrr_stack+2373, r12vrr_stack+506, r12vrr_stack+1099, r12vrr_stack+1667);
 tmp = r12vrr_stack + 2538;
 target_ptr = Libr12->gvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1667, r12vrr_stack+1099, r12vrr_stack+2318, r12vrr_stack+570, r12vrr_stack+1622, NULL);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1733, r12vrr_stack+506, r12vrr_stack+1099, r12vrr_stack+263, r12vrr_stack+570, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2868, r12vrr_stack+1733, r12vrr_stack+1667, NULL, NULL, r12vrr_stack+1099);
 tmp = r12vrr_stack + 2868;
 target_ptr = Libr12->gvrr_classes[1][10];
 for(i=0;i<198;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1799, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1014, r12vrr_stack+1154, r12vrr_stack+1799, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1020, r12vrr_stack+1157, r12vrr_stack+1014, r12vrr_stack+12, r12vrr_stack+1154, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1030, r12vrr_stack+1163, r12vrr_stack+1020, r12vrr_stack+15, r12vrr_stack+1157, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1045, r12vrr_stack+1173, r12vrr_stack+1030, r12vrr_stack+21, r12vrr_stack+1163, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1066, r12vrr_stack+308, r12vrr_stack+1045, r12vrr_stack+31, r12vrr_stack+1173, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12, r12vrr_stack+329, r12vrr_stack+1066, r12vrr_stack+615, r12vrr_stack+308, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+561, r12vrr_stack+2237, r12vrr_stack+12, r12vrr_stack+1558, r12vrr_stack+329, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3066, r12vrr_stack+2273, r12vrr_stack+561, r12vrr_stack+1586, r12vrr_stack+2237, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3121, r12vrr_stack+2318, r12vrr_stack+3066, r12vrr_stack+1622, r12vrr_stack+2273, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3187, r12vrr_stack+1667, r12vrr_stack+3121, NULL, NULL, r12vrr_stack+2318);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3385, r12vrr_stack+2868, r12vrr_stack+3187, r12vrr_stack+1733, r12vrr_stack+1667, r12vrr_stack+2373);
 tmp = r12vrr_stack + 3385;
 target_ptr = Libr12->gvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2373, r12vrr_stack+1667, r12vrr_stack+3121, r12vrr_stack+1099, r12vrr_stack+2318, NULL);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2451, r12vrr_stack+1733, r12vrr_stack+1667, r12vrr_stack+506, r12vrr_stack+1099, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+3781, r12vrr_stack+2451, r12vrr_stack+2373, NULL, NULL, r12vrr_stack+1667);
 tmp = r12vrr_stack + 3781;
 target_ptr = Libr12->gvrr_classes[1][11];
 for(i=0;i<234;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+2529, r12vrr_stack+1799, r12vrr_stack+3, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1558, r12vrr_stack+1014, r12vrr_stack+2529, r12vrr_stack+1154, r12vrr_stack+1799, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1568, r12vrr_stack+1020, r12vrr_stack+1558, r12vrr_stack+1157, r12vrr_stack+1014, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1583, r12vrr_stack+1030, r12vrr_stack+1568, r12vrr_stack+1163, r12vrr_stack+1020, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1604, r12vrr_stack+1045, r12vrr_stack+1583, r12vrr_stack+1173, r12vrr_stack+1030, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1094, r12vrr_stack+1066, r12vrr_stack+1604, r12vrr_stack+308, r12vrr_stack+1045, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1130, r12vrr_stack+12, r12vrr_stack+1094, r12vrr_stack+329, r12vrr_stack+1066, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+308, r12vrr_stack+561, r12vrr_stack+1130, r12vrr_stack+2237, r12vrr_stack+12, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4015, r12vrr_stack+3066, r12vrr_stack+308, r12vrr_stack+2273, r12vrr_stack+561, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2237, r12vrr_stack+3121, r12vrr_stack+4015, r12vrr_stack+2318, r12vrr_stack+3066, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4081, r12vrr_stack+2373, r12vrr_stack+2237, NULL, NULL, r12vrr_stack+3121);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4315, r12vrr_stack+3781, r12vrr_stack+4081, r12vrr_stack+2451, r12vrr_stack+2373, r12vrr_stack+3187);
 tmp = r12vrr_stack + 4315;
 target_ptr = Libr12->gvrr_classes[2][11];
 for(i=0;i<468;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+3187, r12vrr_stack+2373, r12vrr_stack+2237, r12vrr_stack+1667, r12vrr_stack+3121, NULL);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+3278, r12vrr_stack+2451, r12vrr_stack+2373, r12vrr_stack+1733, r12vrr_stack+1667, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+4783, r12vrr_stack+3278, r12vrr_stack+3187, NULL, NULL, r12vrr_stack+2373);
 tmp = r12vrr_stack + 4783;
 target_ptr = Libr12->gvrr_classes[1][12];
 for(i=0;i<273;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2535, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3369, r12vrr_stack+3, r12vrr_stack+2535, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3375, r12vrr_stack+2529, r12vrr_stack+3369, r12vrr_stack+1799, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2315, r12vrr_stack+1558, r12vrr_stack+3375, r12vrr_stack+1014, r12vrr_stack+2529, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2330, r12vrr_stack+1568, r12vrr_stack+2315, r12vrr_stack+1020, r12vrr_stack+1558, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1632, r12vrr_stack+1583, r12vrr_stack+2330, r12vrr_stack+1030, r12vrr_stack+1568, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2315, r12vrr_stack+1604, r12vrr_stack+1632, r12vrr_stack+1045, r12vrr_stack+1583, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1632, r12vrr_stack+1094, r12vrr_stack+2315, r12vrr_stack+1066, r12vrr_stack+1604, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2315, r12vrr_stack+1130, r12vrr_stack+1632, r12vrr_stack+12, r12vrr_stack+1094, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1558, r12vrr_stack+308, r12vrr_stack+2315, r12vrr_stack+561, r12vrr_stack+1130, NULL);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+561, r12vrr_stack+4015, r12vrr_stack+1558, r12vrr_stack+3066, r12vrr_stack+308, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+1558, r12vrr_stack+2237, r12vrr_stack+561, r12vrr_stack+3121, r12vrr_stack+4015, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+5056, r12vrr_stack+3187, r12vrr_stack+1558, NULL, NULL, r12vrr_stack+2237);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+5329, r12vrr_stack+4783, r12vrr_stack+5056, r12vrr_stack+3278, r12vrr_stack+3187, r12vrr_stack+4081);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+5056, r12vrr_stack+3187, r12vrr_stack+1558, r12vrr_stack+2373, r12vrr_stack+2237, NULL);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+2237, r12vrr_stack+3278, r12vrr_stack+3187, r12vrr_stack+2451, r12vrr_stack+2373, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+5875, r12vrr_stack+2237, r12vrr_stack+5056, NULL, NULL, r12vrr_stack+3187);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3, &(Data->ss_r12_ss), NULL, r12vrr_stack+0, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+5056, r12vrr_stack+3, &(Data->ss_r12_ss), r12vrr_stack+6, r12vrr_stack+0, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+5062, r12vrr_stack+5056, r12vrr_stack+3, r12vrr_stack+117, r12vrr_stack+6, r12vrr_stack+0, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+5072, r12vrr_stack+5062, r12vrr_stack+5056, r12vrr_stack+127, r12vrr_stack+117, r12vrr_stack+6, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+0, r12vrr_stack+5072, r12vrr_stack+5062, r12vrr_stack+142, r12vrr_stack+127, r12vrr_stack+117, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+21, r12vrr_stack+0, r12vrr_stack+5072, r12vrr_stack+226, r12vrr_stack+142, r12vrr_stack+127, NULL);

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+5056, r12vrr_stack+21, r12vrr_stack+0, r12vrr_stack+59, r12vrr_stack+226, r12vrr_stack+142, NULL);

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+5092, r12vrr_stack+5056, r12vrr_stack+21, r12vrr_stack+263, r12vrr_stack+59, r12vrr_stack+226, NULL);

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5137, r12vrr_stack+5092, r12vrr_stack+5056, r12vrr_stack+506, r12vrr_stack+263, r12vrr_stack+59, NULL);

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5192, r12vrr_stack+5137, r12vrr_stack+5092, r12vrr_stack+1733, r12vrr_stack+506, r12vrr_stack+263, NULL);

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2342, r12vrr_stack+5192, r12vrr_stack+5137, r12vrr_stack+2451, r12vrr_stack+1733, r12vrr_stack+506, NULL);

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1558, r12vrr_stack+2342, r12vrr_stack+5192, r12vrr_stack+3278, r12vrr_stack+2451, r12vrr_stack+1733, NULL);

 /*--- compute (p0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1649, r12vrr_stack+654, r12vrr_stack+906, r12vrr_stack+738, r12vrr_stack+380, r12vrr_stack+163);
 tmp = r12vrr_stack + 1649;
 target_ptr = Libr12->t2vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_p0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4015, r12vrr_stack+906, r12vrr_stack+1423, r12vrr_stack+1207, r12vrr_stack+738, r12vrr_stack+654);
 tmp = r12vrr_stack + 4015;
 target_ptr = Libr12->t2vrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_p0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4123, r12vrr_stack+1423, r12vrr_stack+2072, r12vrr_stack+1802, r12vrr_stack+1207, r12vrr_stack+906);
 tmp = r12vrr_stack + 4123;
 target_ptr = Libr12->t2vrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+308, r12vrr_stack+2072, r12vrr_stack+2868, r12vrr_stack+2538, r12vrr_stack+1802, r12vrr_stack+1423);
 tmp = r12vrr_stack + 308;
 target_ptr = Libr12->t2vrr_classes[1][9];
 for(i=0;i<165;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3066, r12vrr_stack+2868, r12vrr_stack+3781, r12vrr_stack+3385, r12vrr_stack+2538, r12vrr_stack+2072);
 tmp = r12vrr_stack + 3066;
 target_ptr = Libr12->t2vrr_classes[1][10];
 for(i=0;i<198;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6190, r12vrr_stack+3781, r12vrr_stack+4783, r12vrr_stack+4315, r12vrr_stack+3385, r12vrr_stack+2868);
 tmp = r12vrr_stack + 6190;
 target_ptr = Libr12->t2vrr_classes[1][11];
 for(i=0;i<234;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6424, r12vrr_stack+4783, r12vrr_stack+5875, r12vrr_stack+5329, r12vrr_stack+4315, r12vrr_stack+3781);
 tmp = r12vrr_stack + 6424;
 target_ptr = Libr12->t2vrr_classes[1][12];
 for(i=0;i<273;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+561, r12vrr_stack+654, r12vrr_stack+738, r12vrr_stack+906, r12vrr_stack+59, r12vrr_stack+226);
 tmp = r12vrr_stack + 561;
 target_ptr = Libr12->t1vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_p0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+738, r12vrr_stack+906, r12vrr_stack+1207, r12vrr_stack+1423, r12vrr_stack+263, r12vrr_stack+59);
 tmp = r12vrr_stack + 738;
 target_ptr = Libr12->t1vrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_p0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1014, r12vrr_stack+1423, r12vrr_stack+1802, r12vrr_stack+2072, r12vrr_stack+506, r12vrr_stack+263);
 tmp = r12vrr_stack + 1014;
 target_ptr = Libr12->t1vrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+1149, r12vrr_stack+2072, r12vrr_stack+2538, r12vrr_stack+2868, r12vrr_stack+1733, r12vrr_stack+506);
 tmp = r12vrr_stack + 1149;
 target_ptr = Libr12->t1vrr_classes[1][9];
 for(i=0;i<165;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+2529, r12vrr_stack+2868, r12vrr_stack+3385, r12vrr_stack+3781, r12vrr_stack+2451, r12vrr_stack+1733);
 tmp = r12vrr_stack + 2529;
 target_ptr = Libr12->t1vrr_classes[1][10];
 for(i=0;i<198;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+1799, r12vrr_stack+3781, r12vrr_stack+4315, r12vrr_stack+4783, r12vrr_stack+3278, r12vrr_stack+2451);
 tmp = r12vrr_stack + 1799;
 target_ptr = Libr12->t1vrr_classes[1][11];
 for(i=0;i<234;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4258, r12vrr_stack+4783, r12vrr_stack+5329, r12vrr_stack+5875, r12vrr_stack+2237, r12vrr_stack+3278);
 tmp = r12vrr_stack + 4258;
 target_ptr = Libr12->t1vrr_classes[1][12];
 for(i=0;i<273;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+2237, r12vrr_stack+21, NULL, r12vrr_stack+654, r12vrr_stack+226, NULL, r12vrr_stack+142);
 tmp = r12vrr_stack + 2237;
 target_ptr = Libr12->rvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+5258, r12vrr_stack+5056, NULL, r12vrr_stack+906, r12vrr_stack+59, NULL, r12vrr_stack+226);
 tmp = r12vrr_stack + 5258;
 target_ptr = Libr12->rvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+846, r12vrr_stack+5092, NULL, r12vrr_stack+1423, r12vrr_stack+263, NULL, r12vrr_stack+59);
 tmp = r12vrr_stack + 846;
 target_ptr = Libr12->rvrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+5137, NULL, r12vrr_stack+2072, r12vrr_stack+506, NULL, r12vrr_stack+263);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->rvrr_classes[1][9];
 for(i=0;i<165;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5366, r12vrr_stack+5192, NULL, r12vrr_stack+2868, r12vrr_stack+1733, NULL, r12vrr_stack+506);
 tmp = r12vrr_stack + 5366;
 target_ptr = Libr12->rvrr_classes[1][10];
 for(i=0;i<198;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5564, r12vrr_stack+2342, NULL, r12vrr_stack+3781, r12vrr_stack+2451, NULL, r12vrr_stack+1733);
 tmp = r12vrr_stack + 5564;
 target_ptr = Libr12->rvrr_classes[1][11];
 for(i=0;i<234;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+5798, r12vrr_stack+1558, NULL, r12vrr_stack+4783, r12vrr_stack+3278, NULL, r12vrr_stack+2451);
 tmp = r12vrr_stack + 5798;
 target_ptr = Libr12->rvrr_classes[1][12];
 for(i=0;i<273;i++)
   target_ptr[i] += tmp[i];


}

