#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ppid(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+0, r12vrr_stack+21, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+30, r12vrr_stack+6, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+30, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+21, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+24, r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+30, r12vrr_stack+71, r12vrr_stack+6, r12vrr_stack+24, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+96, r12vrr_stack+50, r12vrr_stack+81, r12vrr_stack+40, r12vrr_stack+30, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+12, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+117, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+127, r12vrr_stack+117, r12vrr_stack+40, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+142, r12vrr_stack+127, r12vrr_stack+50, r12vrr_stack+117, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+163, r12vrr_stack+142, r12vrr_stack+96, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+226, r12vrr_stack+50, r12vrr_stack+81, NULL, NULL, r12vrr_stack+30);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+40, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+43, r12vrr_stack+3, r12vrr_stack+40, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+271, r12vrr_stack+65, r12vrr_stack+43, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+281, r12vrr_stack+71, r12vrr_stack+271, r12vrr_stack+24, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+296, r12vrr_stack+81, r12vrr_stack+281, r12vrr_stack+30, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+317, r12vrr_stack+96, r12vrr_stack+296, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+380, r12vrr_stack+163, r12vrr_stack+317, r12vrr_stack+142, r12vrr_stack+96, r12vrr_stack+226);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+506, r12vrr_stack+96, r12vrr_stack+296, r12vrr_stack+50, r12vrr_stack+81, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+534, r12vrr_stack+142, r12vrr_stack+96, r12vrr_stack+127, r12vrr_stack+50, NULL);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+40, r12vrr_stack+12, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+562, r12vrr_stack+43, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+40, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+572, r12vrr_stack+271, r12vrr_stack+562, r12vrr_stack+65, r12vrr_stack+43, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+587, r12vrr_stack+281, r12vrr_stack+572, r12vrr_stack+71, r12vrr_stack+271, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+608, r12vrr_stack+296, r12vrr_stack+587, r12vrr_stack+81, r12vrr_stack+281, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+636, r12vrr_stack+506, r12vrr_stack+608, NULL, NULL, r12vrr_stack+296);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+720, r12vrr_stack+534, r12vrr_stack+506, NULL, NULL, r12vrr_stack+96);
 tmp = r12vrr_stack + 720;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+804, r12vrr_stack+720, r12vrr_stack+636, r12vrr_stack+534, r12vrr_stack+506, r12vrr_stack+317);
 tmp = r12vrr_stack + 804;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+972, r12vrr_stack+506, r12vrr_stack+608, r12vrr_stack+96, r12vrr_stack+296, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1008, r12vrr_stack+534, r12vrr_stack+506, r12vrr_stack+142, r12vrr_stack+96, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1044, r12vrr_stack+1008, r12vrr_stack+972, NULL, NULL, r12vrr_stack+506);
 tmp = r12vrr_stack + 1044;
 target_ptr = Libr12->gvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+12, r12vrr_stack+3, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1152, r12vrr_stack+15, r12vrr_stack+65, r12vrr_stack+40, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1162, r12vrr_stack+562, r12vrr_stack+1152, r12vrr_stack+43, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1177, r12vrr_stack+572, r12vrr_stack+1162, r12vrr_stack+271, r12vrr_stack+562, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1198, r12vrr_stack+587, r12vrr_stack+1177, r12vrr_stack+281, r12vrr_stack+572, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1226, r12vrr_stack+608, r12vrr_stack+1198, r12vrr_stack+296, r12vrr_stack+587, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1262, r12vrr_stack+972, r12vrr_stack+1226, NULL, NULL, r12vrr_stack+608);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1370, r12vrr_stack+1044, r12vrr_stack+1262, r12vrr_stack+1008, r12vrr_stack+972, r12vrr_stack+636);
 tmp = r12vrr_stack + 1370;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1586, r12vrr_stack+972, r12vrr_stack+1226, r12vrr_stack+506, r12vrr_stack+608, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1631, r12vrr_stack+1008, r12vrr_stack+972, r12vrr_stack+534, r12vrr_stack+506, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1676, r12vrr_stack+1631, r12vrr_stack+1586, NULL, NULL, r12vrr_stack+972);
 tmp = r12vrr_stack + 1676;
 target_ptr = Libr12->gvrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+271, r12vrr_stack+3, r12vrr_stack+21, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+65, r12vrr_stack+271, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1811, r12vrr_stack+1152, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1826, r12vrr_stack+1162, r12vrr_stack+1811, r12vrr_stack+562, r12vrr_stack+1152, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1847, r12vrr_stack+1177, r12vrr_stack+1826, r12vrr_stack+572, r12vrr_stack+1162, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1875, r12vrr_stack+1198, r12vrr_stack+1847, r12vrr_stack+587, r12vrr_stack+1177, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1911, r12vrr_stack+1226, r12vrr_stack+1875, r12vrr_stack+608, r12vrr_stack+1198, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1956, r12vrr_stack+1586, r12vrr_stack+1911, NULL, NULL, r12vrr_stack+1226);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2091, r12vrr_stack+1676, r12vrr_stack+1956, r12vrr_stack+1631, r12vrr_stack+1586, r12vrr_stack+1262);
 tmp = r12vrr_stack + 2091;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2361, r12vrr_stack+1586, r12vrr_stack+1911, r12vrr_stack+972, r12vrr_stack+1226, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2416, r12vrr_stack+1631, r12vrr_stack+1586, r12vrr_stack+1008, r12vrr_stack+972, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2471, r12vrr_stack+2416, r12vrr_stack+2361, NULL, NULL, r12vrr_stack+1586);
 tmp = r12vrr_stack + 2471;
 target_ptr = Libr12->gvrr_classes[1][9];
 for(i=0;i<165;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2636, r12vrr_stack+30, r12vrr_stack+71, NULL, NULL, r12vrr_stack+24);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2666, r12vrr_stack+81, r12vrr_stack+281, NULL, NULL, r12vrr_stack+71);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2711, r12vrr_stack+226, r12vrr_stack+2666, r12vrr_stack+50, r12vrr_stack+81, r12vrr_stack+2636);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2801, r12vrr_stack+296, r12vrr_stack+587, NULL, NULL, r12vrr_stack+281);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2864, r12vrr_stack+317, r12vrr_stack+2801, r12vrr_stack+96, r12vrr_stack+296, r12vrr_stack+2666);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2990, r12vrr_stack+380, r12vrr_stack+2864, r12vrr_stack+163, r12vrr_stack+317, r12vrr_stack+2711);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2636, r12vrr_stack+608, r12vrr_stack+1198, NULL, NULL, r12vrr_stack+587);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3200, r12vrr_stack+636, r12vrr_stack+2636, r12vrr_stack+506, r12vrr_stack+608, r12vrr_stack+2801);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3368, r12vrr_stack+804, r12vrr_stack+3200, r12vrr_stack+720, r12vrr_stack+636, r12vrr_stack+2864);
 tmp = r12vrr_stack + 3368;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2720, r12vrr_stack+1226, r12vrr_stack+1875, NULL, NULL, r12vrr_stack+1198);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3648, r12vrr_stack+1262, r12vrr_stack+2720, r12vrr_stack+972, r12vrr_stack+1226, r12vrr_stack+2636);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3864, r12vrr_stack+1370, r12vrr_stack+3648, r12vrr_stack+1044, r12vrr_stack+1262, r12vrr_stack+3200);
 tmp = r12vrr_stack + 3864;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3200, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+3203, r12vrr_stack+21, r12vrr_stack+3200, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3209, r12vrr_stack+271, r12vrr_stack+3203, r12vrr_stack+3, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+3209, r12vrr_stack+65, r12vrr_stack+271, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+65, r12vrr_stack+1811, r12vrr_stack+50, r12vrr_stack+1152, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+506, r12vrr_stack+1826, r12vrr_stack+65, r12vrr_stack+1162, r12vrr_stack+1811, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+972, r12vrr_stack+1847, r12vrr_stack+506, r12vrr_stack+1177, r12vrr_stack+1826, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1152, r12vrr_stack+1875, r12vrr_stack+972, r12vrr_stack+1198, r12vrr_stack+1847, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3200, r12vrr_stack+1911, r12vrr_stack+1152, NULL, NULL, r12vrr_stack+1875);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4224, r12vrr_stack+1956, r12vrr_stack+3200, r12vrr_stack+1586, r12vrr_stack+1911, r12vrr_stack+2720);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4494, r12vrr_stack+2091, r12vrr_stack+4224, r12vrr_stack+1676, r12vrr_stack+1956, r12vrr_stack+3648);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+3648, r12vrr_stack+1911, r12vrr_stack+1152, r12vrr_stack+1226, r12vrr_stack+1875, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1152, r12vrr_stack+2361, r12vrr_stack+3648, NULL, NULL, r12vrr_stack+1911);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2636, r12vrr_stack+2471, r12vrr_stack+1152, r12vrr_stack+2416, r12vrr_stack+2361, r12vrr_stack+1956);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3, &(Data->ss_r12_ss), NULL, r12vrr_stack+0, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+2361, r12vrr_stack+3, &(Data->ss_r12_ss), r12vrr_stack+6, r12vrr_stack+0, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+2367, r12vrr_stack+2361, r12vrr_stack+3, r12vrr_stack+117, r12vrr_stack+6, r12vrr_stack+0, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+2377, r12vrr_stack+2367, r12vrr_stack+2361, r12vrr_stack+127, r12vrr_stack+117, r12vrr_stack+6, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+0, r12vrr_stack+2377, r12vrr_stack+2367, r12vrr_stack+142, r12vrr_stack+127, r12vrr_stack+117, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+506, r12vrr_stack+0, r12vrr_stack+2377, r12vrr_stack+534, r12vrr_stack+142, r12vrr_stack+127, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+21, r12vrr_stack+506, NULL, r12vrr_stack+720, r12vrr_stack+534, NULL, r12vrr_stack+142);
 tmp = r12vrr_stack + 21;
 target_ptr = Libr12->rvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+972, r12vrr_stack+506, r12vrr_stack+0, r12vrr_stack+1008, r12vrr_stack+534, r12vrr_stack+142, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+1152, r12vrr_stack+972, NULL, r12vrr_stack+1044, r12vrr_stack+1008, NULL, r12vrr_stack+534);
 tmp = r12vrr_stack + 1152;
 target_ptr = Libr12->rvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+1586, r12vrr_stack+972, r12vrr_stack+506, r12vrr_stack+1631, r12vrr_stack+1008, r12vrr_stack+534, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+3648, r12vrr_stack+1586, NULL, r12vrr_stack+1676, r12vrr_stack+1631, NULL, r12vrr_stack+1008);
 tmp = r12vrr_stack + 3648;
 target_ptr = Libr12->rvrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1260, r12vrr_stack+720, r12vrr_stack+1044, r12vrr_stack+804, r12vrr_stack+380, r12vrr_stack+163);
 tmp = r12vrr_stack + 1260;
 target_ptr = Libr12->t2vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_p0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4224, r12vrr_stack+1044, r12vrr_stack+1676, r12vrr_stack+1370, r12vrr_stack+804, r12vrr_stack+720);
 tmp = r12vrr_stack + 4224;
 target_ptr = Libr12->t2vrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_p0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4332, r12vrr_stack+1676, r12vrr_stack+2471, r12vrr_stack+2091, r12vrr_stack+1370, r12vrr_stack+1044);
 tmp = r12vrr_stack + 4332;
 target_ptr = Libr12->t2vrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3200, r12vrr_stack+804, r12vrr_stack+1370, r12vrr_stack+3368, r12vrr_stack+2990, r12vrr_stack+380);
 tmp = r12vrr_stack + 3200;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1811, r12vrr_stack+1370, r12vrr_stack+2091, r12vrr_stack+3864, r12vrr_stack+3368, r12vrr_stack+804);
 tmp = r12vrr_stack + 1811;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+226, r12vrr_stack+2091, r12vrr_stack+2636, r12vrr_stack+4494, r12vrr_stack+3864, r12vrr_stack+1370);
 tmp = r12vrr_stack + 226;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2966, r12vrr_stack+720, r12vrr_stack+804, r12vrr_stack+1044, r12vrr_stack+1008, r12vrr_stack+534);
 tmp = r12vrr_stack + 2966;
 target_ptr = Libr12->t1vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_p0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3050, r12vrr_stack+1044, r12vrr_stack+1370, r12vrr_stack+1676, r12vrr_stack+1631, r12vrr_stack+1008);
 tmp = r12vrr_stack + 3050;
 target_ptr = Libr12->t1vrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_p0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+562, r12vrr_stack+1676, r12vrr_stack+2091, r12vrr_stack+2471, r12vrr_stack+2416, r12vrr_stack+1631);
 tmp = r12vrr_stack + 562;
 target_ptr = Libr12->t1vrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4944, r12vrr_stack+804, r12vrr_stack+3368, r12vrr_stack+1370, r12vrr_stack+1044, r12vrr_stack+720);
 tmp = r12vrr_stack + 4944;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3368, r12vrr_stack+1370, r12vrr_stack+3864, r12vrr_stack+2091, r12vrr_stack+1676, r12vrr_stack+1044);
 tmp = r12vrr_stack + 3368;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3783, r12vrr_stack+2091, r12vrr_stack+4494, r12vrr_stack+2636, r12vrr_stack+2471, r12vrr_stack+1676);
 tmp = r12vrr_stack + 3783;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+2361, r12vrr_stack+21, r12vrr_stack+506, r12vrr_stack+804, r12vrr_stack+720, r12vrr_stack+534, r12vrr_stack+163);
 tmp = r12vrr_stack + 2361;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+0, r12vrr_stack+1152, r12vrr_stack+972, r12vrr_stack+1370, r12vrr_stack+1044, r12vrr_stack+1008, r12vrr_stack+720);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+2529, r12vrr_stack+3648, r12vrr_stack+1586, r12vrr_stack+2091, r12vrr_stack+1676, r12vrr_stack+1631, r12vrr_stack+1044);
 tmp = r12vrr_stack + 2529;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];


}

