#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ppig(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+3, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+0, r12vrr_stack+21, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+30, r12vrr_stack+6, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+6, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+30, r12vrr_stack+15, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+21, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+71, r12vrr_stack+24, r12vrr_stack+65, r12vrr_stack+0, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+81, r12vrr_stack+30, r12vrr_stack+71, r12vrr_stack+6, r12vrr_stack+24, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+96, r12vrr_stack+50, r12vrr_stack+81, r12vrr_stack+40, r12vrr_stack+30, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+12, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+117, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+127, r12vrr_stack+117, r12vrr_stack+40, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+142, r12vrr_stack+127, r12vrr_stack+50, r12vrr_stack+117, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+163, r12vrr_stack+142, r12vrr_stack+96, NULL, NULL, r12vrr_stack+50);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+226, r12vrr_stack+50, r12vrr_stack+81, NULL, NULL, r12vrr_stack+30);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+40, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+43, r12vrr_stack+3, r12vrr_stack+40, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+271, r12vrr_stack+65, r12vrr_stack+43, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+281, r12vrr_stack+71, r12vrr_stack+271, r12vrr_stack+24, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+296, r12vrr_stack+81, r12vrr_stack+281, r12vrr_stack+30, r12vrr_stack+71, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+317, r12vrr_stack+96, r12vrr_stack+296, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+380, r12vrr_stack+163, r12vrr_stack+317, r12vrr_stack+142, r12vrr_stack+96, r12vrr_stack+226);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+506, r12vrr_stack+96, r12vrr_stack+296, r12vrr_stack+50, r12vrr_stack+81, NULL);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+534, r12vrr_stack+142, r12vrr_stack+96, r12vrr_stack+127, r12vrr_stack+50, NULL);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+40, r12vrr_stack+12, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+562, r12vrr_stack+43, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+40, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+572, r12vrr_stack+271, r12vrr_stack+562, r12vrr_stack+65, r12vrr_stack+43, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+587, r12vrr_stack+281, r12vrr_stack+572, r12vrr_stack+71, r12vrr_stack+271, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+608, r12vrr_stack+296, r12vrr_stack+587, r12vrr_stack+81, r12vrr_stack+281, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+636, r12vrr_stack+506, r12vrr_stack+608, NULL, NULL, r12vrr_stack+296);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+720, r12vrr_stack+534, r12vrr_stack+506, NULL, NULL, r12vrr_stack+96);
 tmp = r12vrr_stack + 720;
 target_ptr = Libr12->gvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+804, r12vrr_stack+720, r12vrr_stack+636, r12vrr_stack+534, r12vrr_stack+506, r12vrr_stack+317);
 tmp = r12vrr_stack + 804;
 target_ptr = Libr12->gvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+972, r12vrr_stack+506, r12vrr_stack+608, r12vrr_stack+96, r12vrr_stack+296, NULL);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1008, r12vrr_stack+534, r12vrr_stack+506, r12vrr_stack+142, r12vrr_stack+96, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1044, r12vrr_stack+1008, r12vrr_stack+972, NULL, NULL, r12vrr_stack+506);
 tmp = r12vrr_stack + 1044;
 target_ptr = Libr12->gvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+12, r12vrr_stack+3, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1152, r12vrr_stack+15, r12vrr_stack+65, r12vrr_stack+40, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1162, r12vrr_stack+562, r12vrr_stack+1152, r12vrr_stack+43, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1177, r12vrr_stack+572, r12vrr_stack+1162, r12vrr_stack+271, r12vrr_stack+562, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1198, r12vrr_stack+587, r12vrr_stack+1177, r12vrr_stack+281, r12vrr_stack+572, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1226, r12vrr_stack+608, r12vrr_stack+1198, r12vrr_stack+296, r12vrr_stack+587, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1262, r12vrr_stack+972, r12vrr_stack+1226, NULL, NULL, r12vrr_stack+608);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1370, r12vrr_stack+1044, r12vrr_stack+1262, r12vrr_stack+1008, r12vrr_stack+972, r12vrr_stack+636);
 tmp = r12vrr_stack + 1370;
 target_ptr = Libr12->gvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1586, r12vrr_stack+972, r12vrr_stack+1226, r12vrr_stack+506, r12vrr_stack+608, NULL);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1631, r12vrr_stack+1008, r12vrr_stack+972, r12vrr_stack+534, r12vrr_stack+506, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1676, r12vrr_stack+1631, r12vrr_stack+1586, NULL, NULL, r12vrr_stack+972);
 tmp = r12vrr_stack + 1676;
 target_ptr = Libr12->gvrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+271, r12vrr_stack+3, r12vrr_stack+21, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+65, r12vrr_stack+271, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1811, r12vrr_stack+1152, r12vrr_stack+40, r12vrr_stack+15, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1826, r12vrr_stack+1162, r12vrr_stack+1811, r12vrr_stack+562, r12vrr_stack+1152, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1847, r12vrr_stack+1177, r12vrr_stack+1826, r12vrr_stack+572, r12vrr_stack+1162, NULL);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1875, r12vrr_stack+1198, r12vrr_stack+1847, r12vrr_stack+587, r12vrr_stack+1177, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1911, r12vrr_stack+1226, r12vrr_stack+1875, r12vrr_stack+608, r12vrr_stack+1198, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1956, r12vrr_stack+1586, r12vrr_stack+1911, NULL, NULL, r12vrr_stack+1226);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2091, r12vrr_stack+1676, r12vrr_stack+1956, r12vrr_stack+1631, r12vrr_stack+1586, r12vrr_stack+1262);
 tmp = r12vrr_stack + 2091;
 target_ptr = Libr12->gvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2361, r12vrr_stack+1586, r12vrr_stack+1911, r12vrr_stack+972, r12vrr_stack+1226, NULL);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2416, r12vrr_stack+1631, r12vrr_stack+1586, r12vrr_stack+1008, r12vrr_stack+972, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2471, r12vrr_stack+2416, r12vrr_stack+2361, NULL, NULL, r12vrr_stack+1586);
 tmp = r12vrr_stack + 2471;
 target_ptr = Libr12->gvrr_classes[1][9];
 for(i=0;i<165;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+562, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+565, r12vrr_stack+21, r12vrr_stack+562, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+571, r12vrr_stack+271, r12vrr_stack+565, r12vrr_stack+3, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2636, r12vrr_stack+40, r12vrr_stack+571, r12vrr_stack+65, r12vrr_stack+271, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2651, r12vrr_stack+1811, r12vrr_stack+2636, r12vrr_stack+1152, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2672, r12vrr_stack+1826, r12vrr_stack+2651, r12vrr_stack+1162, r12vrr_stack+1811, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2700, r12vrr_stack+1847, r12vrr_stack+2672, r12vrr_stack+1177, r12vrr_stack+1826, NULL);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1152, r12vrr_stack+1875, r12vrr_stack+2700, r12vrr_stack+1198, r12vrr_stack+1847, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2736, r12vrr_stack+1911, r12vrr_stack+1152, r12vrr_stack+1226, r12vrr_stack+1875, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2791, r12vrr_stack+2361, r12vrr_stack+2736, NULL, NULL, r12vrr_stack+1911);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2956, r12vrr_stack+2471, r12vrr_stack+2791, r12vrr_stack+2416, r12vrr_stack+2361, r12vrr_stack+1956);
 tmp = r12vrr_stack + 2956;
 target_ptr = Libr12->gvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3286, r12vrr_stack+2361, r12vrr_stack+2736, r12vrr_stack+1586, r12vrr_stack+1911, NULL);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3352, r12vrr_stack+2416, r12vrr_stack+2361, r12vrr_stack+1631, r12vrr_stack+1586, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3418, r12vrr_stack+3352, r12vrr_stack+3286, NULL, NULL, r12vrr_stack+2361);
 tmp = r12vrr_stack + 3418;
 target_ptr = Libr12->gvrr_classes[1][10];
 for(i=0;i<198;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65, r12vrr_stack+562, r12vrr_stack+3, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3616, r12vrr_stack+565, r12vrr_stack+65, r12vrr_stack+21, r12vrr_stack+562, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3626, r12vrr_stack+571, r12vrr_stack+3616, r12vrr_stack+271, r12vrr_stack+565, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3641, r12vrr_stack+2636, r12vrr_stack+3626, r12vrr_stack+40, r12vrr_stack+571, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3662, r12vrr_stack+2651, r12vrr_stack+3641, r12vrr_stack+1811, r12vrr_stack+2636, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3690, r12vrr_stack+2672, r12vrr_stack+3662, r12vrr_stack+1826, r12vrr_stack+2651, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3726, r12vrr_stack+2700, r12vrr_stack+3690, r12vrr_stack+1847, r12vrr_stack+2672, NULL);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1811, r12vrr_stack+1152, r12vrr_stack+3726, r12vrr_stack+1875, r12vrr_stack+2700, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3771, r12vrr_stack+2736, r12vrr_stack+1811, r12vrr_stack+1911, r12vrr_stack+1152, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+3837, r12vrr_stack+3286, r12vrr_stack+3771, NULL, NULL, r12vrr_stack+2736);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+4035, r12vrr_stack+3418, r12vrr_stack+3837, r12vrr_stack+3352, r12vrr_stack+3286, r12vrr_stack+2791);
 tmp = r12vrr_stack + 4035;
 target_ptr = Libr12->gvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4431, r12vrr_stack+3286, r12vrr_stack+3771, r12vrr_stack+2361, r12vrr_stack+2736, NULL);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4509, r12vrr_stack+3352, r12vrr_stack+3286, r12vrr_stack+2416, r12vrr_stack+2361, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4587, r12vrr_stack+4509, r12vrr_stack+4431, NULL, NULL, r12vrr_stack+3286);
 tmp = r12vrr_stack + 4587;
 target_ptr = Libr12->gvrr_classes[1][11];
 for(i=0;i<234;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4821, r12vrr_stack+30, r12vrr_stack+71, NULL, NULL, r12vrr_stack+24);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+4851, r12vrr_stack+81, r12vrr_stack+281, NULL, NULL, r12vrr_stack+71);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4896, r12vrr_stack+226, r12vrr_stack+4851, r12vrr_stack+50, r12vrr_stack+81, r12vrr_stack+4821);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4986, r12vrr_stack+296, r12vrr_stack+587, NULL, NULL, r12vrr_stack+281);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5049, r12vrr_stack+317, r12vrr_stack+4986, r12vrr_stack+96, r12vrr_stack+296, r12vrr_stack+4851);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5175, r12vrr_stack+380, r12vrr_stack+5049, r12vrr_stack+163, r12vrr_stack+317, r12vrr_stack+4896);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4821, r12vrr_stack+608, r12vrr_stack+1198, NULL, NULL, r12vrr_stack+587);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5385, r12vrr_stack+636, r12vrr_stack+4821, r12vrr_stack+506, r12vrr_stack+608, r12vrr_stack+4986);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5553, r12vrr_stack+804, r12vrr_stack+5385, r12vrr_stack+720, r12vrr_stack+636, r12vrr_stack+5049);
 tmp = r12vrr_stack + 5553;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4905, r12vrr_stack+1226, r12vrr_stack+1875, NULL, NULL, r12vrr_stack+1198);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5833, r12vrr_stack+1262, r12vrr_stack+4905, r12vrr_stack+972, r12vrr_stack+1226, r12vrr_stack+4821);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6049, r12vrr_stack+1370, r12vrr_stack+5833, r12vrr_stack+1044, r12vrr_stack+1262, r12vrr_stack+5385);
 tmp = r12vrr_stack + 6049;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5385, r12vrr_stack+1911, r12vrr_stack+1152, NULL, NULL, r12vrr_stack+1875);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6409, r12vrr_stack+1956, r12vrr_stack+5385, r12vrr_stack+1586, r12vrr_stack+1911, r12vrr_stack+4905);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6679, r12vrr_stack+2091, r12vrr_stack+6409, r12vrr_stack+1676, r12vrr_stack+1956, r12vrr_stack+5833);
 tmp = r12vrr_stack + 6679;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5833, r12vrr_stack+2736, r12vrr_stack+1811, NULL, NULL, r12vrr_stack+1152);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4821, r12vrr_stack+2791, r12vrr_stack+5833, r12vrr_stack+2361, r12vrr_stack+2736, r12vrr_stack+5385);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7129, r12vrr_stack+2956, r12vrr_stack+4821, r12vrr_stack+2471, r12vrr_stack+2791, r12vrr_stack+6409);
 tmp = r12vrr_stack + 7129;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6409, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6412, r12vrr_stack+3, r12vrr_stack+6409, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6418, r12vrr_stack+65, r12vrr_stack+6412, r12vrr_stack+562, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6428, r12vrr_stack+3616, r12vrr_stack+6418, r12vrr_stack+565, r12vrr_stack+65, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6443, r12vrr_stack+3626, r12vrr_stack+6428, r12vrr_stack+571, r12vrr_stack+3616, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+506, r12vrr_stack+3641, r12vrr_stack+6443, r12vrr_stack+2636, r12vrr_stack+3626, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+972, r12vrr_stack+3662, r12vrr_stack+506, r12vrr_stack+2651, r12vrr_stack+3641, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1586, r12vrr_stack+3690, r12vrr_stack+972, r12vrr_stack+2672, r12vrr_stack+3662, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2361, r12vrr_stack+3726, r12vrr_stack+1586, r12vrr_stack+2700, r12vrr_stack+3690, NULL);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2636, r12vrr_stack+1811, r12vrr_stack+2361, r12vrr_stack+1152, r12vrr_stack+3726, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1152, r12vrr_stack+3771, r12vrr_stack+2636, NULL, NULL, r12vrr_stack+1811);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+7679, r12vrr_stack+3837, r12vrr_stack+1152, r12vrr_stack+3286, r12vrr_stack+3771, r12vrr_stack+5833);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+8075, r12vrr_stack+4035, r12vrr_stack+7679, r12vrr_stack+3418, r12vrr_stack+3837, r12vrr_stack+4821);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+4821, r12vrr_stack+3771, r12vrr_stack+2636, r12vrr_stack+2736, r12vrr_stack+1811, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+1811, r12vrr_stack+4431, r12vrr_stack+4821, NULL, NULL, r12vrr_stack+3771);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+8735, r12vrr_stack+4587, r12vrr_stack+1811, r12vrr_stack+4509, r12vrr_stack+4431, r12vrr_stack+3837);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+3, &(Data->ss_r12_ss), NULL, r12vrr_stack+0, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+4431, r12vrr_stack+3, &(Data->ss_r12_ss), r12vrr_stack+6, r12vrr_stack+0, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+4437, r12vrr_stack+4431, r12vrr_stack+3, r12vrr_stack+117, r12vrr_stack+6, r12vrr_stack+0, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+4447, r12vrr_stack+4437, r12vrr_stack+4431, r12vrr_stack+127, r12vrr_stack+117, r12vrr_stack+6, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+0, r12vrr_stack+4447, r12vrr_stack+4437, r12vrr_stack+142, r12vrr_stack+127, r12vrr_stack+117, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+506, r12vrr_stack+0, r12vrr_stack+4447, r12vrr_stack+534, r12vrr_stack+142, r12vrr_stack+127, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+21, r12vrr_stack+506, NULL, r12vrr_stack+720, r12vrr_stack+534, NULL, r12vrr_stack+142);
 tmp = r12vrr_stack + 21;
 target_ptr = Libr12->rvrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+972, r12vrr_stack+506, r12vrr_stack+0, r12vrr_stack+1008, r12vrr_stack+534, r12vrr_stack+142, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+1811, r12vrr_stack+972, NULL, r12vrr_stack+1044, r12vrr_stack+1008, NULL, r12vrr_stack+534);
 tmp = r12vrr_stack + 1811;
 target_ptr = Libr12->rvrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+1586, r12vrr_stack+972, r12vrr_stack+506, r12vrr_stack+1631, r12vrr_stack+1008, r12vrr_stack+534, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+1919, r12vrr_stack+1586, NULL, r12vrr_stack+1676, r12vrr_stack+1631, NULL, r12vrr_stack+1008);
 tmp = r12vrr_stack + 1919;
 target_ptr = Libr12->rvrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2361, r12vrr_stack+1586, r12vrr_stack+972, r12vrr_stack+2416, r12vrr_stack+1631, r12vrr_stack+1008, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4821, r12vrr_stack+2361, NULL, r12vrr_stack+2471, r12vrr_stack+2416, NULL, r12vrr_stack+1631);
 tmp = r12vrr_stack + 4821;
 target_ptr = Libr12->rvrr_classes[1][9];
 for(i=0;i<165;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3286, r12vrr_stack+2361, r12vrr_stack+1586, r12vrr_stack+3352, r12vrr_stack+2416, r12vrr_stack+1631, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+2636, r12vrr_stack+3286, NULL, r12vrr_stack+3418, r12vrr_stack+3352, NULL, r12vrr_stack+2416);
 tmp = r12vrr_stack + 2636;
 target_ptr = Libr12->rvrr_classes[1][10];
 for(i=0;i<198;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+4986, r12vrr_stack+720, r12vrr_stack+1044, r12vrr_stack+804, r12vrr_stack+380, r12vrr_stack+163);
 tmp = r12vrr_stack + 4986;
 target_ptr = Libr12->t2vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_p0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2834, r12vrr_stack+1044, r12vrr_stack+1676, r12vrr_stack+1370, r12vrr_stack+804, r12vrr_stack+720);
 tmp = r12vrr_stack + 2834;
 target_ptr = Libr12->t2vrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_p0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7679, r12vrr_stack+1676, r12vrr_stack+2471, r12vrr_stack+2091, r12vrr_stack+1370, r12vrr_stack+1044);
 tmp = r12vrr_stack + 7679;
 target_ptr = Libr12->t2vrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7814, r12vrr_stack+2471, r12vrr_stack+3418, r12vrr_stack+2956, r12vrr_stack+2091, r12vrr_stack+1676);
 tmp = r12vrr_stack + 7814;
 target_ptr = Libr12->t2vrr_classes[1][9];
 for(i=0;i<165;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5833, r12vrr_stack+3418, r12vrr_stack+4587, r12vrr_stack+4035, r12vrr_stack+2956, r12vrr_stack+2471);
 tmp = r12vrr_stack + 5833;
 target_ptr = Libr12->t2vrr_classes[1][10];
 for(i=0;i<198;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5385, r12vrr_stack+804, r12vrr_stack+1370, r12vrr_stack+5553, r12vrr_stack+5175, r12vrr_stack+380);
 tmp = r12vrr_stack + 5385;
 target_ptr = Libr12->t2vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5070, r12vrr_stack+1370, r12vrr_stack+2091, r12vrr_stack+6049, r12vrr_stack+5553, r12vrr_stack+804);
 tmp = r12vrr_stack + 5070;
 target_ptr = Libr12->t2vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6409, r12vrr_stack+2091, r12vrr_stack+2956, r12vrr_stack+6679, r12vrr_stack+6049, r12vrr_stack+1370);
 tmp = r12vrr_stack + 6409;
 target_ptr = Libr12->t2vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3616, r12vrr_stack+2956, r12vrr_stack+4035, r12vrr_stack+7129, r12vrr_stack+6679, r12vrr_stack+2091);
 tmp = r12vrr_stack + 3616;
 target_ptr = Libr12->t2vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9203, r12vrr_stack+4035, r12vrr_stack+8735, r12vrr_stack+8075, r12vrr_stack+7129, r12vrr_stack+2956);
 tmp = r12vrr_stack + 9203;
 target_ptr = Libr12->t2vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_p0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5286, r12vrr_stack+720, r12vrr_stack+804, r12vrr_stack+1044, r12vrr_stack+1008, r12vrr_stack+534);
 tmp = r12vrr_stack + 5286;
 target_ptr = Libr12->t1vrr_classes[1][6];
 for(i=0;i<84;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_p0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+1152, r12vrr_stack+1044, r12vrr_stack+1370, r12vrr_stack+1676, r12vrr_stack+1631, r12vrr_stack+1008);
 tmp = r12vrr_stack + 1152;
 target_ptr = Libr12->t1vrr_classes[1][7];
 for(i=0;i<108;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_p0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+562, r12vrr_stack+1676, r12vrr_stack+2091, r12vrr_stack+2471, r12vrr_stack+2416, r12vrr_stack+1631);
 tmp = r12vrr_stack + 562;
 target_ptr = Libr12->t1vrr_classes[1][8];
 for(i=0;i<135;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+226, r12vrr_stack+2471, r12vrr_stack+2956, r12vrr_stack+3418, r12vrr_stack+3352, r12vrr_stack+2416);
 tmp = r12vrr_stack + 226;
 target_ptr = Libr12->t1vrr_classes[1][9];
 for(i=0;i<165;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9599, r12vrr_stack+3418, r12vrr_stack+4035, r12vrr_stack+4587, r12vrr_stack+4509, r12vrr_stack+3352);
 tmp = r12vrr_stack + 9599;
 target_ptr = Libr12->t1vrr_classes[1][10];
 for(i=0;i<198;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_d0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9797, r12vrr_stack+804, r12vrr_stack+5553, r12vrr_stack+1370, r12vrr_stack+1044, r12vrr_stack+720);
 tmp = r12vrr_stack + 9797;
 target_ptr = Libr12->t1vrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_d0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5553, r12vrr_stack+1370, r12vrr_stack+6049, r12vrr_stack+2091, r12vrr_stack+1676, r12vrr_stack+1044);
 tmp = r12vrr_stack + 5553;
 target_ptr = Libr12->t1vrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_d0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6031, r12vrr_stack+2091, r12vrr_stack+6679, r12vrr_stack+2956, r12vrr_stack+2471, r12vrr_stack+1676);
 tmp = r12vrr_stack + 6031;
 target_ptr = Libr12->t1vrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6679, r12vrr_stack+2956, r12vrr_stack+7129, r12vrr_stack+4035, r12vrr_stack+3418, r12vrr_stack+2471);
 tmp = r12vrr_stack + 6679;
 target_ptr = Libr12->t1vrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7009, r12vrr_stack+4035, r12vrr_stack+8075, r12vrr_stack+8735, r12vrr_stack+4587, r12vrr_stack+3418);
 tmp = r12vrr_stack + 7009;
 target_ptr = Libr12->t1vrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+7405, r12vrr_stack+21, r12vrr_stack+506, r12vrr_stack+804, r12vrr_stack+720, r12vrr_stack+534, r12vrr_stack+163);
 tmp = r12vrr_stack + 7405;
 target_ptr = Libr12->rvrr_classes[2][6];
 for(i=0;i<168;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+0, r12vrr_stack+1811, r12vrr_stack+972, r12vrr_stack+1370, r12vrr_stack+1044, r12vrr_stack+1008, r12vrr_stack+720);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->rvrr_classes[2][7];
 for(i=0;i<216;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+4431, r12vrr_stack+1919, r12vrr_stack+1586, r12vrr_stack+2091, r12vrr_stack+1676, r12vrr_stack+1631, r12vrr_stack+1044);
 tmp = r12vrr_stack + 4431;
 target_ptr = Libr12->rvrr_classes[2][8];
 for(i=0;i<270;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+1811, r12vrr_stack+4821, r12vrr_stack+2361, r12vrr_stack+2956, r12vrr_stack+2471, r12vrr_stack+2416, r12vrr_stack+1676);
 tmp = r12vrr_stack + 1811;
 target_ptr = Libr12->rvrr_classes[2][9];
 for(i=0;i<330;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7979, r12vrr_stack+2636, r12vrr_stack+3286, r12vrr_stack+4035, r12vrr_stack+3418, r12vrr_stack+3352, r12vrr_stack+2471);
 tmp = r12vrr_stack + 7979;
 target_ptr = Libr12->rvrr_classes[2][10];
 for(i=0;i<396;i++)
   target_ptr[i] += tmp[i];


}

