#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_pppp(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^0 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (p0|00)^1 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (d0|00)^0 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+0, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (p0|p0)^1 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+18, NULL, NULL, Data->F+2);

 /*--- compute (p0|p0)^0 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+1);
 tmp = r12vrr_stack + 30;
 target_ptr = Libr12->gvrr_classes[1][1];
 for(i=0;i<9;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|p0)^0 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+39, r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+3);
 tmp = r12vrr_stack + 39;
 target_ptr = Libr12->gvrr_classes[2][1];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+57, r12vrr_stack+12, r12vrr_stack+18, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+63, r12vrr_stack+15, r12vrr_stack+12, Data->F+0, Data->F+1, NULL);

 /*--- compute (p0|d0)^0 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+69, r12vrr_stack+63, r12vrr_stack+57, NULL, NULL, r12vrr_stack+12);
 tmp = r12vrr_stack + 69;
 target_ptr = Libr12->gvrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+87, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+90, r12vrr_stack+18, r12vrr_stack+87, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^1 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+96, r12vrr_stack+57, r12vrr_stack+90, NULL, NULL, r12vrr_stack+18);

 /*--- compute (d0|d0)^0 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+114, r12vrr_stack+69, r12vrr_stack+96, r12vrr_stack+63, r12vrr_stack+57, r12vrr_stack+21);
 tmp = r12vrr_stack + 114;
 target_ptr = Libr12->gvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+150, r12vrr_stack+57, r12vrr_stack+90, r12vrr_stack+12, r12vrr_stack+18, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+160, r12vrr_stack+63, r12vrr_stack+57, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (p0|f0)^0 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+170, r12vrr_stack+160, r12vrr_stack+150, NULL, NULL, r12vrr_stack+57);
 tmp = r12vrr_stack + 170;
 target_ptr = Libr12->gvrr_classes[1][3];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^2 ---*/
 _BUILD_p000(Data,r12vrr_stack+200, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (d0|00)^1 ---*/
 _BUILD_d000(Data,r12vrr_stack+203, r12vrr_stack+3, r12vrr_stack+200, Data->F+1, Data->F+2, NULL);

 /*--- compute (f0|00)^0 ---*/
 _BUILD_f000(Data,r12vrr_stack+209, r12vrr_stack+6, r12vrr_stack+203, r12vrr_stack+0, r12vrr_stack+3, NULL);

 /*--- compute (p0|p0)^2 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+219, r12vrr_stack+18, r12vrr_stack+87, NULL, NULL, Data->F+3);

 /*--- compute (d0|p0)^1 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+228, r12vrr_stack+21, r12vrr_stack+219, r12vrr_stack+12, r12vrr_stack+18, r12vrr_stack+200);

 /*--- compute (f0|p0)^0 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+246, r12vrr_stack+39, r12vrr_stack+228, r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+203);
 tmp = r12vrr_stack + 246;
 target_ptr = Libr12->gvrr_classes[3][1];
 for(i=0;i<30;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+21, r12vrr_stack+87, r12vrr_stack+12, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+276, r12vrr_stack+90, r12vrr_stack+21, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|d0)^1 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+294, r12vrr_stack+96, r12vrr_stack+276, r12vrr_stack+57, r12vrr_stack+90, r12vrr_stack+219);

 /*--- compute (f0|d0)^0 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+330, r12vrr_stack+114, r12vrr_stack+294, r12vrr_stack+69, r12vrr_stack+96, r12vrr_stack+228);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+219, r12vrr_stack+90, r12vrr_stack+21, r12vrr_stack+18, r12vrr_stack+87, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+276, r12vrr_stack+150, r12vrr_stack+219, NULL, NULL, r12vrr_stack+90);

 /*--- compute (d0|f0)^0 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+390, r12vrr_stack+170, r12vrr_stack+276, r12vrr_stack+160, r12vrr_stack+150, r12vrr_stack+96);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+12, &(Data->ss_r12_ss), NULL, r12vrr_stack+15, Data->F+0, NULL, NULL);

 /*--- compute (p0||p0)^0 ---*/
 _R_BUILD_p0p0(Data,r12vrr_stack+200, r12vrr_stack+12, NULL, r12vrr_stack+30, r12vrr_stack+15, NULL, Data->F+0);
 tmp = r12vrr_stack + 200;
 target_ptr = Libr12->rvrr_classes[1][1];
 for(i=0;i<9;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+57, r12vrr_stack+12, &(Data->ss_r12_ss), r12vrr_stack+63, r12vrr_stack+15, Data->F+0, NULL);

 /*--- compute (p0||d0)^0 ---*/
 _R_BUILD_p0d0(Data,r12vrr_stack+276, r12vrr_stack+57, NULL, r12vrr_stack+69, r12vrr_stack+63, NULL, r12vrr_stack+15);
 tmp = r12vrr_stack + 276;
 target_ptr = Libr12->rvrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|p0)^0 ---*/
 _T2_BUILD_p0p0(Data,&(Libr12->ShellQuartet),r12vrr_stack+150, r12vrr_stack+30, r12vrr_stack+69, r12vrr_stack+39, r12vrr_stack+6, r12vrr_stack+0);
 tmp = r12vrr_stack + 150;
 target_ptr = Libr12->t2vrr_classes[1][1];
 for(i=0;i<9;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_p0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+294, r12vrr_stack+69, r12vrr_stack+170, r12vrr_stack+114, r12vrr_stack+39, r12vrr_stack+30);
 tmp = r12vrr_stack + 294;
 target_ptr = Libr12->t2vrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|p0)^0 ---*/
 _T2_BUILD_d0p0(Data,&(Libr12->ShellQuartet),r12vrr_stack+312, r12vrr_stack+39, r12vrr_stack+114, r12vrr_stack+246, r12vrr_stack+209, r12vrr_stack+6);
 tmp = r12vrr_stack + 312;
 target_ptr = Libr12->t2vrr_classes[2][1];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T2]|d0)^0 ---*/
 _T2_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+209, r12vrr_stack+114, r12vrr_stack+390, r12vrr_stack+330, r12vrr_stack+246, r12vrr_stack+39);
 tmp = r12vrr_stack + 209;
 target_ptr = Libr12->t2vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|p0)^0 ---*/
 _T1_BUILD_p0p0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3, r12vrr_stack+30, r12vrr_stack+39, r12vrr_stack+69, r12vrr_stack+63, r12vrr_stack+15);
 tmp = r12vrr_stack + 3;
 target_ptr = Libr12->t1vrr_classes[1][1];
 for(i=0;i<9;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_p0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+114, r12vrr_stack+170, r12vrr_stack+160, r12vrr_stack+63);
 tmp = r12vrr_stack + 87;
 target_ptr = Libr12->t1vrr_classes[1][2];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|p0)^0 ---*/
 _T1_BUILD_d0p0(Data,&(Libr12->ShellQuartet),r12vrr_stack+450, r12vrr_stack+39, r12vrr_stack+246, r12vrr_stack+114, r12vrr_stack+69, r12vrr_stack+30);
 tmp = r12vrr_stack + 450;
 target_ptr = Libr12->t1vrr_classes[2][1];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0|[r12,T1]|d0)^0 ---*/
 _T1_BUILD_d0d0(Data,&(Libr12->ShellQuartet),r12vrr_stack+468, r12vrr_stack+114, r12vrr_stack+330, r12vrr_stack+390, r12vrr_stack+170, r12vrr_stack+69);
 tmp = r12vrr_stack + 468;
 target_ptr = Libr12->t1vrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||p0)^0 ---*/
 _R_BUILD_d0p0(Data,r12vrr_stack+330, r12vrr_stack+200, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+30, r12vrr_stack+15, r12vrr_stack+0);
 tmp = r12vrr_stack + 330;
 target_ptr = Libr12->rvrr_classes[2][1];
 for(i=0;i<18;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (d0||d0)^0 ---*/
 _R_BUILD_d0d0(Data,r12vrr_stack+348, r12vrr_stack+276, r12vrr_stack+57, r12vrr_stack+114, r12vrr_stack+69, r12vrr_stack+63, r12vrr_stack+30);
 tmp = r12vrr_stack + 348;
 target_ptr = Libr12->rvrr_classes[2][2];
 for(i=0;i<36;i++)
   target_ptr[i] += tmp[i];


}

