#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ffii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+0, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+31, r12vrr_stack+3, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+6, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+40, r12vrr_stack+21, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+34, r12vrr_stack+6, NULL);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+3, r12vrr_stack+31, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+95, r12vrr_stack+34, r12vrr_stack+3, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+34, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+31, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+34, r12vrr_stack+12, r12vrr_stack+31, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+126, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+0, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+136, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+151, r12vrr_stack+80, r12vrr_stack+136, NULL, NULL, r12vrr_stack+21);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+196, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+241, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+50);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+40, r12vrr_stack+21, NULL);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+352, r12vrr_stack+331, NULL, NULL, r12vrr_stack+80);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+436, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+439, r12vrr_stack+436, r12vrr_stack+3, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+95, r12vrr_stack+436, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+101, r12vrr_stack+439, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+111, r12vrr_stack+445, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+491, r12vrr_stack+470, r12vrr_stack+352, NULL, NULL, r12vrr_stack+111);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+95, r12vrr_stack+31, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+101, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+12, r12vrr_stack+31, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+15, r12vrr_stack+34, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+126, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+331, r12vrr_stack+569, NULL, NULL, r12vrr_stack+136);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+151);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+779, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+196);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+905, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+491, r12vrr_stack+373, r12vrr_stack+241);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1115, r12vrr_stack+6, r12vrr_stack+15, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1133, r12vrr_stack+21, r12vrr_stack+126, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1163, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+40, r12vrr_stack+21, r12vrr_stack+1115);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1223, r12vrr_stack+136, r12vrr_stack+554, NULL, NULL, r12vrr_stack+126);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1268, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+80, r12vrr_stack+136, r12vrr_stack+1133);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1358, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+196, r12vrr_stack+151, r12vrr_stack+1163);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+199, r12vrr_stack+3, r12vrr_stack+196, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+40, r12vrr_stack+95, r12vrr_stack+199, r12vrr_stack+31, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+205, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+34, r12vrr_stack+95, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+220, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+126, r12vrr_stack+101, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1508, r12vrr_stack+569, r12vrr_stack+220, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1571, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+1223);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1697, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+373, r12vrr_stack+590, r12vrr_stack+1268);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1907, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+779, r12vrr_stack+653, r12vrr_stack+1358);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+569, r12vrr_stack+80, r12vrr_stack+136, NULL);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2250, r12vrr_stack+352, r12vrr_stack+331, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2278, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+136, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2306, r12vrr_stack+2222, r12vrr_stack+2278, NULL, NULL, r12vrr_stack+569);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2390, r12vrr_stack+2250, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2474, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+590);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+352, r12vrr_stack+455, r12vrr_stack+111, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+2250, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+373);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+373, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+376, r12vrr_stack+196, r12vrr_stack+373, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+382, r12vrr_stack+199, r12vrr_stack+376, r12vrr_stack+3, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+111, r12vrr_stack+40, r12vrr_stack+382, r12vrr_stack+95, r12vrr_stack+199, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+392, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+101, r12vrr_stack+40, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+220, r12vrr_stack+392, r12vrr_stack+554, r12vrr_stack+205, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2950, r12vrr_stack+2278, r12vrr_stack+2922, NULL, NULL, r12vrr_stack+220);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3034, r12vrr_stack+2306, r12vrr_stack+2950, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+1508);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3202, r12vrr_stack+2474, r12vrr_stack+3034, r12vrr_stack+2390, r12vrr_stack+2306, r12vrr_stack+1571);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+2670, r12vrr_stack+2390, r12vrr_stack+653);
 tmp = r12vrr_stack + 3482;
 target_ptr = Libr12->gvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+3202, r12vrr_stack+2754, r12vrr_stack+2474, r12vrr_stack+1697);
 tmp = r12vrr_stack + 3762;
 target_ptr = Libr12->gvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4182, r12vrr_stack+2222, r12vrr_stack+2278, r12vrr_stack+331, r12vrr_stack+569, NULL);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4218, r12vrr_stack+2250, r12vrr_stack+2222, r12vrr_stack+352, r12vrr_stack+331, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4254, r12vrr_stack+4218, r12vrr_stack+4182, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4362, r12vrr_stack+2642, r12vrr_stack+2250, r12vrr_stack+470, r12vrr_stack+352, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4398, r12vrr_stack+4362, r12vrr_stack+4218, NULL, NULL, r12vrr_stack+2250);

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+331, r12vrr_stack+2278, r12vrr_stack+2922, r12vrr_stack+569, r12vrr_stack+220, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4506, r12vrr_stack+4182, r12vrr_stack+331, NULL, NULL, r12vrr_stack+2278);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4614, r12vrr_stack+4254, r12vrr_stack+4506, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+2306);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+4254, r12vrr_stack+4362, r12vrr_stack+4218, r12vrr_stack+2390);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+4614, r12vrr_stack+4398, r12vrr_stack+4254, r12vrr_stack+2474);
 tmp = r12vrr_stack + 5046;
 target_ptr = Libr12->gvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+2390, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+367, r12vrr_stack+373, r12vrr_stack+2390, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2393, r12vrr_stack+376, r12vrr_stack+367, r12vrr_stack+196, r12vrr_stack+373, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+80, r12vrr_stack+382, r12vrr_stack+2393, r12vrr_stack+199, r12vrr_stack+376, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2403, r12vrr_stack+111, r12vrr_stack+80, r12vrr_stack+40, r12vrr_stack+382, NULL);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2424, r12vrr_stack+392, r12vrr_stack+2403, r12vrr_stack+205, r12vrr_stack+111, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+2922, r12vrr_stack+2424, r12vrr_stack+220, r12vrr_stack+392, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5442, r12vrr_stack+331, r12vrr_stack+5406, NULL, NULL, r12vrr_stack+2922);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5550, r12vrr_stack+4506, r12vrr_stack+5442, r12vrr_stack+4182, r12vrr_stack+331, r12vrr_stack+2950);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5766, r12vrr_stack+4614, r12vrr_stack+5550, r12vrr_stack+4254, r12vrr_stack+4506, r12vrr_stack+3034);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+5766, r12vrr_stack+4830, r12vrr_stack+4614, r12vrr_stack+3202);
 tmp = r12vrr_stack + 6126;
 target_ptr = Libr12->gvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+4182, r12vrr_stack+331, r12vrr_stack+2222, r12vrr_stack+2278, NULL);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6711, r12vrr_stack+4218, r12vrr_stack+4182, r12vrr_stack+2250, r12vrr_stack+2222, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6756, r12vrr_stack+6711, r12vrr_stack+6666, NULL, NULL, r12vrr_stack+4182);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6891, r12vrr_stack+4362, r12vrr_stack+4218, r12vrr_stack+2642, r12vrr_stack+2250, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+6936, r12vrr_stack+6891, r12vrr_stack+6711, NULL, NULL, r12vrr_stack+4218);

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+331, r12vrr_stack+5406, r12vrr_stack+2278, r12vrr_stack+2922, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7071, r12vrr_stack+6666, r12vrr_stack+2222, NULL, NULL, r12vrr_stack+331);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7206, r12vrr_stack+6756, r12vrr_stack+7071, r12vrr_stack+6711, r12vrr_stack+6666, r12vrr_stack+4506);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+6756, r12vrr_stack+6891, r12vrr_stack+6711, r12vrr_stack+4254);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+7206, r12vrr_stack+6936, r12vrr_stack+6756, r12vrr_stack+4614);
 tmp = r12vrr_stack + 7746;
 target_ptr = Libr12->gvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+4254, r12vrr_stack+2390, r12vrr_stack+196, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+4260, r12vrr_stack+367, r12vrr_stack+4254, r12vrr_stack+373, r12vrr_stack+2390, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+4270, r12vrr_stack+2393, r12vrr_stack+4260, r12vrr_stack+376, r12vrr_stack+367, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4285, r12vrr_stack+80, r12vrr_stack+4270, r12vrr_stack+382, r12vrr_stack+2393, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4306, r12vrr_stack+2403, r12vrr_stack+4285, r12vrr_stack+111, r12vrr_stack+80, NULL);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8196, r12vrr_stack+2424, r12vrr_stack+4306, r12vrr_stack+392, r12vrr_stack+2403, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8232, r12vrr_stack+5406, r12vrr_stack+8196, r12vrr_stack+2922, r12vrr_stack+2424, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8277, r12vrr_stack+2222, r12vrr_stack+8232, NULL, NULL, r12vrr_stack+5406);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8412, r12vrr_stack+7071, r12vrr_stack+8277, r12vrr_stack+6666, r12vrr_stack+2222, r12vrr_stack+5442);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8682, r12vrr_stack+7206, r12vrr_stack+8412, r12vrr_stack+6756, r12vrr_stack+7071, r12vrr_stack+5550);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+8682, r12vrr_stack+7476, r12vrr_stack+7206, r12vrr_stack+5766);
 tmp = r12vrr_stack + 9132;
 target_ptr = Libr12->gvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+6666, r12vrr_stack+2222, r12vrr_stack+4182, r12vrr_stack+331, NULL);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9862, r12vrr_stack+6711, r12vrr_stack+6666, r12vrr_stack+4218, r12vrr_stack+4182, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9917, r12vrr_stack+9862, r12vrr_stack+9807, NULL, NULL, r12vrr_stack+6666);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10082, r12vrr_stack+6891, r12vrr_stack+6711, r12vrr_stack+4362, r12vrr_stack+4218, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10137, r12vrr_stack+10082, r12vrr_stack+9862, NULL, NULL, r12vrr_stack+6711);

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+4182, r12vrr_stack+2222, r12vrr_stack+8232, r12vrr_stack+331, r12vrr_stack+5406, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10302, r12vrr_stack+9807, r12vrr_stack+4182, NULL, NULL, r12vrr_stack+2222);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10467, r12vrr_stack+9917, r12vrr_stack+10302, r12vrr_stack+9862, r12vrr_stack+9807, r12vrr_stack+7071);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+10797, r12vrr_stack+10137, r12vrr_stack+9917, r12vrr_stack+10082, r12vrr_stack+9862, r12vrr_stack+6756);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+10467, r12vrr_stack+10137, r12vrr_stack+9917, r12vrr_stack+7206);
 tmp = r12vrr_stack + 11127;
 target_ptr = Libr12->gvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6756, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6759, r12vrr_stack+196, r12vrr_stack+6756, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+6765, r12vrr_stack+4254, r12vrr_stack+6759, r12vrr_stack+2390, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+6775, r12vrr_stack+4260, r12vrr_stack+6765, r12vrr_stack+367, r12vrr_stack+4254, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6790, r12vrr_stack+4270, r12vrr_stack+6775, r12vrr_stack+2393, r12vrr_stack+4260, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4334, r12vrr_stack+4285, r12vrr_stack+6790, r12vrr_stack+80, r12vrr_stack+4270, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6811, r12vrr_stack+4306, r12vrr_stack+4334, r12vrr_stack+2403, r12vrr_stack+4285, NULL);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11677, r12vrr_stack+8196, r12vrr_stack+6811, r12vrr_stack+2424, r12vrr_stack+4306, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11722, r12vrr_stack+8232, r12vrr_stack+11677, r12vrr_stack+5406, r12vrr_stack+8196, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11777, r12vrr_stack+4182, r12vrr_stack+11722, NULL, NULL, r12vrr_stack+8232);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11942, r12vrr_stack+10302, r12vrr_stack+11777, r12vrr_stack+9807, r12vrr_stack+4182, r12vrr_stack+8277);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12272, r12vrr_stack+10467, r12vrr_stack+11942, r12vrr_stack+9917, r12vrr_stack+10302, r12vrr_stack+8412);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+12272, r12vrr_stack+10797, r12vrr_stack+10467, r12vrr_stack+8682);
 tmp = r12vrr_stack + 12822;
 target_ptr = Libr12->gvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+9807, r12vrr_stack+4182, r12vrr_stack+6666, r12vrr_stack+2222, NULL);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13713, r12vrr_stack+9862, r12vrr_stack+9807, r12vrr_stack+6711, r12vrr_stack+6666, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13779, r12vrr_stack+13713, r12vrr_stack+13647, NULL, NULL, r12vrr_stack+9807);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13977, r12vrr_stack+10082, r12vrr_stack+9862, r12vrr_stack+6891, r12vrr_stack+6711, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14043, r12vrr_stack+13977, r12vrr_stack+13713, NULL, NULL, r12vrr_stack+9862);

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+4182, r12vrr_stack+11722, r12vrr_stack+2222, r12vrr_stack+8232, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14241, r12vrr_stack+13647, r12vrr_stack+6666, NULL, NULL, r12vrr_stack+4182);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14439, r12vrr_stack+13779, r12vrr_stack+14241, r12vrr_stack+13713, r12vrr_stack+13647, r12vrr_stack+10302);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+14835, r12vrr_stack+14043, r12vrr_stack+13779, r12vrr_stack+13977, r12vrr_stack+13713, r12vrr_stack+9917);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+14439, r12vrr_stack+14043, r12vrr_stack+13779, r12vrr_stack+10467);
 tmp = r12vrr_stack + 15231;
 target_ptr = Libr12->gvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9917, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+9920, r12vrr_stack+6756, r12vrr_stack+9917, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+9926, r12vrr_stack+6759, r12vrr_stack+9920, r12vrr_stack+196, r12vrr_stack+6756, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+367, r12vrr_stack+6765, r12vrr_stack+9926, r12vrr_stack+4254, r12vrr_stack+6759, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9936, r12vrr_stack+6775, r12vrr_stack+367, r12vrr_stack+4260, r12vrr_stack+6765, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9957, r12vrr_stack+6790, r12vrr_stack+9936, r12vrr_stack+4270, r12vrr_stack+6775, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9985, r12vrr_stack+4334, r12vrr_stack+9957, r12vrr_stack+4285, r12vrr_stack+6790, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10021, r12vrr_stack+6811, r12vrr_stack+9985, r12vrr_stack+4306, r12vrr_stack+4334, NULL);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15891, r12vrr_stack+11677, r12vrr_stack+10021, r12vrr_stack+8196, r12vrr_stack+6811, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+15946, r12vrr_stack+11722, r12vrr_stack+15891, r12vrr_stack+8232, r12vrr_stack+11677, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16012, r12vrr_stack+6666, r12vrr_stack+15946, NULL, NULL, r12vrr_stack+11722);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16210, r12vrr_stack+14241, r12vrr_stack+16012, r12vrr_stack+13647, r12vrr_stack+6666, r12vrr_stack+11777);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+16606, r12vrr_stack+14439, r12vrr_stack+16210, r12vrr_stack+13779, r12vrr_stack+14241, r12vrr_stack+11942);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+17266, r12vrr_stack+15231, r12vrr_stack+16606, r12vrr_stack+14835, r12vrr_stack+14439, r12vrr_stack+12272);
 tmp = r12vrr_stack + 17266;
 target_ptr = Libr12->gvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18256, r12vrr_stack+13647, r12vrr_stack+6666, r12vrr_stack+9807, r12vrr_stack+4182, NULL);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18334, r12vrr_stack+13713, r12vrr_stack+13647, r12vrr_stack+9862, r12vrr_stack+9807, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18412, r12vrr_stack+18334, r12vrr_stack+18256, NULL, NULL, r12vrr_stack+13647);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18646, r12vrr_stack+13977, r12vrr_stack+13713, r12vrr_stack+10082, r12vrr_stack+9862, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18724, r12vrr_stack+18646, r12vrr_stack+18334, NULL, NULL, r12vrr_stack+13713);

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+6666, r12vrr_stack+15946, r12vrr_stack+4182, r12vrr_stack+11722, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+18958, r12vrr_stack+18256, r12vrr_stack+9807, NULL, NULL, r12vrr_stack+6666);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19192, r12vrr_stack+18412, r12vrr_stack+18958, r12vrr_stack+18334, r12vrr_stack+18256, r12vrr_stack+14241);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19660, r12vrr_stack+18724, r12vrr_stack+18412, r12vrr_stack+18646, r12vrr_stack+18334, r12vrr_stack+13779);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20128, r12vrr_stack+19660, r12vrr_stack+19192, r12vrr_stack+18724, r12vrr_stack+18412, r12vrr_stack+14439);
 tmp = r12vrr_stack + 20128;
 target_ptr = Libr12->gvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+196, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13779, r12vrr_stack+9917, r12vrr_stack+196, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13785, r12vrr_stack+9920, r12vrr_stack+13779, r12vrr_stack+6756, r12vrr_stack+9917, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13795, r12vrr_stack+9926, r12vrr_stack+13785, r12vrr_stack+6759, r12vrr_stack+9920, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13810, r12vrr_stack+367, r12vrr_stack+13795, r12vrr_stack+6765, r12vrr_stack+9926, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13831, r12vrr_stack+9936, r12vrr_stack+13810, r12vrr_stack+6775, r12vrr_stack+367, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13859, r12vrr_stack+9957, r12vrr_stack+13831, r12vrr_stack+6790, r12vrr_stack+9936, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13895, r12vrr_stack+9985, r12vrr_stack+13859, r12vrr_stack+4334, r12vrr_stack+9957, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6732, r12vrr_stack+10021, r12vrr_stack+13895, r12vrr_stack+6811, r12vrr_stack+9985, NULL);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20908, r12vrr_stack+15891, r12vrr_stack+6732, r12vrr_stack+11677, r12vrr_stack+10021, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+20974, r12vrr_stack+15946, r12vrr_stack+20908, r12vrr_stack+11722, r12vrr_stack+15891, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21052, r12vrr_stack+9807, r12vrr_stack+20974, NULL, NULL, r12vrr_stack+15946);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21286, r12vrr_stack+18958, r12vrr_stack+21052, r12vrr_stack+18256, r12vrr_stack+9807, r12vrr_stack+16012);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21754, r12vrr_stack+19192, r12vrr_stack+21286, r12vrr_stack+18412, r12vrr_stack+18958, r12vrr_stack+16210);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+22534, r12vrr_stack+20128, r12vrr_stack+21754, r12vrr_stack+19660, r12vrr_stack+19192, r12vrr_stack+16606);
 tmp = r12vrr_stack + 22534;
 target_ptr = Libr12->gvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23704, r12vrr_stack+18256, r12vrr_stack+9807, r12vrr_stack+13647, r12vrr_stack+6666, NULL);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23795, r12vrr_stack+18334, r12vrr_stack+18256, r12vrr_stack+13713, r12vrr_stack+13647, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+23886, r12vrr_stack+23795, r12vrr_stack+23704, NULL, NULL, r12vrr_stack+18256);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24159, r12vrr_stack+18646, r12vrr_stack+18334, r12vrr_stack+13977, r12vrr_stack+13713, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24250, r12vrr_stack+24159, r12vrr_stack+23795, NULL, NULL, r12vrr_stack+18334);

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+9807, r12vrr_stack+20974, r12vrr_stack+6666, r12vrr_stack+15946, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24523, r12vrr_stack+23704, r12vrr_stack+13647, NULL, NULL, r12vrr_stack+9807);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+24796, r12vrr_stack+23886, r12vrr_stack+24523, r12vrr_stack+23795, r12vrr_stack+23704, r12vrr_stack+18958);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+25342, r12vrr_stack+24250, r12vrr_stack+23886, r12vrr_stack+24159, r12vrr_stack+23795, r12vrr_stack+18412);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+25888, r12vrr_stack+25342, r12vrr_stack+24796, r12vrr_stack+24250, r12vrr_stack+23886, r12vrr_stack+19192);
 tmp = r12vrr_stack + 25888;
 target_ptr = Libr12->gvrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18412, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+18415, r12vrr_stack+196, r12vrr_stack+18412, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+18421, r12vrr_stack+13779, r12vrr_stack+18415, r12vrr_stack+9917, r12vrr_stack+196, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+18431, r12vrr_stack+13785, r12vrr_stack+18421, r12vrr_stack+9920, r12vrr_stack+13779, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18446, r12vrr_stack+13795, r12vrr_stack+18431, r12vrr_stack+9926, r12vrr_stack+13785, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18467, r12vrr_stack+13810, r12vrr_stack+18446, r12vrr_stack+367, r12vrr_stack+13795, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18495, r12vrr_stack+13831, r12vrr_stack+18467, r12vrr_stack+9936, r12vrr_stack+13810, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+18531, r12vrr_stack+13859, r12vrr_stack+18495, r12vrr_stack+9957, r12vrr_stack+13831, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18576, r12vrr_stack+13895, r12vrr_stack+18531, r12vrr_stack+9985, r12vrr_stack+13859, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+9885, r12vrr_stack+6732, r12vrr_stack+18576, r12vrr_stack+10021, r12vrr_stack+13895, NULL);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+26798, r12vrr_stack+20908, r12vrr_stack+9885, r12vrr_stack+15891, r12vrr_stack+6732, NULL);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+26876, r12vrr_stack+20974, r12vrr_stack+26798, r12vrr_stack+15946, r12vrr_stack+20908, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+26967, r12vrr_stack+13647, r12vrr_stack+26876, NULL, NULL, r12vrr_stack+20974);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+27240, r12vrr_stack+24523, r12vrr_stack+26967, r12vrr_stack+23704, r12vrr_stack+13647, r12vrr_stack+21052);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+27786, r12vrr_stack+24796, r12vrr_stack+27240, r12vrr_stack+23886, r12vrr_stack+24523, r12vrr_stack+21286);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+28696, r12vrr_stack+25888, r12vrr_stack+27786, r12vrr_stack+25342, r12vrr_stack+24796, r12vrr_stack+21754);
 tmp = r12vrr_stack + 28696;
 target_ptr = Libr12->gvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30061, r12vrr_stack+23704, r12vrr_stack+13647, r12vrr_stack+18256, r12vrr_stack+9807, NULL);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30166, r12vrr_stack+23795, r12vrr_stack+23704, r12vrr_stack+18334, r12vrr_stack+18256, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30271, r12vrr_stack+30166, r12vrr_stack+30061, NULL, NULL, r12vrr_stack+23704);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30586, r12vrr_stack+24159, r12vrr_stack+23795, r12vrr_stack+18646, r12vrr_stack+18334, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+30691, r12vrr_stack+30586, r12vrr_stack+30166, NULL, NULL, r12vrr_stack+23795);

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+23704, r12vrr_stack+13647, r12vrr_stack+26876, r12vrr_stack+9807, r12vrr_stack+20974, NULL);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+31006, r12vrr_stack+30061, r12vrr_stack+23704, NULL, NULL, r12vrr_stack+13647);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+31321, r12vrr_stack+30271, r12vrr_stack+31006, r12vrr_stack+30166, r12vrr_stack+30061, r12vrr_stack+24523);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+31951, r12vrr_stack+30691, r12vrr_stack+30271, r12vrr_stack+30586, r12vrr_stack+30166, r12vrr_stack+23886);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+32581, r12vrr_stack+31951, r12vrr_stack+31321, r12vrr_stack+30691, r12vrr_stack+30271, r12vrr_stack+24796);
 tmp = r12vrr_stack + 32581;
 target_ptr = Libr12->gvrr_classes[3][13];
 for(i=0;i<1050;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30166, r12vrr_stack+0, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+30175, r12vrr_stack+15, r12vrr_stack+34, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+30193, r12vrr_stack+1115, r12vrr_stack+30175, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+30166);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+30229, r12vrr_stack+126, r12vrr_stack+101, NULL, NULL, r12vrr_stack+34);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+30586, r12vrr_stack+1133, r12vrr_stack+30229, r12vrr_stack+21, r12vrr_stack+126, r12vrr_stack+30175);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+30646, r12vrr_stack+1163, r12vrr_stack+30586, r12vrr_stack+50, r12vrr_stack+1133, r12vrr_stack+30193);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+30746, r12vrr_stack+554, r12vrr_stack+205, NULL, NULL, r12vrr_stack+101);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+30791, r12vrr_stack+1223, r12vrr_stack+30746, r12vrr_stack+136, r12vrr_stack+554, r12vrr_stack+30229);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+23809, r12vrr_stack+1268, r12vrr_stack+30791, r12vrr_stack+151, r12vrr_stack+1223, r12vrr_stack+30586);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+33631, r12vrr_stack+1358, r12vrr_stack+23809, r12vrr_stack+241, r12vrr_stack+1268, r12vrr_stack+30646);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+241, r12vrr_stack+220, r12vrr_stack+392, NULL, NULL, r12vrr_stack+205);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+23959, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+569, r12vrr_stack+220, r12vrr_stack+30746);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33856, r12vrr_stack+1571, r12vrr_stack+23959, r12vrr_stack+590, r12vrr_stack+1508, r12vrr_stack+30791);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+34066, r12vrr_stack+1697, r12vrr_stack+33856, r12vrr_stack+653, r12vrr_stack+1571, r12vrr_stack+23809);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+34381, r12vrr_stack+1907, r12vrr_stack+34066, r12vrr_stack+905, r12vrr_stack+1697, r12vrr_stack+33631);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+569, r12vrr_stack+2922, r12vrr_stack+2424, NULL, NULL, r12vrr_stack+392);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+34822, r12vrr_stack+2950, r12vrr_stack+569, r12vrr_stack+2278, r12vrr_stack+2922, r12vrr_stack+241);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+34990, r12vrr_stack+3034, r12vrr_stack+34822, r12vrr_stack+2306, r12vrr_stack+2950, r12vrr_stack+23959);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+35270, r12vrr_stack+3202, r12vrr_stack+34990, r12vrr_stack+2474, r12vrr_stack+3034, r12vrr_stack+33856);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+35690, r12vrr_stack+3762, r12vrr_stack+35270, r12vrr_stack+3482, r12vrr_stack+3202, r12vrr_stack+34066);
 tmp = r12vrr_stack + 35690;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+653, r12vrr_stack+5406, r12vrr_stack+8196, NULL, NULL, r12vrr_stack+2424);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+36278, r12vrr_stack+5442, r12vrr_stack+653, r12vrr_stack+331, r12vrr_stack+5406, r12vrr_stack+569);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+36494, r12vrr_stack+5550, r12vrr_stack+36278, r12vrr_stack+4506, r12vrr_stack+5442, r12vrr_stack+34822);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+36854, r12vrr_stack+5766, r12vrr_stack+36494, r12vrr_stack+4614, r12vrr_stack+5550, r12vrr_stack+34990);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+37394, r12vrr_stack+6126, r12vrr_stack+36854, r12vrr_stack+5046, r12vrr_stack+5766, r12vrr_stack+35270);
 tmp = r12vrr_stack + 37394;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4506, r12vrr_stack+8232, r12vrr_stack+11677, NULL, NULL, r12vrr_stack+8196);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38150, r12vrr_stack+8277, r12vrr_stack+4506, r12vrr_stack+2222, r12vrr_stack+8232, r12vrr_stack+653);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38420, r12vrr_stack+8412, r12vrr_stack+38150, r12vrr_stack+7071, r12vrr_stack+8277, r12vrr_stack+36278);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38870, r12vrr_stack+8682, r12vrr_stack+38420, r12vrr_stack+7206, r12vrr_stack+8412, r12vrr_stack+36494);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39545, r12vrr_stack+9132, r12vrr_stack+38870, r12vrr_stack+7746, r12vrr_stack+8682, r12vrr_stack+36854);
 tmp = r12vrr_stack + 39545;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+7071, r12vrr_stack+11722, r12vrr_stack+15891, NULL, NULL, r12vrr_stack+11677);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40490, r12vrr_stack+11777, r12vrr_stack+7071, r12vrr_stack+4182, r12vrr_stack+11722, r12vrr_stack+4506);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+40820, r12vrr_stack+11942, r12vrr_stack+40490, r12vrr_stack+10302, r12vrr_stack+11777, r12vrr_stack+38150);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41370, r12vrr_stack+12272, r12vrr_stack+40820, r12vrr_stack+10467, r12vrr_stack+11942, r12vrr_stack+38420);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42195, r12vrr_stack+12822, r12vrr_stack+41370, r12vrr_stack+11127, r12vrr_stack+12272, r12vrr_stack+38870);
 tmp = r12vrr_stack + 42195;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+10302, r12vrr_stack+15946, r12vrr_stack+20908, NULL, NULL, r12vrr_stack+15891);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43350, r12vrr_stack+16012, r12vrr_stack+10302, r12vrr_stack+6666, r12vrr_stack+15946, r12vrr_stack+7071);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43746, r12vrr_stack+16210, r12vrr_stack+43350, r12vrr_stack+14241, r12vrr_stack+16012, r12vrr_stack+40490);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44406, r12vrr_stack+16606, r12vrr_stack+43746, r12vrr_stack+14439, r12vrr_stack+16210, r12vrr_stack+40820);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45396, r12vrr_stack+17266, r12vrr_stack+44406, r12vrr_stack+15231, r12vrr_stack+16606, r12vrr_stack+41370);
 tmp = r12vrr_stack + 45396;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+14241, r12vrr_stack+20974, r12vrr_stack+26798, NULL, NULL, r12vrr_stack+20908);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+46782, r12vrr_stack+21052, r12vrr_stack+14241, r12vrr_stack+9807, r12vrr_stack+20974, r12vrr_stack+10302);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+47250, r12vrr_stack+21286, r12vrr_stack+46782, r12vrr_stack+18958, r12vrr_stack+21052, r12vrr_stack+43350);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+48030, r12vrr_stack+21754, r12vrr_stack+47250, r12vrr_stack+19192, r12vrr_stack+21286, r12vrr_stack+43746);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+49200, r12vrr_stack+22534, r12vrr_stack+48030, r12vrr_stack+20128, r12vrr_stack+21754, r12vrr_stack+44406);
 tmp = r12vrr_stack + 49200;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+18958, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+18412, r12vrr_stack+18958, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21, r12vrr_stack+18415, r12vrr_stack+6, r12vrr_stack+196, r12vrr_stack+18412, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+18631, r12vrr_stack+18421, r12vrr_stack+21, r12vrr_stack+13779, r12vrr_stack+18415, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+18961, r12vrr_stack+18431, r12vrr_stack+18631, r12vrr_stack+13785, r12vrr_stack+18421, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18982, r12vrr_stack+18446, r12vrr_stack+18961, r12vrr_stack+13795, r12vrr_stack+18431, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19010, r12vrr_stack+18467, r12vrr_stack+18982, r12vrr_stack+13810, r12vrr_stack+18446, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19046, r12vrr_stack+18495, r12vrr_stack+19010, r12vrr_stack+13831, r12vrr_stack+18467, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19091, r12vrr_stack+18531, r12vrr_stack+19046, r12vrr_stack+13859, r12vrr_stack+18495, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+6666, r12vrr_stack+18576, r12vrr_stack+19091, r12vrr_stack+13895, r12vrr_stack+18531, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9807, r12vrr_stack+9885, r12vrr_stack+6666, r12vrr_stack+6732, r12vrr_stack+18576, NULL);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+19146, r12vrr_stack+26798, r12vrr_stack+9807, r12vrr_stack+20908, r12vrr_stack+9885, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+19237, r12vrr_stack+26876, r12vrr_stack+19146, NULL, NULL, r12vrr_stack+26798);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50838, r12vrr_stack+26967, r12vrr_stack+19237, r12vrr_stack+13647, r12vrr_stack+26876, r12vrr_stack+14241);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+51384, r12vrr_stack+27240, r12vrr_stack+50838, r12vrr_stack+24523, r12vrr_stack+26967, r12vrr_stack+46782);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+52294, r12vrr_stack+27786, r12vrr_stack+51384, r12vrr_stack+24796, r12vrr_stack+27240, r12vrr_stack+47250);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+53659, r12vrr_stack+28696, r12vrr_stack+52294, r12vrr_stack+25888, r12vrr_stack+27786, r12vrr_stack+48030);
 tmp = r12vrr_stack + 53659;
 target_ptr = Libr12->gvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+24523, r12vrr_stack+26876, r12vrr_stack+19146, r12vrr_stack+20974, r12vrr_stack+26798, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+24628, r12vrr_stack+23704, r12vrr_stack+24523, NULL, NULL, r12vrr_stack+26876);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+55570, r12vrr_stack+31006, r12vrr_stack+24628, r12vrr_stack+30061, r12vrr_stack+23704, r12vrr_stack+26967);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+56200, r12vrr_stack+31321, r12vrr_stack+55570, r12vrr_stack+30271, r12vrr_stack+31006, r12vrr_stack+27240);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+57250, r12vrr_stack+32581, r12vrr_stack+56200, r12vrr_stack+31951, r12vrr_stack+31321, r12vrr_stack+27786);
 tmp = r12vrr_stack + 57250;
 target_ptr = Libr12->gvrr_classes[4][13];
 for(i=0;i<1575;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+30061, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30064, r12vrr_stack+12, r12vrr_stack+31, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+761, r12vrr_stack+30166, r12vrr_stack+30064, r12vrr_stack+0, r12vrr_stack+12, r12vrr_stack+30061);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+30073, r12vrr_stack+34, r12vrr_stack+95, NULL, NULL, r12vrr_stack+31);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+30091, r12vrr_stack+30175, r12vrr_stack+30073, r12vrr_stack+15, r12vrr_stack+34, r12vrr_stack+30064);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+24943, r12vrr_stack+30193, r12vrr_stack+30091, r12vrr_stack+1115, r12vrr_stack+30175, r12vrr_stack+761);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+50, r12vrr_stack+101, r12vrr_stack+40, NULL, NULL, r12vrr_stack+95);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+25003, r12vrr_stack+30229, r12vrr_stack+50, r12vrr_stack+126, r12vrr_stack+101, r12vrr_stack+30073);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+25063, r12vrr_stack+30586, r12vrr_stack+25003, r12vrr_stack+1133, r12vrr_stack+30229, r12vrr_stack+30091);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+19510, r12vrr_stack+30646, r12vrr_stack+25063, r12vrr_stack+1163, r12vrr_stack+30586, r12vrr_stack+24943);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+126, r12vrr_stack+205, r12vrr_stack+111, NULL, NULL, r12vrr_stack+40);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1115, r12vrr_stack+30746, r12vrr_stack+126, r12vrr_stack+554, r12vrr_stack+205, r12vrr_stack+50);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+25163, r12vrr_stack+30791, r12vrr_stack+1115, r12vrr_stack+1223, r12vrr_stack+30746, r12vrr_stack+25003);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+13647, r12vrr_stack+23809, r12vrr_stack+25163, r12vrr_stack+1268, r12vrr_stack+30791, r12vrr_stack+25063);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+14475, r12vrr_stack+33631, r12vrr_stack+13647, r12vrr_stack+1358, r12vrr_stack+23809, r12vrr_stack+19510);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1205, r12vrr_stack+392, r12vrr_stack+2403, NULL, NULL, r12vrr_stack+111);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1268, r12vrr_stack+241, r12vrr_stack+1205, r12vrr_stack+220, r12vrr_stack+392, r12vrr_stack+126);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10500, r12vrr_stack+23959, r12vrr_stack+1268, r12vrr_stack+1508, r12vrr_stack+241, r12vrr_stack+1115);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30259, r12vrr_stack+33856, r12vrr_stack+10500, r12vrr_stack+1571, r12vrr_stack+23959, r12vrr_stack+25163);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58825, r12vrr_stack+34066, r12vrr_stack+30259, r12vrr_stack+1697, r12vrr_stack+33856, r12vrr_stack+13647);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+59266, r12vrr_stack+34381, r12vrr_stack+58825, r12vrr_stack+1907, r12vrr_stack+34066, r12vrr_stack+14475);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1394, r12vrr_stack+2424, r12vrr_stack+4306, NULL, NULL, r12vrr_stack+2403);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1478, r12vrr_stack+569, r12vrr_stack+1394, r12vrr_stack+2922, r12vrr_stack+2424, r12vrr_stack+1205);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+59854, r12vrr_stack+34822, r12vrr_stack+1478, r12vrr_stack+2950, r12vrr_stack+569, r12vrr_stack+1268);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+60134, r12vrr_stack+34990, r12vrr_stack+59854, r12vrr_stack+3034, r12vrr_stack+34822, r12vrr_stack+10500);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+60554, r12vrr_stack+35270, r12vrr_stack+60134, r12vrr_stack+3202, r12vrr_stack+34990, r12vrr_stack+30259);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+61142, r12vrr_stack+35690, r12vrr_stack+60554, r12vrr_stack+3762, r12vrr_stack+35270, r12vrr_stack+58825);
 tmp = r12vrr_stack + 61142;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2922, r12vrr_stack+8196, r12vrr_stack+6811, NULL, NULL, r12vrr_stack+4306);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3030, r12vrr_stack+653, r12vrr_stack+2922, r12vrr_stack+5406, r12vrr_stack+8196, r12vrr_stack+1394);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+61926, r12vrr_stack+36278, r12vrr_stack+3030, r12vrr_stack+5442, r12vrr_stack+653, r12vrr_stack+1478);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62286, r12vrr_stack+36494, r12vrr_stack+61926, r12vrr_stack+5550, r12vrr_stack+36278, r12vrr_stack+59854);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62826, r12vrr_stack+36854, r12vrr_stack+62286, r12vrr_stack+5766, r12vrr_stack+36494, r12vrr_stack+60134);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+63582, r12vrr_stack+37394, r12vrr_stack+62826, r12vrr_stack+6126, r12vrr_stack+36854, r12vrr_stack+60554);
 tmp = r12vrr_stack + 63582;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5406, r12vrr_stack+11677, r12vrr_stack+10021, NULL, NULL, r12vrr_stack+6811);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+5541, r12vrr_stack+4506, r12vrr_stack+5406, r12vrr_stack+8232, r12vrr_stack+11677, r12vrr_stack+2922);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+64590, r12vrr_stack+38150, r12vrr_stack+5541, r12vrr_stack+8277, r12vrr_stack+4506, r12vrr_stack+3030);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+65040, r12vrr_stack+38420, r12vrr_stack+64590, r12vrr_stack+8412, r12vrr_stack+38150, r12vrr_stack+61926);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+65715, r12vrr_stack+38870, r12vrr_stack+65040, r12vrr_stack+8682, r12vrr_stack+38420, r12vrr_stack+62286);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+66660, r12vrr_stack+39545, r12vrr_stack+65715, r12vrr_stack+9132, r12vrr_stack+38870, r12vrr_stack+62826);
 tmp = r12vrr_stack + 66660;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8232, r12vrr_stack+15891, r12vrr_stack+6732, NULL, NULL, r12vrr_stack+10021);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+8397, r12vrr_stack+7071, r12vrr_stack+8232, r12vrr_stack+11722, r12vrr_stack+15891, r12vrr_stack+5406);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+67920, r12vrr_stack+40490, r12vrr_stack+8397, r12vrr_stack+11777, r12vrr_stack+7071, r12vrr_stack+5541);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+68470, r12vrr_stack+40820, r12vrr_stack+67920, r12vrr_stack+11942, r12vrr_stack+40490, r12vrr_stack+64590);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+69295, r12vrr_stack+41370, r12vrr_stack+68470, r12vrr_stack+12272, r12vrr_stack+40820, r12vrr_stack+65040);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+70450, r12vrr_stack+42195, r12vrr_stack+69295, r12vrr_stack+12822, r12vrr_stack+41370, r12vrr_stack+65715);
 tmp = r12vrr_stack + 70450;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11722, r12vrr_stack+20908, r12vrr_stack+9885, NULL, NULL, r12vrr_stack+6732);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+11920, r12vrr_stack+10302, r12vrr_stack+11722, r12vrr_stack+15946, r12vrr_stack+20908, r12vrr_stack+8232);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71990, r12vrr_stack+43350, r12vrr_stack+11920, r12vrr_stack+16012, r12vrr_stack+10302, r12vrr_stack+8397);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+72650, r12vrr_stack+43746, r12vrr_stack+71990, r12vrr_stack+16210, r12vrr_stack+43350, r12vrr_stack+67920);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+73640, r12vrr_stack+44406, r12vrr_stack+72650, r12vrr_stack+16606, r12vrr_stack+43746, r12vrr_stack+68470);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+75026, r12vrr_stack+45396, r12vrr_stack+73640, r12vrr_stack+17266, r12vrr_stack+44406, r12vrr_stack+69295);
 tmp = r12vrr_stack + 75026;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+15946, r12vrr_stack+26798, r12vrr_stack+9807, NULL, NULL, r12vrr_stack+9885);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+16180, r12vrr_stack+14241, r12vrr_stack+15946, r12vrr_stack+20974, r12vrr_stack+26798, r12vrr_stack+11722);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76874, r12vrr_stack+46782, r12vrr_stack+16180, r12vrr_stack+21052, r12vrr_stack+14241, r12vrr_stack+11920);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77654, r12vrr_stack+47250, r12vrr_stack+76874, r12vrr_stack+21286, r12vrr_stack+46782, r12vrr_stack+71990);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78824, r12vrr_stack+48030, r12vrr_stack+77654, r12vrr_stack+21754, r12vrr_stack+47250, r12vrr_stack+72650);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+80462, r12vrr_stack+49200, r12vrr_stack+78824, r12vrr_stack+22534, r12vrr_stack+48030, r12vrr_stack+73640);
 tmp = r12vrr_stack + 80462;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+18958, r12vrr_stack+0, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+20974, r12vrr_stack+6, r12vrr_stack+15, r12vrr_stack+18412, r12vrr_stack+18958, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+21, r12vrr_stack+20974, r12vrr_stack+18415, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+220, r12vrr_stack+18631, r12vrr_stack+554, r12vrr_stack+18421, r12vrr_stack+21, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+171, r12vrr_stack+18961, r12vrr_stack+220, r12vrr_stack+18431, r12vrr_stack+18631, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20984, r12vrr_stack+18982, r12vrr_stack+171, r12vrr_stack+18446, r12vrr_stack+18961, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14790, r12vrr_stack+19010, r12vrr_stack+20984, r12vrr_stack+18467, r12vrr_stack+18982, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21020, r12vrr_stack+19046, r12vrr_stack+14790, r12vrr_stack+18495, r12vrr_stack+19010, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21075, r12vrr_stack+19091, r12vrr_stack+21020, r12vrr_stack+18531, r12vrr_stack+19046, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+304, r12vrr_stack+6666, r12vrr_stack+21075, r12vrr_stack+18576, r12vrr_stack+19091, NULL);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+21141, r12vrr_stack+9807, r12vrr_stack+304, r12vrr_stack+9885, r12vrr_stack+6666, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+21232, r12vrr_stack+19146, r12vrr_stack+21141, NULL, NULL, r12vrr_stack+9807);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+21505, r12vrr_stack+19237, r12vrr_stack+21232, r12vrr_stack+26876, r12vrr_stack+19146, r12vrr_stack+15946);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+82646, r12vrr_stack+50838, r12vrr_stack+21505, r12vrr_stack+26967, r12vrr_stack+19237, r12vrr_stack+16180);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83556, r12vrr_stack+51384, r12vrr_stack+82646, r12vrr_stack+27240, r12vrr_stack+50838, r12vrr_stack+76874);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+84921, r12vrr_stack+52294, r12vrr_stack+83556, r12vrr_stack+27786, r12vrr_stack+51384, r12vrr_stack+77654);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+86832, r12vrr_stack+53659, r12vrr_stack+84921, r12vrr_stack+28696, r12vrr_stack+52294, r12vrr_stack+78824);
 tmp = r12vrr_stack + 86832;
 target_ptr = Libr12->gvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+26876, r12vrr_stack+19146, r12vrr_stack+21141, r12vrr_stack+26798, r12vrr_stack+9807, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+5811, r12vrr_stack+24523, r12vrr_stack+26876, NULL, NULL, r12vrr_stack+19146);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+26981, r12vrr_stack+24628, r12vrr_stack+5811, r12vrr_stack+23704, r12vrr_stack+24523, r12vrr_stack+19237);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+27611, r12vrr_stack+55570, r12vrr_stack+26981, r12vrr_stack+31006, r12vrr_stack+24628, r12vrr_stack+50838);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+89380, r12vrr_stack+56200, r12vrr_stack+27611, r12vrr_stack+31321, r12vrr_stack+55570, r12vrr_stack+51384);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+90955, r12vrr_stack+57250, r12vrr_stack+89380, r12vrr_stack+32581, r12vrr_stack+56200, r12vrr_stack+52294);
 tmp = r12vrr_stack + 90955;
 target_ptr = Libr12->gvrr_classes[5][13];
 for(i=0;i<2205;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+23704, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+23707, r12vrr_stack+30061, r12vrr_stack+23704, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+23713, r12vrr_stack+31, r12vrr_stack+3, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+23722, r12vrr_stack+30064, r12vrr_stack+23713, r12vrr_stack+12, r12vrr_stack+31, r12vrr_stack+23704);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+23740, r12vrr_stack+761, r12vrr_stack+23722, r12vrr_stack+30166, r12vrr_stack+30064, r12vrr_stack+23707);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+761, r12vrr_stack+95, r12vrr_stack+199, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+23770, r12vrr_stack+30073, r12vrr_stack+761, r12vrr_stack+34, r12vrr_stack+95, r12vrr_stack+23713);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+22051, r12vrr_stack+30091, r12vrr_stack+23770, r12vrr_stack+30175, r12vrr_stack+30073, r12vrr_stack+23722);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+22111, r12vrr_stack+24943, r12vrr_stack+22051, r12vrr_stack+30193, r12vrr_stack+30091, r12vrr_stack+23740);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+24943, r12vrr_stack+40, r12vrr_stack+382, NULL, NULL, r12vrr_stack+199);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+23704, r12vrr_stack+50, r12vrr_stack+24943, r12vrr_stack+101, r12vrr_stack+40, r12vrr_stack+761);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+30061, r12vrr_stack+25003, r12vrr_stack+23704, r12vrr_stack+30229, r12vrr_stack+50, r12vrr_stack+23770);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+22201, r12vrr_stack+25063, r12vrr_stack+30061, r12vrr_stack+30586, r12vrr_stack+25003, r12vrr_stack+22051);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+16648, r12vrr_stack+19510, r12vrr_stack+22201, r12vrr_stack+30646, r12vrr_stack+25063, r12vrr_stack+22111);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+23764, r12vrr_stack+111, r12vrr_stack+80, NULL, NULL, r12vrr_stack+382);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+19510, r12vrr_stack+126, r12vrr_stack+23764, r12vrr_stack+205, r12vrr_stack+111, r12vrr_stack+24943);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+22051, r12vrr_stack+1115, r12vrr_stack+19510, r12vrr_stack+30746, r12vrr_stack+126, r12vrr_stack+23704);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+16858, r12vrr_stack+25163, r12vrr_stack+22051, r12vrr_stack+30791, r12vrr_stack+1115, r12vrr_stack+30061);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+12316, r12vrr_stack+13647, r12vrr_stack+16858, r12vrr_stack+23809, r12vrr_stack+25163, r12vrr_stack+22201);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+30574, r12vrr_stack+14475, r12vrr_stack+12316, r12vrr_stack+33631, r12vrr_stack+13647, r12vrr_stack+16648);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+16648, r12vrr_stack+2403, r12vrr_stack+4285, NULL, NULL, r12vrr_stack+80);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+16711, r12vrr_stack+1205, r12vrr_stack+16648, r12vrr_stack+392, r12vrr_stack+2403, r12vrr_stack+23764);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+1268, r12vrr_stack+16711, r12vrr_stack+241, r12vrr_stack+1205, r12vrr_stack+19510);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14475, r12vrr_stack+10500, r12vrr_stack+13647, r12vrr_stack+23959, r12vrr_stack+1268, r12vrr_stack+22051);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+22051, r12vrr_stack+30259, r12vrr_stack+14475, r12vrr_stack+33856, r12vrr_stack+10500, r12vrr_stack+16858);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30994, r12vrr_stack+58825, r12vrr_stack+22051, r12vrr_stack+34066, r12vrr_stack+30259, r12vrr_stack+12316);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+93160, r12vrr_stack+59266, r12vrr_stack+30994, r12vrr_stack+34381, r12vrr_stack+58825, r12vrr_stack+30574);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+58825, r12vrr_stack+4306, r12vrr_stack+4334, NULL, NULL, r12vrr_stack+4285);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+58909, r12vrr_stack+1394, r12vrr_stack+58825, r12vrr_stack+2424, r12vrr_stack+4306, r12vrr_stack+16648);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12316, r12vrr_stack+1478, r12vrr_stack+58909, r12vrr_stack+569, r12vrr_stack+1394, r12vrr_stack+16711);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2222, r12vrr_stack+59854, r12vrr_stack+12316, r12vrr_stack+34822, r12vrr_stack+1478, r12vrr_stack+13647);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16648, r12vrr_stack+60134, r12vrr_stack+2222, r12vrr_stack+34990, r12vrr_stack+59854, r12vrr_stack+14475);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30061, r12vrr_stack+60554, r12vrr_stack+16648, r12vrr_stack+35270, r12vrr_stack+60134, r12vrr_stack+22051);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93916, r12vrr_stack+61142, r12vrr_stack+30061, r12vrr_stack+35690, r12vrr_stack+60554, r12vrr_stack+30994);
 tmp = r12vrr_stack + 93916;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22051, r12vrr_stack+6811, r12vrr_stack+9985, NULL, NULL, r12vrr_stack+4334);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22159, r12vrr_stack+2922, r12vrr_stack+22051, r12vrr_stack+8196, r12vrr_stack+6811, r12vrr_stack+58825);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+59854, r12vrr_stack+3030, r12vrr_stack+22159, r12vrr_stack+653, r12vrr_stack+2922, r12vrr_stack+58909);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60214, r12vrr_stack+61926, r12vrr_stack+59854, r12vrr_stack+36278, r12vrr_stack+3030, r12vrr_stack+12316);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+34822, r12vrr_stack+62286, r12vrr_stack+60214, r12vrr_stack+36494, r12vrr_stack+61926, r12vrr_stack+2222);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30845, r12vrr_stack+62826, r12vrr_stack+34822, r12vrr_stack+36854, r12vrr_stack+62286, r12vrr_stack+16648);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+94924, r12vrr_stack+63582, r12vrr_stack+30845, r12vrr_stack+37394, r12vrr_stack+62826, r12vrr_stack+30061);
 tmp = r12vrr_stack + 94924;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30061, r12vrr_stack+10021, r12vrr_stack+13895, NULL, NULL, r12vrr_stack+9985);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30196, r12vrr_stack+5406, r12vrr_stack+30061, r12vrr_stack+11677, r12vrr_stack+10021, r12vrr_stack+22051);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16648, r12vrr_stack+5541, r12vrr_stack+30196, r12vrr_stack+4506, r12vrr_stack+5406, r12vrr_stack+22159);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+61926, r12vrr_stack+64590, r12vrr_stack+16648, r12vrr_stack+38150, r12vrr_stack+5541, r12vrr_stack+59854);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+62601, r12vrr_stack+65040, r12vrr_stack+61926, r12vrr_stack+38420, r12vrr_stack+64590, r12vrr_stack+60214);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+59854, r12vrr_stack+65715, r12vrr_stack+62601, r12vrr_stack+38870, r12vrr_stack+65040, r12vrr_stack+34822);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+96220, r12vrr_stack+66660, r12vrr_stack+59854, r12vrr_stack+39545, r12vrr_stack+65715, r12vrr_stack+30845);
 tmp = r12vrr_stack + 96220;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34822, r12vrr_stack+6732, r12vrr_stack+18576, NULL, NULL, r12vrr_stack+13895);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+8232, r12vrr_stack+34822, r12vrr_stack+15891, r12vrr_stack+6732, r12vrr_stack+30061);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34987, r12vrr_stack+8397, r12vrr_stack+13647, r12vrr_stack+7071, r12vrr_stack+8232, r12vrr_stack+30196);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30061, r12vrr_stack+67920, r12vrr_stack+34987, r12vrr_stack+40490, r12vrr_stack+8397, r12vrr_stack+16648);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+64590, r12vrr_stack+68470, r12vrr_stack+30061, r12vrr_stack+40820, r12vrr_stack+67920, r12vrr_stack+61926);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+97840, r12vrr_stack+69295, r12vrr_stack+64590, r12vrr_stack+41370, r12vrr_stack+68470, r12vrr_stack+62601);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+99380, r12vrr_stack+70450, r12vrr_stack+97840, r12vrr_stack+42195, r12vrr_stack+69295, r12vrr_stack+59854);
 tmp = r12vrr_stack + 99380;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59854, r12vrr_stack+9885, r12vrr_stack+6666, NULL, NULL, r12vrr_stack+18576);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60052, r12vrr_stack+11722, r12vrr_stack+59854, r12vrr_stack+20908, r12vrr_stack+9885, r12vrr_stack+34822);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60448, r12vrr_stack+11920, r12vrr_stack+60052, r12vrr_stack+10302, r12vrr_stack+11722, r12vrr_stack+13647);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61926, r12vrr_stack+71990, r12vrr_stack+60448, r12vrr_stack+43350, r12vrr_stack+11920, r12vrr_stack+34987);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+67920, r12vrr_stack+72650, r12vrr_stack+61926, r12vrr_stack+43746, r12vrr_stack+71990, r12vrr_stack+30061);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30061, r12vrr_stack+73640, r12vrr_stack+67920, r12vrr_stack+44406, r12vrr_stack+72650, r12vrr_stack+64590);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+101360, r12vrr_stack+75026, r12vrr_stack+30061, r12vrr_stack+45396, r12vrr_stack+73640, r12vrr_stack+97840);
 tmp = r12vrr_stack + 101360;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+97840, r12vrr_stack+9807, r12vrr_stack+304, NULL, NULL, r12vrr_stack+6666);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+98074, r12vrr_stack+15946, r12vrr_stack+97840, r12vrr_stack+26798, r12vrr_stack+9807, r12vrr_stack+59854);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+98542, r12vrr_stack+16180, r12vrr_stack+98074, r12vrr_stack+14241, r12vrr_stack+15946, r12vrr_stack+60052);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+64590, r12vrr_stack+76874, r12vrr_stack+98542, r12vrr_stack+46782, r12vrr_stack+16180, r12vrr_stack+60448);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+71990, r12vrr_stack+77654, r12vrr_stack+64590, r12vrr_stack+47250, r12vrr_stack+76874, r12vrr_stack+61926);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+103736, r12vrr_stack+78824, r12vrr_stack+71990, r12vrr_stack+48030, r12vrr_stack+77654, r12vrr_stack+67920);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+105920, r12vrr_stack+80462, r12vrr_stack+103736, r12vrr_stack+49200, r12vrr_stack+78824, r12vrr_stack+30061);
 tmp = r12vrr_stack + 105920;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+30061, r12vrr_stack+0, r12vrr_stack+3, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+30067, r12vrr_stack+15, r12vrr_stack+30061, r12vrr_stack+18958, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+30077, r12vrr_stack+20974, r12vrr_stack+30067, r12vrr_stack+6, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+554, r12vrr_stack+30077, r12vrr_stack+21, r12vrr_stack+20974, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+21, r12vrr_stack+220, r12vrr_stack+0, r12vrr_stack+18631, r12vrr_stack+554, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+171, r12vrr_stack+21, r12vrr_stack+18961, r12vrr_stack+220, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+20984, r12vrr_stack+554, r12vrr_stack+18982, r12vrr_stack+171, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+635, r12vrr_stack+14790, r12vrr_stack+590, r12vrr_stack+19010, r12vrr_stack+20984, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+21020, r12vrr_stack+635, r12vrr_stack+19046, r12vrr_stack+14790, NULL);

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+26798, r12vrr_stack+21075, r12vrr_stack+554, r12vrr_stack+19091, r12vrr_stack+21020, NULL);

 /*--- compute (00|q0)^7 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+554, r12vrr_stack+304, r12vrr_stack+26798, r12vrr_stack+6666, r12vrr_stack+21075, NULL);

 /*--- compute (p0|q0)^6 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+108728, r12vrr_stack+21141, r12vrr_stack+554, NULL, NULL, r12vrr_stack+304);

 /*--- compute (d0|q0)^5 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+30061, r12vrr_stack+21232, r12vrr_stack+108728, r12vrr_stack+19146, r12vrr_stack+21141, r12vrr_stack+97840);

 /*--- compute (f0|q0)^4 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+30607, r12vrr_stack+21505, r12vrr_stack+30061, r12vrr_stack+19237, r12vrr_stack+21232, r12vrr_stack+98074);

 /*--- compute (g0|q0)^3 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+67920, r12vrr_stack+82646, r12vrr_stack+30607, r12vrr_stack+50838, r12vrr_stack+21505, r12vrr_stack+98542);

 /*--- compute (h0|q0)^2 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76874, r12vrr_stack+83556, r12vrr_stack+67920, r12vrr_stack+51384, r12vrr_stack+82646, r12vrr_stack+64590);

 /*--- compute (i0|q0)^1 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+108728, r12vrr_stack+84921, r12vrr_stack+76874, r12vrr_stack+52294, r12vrr_stack+83556, r12vrr_stack+71990);

 /*--- compute (k0|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76874, r12vrr_stack+86832, r12vrr_stack+108728, r12vrr_stack+53659, r12vrr_stack+84921, r12vrr_stack+103736);

 /*--- compute (00|r0)^6 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+103736, r12vrr_stack+21141, r12vrr_stack+554, r12vrr_stack+9807, r12vrr_stack+304, NULL);

 /*--- compute (p0|r0)^5 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+103841, r12vrr_stack+26876, r12vrr_stack+103736, NULL, NULL, r12vrr_stack+21141);

 /*--- compute (d0|r0)^4 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+104156, r12vrr_stack+5811, r12vrr_stack+103841, r12vrr_stack+24523, r12vrr_stack+26876, r12vrr_stack+21232);

 /*--- compute (f0|r0)^3 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+104786, r12vrr_stack+26981, r12vrr_stack+104156, r12vrr_stack+24628, r12vrr_stack+5811, r12vrr_stack+21505);

 /*--- compute (g0|r0)^2 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+108728, r12vrr_stack+27611, r12vrr_stack+104786, r12vrr_stack+55570, r12vrr_stack+26981, r12vrr_stack+82646);

 /*--- compute (h0|r0)^1 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+71990, r12vrr_stack+89380, r12vrr_stack+108728, r12vrr_stack+56200, r12vrr_stack+27611, r12vrr_stack+83556);

 /*--- compute (i0|r0)^0 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+108728, r12vrr_stack+90955, r12vrr_stack+71990, r12vrr_stack+57250, r12vrr_stack+89380, r12vrr_stack+84921);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+89380, &(Data->ss_r12_ss), NULL, r12vrr_stack+436, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+89383, r12vrr_stack+89380, &(Data->ss_r12_ss), r12vrr_stack+439, r12vrr_stack+436, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+89389, r12vrr_stack+89383, r12vrr_stack+89380, r12vrr_stack+445, r12vrr_stack+439, r12vrr_stack+436, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+89399, r12vrr_stack+89389, r12vrr_stack+89383, r12vrr_stack+455, r12vrr_stack+445, r12vrr_stack+439, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+89414, r12vrr_stack+89399, r12vrr_stack+89389, r12vrr_stack+470, r12vrr_stack+455, r12vrr_stack+445, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+89435, r12vrr_stack+89414, r12vrr_stack+89399, r12vrr_stack+2642, r12vrr_stack+470, r12vrr_stack+455, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+89463, r12vrr_stack+89435, NULL, r12vrr_stack+2670, r12vrr_stack+2642, NULL, r12vrr_stack+470);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+89547, r12vrr_stack+89463, r12vrr_stack+89435, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+2642, r12vrr_stack+491);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+491, r12vrr_stack+89547, r12vrr_stack+89463, r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+2670, r12vrr_stack+779);
 tmp = r12vrr_stack + 491;
 target_ptr = Libr12->rvrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+2222, r12vrr_stack+491, r12vrr_stack+89547, r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+2754, r12vrr_stack+905);
 tmp = r12vrr_stack + 2222;
 target_ptr = Libr12->rvrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+89463, r12vrr_stack+2222, r12vrr_stack+491, r12vrr_stack+35690, r12vrr_stack+3762, r12vrr_stack+3482, r12vrr_stack+1907);
 tmp = r12vrr_stack + 89463;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+491, r12vrr_stack+89435, r12vrr_stack+89414, r12vrr_stack+4362, r12vrr_stack+2642, r12vrr_stack+470, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+527, r12vrr_stack+491, NULL, r12vrr_stack+4398, r12vrr_stack+4362, NULL, r12vrr_stack+2642);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+635, r12vrr_stack+527, r12vrr_stack+491, r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+4362, r12vrr_stack+2670);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+90051, r12vrr_stack+635, r12vrr_stack+527, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+4398, r12vrr_stack+2754);
 tmp = r12vrr_stack + 90051;
 target_ptr = Libr12->rvrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+90411, r12vrr_stack+90051, r12vrr_stack+635, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+3482);
 tmp = r12vrr_stack + 90411;
 target_ptr = Libr12->rvrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+71990, r12vrr_stack+90411, r12vrr_stack+90051, r12vrr_stack+37394, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+3762);
 tmp = r12vrr_stack + 71990;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+90051, r12vrr_stack+491, r12vrr_stack+89435, r12vrr_stack+6891, r12vrr_stack+4362, r12vrr_stack+2642, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+90096, r12vrr_stack+90051, NULL, r12vrr_stack+6936, r12vrr_stack+6891, NULL, r12vrr_stack+4362);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+527, r12vrr_stack+90096, r12vrr_stack+90051, r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+6891, r12vrr_stack+4398);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+72746, r12vrr_stack+527, r12vrr_stack+90096, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+6936, r12vrr_stack+4830);
 tmp = r12vrr_stack + 72746;
 target_ptr = Libr12->rvrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+73196, r12vrr_stack+72746, r12vrr_stack+527, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+5046);
 tmp = r12vrr_stack + 73196;
 target_ptr = Libr12->rvrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+73871, r12vrr_stack+73196, r12vrr_stack+72746, r12vrr_stack+39545, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+6126);
 tmp = r12vrr_stack + 73871;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+72746, r12vrr_stack+90051, r12vrr_stack+491, r12vrr_stack+10082, r12vrr_stack+6891, r12vrr_stack+4362, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+72801, r12vrr_stack+72746, NULL, r12vrr_stack+10137, r12vrr_stack+10082, NULL, r12vrr_stack+6891);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+72801, r12vrr_stack+72746, r12vrr_stack+10797, r12vrr_stack+10137, r12vrr_stack+10082, r12vrr_stack+6936);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+111668, r12vrr_stack+13647, r12vrr_stack+72801, r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+10137, r12vrr_stack+7476);
 tmp = r12vrr_stack + 111668;
 target_ptr = Libr12->rvrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+82646, r12vrr_stack+111668, r12vrr_stack+13647, r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+7746);
 tmp = r12vrr_stack + 82646;
 target_ptr = Libr12->rvrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+83471, r12vrr_stack+82646, r12vrr_stack+111668, r12vrr_stack+42195, r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+9132);
 tmp = r12vrr_stack + 83471;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+111668, r12vrr_stack+72746, r12vrr_stack+90051, r12vrr_stack+13977, r12vrr_stack+10082, r12vrr_stack+6891, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+90051, r12vrr_stack+111668, NULL, r12vrr_stack+14043, r12vrr_stack+13977, NULL, r12vrr_stack+10082);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+111734, r12vrr_stack+90051, r12vrr_stack+111668, r12vrr_stack+14835, r12vrr_stack+14043, r12vrr_stack+13977, r12vrr_stack+10137);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10137, r12vrr_stack+111734, r12vrr_stack+90051, r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+14043, r12vrr_stack+10797);
 tmp = r12vrr_stack + 10137;
 target_ptr = Libr12->rvrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+84626, r12vrr_stack+10137, r12vrr_stack+111734, r12vrr_stack+17266, r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+11127);
 tmp = r12vrr_stack + 84626;
 target_ptr = Libr12->rvrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+55570, r12vrr_stack+84626, r12vrr_stack+10137, r12vrr_stack+45396, r12vrr_stack+17266, r12vrr_stack+15231, r12vrr_stack+12822);
 tmp = r12vrr_stack + 55570;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10137, r12vrr_stack+111668, r12vrr_stack+72746, r12vrr_stack+18646, r12vrr_stack+13977, r12vrr_stack+10082, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+72746, r12vrr_stack+10137, NULL, r12vrr_stack+18724, r12vrr_stack+18646, NULL, r12vrr_stack+13977);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10215, r12vrr_stack+72746, r12vrr_stack+10137, r12vrr_stack+19660, r12vrr_stack+18724, r12vrr_stack+18646, r12vrr_stack+14043);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14043, r12vrr_stack+10215, r12vrr_stack+72746, r12vrr_stack+20128, r12vrr_stack+19660, r12vrr_stack+18724, r12vrr_stack+14835);
 tmp = r12vrr_stack + 14043;
 target_ptr = Libr12->rvrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+85616, r12vrr_stack+14043, r12vrr_stack+10215, r12vrr_stack+22534, r12vrr_stack+20128, r12vrr_stack+19660, r12vrr_stack+15231);
 tmp = r12vrr_stack + 85616;
 target_ptr = Libr12->rvrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+103736, r12vrr_stack+85616, r12vrr_stack+14043, r12vrr_stack+49200, r12vrr_stack+22534, r12vrr_stack+20128, r12vrr_stack+17266);
 tmp = r12vrr_stack + 103736;
 target_ptr = Libr12->rvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14043, r12vrr_stack+10137, r12vrr_stack+111668, r12vrr_stack+24159, r12vrr_stack+18646, r12vrr_stack+13977, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+111668, r12vrr_stack+14043, NULL, r12vrr_stack+24250, r12vrr_stack+24159, NULL, r12vrr_stack+18646);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+105374, r12vrr_stack+111668, r12vrr_stack+14043, r12vrr_stack+25342, r12vrr_stack+24250, r12vrr_stack+24159, r12vrr_stack+18724);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13647, r12vrr_stack+105374, r12vrr_stack+111668, r12vrr_stack+25888, r12vrr_stack+25342, r12vrr_stack+24250, r12vrr_stack+19660);
 tmp = r12vrr_stack + 13647;
 target_ptr = Libr12->rvrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+64590, r12vrr_stack+13647, r12vrr_stack+105374, r12vrr_stack+28696, r12vrr_stack+25888, r12vrr_stack+25342, r12vrr_stack+20128);
 tmp = r12vrr_stack + 64590;
 target_ptr = Libr12->rvrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+67920, r12vrr_stack+64590, r12vrr_stack+13647, r12vrr_stack+53659, r12vrr_stack+28696, r12vrr_stack+25888, r12vrr_stack+22534);
 tmp = r12vrr_stack + 67920;
 target_ptr = Libr12->rvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13647, r12vrr_stack+3482, r12vrr_stack+5046, r12vrr_stack+3762, r12vrr_stack+1907, r12vrr_stack+905);
 tmp = r12vrr_stack + 13647;
 target_ptr = Libr12->t2vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+90051, r12vrr_stack+5046, r12vrr_stack+7746, r12vrr_stack+6126, r12vrr_stack+3762, r12vrr_stack+3482);
 tmp = r12vrr_stack + 90051;
 target_ptr = Libr12->t2vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+72746, r12vrr_stack+7746, r12vrr_stack+11127, r12vrr_stack+9132, r12vrr_stack+6126, r12vrr_stack+5046);
 tmp = r12vrr_stack + 72746;
 target_ptr = Libr12->t2vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+13927, r12vrr_stack+11127, r12vrr_stack+15231, r12vrr_stack+12822, r12vrr_stack+9132, r12vrr_stack+7746);
 tmp = r12vrr_stack + 13927;
 target_ptr = Libr12->t2vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+111668, r12vrr_stack+15231, r12vrr_stack+20128, r12vrr_stack+17266, r12vrr_stack+12822, r12vrr_stack+11127);
 tmp = r12vrr_stack + 111668;
 target_ptr = Libr12->t2vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9807, r12vrr_stack+20128, r12vrr_stack+25888, r12vrr_stack+22534, r12vrr_stack+17266, r12vrr_stack+15231);
 tmp = r12vrr_stack + 9807;
 target_ptr = Libr12->t2vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T2]|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+50838, r12vrr_stack+25888, r12vrr_stack+32581, r12vrr_stack+28696, r12vrr_stack+22534, r12vrr_stack+20128);
 tmp = r12vrr_stack + 50838;
 target_ptr = Libr12->t2vrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+105374, r12vrr_stack+3762, r12vrr_stack+6126, r12vrr_stack+35690, r12vrr_stack+34381, r12vrr_stack+1907);
 tmp = r12vrr_stack + 105374;
 target_ptr = Libr12->t2vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+65955, r12vrr_stack+6126, r12vrr_stack+9132, r12vrr_stack+37394, r12vrr_stack+35690, r12vrr_stack+3762);
 tmp = r12vrr_stack + 65955;
 target_ptr = Libr12->t2vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+51748, r12vrr_stack+9132, r12vrr_stack+12822, r12vrr_stack+39545, r12vrr_stack+37394, r12vrr_stack+6126);
 tmp = r12vrr_stack + 51748;
 target_ptr = Libr12->t2vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+52423, r12vrr_stack+12822, r12vrr_stack+17266, r12vrr_stack+42195, r12vrr_stack+39545, r12vrr_stack+9132);
 tmp = r12vrr_stack + 52423;
 target_ptr = Libr12->t2vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+30061, r12vrr_stack+17266, r12vrr_stack+22534, r12vrr_stack+45396, r12vrr_stack+42195, r12vrr_stack+12822);
 tmp = r12vrr_stack + 30061;
 target_ptr = Libr12->t2vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+97840, r12vrr_stack+22534, r12vrr_stack+28696, r12vrr_stack+49200, r12vrr_stack+45396, r12vrr_stack+17266);
 tmp = r12vrr_stack + 97840;
 target_ptr = Libr12->t2vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T2]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+26798, r12vrr_stack+28696, r12vrr_stack+57250, r12vrr_stack+53659, r12vrr_stack+49200, r12vrr_stack+22534);
 tmp = r12vrr_stack + 26798;
 target_ptr = Libr12->t2vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+69831, r12vrr_stack+35690, r12vrr_stack+37394, r12vrr_stack+61142, r12vrr_stack+59266, r12vrr_stack+34381);
 tmp = r12vrr_stack + 69831;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31051, r12vrr_stack+37394, r12vrr_stack+39545, r12vrr_stack+63582, r12vrr_stack+61142, r12vrr_stack+35690);
 tmp = r12vrr_stack + 31051;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+39545, r12vrr_stack+42195, r12vrr_stack+66660, r12vrr_stack+63582, r12vrr_stack+37394);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+945, r12vrr_stack+42195, r12vrr_stack+45396, r12vrr_stack+70450, r12vrr_stack+66660, r12vrr_stack+39545);
 tmp = r12vrr_stack + 945;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+61926, r12vrr_stack+45396, r12vrr_stack+49200, r12vrr_stack+75026, r12vrr_stack+70450, r12vrr_stack+42195);
 tmp = r12vrr_stack + 61926;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+23704, r12vrr_stack+49200, r12vrr_stack+53659, r12vrr_stack+80462, r12vrr_stack+75026, r12vrr_stack+45396);
 tmp = r12vrr_stack + 23704;
 target_ptr = Libr12->t2vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+46782, r12vrr_stack+53659, r12vrr_stack+90955, r12vrr_stack+86832, r12vrr_stack+80462, r12vrr_stack+49200);
 tmp = r12vrr_stack + 46782;
 target_ptr = Libr12->t2vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+6666, r12vrr_stack+61142, r12vrr_stack+63582, r12vrr_stack+93916, r12vrr_stack+93160, r12vrr_stack+59266);
 tmp = r12vrr_stack + 6666;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+43350, r12vrr_stack+63582, r12vrr_stack+66660, r12vrr_stack+94924, r12vrr_stack+93916, r12vrr_stack+61142);
 tmp = r12vrr_stack + 43350;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20908, r12vrr_stack+66660, r12vrr_stack+70450, r12vrr_stack+96220, r12vrr_stack+94924, r12vrr_stack+63582);
 tmp = r12vrr_stack + 20908;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+40490, r12vrr_stack+70450, r12vrr_stack+75026, r12vrr_stack+99380, r12vrr_stack+96220, r12vrr_stack+66660);
 tmp = r12vrr_stack + 40490;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+58825, r12vrr_stack+75026, r12vrr_stack+80462, r12vrr_stack+101360, r12vrr_stack+99380, r12vrr_stack+70450);
 tmp = r12vrr_stack + 58825;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+112328, r12vrr_stack+80462, r12vrr_stack+86832, r12vrr_stack+105920, r12vrr_stack+101360, r12vrr_stack+75026);
 tmp = r12vrr_stack + 112328;
 target_ptr = Libr12->t2vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+114512, r12vrr_stack+86832, r12vrr_stack+108728, r12vrr_stack+76874, r12vrr_stack+105920, r12vrr_stack+80462);
 tmp = r12vrr_stack + 114512;
 target_ptr = Libr12->t2vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_f0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+93160, r12vrr_stack+3482, r12vrr_stack+3762, r12vrr_stack+5046, r12vrr_stack+4830, r12vrr_stack+2754);
 tmp = r12vrr_stack + 93160;
 target_ptr = Libr12->t1vrr_classes[3][6];
 for(i=0;i<280;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_f0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+93440, r12vrr_stack+5046, r12vrr_stack+6126, r12vrr_stack+7746, r12vrr_stack+7476, r12vrr_stack+4830);
 tmp = r12vrr_stack + 93440;
 target_ptr = Libr12->t1vrr_classes[3][7];
 for(i=0;i<360;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_f0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+2642, r12vrr_stack+7746, r12vrr_stack+9132, r12vrr_stack+11127, r12vrr_stack+10797, r12vrr_stack+7476);
 tmp = r12vrr_stack + 2642;
 target_ptr = Libr12->t1vrr_classes[3][8];
 for(i=0;i<450;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+44358, r12vrr_stack+11127, r12vrr_stack+12822, r12vrr_stack+15231, r12vrr_stack+14835, r12vrr_stack+10797);
 tmp = r12vrr_stack + 44358;
 target_ptr = Libr12->t1vrr_classes[3][9];
 for(i=0;i<550;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+34822, r12vrr_stack+15231, r12vrr_stack+17266, r12vrr_stack+20128, r12vrr_stack+19660, r12vrr_stack+14835);
 tmp = r12vrr_stack + 34822;
 target_ptr = Libr12->t1vrr_classes[3][10];
 for(i=0;i<660;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+15891, r12vrr_stack+20128, r12vrr_stack+22534, r12vrr_stack+25888, r12vrr_stack+25342, r12vrr_stack+19660);
 tmp = r12vrr_stack + 15891;
 target_ptr = Libr12->t1vrr_classes[3][11];
 for(i=0;i<780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (f0|[r12,T1]|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+38150, r12vrr_stack+25888, r12vrr_stack+28696, r12vrr_stack+32581, r12vrr_stack+31951, r12vrr_stack+25342);
 tmp = r12vrr_stack + 38150;
 target_ptr = Libr12->t1vrr_classes[3][12];
 for(i=0;i<910;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_g0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25342, r12vrr_stack+3762, r12vrr_stack+35690, r12vrr_stack+6126, r12vrr_stack+5046, r12vrr_stack+3482);
 tmp = r12vrr_stack + 25342;
 target_ptr = Libr12->t1vrr_classes[4][6];
 for(i=0;i<420;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_g0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10587, r12vrr_stack+6126, r12vrr_stack+37394, r12vrr_stack+9132, r12vrr_stack+7746, r12vrr_stack+5046);
 tmp = r12vrr_stack + 10587;
 target_ptr = Libr12->t1vrr_classes[4][7];
 for(i=0;i<540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_g0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14477, r12vrr_stack+9132, r12vrr_stack+39545, r12vrr_stack+12822, r12vrr_stack+11127, r12vrr_stack+7746);
 tmp = r12vrr_stack + 14477;
 target_ptr = Libr12->t1vrr_classes[4][8];
 for(i=0;i<675;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7450, r12vrr_stack+12822, r12vrr_stack+42195, r12vrr_stack+17266, r12vrr_stack+15231, r12vrr_stack+11127);
 tmp = r12vrr_stack + 7450;
 target_ptr = Libr12->t1vrr_classes[4][9];
 for(i=0;i<825;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+11127, r12vrr_stack+17266, r12vrr_stack+45396, r12vrr_stack+22534, r12vrr_stack+20128, r12vrr_stack+15231);
 tmp = r12vrr_stack + 11127;
 target_ptr = Libr12->t1vrr_classes[4][10];
 for(i=0;i<990;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4182, r12vrr_stack+22534, r12vrr_stack+49200, r12vrr_stack+28696, r12vrr_stack+25888, r12vrr_stack+20128);
 tmp = r12vrr_stack + 4182;
 target_ptr = Libr12->t1vrr_classes[4][11];
 for(i=0;i<1170;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (g0|[r12,T1]|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+18256, r12vrr_stack+28696, r12vrr_stack+53659, r12vrr_stack+57250, r12vrr_stack+32581, r12vrr_stack+25888);
 tmp = r12vrr_stack + 18256;
 target_ptr = Libr12->t1vrr_classes[4][12];
 for(i=0;i<1365;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+12117, r12vrr_stack+35690, r12vrr_stack+61142, r12vrr_stack+37394, r12vrr_stack+6126, r12vrr_stack+3762);
 tmp = r12vrr_stack + 12117;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25762, r12vrr_stack+37394, r12vrr_stack+63582, r12vrr_stack+39545, r12vrr_stack+9132, r12vrr_stack+6126);
 tmp = r12vrr_stack + 25762;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31807, r12vrr_stack+39545, r12vrr_stack+66660, r12vrr_stack+42195, r12vrr_stack+12822, r12vrr_stack+9132);
 tmp = r12vrr_stack + 31807;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+32752, r12vrr_stack+42195, r12vrr_stack+70450, r12vrr_stack+45396, r12vrr_stack+17266, r12vrr_stack+12822);
 tmp = r12vrr_stack + 32752;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+117060, r12vrr_stack+45396, r12vrr_stack+75026, r12vrr_stack+49200, r12vrr_stack+22534, r12vrr_stack+17266);
 tmp = r12vrr_stack + 117060;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+118446, r12vrr_stack+49200, r12vrr_stack+80462, r12vrr_stack+53659, r12vrr_stack+28696, r12vrr_stack+22534);
 tmp = r12vrr_stack + 118446;
 target_ptr = Libr12->t1vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+120084, r12vrr_stack+53659, r12vrr_stack+86832, r12vrr_stack+90955, r12vrr_stack+57250, r12vrr_stack+28696);
 tmp = r12vrr_stack + 120084;
 target_ptr = Libr12->t1vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+56956, r12vrr_stack+61142, r12vrr_stack+93916, r12vrr_stack+63582, r12vrr_stack+37394, r12vrr_stack+35690);
 tmp = r12vrr_stack + 56956;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+93800, r12vrr_stack+63582, r12vrr_stack+94924, r12vrr_stack+66660, r12vrr_stack+39545, r12vrr_stack+37394);
 tmp = r12vrr_stack + 93800;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+94808, r12vrr_stack+66660, r12vrr_stack+96220, r12vrr_stack+70450, r12vrr_stack+42195, r12vrr_stack+39545);
 tmp = r12vrr_stack + 94808;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+96068, r12vrr_stack+70450, r12vrr_stack+99380, r12vrr_stack+75026, r12vrr_stack+45396, r12vrr_stack+42195);
 tmp = r12vrr_stack + 96068;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+99010, r12vrr_stack+75026, r12vrr_stack+101360, r12vrr_stack+80462, r12vrr_stack+49200, r12vrr_stack+45396);
 tmp = r12vrr_stack + 99010;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+100858, r12vrr_stack+80462, r12vrr_stack+105920, r12vrr_stack+86832, r12vrr_stack+53659, r12vrr_stack+49200);
 tmp = r12vrr_stack + 100858;
 target_ptr = Libr12->t1vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+105794, r12vrr_stack+86832, r12vrr_stack+76874, r12vrr_stack+108728, r12vrr_stack+90955, r12vrr_stack+53659);
 tmp = r12vrr_stack + 105794;
 target_ptr = Libr12->t1vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+76874, r12vrr_stack+89463, r12vrr_stack+2222, r12vrr_stack+61142, r12vrr_stack+35690, r12vrr_stack+3762, r12vrr_stack+34381);
 tmp = r12vrr_stack + 76874;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+77658, r12vrr_stack+71990, r12vrr_stack+90411, r12vrr_stack+63582, r12vrr_stack+37394, r12vrr_stack+6126, r12vrr_stack+35690);
 tmp = r12vrr_stack + 77658;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+90411, r12vrr_stack+73871, r12vrr_stack+73196, r12vrr_stack+66660, r12vrr_stack+39545, r12vrr_stack+9132, r12vrr_stack+37394);
 tmp = r12vrr_stack + 90411;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+73196, r12vrr_stack+83471, r12vrr_stack+82646, r12vrr_stack+70450, r12vrr_stack+42195, r12vrr_stack+12822, r12vrr_stack+39545);
 tmp = r12vrr_stack + 73196;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+82646, r12vrr_stack+55570, r12vrr_stack+84626, r12vrr_stack+75026, r12vrr_stack+45396, r12vrr_stack+17266, r12vrr_stack+42195);
 tmp = r12vrr_stack + 82646;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+108342, r12vrr_stack+103736, r12vrr_stack+85616, r12vrr_stack+80462, r12vrr_stack+49200, r12vrr_stack+22534, r12vrr_stack+45396);
 tmp = r12vrr_stack + 108342;
 target_ptr = Libr12->rvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+78666, r12vrr_stack+67920, r12vrr_stack+64590, r12vrr_stack+86832, r12vrr_stack+53659, r12vrr_stack+28696, r12vrr_stack+49200);
 tmp = r12vrr_stack + 78666;
 target_ptr = Libr12->rvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];


}

