#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_hgii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+5);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+161, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+164, r12vrr_stack+161, r12vrr_stack+21, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+170, r12vrr_stack+121, NULL, NULL, r12vrr_stack+24);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+30, r12vrr_stack+21, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+216, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+226, r12vrr_stack+111, r12vrr_stack+216, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+256, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+39);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+57);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+75);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+476, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+491, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+164, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+506, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+521, r12vrr_stack+476, r12vrr_stack+506, NULL, NULL, r12vrr_stack+111);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+566, r12vrr_stack+491, r12vrr_stack+476, NULL, NULL, r12vrr_stack+121);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+611, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+131);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+701, r12vrr_stack+24, r12vrr_stack+161, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+707, r12vrr_stack+701, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+717, r12vrr_stack+707, r12vrr_stack+170, r12vrr_stack+701, r12vrr_stack+164, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+732, r12vrr_stack+717, r12vrr_stack+491, NULL, NULL, r12vrr_stack+170);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+777, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+180);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+180, r12vrr_stack+21, r12vrr_stack+27, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+186, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+30, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+867, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+33, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+882, r12vrr_stack+506, r12vrr_stack+867, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+927, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+226);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1017, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+256);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1167, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+316);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1317, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+376);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+170, r12vrr_stack+121, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+1563, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+476);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1647, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+707, r12vrr_stack+170, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1668, r12vrr_stack+1647, r12vrr_stack+1563, NULL, NULL, r12vrr_stack+491);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1731, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+111, r12vrr_stack+216, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1542, r12vrr_stack+1731, NULL, NULL, r12vrr_stack+506);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1815, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+521);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1941, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+566);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2067, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+611);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+566, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+569, r12vrr_stack+566, r12vrr_stack+24, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+701, r12vrr_stack+566, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+707, r12vrr_stack+569, r12vrr_stack+701, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+717, r12vrr_stack+121, r12vrr_stack+707, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2277, r12vrr_stack+590, r12vrr_stack+1647, NULL, NULL, r12vrr_stack+717);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2340, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+732);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2466, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+777);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+732, r12vrr_stack+27, r12vrr_stack+24, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+738, r12vrr_stack+180, r12vrr_stack+732, r12vrr_stack+21, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+748, r12vrr_stack+186, r12vrr_stack+738, r12vrr_stack+210, r12vrr_stack+180, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+216, r12vrr_stack+186, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+784, r12vrr_stack+1731, r12vrr_stack+763, NULL, NULL, r12vrr_stack+867);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+882);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2802, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+927);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3012, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1017);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3327, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+1167);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3642, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+1317);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+847, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+850, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+161, r12vrr_stack+6, r12vrr_stack+850, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+847);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4083, r12vrr_stack+33, r12vrr_stack+210, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4101, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+850);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4137, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+161);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4197, r12vrr_stack+216, r12vrr_stack+186, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4227, r12vrr_stack+226, r12vrr_stack+4197, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+4083);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4287, r12vrr_stack+256, r12vrr_stack+4227, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+4101);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+4387, r12vrr_stack+376, r12vrr_stack+4287, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+4137);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+316, r12vrr_stack+867, r12vrr_stack+748, NULL, NULL, r12vrr_stack+186);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4537, r12vrr_stack+882, r12vrr_stack+316, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+4197);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4627, r12vrr_stack+927, r12vrr_stack+4537, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+4227);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4777, r12vrr_stack+1017, r12vrr_stack+4627, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+4287);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5002, r12vrr_stack+1317, r12vrr_stack+4777, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+4387);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+24, r12vrr_stack+3, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+732, r12vrr_stack+15, r12vrr_stack+27, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+361, r12vrr_stack+738, r12vrr_stack+111, r12vrr_stack+180, r12vrr_stack+732, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1167, r12vrr_stack+748, r12vrr_stack+361, r12vrr_stack+186, r12vrr_stack+738, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1188, r12vrr_stack+763, r12vrr_stack+1167, NULL, NULL, r12vrr_stack+748);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5317, r12vrr_stack+784, r12vrr_stack+1188, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+316);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5443, r12vrr_stack+2676, r12vrr_stack+5317, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+4537);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5653, r12vrr_stack+2802, r12vrr_stack+5443, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+4627);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5968, r12vrr_stack+3012, r12vrr_stack+5653, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+4777);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6409, r12vrr_stack+3642, r12vrr_stack+5968, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+5002);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+476, r12vrr_stack+506, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1279, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+491, r12vrr_stack+476, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+611, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+506, r12vrr_stack+867, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+1251, r12vrr_stack+611, NULL, NULL, r12vrr_stack+1731);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7081, r12vrr_stack+1279, r12vrr_stack+1251, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7165, r12vrr_stack+7081, r12vrr_stack+6997, r12vrr_stack+1279, r12vrr_stack+1251, r12vrr_stack+1752);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+717, r12vrr_stack+491, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+1752, r12vrr_stack+1279, NULL, NULL, r12vrr_stack+1563);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7333, r12vrr_stack+476, r12vrr_stack+7081, r12vrr_stack+1752, r12vrr_stack+1279, r12vrr_stack+1584);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+763, r12vrr_stack+1167, r12vrr_stack+867, r12vrr_stack+748, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7501, r12vrr_stack+611, r12vrr_stack+1584, NULL, NULL, r12vrr_stack+763);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7585, r12vrr_stack+6997, r12vrr_stack+7501, r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+784);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7753, r12vrr_stack+7165, r12vrr_stack+7585, r12vrr_stack+7081, r12vrr_stack+6997, r12vrr_stack+2676);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8033, r12vrr_stack+7333, r12vrr_stack+7165, r12vrr_stack+476, r12vrr_stack+7081, r12vrr_stack+1815);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8313, r12vrr_stack+8033, r12vrr_stack+7753, r12vrr_stack+7333, r12vrr_stack+7165, r12vrr_stack+2802);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1612, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+575, r12vrr_stack+717, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1780, r12vrr_stack+1612, r12vrr_stack+1752, NULL, NULL, r12vrr_stack+1647);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+476, r12vrr_stack+1612, r12vrr_stack+1752, r12vrr_stack+1668);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+7333, r12vrr_stack+1780, r12vrr_stack+476, r12vrr_stack+1941);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+8033, r12vrr_stack+8733, r12vrr_stack+7333, r12vrr_stack+2067);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1668, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+560, r12vrr_stack+3, r12vrr_stack+1668, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1307, r12vrr_stack+15, r12vrr_stack+560, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1671, r12vrr_stack+111, r12vrr_stack+1307, r12vrr_stack+732, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1686, r12vrr_stack+361, r12vrr_stack+1671, r12vrr_stack+738, r12vrr_stack+111, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1864, r12vrr_stack+1167, r12vrr_stack+1686, r12vrr_stack+748, r12vrr_stack+361, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1892, r12vrr_stack+1584, r12vrr_stack+1864, NULL, NULL, r12vrr_stack+1167);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1976, r12vrr_stack+7501, r12vrr_stack+1892, r12vrr_stack+611, r12vrr_stack+1584, r12vrr_stack+1188);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+7585, r12vrr_stack+1976, r12vrr_stack+6997, r12vrr_stack+7501, r12vrr_stack+5317);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9881, r12vrr_stack+7753, r12vrr_stack+9601, r12vrr_stack+7165, r12vrr_stack+7585, r12vrr_stack+5443);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10301, r12vrr_stack+8313, r12vrr_stack+9881, r12vrr_stack+8033, r12vrr_stack+7753, r12vrr_stack+5653);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+8313, r12vrr_stack+8901, r12vrr_stack+8033, r12vrr_stack+3012);
 tmp = r12vrr_stack + 10889;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+10301, r12vrr_stack+9181, r12vrr_stack+8313, r12vrr_stack+5968);
 tmp = r12vrr_stack + 11477;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+1542, r12vrr_stack+1731, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2180, r12vrr_stack+1279, r12vrr_stack+1251, r12vrr_stack+1563, r12vrr_stack+1542, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+2180, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1251);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2216, r12vrr_stack+1752, r12vrr_stack+1279, r12vrr_stack+1647, r12vrr_stack+1563, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12369, r12vrr_stack+2216, r12vrr_stack+2180, NULL, NULL, r12vrr_stack+1279);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+611, r12vrr_stack+1584, r12vrr_stack+1731, r12vrr_stack+763, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12477, r12vrr_stack+2144, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+611);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12585, r12vrr_stack+12261, r12vrr_stack+12477, r12vrr_stack+2180, r12vrr_stack+2144, r12vrr_stack+6997);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12801, r12vrr_stack+12369, r12vrr_stack+12261, r12vrr_stack+2216, r12vrr_stack+2180, r12vrr_stack+7081);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13017, r12vrr_stack+12801, r12vrr_stack+12585, r12vrr_stack+12369, r12vrr_stack+12261, r12vrr_stack+7165);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+1612, r12vrr_stack+1752, r12vrr_stack+590, r12vrr_stack+1647, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7033, r12vrr_stack+6997, r12vrr_stack+2216, NULL, NULL, r12vrr_stack+1752);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+12369, r12vrr_stack+6997, r12vrr_stack+2216, r12vrr_stack+476);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+12801, r12vrr_stack+7033, r12vrr_stack+12369, r12vrr_stack+7333);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+1584, r12vrr_stack+1864, r12vrr_stack+763, r12vrr_stack+1167, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+1542, r12vrr_stack+476, NULL, NULL, r12vrr_stack+1584);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7249, r12vrr_stack+12477, r12vrr_stack+7141, r12vrr_stack+2144, r12vrr_stack+1542, r12vrr_stack+7501);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13953, r12vrr_stack+12585, r12vrr_stack+7249, r12vrr_stack+12261, r12vrr_stack+12477, r12vrr_stack+7585);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14313, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+12801, r12vrr_stack+12585, r12vrr_stack+7753);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+13017, r12vrr_stack+13377, r12vrr_stack+12801, r12vrr_stack+8033);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+14313, r12vrr_stack+13593, r12vrr_stack+13017, r12vrr_stack+8313);
 tmp = r12vrr_stack + 15393;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+8033, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1578, r12vrr_stack+1668, r12vrr_stack+8033, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+8036, r12vrr_stack+560, r12vrr_stack+1578, r12vrr_stack+3, r12vrr_stack+1668, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+8046, r12vrr_stack+1307, r12vrr_stack+8036, r12vrr_stack+15, r12vrr_stack+560, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8061, r12vrr_stack+1671, r12vrr_stack+8046, r12vrr_stack+111, r12vrr_stack+1307, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+1686, r12vrr_stack+8061, r12vrr_stack+361, r12vrr_stack+1671, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7465, r12vrr_stack+1864, r12vrr_stack+1640, r12vrr_stack+1167, r12vrr_stack+1686, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8082, r12vrr_stack+476, r12vrr_stack+7465, NULL, NULL, r12vrr_stack+1864);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+7141, r12vrr_stack+8082, r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+1892);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16365, r12vrr_stack+7249, r12vrr_stack+16149, r12vrr_stack+12477, r12vrr_stack+7141, r12vrr_stack+1976);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16725, r12vrr_stack+13953, r12vrr_stack+16365, r12vrr_stack+12585, r12vrr_stack+7249, r12vrr_stack+9601);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17265, r12vrr_stack+14313, r12vrr_stack+16725, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+9881);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+17265, r12vrr_stack+14853, r12vrr_stack+14313, r12vrr_stack+10301);
 tmp = r12vrr_stack + 18021;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1707, r12vrr_stack+2144, r12vrr_stack+1542, r12vrr_stack+1251, r12vrr_stack+611, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8190, r12vrr_stack+2180, r12vrr_stack+2144, r12vrr_stack+1279, r12vrr_stack+1251, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+8190, r12vrr_stack+1707, NULL, NULL, r12vrr_stack+2144);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8235, r12vrr_stack+2216, r12vrr_stack+2180, r12vrr_stack+1752, r12vrr_stack+1279, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19164, r12vrr_stack+8235, r12vrr_stack+8190, NULL, NULL, r12vrr_stack+2180);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+611, r12vrr_stack+1584, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19299, r12vrr_stack+1707, r12vrr_stack+1251, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19434, r12vrr_stack+19029, r12vrr_stack+19299, r12vrr_stack+8190, r12vrr_stack+1707, r12vrr_stack+12477);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19704, r12vrr_stack+19164, r12vrr_stack+19029, r12vrr_stack+8235, r12vrr_stack+8190, r12vrr_stack+12261);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19974, r12vrr_stack+19704, r12vrr_stack+19434, r12vrr_stack+19164, r12vrr_stack+19029, r12vrr_stack+12585);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+2216, r12vrr_stack+1612, r12vrr_stack+1752, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12477, r12vrr_stack+12261, r12vrr_stack+8235, NULL, NULL, r12vrr_stack+2216);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+19164, r12vrr_stack+12261, r12vrr_stack+8235, r12vrr_stack+12369);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+19704, r12vrr_stack+12477, r12vrr_stack+19164, r12vrr_stack+12801);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12306, r12vrr_stack+476, r12vrr_stack+7465, r12vrr_stack+1584, r12vrr_stack+1864, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12612, r12vrr_stack+1251, r12vrr_stack+12306, NULL, NULL, r12vrr_stack+476);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12747, r12vrr_stack+19299, r12vrr_stack+12612, r12vrr_stack+1707, r12vrr_stack+1251, r12vrr_stack+7141);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21144, r12vrr_stack+19434, r12vrr_stack+12747, r12vrr_stack+19029, r12vrr_stack+19299, r12vrr_stack+7249);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21594, r12vrr_stack+19974, r12vrr_stack+21144, r12vrr_stack+19704, r12vrr_stack+19434, r12vrr_stack+13953);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+19974, r12vrr_stack+20424, r12vrr_stack+19704, r12vrr_stack+13017);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+21594, r12vrr_stack+20694, r12vrr_stack+19974, r12vrr_stack+14313);
 tmp = r12vrr_stack + 22944;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13017, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13020, r12vrr_stack+8033, r12vrr_stack+13017, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13026, r12vrr_stack+1578, r12vrr_stack+13020, r12vrr_stack+1668, r12vrr_stack+8033, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13036, r12vrr_stack+8036, r12vrr_stack+13026, r12vrr_stack+560, r12vrr_stack+1578, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13051, r12vrr_stack+8046, r12vrr_stack+13036, r12vrr_stack+1307, r12vrr_stack+8036, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+8061, r12vrr_stack+13051, r12vrr_stack+1671, r12vrr_stack+8046, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13072, r12vrr_stack+1640, r12vrr_stack+1752, r12vrr_stack+1686, r12vrr_stack+8061, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13108, r12vrr_stack+7465, r12vrr_stack+13072, r12vrr_stack+1864, r12vrr_stack+1640, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13153, r12vrr_stack+12306, r12vrr_stack+13108, NULL, NULL, r12vrr_stack+7465);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23889, r12vrr_stack+12612, r12vrr_stack+13153, r12vrr_stack+1251, r12vrr_stack+12306, r12vrr_stack+8082);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24159, r12vrr_stack+12747, r12vrr_stack+23889, r12vrr_stack+19299, r12vrr_stack+12612, r12vrr_stack+16149);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24609, r12vrr_stack+21144, r12vrr_stack+24159, r12vrr_stack+19434, r12vrr_stack+12747, r12vrr_stack+16365);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25284, r12vrr_stack+21594, r12vrr_stack+24609, r12vrr_stack+19974, r12vrr_stack+21144, r12vrr_stack+16725);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+25284, r12vrr_stack+22269, r12vrr_stack+21594, r12vrr_stack+17265);
 tmp = r12vrr_stack + 26229;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13288, r12vrr_stack+1707, r12vrr_stack+1251, r12vrr_stack+2144, r12vrr_stack+1542, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12351, r12vrr_stack+8190, r12vrr_stack+1707, r12vrr_stack+2180, r12vrr_stack+2144, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+12351, r12vrr_stack+13288, NULL, NULL, r12vrr_stack+1707);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12406, r12vrr_stack+8235, r12vrr_stack+8190, r12vrr_stack+2216, r12vrr_stack+2180, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27654, r12vrr_stack+12406, r12vrr_stack+12351, NULL, NULL, r12vrr_stack+8190);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+12306, r12vrr_stack+1542, r12vrr_stack+476, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27819, r12vrr_stack+13288, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1251);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27984, r12vrr_stack+27489, r12vrr_stack+27819, r12vrr_stack+12351, r12vrr_stack+13288, r12vrr_stack+19299);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28314, r12vrr_stack+27654, r12vrr_stack+27489, r12vrr_stack+12406, r12vrr_stack+12351, r12vrr_stack+19029);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28644, r12vrr_stack+28314, r12vrr_stack+27984, r12vrr_stack+27654, r12vrr_stack+27489, r12vrr_stack+19434);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+12261, r12vrr_stack+8235, r12vrr_stack+6997, r12vrr_stack+2216, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19299, r12vrr_stack+19029, r12vrr_stack+12406, NULL, NULL, r12vrr_stack+8235);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29194, r12vrr_stack+19299, r12vrr_stack+27654, r12vrr_stack+19029, r12vrr_stack+12406, r12vrr_stack+19164);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29524, r12vrr_stack+29194, r12vrr_stack+28314, r12vrr_stack+19299, r12vrr_stack+27654, r12vrr_stack+19704);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19084, r12vrr_stack+12306, r12vrr_stack+13108, r12vrr_stack+476, r12vrr_stack+7465, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19464, r12vrr_stack+2144, r12vrr_stack+19084, NULL, NULL, r12vrr_stack+12306);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19629, r12vrr_stack+27819, r12vrr_stack+19464, r12vrr_stack+13288, r12vrr_stack+2144, r12vrr_stack+12612);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30074, r12vrr_stack+27984, r12vrr_stack+19629, r12vrr_stack+27489, r12vrr_stack+27819, r12vrr_stack+12747);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30624, r12vrr_stack+28644, r12vrr_stack+30074, r12vrr_stack+28314, r12vrr_stack+27984, r12vrr_stack+21144);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31449, r12vrr_stack+29524, r12vrr_stack+28644, r12vrr_stack+29194, r12vrr_stack+28314, r12vrr_stack+19974);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+30624, r12vrr_stack+29524, r12vrr_stack+28644, r12vrr_stack+21594);
 tmp = r12vrr_stack + 32274;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1668, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+19139, r12vrr_stack+13017, r12vrr_stack+1668, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+19145, r12vrr_stack+13020, r12vrr_stack+19139, r12vrr_stack+8033, r12vrr_stack+13017, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+19155, r12vrr_stack+13026, r12vrr_stack+19145, r12vrr_stack+1578, r12vrr_stack+13020, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+19170, r12vrr_stack+13036, r12vrr_stack+19155, r12vrr_stack+8036, r12vrr_stack+13026, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19191, r12vrr_stack+13051, r12vrr_stack+19170, r12vrr_stack+8046, r12vrr_stack+13036, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19219, r12vrr_stack+1752, r12vrr_stack+19191, r12vrr_stack+8061, r12vrr_stack+13051, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19959, r12vrr_stack+13072, r12vrr_stack+19219, r12vrr_stack+1640, r12vrr_stack+1752, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20004, r12vrr_stack+13108, r12vrr_stack+19959, r12vrr_stack+7465, r12vrr_stack+13072, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20059, r12vrr_stack+19084, r12vrr_stack+20004, NULL, NULL, r12vrr_stack+13108);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33429, r12vrr_stack+19464, r12vrr_stack+20059, r12vrr_stack+2144, r12vrr_stack+19084, r12vrr_stack+13153);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33759, r12vrr_stack+19629, r12vrr_stack+33429, r12vrr_stack+27819, r12vrr_stack+19464, r12vrr_stack+23889);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34309, r12vrr_stack+30074, r12vrr_stack+33759, r12vrr_stack+27984, r12vrr_stack+19629, r12vrr_stack+24159);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35134, r12vrr_stack+30624, r12vrr_stack+34309, r12vrr_stack+28644, r12vrr_stack+30074, r12vrr_stack+24609);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+35134, r12vrr_stack+31449, r12vrr_stack+30624, r12vrr_stack+25284);
 tmp = r12vrr_stack + 36289;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20224, r12vrr_stack+13288, r12vrr_stack+2144, r12vrr_stack+1707, r12vrr_stack+1251, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20290, r12vrr_stack+12351, r12vrr_stack+13288, r12vrr_stack+8190, r12vrr_stack+1707, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37829, r12vrr_stack+20290, r12vrr_stack+20224, NULL, NULL, r12vrr_stack+13288);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20356, r12vrr_stack+12406, r12vrr_stack+12351, r12vrr_stack+8235, r12vrr_stack+8190, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38027, r12vrr_stack+20356, r12vrr_stack+20290, NULL, NULL, r12vrr_stack+12351);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2199, r12vrr_stack+2144, r12vrr_stack+19084, r12vrr_stack+1251, r12vrr_stack+12306, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38225, r12vrr_stack+20224, r12vrr_stack+2199, NULL, NULL, r12vrr_stack+2144);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38423, r12vrr_stack+37829, r12vrr_stack+38225, r12vrr_stack+20290, r12vrr_stack+20224, r12vrr_stack+27819);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38819, r12vrr_stack+38027, r12vrr_stack+37829, r12vrr_stack+20356, r12vrr_stack+20290, r12vrr_stack+27489);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39215, r12vrr_stack+38819, r12vrr_stack+38423, r12vrr_stack+38027, r12vrr_stack+37829, r12vrr_stack+27984);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+19029, r12vrr_stack+12406, r12vrr_stack+12261, r12vrr_stack+8235, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27819, r12vrr_stack+27489, r12vrr_stack+20356, NULL, NULL, r12vrr_stack+12406);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39875, r12vrr_stack+27819, r12vrr_stack+38027, r12vrr_stack+27489, r12vrr_stack+20356, r12vrr_stack+27654);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40271, r12vrr_stack+39875, r12vrr_stack+38819, r12vrr_stack+27819, r12vrr_stack+38027, r12vrr_stack+28314);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27555, r12vrr_stack+19084, r12vrr_stack+20004, r12vrr_stack+12306, r12vrr_stack+13108, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27621, r12vrr_stack+2199, r12vrr_stack+27555, NULL, NULL, r12vrr_stack+19084);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28017, r12vrr_stack+38225, r12vrr_stack+27621, r12vrr_stack+20224, r12vrr_stack+2199, r12vrr_stack+19464);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40931, r12vrr_stack+38423, r12vrr_stack+28017, r12vrr_stack+37829, r12vrr_stack+38225, r12vrr_stack+19629);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41591, r12vrr_stack+39215, r12vrr_stack+40931, r12vrr_stack+38819, r12vrr_stack+38423, r12vrr_stack+30074);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42581, r12vrr_stack+40271, r12vrr_stack+39215, r12vrr_stack+39875, r12vrr_stack+38819, r12vrr_stack+28644);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+41591, r12vrr_stack+40271, r12vrr_stack+39215, r12vrr_stack+30624);
 tmp = r12vrr_stack + 43571;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+8033, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+28413, r12vrr_stack+1668, r12vrr_stack+8033, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+28419, r12vrr_stack+19139, r12vrr_stack+28413, r12vrr_stack+13017, r12vrr_stack+1668, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+28429, r12vrr_stack+19145, r12vrr_stack+28419, r12vrr_stack+13020, r12vrr_stack+19139, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+28444, r12vrr_stack+19155, r12vrr_stack+28429, r12vrr_stack+13026, r12vrr_stack+19145, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28465, r12vrr_stack+19170, r12vrr_stack+28444, r12vrr_stack+13036, r12vrr_stack+19155, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28493, r12vrr_stack+19191, r12vrr_stack+28465, r12vrr_stack+13051, r12vrr_stack+19170, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1707, r12vrr_stack+19219, r12vrr_stack+28493, r12vrr_stack+1752, r12vrr_stack+19191, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28529, r12vrr_stack+19959, r12vrr_stack+1707, r12vrr_stack+13072, r12vrr_stack+19219, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28584, r12vrr_stack+20004, r12vrr_stack+28529, r12vrr_stack+13108, r12vrr_stack+19959, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28650, r12vrr_stack+27555, r12vrr_stack+28584, NULL, NULL, r12vrr_stack+20004);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44957, r12vrr_stack+27621, r12vrr_stack+28650, r12vrr_stack+2199, r12vrr_stack+27555, r12vrr_stack+20059);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45353, r12vrr_stack+28017, r12vrr_stack+44957, r12vrr_stack+38225, r12vrr_stack+27621, r12vrr_stack+33429);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46013, r12vrr_stack+40931, r12vrr_stack+45353, r12vrr_stack+38423, r12vrr_stack+28017, r12vrr_stack+33759);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+47003, r12vrr_stack+41591, r12vrr_stack+46013, r12vrr_stack+39215, r12vrr_stack+40931, r12vrr_stack+34309);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+48389, r12vrr_stack+43571, r12vrr_stack+47003, r12vrr_stack+42581, r12vrr_stack+41591, r12vrr_stack+35134);
 tmp = r12vrr_stack + 48389;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+28848, r12vrr_stack+20224, r12vrr_stack+2199, r12vrr_stack+13288, r12vrr_stack+2144, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+28926, r12vrr_stack+20290, r12vrr_stack+20224, r12vrr_stack+12351, r12vrr_stack+13288, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50237, r12vrr_stack+28926, r12vrr_stack+28848, NULL, NULL, r12vrr_stack+20224);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+13288, r12vrr_stack+20356, r12vrr_stack+20290, r12vrr_stack+12406, r12vrr_stack+12351, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50471, r12vrr_stack+13288, r12vrr_stack+28926, NULL, NULL, r12vrr_stack+20290);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29004, r12vrr_stack+2199, r12vrr_stack+27555, r12vrr_stack+2144, r12vrr_stack+19084, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50705, r12vrr_stack+28848, r12vrr_stack+29004, NULL, NULL, r12vrr_stack+2199);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50939, r12vrr_stack+50237, r12vrr_stack+50705, r12vrr_stack+28926, r12vrr_stack+28848, r12vrr_stack+38225);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+51407, r12vrr_stack+50471, r12vrr_stack+50237, r12vrr_stack+13288, r12vrr_stack+28926, r12vrr_stack+37829);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+51875, r12vrr_stack+51407, r12vrr_stack+50939, r12vrr_stack+50471, r12vrr_stack+50237, r12vrr_stack+38423);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37829, r12vrr_stack+27489, r12vrr_stack+20356, r12vrr_stack+19029, r12vrr_stack+12406, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38225, r12vrr_stack+37829, r12vrr_stack+13288, NULL, NULL, r12vrr_stack+20356);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52655, r12vrr_stack+38225, r12vrr_stack+50471, r12vrr_stack+37829, r12vrr_stack+13288, r12vrr_stack+38027);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+53123, r12vrr_stack+52655, r12vrr_stack+51407, r12vrr_stack+38225, r12vrr_stack+50471, r12vrr_stack+38819);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37907, r12vrr_stack+27555, r12vrr_stack+28584, r12vrr_stack+19084, r12vrr_stack+20004, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37985, r12vrr_stack+29004, r12vrr_stack+37907, NULL, NULL, r12vrr_stack+27555);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38459, r12vrr_stack+50705, r12vrr_stack+37985, r12vrr_stack+28848, r12vrr_stack+29004, r12vrr_stack+27621);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+53903, r12vrr_stack+50939, r12vrr_stack+38459, r12vrr_stack+50237, r12vrr_stack+50705, r12vrr_stack+28017);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+54683, r12vrr_stack+51875, r12vrr_stack+53903, r12vrr_stack+51407, r12vrr_stack+50939, r12vrr_stack+40931);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+55853, r12vrr_stack+53123, r12vrr_stack+51875, r12vrr_stack+52655, r12vrr_stack+51407, r12vrr_stack+39215);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57023, r12vrr_stack+55853, r12vrr_stack+54683, r12vrr_stack+53123, r12vrr_stack+51875, r12vrr_stack+41591);
 tmp = r12vrr_stack + 57023;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+38219, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+38927, r12vrr_stack+8033, r12vrr_stack+38219, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+38933, r12vrr_stack+28413, r12vrr_stack+38927, r12vrr_stack+1668, r12vrr_stack+8033, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+38943, r12vrr_stack+28419, r12vrr_stack+38933, r12vrr_stack+19139, r12vrr_stack+28413, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+38958, r12vrr_stack+28429, r12vrr_stack+38943, r12vrr_stack+19145, r12vrr_stack+28419, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+38979, r12vrr_stack+28444, r12vrr_stack+38958, r12vrr_stack+19155, r12vrr_stack+28429, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+39007, r12vrr_stack+28465, r12vrr_stack+38979, r12vrr_stack+19170, r12vrr_stack+28444, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39043, r12vrr_stack+28493, r12vrr_stack+39007, r12vrr_stack+19191, r12vrr_stack+28465, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1707, r12vrr_stack+39043, r12vrr_stack+19219, r12vrr_stack+28493, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39088, r12vrr_stack+28529, r12vrr_stack+2144, r12vrr_stack+19959, r12vrr_stack+1707, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+39154, r12vrr_stack+28584, r12vrr_stack+39088, r12vrr_stack+20004, r12vrr_stack+28529, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+39232, r12vrr_stack+37907, r12vrr_stack+39154, NULL, NULL, r12vrr_stack+28584);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58661, r12vrr_stack+37985, r12vrr_stack+39232, r12vrr_stack+29004, r12vrr_stack+37907, r12vrr_stack+28650);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59129, r12vrr_stack+38459, r12vrr_stack+58661, r12vrr_stack+50705, r12vrr_stack+37985, r12vrr_stack+44957);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59909, r12vrr_stack+53903, r12vrr_stack+59129, r12vrr_stack+50939, r12vrr_stack+38459, r12vrr_stack+45353);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+61079, r12vrr_stack+54683, r12vrr_stack+59909, r12vrr_stack+51875, r12vrr_stack+53903, r12vrr_stack+46013);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+62717, r12vrr_stack+57023, r12vrr_stack+61079, r12vrr_stack+55853, r12vrr_stack+54683, r12vrr_stack+47003);
 tmp = r12vrr_stack + 62717;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+39466, r12vrr_stack+28848, r12vrr_stack+29004, r12vrr_stack+20224, r12vrr_stack+2199, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+39557, r12vrr_stack+28926, r12vrr_stack+28848, r12vrr_stack+20290, r12vrr_stack+20224, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+39557, r12vrr_stack+39466, NULL, NULL, r12vrr_stack+28848);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+39648, r12vrr_stack+13288, r12vrr_stack+28926, r12vrr_stack+20356, r12vrr_stack+20290, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+65174, r12vrr_stack+39648, r12vrr_stack+39557, NULL, NULL, r12vrr_stack+28926);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+20224, r12vrr_stack+29004, r12vrr_stack+37907, r12vrr_stack+2199, r12vrr_stack+27555, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+65447, r12vrr_stack+39466, r12vrr_stack+20224, NULL, NULL, r12vrr_stack+29004);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+65720, r12vrr_stack+64901, r12vrr_stack+65447, r12vrr_stack+39557, r12vrr_stack+39466, r12vrr_stack+50705);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+66266, r12vrr_stack+65174, r12vrr_stack+64901, r12vrr_stack+39648, r12vrr_stack+39557, r12vrr_stack+50237);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+66812, r12vrr_stack+66266, r12vrr_stack+65720, r12vrr_stack+65174, r12vrr_stack+64901, r12vrr_stack+50939);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50237, r12vrr_stack+37829, r12vrr_stack+13288, r12vrr_stack+27489, r12vrr_stack+20356, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50705, r12vrr_stack+50237, r12vrr_stack+39648, NULL, NULL, r12vrr_stack+13288);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+67722, r12vrr_stack+50705, r12vrr_stack+65174, r12vrr_stack+50237, r12vrr_stack+39648, r12vrr_stack+50471);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+68268, r12vrr_stack+67722, r12vrr_stack+66266, r12vrr_stack+50705, r12vrr_stack+65174, r12vrr_stack+51407);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50328, r12vrr_stack+37907, r12vrr_stack+39154, r12vrr_stack+27555, r12vrr_stack+28584, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50419, r12vrr_stack+20224, r12vrr_stack+50328, NULL, NULL, r12vrr_stack+37907);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50978, r12vrr_stack+65447, r12vrr_stack+50419, r12vrr_stack+39466, r12vrr_stack+20224, r12vrr_stack+37985);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+69178, r12vrr_stack+65720, r12vrr_stack+50978, r12vrr_stack+64901, r12vrr_stack+65447, r12vrr_stack+38459);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+70088, r12vrr_stack+66812, r12vrr_stack+69178, r12vrr_stack+66266, r12vrr_stack+65720, r12vrr_stack+53903);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+71453, r12vrr_stack+68268, r12vrr_stack+66812, r12vrr_stack+67722, r12vrr_stack+66266, r12vrr_stack+51875);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+72818, r12vrr_stack+71453, r12vrr_stack+70088, r12vrr_stack+68268, r12vrr_stack+66812, r12vrr_stack+54683);
 tmp = r12vrr_stack + 72818;
 target_ptr = Libr12->gvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1668, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+50692, r12vrr_stack+38219, r12vrr_stack+1668, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+51524, r12vrr_stack+38927, r12vrr_stack+50692, r12vrr_stack+8033, r12vrr_stack+38219, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+51534, r12vrr_stack+38933, r12vrr_stack+51524, r12vrr_stack+28413, r12vrr_stack+38927, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+51549, r12vrr_stack+38943, r12vrr_stack+51534, r12vrr_stack+28419, r12vrr_stack+38933, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+51570, r12vrr_stack+38958, r12vrr_stack+51549, r12vrr_stack+28429, r12vrr_stack+38943, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+51598, r12vrr_stack+38979, r12vrr_stack+51570, r12vrr_stack+28444, r12vrr_stack+38958, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+28413, r12vrr_stack+39007, r12vrr_stack+51598, r12vrr_stack+28465, r12vrr_stack+38979, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51634, r12vrr_stack+39043, r12vrr_stack+28413, r12vrr_stack+28493, r12vrr_stack+39007, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51689, r12vrr_stack+2144, r12vrr_stack+51634, r12vrr_stack+1707, r12vrr_stack+39043, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2199, r12vrr_stack+39088, r12vrr_stack+51689, r12vrr_stack+28529, r12vrr_stack+2144, NULL);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+51755, r12vrr_stack+39154, r12vrr_stack+2199, r12vrr_stack+28584, r12vrr_stack+39088, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+51846, r12vrr_stack+50328, r12vrr_stack+51755, NULL, NULL, r12vrr_stack+39154);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+74729, r12vrr_stack+50419, r12vrr_stack+51846, r12vrr_stack+20224, r12vrr_stack+50328, r12vrr_stack+39232);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+75275, r12vrr_stack+50978, r12vrr_stack+74729, r12vrr_stack+65447, r12vrr_stack+50419, r12vrr_stack+58661);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76185, r12vrr_stack+69178, r12vrr_stack+75275, r12vrr_stack+65720, r12vrr_stack+50978, r12vrr_stack+59129);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+77550, r12vrr_stack+70088, r12vrr_stack+76185, r12vrr_stack+66812, r12vrr_stack+69178, r12vrr_stack+59909);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79461, r12vrr_stack+72818, r12vrr_stack+77550, r12vrr_stack+71453, r12vrr_stack+70088, r12vrr_stack+61079);
 tmp = r12vrr_stack + 79461;
 target_ptr = Libr12->gvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52119, r12vrr_stack+39466, r12vrr_stack+20224, r12vrr_stack+28848, r12vrr_stack+29004, NULL);

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52224, r12vrr_stack+39557, r12vrr_stack+39466, r12vrr_stack+28926, r12vrr_stack+28848, NULL);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52329, r12vrr_stack+52224, r12vrr_stack+52119, NULL, NULL, r12vrr_stack+39466);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+20315, r12vrr_stack+39648, r12vrr_stack+39557, r12vrr_stack+13288, r12vrr_stack+28926, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+20315, r12vrr_stack+52224, NULL, NULL, r12vrr_stack+39557);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+39466, r12vrr_stack+20224, r12vrr_stack+50328, r12vrr_stack+29004, r12vrr_stack+37907, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+28848, r12vrr_stack+52119, r12vrr_stack+39466, NULL, NULL, r12vrr_stack+20224);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82324, r12vrr_stack+52329, r12vrr_stack+28848, r12vrr_stack+52224, r12vrr_stack+52119, r12vrr_stack+65447);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82954, r12vrr_stack+82009, r12vrr_stack+52329, r12vrr_stack+20315, r12vrr_stack+52224, r12vrr_stack+64901);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+83584, r12vrr_stack+82954, r12vrr_stack+82324, r12vrr_stack+82009, r12vrr_stack+52329, r12vrr_stack+65720);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52224, r12vrr_stack+50237, r12vrr_stack+39648, r12vrr_stack+37829, r12vrr_stack+13288, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+65447, r12vrr_stack+52224, r12vrr_stack+20315, NULL, NULL, r12vrr_stack+39648);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+84634, r12vrr_stack+65447, r12vrr_stack+82009, r12vrr_stack+52224, r12vrr_stack+20315, r12vrr_stack+65174);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+85264, r12vrr_stack+84634, r12vrr_stack+82954, r12vrr_stack+65447, r12vrr_stack+82009, r12vrr_stack+66266);

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52224, r12vrr_stack+50328, r12vrr_stack+51755, r12vrr_stack+37907, r12vrr_stack+39154, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+39466, r12vrr_stack+52224, NULL, NULL, r12vrr_stack+50328);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+28848, r12vrr_stack+82009, r12vrr_stack+52119, r12vrr_stack+39466, r12vrr_stack+50419);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+65531, r12vrr_stack+82324, r12vrr_stack+64901, r12vrr_stack+52329, r12vrr_stack+28848, r12vrr_stack+50978);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+86314, r12vrr_stack+83584, r12vrr_stack+65531, r12vrr_stack+82954, r12vrr_stack+82324, r12vrr_stack+69178);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+87889, r12vrr_stack+85264, r12vrr_stack+83584, r12vrr_stack+84634, r12vrr_stack+82954, r12vrr_stack+66812);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+89464, r12vrr_stack+87889, r12vrr_stack+86314, r12vrr_stack+85264, r12vrr_stack+83584, r12vrr_stack+70088);
 tmp = r12vrr_stack + 89464;
 target_ptr = Libr12->gvrr_classes[5][13];
 for(i=0;i<2205;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+8033, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+82954, r12vrr_stack+847, r12vrr_stack+8033, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+82960, r12vrr_stack+30, r12vrr_stack+21, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+57, r12vrr_stack+850, r12vrr_stack+82960, r12vrr_stack+0, r12vrr_stack+30, r12vrr_stack+8033);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+131, r12vrr_stack+161, r12vrr_stack+57, r12vrr_stack+6, r12vrr_stack+850, r12vrr_stack+82954);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+82969, r12vrr_stack+210, r12vrr_stack+180, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+82987, r12vrr_stack+4083, r12vrr_stack+82969, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+82960);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+83023, r12vrr_stack+4101, r12vrr_stack+82987, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+57);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+83083, r12vrr_stack+4137, r12vrr_stack+83023, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+131);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+75, r12vrr_stack+186, r12vrr_stack+738, NULL, NULL, r12vrr_stack+180);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+83173, r12vrr_stack+4197, r12vrr_stack+75, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+82969);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+83233, r12vrr_stack+4227, r12vrr_stack+83173, r12vrr_stack+226, r12vrr_stack+4197, r12vrr_stack+82987);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+83333, r12vrr_stack+4287, r12vrr_stack+83233, r12vrr_stack+256, r12vrr_stack+4227, r12vrr_stack+83023);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+84634, r12vrr_stack+4387, r12vrr_stack+83333, r12vrr_stack+376, r12vrr_stack+4287, r12vrr_stack+83083);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+376, r12vrr_stack+748, r12vrr_stack+361, NULL, NULL, r12vrr_stack+738);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+216, r12vrr_stack+316, r12vrr_stack+376, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+75);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+84844, r12vrr_stack+4537, r12vrr_stack+216, r12vrr_stack+882, r12vrr_stack+316, r12vrr_stack+83173);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+84994, r12vrr_stack+4627, r12vrr_stack+84844, r12vrr_stack+927, r12vrr_stack+4537, r12vrr_stack+83233);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+85219, r12vrr_stack+4777, r12vrr_stack+84994, r12vrr_stack+1017, r12vrr_stack+4627, r12vrr_stack+83333);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+85534, r12vrr_stack+5002, r12vrr_stack+85219, r12vrr_stack+1317, r12vrr_stack+4777, r12vrr_stack+84634);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1317, r12vrr_stack+1167, r12vrr_stack+1686, NULL, NULL, r12vrr_stack+361);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12351, r12vrr_stack+1188, r12vrr_stack+1317, r12vrr_stack+763, r12vrr_stack+1167, r12vrr_stack+376);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+85954, r12vrr_stack+5317, r12vrr_stack+12351, r12vrr_stack+784, r12vrr_stack+1188, r12vrr_stack+216);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+52329, r12vrr_stack+5443, r12vrr_stack+85954, r12vrr_stack+2676, r12vrr_stack+5317, r12vrr_stack+84844);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+66581, r12vrr_stack+5653, r12vrr_stack+52329, r12vrr_stack+2802, r12vrr_stack+5443, r12vrr_stack+84994);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+67022, r12vrr_stack+5968, r12vrr_stack+66581, r12vrr_stack+3012, r12vrr_stack+5653, r12vrr_stack+85219);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+91669, r12vrr_stack+6409, r12vrr_stack+67022, r12vrr_stack+3642, r12vrr_stack+5968, r12vrr_stack+85534);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+1864, r12vrr_stack+1640, NULL, NULL, r12vrr_stack+1686);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+1892, r12vrr_stack+763, r12vrr_stack+1584, r12vrr_stack+1864, r12vrr_stack+1317);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2844, r12vrr_stack+1976, r12vrr_stack+2676, r12vrr_stack+7501, r12vrr_stack+1892, r12vrr_stack+12351);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+92425, r12vrr_stack+9601, r12vrr_stack+2844, r12vrr_stack+7585, r12vrr_stack+1976, r12vrr_stack+85954);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+92845, r12vrr_stack+9881, r12vrr_stack+92425, r12vrr_stack+7753, r12vrr_stack+9601, r12vrr_stack+52329);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93433, r12vrr_stack+10301, r12vrr_stack+92845, r12vrr_stack+8313, r12vrr_stack+9881, r12vrr_stack+66581);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+94217, r12vrr_stack+11477, r12vrr_stack+93433, r12vrr_stack+10889, r12vrr_stack+10301, r12vrr_stack+67022);
 tmp = r12vrr_stack + 94217;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7501, r12vrr_stack+7465, r12vrr_stack+13072, NULL, NULL, r12vrr_stack+1640);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7609, r12vrr_stack+8082, r12vrr_stack+7501, r12vrr_stack+476, r12vrr_stack+7465, r12vrr_stack+763);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8190, r12vrr_stack+16149, r12vrr_stack+7609, r12vrr_stack+7141, r12vrr_stack+8082, r12vrr_stack+2676);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+95225, r12vrr_stack+16365, r12vrr_stack+8190, r12vrr_stack+7249, r12vrr_stack+16149, r12vrr_stack+2844);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+95765, r12vrr_stack+16725, r12vrr_stack+95225, r12vrr_stack+13953, r12vrr_stack+16365, r12vrr_stack+92425);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+96521, r12vrr_stack+17265, r12vrr_stack+95765, r12vrr_stack+14313, r12vrr_stack+16725, r12vrr_stack+92845);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+97529, r12vrr_stack+18021, r12vrr_stack+96521, r12vrr_stack+15393, r12vrr_stack+17265, r12vrr_stack+93433);
 tmp = r12vrr_stack + 97529;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13953, r12vrr_stack+13108, r12vrr_stack+19959, NULL, NULL, r12vrr_stack+13072);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14088, r12vrr_stack+13153, r12vrr_stack+13953, r12vrr_stack+12306, r12vrr_stack+13108, r12vrr_stack+7501);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14358, r12vrr_stack+23889, r12vrr_stack+14088, r12vrr_stack+12612, r12vrr_stack+13153, r12vrr_stack+7609);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+98825, r12vrr_stack+24159, r12vrr_stack+14358, r12vrr_stack+12747, r12vrr_stack+23889, r12vrr_stack+8190);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+99500, r12vrr_stack+24609, r12vrr_stack+98825, r12vrr_stack+21144, r12vrr_stack+24159, r12vrr_stack+95225);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+100445, r12vrr_stack+25284, r12vrr_stack+99500, r12vrr_stack+21594, r12vrr_stack+24609, r12vrr_stack+95765);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+101705, r12vrr_stack+26229, r12vrr_stack+100445, r12vrr_stack+22944, r12vrr_stack+25284, r12vrr_stack+96521);
 tmp = r12vrr_stack + 101705;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21144, r12vrr_stack+20004, r12vrr_stack+28529, NULL, NULL, r12vrr_stack+19959);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21309, r12vrr_stack+20059, r12vrr_stack+21144, r12vrr_stack+19084, r12vrr_stack+20004, r12vrr_stack+13953);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21639, r12vrr_stack+33429, r12vrr_stack+21309, r12vrr_stack+19464, r12vrr_stack+20059, r12vrr_stack+14088);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+103325, r12vrr_stack+33759, r12vrr_stack+21639, r12vrr_stack+19629, r12vrr_stack+33429, r12vrr_stack+14358);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+104150, r12vrr_stack+34309, r12vrr_stack+103325, r12vrr_stack+30074, r12vrr_stack+33759, r12vrr_stack+98825);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+105305, r12vrr_stack+35134, r12vrr_stack+104150, r12vrr_stack+30624, r12vrr_stack+34309, r12vrr_stack+99500);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+106845, r12vrr_stack+36289, r12vrr_stack+105305, r12vrr_stack+32274, r12vrr_stack+35134, r12vrr_stack+100445);
 tmp = r12vrr_stack + 106845;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30074, r12vrr_stack+28584, r12vrr_stack+39088, NULL, NULL, r12vrr_stack+28529);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30272, r12vrr_stack+28650, r12vrr_stack+30074, r12vrr_stack+27555, r12vrr_stack+28584, r12vrr_stack+21144);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30668, r12vrr_stack+44957, r12vrr_stack+30272, r12vrr_stack+27621, r12vrr_stack+28650, r12vrr_stack+21309);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+108825, r12vrr_stack+45353, r12vrr_stack+30668, r12vrr_stack+28017, r12vrr_stack+44957, r12vrr_stack+21639);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+109815, r12vrr_stack+46013, r12vrr_stack+108825, r12vrr_stack+40931, r12vrr_stack+45353, r12vrr_stack+103325);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+111201, r12vrr_stack+47003, r12vrr_stack+109815, r12vrr_stack+41591, r12vrr_stack+46013, r12vrr_stack+104150);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+113049, r12vrr_stack+48389, r12vrr_stack+111201, r12vrr_stack+43571, r12vrr_stack+47003, r12vrr_stack+105305);
 tmp = r12vrr_stack + 113049;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+40931, r12vrr_stack+39154, r12vrr_stack+2199, NULL, NULL, r12vrr_stack+39088);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+41165, r12vrr_stack+39232, r12vrr_stack+40931, r12vrr_stack+37907, r12vrr_stack+39154, r12vrr_stack+30074);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+41633, r12vrr_stack+58661, r12vrr_stack+41165, r12vrr_stack+37985, r12vrr_stack+39232, r12vrr_stack+30272);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+115425, r12vrr_stack+59129, r12vrr_stack+41633, r12vrr_stack+38459, r12vrr_stack+58661, r12vrr_stack+30668);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+116595, r12vrr_stack+59909, r12vrr_stack+115425, r12vrr_stack+53903, r12vrr_stack+59129, r12vrr_stack+108825);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+118233, r12vrr_stack+61079, r12vrr_stack+116595, r12vrr_stack+54683, r12vrr_stack+59909, r12vrr_stack+109815);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+120417, r12vrr_stack+62717, r12vrr_stack+118233, r12vrr_stack+57023, r12vrr_stack+61079, r12vrr_stack+111201);
 tmp = r12vrr_stack + 120417;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+105, r12vrr_stack+1668, r12vrr_stack+0, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+306, r12vrr_stack+50692, r12vrr_stack+105, r12vrr_stack+38219, r12vrr_stack+1668, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+53903, r12vrr_stack+51524, r12vrr_stack+306, r12vrr_stack+38927, r12vrr_stack+50692, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+53918, r12vrr_stack+51534, r12vrr_stack+53903, r12vrr_stack+38933, r12vrr_stack+51524, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+53939, r12vrr_stack+51549, r12vrr_stack+53918, r12vrr_stack+38943, r12vrr_stack+51534, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+53967, r12vrr_stack+51570, r12vrr_stack+53939, r12vrr_stack+38958, r12vrr_stack+51549, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12306, r12vrr_stack+51598, r12vrr_stack+53967, r12vrr_stack+38979, r12vrr_stack+51570, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+54003, r12vrr_stack+28413, r12vrr_stack+12306, r12vrr_stack+39007, r12vrr_stack+51598, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54058, r12vrr_stack+51634, r12vrr_stack+54003, r12vrr_stack+39043, r12vrr_stack+28413, NULL);

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+54124, r12vrr_stack+51689, r12vrr_stack+54058, r12vrr_stack+2144, r12vrr_stack+51634, NULL);

 /*--- compute (00|q0)^7 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+54202, r12vrr_stack+2199, r12vrr_stack+54124, r12vrr_stack+39088, r12vrr_stack+51689, NULL);

 /*--- compute (p0|q0)^6 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+54293, r12vrr_stack+51755, r12vrr_stack+54202, NULL, NULL, r12vrr_stack+2199);

 /*--- compute (d0|q0)^5 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+54566, r12vrr_stack+51846, r12vrr_stack+54293, r12vrr_stack+50328, r12vrr_stack+51755, r12vrr_stack+40931);

 /*--- compute (f0|q0)^4 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+123225, r12vrr_stack+74729, r12vrr_stack+54566, r12vrr_stack+50419, r12vrr_stack+51846, r12vrr_stack+41165);

 /*--- compute (g0|q0)^3 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+124135, r12vrr_stack+75275, r12vrr_stack+123225, r12vrr_stack+50978, r12vrr_stack+74729, r12vrr_stack+41633);

 /*--- compute (h0|q0)^2 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+125500, r12vrr_stack+76185, r12vrr_stack+124135, r12vrr_stack+69178, r12vrr_stack+75275, r12vrr_stack+115425);

 /*--- compute (i0|q0)^1 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+127411, r12vrr_stack+77550, r12vrr_stack+125500, r12vrr_stack+70088, r12vrr_stack+76185, r12vrr_stack+116595);

 /*--- compute (k0|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+129959, r12vrr_stack+79461, r12vrr_stack+127411, r12vrr_stack+72818, r12vrr_stack+77550, r12vrr_stack+118233);
 tmp = r12vrr_stack + 129959;
 target_ptr = Libr12->gvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^6 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52119, r12vrr_stack+51755, r12vrr_stack+54202, r12vrr_stack+39154, r12vrr_stack+2199, NULL);

 /*--- compute (p0|r0)^5 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+69178, r12vrr_stack+52224, r12vrr_stack+52119, NULL, NULL, r12vrr_stack+51755);

 /*--- compute (d0|r0)^4 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+69493, r12vrr_stack+82009, r12vrr_stack+69178, r12vrr_stack+39466, r12vrr_stack+52224, r12vrr_stack+51846);

 /*--- compute (f0|r0)^3 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+70123, r12vrr_stack+64901, r12vrr_stack+69493, r12vrr_stack+28848, r12vrr_stack+82009, r12vrr_stack+74729);

 /*--- compute (g0|r0)^2 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+133235, r12vrr_stack+65531, r12vrr_stack+70123, r12vrr_stack+82324, r12vrr_stack+64901, r12vrr_stack+75275);

 /*--- compute (h0|r0)^1 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+134810, r12vrr_stack+86314, r12vrr_stack+133235, r12vrr_stack+83584, r12vrr_stack+65531, r12vrr_stack+76185);

 /*--- compute (i0|r0)^0 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+137015, r12vrr_stack+89464, r12vrr_stack+134810, r12vrr_stack+87889, r12vrr_stack+86314, r12vrr_stack+77550);
 tmp = r12vrr_stack + 137015;
 target_ptr = Libr12->gvrr_classes[6][13];
 for(i=0;i<2940;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+82324, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+82327, r12vrr_stack+8033, r12vrr_stack+82324, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+82333, r12vrr_stack+82954, r12vrr_stack+82327, r12vrr_stack+847, r12vrr_stack+8033, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+27, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+82343, r12vrr_stack+82960, r12vrr_stack+6, r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+82324);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+82361, r12vrr_stack+57, r12vrr_stack+82343, r12vrr_stack+850, r12vrr_stack+82960, r12vrr_stack+82327);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+14808, r12vrr_stack+131, r12vrr_stack+82361, r12vrr_stack+161, r12vrr_stack+57, r12vrr_stack+82333);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+161, r12vrr_stack+180, r12vrr_stack+732, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+847, r12vrr_stack+82969, r12vrr_stack+161, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+6);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+883, r12vrr_stack+82987, r12vrr_stack+847, r12vrr_stack+4083, r12vrr_stack+82969, r12vrr_stack+82343);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+943, r12vrr_stack+83023, r12vrr_stack+883, r12vrr_stack+4101, r12vrr_stack+82987, r12vrr_stack+82361);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1033, r12vrr_stack+83083, r12vrr_stack+943, r12vrr_stack+4137, r12vrr_stack+83023, r12vrr_stack+14808);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4083, r12vrr_stack+738, r12vrr_stack+111, NULL, NULL, r12vrr_stack+732);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4113, r12vrr_stack+75, r12vrr_stack+4083, r12vrr_stack+186, r12vrr_stack+738, r12vrr_stack+161);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+82391, r12vrr_stack+83173, r12vrr_stack+4113, r12vrr_stack+4197, r12vrr_stack+75, r12vrr_stack+847);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+86164, r12vrr_stack+83233, r12vrr_stack+82391, r12vrr_stack+4227, r12vrr_stack+83173, r12vrr_stack+883);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+82491, r12vrr_stack+83333, r12vrr_stack+86164, r12vrr_stack+4287, r12vrr_stack+83233, r12vrr_stack+943);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+71173, r12vrr_stack+84634, r12vrr_stack+82491, r12vrr_stack+4387, r12vrr_stack+83333, r12vrr_stack+1033);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+4173, r12vrr_stack+361, r12vrr_stack+1671, NULL, NULL, r12vrr_stack+111);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4218, r12vrr_stack+376, r12vrr_stack+4173, r12vrr_stack+748, r12vrr_stack+361, r12vrr_stack+4083);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4308, r12vrr_stack+216, r12vrr_stack+4218, r12vrr_stack+316, r12vrr_stack+376, r12vrr_stack+4113);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+82701, r12vrr_stack+84844, r12vrr_stack+4308, r12vrr_stack+4537, r12vrr_stack+216, r12vrr_stack+82391);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+28848, r12vrr_stack+84994, r12vrr_stack+82701, r12vrr_stack+4627, r12vrr_stack+84844, r12vrr_stack+86164);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+50978, r12vrr_stack+85219, r12vrr_stack+28848, r12vrr_stack+4777, r12vrr_stack+84994, r12vrr_stack+82491);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4458, r12vrr_stack+85534, r12vrr_stack+50978, r12vrr_stack+5002, r12vrr_stack+85219, r12vrr_stack+71173);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4998, r12vrr_stack+1686, r12vrr_stack+8061, NULL, NULL, r12vrr_stack+1671);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+51398, r12vrr_stack+1317, r12vrr_stack+4998, r12vrr_stack+1167, r12vrr_stack+1686, r12vrr_stack+4173);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5061, r12vrr_stack+12351, r12vrr_stack+51398, r12vrr_stack+1188, r12vrr_stack+1317, r12vrr_stack+4218);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+39466, r12vrr_stack+85954, r12vrr_stack+5061, r12vrr_stack+5317, r12vrr_stack+12351, r12vrr_stack+4308);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+55112, r12vrr_stack+52329, r12vrr_stack+39466, r12vrr_stack+5443, r12vrr_stack+85954, r12vrr_stack+82701);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+83483, r12vrr_stack+66581, r12vrr_stack+55112, r12vrr_stack+5653, r12vrr_stack+52329, r12vrr_stack+28848);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+139955, r12vrr_stack+67022, r12vrr_stack+83483, r12vrr_stack+5968, r12vrr_stack+66581, r12vrr_stack+50978);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5271, r12vrr_stack+91669, r12vrr_stack+139955, r12vrr_stack+6409, r12vrr_stack+67022, r12vrr_stack+4458);

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6216, r12vrr_stack+1640, r12vrr_stack+1752, NULL, NULL, r12vrr_stack+8061);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+42413, r12vrr_stack+763, r12vrr_stack+6216, r12vrr_stack+1864, r12vrr_stack+1640, r12vrr_stack+4998);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+50328, r12vrr_stack+2676, r12vrr_stack+42413, r12vrr_stack+1892, r12vrr_stack+763, r12vrr_stack+51398);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+38459, r12vrr_stack+2844, r12vrr_stack+50328, r12vrr_stack+1976, r12vrr_stack+2676, r12vrr_stack+5061);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+140711, r12vrr_stack+92425, r12vrr_stack+38459, r12vrr_stack+9601, r12vrr_stack+2844, r12vrr_stack+39466);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+141299, r12vrr_stack+92845, r12vrr_stack+140711, r12vrr_stack+9881, r12vrr_stack+92425, r12vrr_stack+55112);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+142083, r12vrr_stack+93433, r12vrr_stack+141299, r12vrr_stack+10301, r12vrr_stack+92845, r12vrr_stack+83483);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+94217, r12vrr_stack+142083, r12vrr_stack+11477, r12vrr_stack+93433, r12vrr_stack+139955);
 tmp = r12vrr_stack + 9601;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1864, r12vrr_stack+13072, r12vrr_stack+19219, NULL, NULL, r12vrr_stack+1752);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+55553, r12vrr_stack+7501, r12vrr_stack+1864, r12vrr_stack+7465, r12vrr_stack+13072, r12vrr_stack+6216);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+7609, r12vrr_stack+55553, r12vrr_stack+8082, r12vrr_stack+7501, r12vrr_stack+42413);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+84071, r12vrr_stack+8190, r12vrr_stack+7141, r12vrr_stack+16149, r12vrr_stack+7609, r12vrr_stack+50328);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+143091, r12vrr_stack+95225, r12vrr_stack+84071, r12vrr_stack+16365, r12vrr_stack+8190, r12vrr_stack+38459);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+143847, r12vrr_stack+95765, r12vrr_stack+143091, r12vrr_stack+16725, r12vrr_stack+95225, r12vrr_stack+140711);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+144855, r12vrr_stack+96521, r12vrr_stack+143847, r12vrr_stack+17265, r12vrr_stack+95765, r12vrr_stack+141299);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+97529, r12vrr_stack+144855, r12vrr_stack+18021, r12vrr_stack+96521, r12vrr_stack+142083);
 tmp = r12vrr_stack + 16149;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17769, r12vrr_stack+19959, r12vrr_stack+1707, NULL, NULL, r12vrr_stack+19219);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37907, r12vrr_stack+13953, r12vrr_stack+17769, r12vrr_stack+13108, r12vrr_stack+19959, r12vrr_stack+1864);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19464, r12vrr_stack+14088, r12vrr_stack+37907, r12vrr_stack+13153, r12vrr_stack+13953, r12vrr_stack+55553);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+146151, r12vrr_stack+14358, r12vrr_stack+19464, r12vrr_stack+23889, r12vrr_stack+14088, r12vrr_stack+7141);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+146826, r12vrr_stack+98825, r12vrr_stack+146151, r12vrr_stack+24159, r12vrr_stack+14358, r12vrr_stack+84071);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+147771, r12vrr_stack+99500, r12vrr_stack+146826, r12vrr_stack+24609, r12vrr_stack+98825, r12vrr_stack+143091);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+149031, r12vrr_stack+100445, r12vrr_stack+147771, r12vrr_stack+25284, r12vrr_stack+99500, r12vrr_stack+143847);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23889, r12vrr_stack+101705, r12vrr_stack+149031, r12vrr_stack+26229, r12vrr_stack+100445, r12vrr_stack+144855);
 tmp = r12vrr_stack + 23889;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+25914, r12vrr_stack+28529, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1707);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28017, r12vrr_stack+21144, r12vrr_stack+25914, r12vrr_stack+20004, r12vrr_stack+28529, r12vrr_stack+17769);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+150651, r12vrr_stack+21309, r12vrr_stack+28017, r12vrr_stack+20059, r12vrr_stack+21144, r12vrr_stack+37907);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+151201, r12vrr_stack+21639, r12vrr_stack+150651, r12vrr_stack+33429, r12vrr_stack+21309, r12vrr_stack+19464);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+152026, r12vrr_stack+103325, r12vrr_stack+151201, r12vrr_stack+33759, r12vrr_stack+21639, r12vrr_stack+146151);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+153181, r12vrr_stack+104150, r12vrr_stack+152026, r12vrr_stack+34309, r12vrr_stack+103325, r12vrr_stack+146826);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+154721, r12vrr_stack+105305, r12vrr_stack+153181, r12vrr_stack+35134, r12vrr_stack+104150, r12vrr_stack+147771);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33429, r12vrr_stack+106845, r12vrr_stack+154721, r12vrr_stack+36289, r12vrr_stack+105305, r12vrr_stack+149031);
 tmp = r12vrr_stack + 33429;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+35904, r12vrr_stack+39088, r12vrr_stack+51689, NULL, NULL, r12vrr_stack+2144);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20004, r12vrr_stack+30074, r12vrr_stack+35904, r12vrr_stack+28584, r12vrr_stack+39088, r12vrr_stack+25914);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+156701, r12vrr_stack+30272, r12vrr_stack+20004, r12vrr_stack+28650, r12vrr_stack+30074, r12vrr_stack+28017);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+157361, r12vrr_stack+30668, r12vrr_stack+156701, r12vrr_stack+44957, r12vrr_stack+30272, r12vrr_stack+150651);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+158351, r12vrr_stack+108825, r12vrr_stack+157361, r12vrr_stack+45353, r12vrr_stack+30668, r12vrr_stack+151201);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+159737, r12vrr_stack+109815, r12vrr_stack+158351, r12vrr_stack+46013, r12vrr_stack+108825, r12vrr_stack+152026);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+161585, r12vrr_stack+111201, r12vrr_stack+159737, r12vrr_stack+47003, r12vrr_stack+109815, r12vrr_stack+153181);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44957, r12vrr_stack+113049, r12vrr_stack+161585, r12vrr_stack+48389, r12vrr_stack+111201, r12vrr_stack+154721);
 tmp = r12vrr_stack + 44957;
 target_ptr = Libr12->gvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^7 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+47927, r12vrr_stack+2199, r12vrr_stack+54124, NULL, NULL, r12vrr_stack+51689);

 /*--- compute (d0|o0)^6 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+163961, r12vrr_stack+40931, r12vrr_stack+47927, r12vrr_stack+39154, r12vrr_stack+2199, r12vrr_stack+35904);

 /*--- compute (f0|o0)^5 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+164429, r12vrr_stack+41165, r12vrr_stack+163961, r12vrr_stack+39232, r12vrr_stack+40931, r12vrr_stack+20004);

 /*--- compute (g0|o0)^4 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+165209, r12vrr_stack+41633, r12vrr_stack+164429, r12vrr_stack+58661, r12vrr_stack+41165, r12vrr_stack+156701);

 /*--- compute (h0|o0)^3 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+166379, r12vrr_stack+115425, r12vrr_stack+165209, r12vrr_stack+59129, r12vrr_stack+41633, r12vrr_stack+157361);

 /*--- compute (i0|o0)^2 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+168017, r12vrr_stack+116595, r12vrr_stack+166379, r12vrr_stack+59909, r12vrr_stack+115425, r12vrr_stack+158351);

 /*--- compute (k0|o0)^1 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+170201, r12vrr_stack+118233, r12vrr_stack+168017, r12vrr_stack+61079, r12vrr_stack+116595, r12vrr_stack+159737);

 /*--- compute (l0|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58661, r12vrr_stack+120417, r12vrr_stack+170201, r12vrr_stack+62717, r12vrr_stack+118233, r12vrr_stack+161585);
 tmp = r12vrr_stack + 58661;
 target_ptr = Libr12->gvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^19 ---*/
 _BUILD_00p0(Data,r12vrr_stack+62171, Data->F+19, Data->F+20, NULL, NULL, NULL);

 /*--- compute (00|d0)^18 ---*/
 _BUILD_00d0(Data,r12vrr_stack+62174, r12vrr_stack+0, r12vrr_stack+62171, Data->F+18, Data->F+19, NULL);

 /*--- compute (00|f0)^17 ---*/
 _BUILD_00f0(Data,r12vrr_stack+62180, r12vrr_stack+105, r12vrr_stack+62174, r12vrr_stack+1668, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^16 ---*/
 _BUILD_00g0(Data,r12vrr_stack+748, r12vrr_stack+306, r12vrr_stack+62180, r12vrr_stack+50692, r12vrr_stack+105, NULL);

 /*--- compute (00|h0)^15 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+62190, r12vrr_stack+53903, r12vrr_stack+748, r12vrr_stack+51524, r12vrr_stack+306, NULL);

 /*--- compute (00|i0)^14 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10861, r12vrr_stack+53918, r12vrr_stack+62190, r12vrr_stack+51534, r12vrr_stack+53903, NULL);

 /*--- compute (00|k0)^13 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62211, r12vrr_stack+53939, r12vrr_stack+10861, r12vrr_stack+51549, r12vrr_stack+53918, NULL);

 /*--- compute (00|l0)^12 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+316, r12vrr_stack+53967, r12vrr_stack+62211, r12vrr_stack+51570, r12vrr_stack+53939, NULL);

 /*--- compute (00|m0)^11 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51524, r12vrr_stack+12306, r12vrr_stack+316, r12vrr_stack+51598, r12vrr_stack+53967, NULL);

 /*--- compute (00|n0)^10 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28347, r12vrr_stack+54003, r12vrr_stack+51524, r12vrr_stack+28413, r12vrr_stack+12306, NULL);

 /*--- compute (00|o0)^9 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+62247, r12vrr_stack+54058, r12vrr_stack+28347, r12vrr_stack+51634, r12vrr_stack+54003, NULL);

 /*--- compute (00|q0)^8 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+62325, r12vrr_stack+54124, r12vrr_stack+62247, r12vrr_stack+51689, r12vrr_stack+54058, NULL);

 /*--- compute (p0|q0)^7 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+62416, r12vrr_stack+54202, r12vrr_stack+62325, NULL, NULL, r12vrr_stack+54124);

 /*--- compute (d0|q0)^6 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+173009, r12vrr_stack+54293, r12vrr_stack+62416, r12vrr_stack+51755, r12vrr_stack+54202, r12vrr_stack+47927);

 /*--- compute (f0|q0)^5 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+173555, r12vrr_stack+54566, r12vrr_stack+173009, r12vrr_stack+51846, r12vrr_stack+54293, r12vrr_stack+163961);

 /*--- compute (g0|q0)^4 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+174465, r12vrr_stack+123225, r12vrr_stack+173555, r12vrr_stack+74729, r12vrr_stack+54566, r12vrr_stack+164429);

 /*--- compute (h0|q0)^3 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+175830, r12vrr_stack+124135, r12vrr_stack+174465, r12vrr_stack+75275, r12vrr_stack+123225, r12vrr_stack+165209);

 /*--- compute (i0|q0)^2 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+177741, r12vrr_stack+125500, r12vrr_stack+175830, r12vrr_stack+76185, r12vrr_stack+124135, r12vrr_stack+166379);

 /*--- compute (k0|q0)^1 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+180289, r12vrr_stack+127411, r12vrr_stack+177741, r12vrr_stack+77550, r12vrr_stack+125500, r12vrr_stack+168017);

 /*--- compute (l0|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+74729, r12vrr_stack+129959, r12vrr_stack+180289, r12vrr_stack+79461, r12vrr_stack+127411, r12vrr_stack+170201);
 tmp = r12vrr_stack + 74729;
 target_ptr = Libr12->gvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^7 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+78824, r12vrr_stack+54202, r12vrr_stack+62325, r12vrr_stack+2199, r12vrr_stack+54124, NULL);

 /*--- compute (p0|r0)^6 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+78929, r12vrr_stack+52119, r12vrr_stack+78824, NULL, NULL, r12vrr_stack+54202);

 /*--- compute (d0|r0)^5 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+183565, r12vrr_stack+69178, r12vrr_stack+78929, r12vrr_stack+52224, r12vrr_stack+52119, r12vrr_stack+54293);

 /*--- compute (f0|r0)^4 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+184195, r12vrr_stack+69493, r12vrr_stack+183565, r12vrr_stack+82009, r12vrr_stack+69178, r12vrr_stack+54566);

 /*--- compute (g0|r0)^3 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+185245, r12vrr_stack+70123, r12vrr_stack+184195, r12vrr_stack+64901, r12vrr_stack+69493, r12vrr_stack+123225);

 /*--- compute (h0|r0)^2 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+186820, r12vrr_stack+133235, r12vrr_stack+185245, r12vrr_stack+65531, r12vrr_stack+70123, r12vrr_stack+124135);

 /*--- compute (i0|r0)^1 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+189025, r12vrr_stack+134810, r12vrr_stack+186820, r12vrr_stack+86314, r12vrr_stack+133235, r12vrr_stack+125500);

 /*--- compute (k0|r0)^0 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+191965, r12vrr_stack+137015, r12vrr_stack+189025, r12vrr_stack+89464, r12vrr_stack+134810, r12vrr_stack+127411);
 tmp = r12vrr_stack + 191965;
 target_ptr = Libr12->gvrr_classes[7][13];
 for(i=0;i<3780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^8 ---*/
 _BUILD_p000(Data,r12vrr_stack+1668, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (d0|00)^7 ---*/
 _BUILD_d000(Data,r12vrr_stack+86314, r12vrr_stack+82324, r12vrr_stack+1668, Data->F+7, Data->F+8, NULL);

 /*--- compute (f0|00)^6 ---*/
 _BUILD_f000(Data,r12vrr_stack+86320, r12vrr_stack+82327, r12vrr_stack+86314, r12vrr_stack+8033, r12vrr_stack+82324, NULL);

 /*--- compute (g0|00)^5 ---*/
 _BUILD_g000(Data,r12vrr_stack+86330, r12vrr_stack+82333, r12vrr_stack+86320, r12vrr_stack+82954, r12vrr_stack+82327, NULL);

 /*--- compute (p0|p0)^8 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+86345, r12vrr_stack+27, r12vrr_stack+24, NULL, NULL, Data->F+9);

 /*--- compute (d0|p0)^7 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+86354, r12vrr_stack+6, r12vrr_stack+86345, r12vrr_stack+21, r12vrr_stack+27, r12vrr_stack+1668);

 /*--- compute (f0|p0)^6 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+186, r12vrr_stack+82343, r12vrr_stack+86354, r12vrr_stack+82960, r12vrr_stack+6, r12vrr_stack+86314);

 /*--- compute (g0|p0)^5 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+19914, r12vrr_stack+82361, r12vrr_stack+186, r12vrr_stack+57, r12vrr_stack+82343, r12vrr_stack+86320);

 /*--- compute (h0|p0)^4 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+86372, r12vrr_stack+14808, r12vrr_stack+19914, r12vrr_stack+131, r12vrr_stack+82361, r12vrr_stack+86330);

 /*--- compute (p0|d0)^8 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+131, r12vrr_stack+732, r12vrr_stack+15, NULL, NULL, r12vrr_stack+24);

 /*--- compute (d0|d0)^7 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+86435, r12vrr_stack+161, r12vrr_stack+131, r12vrr_stack+180, r12vrr_stack+732, r12vrr_stack+86345);

 /*--- compute (f0|d0)^6 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+86471, r12vrr_stack+847, r12vrr_stack+86435, r12vrr_stack+82969, r12vrr_stack+161, r12vrr_stack+86354);

 /*--- compute (g0|d0)^5 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+86531, r12vrr_stack+883, r12vrr_stack+86471, r12vrr_stack+82987, r12vrr_stack+847, r12vrr_stack+186);

 /*--- compute (h0|d0)^4 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+86621, r12vrr_stack+943, r12vrr_stack+86531, r12vrr_stack+83023, r12vrr_stack+883, r12vrr_stack+19914);

 /*--- compute (i0|d0)^3 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+86747, r12vrr_stack+1033, r12vrr_stack+86621, r12vrr_stack+83083, r12vrr_stack+943, r12vrr_stack+86372);

 /*--- compute (p0|f0)^8 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+86915, r12vrr_stack+111, r12vrr_stack+1307, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^7 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+86945, r12vrr_stack+4083, r12vrr_stack+86915, r12vrr_stack+738, r12vrr_stack+111, r12vrr_stack+131);

 /*--- compute (f0|f0)^6 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+87005, r12vrr_stack+4113, r12vrr_stack+86945, r12vrr_stack+75, r12vrr_stack+4083, r12vrr_stack+86435);

 /*--- compute (g0|f0)^5 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+26079, r12vrr_stack+82391, r12vrr_stack+87005, r12vrr_stack+83173, r12vrr_stack+4113, r12vrr_stack+86471);

 /*--- compute (h0|f0)^4 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+87105, r12vrr_stack+86164, r12vrr_stack+26079, r12vrr_stack+83233, r12vrr_stack+82391, r12vrr_stack+86531);

 /*--- compute (i0|f0)^3 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+87315, r12vrr_stack+82491, r12vrr_stack+87105, r12vrr_stack+83333, r12vrr_stack+86164, r12vrr_stack+86621);

 /*--- compute (k0|f0)^2 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+71173, r12vrr_stack+87315, r12vrr_stack+84634, r12vrr_stack+82491, r12vrr_stack+86747);

 /*--- compute (p0|g0)^8 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+87595, r12vrr_stack+1671, r12vrr_stack+8046, NULL, NULL, r12vrr_stack+1307);

 /*--- compute (d0|g0)^7 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+87640, r12vrr_stack+4173, r12vrr_stack+87595, r12vrr_stack+361, r12vrr_stack+1671, r12vrr_stack+86915);

 /*--- compute (f0|g0)^6 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+87730, r12vrr_stack+4218, r12vrr_stack+87640, r12vrr_stack+376, r12vrr_stack+4173, r12vrr_stack+86945);

 /*--- compute (g0|g0)^5 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+65261, r12vrr_stack+4308, r12vrr_stack+87730, r12vrr_stack+216, r12vrr_stack+4218, r12vrr_stack+87005);

 /*--- compute (h0|g0)^4 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+82701, r12vrr_stack+65261, r12vrr_stack+84844, r12vrr_stack+4308, r12vrr_stack+26079);

 /*--- compute (i0|g0)^3 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+65486, r12vrr_stack+28848, r12vrr_stack+82009, r12vrr_stack+84994, r12vrr_stack+82701, r12vrr_stack+87105);

 /*--- compute (k0|g0)^2 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+65906, r12vrr_stack+50978, r12vrr_stack+65486, r12vrr_stack+85219, r12vrr_stack+28848, r12vrr_stack+87315);

 /*--- compute (l0|g0)^1 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+84611, r12vrr_stack+4458, r12vrr_stack+65906, r12vrr_stack+85534, r12vrr_stack+50978, r12vrr_stack+64901);

 /*--- compute (p0|h0)^8 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+216, r12vrr_stack+8061, r12vrr_stack+13051, NULL, NULL, r12vrr_stack+8046);

 /*--- compute (d0|h0)^7 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+361, r12vrr_stack+4998, r12vrr_stack+216, r12vrr_stack+1686, r12vrr_stack+8061, r12vrr_stack+87595);

 /*--- compute (f0|h0)^6 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+79244, r12vrr_stack+51398, r12vrr_stack+361, r12vrr_stack+1317, r12vrr_stack+4998, r12vrr_stack+87640);

 /*--- compute (g0|h0)^5 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+51755, r12vrr_stack+5061, r12vrr_stack+79244, r12vrr_stack+12351, r12vrr_stack+51398, r12vrr_stack+87730);

 /*--- compute (h0|h0)^4 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+82926, r12vrr_stack+39466, r12vrr_stack+51755, r12vrr_stack+85954, r12vrr_stack+5061, r12vrr_stack+65261);

 /*--- compute (i0|h0)^3 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+85286, r12vrr_stack+55112, r12vrr_stack+82926, r12vrr_stack+52329, r12vrr_stack+39466, r12vrr_stack+82009);

 /*--- compute (k0|h0)^2 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+195745, r12vrr_stack+83483, r12vrr_stack+85286, r12vrr_stack+66581, r12vrr_stack+55112, r12vrr_stack+65486);

 /*--- compute (l0|h0)^1 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+196501, r12vrr_stack+139955, r12vrr_stack+195745, r12vrr_stack+67022, r12vrr_stack+83483, r12vrr_stack+65906);

 /*--- compute (m0|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+66446, r12vrr_stack+5271, r12vrr_stack+196501, r12vrr_stack+91669, r12vrr_stack+139955, r12vrr_stack+84611);

 /*--- compute (p0|i0)^8 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+55769, r12vrr_stack+1752, r12vrr_stack+19191, NULL, NULL, r12vrr_stack+13051);

 /*--- compute (d0|i0)^7 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1317, r12vrr_stack+6216, r12vrr_stack+55769, r12vrr_stack+1640, r12vrr_stack+1752, r12vrr_stack+216);

 /*--- compute (f0|i0)^6 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+52224, r12vrr_stack+42413, r12vrr_stack+1317, r12vrr_stack+763, r12vrr_stack+6216, r12vrr_stack+361);

 /*--- compute (g0|i0)^5 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12612, r12vrr_stack+50328, r12vrr_stack+52224, r12vrr_stack+2676, r12vrr_stack+42413, r12vrr_stack+79244);

 /*--- compute (h0|i0)^4 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+197446, r12vrr_stack+38459, r12vrr_stack+12612, r12vrr_stack+2844, r12vrr_stack+50328, r12vrr_stack+51755);

 /*--- compute (i0|i0)^3 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+198034, r12vrr_stack+140711, r12vrr_stack+197446, r12vrr_stack+92425, r12vrr_stack+38459, r12vrr_stack+82926);

 /*--- compute (k0|i0)^2 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+198818, r12vrr_stack+141299, r12vrr_stack+198034, r12vrr_stack+92845, r12vrr_stack+140711, r12vrr_stack+85286);

 /*--- compute (l0|i0)^1 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+199826, r12vrr_stack+142083, r12vrr_stack+198818, r12vrr_stack+93433, r12vrr_stack+141299, r12vrr_stack+195745);

 /*--- compute (m0|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+92425, r12vrr_stack+9601, r12vrr_stack+199826, r12vrr_stack+94217, r12vrr_stack+142083, r12vrr_stack+196501);
 tmp = r12vrr_stack + 92425;
 target_ptr = Libr12->gvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^8 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8082, r12vrr_stack+19219, r12vrr_stack+28493, NULL, NULL, r12vrr_stack+19191);

 /*--- compute (d0|k0)^7 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+93965, r12vrr_stack+1864, r12vrr_stack+8082, r12vrr_stack+13072, r12vrr_stack+19219, r12vrr_stack+55769);

 /*--- compute (f0|k0)^6 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+55553, r12vrr_stack+93965, r12vrr_stack+7501, r12vrr_stack+1864, r12vrr_stack+1317);

 /*--- compute (g0|k0)^5 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201086, r12vrr_stack+7141, r12vrr_stack+2676, r12vrr_stack+7609, r12vrr_stack+55553, r12vrr_stack+52224);

 /*--- compute (h0|k0)^4 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201626, r12vrr_stack+84071, r12vrr_stack+201086, r12vrr_stack+8190, r12vrr_stack+7141, r12vrr_stack+12612);

 /*--- compute (i0|k0)^3 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+202382, r12vrr_stack+143091, r12vrr_stack+201626, r12vrr_stack+95225, r12vrr_stack+84071, r12vrr_stack+197446);

 /*--- compute (k0|k0)^2 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+203390, r12vrr_stack+143847, r12vrr_stack+202382, r12vrr_stack+95765, r12vrr_stack+143091, r12vrr_stack+198034);

 /*--- compute (l0|k0)^1 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+204686, r12vrr_stack+144855, r12vrr_stack+203390, r12vrr_stack+96521, r12vrr_stack+143847, r12vrr_stack+198818);

 /*--- compute (m0|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+95225, r12vrr_stack+16149, r12vrr_stack+204686, r12vrr_stack+97529, r12vrr_stack+144855, r12vrr_stack+199826);
 tmp = r12vrr_stack + 95225;
 target_ptr = Libr12->gvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^8 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+97205, r12vrr_stack+1707, r12vrr_stack+39043, NULL, NULL, r12vrr_stack+28493);

 /*--- compute (d0|l0)^7 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8190, r12vrr_stack+17769, r12vrr_stack+97205, r12vrr_stack+19959, r12vrr_stack+1707, r12vrr_stack+8082);

 /*--- compute (f0|l0)^6 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7501, r12vrr_stack+37907, r12vrr_stack+8190, r12vrr_stack+13953, r12vrr_stack+17769, r12vrr_stack+93965);

 /*--- compute (g0|l0)^5 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+206306, r12vrr_stack+19464, r12vrr_stack+7501, r12vrr_stack+14088, r12vrr_stack+37907, r12vrr_stack+2676);

 /*--- compute (h0|l0)^4 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+206981, r12vrr_stack+146151, r12vrr_stack+206306, r12vrr_stack+14358, r12vrr_stack+19464, r12vrr_stack+201086);

 /*--- compute (i0|l0)^3 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+207926, r12vrr_stack+146826, r12vrr_stack+206981, r12vrr_stack+98825, r12vrr_stack+146151, r12vrr_stack+201626);

 /*--- compute (k0|l0)^2 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+209186, r12vrr_stack+147771, r12vrr_stack+207926, r12vrr_stack+99500, r12vrr_stack+146826, r12vrr_stack+202382);

 /*--- compute (l0|l0)^1 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+210806, r12vrr_stack+149031, r12vrr_stack+209186, r12vrr_stack+100445, r12vrr_stack+147771, r12vrr_stack+203390);

 /*--- compute (m0|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+98825, r12vrr_stack+23889, r12vrr_stack+210806, r12vrr_stack+101705, r12vrr_stack+149031, r12vrr_stack+204686);
 tmp = r12vrr_stack + 98825;
 target_ptr = Libr12->gvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^8 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+101300, r12vrr_stack+2144, r12vrr_stack+51634, NULL, NULL, r12vrr_stack+39043);

 /*--- compute (d0|m0)^7 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13953, r12vrr_stack+25914, r12vrr_stack+101300, r12vrr_stack+28529, r12vrr_stack+2144, r12vrr_stack+97205);

 /*--- compute (f0|m0)^6 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+212831, r12vrr_stack+28017, r12vrr_stack+13953, r12vrr_stack+21144, r12vrr_stack+25914, r12vrr_stack+8190);

 /*--- compute (g0|m0)^5 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+213381, r12vrr_stack+150651, r12vrr_stack+212831, r12vrr_stack+21309, r12vrr_stack+28017, r12vrr_stack+7501);

 /*--- compute (h0|m0)^4 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+214206, r12vrr_stack+151201, r12vrr_stack+213381, r12vrr_stack+21639, r12vrr_stack+150651, r12vrr_stack+206306);

 /*--- compute (i0|m0)^3 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+215361, r12vrr_stack+152026, r12vrr_stack+214206, r12vrr_stack+103325, r12vrr_stack+151201, r12vrr_stack+206981);

 /*--- compute (k0|m0)^2 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+216901, r12vrr_stack+153181, r12vrr_stack+215361, r12vrr_stack+104150, r12vrr_stack+152026, r12vrr_stack+207926);

 /*--- compute (l0|m0)^1 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+218881, r12vrr_stack+154721, r12vrr_stack+216901, r12vrr_stack+105305, r12vrr_stack+153181, r12vrr_stack+209186);

 /*--- compute (m0|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+103325, r12vrr_stack+33429, r12vrr_stack+218881, r12vrr_stack+106845, r12vrr_stack+154721, r12vrr_stack+210806);
 tmp = r12vrr_stack + 103325;
 target_ptr = Libr12->gvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^8 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+106350, r12vrr_stack+51689, r12vrr_stack+54058, NULL, NULL, r12vrr_stack+51634);

 /*--- compute (d0|n0)^7 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21144, r12vrr_stack+35904, r12vrr_stack+106350, r12vrr_stack+39088, r12vrr_stack+51689, r12vrr_stack+101300);

 /*--- compute (f0|n0)^6 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21540, r12vrr_stack+20004, r12vrr_stack+21144, r12vrr_stack+30074, r12vrr_stack+35904, r12vrr_stack+13953);

 /*--- compute (g0|n0)^5 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+221356, r12vrr_stack+156701, r12vrr_stack+21540, r12vrr_stack+30272, r12vrr_stack+20004, r12vrr_stack+212831);

 /*--- compute (h0|n0)^4 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+222346, r12vrr_stack+157361, r12vrr_stack+221356, r12vrr_stack+30668, r12vrr_stack+156701, r12vrr_stack+213381);

 /*--- compute (i0|n0)^3 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+223732, r12vrr_stack+158351, r12vrr_stack+222346, r12vrr_stack+108825, r12vrr_stack+157361, r12vrr_stack+214206);

 /*--- compute (k0|n0)^2 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+225580, r12vrr_stack+159737, r12vrr_stack+223732, r12vrr_stack+109815, r12vrr_stack+158351, r12vrr_stack+215361);

 /*--- compute (l0|n0)^1 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+227956, r12vrr_stack+161585, r12vrr_stack+225580, r12vrr_stack+111201, r12vrr_stack+159737, r12vrr_stack+216901);

 /*--- compute (m0|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+108825, r12vrr_stack+44957, r12vrr_stack+227956, r12vrr_stack+113049, r12vrr_stack+161585, r12vrr_stack+218881);
 tmp = r12vrr_stack + 108825;
 target_ptr = Libr12->gvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^8 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+112455, r12vrr_stack+54124, r12vrr_stack+62247, NULL, NULL, r12vrr_stack+54058);

 /*--- compute (d0|o0)^7 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30074, r12vrr_stack+47927, r12vrr_stack+112455, r12vrr_stack+2199, r12vrr_stack+54124, r12vrr_stack+106350);

 /*--- compute (f0|o0)^6 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30542, r12vrr_stack+163961, r12vrr_stack+30074, r12vrr_stack+40931, r12vrr_stack+47927, r12vrr_stack+21144);

 /*--- compute (g0|o0)^5 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+230926, r12vrr_stack+164429, r12vrr_stack+30542, r12vrr_stack+41165, r12vrr_stack+163961, r12vrr_stack+21540);

 /*--- compute (h0|o0)^4 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+232096, r12vrr_stack+165209, r12vrr_stack+230926, r12vrr_stack+41633, r12vrr_stack+164429, r12vrr_stack+221356);

 /*--- compute (i0|o0)^3 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+233734, r12vrr_stack+166379, r12vrr_stack+232096, r12vrr_stack+115425, r12vrr_stack+165209, r12vrr_stack+222346);

 /*--- compute (k0|o0)^2 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+235918, r12vrr_stack+168017, r12vrr_stack+233734, r12vrr_stack+116595, r12vrr_stack+166379, r12vrr_stack+223732);

 /*--- compute (l0|o0)^1 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+238726, r12vrr_stack+170201, r12vrr_stack+235918, r12vrr_stack+118233, r12vrr_stack+168017, r12vrr_stack+225580);

 /*--- compute (m0|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+115425, r12vrr_stack+58661, r12vrr_stack+238726, r12vrr_stack+120417, r12vrr_stack+170201, r12vrr_stack+227956);
 tmp = r12vrr_stack + 115425;
 target_ptr = Libr12->gvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^20 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+20, Data->F+21, NULL, NULL, NULL);

 /*--- compute (00|d0)^19 ---*/
 _BUILD_00d0(Data,r12vrr_stack+119715, r12vrr_stack+62171, r12vrr_stack+21, Data->F+19, Data->F+20, NULL);

 /*--- compute (00|f0)^18 ---*/
 _BUILD_00f0(Data,r12vrr_stack+738, r12vrr_stack+62174, r12vrr_stack+119715, r12vrr_stack+0, r12vrr_stack+62171, NULL);

 /*--- compute (00|g0)^17 ---*/
 _BUILD_00g0(Data,r12vrr_stack+119721, r12vrr_stack+62180, r12vrr_stack+738, r12vrr_stack+105, r12vrr_stack+62174, NULL);

 /*--- compute (00|h0)^16 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1686, r12vrr_stack+748, r12vrr_stack+119721, r12vrr_stack+306, r12vrr_stack+62180, NULL);

 /*--- compute (00|i0)^15 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+62190, r12vrr_stack+1686, r12vrr_stack+53903, r12vrr_stack+748, NULL);

 /*--- compute (00|k0)^14 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+94181, r12vrr_stack+10861, r12vrr_stack+1640, r12vrr_stack+53918, r12vrr_stack+62190, NULL);

 /*--- compute (00|l0)^13 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19959, r12vrr_stack+62211, r12vrr_stack+94181, r12vrr_stack+53939, r12vrr_stack+10861, NULL);

 /*--- compute (00|m0)^12 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51579, r12vrr_stack+316, r12vrr_stack+19959, r12vrr_stack+53967, r12vrr_stack+62211, NULL);

 /*--- compute (00|n0)^11 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+53903, r12vrr_stack+51524, r12vrr_stack+51579, r12vrr_stack+12306, r12vrr_stack+316, NULL);

 /*--- compute (00|o0)^10 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2199, r12vrr_stack+28347, r12vrr_stack+53903, r12vrr_stack+54003, r12vrr_stack+51524, NULL);

 /*--- compute (00|q0)^9 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+12306, r12vrr_stack+62247, r12vrr_stack+2199, r12vrr_stack+54058, r12vrr_stack+28347, NULL);

 /*--- compute (p0|q0)^8 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+8460, r12vrr_stack+62325, r12vrr_stack+12306, NULL, NULL, r12vrr_stack+62247);

 /*--- compute (d0|q0)^7 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+119736, r12vrr_stack+62416, r12vrr_stack+8460, r12vrr_stack+54202, r12vrr_stack+62325, r12vrr_stack+112455);

 /*--- compute (f0|q0)^6 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+40931, r12vrr_stack+173009, r12vrr_stack+119736, r12vrr_stack+54293, r12vrr_stack+62416, r12vrr_stack+30074);

 /*--- compute (g0|q0)^5 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+242236, r12vrr_stack+173555, r12vrr_stack+40931, r12vrr_stack+54566, r12vrr_stack+173009, r12vrr_stack+30542);

 /*--- compute (h0|q0)^4 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+243601, r12vrr_stack+174465, r12vrr_stack+242236, r12vrr_stack+123225, r12vrr_stack+173555, r12vrr_stack+230926);

 /*--- compute (i0|q0)^3 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+245512, r12vrr_stack+175830, r12vrr_stack+243601, r12vrr_stack+124135, r12vrr_stack+174465, r12vrr_stack+232096);

 /*--- compute (k0|q0)^2 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+248060, r12vrr_stack+177741, r12vrr_stack+245512, r12vrr_stack+125500, r12vrr_stack+175830, r12vrr_stack+233734);

 /*--- compute (l0|q0)^1 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+123225, r12vrr_stack+180289, r12vrr_stack+248060, r12vrr_stack+127411, r12vrr_stack+177741, r12vrr_stack+235918);

 /*--- compute (m0|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+251336, r12vrr_stack+74729, r12vrr_stack+123225, r12vrr_stack+129959, r12vrr_stack+180289, r12vrr_stack+238726);
 tmp = r12vrr_stack + 251336;
 target_ptr = Libr12->gvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^8 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+127320, r12vrr_stack+62325, r12vrr_stack+12306, r12vrr_stack+54124, r12vrr_stack+62247, NULL);

 /*--- compute (p0|r0)^7 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+127425, r12vrr_stack+78824, r12vrr_stack+127320, NULL, NULL, r12vrr_stack+62325);

 /*--- compute (d0|r0)^6 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+127740, r12vrr_stack+78929, r12vrr_stack+127425, r12vrr_stack+52119, r12vrr_stack+78824, r12vrr_stack+62416);

 /*--- compute (f0|r0)^5 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+128370, r12vrr_stack+183565, r12vrr_stack+127740, r12vrr_stack+69178, r12vrr_stack+78929, r12vrr_stack+173009);

 /*--- compute (g0|r0)^4 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+256341, r12vrr_stack+184195, r12vrr_stack+128370, r12vrr_stack+69493, r12vrr_stack+183565, r12vrr_stack+173555);

 /*--- compute (h0|r0)^3 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+257916, r12vrr_stack+185245, r12vrr_stack+256341, r12vrr_stack+70123, r12vrr_stack+184195, r12vrr_stack+174465);

 /*--- compute (i0|r0)^2 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+260121, r12vrr_stack+186820, r12vrr_stack+257916, r12vrr_stack+133235, r12vrr_stack+185245, r12vrr_stack+175830);

 /*--- compute (k0|r0)^1 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+263061, r12vrr_stack+189025, r12vrr_stack+260121, r12vrr_stack+134810, r12vrr_stack+186820, r12vrr_stack+177741);

 /*--- compute (l0|r0)^0 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+266841, r12vrr_stack+191965, r12vrr_stack+263061, r12vrr_stack+137015, r12vrr_stack+189025, r12vrr_stack+180289);
 tmp = r12vrr_stack + 266841;
 target_ptr = Libr12->gvrr_classes[8][13];
 for(i=0;i<4725;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^9 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (d0|00)^8 ---*/
 _BUILD_d000(Data,r12vrr_stack+133235, r12vrr_stack+1668, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (f0|00)^7 ---*/
 _BUILD_f000(Data,r12vrr_stack+133241, r12vrr_stack+86314, r12vrr_stack+133235, r12vrr_stack+82324, r12vrr_stack+1668, NULL);

 /*--- compute (g0|00)^6 ---*/
 _BUILD_g000(Data,r12vrr_stack+133251, r12vrr_stack+86320, r12vrr_stack+133241, r12vrr_stack+82327, r12vrr_stack+86314, NULL);

 /*--- compute (h0|00)^5 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+133266, r12vrr_stack+86330, r12vrr_stack+133251, r12vrr_stack+82333, r12vrr_stack+86320, NULL);

 /*--- compute (p0|p0)^9 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+87880, r12vrr_stack+24, r12vrr_stack+3, NULL, NULL, Data->F+10);

 /*--- compute (d0|p0)^8 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+86314, r12vrr_stack+86345, r12vrr_stack+87880, r12vrr_stack+27, r12vrr_stack+24, r12vrr_stack+0);

 /*--- compute (f0|p0)^7 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+24, r12vrr_stack+86354, r12vrr_stack+86314, r12vrr_stack+6, r12vrr_stack+86345, r12vrr_stack+133235);

 /*--- compute (g0|p0)^6 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+54, r12vrr_stack+186, r12vrr_stack+24, r12vrr_stack+82343, r12vrr_stack+86354, r12vrr_stack+133241);

 /*--- compute (h0|p0)^5 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+133287, r12vrr_stack+19914, r12vrr_stack+54, r12vrr_stack+82361, r12vrr_stack+186, r12vrr_stack+133251);

 /*--- compute (i0|p0)^4 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+86372, r12vrr_stack+133287, r12vrr_stack+14808, r12vrr_stack+19914, r12vrr_stack+133266);

 /*--- compute (p0|d0)^9 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+19914, r12vrr_stack+15, r12vrr_stack+560, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^8 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+133235, r12vrr_stack+131, r12vrr_stack+19914, r12vrr_stack+732, r12vrr_stack+15, r12vrr_stack+87880);

 /*--- compute (f0|d0)^7 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+86332, r12vrr_stack+86435, r12vrr_stack+133235, r12vrr_stack+161, r12vrr_stack+131, r12vrr_stack+86314);

 /*--- compute (g0|d0)^6 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+133350, r12vrr_stack+86471, r12vrr_stack+86332, r12vrr_stack+847, r12vrr_stack+86435, r12vrr_stack+24);

 /*--- compute (h0|d0)^5 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+133440, r12vrr_stack+86531, r12vrr_stack+133350, r12vrr_stack+883, r12vrr_stack+86471, r12vrr_stack+54);

 /*--- compute (i0|d0)^4 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+133566, r12vrr_stack+86621, r12vrr_stack+133440, r12vrr_stack+943, r12vrr_stack+86531, r12vrr_stack+133287);

 /*--- compute (k0|d0)^3 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+86392, r12vrr_stack+86747, r12vrr_stack+133566, r12vrr_stack+1033, r12vrr_stack+86621, r12vrr_stack+763);

 /*--- compute (p0|f0)^9 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+763, r12vrr_stack+1307, r12vrr_stack+8036, NULL, NULL, r12vrr_stack+560);

 /*--- compute (d0|f0)^8 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+793, r12vrr_stack+86915, r12vrr_stack+763, r12vrr_stack+111, r12vrr_stack+1307, r12vrr_stack+19914);

 /*--- compute (f0|f0)^7 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+853, r12vrr_stack+86945, r12vrr_stack+793, r12vrr_stack+4083, r12vrr_stack+86915, r12vrr_stack+133235);

 /*--- compute (g0|f0)^6 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+953, r12vrr_stack+87005, r12vrr_stack+853, r12vrr_stack+4113, r12vrr_stack+86945, r12vrr_stack+86332);

 /*--- compute (h0|f0)^5 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1103, r12vrr_stack+26079, r12vrr_stack+953, r12vrr_stack+82391, r12vrr_stack+87005, r12vrr_stack+133350);

 /*--- compute (i0|f0)^4 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+86608, r12vrr_stack+87105, r12vrr_stack+1103, r12vrr_stack+86164, r12vrr_stack+26079, r12vrr_stack+133440);

 /*--- compute (k0|f0)^3 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+112689, r12vrr_stack+87315, r12vrr_stack+86608, r12vrr_stack+82491, r12vrr_stack+87105, r12vrr_stack+133566);

 /*--- compute (l0|f0)^2 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+133235, r12vrr_stack+64901, r12vrr_stack+112689, r12vrr_stack+71173, r12vrr_stack+87315, r12vrr_stack+86392);

 /*--- compute (p0|g0)^9 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+19914, r12vrr_stack+8046, r12vrr_stack+13036, NULL, NULL, r12vrr_stack+8036);

 /*--- compute (d0|g0)^8 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4083, r12vrr_stack+87595, r12vrr_stack+19914, r12vrr_stack+1671, r12vrr_stack+8046, r12vrr_stack+763);

 /*--- compute (f0|g0)^7 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+26079, r12vrr_stack+87640, r12vrr_stack+4083, r12vrr_stack+4173, r12vrr_stack+87595, r12vrr_stack+793);

 /*--- compute (g0|g0)^6 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+64901, r12vrr_stack+87730, r12vrr_stack+26079, r12vrr_stack+4218, r12vrr_stack+87640, r12vrr_stack+853);

 /*--- compute (h0|g0)^5 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+133685, r12vrr_stack+65261, r12vrr_stack+64901, r12vrr_stack+4308, r12vrr_stack+87730, r12vrr_stack+953);

 /*--- compute (i0|g0)^4 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+134000, r12vrr_stack+82009, r12vrr_stack+133685, r12vrr_stack+82701, r12vrr_stack+65261, r12vrr_stack+1103);

 /*--- compute (k0|g0)^3 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+65486, r12vrr_stack+134000, r12vrr_stack+28848, r12vrr_stack+82009, r12vrr_stack+86608);

 /*--- compute (l0|g0)^2 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+65906, r12vrr_stack+763, r12vrr_stack+50978, r12vrr_stack+65486, r12vrr_stack+112689);

 /*--- compute (m0|g0)^1 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+134420, r12vrr_stack+84611, r12vrr_stack+82009, r12vrr_stack+4458, r12vrr_stack+65906, r12vrr_stack+133235);

 /*--- compute (p0|h0)^9 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+133235, r12vrr_stack+13051, r12vrr_stack+19170, NULL, NULL, r12vrr_stack+13036);

 /*--- compute (d0|h0)^8 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+133298, r12vrr_stack+216, r12vrr_stack+133235, r12vrr_stack+8061, r12vrr_stack+13051, r12vrr_stack+19914);

 /*--- compute (f0|h0)^7 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+133424, r12vrr_stack+361, r12vrr_stack+133298, r12vrr_stack+4998, r12vrr_stack+216, r12vrr_stack+4083);

 /*--- compute (g0|h0)^6 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+79244, r12vrr_stack+133424, r12vrr_stack+51398, r12vrr_stack+361, r12vrr_stack+26079);

 /*--- compute (h0|h0)^5 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4398, r12vrr_stack+51755, r12vrr_stack+4083, r12vrr_stack+5061, r12vrr_stack+79244, r12vrr_stack+64901);

 /*--- compute (i0|h0)^4 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+82926, r12vrr_stack+4398, r12vrr_stack+39466, r12vrr_stack+51755, r12vrr_stack+133685);

 /*--- compute (k0|h0)^3 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+65489, r12vrr_stack+85286, r12vrr_stack+64901, r12vrr_stack+55112, r12vrr_stack+82926, r12vrr_stack+134000);

 /*--- compute (l0|h0)^2 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+135245, r12vrr_stack+195745, r12vrr_stack+65489, r12vrr_stack+83483, r12vrr_stack+85286, r12vrr_stack+763);

 /*--- compute (m0|h0)^1 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+84611, r12vrr_stack+196501, r12vrr_stack+135245, r12vrr_stack+139955, r12vrr_stack+195745, r12vrr_stack+82009);

 /*--- compute (n0|h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+66446, r12vrr_stack+84611, r12vrr_stack+5271, r12vrr_stack+196501, r12vrr_stack+134420);

 /*--- compute (p0|i0)^9 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+83395, r12vrr_stack+19191, r12vrr_stack+28465, NULL, NULL, r12vrr_stack+19170);

 /*--- compute (d0|i0)^8 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+83479, r12vrr_stack+55769, r12vrr_stack+83395, r12vrr_stack+1752, r12vrr_stack+19191, r12vrr_stack+133235);

 /*--- compute (f0|i0)^7 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+83647, r12vrr_stack+1317, r12vrr_stack+83479, r12vrr_stack+6216, r12vrr_stack+55769, r12vrr_stack+133298);

 /*--- compute (g0|i0)^6 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+195745, r12vrr_stack+52224, r12vrr_stack+83647, r12vrr_stack+42413, r12vrr_stack+1317, r12vrr_stack+133424);

 /*--- compute (h0|i0)^5 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+133235, r12vrr_stack+12612, r12vrr_stack+195745, r12vrr_stack+50328, r12vrr_stack+52224, r12vrr_stack+4083);

 /*--- compute (i0|i0)^4 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+133823, r12vrr_stack+197446, r12vrr_stack+133235, r12vrr_stack+38459, r12vrr_stack+12612, r12vrr_stack+4398);

 /*--- compute (k0|i0)^3 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+198034, r12vrr_stack+133823, r12vrr_stack+140711, r12vrr_stack+197446, r12vrr_stack+64901);

 /*--- compute (l0|i0)^2 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+196165, r12vrr_stack+198818, r12vrr_stack+4083, r12vrr_stack+141299, r12vrr_stack+198034, r12vrr_stack+65489);

 /*--- compute (m0|i0)^1 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+199826, r12vrr_stack+196165, r12vrr_stack+142083, r12vrr_stack+198818, r12vrr_stack+135245);

 /*--- compute (n0|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+134607, r12vrr_stack+92425, r12vrr_stack+64901, r12vrr_stack+9601, r12vrr_stack+199826, r12vrr_stack+84611);
 tmp = r12vrr_stack + 134607;
 target_ptr = Libr12->gvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^9 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+84611, r12vrr_stack+28493, r12vrr_stack+39007, NULL, NULL, r12vrr_stack+28465);

 /*--- compute (d0|k0)^8 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+84719, r12vrr_stack+8082, r12vrr_stack+84611, r12vrr_stack+19219, r12vrr_stack+28493, r12vrr_stack+83395);

 /*--- compute (f0|k0)^7 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+112689, r12vrr_stack+93965, r12vrr_stack+84719, r12vrr_stack+1864, r12vrr_stack+8082, r12vrr_stack+83479);

 /*--- compute (g0|k0)^6 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+84935, r12vrr_stack+2676, r12vrr_stack+112689, r12vrr_stack+55553, r12vrr_stack+93965, r12vrr_stack+83647);

 /*--- compute (h0|k0)^5 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+85475, r12vrr_stack+201086, r12vrr_stack+84935, r12vrr_stack+7141, r12vrr_stack+2676, r12vrr_stack+195745);

 /*--- compute (i0|k0)^4 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+86231, r12vrr_stack+201626, r12vrr_stack+85475, r12vrr_stack+84071, r12vrr_stack+201086, r12vrr_stack+133235);

 /*--- compute (k0|k0)^3 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+197425, r12vrr_stack+202382, r12vrr_stack+86231, r12vrr_stack+143091, r12vrr_stack+201626, r12vrr_stack+133823);

 /*--- compute (l0|k0)^2 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+198721, r12vrr_stack+203390, r12vrr_stack+197425, r12vrr_stack+143847, r12vrr_stack+202382, r12vrr_stack+4083);

 /*--- compute (m0|k0)^1 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+200341, r12vrr_stack+204686, r12vrr_stack+198721, r12vrr_stack+144855, r12vrr_stack+203390, r12vrr_stack+196165);

 /*--- compute (n0|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+139955, r12vrr_stack+95225, r12vrr_stack+200341, r12vrr_stack+16149, r12vrr_stack+204686, r12vrr_stack+64901);
 tmp = r12vrr_stack + 139955;
 target_ptr = Libr12->gvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^9 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+120282, r12vrr_stack+39043, r12vrr_stack+28413, NULL, NULL, r12vrr_stack+39007);

 /*--- compute (d0|l0)^8 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+97205, r12vrr_stack+120282, r12vrr_stack+1707, r12vrr_stack+39043, r12vrr_stack+84611);

 /*--- compute (f0|l0)^7 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+65171, r12vrr_stack+8190, r12vrr_stack+64901, r12vrr_stack+17769, r12vrr_stack+97205, r12vrr_stack+84719);

 /*--- compute (g0|l0)^6 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+65621, r12vrr_stack+7501, r12vrr_stack+65171, r12vrr_stack+37907, r12vrr_stack+8190, r12vrr_stack+112689);

 /*--- compute (h0|l0)^5 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4083, r12vrr_stack+206306, r12vrr_stack+65621, r12vrr_stack+19464, r12vrr_stack+7501, r12vrr_stack+84935);

 /*--- compute (i0|l0)^4 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+133235, r12vrr_stack+206981, r12vrr_stack+4083, r12vrr_stack+146151, r12vrr_stack+206306, r12vrr_stack+85475);

 /*--- compute (k0|l0)^3 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+195745, r12vrr_stack+207926, r12vrr_stack+133235, r12vrr_stack+146826, r12vrr_stack+206981, r12vrr_stack+86231);

 /*--- compute (l0|l0)^2 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+83395, r12vrr_stack+209186, r12vrr_stack+195745, r12vrr_stack+147771, r12vrr_stack+207926, r12vrr_stack+197425);

 /*--- compute (m0|l0)^1 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+202321, r12vrr_stack+210806, r12vrr_stack+83395, r12vrr_stack+149031, r12vrr_stack+209186, r12vrr_stack+198721);

 /*--- compute (n0|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+197365, r12vrr_stack+98825, r12vrr_stack+202321, r12vrr_stack+23889, r12vrr_stack+210806, r12vrr_stack+200341);
 tmp = r12vrr_stack + 197365;
 target_ptr = Libr12->gvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^9 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19464, r12vrr_stack+51634, r12vrr_stack+54003, NULL, NULL, r12vrr_stack+28413);

 /*--- compute (d0|m0)^8 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19629, r12vrr_stack+101300, r12vrr_stack+19464, r12vrr_stack+2144, r12vrr_stack+51634, r12vrr_stack+120282);

 /*--- compute (f0|m0)^7 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28413, r12vrr_stack+13953, r12vrr_stack+19629, r12vrr_stack+25914, r12vrr_stack+101300, r12vrr_stack+64901);

 /*--- compute (g0|m0)^6 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+200335, r12vrr_stack+212831, r12vrr_stack+28413, r12vrr_stack+28017, r12vrr_stack+13953, r12vrr_stack+65171);

 /*--- compute (h0|m0)^5 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+201160, r12vrr_stack+213381, r12vrr_stack+200335, r12vrr_stack+150651, r12vrr_stack+212831, r12vrr_stack+65621);

 /*--- compute (i0|m0)^4 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+214206, r12vrr_stack+201160, r12vrr_stack+151201, r12vrr_stack+213381, r12vrr_stack+4083);

 /*--- compute (k0|m0)^3 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+85420, r12vrr_stack+215361, r12vrr_stack+64901, r12vrr_stack+152026, r12vrr_stack+214206, r12vrr_stack+133235);

 /*--- compute (l0|m0)^2 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+204796, r12vrr_stack+216901, r12vrr_stack+85420, r12vrr_stack+153181, r12vrr_stack+215361, r12vrr_stack+195745);

 /*--- compute (m0|m0)^1 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+207271, r12vrr_stack+218881, r12vrr_stack+204796, r12vrr_stack+154721, r12vrr_stack+216901, r12vrr_stack+83395);

 /*--- compute (n0|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+210296, r12vrr_stack+103325, r12vrr_stack+207271, r12vrr_stack+33429, r12vrr_stack+218881, r12vrr_stack+202321);
 tmp = r12vrr_stack + 210296;
 target_ptr = Libr12->gvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^9 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+83395, r12vrr_stack+54058, r12vrr_stack+28347, NULL, NULL, r12vrr_stack+54003);

 /*--- compute (d0|n0)^8 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+83593, r12vrr_stack+106350, r12vrr_stack+83395, r12vrr_stack+51689, r12vrr_stack+54058, r12vrr_stack+19464);

 /*--- compute (f0|n0)^7 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+83989, r12vrr_stack+21144, r12vrr_stack+83593, r12vrr_stack+35904, r12vrr_stack+106350, r12vrr_stack+19629);

 /*--- compute (g0|n0)^6 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+195745, r12vrr_stack+21540, r12vrr_stack+83989, r12vrr_stack+20004, r12vrr_stack+21144, r12vrr_stack+28413);

 /*--- compute (h0|n0)^5 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+202315, r12vrr_stack+221356, r12vrr_stack+195745, r12vrr_stack+156701, r12vrr_stack+21540, r12vrr_stack+200335);

 /*--- compute (i0|n0)^4 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+213926, r12vrr_stack+222346, r12vrr_stack+202315, r12vrr_stack+157361, r12vrr_stack+221356, r12vrr_stack+201160);

 /*--- compute (k0|n0)^3 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+215774, r12vrr_stack+223732, r12vrr_stack+213926, r12vrr_stack+158351, r12vrr_stack+222346, r12vrr_stack+64901);

 /*--- compute (l0|n0)^2 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+218150, r12vrr_stack+225580, r12vrr_stack+215774, r12vrr_stack+159737, r12vrr_stack+223732, r12vrr_stack+85420);

 /*--- compute (m0|n0)^1 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+221120, r12vrr_stack+227956, r12vrr_stack+218150, r12vrr_stack+161585, r12vrr_stack+225580, r12vrr_stack+204796);

 /*--- compute (n0|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+142331, r12vrr_stack+108825, r12vrr_stack+221120, r12vrr_stack+44957, r12vrr_stack+227956, r12vrr_stack+207271);
 tmp = r12vrr_stack + 142331;
 target_ptr = Libr12->gvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^9 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+62247, r12vrr_stack+2199, NULL, NULL, r12vrr_stack+28347);

 /*--- compute (d0|o0)^8 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+65135, r12vrr_stack+112455, r12vrr_stack+64901, r12vrr_stack+54124, r12vrr_stack+62247, r12vrr_stack+83395);

 /*--- compute (f0|o0)^7 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+65603, r12vrr_stack+30074, r12vrr_stack+65135, r12vrr_stack+47927, r12vrr_stack+112455, r12vrr_stack+83593);

 /*--- compute (g0|o0)^6 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+200335, r12vrr_stack+30542, r12vrr_stack+65603, r12vrr_stack+163961, r12vrr_stack+30074, r12vrr_stack+83989);

 /*--- compute (h0|o0)^5 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83395, r12vrr_stack+230926, r12vrr_stack+200335, r12vrr_stack+164429, r12vrr_stack+30542, r12vrr_stack+195745);

 /*--- compute (i0|o0)^4 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+85033, r12vrr_stack+232096, r12vrr_stack+83395, r12vrr_stack+165209, r12vrr_stack+230926, r12vrr_stack+202315);

 /*--- compute (k0|o0)^3 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+201505, r12vrr_stack+233734, r12vrr_stack+85033, r12vrr_stack+166379, r12vrr_stack+232096, r12vrr_stack+213926);

 /*--- compute (l0|o0)^2 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+204313, r12vrr_stack+235918, r12vrr_stack+201505, r12vrr_stack+168017, r12vrr_stack+233734, r12vrr_stack+215774);

 /*--- compute (m0|o0)^1 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+224750, r12vrr_stack+238726, r12vrr_stack+204313, r12vrr_stack+170201, r12vrr_stack+235918, r12vrr_stack+218150);

 /*--- compute (n0|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+213926, r12vrr_stack+115425, r12vrr_stack+224750, r12vrr_stack+58661, r12vrr_stack+238726, r12vrr_stack+221120);
 tmp = r12vrr_stack + 213926;
 target_ptr = Libr12->gvrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^21 ---*/
 _BUILD_00p0(Data,r12vrr_stack+219074, Data->F+21, Data->F+22, NULL, NULL, NULL);

 /*--- compute (00|d0)^20 ---*/
 _BUILD_00d0(Data,r12vrr_stack+219077, r12vrr_stack+21, r12vrr_stack+219074, Data->F+20, Data->F+21, NULL);

 /*--- compute (00|f0)^19 ---*/
 _BUILD_00f0(Data,r12vrr_stack+219083, r12vrr_stack+119715, r12vrr_stack+219077, r12vrr_stack+62171, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^18 ---*/
 _BUILD_00g0(Data,r12vrr_stack+219093, r12vrr_stack+738, r12vrr_stack+219083, r12vrr_stack+62174, r12vrr_stack+119715, NULL);

 /*--- compute (00|h0)^17 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+219108, r12vrr_stack+119721, r12vrr_stack+219093, r12vrr_stack+62180, r12vrr_stack+738, NULL);

 /*--- compute (00|i0)^16 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+62689, r12vrr_stack+1686, r12vrr_stack+219108, r12vrr_stack+748, r12vrr_stack+119721, NULL);

 /*--- compute (00|k0)^15 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+219074, r12vrr_stack+1640, r12vrr_stack+62689, r12vrr_stack+62190, r12vrr_stack+1686, NULL);

 /*--- compute (00|l0)^14 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+219110, r12vrr_stack+94181, r12vrr_stack+219074, r12vrr_stack+10861, r12vrr_stack+1640, NULL);

 /*--- compute (00|m0)^13 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+19959, r12vrr_stack+219110, r12vrr_stack+62211, r12vrr_stack+94181, NULL);

 /*--- compute (00|n0)^12 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1695, r12vrr_stack+51579, r12vrr_stack+1640, r12vrr_stack+316, r12vrr_stack+19959, NULL);

 /*--- compute (00|o0)^11 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+219074, r12vrr_stack+53903, r12vrr_stack+1695, r12vrr_stack+51524, r12vrr_stack+51579, NULL);

 /*--- compute (00|q0)^10 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+2199, r12vrr_stack+219074, r12vrr_stack+28347, r12vrr_stack+53903, NULL);

 /*--- compute (p0|q0)^9 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+53903, r12vrr_stack+12306, r12vrr_stack+1640, NULL, NULL, r12vrr_stack+2199);

 /*--- compute (d0|q0)^8 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+54176, r12vrr_stack+8460, r12vrr_stack+53903, r12vrr_stack+62325, r12vrr_stack+12306, r12vrr_stack+64901);

 /*--- compute (f0|q0)^7 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+54722, r12vrr_stack+119736, r12vrr_stack+54176, r12vrr_stack+62416, r12vrr_stack+8460, r12vrr_stack+65135);

 /*--- compute (g0|q0)^6 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+219074, r12vrr_stack+40931, r12vrr_stack+54722, r12vrr_stack+173009, r12vrr_stack+119736, r12vrr_stack+65603);

 /*--- compute (h0|q0)^5 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+53903, r12vrr_stack+242236, r12vrr_stack+219074, r12vrr_stack+173555, r12vrr_stack+40931, r12vrr_stack+200335);

 /*--- compute (i0|q0)^4 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+219074, r12vrr_stack+243601, r12vrr_stack+53903, r12vrr_stack+174465, r12vrr_stack+242236, r12vrr_stack+83395);

 /*--- compute (k0|q0)^3 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+229040, r12vrr_stack+245512, r12vrr_stack+219074, r12vrr_stack+175830, r12vrr_stack+243601, r12vrr_stack+85033);

 /*--- compute (l0|q0)^2 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+219074, r12vrr_stack+248060, r12vrr_stack+229040, r12vrr_stack+177741, r12vrr_stack+245512, r12vrr_stack+201505);

 /*--- compute (m0|q0)^1 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+229040, r12vrr_stack+123225, r12vrr_stack+219074, r12vrr_stack+180289, r12vrr_stack+248060, r12vrr_stack+204313);

 /*--- compute (n0|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+234045, r12vrr_stack+251336, r12vrr_stack+229040, r12vrr_stack+74729, r12vrr_stack+123225, r12vrr_stack+224750);

 /*--- compute (00|r0)^9 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+219074, r12vrr_stack+12306, r12vrr_stack+1640, r12vrr_stack+62247, r12vrr_stack+2199, NULL);

 /*--- compute (p0|r0)^8 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+25914, r12vrr_stack+127320, r12vrr_stack+219074, NULL, NULL, r12vrr_stack+12306);

 /*--- compute (d0|r0)^7 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+219074, r12vrr_stack+127425, r12vrr_stack+25914, r12vrr_stack+78824, r12vrr_stack+127320, r12vrr_stack+8460);

 /*--- compute (f0|r0)^6 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+219704, r12vrr_stack+127740, r12vrr_stack+219074, r12vrr_stack+78929, r12vrr_stack+127425, r12vrr_stack+119736);

 /*--- compute (g0|r0)^5 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+220754, r12vrr_stack+128370, r12vrr_stack+219704, r12vrr_stack+183565, r12vrr_stack+127740, r12vrr_stack+40931);

 /*--- compute (h0|r0)^4 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+222329, r12vrr_stack+256341, r12vrr_stack+220754, r12vrr_stack+184195, r12vrr_stack+128370, r12vrr_stack+242236);

 /*--- compute (i0|r0)^3 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+219074, r12vrr_stack+257916, r12vrr_stack+222329, r12vrr_stack+185245, r12vrr_stack+256341, r12vrr_stack+243601);

 /*--- compute (k0|r0)^2 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+222014, r12vrr_stack+260121, r12vrr_stack+219074, r12vrr_stack+186820, r12vrr_stack+257916, r12vrr_stack+245512);

 /*--- compute (l0|r0)^1 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+225794, r12vrr_stack+263061, r12vrr_stack+222014, r12vrr_stack+189025, r12vrr_stack+260121, r12vrr_stack+248060);

 /*--- compute (m0|r0)^0 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+219074, r12vrr_stack+266841, r12vrr_stack+225794, r12vrr_stack+191965, r12vrr_stack+263061, r12vrr_stack+123225);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+123225, &(Data->ss_r12_ss), NULL, r12vrr_stack+566, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+123228, r12vrr_stack+123225, &(Data->ss_r12_ss), r12vrr_stack+569, r12vrr_stack+566, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+123234, r12vrr_stack+123228, r12vrr_stack+123225, r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+566, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+123244, r12vrr_stack+123234, r12vrr_stack+123228, r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+569, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+123259, r12vrr_stack+123244, r12vrr_stack+123234, r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+121, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+10861, r12vrr_stack+123259, r12vrr_stack+123244, r12vrr_stack+1612, r12vrr_stack+590, r12vrr_stack+575, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+123280, r12vrr_stack+10861, NULL, r12vrr_stack+1780, r12vrr_stack+1612, NULL, r12vrr_stack+590);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+123364, r12vrr_stack+123280, r12vrr_stack+10861, r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+1612, r12vrr_stack+2277);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+123532, r12vrr_stack+123364, r12vrr_stack+123280, r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+2340);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+123812, r12vrr_stack+123532, r12vrr_stack+123364, r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+2466);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+124232, r12vrr_stack+123812, r12vrr_stack+123532, r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+3327);
 tmp = r12vrr_stack + 124232;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+124820, r12vrr_stack+124232, r12vrr_stack+123812, r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+3642);
 tmp = r12vrr_stack + 124820;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+125604, r12vrr_stack+124820, r12vrr_stack+124232, r12vrr_stack+94217, r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+6409);
 tmp = r12vrr_stack + 125604;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||i0)^0 ---*/
 _R_BUILD_l0i0(Data,r12vrr_stack+123280, r12vrr_stack+125604, r12vrr_stack+124820, r12vrr_stack+9601, r12vrr_stack+94217, r12vrr_stack+11477, r12vrr_stack+91669);
 tmp = r12vrr_stack + 123280;
 target_ptr = Libr12->rvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+124540, r12vrr_stack+10861, r12vrr_stack+123259, r12vrr_stack+6997, r12vrr_stack+1612, r12vrr_stack+590, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+124576, r12vrr_stack+124540, NULL, r12vrr_stack+7033, r12vrr_stack+6997, NULL, r12vrr_stack+1612);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+124684, r12vrr_stack+124576, r12vrr_stack+124540, r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+6997, r12vrr_stack+1780);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+124900, r12vrr_stack+124684, r12vrr_stack+124576, r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+8733);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+126612, r12vrr_stack+124900, r12vrr_stack+124684, r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+8901);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+127152, r12vrr_stack+126612, r12vrr_stack+124900, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+9181);
 tmp = r12vrr_stack + 127152;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+124576, r12vrr_stack+127152, r12vrr_stack+126612, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+10889);
 tmp = r12vrr_stack + 124576;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+127908, r12vrr_stack+124576, r12vrr_stack+127152, r12vrr_stack+97529, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+11477);
 tmp = r12vrr_stack + 127908;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||k0)^0 ---*/
 _R_BUILD_l0k0(Data,r12vrr_stack+195745, r12vrr_stack+127908, r12vrr_stack+124576, r12vrr_stack+16149, r12vrr_stack+97529, r12vrr_stack+18021, r12vrr_stack+94217);
 tmp = r12vrr_stack + 195745;
 target_ptr = Libr12->rvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+124576, r12vrr_stack+124540, r12vrr_stack+10861, r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+1612, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+124621, r12vrr_stack+124576, NULL, r12vrr_stack+12477, r12vrr_stack+12261, NULL, r12vrr_stack+6997);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+124756, r12vrr_stack+124621, r12vrr_stack+124576, r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+12261, r12vrr_stack+7033);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+7033, r12vrr_stack+124756, r12vrr_stack+124621, r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+13377);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+7483, r12vrr_stack+7033, r12vrr_stack+124756, r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+13593);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+124621, r12vrr_stack+7483, r12vrr_stack+7033, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+14853);
 tmp = r12vrr_stack + 124621;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+126612, r12vrr_stack+124621, r12vrr_stack+7483, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+15393);
 tmp = r12vrr_stack + 126612;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+7033, r12vrr_stack+126612, r12vrr_stack+124621, r12vrr_stack+101705, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+18021);
 tmp = r12vrr_stack + 7033;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||l0)^0 ---*/
 _R_BUILD_l0l0(Data,r12vrr_stack+224849, r12vrr_stack+7033, r12vrr_stack+126612, r12vrr_stack+23889, r12vrr_stack+101705, r12vrr_stack+26229, r12vrr_stack+97529);
 tmp = r12vrr_stack + 224849;
 target_ptr = Libr12->rvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+123225, r12vrr_stack+124576, r12vrr_stack+124540, r12vrr_stack+19029, r12vrr_stack+12261, r12vrr_stack+6997, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+126612, r12vrr_stack+123225, NULL, r12vrr_stack+19299, r12vrr_stack+19029, NULL, r12vrr_stack+12261);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+126777, r12vrr_stack+126612, r12vrr_stack+123225, r12vrr_stack+29194, r12vrr_stack+19299, r12vrr_stack+19029, r12vrr_stack+12477);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+127107, r12vrr_stack+126777, r12vrr_stack+126612, r12vrr_stack+29524, r12vrr_stack+29194, r12vrr_stack+19299, r12vrr_stack+20424);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+124621, r12vrr_stack+127107, r12vrr_stack+126777, r12vrr_stack+31449, r12vrr_stack+29524, r12vrr_stack+29194, r12vrr_stack+20694);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+226874, r12vrr_stack+124621, r12vrr_stack+127107, r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+29524, r12vrr_stack+22269);
 tmp = r12vrr_stack + 226874;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+228029, r12vrr_stack+226874, r12vrr_stack+124621, r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+22944);
 tmp = r12vrr_stack + 228029;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+229569, r12vrr_stack+228029, r12vrr_stack+226874, r12vrr_stack+106845, r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+26229);
 tmp = r12vrr_stack + 229569;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+231549, r12vrr_stack+229569, r12vrr_stack+228029, r12vrr_stack+33429, r12vrr_stack+106845, r12vrr_stack+36289, r12vrr_stack+101705);
 tmp = r12vrr_stack + 231549;
 target_ptr = Libr12->rvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+226874, r12vrr_stack+123225, r12vrr_stack+124576, r12vrr_stack+27489, r12vrr_stack+19029, r12vrr_stack+12261, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+226874, NULL, r12vrr_stack+27819, r12vrr_stack+27489, NULL, r12vrr_stack+19029);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12459, r12vrr_stack+12261, r12vrr_stack+226874, r12vrr_stack+39875, r12vrr_stack+27819, r12vrr_stack+27489, r12vrr_stack+19299);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12855, r12vrr_stack+12459, r12vrr_stack+12261, r12vrr_stack+40271, r12vrr_stack+39875, r12vrr_stack+27819, r12vrr_stack+29194);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13515, r12vrr_stack+12855, r12vrr_stack+12459, r12vrr_stack+42581, r12vrr_stack+40271, r12vrr_stack+39875, r12vrr_stack+29524);

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+226940, r12vrr_stack+13515, r12vrr_stack+12855, r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+40271, r12vrr_stack+31449);
 tmp = r12vrr_stack + 226940;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+256341, r12vrr_stack+226940, r12vrr_stack+13515, r12vrr_stack+48389, r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+32274);
 tmp = r12vrr_stack + 256341;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+256341, r12vrr_stack+226940, r12vrr_stack+113049, r12vrr_stack+48389, r12vrr_stack+43571, r12vrr_stack+36289);
 tmp = r12vrr_stack + 12261;
 target_ptr = Libr12->rvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+258189, r12vrr_stack+12261, r12vrr_stack+256341, r12vrr_stack+44957, r12vrr_stack+113049, r12vrr_stack+48389, r12vrr_stack+106845);
 tmp = r12vrr_stack + 258189;
 target_ptr = Libr12->rvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+256341, r12vrr_stack+226874, r12vrr_stack+123225, r12vrr_stack+37829, r12vrr_stack+27489, r12vrr_stack+19029, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+256341, NULL, r12vrr_stack+38225, r12vrr_stack+37829, NULL, r12vrr_stack+27489);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19263, r12vrr_stack+19029, r12vrr_stack+256341, r12vrr_stack+52655, r12vrr_stack+38225, r12vrr_stack+37829, r12vrr_stack+27819);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19731, r12vrr_stack+19263, r12vrr_stack+19029, r12vrr_stack+53123, r12vrr_stack+52655, r12vrr_stack+38225, r12vrr_stack+39875);

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+20511, r12vrr_stack+19731, r12vrr_stack+19263, r12vrr_stack+55853, r12vrr_stack+53123, r12vrr_stack+52655, r12vrr_stack+40271);

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+256419, r12vrr_stack+20511, r12vrr_stack+19731, r12vrr_stack+57023, r12vrr_stack+55853, r12vrr_stack+53123, r12vrr_stack+42581);
 tmp = r12vrr_stack + 256419;
 target_ptr = Libr12->rvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+226940, r12vrr_stack+256419, r12vrr_stack+20511, r12vrr_stack+62717, r12vrr_stack+57023, r12vrr_stack+55853, r12vrr_stack+43571);
 tmp = r12vrr_stack + 226940;
 target_ptr = Libr12->rvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+226940, r12vrr_stack+256419, r12vrr_stack+120417, r12vrr_stack+62717, r12vrr_stack+57023, r12vrr_stack+48389);
 tmp = r12vrr_stack + 19029;
 target_ptr = Libr12->rvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+261159, r12vrr_stack+19029, r12vrr_stack+226940, r12vrr_stack+58661, r12vrr_stack+120417, r12vrr_stack+62717, r12vrr_stack+113049);
 tmp = r12vrr_stack + 261159;
 target_ptr = Libr12->rvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+226940, r12vrr_stack+256341, r12vrr_stack+226874, r12vrr_stack+50237, r12vrr_stack+37829, r12vrr_stack+27489, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+226940, NULL, r12vrr_stack+50705, r12vrr_stack+50237, NULL, r12vrr_stack+37829);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+62171, r12vrr_stack+27489, r12vrr_stack+226940, r12vrr_stack+67722, r12vrr_stack+50705, r12vrr_stack+50237, r12vrr_stack+38225);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+37829, r12vrr_stack+62171, r12vrr_stack+27489, r12vrr_stack+68268, r12vrr_stack+67722, r12vrr_stack+50705, r12vrr_stack+52655);

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+37829, r12vrr_stack+62171, r12vrr_stack+71453, r12vrr_stack+68268, r12vrr_stack+67722, r12vrr_stack+53123);

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+28854, r12vrr_stack+27489, r12vrr_stack+37829, r12vrr_stack+72818, r12vrr_stack+71453, r12vrr_stack+68268, r12vrr_stack+55853);
 tmp = r12vrr_stack + 28854;
 target_ptr = Libr12->rvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+37829, r12vrr_stack+28854, r12vrr_stack+27489, r12vrr_stack+79461, r12vrr_stack+72818, r12vrr_stack+71453, r12vrr_stack+57023);
 tmp = r12vrr_stack + 37829;
 target_ptr = Libr12->rvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+50237, r12vrr_stack+37829, r12vrr_stack+28854, r12vrr_stack+129959, r12vrr_stack+79461, r12vrr_stack+72818, r12vrr_stack+62717);
 tmp = r12vrr_stack + 50237;
 target_ptr = Libr12->rvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+240051, r12vrr_stack+50237, r12vrr_stack+37829, r12vrr_stack+74729, r12vrr_stack+129959, r12vrr_stack+79461, r12vrr_stack+120417);
 tmp = r12vrr_stack + 240051;
 target_ptr = Libr12->rvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+37829, r12vrr_stack+10889, r12vrr_stack+15393, r12vrr_stack+11477, r12vrr_stack+6409, r12vrr_stack+3642);
 tmp = r12vrr_stack + 37829;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+38417, r12vrr_stack+15393, r12vrr_stack+22944, r12vrr_stack+18021, r12vrr_stack+11477, r12vrr_stack+10889);
 tmp = r12vrr_stack + 38417;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+39173, r12vrr_stack+22944, r12vrr_stack+32274, r12vrr_stack+26229, r12vrr_stack+18021, r12vrr_stack+15393);
 tmp = r12vrr_stack + 39173;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+40118, r12vrr_stack+32274, r12vrr_stack+43571, r12vrr_stack+36289, r12vrr_stack+26229, r12vrr_stack+22944);
 tmp = r12vrr_stack + 40118;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+27489, r12vrr_stack+43571, r12vrr_stack+57023, r12vrr_stack+48389, r12vrr_stack+36289, r12vrr_stack+32274);
 tmp = r12vrr_stack + 27489;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+28875, r12vrr_stack+57023, r12vrr_stack+72818, r12vrr_stack+62717, r12vrr_stack+48389, r12vrr_stack+43571);
 tmp = r12vrr_stack + 28875;
 target_ptr = Libr12->t2vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+53513, r12vrr_stack+72818, r12vrr_stack+89464, r12vrr_stack+79461, r12vrr_stack+62717, r12vrr_stack+57023);
 tmp = r12vrr_stack + 53513;
 target_ptr = Libr12->t2vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+41273, r12vrr_stack+11477, r12vrr_stack+18021, r12vrr_stack+94217, r12vrr_stack+91669, r12vrr_stack+6409);
 tmp = r12vrr_stack + 41273;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+226874, r12vrr_stack+18021, r12vrr_stack+26229, r12vrr_stack+97529, r12vrr_stack+94217, r12vrr_stack+11477);
 tmp = r12vrr_stack + 226874;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+227882, r12vrr_stack+26229, r12vrr_stack+36289, r12vrr_stack+101705, r12vrr_stack+97529, r12vrr_stack+18021);
 tmp = r12vrr_stack + 227882;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+256341, r12vrr_stack+36289, r12vrr_stack+48389, r12vrr_stack+106845, r12vrr_stack+101705, r12vrr_stack+26229);
 tmp = r12vrr_stack + 256341;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+264669, r12vrr_stack+48389, r12vrr_stack+62717, r12vrr_stack+113049, r12vrr_stack+106845, r12vrr_stack+36289);
 tmp = r12vrr_stack + 264669;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+244146, r12vrr_stack+62717, r12vrr_stack+79461, r12vrr_stack+120417, r12vrr_stack+113049, r12vrr_stack+48389);
 tmp = r12vrr_stack + 244146;
 target_ptr = Libr12->t2vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+246330, r12vrr_stack+79461, r12vrr_stack+137015, r12vrr_stack+129959, r12vrr_stack+120417, r12vrr_stack+62717);
 tmp = r12vrr_stack + 246330;
 target_ptr = Libr12->t2vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+126612, r12vrr_stack+94217, r12vrr_stack+97529, r12vrr_stack+9601, r12vrr_stack+5271, r12vrr_stack+91669);
 tmp = r12vrr_stack + 126612;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+248878, r12vrr_stack+97529, r12vrr_stack+101705, r12vrr_stack+16149, r12vrr_stack+9601, r12vrr_stack+94217);
 tmp = r12vrr_stack + 248878;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+83395, r12vrr_stack+101705, r12vrr_stack+106845, r12vrr_stack+23889, r12vrr_stack+16149, r12vrr_stack+97529);
 tmp = r12vrr_stack + 83395;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+85015, r12vrr_stack+106845, r12vrr_stack+113049, r12vrr_stack+33429, r12vrr_stack+23889, r12vrr_stack+101705);
 tmp = r12vrr_stack + 85015;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+200335, r12vrr_stack+113049, r12vrr_stack+120417, r12vrr_stack+44957, r12vrr_stack+33429, r12vrr_stack+106845);
 tmp = r12vrr_stack + 200335;
 target_ptr = Libr12->t2vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+202711, r12vrr_stack+120417, r12vrr_stack+129959, r12vrr_stack+58661, r12vrr_stack+44957, r12vrr_stack+113049);
 tmp = r12vrr_stack + 202711;
 target_ptr = Libr12->t2vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+205519, r12vrr_stack+129959, r12vrr_stack+191965, r12vrr_stack+74729, r12vrr_stack+58661, r12vrr_stack+120417);
 tmp = r12vrr_stack + 205519;
 target_ptr = Libr12->t2vrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+208795, r12vrr_stack+9601, r12vrr_stack+16149, r12vrr_stack+92425, r12vrr_stack+66446, r12vrr_stack+5271);
 tmp = r12vrr_stack + 208795;
 target_ptr = Libr12->t2vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+146687, r12vrr_stack+16149, r12vrr_stack+23889, r12vrr_stack+95225, r12vrr_stack+92425, r12vrr_stack+9601);
 tmp = r12vrr_stack + 146687;
 target_ptr = Libr12->t2vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+148307, r12vrr_stack+23889, r12vrr_stack+33429, r12vrr_stack+98825, r12vrr_stack+95225, r12vrr_stack+16149);
 tmp = r12vrr_stack + 148307;
 target_ptr = Libr12->t2vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+150332, r12vrr_stack+33429, r12vrr_stack+44957, r12vrr_stack+103325, r12vrr_stack+98825, r12vrr_stack+23889);
 tmp = r12vrr_stack + 150332;
 target_ptr = Libr12->t2vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+152807, r12vrr_stack+44957, r12vrr_stack+58661, r12vrr_stack+108825, r12vrr_stack+103325, r12vrr_stack+33429);
 tmp = r12vrr_stack + 152807;
 target_ptr = Libr12->t2vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+155777, r12vrr_stack+58661, r12vrr_stack+74729, r12vrr_stack+115425, r12vrr_stack+108825, r12vrr_stack+44957);
 tmp = r12vrr_stack + 155777;
 target_ptr = Libr12->t2vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+159287, r12vrr_stack+74729, r12vrr_stack+266841, r12vrr_stack+251336, r12vrr_stack+115425, r12vrr_stack+58661);
 tmp = r12vrr_stack + 159287;
 target_ptr = Libr12->t2vrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+64901, r12vrr_stack+92425, r12vrr_stack+95225, r12vrr_stack+134607, r12vrr_stack+82009, r12vrr_stack+66446);
 tmp = r12vrr_stack + 64901;
 target_ptr = Libr12->t2vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+66441, r12vrr_stack+95225, r12vrr_stack+98825, r12vrr_stack+139955, r12vrr_stack+134607, r12vrr_stack+92425);
 tmp = r12vrr_stack + 66441;
 target_ptr = Libr12->t2vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+68421, r12vrr_stack+98825, r12vrr_stack+103325, r12vrr_stack+197365, r12vrr_stack+139955, r12vrr_stack+95225);
 tmp = r12vrr_stack + 68421;
 target_ptr = Libr12->t2vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+163382, r12vrr_stack+103325, r12vrr_stack+108825, r12vrr_stack+210296, r12vrr_stack+197365, r12vrr_stack+98825);
 tmp = r12vrr_stack + 163382;
 target_ptr = Libr12->t2vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+166407, r12vrr_stack+108825, r12vrr_stack+115425, r12vrr_stack+142331, r12vrr_stack+210296, r12vrr_stack+103325);
 tmp = r12vrr_stack + 166407;
 target_ptr = Libr12->t2vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+170037, r12vrr_stack+115425, r12vrr_stack+251336, r12vrr_stack+213926, r12vrr_stack+142331, r12vrr_stack+108825);
 tmp = r12vrr_stack + 170037;
 target_ptr = Libr12->t2vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+174327, r12vrr_stack+251336, r12vrr_stack+219074, r12vrr_stack+234045, r12vrr_stack+213926, r12vrr_stack+115425);
 tmp = r12vrr_stack + 174327;
 target_ptr = Libr12->t2vrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+82009, r12vrr_stack+10889, r12vrr_stack+11477, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+9181);
 tmp = r12vrr_stack + 82009;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+91669, r12vrr_stack+15393, r12vrr_stack+18021, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+14853);
 tmp = r12vrr_stack + 91669;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+124540, r12vrr_stack+22944, r12vrr_stack+26229, r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+22269);
 tmp = r12vrr_stack + 124540;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+250174, r12vrr_stack+32274, r12vrr_stack+36289, r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+31449);
 tmp = r12vrr_stack + 250174;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+30513, r12vrr_stack+43571, r12vrr_stack+48389, r12vrr_stack+57023, r12vrr_stack+55853, r12vrr_stack+42581);
 tmp = r12vrr_stack + 30513;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+179332, r12vrr_stack+57023, r12vrr_stack+62717, r12vrr_stack+72818, r12vrr_stack+71453, r12vrr_stack+55853);
 tmp = r12vrr_stack + 179332;
 target_ptr = Libr12->t1vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+180970, r12vrr_stack+72818, r12vrr_stack+79461, r12vrr_stack+89464, r12vrr_stack+87889, r12vrr_stack+71453);
 tmp = r12vrr_stack + 180970;
 target_ptr = Libr12->t1vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+82597, r12vrr_stack+11477, r12vrr_stack+94217, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+10889);
 tmp = r12vrr_stack + 82597;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+42057, r12vrr_stack+18021, r12vrr_stack+97529, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+15393);
 tmp = r12vrr_stack + 42057;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+55424, r12vrr_stack+26229, r12vrr_stack+101705, r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+22944);
 tmp = r12vrr_stack + 55424;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+21837, r12vrr_stack+36289, r12vrr_stack+106845, r12vrr_stack+48389, r12vrr_stack+43571, r12vrr_stack+32274);
 tmp = r12vrr_stack + 21837;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+86995, r12vrr_stack+48389, r12vrr_stack+113049, r12vrr_stack+62717, r12vrr_stack+57023, r12vrr_stack+43571);
 tmp = r12vrr_stack + 86995;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+182881, r12vrr_stack+62717, r12vrr_stack+120417, r12vrr_stack+79461, r12vrr_stack+72818, r12vrr_stack+57023);
 tmp = r12vrr_stack + 182881;
 target_ptr = Libr12->t1vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+185065, r12vrr_stack+79461, r12vrr_stack+129959, r12vrr_stack+137015, r12vrr_stack+89464, r12vrr_stack+72818);
 tmp = r12vrr_stack + 185065;
 target_ptr = Libr12->t1vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+43065, r12vrr_stack+94217, r12vrr_stack+9601, r12vrr_stack+97529, r12vrr_stack+18021, r12vrr_stack+11477);
 tmp = r12vrr_stack + 43065;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31899, r12vrr_stack+97529, r12vrr_stack+16149, r12vrr_stack+101705, r12vrr_stack+26229, r12vrr_stack+18021);
 tmp = r12vrr_stack + 31899;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+56684, r12vrr_stack+101705, r12vrr_stack+23889, r12vrr_stack+106845, r12vrr_stack+36289, r12vrr_stack+26229);
 tmp = r12vrr_stack + 56684;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+88843, r12vrr_stack+106845, r12vrr_stack+33429, r12vrr_stack+113049, r12vrr_stack+48389, r12vrr_stack+36289);
 tmp = r12vrr_stack + 88843;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+70896, r12vrr_stack+113049, r12vrr_stack+44957, r12vrr_stack+120417, r12vrr_stack+62717, r12vrr_stack+48389);
 tmp = r12vrr_stack + 70896;
 target_ptr = Libr12->t1vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+187613, r12vrr_stack+120417, r12vrr_stack+58661, r12vrr_stack+129959, r12vrr_stack+79461, r12vrr_stack+62717);
 tmp = r12vrr_stack + 187613;
 target_ptr = Libr12->t1vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+129959, r12vrr_stack+74729, r12vrr_stack+191965, r12vrr_stack+137015, r12vrr_stack+79461);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17769, r12vrr_stack+9601, r12vrr_stack+92425, r12vrr_stack+16149, r12vrr_stack+97529, r12vrr_stack+94217);
 tmp = r12vrr_stack + 17769;
 target_ptr = Libr12->t1vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+62171, r12vrr_stack+16149, r12vrr_stack+95225, r12vrr_stack+23889, r12vrr_stack+101705, r12vrr_stack+97529);
 tmp = r12vrr_stack + 62171;
 target_ptr = Libr12->t1vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+78824, r12vrr_stack+23889, r12vrr_stack+98825, r12vrr_stack+33429, r12vrr_stack+106845, r12vrr_stack+101705);
 tmp = r12vrr_stack + 78824;
 target_ptr = Libr12->t1vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+136455, r12vrr_stack+33429, r12vrr_stack+103325, r12vrr_stack+44957, r12vrr_stack+113049, r12vrr_stack+106845);
 tmp = r12vrr_stack + 136455;
 target_ptr = Libr12->t1vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+271566, r12vrr_stack+44957, r12vrr_stack+108825, r12vrr_stack+58661, r12vrr_stack+120417, r12vrr_stack+113049);
 tmp = r12vrr_stack + 271566;
 target_ptr = Libr12->t1vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+274536, r12vrr_stack+58661, r12vrr_stack+115425, r12vrr_stack+74729, r12vrr_stack+129959, r12vrr_stack+120417);
 tmp = r12vrr_stack + 274536;
 target_ptr = Libr12->t1vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+278046, r12vrr_stack+74729, r12vrr_stack+251336, r12vrr_stack+266841, r12vrr_stack+191965, r12vrr_stack+129959);
 tmp = r12vrr_stack + 278046;
 target_ptr = Libr12->t1vrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+25914, r12vrr_stack+92425, r12vrr_stack+134607, r12vrr_stack+95225, r12vrr_stack+16149, r12vrr_stack+9601);
 tmp = r12vrr_stack + 25914;
 target_ptr = Libr12->t1vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+47927, r12vrr_stack+95225, r12vrr_stack+139955, r12vrr_stack+98825, r12vrr_stack+23889, r12vrr_stack+16149);
 tmp = r12vrr_stack + 47927;
 target_ptr = Libr12->t1vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+133235, r12vrr_stack+98825, r12vrr_stack+197365, r12vrr_stack+103325, r12vrr_stack+33429, r12vrr_stack+23889);
 tmp = r12vrr_stack + 133235;
 target_ptr = Libr12->t1vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+138930, r12vrr_stack+103325, r12vrr_stack+210296, r12vrr_stack+108825, r12vrr_stack+44957, r12vrr_stack+33429);
 tmp = r12vrr_stack + 138930;
 target_ptr = Libr12->t1vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+210055, r12vrr_stack+108825, r12vrr_stack+142331, r12vrr_stack+115425, r12vrr_stack+58661, r12vrr_stack+44957);
 tmp = r12vrr_stack + 210055;
 target_ptr = Libr12->t1vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+141955, r12vrr_stack+115425, r12vrr_stack+213926, r12vrr_stack+251336, r12vrr_stack+74729, r12vrr_stack+58661);
 tmp = r12vrr_stack + 141955;
 target_ptr = Libr12->t1vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+213685, r12vrr_stack+251336, r12vrr_stack+234045, r12vrr_stack+219074, r12vrr_stack+266841, r12vrr_stack+74729);
 tmp = r12vrr_stack + 213685;
 target_ptr = Libr12->t1vrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+197365, r12vrr_stack+123280, r12vrr_stack+125604, r12vrr_stack+92425, r12vrr_stack+9601, r12vrr_stack+94217, r12vrr_stack+5271);
 tmp = r12vrr_stack + 197365;
 target_ptr = Libr12->rvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+92425, r12vrr_stack+195745, r12vrr_stack+127908, r12vrr_stack+95225, r12vrr_stack+16149, r12vrr_stack+97529, r12vrr_stack+9601);
 tmp = r12vrr_stack + 92425;
 target_ptr = Libr12->rvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+94405, r12vrr_stack+224849, r12vrr_stack+7033, r12vrr_stack+98825, r12vrr_stack+23889, r12vrr_stack+101705, r12vrr_stack+16149);
 tmp = r12vrr_stack + 94405;
 target_ptr = Libr12->rvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+96880, r12vrr_stack+231549, r12vrr_stack+229569, r12vrr_stack+103325, r12vrr_stack+33429, r12vrr_stack+106845, r12vrr_stack+23889);
 tmp = r12vrr_stack + 96880;
 target_ptr = Libr12->rvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+99905, r12vrr_stack+258189, r12vrr_stack+12261, r12vrr_stack+108825, r12vrr_stack+44957, r12vrr_stack+113049, r12vrr_stack+33429);
 tmp = r12vrr_stack + 99905;
 target_ptr = Libr12->rvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+103535, r12vrr_stack+261159, r12vrr_stack+19029, r12vrr_stack+115425, r12vrr_stack+58661, r12vrr_stack+120417, r12vrr_stack+44957);
 tmp = r12vrr_stack + 103535;
 target_ptr = Libr12->rvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+107825, r12vrr_stack+240051, r12vrr_stack+50237, r12vrr_stack+251336, r12vrr_stack+74729, r12vrr_stack+129959, r12vrr_stack+58661);
 tmp = r12vrr_stack + 107825;
 target_ptr = Libr12->rvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];


}

