#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_hhhh(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+5);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+4);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+990, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+975, NULL, NULL, r12vrr_stack+274);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1110, r12vrr_stack+960, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+284);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1155, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+294);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+324);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1335, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+354);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+324, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+324, r12vrr_stack+6, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+414, r12vrr_stack+324, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+420, r12vrr_stack+81, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1485, r12vrr_stack+337, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1530, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+430);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+460);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+78, r12vrr_stack+6, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+440, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+455, r12vrr_stack+1095, r12vrr_stack+440, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+520);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1860, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+550);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2010, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+610);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2235, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+710);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2460, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+810);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+500, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+54, r12vrr_stack+0, r12vrr_stack+500, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+503, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+2775, r12vrr_stack+12, r12vrr_stack+503, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+500);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+2793, r12vrr_stack+30, r12vrr_stack+2775, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+54);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+2823, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+2841, r12vrr_stack+114, r12vrr_stack+2823, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+503);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+2877, r12vrr_stack+132, r12vrr_stack+2841, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+2775);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+2937, r12vrr_stack+204, r12vrr_stack+2877, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+2793);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+168, r12vrr_stack+93, r12vrr_stack+430, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+3027, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+2823);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+3087, r12vrr_stack+550, r12vrr_stack+3027, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+2841);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+3187, r12vrr_stack+610, r12vrr_stack+3087, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+2877);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+3337, r12vrr_stack+810, r12vrr_stack+3187, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+2937);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+198, r12vrr_stack+6, r12vrr_stack+3, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+710, r12vrr_stack+414, r12vrr_stack+198, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+720, r12vrr_stack+430, r12vrr_stack+710, r12vrr_stack+87, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+735, r12vrr_stack+440, r12vrr_stack+720, NULL, NULL, r12vrr_stack+430);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+3547, r12vrr_stack+455, r12vrr_stack+735, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+168);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3637, r12vrr_stack+1770, r12vrr_stack+3547, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+3027);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3787, r12vrr_stack+1860, r12vrr_stack+3637, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+3087);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4012, r12vrr_stack+2010, r12vrr_stack+3787, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+3187);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4327, r12vrr_stack+2460, r12vrr_stack+4012, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+3337);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+780, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+294, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4747, r12vrr_stack+780, r12vrr_stack+352, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4810, r12vrr_stack+294, r12vrr_stack+780, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4873, r12vrr_stack+4810, r12vrr_stack+4747, r12vrr_stack+294, r12vrr_stack+780, r12vrr_stack+1110);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4999, r12vrr_stack+1110, r12vrr_stack+294, NULL, NULL, r12vrr_stack+975);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5062, r12vrr_stack+4999, r12vrr_stack+4810, r12vrr_stack+1110, r12vrr_stack+294, r12vrr_stack+990);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+990, r12vrr_stack+440, r12vrr_stack+720, r12vrr_stack+93, r12vrr_stack+430, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5188, r12vrr_stack+352, r12vrr_stack+990, NULL, NULL, r12vrr_stack+440);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5251, r12vrr_stack+4747, r12vrr_stack+5188, r12vrr_stack+780, r12vrr_stack+352, r12vrr_stack+455);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5377, r12vrr_stack+4873, r12vrr_stack+5251, r12vrr_stack+4810, r12vrr_stack+4747, r12vrr_stack+1770);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5587, r12vrr_stack+5062, r12vrr_stack+4873, r12vrr_stack+4999, r12vrr_stack+4810, r12vrr_stack+1155);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5797, r12vrr_stack+5587, r12vrr_stack+5377, r12vrr_stack+5062, r12vrr_stack+4873, r12vrr_stack+1860);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1011, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+327, r12vrr_stack+420, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1131, r12vrr_stack+1011, r12vrr_stack+1110, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6112, r12vrr_stack+1131, r12vrr_stack+4999, r12vrr_stack+1011, r12vrr_stack+1110, r12vrr_stack+1050);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6238, r12vrr_stack+6112, r12vrr_stack+5062, r12vrr_stack+1131, r12vrr_stack+4999, r12vrr_stack+1245);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6448, r12vrr_stack+6238, r12vrr_stack+5587, r12vrr_stack+6112, r12vrr_stack+5062, r12vrr_stack+1335);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1032, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+1032, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1050, r12vrr_stack+710, r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+198, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1065, r12vrr_stack+720, r12vrr_stack+1050, r12vrr_stack+430, r12vrr_stack+710, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1194, r12vrr_stack+990, r12vrr_stack+1065, NULL, NULL, r12vrr_stack+720);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1257, r12vrr_stack+5188, r12vrr_stack+1194, r12vrr_stack+352, r12vrr_stack+990, r12vrr_stack+735);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6763, r12vrr_stack+5251, r12vrr_stack+1257, r12vrr_stack+4747, r12vrr_stack+5188, r12vrr_stack+3547);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6973, r12vrr_stack+5377, r12vrr_stack+6763, r12vrr_stack+4873, r12vrr_stack+5251, r12vrr_stack+3637);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7288, r12vrr_stack+5797, r12vrr_stack+6973, r12vrr_stack+5587, r12vrr_stack+5377, r12vrr_stack+3787);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7729, r12vrr_stack+6448, r12vrr_stack+5797, r12vrr_stack+6238, r12vrr_stack+5587, r12vrr_stack+2010);
 tmp = r12vrr_stack + 7729;
 target_ptr = Libr12->gvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8170, r12vrr_stack+7729, r12vrr_stack+7288, r12vrr_stack+6448, r12vrr_stack+5797, r12vrr_stack+4012);
 tmp = r12vrr_stack + 8170;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1383, r12vrr_stack+780, r12vrr_stack+352, r12vrr_stack+960, r12vrr_stack+1095, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1411, r12vrr_stack+294, r12vrr_stack+780, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8758, r12vrr_stack+1411, r12vrr_stack+1383, NULL, NULL, r12vrr_stack+780);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1439, r12vrr_stack+1110, r12vrr_stack+294, r12vrr_stack+1035, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8842, r12vrr_stack+1439, r12vrr_stack+1411, NULL, NULL, r12vrr_stack+294);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+352, r12vrr_stack+990, r12vrr_stack+1095, r12vrr_stack+440, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8926, r12vrr_stack+1383, r12vrr_stack+960, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9010, r12vrr_stack+8758, r12vrr_stack+8926, r12vrr_stack+1411, r12vrr_stack+1383, r12vrr_stack+4747);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9178, r12vrr_stack+8842, r12vrr_stack+8758, r12vrr_stack+1439, r12vrr_stack+1411, r12vrr_stack+4810);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9346, r12vrr_stack+9178, r12vrr_stack+9010, r12vrr_stack+8842, r12vrr_stack+8758, r12vrr_stack+4873);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4747, r12vrr_stack+1011, r12vrr_stack+1110, r12vrr_stack+337, r12vrr_stack+1035, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4775, r12vrr_stack+4747, r12vrr_stack+1439, NULL, NULL, r12vrr_stack+1110);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9626, r12vrr_stack+4775, r12vrr_stack+8842, r12vrr_stack+4747, r12vrr_stack+1439, r12vrr_stack+4999);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9794, r12vrr_stack+9626, r12vrr_stack+9178, r12vrr_stack+4775, r12vrr_stack+8842, r12vrr_stack+5062);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4859, r12vrr_stack+990, r12vrr_stack+1065, r12vrr_stack+440, r12vrr_stack+720, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4887, r12vrr_stack+960, r12vrr_stack+4859, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+4971, r12vrr_stack+8926, r12vrr_stack+4887, r12vrr_stack+1383, r12vrr_stack+960, r12vrr_stack+5188);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10074, r12vrr_stack+9010, r12vrr_stack+4971, r12vrr_stack+8758, r12vrr_stack+8926, r12vrr_stack+5251);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10354, r12vrr_stack+9346, r12vrr_stack+10074, r12vrr_stack+9178, r12vrr_stack+9010, r12vrr_stack+5377);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10774, r12vrr_stack+9794, r12vrr_stack+9346, r12vrr_stack+9626, r12vrr_stack+9178, r12vrr_stack+5587);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11194, r12vrr_stack+10774, r12vrr_stack+10354, r12vrr_stack+9794, r12vrr_stack+9346, r12vrr_stack+5797);
 tmp = r12vrr_stack + 11194;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+5587, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+5590, r12vrr_stack+1032, r12vrr_stack+5587, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+5596, r12vrr_stack+48, r12vrr_stack+5590, r12vrr_stack+3, r12vrr_stack+1032, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+5596, r12vrr_stack+198, r12vrr_stack+48, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5606, r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+710, r12vrr_stack+420, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5627, r12vrr_stack+1065, r12vrr_stack+5606, r12vrr_stack+720, r12vrr_stack+1050, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5655, r12vrr_stack+4859, r12vrr_stack+5627, NULL, NULL, r12vrr_stack+1065);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11782, r12vrr_stack+4887, r12vrr_stack+5655, r12vrr_stack+960, r12vrr_stack+4859, r12vrr_stack+1194);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11950, r12vrr_stack+4971, r12vrr_stack+11782, r12vrr_stack+8926, r12vrr_stack+4887, r12vrr_stack+1257);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12230, r12vrr_stack+10074, r12vrr_stack+11950, r12vrr_stack+9010, r12vrr_stack+4971, r12vrr_stack+6763);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12650, r12vrr_stack+10354, r12vrr_stack+12230, r12vrr_stack+9346, r12vrr_stack+10074, r12vrr_stack+6973);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13238, r12vrr_stack+11194, r12vrr_stack+12650, r12vrr_stack+10774, r12vrr_stack+10354, r12vrr_stack+7288);
 tmp = r12vrr_stack + 13238;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5739, r12vrr_stack+1383, r12vrr_stack+960, r12vrr_stack+780, r12vrr_stack+352, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5139, r12vrr_stack+1411, r12vrr_stack+1383, r12vrr_stack+294, r12vrr_stack+780, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14022, r12vrr_stack+5139, r12vrr_stack+5739, NULL, NULL, r12vrr_stack+1383);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+373, r12vrr_stack+1439, r12vrr_stack+1411, r12vrr_stack+1110, r12vrr_stack+294, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14130, r12vrr_stack+373, r12vrr_stack+5139, NULL, NULL, r12vrr_stack+1411);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+960, r12vrr_stack+4859, r12vrr_stack+352, r12vrr_stack+990, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14238, r12vrr_stack+5739, r12vrr_stack+264, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14346, r12vrr_stack+14022, r12vrr_stack+14238, r12vrr_stack+5139, r12vrr_stack+5739, r12vrr_stack+8926);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14562, r12vrr_stack+14130, r12vrr_stack+14022, r12vrr_stack+373, r12vrr_stack+5139, r12vrr_stack+8758);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14778, r12vrr_stack+14562, r12vrr_stack+14346, r12vrr_stack+14130, r12vrr_stack+14022, r12vrr_stack+9010);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8758, r12vrr_stack+4747, r12vrr_stack+1439, r12vrr_stack+1011, r12vrr_stack+1110, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8926, r12vrr_stack+8758, r12vrr_stack+373, NULL, NULL, r12vrr_stack+1439);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15138, r12vrr_stack+8926, r12vrr_stack+14130, r12vrr_stack+8758, r12vrr_stack+373, r12vrr_stack+8842);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15354, r12vrr_stack+15138, r12vrr_stack+14562, r12vrr_stack+8926, r12vrr_stack+14130, r12vrr_stack+9178);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8794, r12vrr_stack+4859, r12vrr_stack+5627, r12vrr_stack+990, r12vrr_stack+1065, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9034, r12vrr_stack+264, r12vrr_stack+8794, NULL, NULL, r12vrr_stack+4859);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15714, r12vrr_stack+14238, r12vrr_stack+9034, r12vrr_stack+5739, r12vrr_stack+264, r12vrr_stack+4887);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15930, r12vrr_stack+14346, r12vrr_stack+15714, r12vrr_stack+14022, r12vrr_stack+14238, r12vrr_stack+4971);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16290, r12vrr_stack+14778, r12vrr_stack+15930, r12vrr_stack+14562, r12vrr_stack+14346, r12vrr_stack+10074);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16830, r12vrr_stack+15354, r12vrr_stack+14778, r12vrr_stack+15138, r12vrr_stack+14562, r12vrr_stack+9346);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17370, r12vrr_stack+16830, r12vrr_stack+16290, r12vrr_stack+15354, r12vrr_stack+14778, r12vrr_stack+10354);
 tmp = r12vrr_stack + 17370;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+8830, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+8833, r12vrr_stack+5587, r12vrr_stack+8830, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+8839, r12vrr_stack+5590, r12vrr_stack+8833, r12vrr_stack+1032, r12vrr_stack+5587, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+8849, r12vrr_stack+5596, r12vrr_stack+8839, r12vrr_stack+48, r12vrr_stack+5590, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+1035, r12vrr_stack+8849, r12vrr_stack+420, r12vrr_stack+5596, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8864, r12vrr_stack+5606, r12vrr_stack+352, r12vrr_stack+1050, r12vrr_stack+1035, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9142, r12vrr_stack+5627, r12vrr_stack+8864, r12vrr_stack+1065, r12vrr_stack+5606, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9178, r12vrr_stack+8794, r12vrr_stack+9142, NULL, NULL, r12vrr_stack+5627);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9286, r12vrr_stack+9034, r12vrr_stack+9178, r12vrr_stack+264, r12vrr_stack+8794, r12vrr_stack+5655);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18126, r12vrr_stack+15714, r12vrr_stack+9286, r12vrr_stack+14238, r12vrr_stack+9034, r12vrr_stack+11782);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18486, r12vrr_stack+15930, r12vrr_stack+18126, r12vrr_stack+14346, r12vrr_stack+15714, r12vrr_stack+11950);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19026, r12vrr_stack+16290, r12vrr_stack+18486, r12vrr_stack+14778, r12vrr_stack+15930, r12vrr_stack+12230);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19782, r12vrr_stack+17370, r12vrr_stack+19026, r12vrr_stack+16830, r12vrr_stack+16290, r12vrr_stack+12650);
 tmp = r12vrr_stack + 19782;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1086, r12vrr_stack+5739, r12vrr_stack+264, r12vrr_stack+1383, r12vrr_stack+960, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9502, r12vrr_stack+5139, r12vrr_stack+5739, r12vrr_stack+1411, r12vrr_stack+1383, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20790, r12vrr_stack+9502, r12vrr_stack+1086, NULL, NULL, r12vrr_stack+5739);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9547, r12vrr_stack+373, r12vrr_stack+5139, r12vrr_stack+1439, r12vrr_stack+1411, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20925, r12vrr_stack+9547, r12vrr_stack+9502, NULL, NULL, r12vrr_stack+5139);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1383, r12vrr_stack+264, r12vrr_stack+8794, r12vrr_stack+960, r12vrr_stack+4859, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21060, r12vrr_stack+1086, r12vrr_stack+1383, NULL, NULL, r12vrr_stack+264);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21195, r12vrr_stack+20790, r12vrr_stack+21060, r12vrr_stack+9502, r12vrr_stack+1086, r12vrr_stack+14238);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21465, r12vrr_stack+20925, r12vrr_stack+20790, r12vrr_stack+9547, r12vrr_stack+9502, r12vrr_stack+14022);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21735, r12vrr_stack+21465, r12vrr_stack+21195, r12vrr_stack+20925, r12vrr_stack+20790, r12vrr_stack+14346);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14022, r12vrr_stack+8758, r12vrr_stack+373, r12vrr_stack+4747, r12vrr_stack+1439, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14238, r12vrr_stack+14022, r12vrr_stack+9547, NULL, NULL, r12vrr_stack+373);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22185, r12vrr_stack+14238, r12vrr_stack+20925, r12vrr_stack+14022, r12vrr_stack+9547, r12vrr_stack+14130);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22455, r12vrr_stack+22185, r12vrr_stack+21465, r12vrr_stack+14238, r12vrr_stack+20925, r12vrr_stack+14562);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14067, r12vrr_stack+8794, r12vrr_stack+9142, r12vrr_stack+4859, r12vrr_stack+5627, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14373, r12vrr_stack+1383, r12vrr_stack+14067, NULL, NULL, r12vrr_stack+8794);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14508, r12vrr_stack+21060, r12vrr_stack+14373, r12vrr_stack+1086, r12vrr_stack+1383, r12vrr_stack+9034);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22905, r12vrr_stack+21195, r12vrr_stack+14508, r12vrr_stack+20790, r12vrr_stack+21060, r12vrr_stack+15714);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23355, r12vrr_stack+21735, r12vrr_stack+22905, r12vrr_stack+21465, r12vrr_stack+21195, r12vrr_stack+15930);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24030, r12vrr_stack+22455, r12vrr_stack+21735, r12vrr_stack+22185, r12vrr_stack+21465, r12vrr_stack+14778);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24705, r12vrr_stack+24030, r12vrr_stack+23355, r12vrr_stack+22455, r12vrr_stack+21735, r12vrr_stack+16290);
 tmp = r12vrr_stack + 24705;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+14778, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+14781, r12vrr_stack+8830, r12vrr_stack+14778, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+14787, r12vrr_stack+8833, r12vrr_stack+14781, r12vrr_stack+5587, r12vrr_stack+8830, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+14797, r12vrr_stack+8839, r12vrr_stack+14787, r12vrr_stack+5590, r12vrr_stack+8833, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14812, r12vrr_stack+8849, r12vrr_stack+14797, r12vrr_stack+5596, r12vrr_stack+8839, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14833, r12vrr_stack+352, r12vrr_stack+14812, r12vrr_stack+1035, r12vrr_stack+8849, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14861, r12vrr_stack+8864, r12vrr_stack+14833, r12vrr_stack+5606, r12vrr_stack+352, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14897, r12vrr_stack+9142, r12vrr_stack+14861, r12vrr_stack+5627, r12vrr_stack+8864, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14942, r12vrr_stack+14067, r12vrr_stack+14897, NULL, NULL, r12vrr_stack+9142);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25650, r12vrr_stack+14373, r12vrr_stack+14942, r12vrr_stack+1383, r12vrr_stack+14067, r12vrr_stack+9178);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25920, r12vrr_stack+14508, r12vrr_stack+25650, r12vrr_stack+21060, r12vrr_stack+14373, r12vrr_stack+9286);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26370, r12vrr_stack+22905, r12vrr_stack+25920, r12vrr_stack+21195, r12vrr_stack+14508, r12vrr_stack+18126);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27045, r12vrr_stack+23355, r12vrr_stack+26370, r12vrr_stack+21735, r12vrr_stack+22905, r12vrr_stack+18486);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27990, r12vrr_stack+24705, r12vrr_stack+27045, r12vrr_stack+24030, r12vrr_stack+23355, r12vrr_stack+19026);
 tmp = r12vrr_stack + 27990;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15077, r12vrr_stack+1086, r12vrr_stack+1383, r12vrr_stack+5739, r12vrr_stack+264, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14112, r12vrr_stack+9502, r12vrr_stack+1086, r12vrr_stack+5139, r12vrr_stack+5739, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29250, r12vrr_stack+14112, r12vrr_stack+15077, NULL, NULL, r12vrr_stack+1086);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+5739, r12vrr_stack+9547, r12vrr_stack+9502, r12vrr_stack+373, r12vrr_stack+5139, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29415, r12vrr_stack+5739, r12vrr_stack+14112, NULL, NULL, r12vrr_stack+9502);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14167, r12vrr_stack+1383, r12vrr_stack+14067, r12vrr_stack+264, r12vrr_stack+8794, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29580, r12vrr_stack+15077, r12vrr_stack+14167, NULL, NULL, r12vrr_stack+1383);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29745, r12vrr_stack+29250, r12vrr_stack+29580, r12vrr_stack+14112, r12vrr_stack+15077, r12vrr_stack+21060);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30075, r12vrr_stack+29415, r12vrr_stack+29250, r12vrr_stack+5739, r12vrr_stack+14112, r12vrr_stack+20790);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30405, r12vrr_stack+30075, r12vrr_stack+29745, r12vrr_stack+29415, r12vrr_stack+29250, r12vrr_stack+21195);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20790, r12vrr_stack+14022, r12vrr_stack+9547, r12vrr_stack+8758, r12vrr_stack+373, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21060, r12vrr_stack+20790, r12vrr_stack+5739, NULL, NULL, r12vrr_stack+9547);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30955, r12vrr_stack+21060, r12vrr_stack+29415, r12vrr_stack+20790, r12vrr_stack+5739, r12vrr_stack+20925);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31285, r12vrr_stack+30955, r12vrr_stack+30075, r12vrr_stack+21060, r12vrr_stack+29415, r12vrr_stack+21465);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20845, r12vrr_stack+14067, r12vrr_stack+14897, r12vrr_stack+8794, r12vrr_stack+9142, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21225, r12vrr_stack+14167, r12vrr_stack+20845, NULL, NULL, r12vrr_stack+14067);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21390, r12vrr_stack+29580, r12vrr_stack+21225, r12vrr_stack+15077, r12vrr_stack+14167, r12vrr_stack+14373);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31835, r12vrr_stack+29745, r12vrr_stack+21390, r12vrr_stack+29250, r12vrr_stack+29580, r12vrr_stack+14508);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32385, r12vrr_stack+30405, r12vrr_stack+31835, r12vrr_stack+30075, r12vrr_stack+29745, r12vrr_stack+22905);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33210, r12vrr_stack+31285, r12vrr_stack+30405, r12vrr_stack+30955, r12vrr_stack+30075, r12vrr_stack+21735);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34035, r12vrr_stack+33210, r12vrr_stack+32385, r12vrr_stack+31285, r12vrr_stack+30405, r12vrr_stack+23355);
 tmp = r12vrr_stack + 34035;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+5794, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15132, r12vrr_stack+14778, r12vrr_stack+5794, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+373, r12vrr_stack+14781, r12vrr_stack+15132, r12vrr_stack+8830, r12vrr_stack+14778, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+383, r12vrr_stack+14787, r12vrr_stack+373, r12vrr_stack+8833, r12vrr_stack+14781, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+20900, r12vrr_stack+14797, r12vrr_stack+383, r12vrr_stack+8839, r12vrr_stack+14787, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+20921, r12vrr_stack+14812, r12vrr_stack+20900, r12vrr_stack+8849, r12vrr_stack+14797, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20949, r12vrr_stack+14833, r12vrr_stack+20921, r12vrr_stack+352, r12vrr_stack+14812, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20985, r12vrr_stack+14861, r12vrr_stack+20949, r12vrr_stack+8864, r12vrr_stack+14833, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21720, r12vrr_stack+14897, r12vrr_stack+20985, r12vrr_stack+9142, r12vrr_stack+14861, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21775, r12vrr_stack+20845, r12vrr_stack+21720, NULL, NULL, r12vrr_stack+14897);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35190, r12vrr_stack+21225, r12vrr_stack+21775, r12vrr_stack+14167, r12vrr_stack+20845, r12vrr_stack+14942);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35520, r12vrr_stack+21390, r12vrr_stack+35190, r12vrr_stack+29580, r12vrr_stack+21225, r12vrr_stack+25650);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+36070, r12vrr_stack+31835, r12vrr_stack+35520, r12vrr_stack+29745, r12vrr_stack+21390, r12vrr_stack+25920);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+36895, r12vrr_stack+32385, r12vrr_stack+36070, r12vrr_stack+30405, r12vrr_stack+31835, r12vrr_stack+26370);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38050, r12vrr_stack+34035, r12vrr_stack+36895, r12vrr_stack+33210, r12vrr_stack+32385, r12vrr_stack+27045);
 tmp = r12vrr_stack + 38050;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21940, r12vrr_stack+15077, r12vrr_stack+14167, r12vrr_stack+1086, r12vrr_stack+1383, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+22006, r12vrr_stack+14112, r12vrr_stack+15077, r12vrr_stack+9502, r12vrr_stack+1086, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39590, r12vrr_stack+22006, r12vrr_stack+21940, NULL, NULL, r12vrr_stack+15077);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+22072, r12vrr_stack+5739, r12vrr_stack+14112, r12vrr_stack+9547, r12vrr_stack+9502, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39788, r12vrr_stack+22072, r12vrr_stack+22006, NULL, NULL, r12vrr_stack+14112);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39986, r12vrr_stack+14167, r12vrr_stack+20845, r12vrr_stack+1383, r12vrr_stack+14067, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40052, r12vrr_stack+21940, r12vrr_stack+39986, NULL, NULL, r12vrr_stack+14167);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40250, r12vrr_stack+39590, r12vrr_stack+40052, r12vrr_stack+22006, r12vrr_stack+21940, r12vrr_stack+29580);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40646, r12vrr_stack+39788, r12vrr_stack+39590, r12vrr_stack+22072, r12vrr_stack+22006, r12vrr_stack+29250);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41042, r12vrr_stack+40646, r12vrr_stack+40250, r12vrr_stack+39788, r12vrr_stack+39590, r12vrr_stack+29745);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29250, r12vrr_stack+20790, r12vrr_stack+5739, r12vrr_stack+14022, r12vrr_stack+9547, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29580, r12vrr_stack+29250, r12vrr_stack+22072, NULL, NULL, r12vrr_stack+5739);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41702, r12vrr_stack+29580, r12vrr_stack+39788, r12vrr_stack+29250, r12vrr_stack+22072, r12vrr_stack+29415);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42098, r12vrr_stack+41702, r12vrr_stack+40646, r12vrr_stack+29580, r12vrr_stack+39788, r12vrr_stack+30075);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29316, r12vrr_stack+20845, r12vrr_stack+21720, r12vrr_stack+14067, r12vrr_stack+14897, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29382, r12vrr_stack+39986, r12vrr_stack+29316, NULL, NULL, r12vrr_stack+20845);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29778, r12vrr_stack+40052, r12vrr_stack+29382, r12vrr_stack+21940, r12vrr_stack+39986, r12vrr_stack+21225);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42758, r12vrr_stack+40250, r12vrr_stack+29778, r12vrr_stack+39590, r12vrr_stack+40052, r12vrr_stack+21390);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43418, r12vrr_stack+41042, r12vrr_stack+42758, r12vrr_stack+40646, r12vrr_stack+40250, r12vrr_stack+31835);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44408, r12vrr_stack+42098, r12vrr_stack+41042, r12vrr_stack+41702, r12vrr_stack+40646, r12vrr_stack+30405);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45398, r12vrr_stack+44408, r12vrr_stack+43418, r12vrr_stack+42098, r12vrr_stack+41042, r12vrr_stack+32385);
 tmp = r12vrr_stack + 45398;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+8830, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+30174, r12vrr_stack+5794, r12vrr_stack+8830, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+30180, r12vrr_stack+15132, r12vrr_stack+30174, r12vrr_stack+14778, r12vrr_stack+5794, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+30190, r12vrr_stack+373, r12vrr_stack+30180, r12vrr_stack+14781, r12vrr_stack+15132, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+383, r12vrr_stack+30190, r12vrr_stack+14787, r12vrr_stack+373, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30226, r12vrr_stack+20900, r12vrr_stack+30205, r12vrr_stack+14797, r12vrr_stack+383, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30254, r12vrr_stack+20921, r12vrr_stack+30226, r12vrr_stack+14812, r12vrr_stack+20900, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1086, r12vrr_stack+20949, r12vrr_stack+30254, r12vrr_stack+14833, r12vrr_stack+20921, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30290, r12vrr_stack+20985, r12vrr_stack+1086, r12vrr_stack+14861, r12vrr_stack+20949, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30345, r12vrr_stack+21720, r12vrr_stack+30290, r12vrr_stack+14897, r12vrr_stack+20985, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30411, r12vrr_stack+29316, r12vrr_stack+30345, NULL, NULL, r12vrr_stack+21720);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46784, r12vrr_stack+29382, r12vrr_stack+30411, r12vrr_stack+39986, r12vrr_stack+29316, r12vrr_stack+21775);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+47180, r12vrr_stack+29778, r12vrr_stack+46784, r12vrr_stack+40052, r12vrr_stack+29382, r12vrr_stack+35190);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+47840, r12vrr_stack+42758, r12vrr_stack+47180, r12vrr_stack+40250, r12vrr_stack+29778, r12vrr_stack+35520);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+48830, r12vrr_stack+43418, r12vrr_stack+47840, r12vrr_stack+41042, r12vrr_stack+42758, r12vrr_stack+36070);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+50216, r12vrr_stack+45398, r12vrr_stack+48830, r12vrr_stack+44408, r12vrr_stack+43418, r12vrr_stack+36895);
 tmp = r12vrr_stack + 50216;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30609, r12vrr_stack+21940, r12vrr_stack+39986, r12vrr_stack+15077, r12vrr_stack+14167, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30687, r12vrr_stack+22006, r12vrr_stack+21940, r12vrr_stack+14112, r12vrr_stack+15077, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52064, r12vrr_stack+30687, r12vrr_stack+30609, NULL, NULL, r12vrr_stack+21940);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30765, r12vrr_stack+22072, r12vrr_stack+22006, r12vrr_stack+5739, r12vrr_stack+14112, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52298, r12vrr_stack+30765, r12vrr_stack+30687, NULL, NULL, r12vrr_stack+22006);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+21940, r12vrr_stack+39986, r12vrr_stack+29316, r12vrr_stack+14167, r12vrr_stack+20845, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52532, r12vrr_stack+30609, r12vrr_stack+21940, NULL, NULL, r12vrr_stack+39986);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52766, r12vrr_stack+52064, r12vrr_stack+52532, r12vrr_stack+30687, r12vrr_stack+30609, r12vrr_stack+40052);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+53234, r12vrr_stack+52298, r12vrr_stack+52064, r12vrr_stack+30765, r12vrr_stack+30687, r12vrr_stack+39590);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+53702, r12vrr_stack+53234, r12vrr_stack+52766, r12vrr_stack+52298, r12vrr_stack+52064, r12vrr_stack+40250);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30687, r12vrr_stack+29250, r12vrr_stack+22072, r12vrr_stack+20790, r12vrr_stack+5739, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+39986, r12vrr_stack+30687, r12vrr_stack+30765, NULL, NULL, r12vrr_stack+22072);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+54482, r12vrr_stack+39986, r12vrr_stack+52298, r12vrr_stack+30687, r12vrr_stack+30765, r12vrr_stack+39788);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+54950, r12vrr_stack+54482, r12vrr_stack+53234, r12vrr_stack+39986, r12vrr_stack+52298, r12vrr_stack+40646);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52298, r12vrr_stack+29316, r12vrr_stack+30345, r12vrr_stack+20845, r12vrr_stack+21720, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30687, r12vrr_stack+21940, r12vrr_stack+52298, NULL, NULL, r12vrr_stack+29316);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+39590, r12vrr_stack+52532, r12vrr_stack+30687, r12vrr_stack+30609, r12vrr_stack+21940, r12vrr_stack+29382);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+40058, r12vrr_stack+52766, r12vrr_stack+39590, r12vrr_stack+52064, r12vrr_stack+52532, r12vrr_stack+29778);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+55730, r12vrr_stack+53702, r12vrr_stack+40058, r12vrr_stack+53234, r12vrr_stack+52766, r12vrr_stack+42758);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+56900, r12vrr_stack+54950, r12vrr_stack+53702, r12vrr_stack+54482, r12vrr_stack+53234, r12vrr_stack+41042);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58070, r12vrr_stack+56900, r12vrr_stack+55730, r12vrr_stack+54950, r12vrr_stack+53702, r12vrr_stack+43418);
 tmp = r12vrr_stack + 58070;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+53234, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+53237, r12vrr_stack+500, r12vrr_stack+53234, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+53243, r12vrr_stack+54, r12vrr_stack+53237, r12vrr_stack+0, r12vrr_stack+500, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+14778, r12vrr_stack+105, r12vrr_stack+78, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+60, r12vrr_stack+503, r12vrr_stack+14778, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+53234);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+21030, r12vrr_stack+2775, r12vrr_stack+60, r12vrr_stack+12, r12vrr_stack+503, r12vrr_stack+53237);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+53253, r12vrr_stack+2793, r12vrr_stack+21030, r12vrr_stack+30, r12vrr_stack+2775, r12vrr_stack+53243);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+87, r12vrr_stack+414, NULL, NULL, r12vrr_stack+78);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+53298, r12vrr_stack+2823, r12vrr_stack+9, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+14778);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+264, r12vrr_stack+2841, r12vrr_stack+53298, r12vrr_stack+114, r12vrr_stack+2823, r12vrr_stack+60);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+53334, r12vrr_stack+2877, r12vrr_stack+264, r12vrr_stack+132, r12vrr_stack+2841, r12vrr_stack+21030);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+14112, r12vrr_stack+2937, r12vrr_stack+53334, r12vrr_stack+204, r12vrr_stack+2877, r12vrr_stack+53253);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+960, r12vrr_stack+430, r12vrr_stack+710, NULL, NULL, r12vrr_stack+414);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+960, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+9);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+53424, r12vrr_stack+3027, r12vrr_stack+204, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+53298);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+53524, r12vrr_stack+3087, r12vrr_stack+53424, r12vrr_stack+550, r12vrr_stack+3027, r12vrr_stack+264);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+54482, r12vrr_stack+3187, r12vrr_stack+53524, r12vrr_stack+610, r12vrr_stack+3087, r12vrr_stack+53334);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+54692, r12vrr_stack+3337, r12vrr_stack+54482, r12vrr_stack+810, r12vrr_stack+3187, r12vrr_stack+14112);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+108, r12vrr_stack+720, r12vrr_stack+1050, NULL, NULL, r12vrr_stack+710);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+54972, r12vrr_stack+735, r12vrr_stack+108, r12vrr_stack+440, r12vrr_stack+720, r12vrr_stack+960);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+55062, r12vrr_stack+3547, r12vrr_stack+54972, r12vrr_stack+455, r12vrr_stack+735, r12vrr_stack+204);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+55212, r12vrr_stack+3637, r12vrr_stack+55062, r12vrr_stack+1770, r12vrr_stack+3547, r12vrr_stack+53424);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+40838, r12vrr_stack+3787, r12vrr_stack+55212, r12vrr_stack+1860, r12vrr_stack+3637, r12vrr_stack+53524);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+41153, r12vrr_stack+4012, r12vrr_stack+40838, r12vrr_stack+2010, r12vrr_stack+3787, r12vrr_stack+54482);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+59708, r12vrr_stack+4327, r12vrr_stack+41153, r12vrr_stack+2460, r12vrr_stack+4012, r12vrr_stack+54692);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1770, r12vrr_stack+1065, r12vrr_stack+5606, NULL, NULL, r12vrr_stack+1050);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1833, r12vrr_stack+1194, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1065, r12vrr_stack+108);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1959, r12vrr_stack+1257, r12vrr_stack+1833, r12vrr_stack+5188, r12vrr_stack+1194, r12vrr_stack+54972);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60248, r12vrr_stack+6763, r12vrr_stack+1959, r12vrr_stack+5251, r12vrr_stack+1257, r12vrr_stack+55062);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60563, r12vrr_stack+6973, r12vrr_stack+60248, r12vrr_stack+5377, r12vrr_stack+6763, r12vrr_stack+55212);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+61004, r12vrr_stack+7288, r12vrr_stack+60563, r12vrr_stack+5797, r12vrr_stack+6973, r12vrr_stack+40838);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+61592, r12vrr_stack+8170, r12vrr_stack+61004, r12vrr_stack+7729, r12vrr_stack+7288, r12vrr_stack+41153);
 tmp = r12vrr_stack + 61592;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5797, r12vrr_stack+5627, r12vrr_stack+8864, NULL, NULL, r12vrr_stack+5606);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5881, r12vrr_stack+5655, r12vrr_stack+5797, r12vrr_stack+4859, r12vrr_stack+5627, r12vrr_stack+1770);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+55437, r12vrr_stack+11782, r12vrr_stack+5881, r12vrr_stack+4887, r12vrr_stack+5655, r12vrr_stack+1833);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5139, r12vrr_stack+11950, r12vrr_stack+55437, r12vrr_stack+4971, r12vrr_stack+11782, r12vrr_stack+1959);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+62348, r12vrr_stack+12230, r12vrr_stack+5139, r12vrr_stack+10074, r12vrr_stack+11950, r12vrr_stack+60248);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+62936, r12vrr_stack+12650, r12vrr_stack+62348, r12vrr_stack+10354, r12vrr_stack+12230, r12vrr_stack+60563);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+63720, r12vrr_stack+13238, r12vrr_stack+62936, r12vrr_stack+11194, r12vrr_stack+12650, r12vrr_stack+61004);
 tmp = r12vrr_stack + 63720;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10074, r12vrr_stack+9142, r12vrr_stack+14861, NULL, NULL, r12vrr_stack+8864);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10182, r12vrr_stack+9178, r12vrr_stack+10074, r12vrr_stack+8794, r12vrr_stack+9142, r12vrr_stack+5797);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+10398, r12vrr_stack+9286, r12vrr_stack+10182, r12vrr_stack+9034, r12vrr_stack+9178, r12vrr_stack+5881);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+64728, r12vrr_stack+18126, r12vrr_stack+10398, r12vrr_stack+15714, r12vrr_stack+9286, r12vrr_stack+55437);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+65268, r12vrr_stack+18486, r12vrr_stack+64728, r12vrr_stack+15930, r12vrr_stack+18126, r12vrr_stack+5139);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+66024, r12vrr_stack+19026, r12vrr_stack+65268, r12vrr_stack+16290, r12vrr_stack+18486, r12vrr_stack+62348);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+67032, r12vrr_stack+19782, r12vrr_stack+66024, r12vrr_stack+17370, r12vrr_stack+19026, r12vrr_stack+62936);
 tmp = r12vrr_stack + 67032;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15714, r12vrr_stack+14897, r12vrr_stack+20985, NULL, NULL, r12vrr_stack+14861);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15849, r12vrr_stack+14942, r12vrr_stack+15714, r12vrr_stack+14067, r12vrr_stack+14897, r12vrr_stack+10074);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+16119, r12vrr_stack+25650, r12vrr_stack+15849, r12vrr_stack+14373, r12vrr_stack+14942, r12vrr_stack+10182);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+68328, r12vrr_stack+25920, r12vrr_stack+16119, r12vrr_stack+14508, r12vrr_stack+25650, r12vrr_stack+10398);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+69003, r12vrr_stack+26370, r12vrr_stack+68328, r12vrr_stack+22905, r12vrr_stack+25920, r12vrr_stack+64728);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+69948, r12vrr_stack+27045, r12vrr_stack+69003, r12vrr_stack+23355, r12vrr_stack+26370, r12vrr_stack+65268);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+71208, r12vrr_stack+27990, r12vrr_stack+69948, r12vrr_stack+24705, r12vrr_stack+27045, r12vrr_stack+66024);
 tmp = r12vrr_stack + 71208;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22905, r12vrr_stack+21720, r12vrr_stack+30290, NULL, NULL, r12vrr_stack+20985);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23070, r12vrr_stack+21775, r12vrr_stack+22905, r12vrr_stack+20845, r12vrr_stack+21720, r12vrr_stack+15714);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23400, r12vrr_stack+35190, r12vrr_stack+23070, r12vrr_stack+21225, r12vrr_stack+21775, r12vrr_stack+15849);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+72828, r12vrr_stack+35520, r12vrr_stack+23400, r12vrr_stack+21390, r12vrr_stack+35190, r12vrr_stack+16119);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+73653, r12vrr_stack+36070, r12vrr_stack+72828, r12vrr_stack+31835, r12vrr_stack+35520, r12vrr_stack+68328);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+74808, r12vrr_stack+36895, r12vrr_stack+73653, r12vrr_stack+32385, r12vrr_stack+36070, r12vrr_stack+69003);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+76348, r12vrr_stack+38050, r12vrr_stack+74808, r12vrr_stack+34035, r12vrr_stack+36895, r12vrr_stack+69948);
 tmp = r12vrr_stack + 76348;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+31835, r12vrr_stack+8830, r12vrr_stack+0, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+31841, r12vrr_stack+30174, r12vrr_stack+31835, r12vrr_stack+5794, r12vrr_stack+8830, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+153, r12vrr_stack+30180, r12vrr_stack+31841, r12vrr_stack+15132, r12vrr_stack+30174, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+990, r12vrr_stack+30190, r12vrr_stack+153, r12vrr_stack+373, r12vrr_stack+30180, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+53674, r12vrr_stack+30205, r12vrr_stack+990, r12vrr_stack+383, r12vrr_stack+30190, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8794, r12vrr_stack+30226, r12vrr_stack+53674, r12vrr_stack+20900, r12vrr_stack+30205, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14067, r12vrr_stack+30254, r12vrr_stack+8794, r12vrr_stack+20921, r12vrr_stack+30226, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20845, r12vrr_stack+1086, r12vrr_stack+14067, r12vrr_stack+20949, r12vrr_stack+30254, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2169, r12vrr_stack+30290, r12vrr_stack+20845, r12vrr_stack+20985, r12vrr_stack+1086, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+512, r12vrr_stack+30345, r12vrr_stack+2169, NULL, NULL, r12vrr_stack+30290);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31851, r12vrr_stack+30411, r12vrr_stack+512, r12vrr_stack+29316, r12vrr_stack+30345, r12vrr_stack+22905);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+32247, r12vrr_stack+46784, r12vrr_stack+31851, r12vrr_stack+29382, r12vrr_stack+30411, r12vrr_stack+23070);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+78328, r12vrr_stack+47180, r12vrr_stack+32247, r12vrr_stack+29778, r12vrr_stack+46784, r12vrr_stack+23400);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+79318, r12vrr_stack+47840, r12vrr_stack+78328, r12vrr_stack+42758, r12vrr_stack+47180, r12vrr_stack+72828);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+80704, r12vrr_stack+48830, r12vrr_stack+79318, r12vrr_stack+43418, r12vrr_stack+47840, r12vrr_stack+73653);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+82552, r12vrr_stack+50216, r12vrr_stack+80704, r12vrr_stack+45398, r12vrr_stack+48830, r12vrr_stack+74808);
 tmp = r12vrr_stack + 82552;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30609, r12vrr_stack+30345, r12vrr_stack+2169, r12vrr_stack+21720, r12vrr_stack+30290, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52064, r12vrr_stack+52298, r12vrr_stack+30609, NULL, NULL, r12vrr_stack+30345);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+42758, r12vrr_stack+30687, r12vrr_stack+52064, r12vrr_stack+21940, r12vrr_stack+52298, r12vrr_stack+30411);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+43226, r12vrr_stack+39590, r12vrr_stack+42758, r12vrr_stack+52532, r12vrr_stack+30687, r12vrr_stack+46784);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+84928, r12vrr_stack+40058, r12vrr_stack+43226, r12vrr_stack+52766, r12vrr_stack+39590, r12vrr_stack+47180);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+86098, r12vrr_stack+55730, r12vrr_stack+84928, r12vrr_stack+53702, r12vrr_stack+40058, r12vrr_stack+47840);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+87736, r12vrr_stack+58070, r12vrr_stack+86098, r12vrr_stack+56900, r12vrr_stack+55730, r12vrr_stack+48830);
 tmp = r12vrr_stack + 87736;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+53702, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+53705, r12vrr_stack+53234, r12vrr_stack+53702, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+373, r12vrr_stack+53237, r12vrr_stack+53705, r12vrr_stack+500, r12vrr_stack+53234, NULL);

 /*--- compute (g0|00)^4 ---*/
 _BUILD_g000(Data,r12vrr_stack+53711, r12vrr_stack+53243, r12vrr_stack+373, r12vrr_stack+54, r12vrr_stack+53237, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+53726, r12vrr_stack+78, r12vrr_stack+6, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+53735, r12vrr_stack+14778, r12vrr_stack+53726, r12vrr_stack+105, r12vrr_stack+78, r12vrr_stack+53702);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+53753, r12vrr_stack+60, r12vrr_stack+53735, r12vrr_stack+503, r12vrr_stack+14778, r12vrr_stack+53705);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+53783, r12vrr_stack+21030, r12vrr_stack+53753, r12vrr_stack+2775, r12vrr_stack+60, r12vrr_stack+373);

 /*--- compute (h0|p0)^3 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+6049, r12vrr_stack+53253, r12vrr_stack+53783, r12vrr_stack+2793, r12vrr_stack+21030, r12vrr_stack+53711);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+2775, r12vrr_stack+414, r12vrr_stack+198, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+53828, r12vrr_stack+9, r12vrr_stack+2775, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+53726);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+53864, r12vrr_stack+53298, r12vrr_stack+53828, r12vrr_stack+2823, r12vrr_stack+9, r12vrr_stack+53735);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+53924, r12vrr_stack+264, r12vrr_stack+53864, r12vrr_stack+2841, r12vrr_stack+53298, r12vrr_stack+53753);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+54014, r12vrr_stack+53334, r12vrr_stack+53924, r12vrr_stack+2877, r12vrr_stack+264, r12vrr_stack+53783);

 /*--- compute (i0|d0)^2 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+54140, r12vrr_stack+14112, r12vrr_stack+54014, r12vrr_stack+2937, r12vrr_stack+53334, r12vrr_stack+6049);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+2793, r12vrr_stack+710, r12vrr_stack+420, NULL, NULL, r12vrr_stack+198);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+2823, r12vrr_stack+960, r12vrr_stack+2793, r12vrr_stack+430, r12vrr_stack+710, r12vrr_stack+2775);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+2883, r12vrr_stack+204, r12vrr_stack+2823, r12vrr_stack+168, r12vrr_stack+960, r12vrr_stack+53828);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+54308, r12vrr_stack+53424, r12vrr_stack+2883, r12vrr_stack+3027, r12vrr_stack+204, r12vrr_stack+53864);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+21940, r12vrr_stack+53524, r12vrr_stack+54308, r12vrr_stack+3087, r12vrr_stack+53424, r12vrr_stack+53924);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+4859, r12vrr_stack+54482, r12vrr_stack+21940, r12vrr_stack+3187, r12vrr_stack+53524, r12vrr_stack+54014);

 /*--- compute (k0|f0)^1 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+44006, r12vrr_stack+54692, r12vrr_stack+4859, r12vrr_stack+3337, r12vrr_stack+54482, r12vrr_stack+54140);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+430, r12vrr_stack+1050, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2983, r12vrr_stack+108, r12vrr_stack+430, r12vrr_stack+720, r12vrr_stack+1050, r12vrr_stack+2793);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3073, r12vrr_stack+54972, r12vrr_stack+2983, r12vrr_stack+735, r12vrr_stack+108, r12vrr_stack+2823);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+720, r12vrr_stack+55062, r12vrr_stack+3073, r12vrr_stack+3547, r12vrr_stack+54972, r12vrr_stack+2883);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3223, r12vrr_stack+55212, r12vrr_stack+720, r12vrr_stack+3637, r12vrr_stack+55062, r12vrr_stack+54308);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+21225, r12vrr_stack+40838, r12vrr_stack+3223, r12vrr_stack+3787, r12vrr_stack+55212, r12vrr_stack+21940);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+52376, r12vrr_stack+41153, r12vrr_stack+21225, r12vrr_stack+4012, r12vrr_stack+40838, r12vrr_stack+4859);

 /*--- compute (l0|g0)^0 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3538, r12vrr_stack+59708, r12vrr_stack+52376, r12vrr_stack+4327, r12vrr_stack+41153, r12vrr_stack+44006);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4213, r12vrr_stack+5606, r12vrr_stack+352, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+29778, r12vrr_stack+1770, r12vrr_stack+4213, r12vrr_stack+1065, r12vrr_stack+5606, r12vrr_stack+430);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+29904, r12vrr_stack+1833, r12vrr_stack+29778, r12vrr_stack+1194, r12vrr_stack+1770, r12vrr_stack+2983);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14373, r12vrr_stack+1959, r12vrr_stack+29904, r12vrr_stack+1257, r12vrr_stack+1833, r12vrr_stack+3073);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+89920, r12vrr_stack+60248, r12vrr_stack+14373, r12vrr_stack+6763, r12vrr_stack+1959, r12vrr_stack+720);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+90361, r12vrr_stack+60563, r12vrr_stack+89920, r12vrr_stack+6973, r12vrr_stack+60248, r12vrr_stack+3223);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+90949, r12vrr_stack+61004, r12vrr_stack+90361, r12vrr_stack+7288, r12vrr_stack+60563, r12vrr_stack+21225);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6763, r12vrr_stack+61592, r12vrr_stack+90949, r12vrr_stack+8170, r12vrr_stack+61004, r12vrr_stack+52376);
 tmp = r12vrr_stack + 6763;
 target_ptr = Libr12->gvrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1194, r12vrr_stack+8864, r12vrr_stack+14833, NULL, NULL, r12vrr_stack+352);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1278, r12vrr_stack+5797, r12vrr_stack+1194, r12vrr_stack+5627, r12vrr_stack+8864, r12vrr_stack+4213);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+32907, r12vrr_stack+5881, r12vrr_stack+1278, r12vrr_stack+5655, r12vrr_stack+5797, r12vrr_stack+29778);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+91705, r12vrr_stack+55437, r12vrr_stack+32907, r12vrr_stack+11782, r12vrr_stack+5881, r12vrr_stack+29904);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+92125, r12vrr_stack+5139, r12vrr_stack+91705, r12vrr_stack+11950, r12vrr_stack+55437, r12vrr_stack+14373);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+92713, r12vrr_stack+62348, r12vrr_stack+92125, r12vrr_stack+12230, r12vrr_stack+5139, r12vrr_stack+89920);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93497, r12vrr_stack+62936, r12vrr_stack+92713, r12vrr_stack+12650, r12vrr_stack+62348, r12vrr_stack+90361);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11782, r12vrr_stack+63720, r12vrr_stack+93497, r12vrr_stack+13238, r12vrr_stack+62936, r12vrr_stack+90949);
 tmp = r12vrr_stack + 11782;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9034, r12vrr_stack+14861, r12vrr_stack+20949, NULL, NULL, r12vrr_stack+14833);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+29316, r12vrr_stack+10074, r12vrr_stack+9034, r12vrr_stack+9142, r12vrr_stack+14861, r12vrr_stack+1194);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+94505, r12vrr_stack+10182, r12vrr_stack+29316, r12vrr_stack+9178, r12vrr_stack+10074, r12vrr_stack+1278);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+94865, r12vrr_stack+10398, r12vrr_stack+94505, r12vrr_stack+9286, r12vrr_stack+10182, r12vrr_stack+32907);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+95405, r12vrr_stack+64728, r12vrr_stack+94865, r12vrr_stack+18126, r12vrr_stack+10398, r12vrr_stack+91705);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+96161, r12vrr_stack+65268, r12vrr_stack+95405, r12vrr_stack+18486, r12vrr_stack+64728, r12vrr_stack+92125);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+97169, r12vrr_stack+66024, r12vrr_stack+96161, r12vrr_stack+19026, r12vrr_stack+65268, r12vrr_stack+92713);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18126, r12vrr_stack+67032, r12vrr_stack+97169, r12vrr_stack+19782, r12vrr_stack+66024, r12vrr_stack+93497);
 tmp = r12vrr_stack + 18126;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9142, r12vrr_stack+20985, r12vrr_stack+1086, NULL, NULL, r12vrr_stack+20949);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9277, r12vrr_stack+15714, r12vrr_stack+9142, r12vrr_stack+14897, r12vrr_stack+20985, r12vrr_stack+9034);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+98465, r12vrr_stack+15849, r12vrr_stack+9277, r12vrr_stack+14942, r12vrr_stack+15714, r12vrr_stack+29316);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+98915, r12vrr_stack+16119, r12vrr_stack+98465, r12vrr_stack+25650, r12vrr_stack+15849, r12vrr_stack+94505);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+99590, r12vrr_stack+68328, r12vrr_stack+98915, r12vrr_stack+25920, r12vrr_stack+16119, r12vrr_stack+94865);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+100535, r12vrr_stack+69003, r12vrr_stack+99590, r12vrr_stack+26370, r12vrr_stack+68328, r12vrr_stack+95405);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+101795, r12vrr_stack+69948, r12vrr_stack+100535, r12vrr_stack+27045, r12vrr_stack+69003, r12vrr_stack+96161);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25650, r12vrr_stack+71208, r12vrr_stack+101795, r12vrr_stack+27990, r12vrr_stack+69948, r12vrr_stack+97169);
 tmp = r12vrr_stack + 25650;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27675, r12vrr_stack+30290, r12vrr_stack+20845, NULL, NULL, r12vrr_stack+1086);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+103415, r12vrr_stack+22905, r12vrr_stack+27675, r12vrr_stack+21720, r12vrr_stack+30290, r12vrr_stack+9142);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+103745, r12vrr_stack+23070, r12vrr_stack+103415, r12vrr_stack+21775, r12vrr_stack+22905, r12vrr_stack+9277);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+104295, r12vrr_stack+23400, r12vrr_stack+103745, r12vrr_stack+35190, r12vrr_stack+23070, r12vrr_stack+98465);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+105120, r12vrr_stack+72828, r12vrr_stack+104295, r12vrr_stack+35520, r12vrr_stack+23400, r12vrr_stack+98915);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+106275, r12vrr_stack+73653, r12vrr_stack+105120, r12vrr_stack+36070, r12vrr_stack+72828, r12vrr_stack+99590);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+107815, r12vrr_stack+74808, r12vrr_stack+106275, r12vrr_stack+36895, r12vrr_stack+73653, r12vrr_stack+100535);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35190, r12vrr_stack+76348, r12vrr_stack+107815, r12vrr_stack+38050, r12vrr_stack+74808, r12vrr_stack+101795);
 tmp = r12vrr_stack + 35190;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+37665, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+0, r12vrr_stack+37665, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+37668, r12vrr_stack+31835, r12vrr_stack+54, r12vrr_stack+8830, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+945, r12vrr_stack+31841, r12vrr_stack+37668, r12vrr_stack+30174, r12vrr_stack+31835, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7708, r12vrr_stack+153, r12vrr_stack+945, r12vrr_stack+30180, r12vrr_stack+31841, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+5559, r12vrr_stack+990, r12vrr_stack+7708, r12vrr_stack+30190, r12vrr_stack+153, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19746, r12vrr_stack+53674, r12vrr_stack+5559, r12vrr_stack+30205, r12vrr_stack+990, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37678, r12vrr_stack+8794, r12vrr_stack+19746, r12vrr_stack+30226, r12vrr_stack+53674, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37723, r12vrr_stack+14067, r12vrr_stack+37678, r12vrr_stack+30254, r12vrr_stack+8794, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37778, r12vrr_stack+20845, r12vrr_stack+37723, r12vrr_stack+1086, r12vrr_stack+14067, NULL);

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37844, r12vrr_stack+2169, r12vrr_stack+37778, NULL, NULL, r12vrr_stack+20845);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+109795, r12vrr_stack+512, r12vrr_stack+37844, r12vrr_stack+30345, r12vrr_stack+2169, r12vrr_stack+27675);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+110191, r12vrr_stack+31851, r12vrr_stack+109795, r12vrr_stack+30411, r12vrr_stack+512, r12vrr_stack+103415);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+110851, r12vrr_stack+32247, r12vrr_stack+110191, r12vrr_stack+46784, r12vrr_stack+31851, r12vrr_stack+103745);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+111841, r12vrr_stack+78328, r12vrr_stack+110851, r12vrr_stack+47180, r12vrr_stack+32247, r12vrr_stack+104295);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+113227, r12vrr_stack+79318, r12vrr_stack+111841, r12vrr_stack+47840, r12vrr_stack+78328, r12vrr_stack+105120);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+115075, r12vrr_stack+80704, r12vrr_stack+113227, r12vrr_stack+48830, r12vrr_stack+79318, r12vrr_stack+106275);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46784, r12vrr_stack+82552, r12vrr_stack+115075, r12vrr_stack+50216, r12vrr_stack+80704, r12vrr_stack+107815);
 tmp = r12vrr_stack + 46784;
 target_ptr = Libr12->gvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+49754, r12vrr_stack+2169, r12vrr_stack+37778, r12vrr_stack+30290, r12vrr_stack+20845, NULL);

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+49832, r12vrr_stack+30609, r12vrr_stack+49754, NULL, NULL, r12vrr_stack+2169);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+117451, r12vrr_stack+52064, r12vrr_stack+49832, r12vrr_stack+52298, r12vrr_stack+30609, r12vrr_stack+512);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+117919, r12vrr_stack+42758, r12vrr_stack+117451, r12vrr_stack+30687, r12vrr_stack+52064, r12vrr_stack+31851);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+118699, r12vrr_stack+43226, r12vrr_stack+117919, r12vrr_stack+39590, r12vrr_stack+42758, r12vrr_stack+32247);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+119869, r12vrr_stack+84928, r12vrr_stack+118699, r12vrr_stack+40058, r12vrr_stack+43226, r12vrr_stack+78328);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+121507, r12vrr_stack+86098, r12vrr_stack+119869, r12vrr_stack+55730, r12vrr_stack+84928, r12vrr_stack+79318);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+123691, r12vrr_stack+87736, r12vrr_stack+121507, r12vrr_stack+58070, r12vrr_stack+86098, r12vrr_stack+80704);
 tmp = r12vrr_stack + 123691;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^8 ---*/
 _BUILD_p000(Data,r12vrr_stack+8830, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (d0|00)^7 ---*/
 _BUILD_d000(Data,r12vrr_stack+39590, r12vrr_stack+53702, r12vrr_stack+8830, Data->F+7, Data->F+8, NULL);

 /*--- compute (f0|00)^6 ---*/
 _BUILD_f000(Data,r12vrr_stack+39596, r12vrr_stack+53705, r12vrr_stack+39590, r12vrr_stack+53234, r12vrr_stack+53702, NULL);

 /*--- compute (g0|00)^5 ---*/
 _BUILD_g000(Data,r12vrr_stack+39606, r12vrr_stack+373, r12vrr_stack+39596, r12vrr_stack+53237, r12vrr_stack+53705, NULL);

 /*--- compute (h0|00)^4 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+1065, r12vrr_stack+53711, r12vrr_stack+39606, r12vrr_stack+53243, r12vrr_stack+373, NULL);

 /*--- compute (p0|p0)^8 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+39621, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+9);

 /*--- compute (d0|p0)^7 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+39630, r12vrr_stack+53726, r12vrr_stack+39621, r12vrr_stack+78, r12vrr_stack+6, r12vrr_stack+8830);

 /*--- compute (f0|p0)^6 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+168, r12vrr_stack+53735, r12vrr_stack+39630, r12vrr_stack+14778, r12vrr_stack+53726, r12vrr_stack+39590);

 /*--- compute (g0|p0)^5 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+39648, r12vrr_stack+53753, r12vrr_stack+168, r12vrr_stack+60, r12vrr_stack+53735, r12vrr_stack+39596);

 /*--- compute (h0|p0)^4 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+39693, r12vrr_stack+53783, r12vrr_stack+39648, r12vrr_stack+21030, r12vrr_stack+53753, r12vrr_stack+39606);

 /*--- compute (i0|p0)^3 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+39756, r12vrr_stack+6049, r12vrr_stack+39693, r12vrr_stack+53253, r12vrr_stack+53783, r12vrr_stack+1065);

 /*--- compute (p0|d0)^8 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+21030, r12vrr_stack+198, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^7 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+39840, r12vrr_stack+2775, r12vrr_stack+21030, r12vrr_stack+414, r12vrr_stack+198, r12vrr_stack+39621);

 /*--- compute (f0|d0)^6 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+39876, r12vrr_stack+53828, r12vrr_stack+39840, r12vrr_stack+9, r12vrr_stack+2775, r12vrr_stack+39630);

 /*--- compute (g0|d0)^5 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+39936, r12vrr_stack+53864, r12vrr_stack+39876, r12vrr_stack+53298, r12vrr_stack+53828, r12vrr_stack+168);

 /*--- compute (h0|d0)^4 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+40026, r12vrr_stack+53924, r12vrr_stack+39936, r12vrr_stack+264, r12vrr_stack+53864, r12vrr_stack+39648);

 /*--- compute (i0|d0)^3 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+40152, r12vrr_stack+54014, r12vrr_stack+40026, r12vrr_stack+53334, r12vrr_stack+53924, r12vrr_stack+39693);

 /*--- compute (k0|d0)^2 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+40320, r12vrr_stack+54140, r12vrr_stack+40152, r12vrr_stack+14112, r12vrr_stack+54014, r12vrr_stack+39756);

 /*--- compute (p0|f0)^8 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+14112, r12vrr_stack+420, r12vrr_stack+5596, NULL, NULL, r12vrr_stack+48);

 /*--- compute (d0|f0)^7 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+264, r12vrr_stack+2793, r12vrr_stack+14112, r12vrr_stack+710, r12vrr_stack+420, r12vrr_stack+21030);

 /*--- compute (f0|f0)^6 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+40536, r12vrr_stack+2823, r12vrr_stack+264, r12vrr_stack+960, r12vrr_stack+2793, r12vrr_stack+39840);

 /*--- compute (g0|f0)^5 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+50066, r12vrr_stack+2883, r12vrr_stack+40536, r12vrr_stack+204, r12vrr_stack+2823, r12vrr_stack+39876);

 /*--- compute (h0|f0)^4 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+30687, r12vrr_stack+54308, r12vrr_stack+50066, r12vrr_stack+53424, r12vrr_stack+2883, r12vrr_stack+39936);

 /*--- compute (i0|f0)^3 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+21645, r12vrr_stack+21940, r12vrr_stack+30687, r12vrr_stack+53524, r12vrr_stack+54308, r12vrr_stack+40026);

 /*--- compute (k0|f0)^2 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+55717, r12vrr_stack+4859, r12vrr_stack+21645, r12vrr_stack+54482, r12vrr_stack+21940, r12vrr_stack+40152);

 /*--- compute (l0|f0)^1 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+56077, r12vrr_stack+44006, r12vrr_stack+55717, r12vrr_stack+54692, r12vrr_stack+4859, r12vrr_stack+40320);

 /*--- compute (p0|g0)^8 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+204, r12vrr_stack+1035, r12vrr_stack+8849, NULL, NULL, r12vrr_stack+5596);

 /*--- compute (d0|g0)^7 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+14142, r12vrr_stack+430, r12vrr_stack+204, r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+14112);

 /*--- compute (f0|g0)^6 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+27840, r12vrr_stack+2983, r12vrr_stack+14142, r12vrr_stack+108, r12vrr_stack+430, r12vrr_stack+264);

 /*--- compute (g0|g0)^5 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+30345, r12vrr_stack+3073, r12vrr_stack+27840, r12vrr_stack+54972, r12vrr_stack+2983, r12vrr_stack+40536);

 /*--- compute (h0|g0)^4 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+54458, r12vrr_stack+720, r12vrr_stack+30345, r12vrr_stack+55062, r12vrr_stack+3073, r12vrr_stack+50066);

 /*--- compute (i0|g0)^3 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+54773, r12vrr_stack+3223, r12vrr_stack+54458, r12vrr_stack+55212, r12vrr_stack+720, r12vrr_stack+30687);

 /*--- compute (k0|g0)^2 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+52916, r12vrr_stack+21225, r12vrr_stack+54773, r12vrr_stack+40838, r12vrr_stack+3223, r12vrr_stack+21645);

 /*--- compute (l0|g0)^1 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+126499, r12vrr_stack+52376, r12vrr_stack+52916, r12vrr_stack+41153, r12vrr_stack+21225, r12vrr_stack+55717);

 /*--- compute (m0|g0)^0 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+40636, r12vrr_stack+3538, r12vrr_stack+126499, r12vrr_stack+59708, r12vrr_stack+52376, r12vrr_stack+56077);

 /*--- compute (p0|h0)^8 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+41461, r12vrr_stack+352, r12vrr_stack+14812, NULL, NULL, r12vrr_stack+8849);

 /*--- compute (d0|h0)^7 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+41524, r12vrr_stack+4213, r12vrr_stack+41461, r12vrr_stack+5606, r12vrr_stack+352, r12vrr_stack+204);

 /*--- compute (f0|h0)^6 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+14897, r12vrr_stack+29778, r12vrr_stack+41524, r12vrr_stack+1770, r12vrr_stack+4213, r12vrr_stack+14142);

 /*--- compute (g0|h0)^5 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+56527, r12vrr_stack+29904, r12vrr_stack+14897, r12vrr_stack+1833, r12vrr_stack+29778, r12vrr_stack+27840);

 /*--- compute (h0|h0)^4 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+127174, r12vrr_stack+14373, r12vrr_stack+56527, r12vrr_stack+1959, r12vrr_stack+29904, r12vrr_stack+30345);

 /*--- compute (i0|h0)^3 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+127615, r12vrr_stack+89920, r12vrr_stack+127174, r12vrr_stack+60248, r12vrr_stack+14373, r12vrr_stack+54458);

 /*--- compute (k0|h0)^2 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+128203, r12vrr_stack+90361, r12vrr_stack+127615, r12vrr_stack+60563, r12vrr_stack+89920, r12vrr_stack+54773);

 /*--- compute (l0|h0)^1 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+128959, r12vrr_stack+90949, r12vrr_stack+128203, r12vrr_stack+61004, r12vrr_stack+90361, r12vrr_stack+52916);

 /*--- compute (m0|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60248, r12vrr_stack+6763, r12vrr_stack+128959, r12vrr_stack+61592, r12vrr_stack+90949, r12vrr_stack+126499);
 tmp = r12vrr_stack + 60248;
 target_ptr = Libr12->gvrr_classes[9][5];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^8 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+61403, r12vrr_stack+14833, r12vrr_stack+20921, NULL, NULL, r12vrr_stack+14812);

 /*--- compute (d0|i0)^7 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1770, r12vrr_stack+1194, r12vrr_stack+61403, r12vrr_stack+8864, r12vrr_stack+14833, r12vrr_stack+41461);

 /*--- compute (f0|i0)^6 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+129904, r12vrr_stack+1278, r12vrr_stack+1770, r12vrr_stack+5797, r12vrr_stack+1194, r12vrr_stack+41524);

 /*--- compute (g0|i0)^5 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+130184, r12vrr_stack+32907, r12vrr_stack+129904, r12vrr_stack+5881, r12vrr_stack+1278, r12vrr_stack+14897);

 /*--- compute (h0|i0)^4 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+130604, r12vrr_stack+91705, r12vrr_stack+130184, r12vrr_stack+55437, r12vrr_stack+32907, r12vrr_stack+56527);

 /*--- compute (i0|i0)^3 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+131192, r12vrr_stack+92125, r12vrr_stack+130604, r12vrr_stack+5139, r12vrr_stack+91705, r12vrr_stack+127174);

 /*--- compute (k0|i0)^2 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+131976, r12vrr_stack+92713, r12vrr_stack+131192, r12vrr_stack+62348, r12vrr_stack+92125, r12vrr_stack+127615);

 /*--- compute (l0|i0)^1 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+132984, r12vrr_stack+93497, r12vrr_stack+131976, r12vrr_stack+62936, r12vrr_stack+92713, r12vrr_stack+128203);

 /*--- compute (m0|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+134244, r12vrr_stack+11782, r12vrr_stack+132984, r12vrr_stack+63720, r12vrr_stack+93497, r12vrr_stack+128959);
 tmp = r12vrr_stack + 134244;
 target_ptr = Libr12->gvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^8 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62348, r12vrr_stack+20949, r12vrr_stack+30254, NULL, NULL, r12vrr_stack+20921);

 /*--- compute (d0|k0)^7 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62456, r12vrr_stack+9034, r12vrr_stack+62348, r12vrr_stack+14861, r12vrr_stack+20949, r12vrr_stack+61403);

 /*--- compute (f0|k0)^6 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62672, r12vrr_stack+29316, r12vrr_stack+62456, r12vrr_stack+10074, r12vrr_stack+9034, r12vrr_stack+1770);

 /*--- compute (g0|k0)^5 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+63032, r12vrr_stack+94505, r12vrr_stack+62672, r12vrr_stack+10182, r12vrr_stack+29316, r12vrr_stack+129904);

 /*--- compute (h0|k0)^4 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+135784, r12vrr_stack+94865, r12vrr_stack+63032, r12vrr_stack+10398, r12vrr_stack+94505, r12vrr_stack+130184);

 /*--- compute (i0|k0)^3 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+136540, r12vrr_stack+95405, r12vrr_stack+135784, r12vrr_stack+64728, r12vrr_stack+94865, r12vrr_stack+130604);

 /*--- compute (k0|k0)^2 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+137548, r12vrr_stack+96161, r12vrr_stack+136540, r12vrr_stack+65268, r12vrr_stack+95405, r12vrr_stack+131192);

 /*--- compute (l0|k0)^1 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+138844, r12vrr_stack+97169, r12vrr_stack+137548, r12vrr_stack+66024, r12vrr_stack+96161, r12vrr_stack+131976);

 /*--- compute (m0|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+64728, r12vrr_stack+18126, r12vrr_stack+138844, r12vrr_stack+67032, r12vrr_stack+97169, r12vrr_stack+132984);
 tmp = r12vrr_stack + 64728;
 target_ptr = Libr12->gvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^8 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+66708, r12vrr_stack+1086, r12vrr_stack+14067, NULL, NULL, r12vrr_stack+30254);

 /*--- compute (d0|l0)^7 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+10074, r12vrr_stack+9142, r12vrr_stack+66708, r12vrr_stack+20985, r12vrr_stack+1086, r12vrr_stack+62348);

 /*--- compute (f0|l0)^6 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+55193, r12vrr_stack+9277, r12vrr_stack+10074, r12vrr_stack+15714, r12vrr_stack+9142, r12vrr_stack+62456);

 /*--- compute (g0|l0)^5 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+140464, r12vrr_stack+98465, r12vrr_stack+55193, r12vrr_stack+15849, r12vrr_stack+9277, r12vrr_stack+62672);

 /*--- compute (h0|l0)^4 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+141139, r12vrr_stack+98915, r12vrr_stack+140464, r12vrr_stack+16119, r12vrr_stack+98465, r12vrr_stack+63032);

 /*--- compute (i0|l0)^3 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+142084, r12vrr_stack+99590, r12vrr_stack+141139, r12vrr_stack+68328, r12vrr_stack+98915, r12vrr_stack+135784);

 /*--- compute (k0|l0)^2 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+143344, r12vrr_stack+100535, r12vrr_stack+142084, r12vrr_stack+69003, r12vrr_stack+99590, r12vrr_stack+136540);

 /*--- compute (l0|l0)^1 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+144964, r12vrr_stack+101795, r12vrr_stack+143344, r12vrr_stack+69948, r12vrr_stack+100535, r12vrr_stack+137548);

 /*--- compute (m0|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+68328, r12vrr_stack+25650, r12vrr_stack+144964, r12vrr_stack+71208, r12vrr_stack+101795, r12vrr_stack+138844);
 tmp = r12vrr_stack + 68328;
 target_ptr = Libr12->gvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^8 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+70803, r12vrr_stack+20845, r12vrr_stack+37723, NULL, NULL, r12vrr_stack+14067);

 /*--- compute (d0|m0)^7 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+15714, r12vrr_stack+27675, r12vrr_stack+70803, r12vrr_stack+30290, r12vrr_stack+20845, r12vrr_stack+66708);

 /*--- compute (f0|m0)^6 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+16044, r12vrr_stack+103415, r12vrr_stack+15714, r12vrr_stack+22905, r12vrr_stack+27675, r12vrr_stack+10074);

 /*--- compute (g0|m0)^5 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+146989, r12vrr_stack+103745, r12vrr_stack+16044, r12vrr_stack+23070, r12vrr_stack+103415, r12vrr_stack+55193);

 /*--- compute (h0|m0)^4 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+147814, r12vrr_stack+104295, r12vrr_stack+146989, r12vrr_stack+23400, r12vrr_stack+103745, r12vrr_stack+140464);

 /*--- compute (i0|m0)^3 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+148969, r12vrr_stack+105120, r12vrr_stack+147814, r12vrr_stack+72828, r12vrr_stack+104295, r12vrr_stack+141139);

 /*--- compute (k0|m0)^2 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+150509, r12vrr_stack+106275, r12vrr_stack+148969, r12vrr_stack+73653, r12vrr_stack+105120, r12vrr_stack+142084);

 /*--- compute (l0|m0)^1 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+152489, r12vrr_stack+107815, r12vrr_stack+150509, r12vrr_stack+74808, r12vrr_stack+106275, r12vrr_stack+143344);

 /*--- compute (m0|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+72828, r12vrr_stack+35190, r12vrr_stack+152489, r12vrr_stack+76348, r12vrr_stack+107815, r12vrr_stack+144964);
 tmp = r12vrr_stack + 72828;
 target_ptr = Libr12->gvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+75853, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+14232, r12vrr_stack+37665, r12vrr_stack+75853, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+710, r12vrr_stack+54, r12vrr_stack+14232, r12vrr_stack+0, r12vrr_stack+37665, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1050, r12vrr_stack+37668, r12vrr_stack+710, r12vrr_stack+31835, r12vrr_stack+54, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60, r12vrr_stack+945, r12vrr_stack+1050, r12vrr_stack+31841, r12vrr_stack+37668, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+75856, r12vrr_stack+7708, r12vrr_stack+60, r12vrr_stack+153, r12vrr_stack+945, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14861, r12vrr_stack+5559, r12vrr_stack+75856, r12vrr_stack+990, r12vrr_stack+7708, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20985, r12vrr_stack+19746, r12vrr_stack+14861, r12vrr_stack+53674, r12vrr_stack+5559, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30290, r12vrr_stack+37678, r12vrr_stack+20985, r12vrr_stack+8794, r12vrr_stack+19746, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+75884, r12vrr_stack+37723, r12vrr_stack+30290, r12vrr_stack+14067, r12vrr_stack+37678, NULL);

 /*--- compute (p0|n0)^8 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+75950, r12vrr_stack+37778, r12vrr_stack+75884, NULL, NULL, r12vrr_stack+37723);

 /*--- compute (d0|n0)^7 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+22905, r12vrr_stack+37844, r12vrr_stack+75950, r12vrr_stack+2169, r12vrr_stack+37778, r12vrr_stack+70803);

 /*--- compute (f0|n0)^6 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23301, r12vrr_stack+109795, r12vrr_stack+22905, r12vrr_stack+512, r12vrr_stack+37844, r12vrr_stack+15714);

 /*--- compute (g0|n0)^5 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+154964, r12vrr_stack+110191, r12vrr_stack+23301, r12vrr_stack+31851, r12vrr_stack+109795, r12vrr_stack+16044);

 /*--- compute (h0|n0)^4 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+155954, r12vrr_stack+110851, r12vrr_stack+154964, r12vrr_stack+32247, r12vrr_stack+110191, r12vrr_stack+146989);

 /*--- compute (i0|n0)^3 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+157340, r12vrr_stack+111841, r12vrr_stack+155954, r12vrr_stack+78328, r12vrr_stack+110851, r12vrr_stack+147814);

 /*--- compute (k0|n0)^2 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+159188, r12vrr_stack+113227, r12vrr_stack+157340, r12vrr_stack+79318, r12vrr_stack+111841, r12vrr_stack+148969);

 /*--- compute (l0|n0)^1 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+161564, r12vrr_stack+115075, r12vrr_stack+159188, r12vrr_stack+80704, r12vrr_stack+113227, r12vrr_stack+150509);

 /*--- compute (m0|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+78328, r12vrr_stack+46784, r12vrr_stack+161564, r12vrr_stack+82552, r12vrr_stack+115075, r12vrr_stack+152489);
 tmp = r12vrr_stack + 78328;
 target_ptr = Libr12->gvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52298, r12vrr_stack+37778, r12vrr_stack+75884, r12vrr_stack+20845, r12vrr_stack+37723, NULL);

 /*--- compute (p0|o0)^7 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81958, r12vrr_stack+49754, r12vrr_stack+52298, NULL, NULL, r12vrr_stack+37778);

 /*--- compute (d0|o0)^6 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31835, r12vrr_stack+49832, r12vrr_stack+81958, r12vrr_stack+30609, r12vrr_stack+49754, r12vrr_stack+37844);

 /*--- compute (f0|o0)^5 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+164534, r12vrr_stack+117451, r12vrr_stack+31835, r12vrr_stack+52064, r12vrr_stack+49832, r12vrr_stack+109795);

 /*--- compute (g0|o0)^4 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+165314, r12vrr_stack+117919, r12vrr_stack+164534, r12vrr_stack+42758, r12vrr_stack+117451, r12vrr_stack+110191);

 /*--- compute (h0|o0)^3 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+166484, r12vrr_stack+118699, r12vrr_stack+165314, r12vrr_stack+43226, r12vrr_stack+117919, r12vrr_stack+110851);

 /*--- compute (i0|o0)^2 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+168122, r12vrr_stack+119869, r12vrr_stack+166484, r12vrr_stack+84928, r12vrr_stack+118699, r12vrr_stack+111841);

 /*--- compute (k0|o0)^1 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+170306, r12vrr_stack+121507, r12vrr_stack+168122, r12vrr_stack+86098, r12vrr_stack+119869, r12vrr_stack+113227);

 /*--- compute (l0|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+173114, r12vrr_stack+123691, r12vrr_stack+170306, r12vrr_stack+87736, r12vrr_stack+121507, r12vrr_stack+115075);
 tmp = r12vrr_stack + 173114;
 target_ptr = Libr12->gvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^9 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (d0|00)^8 ---*/
 _BUILD_d000(Data,r12vrr_stack+84928, r12vrr_stack+8830, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (f0|00)^7 ---*/
 _BUILD_f000(Data,r12vrr_stack+84934, r12vrr_stack+39590, r12vrr_stack+84928, r12vrr_stack+53702, r12vrr_stack+8830, NULL);

 /*--- compute (g0|00)^6 ---*/
 _BUILD_g000(Data,r12vrr_stack+249, r12vrr_stack+39596, r12vrr_stack+84934, r12vrr_stack+53705, r12vrr_stack+39590, NULL);

 /*--- compute (h0|00)^5 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+84944, r12vrr_stack+39606, r12vrr_stack+249, r12vrr_stack+373, r12vrr_stack+39596, NULL);

 /*--- compute (i0|00)^4 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+84965, r12vrr_stack+1065, r12vrr_stack+84944, r12vrr_stack+53711, r12vrr_stack+39606, NULL);

 /*--- compute (p0|p0)^9 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+373, r12vrr_stack+3, r12vrr_stack+1032, NULL, NULL, Data->F+10);

 /*--- compute (d0|p0)^8 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+53702, r12vrr_stack+39621, r12vrr_stack+373, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (f0|p0)^7 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+6, r12vrr_stack+39630, r12vrr_stack+53702, r12vrr_stack+53726, r12vrr_stack+39621, r12vrr_stack+84928);

 /*--- compute (g0|p0)^6 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+84993, r12vrr_stack+168, r12vrr_stack+6, r12vrr_stack+53735, r12vrr_stack+39630, r12vrr_stack+84934);

 /*--- compute (h0|p0)^5 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+85038, r12vrr_stack+39648, r12vrr_stack+84993, r12vrr_stack+53753, r12vrr_stack+168, r12vrr_stack+249);

 /*--- compute (i0|p0)^4 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+85101, r12vrr_stack+39693, r12vrr_stack+85038, r12vrr_stack+53783, r12vrr_stack+39648, r12vrr_stack+84944);

 /*--- compute (k0|p0)^3 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+53720, r12vrr_stack+39756, r12vrr_stack+85101, r12vrr_stack+6049, r12vrr_stack+39693, r12vrr_stack+84965);

 /*--- compute (p0|d0)^9 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+85185, r12vrr_stack+48, r12vrr_stack+5590, NULL, NULL, r12vrr_stack+1032);

 /*--- compute (d0|d0)^8 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+85203, r12vrr_stack+21030, r12vrr_stack+85185, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+373);

 /*--- compute (f0|d0)^7 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+85239, r12vrr_stack+39840, r12vrr_stack+85203, r12vrr_stack+2775, r12vrr_stack+21030, r12vrr_stack+53702);

 /*--- compute (g0|d0)^6 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+85299, r12vrr_stack+39876, r12vrr_stack+85239, r12vrr_stack+53828, r12vrr_stack+39840, r12vrr_stack+6);

 /*--- compute (h0|d0)^5 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+85389, r12vrr_stack+39936, r12vrr_stack+85299, r12vrr_stack+53864, r12vrr_stack+39876, r12vrr_stack+84993);

 /*--- compute (i0|d0)^4 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+85515, r12vrr_stack+40026, r12vrr_stack+85389, r12vrr_stack+53924, r12vrr_stack+39936, r12vrr_stack+85038);

 /*--- compute (k0|d0)^3 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+85683, r12vrr_stack+40152, r12vrr_stack+85515, r12vrr_stack+54014, r12vrr_stack+40026, r12vrr_stack+85101);

 /*--- compute (l0|d0)^2 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+53828, r12vrr_stack+40320, r12vrr_stack+85683, r12vrr_stack+54140, r12vrr_stack+40152, r12vrr_stack+53720);

 /*--- compute (p0|f0)^9 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+54098, r12vrr_stack+5596, r12vrr_stack+8839, NULL, NULL, r12vrr_stack+5590);

 /*--- compute (d0|f0)^8 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+54128, r12vrr_stack+14112, r12vrr_stack+54098, r12vrr_stack+420, r12vrr_stack+5596, r12vrr_stack+85185);

 /*--- compute (f0|f0)^7 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+54188, r12vrr_stack+264, r12vrr_stack+54128, r12vrr_stack+2793, r12vrr_stack+14112, r12vrr_stack+85203);

 /*--- compute (g0|f0)^6 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+85899, r12vrr_stack+40536, r12vrr_stack+54188, r12vrr_stack+2823, r12vrr_stack+264, r12vrr_stack+85239);

 /*--- compute (h0|f0)^5 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+86049, r12vrr_stack+50066, r12vrr_stack+85899, r12vrr_stack+2883, r12vrr_stack+40536, r12vrr_stack+85299);

 /*--- compute (i0|f0)^4 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+86259, r12vrr_stack+30687, r12vrr_stack+86049, r12vrr_stack+54308, r12vrr_stack+50066, r12vrr_stack+85389);

 /*--- compute (k0|f0)^3 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+82192, r12vrr_stack+21645, r12vrr_stack+86259, r12vrr_stack+21940, r12vrr_stack+30687, r12vrr_stack+85515);

 /*--- compute (l0|f0)^2 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+86539, r12vrr_stack+55717, r12vrr_stack+82192, r12vrr_stack+4859, r12vrr_stack+21645, r12vrr_stack+85683);

 /*--- compute (m0|f0)^1 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+4859, r12vrr_stack+56077, r12vrr_stack+86539, r12vrr_stack+44006, r12vrr_stack+55717, r12vrr_stack+53828);

 /*--- compute (p0|g0)^9 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+5409, r12vrr_stack+8849, r12vrr_stack+14797, NULL, NULL, r12vrr_stack+8839);

 /*--- compute (d0|g0)^8 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+5454, r12vrr_stack+204, r12vrr_stack+5409, r12vrr_stack+1035, r12vrr_stack+8849, r12vrr_stack+54098);

 /*--- compute (f0|g0)^7 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+54288, r12vrr_stack+14142, r12vrr_stack+5454, r12vrr_stack+430, r12vrr_stack+204, r12vrr_stack+54128);

 /*--- compute (g0|g0)^6 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+86989, r12vrr_stack+27840, r12vrr_stack+54288, r12vrr_stack+2983, r12vrr_stack+14142, r12vrr_stack+54188);

 /*--- compute (h0|g0)^5 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+87214, r12vrr_stack+30345, r12vrr_stack+86989, r12vrr_stack+3073, r12vrr_stack+27840, r12vrr_stack+85899);

 /*--- compute (i0|g0)^4 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+54458, r12vrr_stack+87214, r12vrr_stack+720, r12vrr_stack+30345, r12vrr_stack+86049);

 /*--- compute (k0|g0)^3 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+42758, r12vrr_stack+54773, r12vrr_stack+2775, r12vrr_stack+3223, r12vrr_stack+54458, r12vrr_stack+86259);

 /*--- compute (l0|g0)^2 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+43298, r12vrr_stack+52916, r12vrr_stack+42758, r12vrr_stack+21225, r12vrr_stack+54773, r12vrr_stack+82192);

 /*--- compute (m0|g0)^1 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+176624, r12vrr_stack+126499, r12vrr_stack+43298, r12vrr_stack+52376, r12vrr_stack+52916, r12vrr_stack+86539);

 /*--- compute (n0|g0)^0 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+177449, r12vrr_stack+40636, r12vrr_stack+176624, r12vrr_stack+3538, r12vrr_stack+126499, r12vrr_stack+4859);

 /*--- compute (p0|h0)^9 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+52376, r12vrr_stack+14812, r12vrr_stack+20900, NULL, NULL, r12vrr_stack+14797);

 /*--- compute (d0|h0)^8 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+52439, r12vrr_stack+41461, r12vrr_stack+52376, r12vrr_stack+352, r12vrr_stack+14812, r12vrr_stack+5409);

 /*--- compute (f0|h0)^7 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+52565, r12vrr_stack+41524, r12vrr_stack+52439, r12vrr_stack+4213, r12vrr_stack+41461, r12vrr_stack+5454);

 /*--- compute (g0|h0)^6 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21225, r12vrr_stack+14897, r12vrr_stack+52565, r12vrr_stack+29778, r12vrr_stack+41524, r12vrr_stack+54288);

 /*--- compute (h0|h0)^5 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+32303, r12vrr_stack+56527, r12vrr_stack+21225, r12vrr_stack+29904, r12vrr_stack+14897, r12vrr_stack+86989);

 /*--- compute (i0|h0)^4 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+178439, r12vrr_stack+127174, r12vrr_stack+32303, r12vrr_stack+14373, r12vrr_stack+56527, r12vrr_stack+87214);

 /*--- compute (k0|h0)^3 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+179027, r12vrr_stack+127615, r12vrr_stack+178439, r12vrr_stack+89920, r12vrr_stack+127174, r12vrr_stack+2775);

 /*--- compute (l0|h0)^2 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+179783, r12vrr_stack+128203, r12vrr_stack+179027, r12vrr_stack+90361, r12vrr_stack+127615, r12vrr_stack+42758);

 /*--- compute (m0|h0)^1 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+180728, r12vrr_stack+128959, r12vrr_stack+179783, r12vrr_stack+90949, r12vrr_stack+128203, r12vrr_stack+43298);

 /*--- compute (n0|h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+89920, r12vrr_stack+60248, r12vrr_stack+180728, r12vrr_stack+6763, r12vrr_stack+128959, r12vrr_stack+176624);
 tmp = r12vrr_stack + 89920;
 target_ptr = Libr12->gvrr_classes[10][5];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^9 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+91306, r12vrr_stack+20921, r12vrr_stack+30226, NULL, NULL, r12vrr_stack+20900);

 /*--- compute (d0|i0)^8 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+91390, r12vrr_stack+61403, r12vrr_stack+91306, r12vrr_stack+14833, r12vrr_stack+20921, r12vrr_stack+52376);

 /*--- compute (f0|i0)^7 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14373, r12vrr_stack+1770, r12vrr_stack+91390, r12vrr_stack+1194, r12vrr_stack+61403, r12vrr_stack+52439);

 /*--- compute (g0|i0)^6 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+29778, r12vrr_stack+129904, r12vrr_stack+14373, r12vrr_stack+1278, r12vrr_stack+1770, r12vrr_stack+52565);

 /*--- compute (h0|i0)^5 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+181883, r12vrr_stack+130184, r12vrr_stack+29778, r12vrr_stack+32907, r12vrr_stack+129904, r12vrr_stack+21225);

 /*--- compute (i0|i0)^4 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+182471, r12vrr_stack+130604, r12vrr_stack+181883, r12vrr_stack+91705, r12vrr_stack+130184, r12vrr_stack+32303);

 /*--- compute (k0|i0)^3 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+183255, r12vrr_stack+131192, r12vrr_stack+182471, r12vrr_stack+92125, r12vrr_stack+130604, r12vrr_stack+178439);

 /*--- compute (l0|i0)^2 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+184263, r12vrr_stack+131976, r12vrr_stack+183255, r12vrr_stack+92713, r12vrr_stack+131192, r12vrr_stack+179027);

 /*--- compute (m0|i0)^1 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+91558, r12vrr_stack+132984, r12vrr_stack+184263, r12vrr_stack+93497, r12vrr_stack+131976, r12vrr_stack+179783);

 /*--- compute (n0|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+185523, r12vrr_stack+134244, r12vrr_stack+91558, r12vrr_stack+11782, r12vrr_stack+132984, r12vrr_stack+180728);
 tmp = r12vrr_stack + 185523;
 target_ptr = Libr12->gvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^9 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1194, r12vrr_stack+30254, r12vrr_stack+8794, NULL, NULL, r12vrr_stack+30226);

 /*--- compute (d0|k0)^8 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+93098, r12vrr_stack+62348, r12vrr_stack+1194, r12vrr_stack+20949, r12vrr_stack+30254, r12vrr_stack+91306);

 /*--- compute (f0|k0)^7 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+93314, r12vrr_stack+62456, r12vrr_stack+93098, r12vrr_stack+9034, r12vrr_stack+62348, r12vrr_stack+91390);

 /*--- compute (g0|k0)^6 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+93674, r12vrr_stack+62672, r12vrr_stack+93314, r12vrr_stack+29316, r12vrr_stack+62456, r12vrr_stack+14373);

 /*--- compute (h0|k0)^5 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+187371, r12vrr_stack+63032, r12vrr_stack+93674, r12vrr_stack+94505, r12vrr_stack+62672, r12vrr_stack+29778);

 /*--- compute (i0|k0)^4 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+188127, r12vrr_stack+135784, r12vrr_stack+187371, r12vrr_stack+94865, r12vrr_stack+63032, r12vrr_stack+181883);

 /*--- compute (k0|k0)^3 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+189135, r12vrr_stack+136540, r12vrr_stack+188127, r12vrr_stack+95405, r12vrr_stack+135784, r12vrr_stack+182471);

 /*--- compute (l0|k0)^2 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+94214, r12vrr_stack+137548, r12vrr_stack+189135, r12vrr_stack+96161, r12vrr_stack+136540, r12vrr_stack+183255);

 /*--- compute (m0|k0)^1 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+190431, r12vrr_stack+138844, r12vrr_stack+94214, r12vrr_stack+97169, r12vrr_stack+137548, r12vrr_stack+184263);

 /*--- compute (n0|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+95834, r12vrr_stack+64728, r12vrr_stack+190431, r12vrr_stack+18126, r12vrr_stack+138844, r12vrr_stack+91558);
 tmp = r12vrr_stack + 95834;
 target_ptr = Libr12->gvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^9 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29316, r12vrr_stack+14067, r12vrr_stack+37678, NULL, NULL, r12vrr_stack+8794);

 /*--- compute (d0|l0)^8 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+3195, r12vrr_stack+66708, r12vrr_stack+29316, r12vrr_stack+1086, r12vrr_stack+14067, r12vrr_stack+1194);

 /*--- compute (f0|l0)^7 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32744, r12vrr_stack+10074, r12vrr_stack+3195, r12vrr_stack+9142, r12vrr_stack+66708, r12vrr_stack+93098);

 /*--- compute (g0|l0)^6 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+192411, r12vrr_stack+55193, r12vrr_stack+32744, r12vrr_stack+9277, r12vrr_stack+10074, r12vrr_stack+93314);

 /*--- compute (h0|l0)^5 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+193086, r12vrr_stack+140464, r12vrr_stack+192411, r12vrr_stack+98465, r12vrr_stack+55193, r12vrr_stack+93674);

 /*--- compute (i0|l0)^4 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+194031, r12vrr_stack+141139, r12vrr_stack+193086, r12vrr_stack+98915, r12vrr_stack+140464, r12vrr_stack+187371);

 /*--- compute (k0|l0)^3 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+195291, r12vrr_stack+142084, r12vrr_stack+194031, r12vrr_stack+99590, r12vrr_stack+141139, r12vrr_stack+188127);

 /*--- compute (l0|l0)^2 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+98210, r12vrr_stack+143344, r12vrr_stack+195291, r12vrr_stack+100535, r12vrr_stack+142084, r12vrr_stack+189135);

 /*--- compute (m0|l0)^1 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+196911, r12vrr_stack+144964, r12vrr_stack+98210, r12vrr_stack+101795, r12vrr_stack+143344, r12vrr_stack+94214);

 /*--- compute (n0|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+100235, r12vrr_stack+68328, r12vrr_stack+196911, r12vrr_stack+25650, r12vrr_stack+144964, r12vrr_stack+190431);
 tmp = r12vrr_stack + 100235;
 target_ptr = Libr12->gvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^9 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9034, r12vrr_stack+37723, r12vrr_stack+30290, NULL, NULL, r12vrr_stack+37678);

 /*--- compute (d0|m0)^8 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9199, r12vrr_stack+70803, r12vrr_stack+9034, r12vrr_stack+20845, r12vrr_stack+37723, r12vrr_stack+29316);

 /*--- compute (f0|m0)^7 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+199386, r12vrr_stack+15714, r12vrr_stack+9199, r12vrr_stack+27675, r12vrr_stack+70803, r12vrr_stack+3195);

 /*--- compute (g0|m0)^6 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+199936, r12vrr_stack+16044, r12vrr_stack+199386, r12vrr_stack+103415, r12vrr_stack+15714, r12vrr_stack+32744);

 /*--- compute (h0|m0)^5 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+200761, r12vrr_stack+146989, r12vrr_stack+199936, r12vrr_stack+103745, r12vrr_stack+16044, r12vrr_stack+192411);

 /*--- compute (i0|m0)^4 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+201916, r12vrr_stack+147814, r12vrr_stack+200761, r12vrr_stack+104295, r12vrr_stack+146989, r12vrr_stack+193086);

 /*--- compute (k0|m0)^3 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+203456, r12vrr_stack+148969, r12vrr_stack+201916, r12vrr_stack+105120, r12vrr_stack+147814, r12vrr_stack+194031);

 /*--- compute (l0|m0)^2 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+103205, r12vrr_stack+150509, r12vrr_stack+203456, r12vrr_stack+106275, r12vrr_stack+148969, r12vrr_stack+195291);

 /*--- compute (m0|m0)^1 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+205436, r12vrr_stack+152489, r12vrr_stack+103205, r12vrr_stack+107815, r12vrr_stack+150509, r12vrr_stack+98210);

 /*--- compute (n0|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+105680, r12vrr_stack+72828, r12vrr_stack+205436, r12vrr_stack+35190, r12vrr_stack+152489, r12vrr_stack+196911);
 tmp = r12vrr_stack + 105680;
 target_ptr = Libr12->gvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^19 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27675, Data->F+19, Data->F+20, NULL, NULL, NULL);

 /*--- compute (00|d0)^18 ---*/
 _BUILD_00d0(Data,r12vrr_stack+198, r12vrr_stack+75853, r12vrr_stack+27675, Data->F+18, Data->F+19, NULL);

 /*--- compute (00|f0)^17 ---*/
 _BUILD_00f0(Data,r12vrr_stack+27678, r12vrr_stack+14232, r12vrr_stack+198, r12vrr_stack+37665, r12vrr_stack+75853, NULL);

 /*--- compute (00|g0)^16 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+710, r12vrr_stack+27678, r12vrr_stack+54, r12vrr_stack+14232, NULL);

 /*--- compute (00|h0)^15 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+37668, r12vrr_stack+710, NULL);

 /*--- compute (00|i0)^14 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14833, r12vrr_stack+60, r12vrr_stack+352, r12vrr_stack+945, r12vrr_stack+1050, NULL);

 /*--- compute (00|k0)^13 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20949, r12vrr_stack+75856, r12vrr_stack+14833, r12vrr_stack+7708, r12vrr_stack+60, NULL);

 /*--- compute (00|l0)^12 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1086, r12vrr_stack+14861, r12vrr_stack+20949, r12vrr_stack+5559, r12vrr_stack+75856, NULL);

 /*--- compute (00|m0)^11 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20845, r12vrr_stack+20985, r12vrr_stack+1086, r12vrr_stack+19746, r12vrr_stack+14861, NULL);

 /*--- compute (00|n0)^10 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27688, r12vrr_stack+30290, r12vrr_stack+20845, r12vrr_stack+37678, r12vrr_stack+20985, NULL);

 /*--- compute (p0|n0)^9 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+109310, r12vrr_stack+75884, r12vrr_stack+27688, NULL, NULL, r12vrr_stack+30290);

 /*--- compute (d0|n0)^8 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43973, r12vrr_stack+75950, r12vrr_stack+109310, r12vrr_stack+37778, r12vrr_stack+75884, r12vrr_stack+9034);

 /*--- compute (f0|n0)^7 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+208461, r12vrr_stack+22905, r12vrr_stack+43973, r12vrr_stack+37844, r12vrr_stack+75950, r12vrr_stack+9199);

 /*--- compute (g0|n0)^6 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+209121, r12vrr_stack+23301, r12vrr_stack+208461, r12vrr_stack+109795, r12vrr_stack+22905, r12vrr_stack+199386);

 /*--- compute (h0|n0)^5 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+210111, r12vrr_stack+154964, r12vrr_stack+209121, r12vrr_stack+110191, r12vrr_stack+23301, r12vrr_stack+199936);

 /*--- compute (i0|n0)^4 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+211497, r12vrr_stack+155954, r12vrr_stack+210111, r12vrr_stack+110851, r12vrr_stack+154964, r12vrr_stack+200761);

 /*--- compute (k0|n0)^3 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+213345, r12vrr_stack+157340, r12vrr_stack+211497, r12vrr_stack+111841, r12vrr_stack+155954, r12vrr_stack+201916);

 /*--- compute (l0|n0)^2 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+109508, r12vrr_stack+159188, r12vrr_stack+213345, r12vrr_stack+113227, r12vrr_stack+157340, r12vrr_stack+203456);

 /*--- compute (m0|n0)^1 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+215721, r12vrr_stack+161564, r12vrr_stack+109508, r12vrr_stack+115075, r12vrr_stack+159188, r12vrr_stack+103205);

 /*--- compute (n0|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+112478, r12vrr_stack+78328, r12vrr_stack+215721, r12vrr_stack+46784, r12vrr_stack+161564, r12vrr_stack+205436);
 tmp = r12vrr_stack + 112478;
 target_ptr = Libr12->gvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^9 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37778, r12vrr_stack+75884, r12vrr_stack+27688, r12vrr_stack+37723, r12vrr_stack+30290, NULL);

 /*--- compute (p0|o0)^8 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52064, r12vrr_stack+52298, r12vrr_stack+37778, NULL, NULL, r12vrr_stack+75884);

 /*--- compute (d0|o0)^7 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+116834, r12vrr_stack+81958, r12vrr_stack+52064, r12vrr_stack+49754, r12vrr_stack+52298, r12vrr_stack+75950);

 /*--- compute (f0|o0)^6 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+219351, r12vrr_stack+31835, r12vrr_stack+116834, r12vrr_stack+49832, r12vrr_stack+81958, r12vrr_stack+22905);

 /*--- compute (g0|o0)^5 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+220131, r12vrr_stack+164534, r12vrr_stack+219351, r12vrr_stack+117451, r12vrr_stack+31835, r12vrr_stack+23301);

 /*--- compute (h0|o0)^4 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+221301, r12vrr_stack+165314, r12vrr_stack+220131, r12vrr_stack+117919, r12vrr_stack+164534, r12vrr_stack+154964);

 /*--- compute (i0|o0)^3 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+222939, r12vrr_stack+166484, r12vrr_stack+221301, r12vrr_stack+118699, r12vrr_stack+165314, r12vrr_stack+155954);

 /*--- compute (k0|o0)^2 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+225123, r12vrr_stack+168122, r12vrr_stack+222939, r12vrr_stack+119869, r12vrr_stack+166484, r12vrr_stack+157340);

 /*--- compute (l0|o0)^1 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+117302, r12vrr_stack+170306, r12vrr_stack+225123, r12vrr_stack+121507, r12vrr_stack+168122, r12vrr_stack+159188);

 /*--- compute (m0|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+227931, r12vrr_stack+173114, r12vrr_stack+117302, r12vrr_stack+123691, r12vrr_stack+170306, r12vrr_stack+161564);
 tmp = r12vrr_stack + 227931;
 target_ptr = Libr12->gvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^10 ---*/
 _BUILD_p000(Data,r12vrr_stack+49754, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (d0|00)^9 ---*/
 _BUILD_d000(Data,r12vrr_stack+54, r12vrr_stack+0, r12vrr_stack+49754, Data->F+9, Data->F+10, NULL);

 /*--- compute (f0|00)^8 ---*/
 _BUILD_f000(Data,r12vrr_stack+49757, r12vrr_stack+84928, r12vrr_stack+54, r12vrr_stack+8830, r12vrr_stack+0, NULL);

 /*--- compute (g0|00)^7 ---*/
 _BUILD_g000(Data,r12vrr_stack+49767, r12vrr_stack+84934, r12vrr_stack+49757, r12vrr_stack+39590, r12vrr_stack+84928, NULL);

 /*--- compute (h0|00)^6 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+7708, r12vrr_stack+249, r12vrr_stack+49767, r12vrr_stack+39596, r12vrr_stack+84934, NULL);

 /*--- compute (i0|00)^5 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+49782, r12vrr_stack+84944, r12vrr_stack+7708, r12vrr_stack+39606, r12vrr_stack+249, NULL);

 /*--- compute (k0|00)^4 ---*/
 am[0] = 7;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+49810, r12vrr_stack+84965, r12vrr_stack+49782, r12vrr_stack+1065, r12vrr_stack+84944, NULL);

 /*--- compute (p0|p0)^10 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1065, r12vrr_stack+1032, r12vrr_stack+5587, NULL, NULL, Data->F+11);

 /*--- compute (d0|p0)^9 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+84928, r12vrr_stack+373, r12vrr_stack+1065, r12vrr_stack+3, r12vrr_stack+1032, r12vrr_stack+49754);

 /*--- compute (f0|p0)^8 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+84946, r12vrr_stack+53702, r12vrr_stack+84928, r12vrr_stack+39621, r12vrr_stack+373, r12vrr_stack+54);

 /*--- compute (g0|p0)^7 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+49846, r12vrr_stack+6, r12vrr_stack+84946, r12vrr_stack+39630, r12vrr_stack+53702, r12vrr_stack+49757);

 /*--- compute (h0|p0)^6 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+49891, r12vrr_stack+84993, r12vrr_stack+49846, r12vrr_stack+168, r12vrr_stack+6, r12vrr_stack+49767);

 /*--- compute (i0|p0)^5 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+49954, r12vrr_stack+85038, r12vrr_stack+49891, r12vrr_stack+39648, r12vrr_stack+84993, r12vrr_stack+7708);

 /*--- compute (k0|p0)^4 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+37856, r12vrr_stack+85101, r12vrr_stack+49954, r12vrr_stack+39693, r12vrr_stack+85038, r12vrr_stack+49782);

 /*--- compute (l0|p0)^3 ---*/
 am[0] = 8;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+39590, r12vrr_stack+53720, r12vrr_stack+37856, r12vrr_stack+39756, r12vrr_stack+85101, r12vrr_stack+49810);

 /*--- compute (p0|d0)^10 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+7708, r12vrr_stack+5590, r12vrr_stack+8833, NULL, NULL, r12vrr_stack+5587);

 /*--- compute (d0|d0)^9 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+53702, r12vrr_stack+85185, r12vrr_stack+7708, r12vrr_stack+48, r12vrr_stack+5590, r12vrr_stack+1065);

 /*--- compute (f0|d0)^8 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+0, r12vrr_stack+85203, r12vrr_stack+53702, r12vrr_stack+21030, r12vrr_stack+85185, r12vrr_stack+84928);

 /*--- compute (g0|d0)^7 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+53738, r12vrr_stack+85239, r12vrr_stack+0, r12vrr_stack+39840, r12vrr_stack+85203, r12vrr_stack+84946);

 /*--- compute (h0|d0)^6 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+84928, r12vrr_stack+85299, r12vrr_stack+53738, r12vrr_stack+39876, r12vrr_stack+85239, r12vrr_stack+49846);

 /*--- compute (i0|d0)^5 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+85054, r12vrr_stack+85389, r12vrr_stack+84928, r12vrr_stack+39936, r12vrr_stack+85299, r12vrr_stack+49891);

 /*--- compute (k0|d0)^4 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+39725, r12vrr_stack+85515, r12vrr_stack+85054, r12vrr_stack+40026, r12vrr_stack+85389, r12vrr_stack+49954);

 /*--- compute (l0|d0)^3 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+85222, r12vrr_stack+85683, r12vrr_stack+39725, r12vrr_stack+40152, r12vrr_stack+85515, r12vrr_stack+37856);

 /*--- compute (m0|d0)^2 ---*/
 am[0] = 9;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+39941, r12vrr_stack+53828, r12vrr_stack+85222, r12vrr_stack+40320, r12vrr_stack+85683, r12vrr_stack+39590);

 /*--- compute (p0|f0)^10 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+21030, r12vrr_stack+8839, r12vrr_stack+14787, NULL, NULL, r12vrr_stack+8833);

 /*--- compute (d0|f0)^9 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+39590, r12vrr_stack+54098, r12vrr_stack+21030, r12vrr_stack+5596, r12vrr_stack+8839, r12vrr_stack+7708);

 /*--- compute (f0|f0)^8 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+53828, r12vrr_stack+54128, r12vrr_stack+39590, r12vrr_stack+14112, r12vrr_stack+54098, r12vrr_stack+53702);

 /*--- compute (g0|f0)^7 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+53928, r12vrr_stack+54188, r12vrr_stack+53828, r12vrr_stack+264, r12vrr_stack+54128, r12vrr_stack+0);

 /*--- compute (h0|f0)^6 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+85492, r12vrr_stack+85899, r12vrr_stack+53928, r12vrr_stack+40536, r12vrr_stack+54188, r12vrr_stack+53738);

 /*--- compute (i0|f0)^5 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+49754, r12vrr_stack+86049, r12vrr_stack+85492, r12vrr_stack+50066, r12vrr_stack+85899, r12vrr_stack+84928);

 /*--- compute (k0|f0)^4 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+40271, r12vrr_stack+86259, r12vrr_stack+49754, r12vrr_stack+30687, r12vrr_stack+86049, r12vrr_stack+85054);

 /*--- compute (l0|f0)^3 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+85702, r12vrr_stack+82192, r12vrr_stack+40271, r12vrr_stack+21645, r12vrr_stack+86259, r12vrr_stack+39725);

 /*--- compute (m0|f0)^2 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+120812, r12vrr_stack+86539, r12vrr_stack+85702, r12vrr_stack+55717, r12vrr_stack+82192, r12vrr_stack+85222);

 /*--- compute (n0|f0)^1 ---*/
 am[0] = 10;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+121362, r12vrr_stack+4859, r12vrr_stack+120812, r12vrr_stack+56077, r12vrr_stack+86539, r12vrr_stack+39941);

 /*--- compute (p0|g0)^10 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+4859, r12vrr_stack+14797, r12vrr_stack+383, NULL, NULL, r12vrr_stack+14787);

 /*--- compute (d0|g0)^9 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4904, r12vrr_stack+5409, r12vrr_stack+4859, r12vrr_stack+8849, r12vrr_stack+14797, r12vrr_stack+21030);

 /*--- compute (f0|g0)^8 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4994, r12vrr_stack+5454, r12vrr_stack+4904, r12vrr_stack+204, r12vrr_stack+5409, r12vrr_stack+39590);

 /*--- compute (g0|g0)^7 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+39590, r12vrr_stack+54288, r12vrr_stack+4994, r12vrr_stack+14142, r12vrr_stack+5454, r12vrr_stack+53828);

 /*--- compute (h0|g0)^6 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+39815, r12vrr_stack+86989, r12vrr_stack+39590, r12vrr_stack+27840, r12vrr_stack+54288, r12vrr_stack+53928);

 /*--- compute (i0|g0)^5 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5144, r12vrr_stack+87214, r12vrr_stack+39815, r12vrr_stack+30345, r12vrr_stack+86989, r12vrr_stack+85492);

 /*--- compute (k0|g0)^4 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+30345, r12vrr_stack+2775, r12vrr_stack+5144, r12vrr_stack+54458, r12vrr_stack+87214, r12vrr_stack+49754);

 /*--- compute (l0|g0)^3 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+84928, r12vrr_stack+42758, r12vrr_stack+30345, r12vrr_stack+54773, r12vrr_stack+2775, r12vrr_stack+40271);

 /*--- compute (m0|g0)^2 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+53702, r12vrr_stack+43298, r12vrr_stack+84928, r12vrr_stack+52916, r12vrr_stack+42758, r12vrr_stack+85702);

 /*--- compute (n0|g0)^1 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+85603, r12vrr_stack+176624, r12vrr_stack+53702, r12vrr_stack+126499, r12vrr_stack+43298, r12vrr_stack+120812);

 /*--- compute (o0|g0)^0 ---*/
 am[0] = 11;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+42758, r12vrr_stack+177449, r12vrr_stack+85603, r12vrr_stack+40636, r12vrr_stack+176624, r12vrr_stack+121362);

 /*--- compute (p0|h0)^10 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+176624, r12vrr_stack+20900, r12vrr_stack+30205, NULL, NULL, r12vrr_stack+383);

 /*--- compute (d0|h0)^9 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+176687, r12vrr_stack+52376, r12vrr_stack+176624, r12vrr_stack+14812, r12vrr_stack+20900, r12vrr_stack+4859);

 /*--- compute (f0|h0)^8 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+176813, r12vrr_stack+52439, r12vrr_stack+176687, r12vrr_stack+41461, r12vrr_stack+52376, r12vrr_stack+4904);

 /*--- compute (g0|h0)^7 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+177023, r12vrr_stack+52565, r12vrr_stack+176813, r12vrr_stack+41524, r12vrr_stack+52439, r12vrr_stack+4994);

 /*--- compute (h0|h0)^6 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+120812, r12vrr_stack+21225, r12vrr_stack+177023, r12vrr_stack+14897, r12vrr_stack+52565, r12vrr_stack+39590);

 /*--- compute (i0|h0)^5 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+52376, r12vrr_stack+32303, r12vrr_stack+120812, r12vrr_stack+56527, r12vrr_stack+21225, r12vrr_stack+39815);

 /*--- compute (k0|h0)^4 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+21225, r12vrr_stack+178439, r12vrr_stack+52376, r12vrr_stack+127174, r12vrr_stack+32303, r12vrr_stack+5144);

 /*--- compute (l0|h0)^3 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+39590, r12vrr_stack+179027, r12vrr_stack+21225, r12vrr_stack+127615, r12vrr_stack+178439, r12vrr_stack+30345);

 /*--- compute (m0|h0)^2 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4859, r12vrr_stack+179783, r12vrr_stack+39590, r12vrr_stack+128203, r12vrr_stack+179027, r12vrr_stack+84928);

 /*--- compute (n0|h0)^1 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+121253, r12vrr_stack+180728, r12vrr_stack+4859, r12vrr_stack+128959, r12vrr_stack+179783, r12vrr_stack+53702);

 /*--- compute (o0|h0)^0 ---*/
 am[0] = 11;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+178439, r12vrr_stack+89920, r12vrr_stack+121253, r12vrr_stack+60248, r12vrr_stack+180728, r12vrr_stack+85603);
 tmp = r12vrr_stack + 178439;
 target_ptr = Libr12->gvrr_classes[11][5];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^10 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+53702, r12vrr_stack+30226, r12vrr_stack+53674, NULL, NULL, r12vrr_stack+30205);

 /*--- compute (d0|i0)^9 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+53786, r12vrr_stack+91306, r12vrr_stack+53702, r12vrr_stack+20921, r12vrr_stack+30226, r12vrr_stack+176624);

 /*--- compute (f0|i0)^8 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+53954, r12vrr_stack+91390, r12vrr_stack+53786, r12vrr_stack+61403, r12vrr_stack+91306, r12vrr_stack+176687);

 /*--- compute (g0|i0)^7 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+14373, r12vrr_stack+53954, r12vrr_stack+1770, r12vrr_stack+91390, r12vrr_stack+176813);

 /*--- compute (h0|i0)^6 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+54234, r12vrr_stack+29778, r12vrr_stack+2775, r12vrr_stack+129904, r12vrr_stack+14373, r12vrr_stack+177023);

 /*--- compute (i0|i0)^5 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+176624, r12vrr_stack+181883, r12vrr_stack+54234, r12vrr_stack+130184, r12vrr_stack+29778, r12vrr_stack+120812);

 /*--- compute (k0|i0)^4 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+84928, r12vrr_stack+182471, r12vrr_stack+176624, r12vrr_stack+130604, r12vrr_stack+181883, r12vrr_stack+52376);

 /*--- compute (l0|i0)^3 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+52376, r12vrr_stack+183255, r12vrr_stack+84928, r12vrr_stack+131192, r12vrr_stack+182471, r12vrr_stack+21225);

 /*--- compute (m0|i0)^2 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+85936, r12vrr_stack+184263, r12vrr_stack+52376, r12vrr_stack+131976, r12vrr_stack+183255, r12vrr_stack+39590);

 /*--- compute (n0|i0)^1 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+180077, r12vrr_stack+91558, r12vrr_stack+85936, r12vrr_stack+132984, r12vrr_stack+184263, r12vrr_stack+4859);

 /*--- compute (o0|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+181925, r12vrr_stack+185523, r12vrr_stack+180077, r12vrr_stack+134244, r12vrr_stack+91558, r12vrr_stack+121253);
 tmp = r12vrr_stack + 181925;
 target_ptr = Libr12->gvrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^10 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4859, r12vrr_stack+8794, r12vrr_stack+19746, NULL, NULL, r12vrr_stack+53674);

 /*--- compute (d0|k0)^9 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4967, r12vrr_stack+1194, r12vrr_stack+4859, r12vrr_stack+30254, r12vrr_stack+8794, r12vrr_stack+53702);

 /*--- compute (f0|k0)^8 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+82192, r12vrr_stack+93098, r12vrr_stack+4967, r12vrr_stack+62348, r12vrr_stack+1194, r12vrr_stack+53786);

 /*--- compute (g0|k0)^7 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+5183, r12vrr_stack+93314, r12vrr_stack+82192, r12vrr_stack+62456, r12vrr_stack+93098, r12vrr_stack+53954);

 /*--- compute (h0|k0)^6 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+39590, r12vrr_stack+93674, r12vrr_stack+5183, r12vrr_stack+62672, r12vrr_stack+93314, r12vrr_stack+2775);

 /*--- compute (i0|k0)^5 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+120812, r12vrr_stack+187371, r12vrr_stack+39590, r12vrr_stack+63032, r12vrr_stack+93674, r12vrr_stack+54234);

 /*--- compute (k0|k0)^4 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62348, r12vrr_stack+188127, r12vrr_stack+120812, r12vrr_stack+135784, r12vrr_stack+187371, r12vrr_stack+176624);

 /*--- compute (l0|k0)^3 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+121820, r12vrr_stack+189135, r12vrr_stack+62348, r12vrr_stack+136540, r12vrr_stack+188127, r12vrr_stack+84928);

 /*--- compute (m0|k0)^2 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+91306, r12vrr_stack+94214, r12vrr_stack+121820, r12vrr_stack+137548, r12vrr_stack+189135, r12vrr_stack+52376);

 /*--- compute (n0|k0)^1 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+52376, r12vrr_stack+190431, r12vrr_stack+91306, r12vrr_stack+138844, r12vrr_stack+94214, r12vrr_stack+85936);

 /*--- compute (o0|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+84928, r12vrr_stack+95834, r12vrr_stack+52376, r12vrr_stack+64728, r12vrr_stack+190431, r12vrr_stack+180077);
 tmp = r12vrr_stack + 84928;
 target_ptr = Libr12->gvrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^10 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+180077, r12vrr_stack+37678, r12vrr_stack+20985, NULL, NULL, r12vrr_stack+19746);

 /*--- compute (d0|l0)^9 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+180212, r12vrr_stack+29316, r12vrr_stack+180077, r12vrr_stack+14067, r12vrr_stack+37678, r12vrr_stack+4859);

 /*--- compute (f0|l0)^8 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+180482, r12vrr_stack+3195, r12vrr_stack+180212, r12vrr_stack+66708, r12vrr_stack+29316, r12vrr_stack+4967);

 /*--- compute (g0|l0)^7 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+180932, r12vrr_stack+32744, r12vrr_stack+180482, r12vrr_stack+10074, r12vrr_stack+3195, r12vrr_stack+82192);

 /*--- compute (h0|l0)^6 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+187371, r12vrr_stack+192411, r12vrr_stack+180932, r12vrr_stack+55193, r12vrr_stack+32744, r12vrr_stack+5183);

 /*--- compute (i0|l0)^5 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+54752, r12vrr_stack+193086, r12vrr_stack+187371, r12vrr_stack+140464, r12vrr_stack+192411, r12vrr_stack+39590);

 /*--- compute (k0|l0)^4 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+188316, r12vrr_stack+194031, r12vrr_stack+54752, r12vrr_stack+141139, r12vrr_stack+193086, r12vrr_stack+120812);

 /*--- compute (l0|l0)^3 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+189936, r12vrr_stack+195291, r12vrr_stack+188316, r12vrr_stack+142084, r12vrr_stack+194031, r12vrr_stack+62348);

 /*--- compute (m0|l0)^2 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+191961, r12vrr_stack+98210, r12vrr_stack+189936, r12vrr_stack+143344, r12vrr_stack+195291, r12vrr_stack+121820);

 /*--- compute (n0|l0)^1 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+135784, r12vrr_stack+196911, r12vrr_stack+191961, r12vrr_stack+144964, r12vrr_stack+98210, r12vrr_stack+91306);

 /*--- compute (o0|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+91306, r12vrr_stack+100235, r12vrr_stack+135784, r12vrr_stack+68328, r12vrr_stack+196911, r12vrr_stack+52376);
 tmp = r12vrr_stack + 91306;
 target_ptr = Libr12->gvrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^10 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+14067, r12vrr_stack+30290, r12vrr_stack+20845, NULL, NULL, r12vrr_stack+20985);

 /*--- compute (d0|m0)^9 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52376, r12vrr_stack+9034, r12vrr_stack+14067, r12vrr_stack+37723, r12vrr_stack+30290, r12vrr_stack+180077);

 /*--- compute (f0|m0)^8 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52706, r12vrr_stack+9199, r12vrr_stack+52376, r12vrr_stack+70803, r12vrr_stack+9034, r12vrr_stack+180212);

 /*--- compute (g0|m0)^7 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+176624, r12vrr_stack+199386, r12vrr_stack+52706, r12vrr_stack+15714, r12vrr_stack+9199, r12vrr_stack+180482);

 /*--- compute (h0|m0)^6 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+53256, r12vrr_stack+199936, r12vrr_stack+176624, r12vrr_stack+16044, r12vrr_stack+199386, r12vrr_stack+180932);

 /*--- compute (i0|m0)^5 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+180077, r12vrr_stack+200761, r12vrr_stack+53256, r12vrr_stack+146989, r12vrr_stack+199936, r12vrr_stack+187371);

 /*--- compute (k0|m0)^4 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+98210, r12vrr_stack+201916, r12vrr_stack+180077, r12vrr_stack+147814, r12vrr_stack+200761, r12vrr_stack+54752);

 /*--- compute (l0|m0)^3 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+54411, r12vrr_stack+203456, r12vrr_stack+98210, r12vrr_stack+148969, r12vrr_stack+201916, r12vrr_stack+188316);

 /*--- compute (m0|m0)^2 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+194436, r12vrr_stack+103205, r12vrr_stack+54411, r12vrr_stack+150509, r12vrr_stack+203456, r12vrr_stack+189936);

 /*--- compute (n0|m0)^1 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+187371, r12vrr_stack+205436, r12vrr_stack+194436, r12vrr_stack+152489, r12vrr_stack+103205, r12vrr_stack+191961);

 /*--- compute (o0|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+197461, r12vrr_stack+105680, r12vrr_stack+187371, r12vrr_stack+72828, r12vrr_stack+205436, r12vrr_stack+135784);
 tmp = r12vrr_stack + 197461;
 target_ptr = Libr12->gvrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^20 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1032, Data->F+20, Data->F+21, NULL, NULL, NULL);

 /*--- compute (00|d0)^19 ---*/
 _BUILD_00d0(Data,r12vrr_stack+135784, r12vrr_stack+27675, r12vrr_stack+1032, Data->F+19, Data->F+20, NULL);

 /*--- compute (00|f0)^18 ---*/
 _BUILD_00f0(Data,r12vrr_stack+135790, r12vrr_stack+198, r12vrr_stack+135784, r12vrr_stack+75853, r12vrr_stack+27675, NULL);

 /*--- compute (00|g0)^17 ---*/
 _BUILD_00g0(Data,r12vrr_stack+135800, r12vrr_stack+27678, r12vrr_stack+135790, r12vrr_stack+14232, r12vrr_stack+198, NULL);

 /*--- compute (00|h0)^16 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7708, r12vrr_stack+1035, r12vrr_stack+135800, r12vrr_stack+710, r12vrr_stack+27678, NULL);

 /*--- compute (00|i0)^15 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+135784, r12vrr_stack+352, r12vrr_stack+7708, r12vrr_stack+1050, r12vrr_stack+1035, NULL);

 /*--- compute (00|k0)^14 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19746, r12vrr_stack+14833, r12vrr_stack+135784, r12vrr_stack+60, r12vrr_stack+352, NULL);

 /*--- compute (00|l0)^13 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+100190, r12vrr_stack+20949, r12vrr_stack+19746, r12vrr_stack+75856, r12vrr_stack+14833, NULL);

 /*--- compute (00|m0)^12 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+352, r12vrr_stack+1086, r12vrr_stack+100190, r12vrr_stack+14861, r12vrr_stack+20949, NULL);

 /*--- compute (00|n0)^11 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+407, r12vrr_stack+20845, r12vrr_stack+352, r12vrr_stack+20985, r12vrr_stack+1086, NULL);

 /*--- compute (p0|n0)^10 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+473, r12vrr_stack+27688, r12vrr_stack+407, NULL, NULL, r12vrr_stack+20845);

 /*--- compute (d0|n0)^9 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+135784, r12vrr_stack+109310, r12vrr_stack+473, r12vrr_stack+75884, r12vrr_stack+27688, r12vrr_stack+14067);

 /*--- compute (f0|n0)^8 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+136180, r12vrr_stack+43973, r12vrr_stack+135784, r12vrr_stack+75950, r12vrr_stack+109310, r12vrr_stack+52376);

 /*--- compute (g0|n0)^7 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+136840, r12vrr_stack+208461, r12vrr_stack+136180, r12vrr_stack+22905, r12vrr_stack+43973, r12vrr_stack+52706);

 /*--- compute (h0|n0)^6 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+137830, r12vrr_stack+209121, r12vrr_stack+136840, r12vrr_stack+23301, r12vrr_stack+208461, r12vrr_stack+176624);

 /*--- compute (i0|n0)^5 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+135784, r12vrr_stack+210111, r12vrr_stack+137830, r12vrr_stack+154964, r12vrr_stack+209121, r12vrr_stack+53256);

 /*--- compute (k0|n0)^4 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+137632, r12vrr_stack+211497, r12vrr_stack+135784, r12vrr_stack+155954, r12vrr_stack+210111, r12vrr_stack+180077);

 /*--- compute (l0|n0)^3 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+140008, r12vrr_stack+213345, r12vrr_stack+137632, r12vrr_stack+157340, r12vrr_stack+211497, r12vrr_stack+98210);

 /*--- compute (m0|n0)^2 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+135784, r12vrr_stack+109508, r12vrr_stack+140008, r12vrr_stack+159188, r12vrr_stack+213345, r12vrr_stack+54411);

 /*--- compute (n0|n0)^1 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+139414, r12vrr_stack+215721, r12vrr_stack+135784, r12vrr_stack+161564, r12vrr_stack+109508, r12vrr_stack+194436);

 /*--- compute (o0|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+143770, r12vrr_stack+112478, r12vrr_stack+139414, r12vrr_stack+78328, r12vrr_stack+215721, r12vrr_stack+187371);

 /*--- compute (00|o0)^10 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+187371, r12vrr_stack+27688, r12vrr_stack+407, r12vrr_stack+30290, r12vrr_stack+20845, NULL);

 /*--- compute (p0|o0)^9 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+187449, r12vrr_stack+37778, r12vrr_stack+187371, NULL, NULL, r12vrr_stack+27688);

 /*--- compute (d0|o0)^8 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+187683, r12vrr_stack+52064, r12vrr_stack+187449, r12vrr_stack+52298, r12vrr_stack+37778, r12vrr_stack+109310);

 /*--- compute (f0|o0)^7 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+232221, r12vrr_stack+116834, r12vrr_stack+187683, r12vrr_stack+81958, r12vrr_stack+52064, r12vrr_stack+43973);

 /*--- compute (g0|o0)^6 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52064, r12vrr_stack+219351, r12vrr_stack+232221, r12vrr_stack+31835, r12vrr_stack+116834, r12vrr_stack+208461);

 /*--- compute (h0|o0)^5 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+53234, r12vrr_stack+220131, r12vrr_stack+52064, r12vrr_stack+164534, r12vrr_stack+219351, r12vrr_stack+209121);

 /*--- compute (i0|o0)^4 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+187371, r12vrr_stack+221301, r12vrr_stack+53234, r12vrr_stack+165314, r12vrr_stack+220131, r12vrr_stack+210111);

 /*--- compute (k0|o0)^3 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52064, r12vrr_stack+222939, r12vrr_stack+187371, r12vrr_stack+166484, r12vrr_stack+221301, r12vrr_stack+211497);

 /*--- compute (l0|o0)^2 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+187371, r12vrr_stack+225123, r12vrr_stack+52064, r12vrr_stack+168122, r12vrr_stack+222939, r12vrr_stack+213345);

 /*--- compute (m0|o0)^1 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52064, r12vrr_stack+117302, r12vrr_stack+187371, r12vrr_stack+170306, r12vrr_stack+225123, r12vrr_stack+109508);

 /*--- compute (n0|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+187371, r12vrr_stack+227931, r12vrr_stack+52064, r12vrr_stack+173114, r12vrr_stack+117302, r12vrr_stack+215721);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+52064, &(Data->ss_r12_ss), NULL, r12vrr_stack+324, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+52067, r12vrr_stack+52064, &(Data->ss_r12_ss), r12vrr_stack+81, r12vrr_stack+324, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+52073, r12vrr_stack+52067, r12vrr_stack+52064, r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+324, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+52083, r12vrr_stack+52073, r12vrr_stack+52067, r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+81, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+7708, r12vrr_stack+52083, r12vrr_stack+52073, r12vrr_stack+1011, r12vrr_stack+337, r12vrr_stack+327, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+52098, r12vrr_stack+7708, NULL, r12vrr_stack+1131, r12vrr_stack+1011, NULL, r12vrr_stack+337);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+52161, r12vrr_stack+52098, r12vrr_stack+7708, r12vrr_stack+6112, r12vrr_stack+1131, r12vrr_stack+1011, r12vrr_stack+1485);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+52287, r12vrr_stack+52161, r12vrr_stack+52098, r12vrr_stack+6238, r12vrr_stack+6112, r12vrr_stack+1131, r12vrr_stack+1530);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+27675, r12vrr_stack+52287, r12vrr_stack+52161, r12vrr_stack+6448, r12vrr_stack+6238, r12vrr_stack+6112, r12vrr_stack+1620);

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+52497, r12vrr_stack+27675, r12vrr_stack+52287, r12vrr_stack+7729, r12vrr_stack+6448, r12vrr_stack+6238, r12vrr_stack+2235);
 tmp = r12vrr_stack + 52497;
 target_ptr = Libr12->rvrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+52938, r12vrr_stack+52497, r12vrr_stack+27675, r12vrr_stack+8170, r12vrr_stack+7729, r12vrr_stack+6448, r12vrr_stack+2460);
 tmp = r12vrr_stack + 52938;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||h0)^0 ---*/
 _R_BUILD_k0h0(Data,r12vrr_stack+53526, r12vrr_stack+52938, r12vrr_stack+52497, r12vrr_stack+61592, r12vrr_stack+8170, r12vrr_stack+7729, r12vrr_stack+4327);
 tmp = r12vrr_stack + 53526;
 target_ptr = Libr12->rvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||h0)^0 ---*/
 _R_BUILD_l0h0(Data,r12vrr_stack+54282, r12vrr_stack+53526, r12vrr_stack+52938, r12vrr_stack+6763, r12vrr_stack+61592, r12vrr_stack+8170, r12vrr_stack+59708);
 tmp = r12vrr_stack + 54282;
 target_ptr = Libr12->rvrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+52098, r12vrr_stack+54282, r12vrr_stack+53526, r12vrr_stack+60248, r12vrr_stack+6763, r12vrr_stack+61592, r12vrr_stack+3538);
 tmp = r12vrr_stack + 52098;
 target_ptr = Libr12->rvrr_classes[9][5];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+27675, r12vrr_stack+7708, r12vrr_stack+52083, r12vrr_stack+4747, r12vrr_stack+1011, r12vrr_stack+337, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+27703, r12vrr_stack+27675, NULL, r12vrr_stack+4775, r12vrr_stack+4747, NULL, r12vrr_stack+1011);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+27787, r12vrr_stack+27703, r12vrr_stack+27675, r12vrr_stack+9626, r12vrr_stack+4775, r12vrr_stack+4747, r12vrr_stack+1131);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+53253, r12vrr_stack+27787, r12vrr_stack+27703, r12vrr_stack+9794, r12vrr_stack+9626, r12vrr_stack+4775, r12vrr_stack+6112);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+53533, r12vrr_stack+53253, r12vrr_stack+27787, r12vrr_stack+10774, r12vrr_stack+9794, r12vrr_stack+9626, r12vrr_stack+6238);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+55227, r12vrr_stack+53533, r12vrr_stack+53253, r12vrr_stack+11194, r12vrr_stack+10774, r12vrr_stack+9794, r12vrr_stack+6448);
 tmp = r12vrr_stack + 55227;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+55815, r12vrr_stack+55227, r12vrr_stack+53533, r12vrr_stack+13238, r12vrr_stack+11194, r12vrr_stack+10774, r12vrr_stack+7729);
 tmp = r12vrr_stack + 55815;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+53253, r12vrr_stack+55815, r12vrr_stack+55227, r12vrr_stack+63720, r12vrr_stack+13238, r12vrr_stack+11194, r12vrr_stack+8170);
 tmp = r12vrr_stack + 53253;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||i0)^0 ---*/
 _R_BUILD_l0i0(Data,r12vrr_stack+192519, r12vrr_stack+53253, r12vrr_stack+55815, r12vrr_stack+11782, r12vrr_stack+63720, r12vrr_stack+13238, r12vrr_stack+61592);
 tmp = r12vrr_stack + 192519;
 target_ptr = Libr12->rvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+55227, r12vrr_stack+192519, r12vrr_stack+53253, r12vrr_stack+134244, r12vrr_stack+11782, r12vrr_stack+63720, r12vrr_stack+6763);
 tmp = r12vrr_stack + 55227;
 target_ptr = Libr12->rvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+19746, r12vrr_stack+27675, r12vrr_stack+7708, r12vrr_stack+8758, r12vrr_stack+4747, r12vrr_stack+1011, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+53253, r12vrr_stack+19746, NULL, r12vrr_stack+8926, r12vrr_stack+8758, NULL, r12vrr_stack+4747);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+53361, r12vrr_stack+53253, r12vrr_stack+19746, r12vrr_stack+15138, r12vrr_stack+8926, r12vrr_stack+8758, r12vrr_stack+4775);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+4775, r12vrr_stack+53361, r12vrr_stack+53253, r12vrr_stack+15354, r12vrr_stack+15138, r12vrr_stack+8926, r12vrr_stack+9626);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+5135, r12vrr_stack+4775, r12vrr_stack+53361, r12vrr_stack+16830, r12vrr_stack+15354, r12vrr_stack+15138, r12vrr_stack+9794);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+53253, r12vrr_stack+5135, r12vrr_stack+4775, r12vrr_stack+17370, r12vrr_stack+16830, r12vrr_stack+15354, r12vrr_stack+10774);
 tmp = r12vrr_stack + 53253;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+193779, r12vrr_stack+53253, r12vrr_stack+5135, r12vrr_stack+19782, r12vrr_stack+17370, r12vrr_stack+16830, r12vrr_stack+11194);
 tmp = r12vrr_stack + 193779;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+4775, r12vrr_stack+193779, r12vrr_stack+53253, r12vrr_stack+67032, r12vrr_stack+19782, r12vrr_stack+17370, r12vrr_stack+13238);
 tmp = r12vrr_stack + 4775;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||k0)^0 ---*/
 _R_BUILD_l0k0(Data,r12vrr_stack+194787, r12vrr_stack+4775, r12vrr_stack+193779, r12vrr_stack+18126, r12vrr_stack+67032, r12vrr_stack+19782, r12vrr_stack+63720);
 tmp = r12vrr_stack + 194787;
 target_ptr = Libr12->rvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+116834, r12vrr_stack+194787, r12vrr_stack+4775, r12vrr_stack+64728, r12vrr_stack+18126, r12vrr_stack+67032, r12vrr_stack+11782);
 tmp = r12vrr_stack + 116834;
 target_ptr = Libr12->rvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+4775, r12vrr_stack+19746, r12vrr_stack+27675, r12vrr_stack+14022, r12vrr_stack+8758, r12vrr_stack+4747, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+27675, r12vrr_stack+4775, NULL, r12vrr_stack+14238, r12vrr_stack+14022, NULL, r12vrr_stack+8758);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+4820, r12vrr_stack+27675, r12vrr_stack+4775, r12vrr_stack+22185, r12vrr_stack+14238, r12vrr_stack+14022, r12vrr_stack+8926);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+5090, r12vrr_stack+4820, r12vrr_stack+27675, r12vrr_stack+22455, r12vrr_stack+22185, r12vrr_stack+14238, r12vrr_stack+15138);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+5540, r12vrr_stack+5090, r12vrr_stack+4820, r12vrr_stack+24030, r12vrr_stack+22455, r12vrr_stack+22185, r12vrr_stack+15354);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+193779, r12vrr_stack+5540, r12vrr_stack+5090, r12vrr_stack+24705, r12vrr_stack+24030, r12vrr_stack+22455, r12vrr_stack+16830);
 tmp = r12vrr_stack + 193779;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+118814, r12vrr_stack+193779, r12vrr_stack+5540, r12vrr_stack+27990, r12vrr_stack+24705, r12vrr_stack+24030, r12vrr_stack+17370);
 tmp = r12vrr_stack + 118814;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+4820, r12vrr_stack+118814, r12vrr_stack+193779, r12vrr_stack+71208, r12vrr_stack+27990, r12vrr_stack+24705, r12vrr_stack+19782);
 tmp = r12vrr_stack + 4820;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||l0)^0 ---*/
 _R_BUILD_l0l0(Data,r12vrr_stack+98210, r12vrr_stack+4820, r12vrr_stack+118814, r12vrr_stack+25650, r12vrr_stack+71208, r12vrr_stack+27990, r12vrr_stack+67032);
 tmp = r12vrr_stack + 98210;
 target_ptr = Libr12->rvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+103205, r12vrr_stack+98210, r12vrr_stack+4820, r12vrr_stack+68328, r12vrr_stack+25650, r12vrr_stack+71208, r12vrr_stack+18126);
 tmp = r12vrr_stack + 103205;
 target_ptr = Libr12->rvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4820, r12vrr_stack+4775, r12vrr_stack+19746, r12vrr_stack+20790, r12vrr_stack+14022, r12vrr_stack+8758, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+8758, r12vrr_stack+4820, NULL, r12vrr_stack+21060, r12vrr_stack+20790, NULL, r12vrr_stack+14022);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+8923, r12vrr_stack+8758, r12vrr_stack+4820, r12vrr_stack+30955, r12vrr_stack+21060, r12vrr_stack+20790, r12vrr_stack+14238);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+9253, r12vrr_stack+8923, r12vrr_stack+8758, r12vrr_stack+31285, r12vrr_stack+30955, r12vrr_stack+21060, r12vrr_stack+22185);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+176624, r12vrr_stack+9253, r12vrr_stack+8923, r12vrr_stack+33210, r12vrr_stack+31285, r12vrr_stack+30955, r12vrr_stack+22455);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+4875, r12vrr_stack+176624, r12vrr_stack+9253, r12vrr_stack+34035, r12vrr_stack+33210, r12vrr_stack+31285, r12vrr_stack+24030);
 tmp = r12vrr_stack + 4875;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+8758, r12vrr_stack+4875, r12vrr_stack+176624, r12vrr_stack+38050, r12vrr_stack+34035, r12vrr_stack+33210, r12vrr_stack+24705);
 tmp = r12vrr_stack + 8758;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+118814, r12vrr_stack+8758, r12vrr_stack+4875, r12vrr_stack+76348, r12vrr_stack+38050, r12vrr_stack+34035, r12vrr_stack+27990);
 tmp = r12vrr_stack + 118814;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+120794, r12vrr_stack+118814, r12vrr_stack+8758, r12vrr_stack+35190, r12vrr_stack+76348, r12vrr_stack+38050, r12vrr_stack+71208);
 tmp = r12vrr_stack + 120794;
 target_ptr = Libr12->rvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+109310, r12vrr_stack+120794, r12vrr_stack+118814, r12vrr_stack+72828, r12vrr_stack+35190, r12vrr_stack+76348, r12vrr_stack+25650);
 tmp = r12vrr_stack + 109310;
 target_ptr = Libr12->rvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+118814, r12vrr_stack+4820, r12vrr_stack+4775, r12vrr_stack+29250, r12vrr_stack+20790, r12vrr_stack+14022, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14022, r12vrr_stack+118814, NULL, r12vrr_stack+29580, r12vrr_stack+29250, NULL, r12vrr_stack+20790);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14220, r12vrr_stack+14022, r12vrr_stack+118814, r12vrr_stack+41702, r12vrr_stack+29580, r12vrr_stack+29250, r12vrr_stack+21060);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+118814, r12vrr_stack+14220, r12vrr_stack+14022, r12vrr_stack+42098, r12vrr_stack+41702, r12vrr_stack+29580, r12vrr_stack+30955);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+29250, r12vrr_stack+118814, r12vrr_stack+14220, r12vrr_stack+44408, r12vrr_stack+42098, r12vrr_stack+41702, r12vrr_stack+31285);

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14022, r12vrr_stack+29250, r12vrr_stack+118814, r12vrr_stack+45398, r12vrr_stack+44408, r12vrr_stack+42098, r12vrr_stack+33210);
 tmp = r12vrr_stack + 14022;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+180077, r12vrr_stack+14022, r12vrr_stack+29250, r12vrr_stack+50216, r12vrr_stack+45398, r12vrr_stack+44408, r12vrr_stack+34035);
 tmp = r12vrr_stack + 180077;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+29250, r12vrr_stack+180077, r12vrr_stack+14022, r12vrr_stack+82552, r12vrr_stack+50216, r12vrr_stack+45398, r12vrr_stack+38050);
 tmp = r12vrr_stack + 29250;
 target_ptr = Libr12->rvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+20790, r12vrr_stack+29250, r12vrr_stack+180077, r12vrr_stack+46784, r12vrr_stack+82552, r12vrr_stack+50216, r12vrr_stack+76348);
 tmp = r12vrr_stack + 20790;
 target_ptr = Libr12->rvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+135784, r12vrr_stack+20790, r12vrr_stack+29250, r12vrr_stack+78328, r12vrr_stack+46784, r12vrr_stack+82552, r12vrr_stack+35190);
 tmp = r12vrr_stack + 135784;
 target_ptr = Libr12->rvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+29250, r12vrr_stack+7729, r12vrr_stack+11194, r12vrr_stack+8170, r12vrr_stack+4327, r12vrr_stack+2460);
 tmp = r12vrr_stack + 29250;
 target_ptr = Libr12->t2vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+29691, r12vrr_stack+11194, r12vrr_stack+17370, r12vrr_stack+13238, r12vrr_stack+8170, r12vrr_stack+7729);
 tmp = r12vrr_stack + 29691;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+30279, r12vrr_stack+17370, r12vrr_stack+24705, r12vrr_stack+19782, r12vrr_stack+13238, r12vrr_stack+11194);
 tmp = r12vrr_stack + 30279;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+31035, r12vrr_stack+24705, r12vrr_stack+34035, r12vrr_stack+27990, r12vrr_stack+19782, r12vrr_stack+17370);
 tmp = r12vrr_stack + 31035;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+31980, r12vrr_stack+34035, r12vrr_stack+45398, r12vrr_stack+38050, r12vrr_stack+27990, r12vrr_stack+24705);
 tmp = r12vrr_stack + 31980;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+180077, r12vrr_stack+45398, r12vrr_stack+58070, r12vrr_stack+50216, r12vrr_stack+38050, r12vrr_stack+34035);
 tmp = r12vrr_stack + 180077;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14022, r12vrr_stack+8170, r12vrr_stack+13238, r12vrr_stack+61592, r12vrr_stack+59708, r12vrr_stack+4327);
 tmp = r12vrr_stack + 14022;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14610, r12vrr_stack+13238, r12vrr_stack+19782, r12vrr_stack+63720, r12vrr_stack+61592, r12vrr_stack+8170);
 tmp = r12vrr_stack + 14610;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+193779, r12vrr_stack+19782, r12vrr_stack+27990, r12vrr_stack+67032, r12vrr_stack+63720, r12vrr_stack+13238);
 tmp = r12vrr_stack + 193779;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+15394, r12vrr_stack+27990, r12vrr_stack+38050, r12vrr_stack+71208, r12vrr_stack+67032, r12vrr_stack+19782);
 tmp = r12vrr_stack + 15394;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+118814, r12vrr_stack+38050, r12vrr_stack+50216, r12vrr_stack+76348, r12vrr_stack+71208, r12vrr_stack+27990);
 tmp = r12vrr_stack + 118814;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+8758, r12vrr_stack+50216, r12vrr_stack+87736, r12vrr_stack+82552, r12vrr_stack+76348, r12vrr_stack+38050);
 tmp = r12vrr_stack + 8758;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+176624, r12vrr_stack+61592, r12vrr_stack+63720, r12vrr_stack+6763, r12vrr_stack+3538, r12vrr_stack+59708);
 tmp = r12vrr_stack + 176624;
 target_ptr = Libr12->t2vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+53253, r12vrr_stack+63720, r12vrr_stack+67032, r12vrr_stack+11782, r12vrr_stack+6763, r12vrr_stack+61592);
 tmp = r12vrr_stack + 53253;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+139414, r12vrr_stack+67032, r12vrr_stack+71208, r12vrr_stack+18126, r12vrr_stack+11782, r12vrr_stack+63720);
 tmp = r12vrr_stack + 139414;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+140710, r12vrr_stack+71208, r12vrr_stack+76348, r12vrr_stack+25650, r12vrr_stack+18126, r12vrr_stack+67032);
 tmp = r12vrr_stack + 140710;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+148918, r12vrr_stack+76348, r12vrr_stack+82552, r12vrr_stack+35190, r12vrr_stack+25650, r12vrr_stack+71208);
 tmp = r12vrr_stack + 148918;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+150898, r12vrr_stack+82552, r12vrr_stack+123691, r12vrr_stack+46784, r12vrr_stack+35190, r12vrr_stack+76348);
 tmp = r12vrr_stack + 150898;
 target_ptr = Libr12->t2vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_l0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+196407, r12vrr_stack+6763, r12vrr_stack+11782, r12vrr_stack+60248, r12vrr_stack+40636, r12vrr_stack+3538);
 tmp = r12vrr_stack + 196407;
 target_ptr = Libr12->t2vrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+232221, r12vrr_stack+11782, r12vrr_stack+18126, r12vrr_stack+134244, r12vrr_stack+60248, r12vrr_stack+6763);
 tmp = r12vrr_stack + 232221;
 target_ptr = Libr12->t2vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+153274, r12vrr_stack+18126, r12vrr_stack+25650, r12vrr_stack+64728, r12vrr_stack+134244, r12vrr_stack+11782);
 tmp = r12vrr_stack + 153274;
 target_ptr = Libr12->t2vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+154894, r12vrr_stack+25650, r12vrr_stack+35190, r12vrr_stack+68328, r12vrr_stack+64728, r12vrr_stack+18126);
 tmp = r12vrr_stack + 154894;
 target_ptr = Libr12->t2vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+156919, r12vrr_stack+35190, r12vrr_stack+46784, r12vrr_stack+72828, r12vrr_stack+68328, r12vrr_stack+25650);
 tmp = r12vrr_stack + 156919;
 target_ptr = Libr12->t2vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+159394, r12vrr_stack+46784, r12vrr_stack+173114, r12vrr_stack+78328, r12vrr_stack+72828, r12vrr_stack+35190);
 tmp = r12vrr_stack + 159394;
 target_ptr = Libr12->t2vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+142330, r12vrr_stack+60248, r12vrr_stack+134244, r12vrr_stack+89920, r12vrr_stack+177449, r12vrr_stack+40636);
 tmp = r12vrr_stack + 142330;
 target_ptr = Libr12->t2vrr_classes[9][5];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+162364, r12vrr_stack+134244, r12vrr_stack+64728, r12vrr_stack+185523, r12vrr_stack+89920, r12vrr_stack+60248);
 tmp = r12vrr_stack + 162364;
 target_ptr = Libr12->t2vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+163904, r12vrr_stack+64728, r12vrr_stack+68328, r12vrr_stack+95834, r12vrr_stack+185523, r12vrr_stack+134244);
 tmp = r12vrr_stack + 163904;
 target_ptr = Libr12->t2vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+165884, r12vrr_stack+68328, r12vrr_stack+72828, r12vrr_stack+100235, r12vrr_stack+95834, r12vrr_stack+64728);
 tmp = r12vrr_stack + 165884;
 target_ptr = Libr12->t2vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+168359, r12vrr_stack+72828, r12vrr_stack+78328, r12vrr_stack+105680, r12vrr_stack+100235, r12vrr_stack+68328);
 tmp = r12vrr_stack + 168359;
 target_ptr = Libr12->t2vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+201751, r12vrr_stack+78328, r12vrr_stack+227931, r12vrr_stack+112478, r12vrr_stack+105680, r12vrr_stack+72828);
 tmp = r12vrr_stack + 201751;
 target_ptr = Libr12->t2vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+171384, r12vrr_stack+89920, r12vrr_stack+185523, r12vrr_stack+178439, r12vrr_stack+42758, r12vrr_stack+177449);
 tmp = r12vrr_stack + 171384;
 target_ptr = Libr12->t2vrr_classes[10][5];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+205381, r12vrr_stack+185523, r12vrr_stack+95834, r12vrr_stack+181925, r12vrr_stack+178439, r12vrr_stack+89920);
 tmp = r12vrr_stack + 205381;
 target_ptr = Libr12->t2vrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+207229, r12vrr_stack+95834, r12vrr_stack+100235, r12vrr_stack+84928, r12vrr_stack+181925, r12vrr_stack+185523);
 tmp = r12vrr_stack + 207229;
 target_ptr = Libr12->t2vrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+209605, r12vrr_stack+100235, r12vrr_stack+105680, r12vrr_stack+91306, r12vrr_stack+84928, r12vrr_stack+95834);
 tmp = r12vrr_stack + 209605;
 target_ptr = Libr12->t2vrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+212575, r12vrr_stack+105680, r12vrr_stack+112478, r12vrr_stack+197461, r12vrr_stack+91306, r12vrr_stack+100235);
 tmp = r12vrr_stack + 212575;
 target_ptr = Libr12->t2vrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+216205, r12vrr_stack+112478, r12vrr_stack+187371, r12vrr_stack+143770, r12vrr_stack+197461, r12vrr_stack+105680);
 tmp = r12vrr_stack + 216205;
 target_ptr = Libr12->t2vrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_h0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+59708, r12vrr_stack+7729, r12vrr_stack+8170, r12vrr_stack+11194, r12vrr_stack+10774, r12vrr_stack+6448);
 tmp = r12vrr_stack + 59708;
 target_ptr = Libr12->t1vrr_classes[5][5];
 for(i=0;i<441;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+177380, r12vrr_stack+11194, r12vrr_stack+13238, r12vrr_stack+17370, r12vrr_stack+16830, r12vrr_stack+10774);
 tmp = r12vrr_stack + 177380;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+94816, r12vrr_stack+17370, r12vrr_stack+19782, r12vrr_stack+24705, r12vrr_stack+24030, r12vrr_stack+16830);
 tmp = r12vrr_stack + 94816;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+62348, r12vrr_stack+24705, r12vrr_stack+27990, r12vrr_stack+34035, r12vrr_stack+33210, r12vrr_stack+24030);
 tmp = r12vrr_stack + 62348;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+220561, r12vrr_stack+34035, r12vrr_stack+38050, r12vrr_stack+45398, r12vrr_stack+44408, r12vrr_stack+33210);
 tmp = r12vrr_stack + 220561;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+221716, r12vrr_stack+45398, r12vrr_stack+50216, r12vrr_stack+58070, r12vrr_stack+56900, r12vrr_stack+44408);
 tmp = r12vrr_stack + 221716;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10606, r12vrr_stack+8170, r12vrr_stack+61592, r12vrr_stack+13238, r12vrr_stack+11194, r12vrr_stack+7729);
 tmp = r12vrr_stack + 10606;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33135, r12vrr_stack+13238, r12vrr_stack+63720, r12vrr_stack+19782, r12vrr_stack+17370, r12vrr_stack+11194);
 tmp = r12vrr_stack + 33135;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+56767, r12vrr_stack+19782, r12vrr_stack+67032, r12vrr_stack+27990, r12vrr_stack+24705, r12vrr_stack+17370);
 tmp = r12vrr_stack + 56767;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16654, r12vrr_stack+27990, r12vrr_stack+71208, r12vrr_stack+38050, r12vrr_stack+34035, r12vrr_stack+24705);
 tmp = r12vrr_stack + 16654;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+23760, r12vrr_stack+38050, r12vrr_stack+76348, r12vrr_stack+50216, r12vrr_stack+45398, r12vrr_stack+34035);
 tmp = r12vrr_stack + 23760;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+223102, r12vrr_stack+50216, r12vrr_stack+82552, r12vrr_stack+87736, r12vrr_stack+58070, r12vrr_stack+45398);
 tmp = r12vrr_stack + 223102;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33919, r12vrr_stack+61592, r12vrr_stack+6763, r12vrr_stack+63720, r12vrr_stack+13238, r12vrr_stack+8170);
 tmp = r12vrr_stack + 33919;
 target_ptr = Libr12->t1vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7708, r12vrr_stack+63720, r12vrr_stack+11782, r12vrr_stack+67032, r12vrr_stack+19782, r12vrr_stack+13238);
 tmp = r12vrr_stack + 7708;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+57775, r12vrr_stack+67032, r12vrr_stack+18126, r12vrr_stack+71208, r12vrr_stack+27990, r12vrr_stack+19782);
 tmp = r12vrr_stack + 57775;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+224950, r12vrr_stack+71208, r12vrr_stack+25650, r12vrr_stack+76348, r12vrr_stack+38050, r12vrr_stack+27990);
 tmp = r12vrr_stack + 224950;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+41461, r12vrr_stack+76348, r12vrr_stack+35190, r12vrr_stack+82552, r12vrr_stack+50216, r12vrr_stack+38050);
 tmp = r12vrr_stack + 41461;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+43441, r12vrr_stack+82552, r12vrr_stack+46784, r12vrr_stack+123691, r12vrr_stack+87736, r12vrr_stack+50216);
 tmp = r12vrr_stack + 43441;
 target_ptr = Libr12->t1vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_l0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+87736, r12vrr_stack+6763, r12vrr_stack+60248, r12vrr_stack+11782, r12vrr_stack+63720, r12vrr_stack+61592);
 tmp = r12vrr_stack + 87736;
 target_ptr = Libr12->t1vrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+27675, r12vrr_stack+11782, r12vrr_stack+134244, r12vrr_stack+18126, r12vrr_stack+67032, r12vrr_stack+63720);
 tmp = r12vrr_stack + 27675;
 target_ptr = Libr12->t1vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+126499, r12vrr_stack+18126, r12vrr_stack+64728, r12vrr_stack+25650, r12vrr_stack+71208, r12vrr_stack+67032);
 tmp = r12vrr_stack + 126499;
 target_ptr = Libr12->t1vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+128119, r12vrr_stack+25650, r12vrr_stack+68328, r12vrr_stack+35190, r12vrr_stack+76348, r12vrr_stack+71208);
 tmp = r12vrr_stack + 128119;
 target_ptr = Libr12->t1vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+130144, r12vrr_stack+35190, r12vrr_stack+72828, r12vrr_stack+46784, r12vrr_stack+82552, r12vrr_stack+76348);
 tmp = r12vrr_stack + 130144;
 target_ptr = Libr12->t1vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+46784, r12vrr_stack+78328, r12vrr_stack+173114, r12vrr_stack+123691, r12vrr_stack+82552);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+88681, r12vrr_stack+60248, r12vrr_stack+89920, r12vrr_stack+134244, r12vrr_stack+11782, r12vrr_stack+6763);
 tmp = r12vrr_stack + 88681;
 target_ptr = Libr12->t1vrr_classes[9][5];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+123269, r12vrr_stack+134244, r12vrr_stack+185523, r12vrr_stack+64728, r12vrr_stack+18126, r12vrr_stack+11782);
 tmp = r12vrr_stack + 123269;
 target_ptr = Libr12->t1vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+81958, r12vrr_stack+64728, r12vrr_stack+95834, r12vrr_stack+68328, r12vrr_stack+25650, r12vrr_stack+18126);
 tmp = r12vrr_stack + 81958;
 target_ptr = Libr12->t1vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+75853, r12vrr_stack+68328, r12vrr_stack+100235, r12vrr_stack+72828, r12vrr_stack+35190, r12vrr_stack+25650);
 tmp = r12vrr_stack + 75853;
 target_ptr = Libr12->t1vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+2970, r12vrr_stack+72828, r12vrr_stack+105680, r12vrr_stack+78328, r12vrr_stack+46784, r12vrr_stack+35190);
 tmp = r12vrr_stack + 2970;
 target_ptr = Libr12->t1vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+233481, r12vrr_stack+78328, r12vrr_stack+112478, r12vrr_stack+227931, r12vrr_stack+173114, r12vrr_stack+46784);
 tmp = r12vrr_stack + 233481;
 target_ptr = Libr12->t1vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+124809, r12vrr_stack+89920, r12vrr_stack+178439, r12vrr_stack+185523, r12vrr_stack+134244, r12vrr_stack+60248);
 tmp = r12vrr_stack + 124809;
 target_ptr = Libr12->t1vrr_classes[10][5];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+177968, r12vrr_stack+185523, r12vrr_stack+181925, r12vrr_stack+95834, r12vrr_stack+64728, r12vrr_stack+134244);
 tmp = r12vrr_stack + 177968;
 target_ptr = Libr12->t1vrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+181463, r12vrr_stack+95834, r12vrr_stack+84928, r12vrr_stack+100235, r12vrr_stack+68328, r12vrr_stack+64728);
 tmp = r12vrr_stack + 181463;
 target_ptr = Libr12->t1vrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+83938, r12vrr_stack+100235, r12vrr_stack+91306, r12vrr_stack+105680, r12vrr_stack+72828, r12vrr_stack+68328);
 tmp = r12vrr_stack + 83938;
 target_ptr = Libr12->t1vrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+172770, r12vrr_stack+105680, r12vrr_stack+197461, r12vrr_stack+112478, r12vrr_stack+78328, r12vrr_stack+72828);
 tmp = r12vrr_stack + 172770;
 target_ptr = Libr12->t1vrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+197352, r12vrr_stack+112478, r12vrr_stack+143770, r12vrr_stack+187371, r12vrr_stack+227931, r12vrr_stack+78328);
 tmp = r12vrr_stack + 197352;
 target_ptr = Libr12->t1vrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+187371, r12vrr_stack+52098, r12vrr_stack+54282, r12vrr_stack+89920, r12vrr_stack+60248, r12vrr_stack+6763, r12vrr_stack+40636);
 tmp = r12vrr_stack + 187371;
 target_ptr = Libr12->rvrr_classes[10][5];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+188757, r12vrr_stack+55227, r12vrr_stack+192519, r12vrr_stack+185523, r12vrr_stack+134244, r12vrr_stack+11782, r12vrr_stack+60248);
 tmp = r12vrr_stack + 188757;
 target_ptr = Libr12->rvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+190605, r12vrr_stack+116834, r12vrr_stack+194787, r12vrr_stack+95834, r12vrr_stack+64728, r12vrr_stack+18126, r12vrr_stack+134244);
 tmp = r12vrr_stack + 190605;
 target_ptr = Libr12->rvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+89836, r12vrr_stack+103205, r12vrr_stack+98210, r12vrr_stack+100235, r12vrr_stack+68328, r12vrr_stack+25650, r12vrr_stack+64728);
 tmp = r12vrr_stack + 89836;
 target_ptr = Libr12->rvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+143485, r12vrr_stack+109310, r12vrr_stack+120794, r12vrr_stack+105680, r12vrr_stack+72828, r12vrr_stack+35190, r12vrr_stack+68328);
 tmp = r12vrr_stack + 143485;
 target_ptr = Libr12->rvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+34675, r12vrr_stack+135784, r12vrr_stack+20790, r12vrr_stack+112478, r12vrr_stack+78328, r12vrr_stack+46784, r12vrr_stack+72828);
 tmp = r12vrr_stack + 34675;
 target_ptr = Libr12->rvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];


}

