#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_hhii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, NULL, NULL, Data->F+5);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+24, r12vrr_stack+21, r12vrr_stack+3, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+0, r12vrr_stack+30, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+39, r12vrr_stack+15, r12vrr_stack+33, NULL, NULL, r12vrr_stack+0);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+57, r12vrr_stack+24, r12vrr_stack+15, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+75, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+6);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+24, r12vrr_stack+15, r12vrr_stack+21, r12vrr_stack+3, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+131, r12vrr_stack+121, r12vrr_stack+111, NULL, NULL, r12vrr_stack+15);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+161, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+164, r12vrr_stack+161, r12vrr_stack+21, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+170, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, r12vrr_stack+21, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+180, r12vrr_stack+170, r12vrr_stack+121, NULL, NULL, r12vrr_stack+24);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+30, r12vrr_stack+21, Data->F+6, Data->F+7, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+216, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+0, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+226, r12vrr_stack+111, r12vrr_stack+216, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+256, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+39);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+316, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+57);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+376, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+180, r12vrr_stack+131, r12vrr_stack+75);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+476, r12vrr_stack+121, r12vrr_stack+111, r12vrr_stack+24, r12vrr_stack+15, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+491, r12vrr_stack+170, r12vrr_stack+121, r12vrr_stack+164, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+506, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+15, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+521, r12vrr_stack+476, r12vrr_stack+506, NULL, NULL, r12vrr_stack+111);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+566, r12vrr_stack+491, r12vrr_stack+476, NULL, NULL, r12vrr_stack+121);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+611, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+131);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+701, r12vrr_stack+24, r12vrr_stack+161, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+707, r12vrr_stack+701, r12vrr_stack+164, r12vrr_stack+24, r12vrr_stack+161, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+717, r12vrr_stack+707, r12vrr_stack+170, r12vrr_stack+701, r12vrr_stack+164, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+732, r12vrr_stack+717, r12vrr_stack+491, NULL, NULL, r12vrr_stack+170);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+777, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+180);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+180, r12vrr_stack+21, r12vrr_stack+27, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+186, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+30, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+867, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+33, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+882, r12vrr_stack+506, r12vrr_stack+867, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+927, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+226);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1017, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+566, r12vrr_stack+521, r12vrr_stack+256);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1167, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+732, r12vrr_stack+566, r12vrr_stack+316);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1317, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+777, r12vrr_stack+611, r12vrr_stack+376);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+506, r12vrr_stack+121, r12vrr_stack+111, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1563, r12vrr_stack+491, r12vrr_stack+476, r12vrr_stack+170, r12vrr_stack+121, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+1563, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+476);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1647, r12vrr_stack+717, r12vrr_stack+491, r12vrr_stack+707, r12vrr_stack+170, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1668, r12vrr_stack+1647, r12vrr_stack+1563, NULL, NULL, r12vrr_stack+491);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1731, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+111, r12vrr_stack+216, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1542, r12vrr_stack+1731, NULL, NULL, r12vrr_stack+506);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1815, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+521);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1941, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+566);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2067, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1668, r12vrr_stack+1584, r12vrr_stack+611);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+566, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+569, r12vrr_stack+566, r12vrr_stack+24, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+701, r12vrr_stack+566, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+707, r12vrr_stack+569, r12vrr_stack+701, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+717, r12vrr_stack+121, r12vrr_stack+707, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2277, r12vrr_stack+590, r12vrr_stack+1647, NULL, NULL, r12vrr_stack+717);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2340, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+732);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2466, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+2277, r12vrr_stack+1668, r12vrr_stack+777);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+24, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+732, r12vrr_stack+27, r12vrr_stack+24, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+738, r12vrr_stack+180, r12vrr_stack+732, r12vrr_stack+21, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+748, r12vrr_stack+186, r12vrr_stack+738, r12vrr_stack+210, r12vrr_stack+180, NULL);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+216, r12vrr_stack+186, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+784, r12vrr_stack+1731, r12vrr_stack+763, NULL, NULL, r12vrr_stack+867);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+882);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2802, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+1584, r12vrr_stack+1752, r12vrr_stack+927);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3012, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+1941, r12vrr_stack+1815, r12vrr_stack+1017);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3327, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+2340, r12vrr_stack+1941, r12vrr_stack+1167);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3642, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+2466, r12vrr_stack+2067, r12vrr_stack+1317);

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+847, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+850, r12vrr_stack+0, r12vrr_stack+30, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+161, r12vrr_stack+6, r12vrr_stack+850, r12vrr_stack+3, r12vrr_stack+0, r12vrr_stack+847);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+4083, r12vrr_stack+33, r12vrr_stack+210, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4101, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+15, r12vrr_stack+33, r12vrr_stack+850);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4137, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+57, r12vrr_stack+39, r12vrr_stack+161);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4197, r12vrr_stack+216, r12vrr_stack+186, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4227, r12vrr_stack+226, r12vrr_stack+4197, r12vrr_stack+111, r12vrr_stack+216, r12vrr_stack+4083);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4287, r12vrr_stack+256, r12vrr_stack+4227, r12vrr_stack+131, r12vrr_stack+226, r12vrr_stack+4101);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+4387, r12vrr_stack+376, r12vrr_stack+4287, r12vrr_stack+316, r12vrr_stack+256, r12vrr_stack+4137);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+316, r12vrr_stack+867, r12vrr_stack+748, NULL, NULL, r12vrr_stack+186);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4537, r12vrr_stack+882, r12vrr_stack+316, r12vrr_stack+506, r12vrr_stack+867, r12vrr_stack+4197);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4627, r12vrr_stack+927, r12vrr_stack+4537, r12vrr_stack+521, r12vrr_stack+882, r12vrr_stack+4227);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+4777, r12vrr_stack+1017, r12vrr_stack+4627, r12vrr_stack+611, r12vrr_stack+927, r12vrr_stack+4287);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5002, r12vrr_stack+1317, r12vrr_stack+4777, r12vrr_stack+1167, r12vrr_stack+1017, r12vrr_stack+4387);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+15, r12vrr_stack+24, r12vrr_stack+3, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+111, r12vrr_stack+732, r12vrr_stack+15, r12vrr_stack+27, r12vrr_stack+24, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+361, r12vrr_stack+738, r12vrr_stack+111, r12vrr_stack+180, r12vrr_stack+732, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1167, r12vrr_stack+748, r12vrr_stack+361, r12vrr_stack+186, r12vrr_stack+738, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1188, r12vrr_stack+763, r12vrr_stack+1167, NULL, NULL, r12vrr_stack+748);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5317, r12vrr_stack+784, r12vrr_stack+1188, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+316);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5443, r12vrr_stack+2676, r12vrr_stack+5317, r12vrr_stack+1752, r12vrr_stack+784, r12vrr_stack+4537);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5653, r12vrr_stack+2802, r12vrr_stack+5443, r12vrr_stack+1815, r12vrr_stack+2676, r12vrr_stack+4627);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5968, r12vrr_stack+3012, r12vrr_stack+5653, r12vrr_stack+2067, r12vrr_stack+2802, r12vrr_stack+4777);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6409, r12vrr_stack+3642, r12vrr_stack+5968, r12vrr_stack+3327, r12vrr_stack+3012, r12vrr_stack+5002);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+1542, r12vrr_stack+1731, r12vrr_stack+476, r12vrr_stack+506, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1279, r12vrr_stack+1563, r12vrr_stack+1542, r12vrr_stack+491, r12vrr_stack+476, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+611, r12vrr_stack+1731, r12vrr_stack+763, r12vrr_stack+506, r12vrr_stack+867, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+1251, r12vrr_stack+611, NULL, NULL, r12vrr_stack+1731);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7081, r12vrr_stack+1279, r12vrr_stack+1251, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7165, r12vrr_stack+7081, r12vrr_stack+6997, r12vrr_stack+1279, r12vrr_stack+1251, r12vrr_stack+1752);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+1647, r12vrr_stack+1563, r12vrr_stack+717, r12vrr_stack+491, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+1752, r12vrr_stack+1279, NULL, NULL, r12vrr_stack+1563);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7333, r12vrr_stack+476, r12vrr_stack+7081, r12vrr_stack+1752, r12vrr_stack+1279, r12vrr_stack+1584);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+763, r12vrr_stack+1167, r12vrr_stack+867, r12vrr_stack+748, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7501, r12vrr_stack+611, r12vrr_stack+1584, NULL, NULL, r12vrr_stack+763);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7585, r12vrr_stack+6997, r12vrr_stack+7501, r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+784);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7753, r12vrr_stack+7165, r12vrr_stack+7585, r12vrr_stack+7081, r12vrr_stack+6997, r12vrr_stack+2676);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8033, r12vrr_stack+7333, r12vrr_stack+7165, r12vrr_stack+476, r12vrr_stack+7081, r12vrr_stack+1815);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8313, r12vrr_stack+8033, r12vrr_stack+7753, r12vrr_stack+7333, r12vrr_stack+7165, r12vrr_stack+2802);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1612, r12vrr_stack+590, r12vrr_stack+1647, r12vrr_stack+575, r12vrr_stack+717, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1780, r12vrr_stack+1612, r12vrr_stack+1752, NULL, NULL, r12vrr_stack+1647);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+476, r12vrr_stack+1612, r12vrr_stack+1752, r12vrr_stack+1668);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+7333, r12vrr_stack+1780, r12vrr_stack+476, r12vrr_stack+1941);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+8033, r12vrr_stack+8733, r12vrr_stack+7333, r12vrr_stack+2067);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1668, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+560, r12vrr_stack+3, r12vrr_stack+1668, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1307, r12vrr_stack+15, r12vrr_stack+560, r12vrr_stack+24, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1671, r12vrr_stack+111, r12vrr_stack+1307, r12vrr_stack+732, r12vrr_stack+15, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1686, r12vrr_stack+361, r12vrr_stack+1671, r12vrr_stack+738, r12vrr_stack+111, NULL);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1864, r12vrr_stack+1167, r12vrr_stack+1686, r12vrr_stack+748, r12vrr_stack+361, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1892, r12vrr_stack+1584, r12vrr_stack+1864, NULL, NULL, r12vrr_stack+1167);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1976, r12vrr_stack+7501, r12vrr_stack+1892, r12vrr_stack+611, r12vrr_stack+1584, r12vrr_stack+1188);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+7585, r12vrr_stack+1976, r12vrr_stack+6997, r12vrr_stack+7501, r12vrr_stack+5317);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9881, r12vrr_stack+7753, r12vrr_stack+9601, r12vrr_stack+7165, r12vrr_stack+7585, r12vrr_stack+5443);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10301, r12vrr_stack+8313, r12vrr_stack+9881, r12vrr_stack+8033, r12vrr_stack+7753, r12vrr_stack+5653);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+8313, r12vrr_stack+8901, r12vrr_stack+8033, r12vrr_stack+3012);
 tmp = r12vrr_stack + 10889;
 target_ptr = Libr12->gvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+10301, r12vrr_stack+9181, r12vrr_stack+8313, r12vrr_stack+5968);
 tmp = r12vrr_stack + 11477;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+611, r12vrr_stack+1542, r12vrr_stack+1731, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2180, r12vrr_stack+1279, r12vrr_stack+1251, r12vrr_stack+1563, r12vrr_stack+1542, NULL);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+2180, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1251);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2216, r12vrr_stack+1752, r12vrr_stack+1279, r12vrr_stack+1647, r12vrr_stack+1563, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12369, r12vrr_stack+2216, r12vrr_stack+2180, NULL, NULL, r12vrr_stack+1279);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+611, r12vrr_stack+1584, r12vrr_stack+1731, r12vrr_stack+763, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12477, r12vrr_stack+2144, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+611);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12585, r12vrr_stack+12261, r12vrr_stack+12477, r12vrr_stack+2180, r12vrr_stack+2144, r12vrr_stack+6997);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12801, r12vrr_stack+12369, r12vrr_stack+12261, r12vrr_stack+2216, r12vrr_stack+2180, r12vrr_stack+7081);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13017, r12vrr_stack+12801, r12vrr_stack+12585, r12vrr_stack+12369, r12vrr_stack+12261, r12vrr_stack+7165);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+1612, r12vrr_stack+1752, r12vrr_stack+590, r12vrr_stack+1647, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7033, r12vrr_stack+6997, r12vrr_stack+2216, NULL, NULL, r12vrr_stack+1752);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+12369, r12vrr_stack+6997, r12vrr_stack+2216, r12vrr_stack+476);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+12801, r12vrr_stack+7033, r12vrr_stack+12369, r12vrr_stack+7333);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+476, r12vrr_stack+1584, r12vrr_stack+1864, r12vrr_stack+763, r12vrr_stack+1167, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+1542, r12vrr_stack+476, NULL, NULL, r12vrr_stack+1584);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7249, r12vrr_stack+12477, r12vrr_stack+7141, r12vrr_stack+2144, r12vrr_stack+1542, r12vrr_stack+7501);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13953, r12vrr_stack+12585, r12vrr_stack+7249, r12vrr_stack+12261, r12vrr_stack+12477, r12vrr_stack+7585);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14313, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+12801, r12vrr_stack+12585, r12vrr_stack+7753);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+13017, r12vrr_stack+13377, r12vrr_stack+12801, r12vrr_stack+8033);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+14313, r12vrr_stack+13593, r12vrr_stack+13017, r12vrr_stack+8313);
 tmp = r12vrr_stack + 15393;
 target_ptr = Libr12->gvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+8033, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1578, r12vrr_stack+1668, r12vrr_stack+8033, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+8036, r12vrr_stack+560, r12vrr_stack+1578, r12vrr_stack+3, r12vrr_stack+1668, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+8046, r12vrr_stack+1307, r12vrr_stack+8036, r12vrr_stack+15, r12vrr_stack+560, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8061, r12vrr_stack+1671, r12vrr_stack+8046, r12vrr_stack+111, r12vrr_stack+1307, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+1686, r12vrr_stack+8061, r12vrr_stack+361, r12vrr_stack+1671, NULL);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7465, r12vrr_stack+1864, r12vrr_stack+1640, r12vrr_stack+1167, r12vrr_stack+1686, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8082, r12vrr_stack+476, r12vrr_stack+7465, NULL, NULL, r12vrr_stack+1864);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+7141, r12vrr_stack+8082, r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+1892);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16365, r12vrr_stack+7249, r12vrr_stack+16149, r12vrr_stack+12477, r12vrr_stack+7141, r12vrr_stack+1976);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16725, r12vrr_stack+13953, r12vrr_stack+16365, r12vrr_stack+12585, r12vrr_stack+7249, r12vrr_stack+9601);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17265, r12vrr_stack+14313, r12vrr_stack+16725, r12vrr_stack+13017, r12vrr_stack+13953, r12vrr_stack+9881);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+17265, r12vrr_stack+14853, r12vrr_stack+14313, r12vrr_stack+10301);
 tmp = r12vrr_stack + 18021;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1707, r12vrr_stack+2144, r12vrr_stack+1542, r12vrr_stack+1251, r12vrr_stack+611, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8190, r12vrr_stack+2180, r12vrr_stack+2144, r12vrr_stack+1279, r12vrr_stack+1251, NULL);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+8190, r12vrr_stack+1707, NULL, NULL, r12vrr_stack+2144);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+8235, r12vrr_stack+2216, r12vrr_stack+2180, r12vrr_stack+1752, r12vrr_stack+1279, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19164, r12vrr_stack+8235, r12vrr_stack+8190, NULL, NULL, r12vrr_stack+2180);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1251, r12vrr_stack+1542, r12vrr_stack+476, r12vrr_stack+611, r12vrr_stack+1584, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19299, r12vrr_stack+1707, r12vrr_stack+1251, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19434, r12vrr_stack+19029, r12vrr_stack+19299, r12vrr_stack+8190, r12vrr_stack+1707, r12vrr_stack+12477);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19704, r12vrr_stack+19164, r12vrr_stack+19029, r12vrr_stack+8235, r12vrr_stack+8190, r12vrr_stack+12261);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19974, r12vrr_stack+19704, r12vrr_stack+19434, r12vrr_stack+19164, r12vrr_stack+19029, r12vrr_stack+12585);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+2216, r12vrr_stack+1612, r12vrr_stack+1752, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12477, r12vrr_stack+12261, r12vrr_stack+8235, NULL, NULL, r12vrr_stack+2216);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+19164, r12vrr_stack+12261, r12vrr_stack+8235, r12vrr_stack+12369);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+19704, r12vrr_stack+12477, r12vrr_stack+19164, r12vrr_stack+12801);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12306, r12vrr_stack+476, r12vrr_stack+7465, r12vrr_stack+1584, r12vrr_stack+1864, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12612, r12vrr_stack+1251, r12vrr_stack+12306, NULL, NULL, r12vrr_stack+476);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12747, r12vrr_stack+19299, r12vrr_stack+12612, r12vrr_stack+1707, r12vrr_stack+1251, r12vrr_stack+7141);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21144, r12vrr_stack+19434, r12vrr_stack+12747, r12vrr_stack+19029, r12vrr_stack+19299, r12vrr_stack+7249);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21594, r12vrr_stack+19974, r12vrr_stack+21144, r12vrr_stack+19704, r12vrr_stack+19434, r12vrr_stack+13953);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+19974, r12vrr_stack+20424, r12vrr_stack+19704, r12vrr_stack+13017);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+21594, r12vrr_stack+20694, r12vrr_stack+19974, r12vrr_stack+14313);
 tmp = r12vrr_stack + 22944;
 target_ptr = Libr12->gvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13017, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13020, r12vrr_stack+8033, r12vrr_stack+13017, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13026, r12vrr_stack+1578, r12vrr_stack+13020, r12vrr_stack+1668, r12vrr_stack+8033, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13036, r12vrr_stack+8036, r12vrr_stack+13026, r12vrr_stack+560, r12vrr_stack+1578, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13051, r12vrr_stack+8046, r12vrr_stack+13036, r12vrr_stack+1307, r12vrr_stack+8036, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1752, r12vrr_stack+8061, r12vrr_stack+13051, r12vrr_stack+1671, r12vrr_stack+8046, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13072, r12vrr_stack+1640, r12vrr_stack+1752, r12vrr_stack+1686, r12vrr_stack+8061, NULL);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13108, r12vrr_stack+7465, r12vrr_stack+13072, r12vrr_stack+1864, r12vrr_stack+1640, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13153, r12vrr_stack+12306, r12vrr_stack+13108, NULL, NULL, r12vrr_stack+7465);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23889, r12vrr_stack+12612, r12vrr_stack+13153, r12vrr_stack+1251, r12vrr_stack+12306, r12vrr_stack+8082);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24159, r12vrr_stack+12747, r12vrr_stack+23889, r12vrr_stack+19299, r12vrr_stack+12612, r12vrr_stack+16149);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+24609, r12vrr_stack+21144, r12vrr_stack+24159, r12vrr_stack+19434, r12vrr_stack+12747, r12vrr_stack+16365);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25284, r12vrr_stack+21594, r12vrr_stack+24609, r12vrr_stack+19974, r12vrr_stack+21144, r12vrr_stack+16725);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+25284, r12vrr_stack+22269, r12vrr_stack+21594, r12vrr_stack+17265);
 tmp = r12vrr_stack + 26229;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13288, r12vrr_stack+1707, r12vrr_stack+1251, r12vrr_stack+2144, r12vrr_stack+1542, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12351, r12vrr_stack+8190, r12vrr_stack+1707, r12vrr_stack+2180, r12vrr_stack+2144, NULL);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+12351, r12vrr_stack+13288, NULL, NULL, r12vrr_stack+1707);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12406, r12vrr_stack+8235, r12vrr_stack+8190, r12vrr_stack+2216, r12vrr_stack+2180, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27654, r12vrr_stack+12406, r12vrr_stack+12351, NULL, NULL, r12vrr_stack+8190);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1251, r12vrr_stack+12306, r12vrr_stack+1542, r12vrr_stack+476, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27819, r12vrr_stack+13288, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1251);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27984, r12vrr_stack+27489, r12vrr_stack+27819, r12vrr_stack+12351, r12vrr_stack+13288, r12vrr_stack+19299);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28314, r12vrr_stack+27654, r12vrr_stack+27489, r12vrr_stack+12406, r12vrr_stack+12351, r12vrr_stack+19029);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28644, r12vrr_stack+28314, r12vrr_stack+27984, r12vrr_stack+27654, r12vrr_stack+27489, r12vrr_stack+19434);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+12261, r12vrr_stack+8235, r12vrr_stack+6997, r12vrr_stack+2216, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19299, r12vrr_stack+19029, r12vrr_stack+12406, NULL, NULL, r12vrr_stack+8235);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29194, r12vrr_stack+19299, r12vrr_stack+27654, r12vrr_stack+19029, r12vrr_stack+12406, r12vrr_stack+19164);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29524, r12vrr_stack+29194, r12vrr_stack+28314, r12vrr_stack+19299, r12vrr_stack+27654, r12vrr_stack+19704);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19084, r12vrr_stack+12306, r12vrr_stack+13108, r12vrr_stack+476, r12vrr_stack+7465, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19464, r12vrr_stack+2144, r12vrr_stack+19084, NULL, NULL, r12vrr_stack+12306);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19629, r12vrr_stack+27819, r12vrr_stack+19464, r12vrr_stack+13288, r12vrr_stack+2144, r12vrr_stack+12612);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30074, r12vrr_stack+27984, r12vrr_stack+19629, r12vrr_stack+27489, r12vrr_stack+27819, r12vrr_stack+12747);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30624, r12vrr_stack+28644, r12vrr_stack+30074, r12vrr_stack+28314, r12vrr_stack+27984, r12vrr_stack+21144);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31449, r12vrr_stack+29524, r12vrr_stack+28644, r12vrr_stack+29194, r12vrr_stack+28314, r12vrr_stack+19974);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+30624, r12vrr_stack+29524, r12vrr_stack+28644, r12vrr_stack+21594);
 tmp = r12vrr_stack + 32274;
 target_ptr = Libr12->gvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+19139, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+19142, r12vrr_stack+13017, r12vrr_stack+19139, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+19148, r12vrr_stack+13020, r12vrr_stack+19142, r12vrr_stack+8033, r12vrr_stack+13017, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+19158, r12vrr_stack+13026, r12vrr_stack+19148, r12vrr_stack+1578, r12vrr_stack+13020, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+19173, r12vrr_stack+13036, r12vrr_stack+19158, r12vrr_stack+8036, r12vrr_stack+13026, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19194, r12vrr_stack+13051, r12vrr_stack+19173, r12vrr_stack+8046, r12vrr_stack+13036, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1542, r12vrr_stack+1752, r12vrr_stack+19194, r12vrr_stack+8061, r12vrr_stack+13051, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19222, r12vrr_stack+13072, r12vrr_stack+1542, r12vrr_stack+1640, r12vrr_stack+1752, NULL);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19959, r12vrr_stack+13108, r12vrr_stack+19222, r12vrr_stack+7465, r12vrr_stack+13072, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20014, r12vrr_stack+19084, r12vrr_stack+19959, NULL, NULL, r12vrr_stack+13108);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33429, r12vrr_stack+19464, r12vrr_stack+20014, r12vrr_stack+2144, r12vrr_stack+19084, r12vrr_stack+13153);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33759, r12vrr_stack+19629, r12vrr_stack+33429, r12vrr_stack+27819, r12vrr_stack+19464, r12vrr_stack+23889);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34309, r12vrr_stack+30074, r12vrr_stack+33759, r12vrr_stack+27984, r12vrr_stack+19629, r12vrr_stack+24159);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+35134, r12vrr_stack+30624, r12vrr_stack+34309, r12vrr_stack+28644, r12vrr_stack+30074, r12vrr_stack+24609);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+35134, r12vrr_stack+31449, r12vrr_stack+30624, r12vrr_stack+25284);
 tmp = r12vrr_stack + 36289;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20179, r12vrr_stack+13288, r12vrr_stack+2144, r12vrr_stack+1707, r12vrr_stack+1251, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20245, r12vrr_stack+12351, r12vrr_stack+13288, r12vrr_stack+8190, r12vrr_stack+1707, NULL);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+37829, r12vrr_stack+20245, r12vrr_stack+20179, NULL, NULL, r12vrr_stack+13288);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+20311, r12vrr_stack+12406, r12vrr_stack+12351, r12vrr_stack+8235, r12vrr_stack+8190, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38027, r12vrr_stack+20311, r12vrr_stack+20245, NULL, NULL, r12vrr_stack+12351);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2199, r12vrr_stack+2144, r12vrr_stack+19084, r12vrr_stack+1251, r12vrr_stack+12306, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38225, r12vrr_stack+20179, r12vrr_stack+2199, NULL, NULL, r12vrr_stack+2144);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38423, r12vrr_stack+37829, r12vrr_stack+38225, r12vrr_stack+20245, r12vrr_stack+20179, r12vrr_stack+27819);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38819, r12vrr_stack+38027, r12vrr_stack+37829, r12vrr_stack+20311, r12vrr_stack+20245, r12vrr_stack+27489);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39215, r12vrr_stack+38819, r12vrr_stack+38423, r12vrr_stack+38027, r12vrr_stack+37829, r12vrr_stack+27984);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+19029, r12vrr_stack+12406, r12vrr_stack+12261, r12vrr_stack+8235, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27819, r12vrr_stack+27489, r12vrr_stack+20311, NULL, NULL, r12vrr_stack+12406);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39875, r12vrr_stack+27819, r12vrr_stack+38027, r12vrr_stack+27489, r12vrr_stack+20311, r12vrr_stack+27654);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40271, r12vrr_stack+39875, r12vrr_stack+38819, r12vrr_stack+27819, r12vrr_stack+38027, r12vrr_stack+28314);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27555, r12vrr_stack+19084, r12vrr_stack+19959, r12vrr_stack+12306, r12vrr_stack+13108, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27621, r12vrr_stack+2199, r12vrr_stack+27555, NULL, NULL, r12vrr_stack+19084);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28017, r12vrr_stack+38225, r12vrr_stack+27621, r12vrr_stack+20179, r12vrr_stack+2199, r12vrr_stack+19464);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+40931, r12vrr_stack+38423, r12vrr_stack+28017, r12vrr_stack+37829, r12vrr_stack+38225, r12vrr_stack+19629);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41591, r12vrr_stack+39215, r12vrr_stack+40931, r12vrr_stack+38819, r12vrr_stack+38423, r12vrr_stack+30074);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42581, r12vrr_stack+40271, r12vrr_stack+39215, r12vrr_stack+39875, r12vrr_stack+38819, r12vrr_stack+28644);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+41591, r12vrr_stack+40271, r12vrr_stack+39215, r12vrr_stack+30624);
 tmp = r12vrr_stack + 43571;
 target_ptr = Libr12->gvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+8033, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+28413, r12vrr_stack+19139, r12vrr_stack+8033, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+28419, r12vrr_stack+19142, r12vrr_stack+28413, r12vrr_stack+13017, r12vrr_stack+19139, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+28429, r12vrr_stack+19148, r12vrr_stack+28419, r12vrr_stack+13020, r12vrr_stack+19142, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+28444, r12vrr_stack+19158, r12vrr_stack+28429, r12vrr_stack+13026, r12vrr_stack+19148, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+28465, r12vrr_stack+19173, r12vrr_stack+28444, r12vrr_stack+13036, r12vrr_stack+19158, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28493, r12vrr_stack+19194, r12vrr_stack+28465, r12vrr_stack+13051, r12vrr_stack+19173, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1707, r12vrr_stack+1542, r12vrr_stack+28493, r12vrr_stack+1752, r12vrr_stack+19194, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28529, r12vrr_stack+19222, r12vrr_stack+1707, r12vrr_stack+13072, r12vrr_stack+1542, NULL);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28584, r12vrr_stack+19959, r12vrr_stack+28529, r12vrr_stack+13108, r12vrr_stack+19222, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+28650, r12vrr_stack+27555, r12vrr_stack+28584, NULL, NULL, r12vrr_stack+19959);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44957, r12vrr_stack+27621, r12vrr_stack+28650, r12vrr_stack+2199, r12vrr_stack+27555, r12vrr_stack+20014);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45353, r12vrr_stack+28017, r12vrr_stack+44957, r12vrr_stack+38225, r12vrr_stack+27621, r12vrr_stack+33429);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46013, r12vrr_stack+40931, r12vrr_stack+45353, r12vrr_stack+38423, r12vrr_stack+28017, r12vrr_stack+33759);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+47003, r12vrr_stack+41591, r12vrr_stack+46013, r12vrr_stack+39215, r12vrr_stack+40931, r12vrr_stack+34309);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+48389, r12vrr_stack+43571, r12vrr_stack+47003, r12vrr_stack+42581, r12vrr_stack+41591, r12vrr_stack+35134);
 tmp = r12vrr_stack + 48389;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+28848, r12vrr_stack+20179, r12vrr_stack+2199, r12vrr_stack+13288, r12vrr_stack+2144, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+28926, r12vrr_stack+20245, r12vrr_stack+20179, r12vrr_stack+12351, r12vrr_stack+13288, NULL);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50237, r12vrr_stack+28926, r12vrr_stack+28848, NULL, NULL, r12vrr_stack+20179);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+13288, r12vrr_stack+20311, r12vrr_stack+20245, r12vrr_stack+12406, r12vrr_stack+12351, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50471, r12vrr_stack+13288, r12vrr_stack+28926, NULL, NULL, r12vrr_stack+20245);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29004, r12vrr_stack+2199, r12vrr_stack+27555, r12vrr_stack+2144, r12vrr_stack+19084, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50705, r12vrr_stack+28848, r12vrr_stack+29004, NULL, NULL, r12vrr_stack+2199);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+50939, r12vrr_stack+50237, r12vrr_stack+50705, r12vrr_stack+28926, r12vrr_stack+28848, r12vrr_stack+38225);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+51407, r12vrr_stack+50471, r12vrr_stack+50237, r12vrr_stack+13288, r12vrr_stack+28926, r12vrr_stack+37829);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+51875, r12vrr_stack+51407, r12vrr_stack+50939, r12vrr_stack+50471, r12vrr_stack+50237, r12vrr_stack+38423);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37829, r12vrr_stack+27489, r12vrr_stack+20311, r12vrr_stack+19029, r12vrr_stack+12406, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38225, r12vrr_stack+37829, r12vrr_stack+13288, NULL, NULL, r12vrr_stack+20311);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+52655, r12vrr_stack+38225, r12vrr_stack+50471, r12vrr_stack+37829, r12vrr_stack+13288, r12vrr_stack+38027);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+53123, r12vrr_stack+52655, r12vrr_stack+51407, r12vrr_stack+38225, r12vrr_stack+50471, r12vrr_stack+38819);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37907, r12vrr_stack+27555, r12vrr_stack+28584, r12vrr_stack+19084, r12vrr_stack+19959, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+37985, r12vrr_stack+29004, r12vrr_stack+37907, NULL, NULL, r12vrr_stack+27555);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+38459, r12vrr_stack+50705, r12vrr_stack+37985, r12vrr_stack+28848, r12vrr_stack+29004, r12vrr_stack+27621);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+53903, r12vrr_stack+50939, r12vrr_stack+38459, r12vrr_stack+50237, r12vrr_stack+50705, r12vrr_stack+28017);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+54683, r12vrr_stack+51875, r12vrr_stack+53903, r12vrr_stack+51407, r12vrr_stack+50939, r12vrr_stack+40931);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+55853, r12vrr_stack+53123, r12vrr_stack+51875, r12vrr_stack+52655, r12vrr_stack+51407, r12vrr_stack+39215);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57023, r12vrr_stack+55853, r12vrr_stack+54683, r12vrr_stack+53123, r12vrr_stack+51875, r12vrr_stack+41591);
 tmp = r12vrr_stack + 57023;
 target_ptr = Libr12->gvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+38219, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+38927, r12vrr_stack+8033, r12vrr_stack+38219, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+38933, r12vrr_stack+28413, r12vrr_stack+38927, r12vrr_stack+19139, r12vrr_stack+8033, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+38943, r12vrr_stack+28419, r12vrr_stack+38933, r12vrr_stack+19142, r12vrr_stack+28413, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+38958, r12vrr_stack+28429, r12vrr_stack+38943, r12vrr_stack+19148, r12vrr_stack+28419, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+38979, r12vrr_stack+28444, r12vrr_stack+38958, r12vrr_stack+19158, r12vrr_stack+28429, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+39007, r12vrr_stack+28465, r12vrr_stack+38979, r12vrr_stack+19173, r12vrr_stack+28444, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39043, r12vrr_stack+28493, r12vrr_stack+39007, r12vrr_stack+19194, r12vrr_stack+28465, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+2144, r12vrr_stack+1707, r12vrr_stack+39043, r12vrr_stack+1542, r12vrr_stack+28493, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39088, r12vrr_stack+28529, r12vrr_stack+2144, r12vrr_stack+19222, r12vrr_stack+1707, NULL);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+39154, r12vrr_stack+28584, r12vrr_stack+39088, r12vrr_stack+19959, r12vrr_stack+28529, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+39232, r12vrr_stack+37907, r12vrr_stack+39154, NULL, NULL, r12vrr_stack+28584);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58661, r12vrr_stack+37985, r12vrr_stack+39232, r12vrr_stack+29004, r12vrr_stack+37907, r12vrr_stack+28650);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59129, r12vrr_stack+38459, r12vrr_stack+58661, r12vrr_stack+50705, r12vrr_stack+37985, r12vrr_stack+44957);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59909, r12vrr_stack+53903, r12vrr_stack+59129, r12vrr_stack+50939, r12vrr_stack+38459, r12vrr_stack+45353);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+61079, r12vrr_stack+54683, r12vrr_stack+59909, r12vrr_stack+51875, r12vrr_stack+53903, r12vrr_stack+46013);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+62717, r12vrr_stack+57023, r12vrr_stack+61079, r12vrr_stack+55853, r12vrr_stack+54683, r12vrr_stack+47003);
 tmp = r12vrr_stack + 62717;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+39466, r12vrr_stack+28848, r12vrr_stack+29004, r12vrr_stack+20179, r12vrr_stack+2199, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+39557, r12vrr_stack+28926, r12vrr_stack+28848, r12vrr_stack+20245, r12vrr_stack+20179, NULL);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+39557, r12vrr_stack+39466, NULL, NULL, r12vrr_stack+28848);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+39648, r12vrr_stack+13288, r12vrr_stack+28926, r12vrr_stack+20311, r12vrr_stack+20245, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+65174, r12vrr_stack+39648, r12vrr_stack+39557, NULL, NULL, r12vrr_stack+28926);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+20179, r12vrr_stack+29004, r12vrr_stack+37907, r12vrr_stack+2199, r12vrr_stack+27555, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+65447, r12vrr_stack+39466, r12vrr_stack+20179, NULL, NULL, r12vrr_stack+29004);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+65720, r12vrr_stack+64901, r12vrr_stack+65447, r12vrr_stack+39557, r12vrr_stack+39466, r12vrr_stack+50705);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+66266, r12vrr_stack+65174, r12vrr_stack+64901, r12vrr_stack+39648, r12vrr_stack+39557, r12vrr_stack+50237);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+66812, r12vrr_stack+66266, r12vrr_stack+65720, r12vrr_stack+65174, r12vrr_stack+64901, r12vrr_stack+50939);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50237, r12vrr_stack+37829, r12vrr_stack+13288, r12vrr_stack+27489, r12vrr_stack+20311, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50705, r12vrr_stack+50237, r12vrr_stack+39648, NULL, NULL, r12vrr_stack+13288);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+67722, r12vrr_stack+50705, r12vrr_stack+65174, r12vrr_stack+50237, r12vrr_stack+39648, r12vrr_stack+50471);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+68268, r12vrr_stack+67722, r12vrr_stack+66266, r12vrr_stack+50705, r12vrr_stack+65174, r12vrr_stack+51407);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50328, r12vrr_stack+37907, r12vrr_stack+39154, r12vrr_stack+27555, r12vrr_stack+28584, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50419, r12vrr_stack+20179, r12vrr_stack+50328, NULL, NULL, r12vrr_stack+37907);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50978, r12vrr_stack+65447, r12vrr_stack+50419, r12vrr_stack+39466, r12vrr_stack+20179, r12vrr_stack+37985);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+69178, r12vrr_stack+65720, r12vrr_stack+50978, r12vrr_stack+64901, r12vrr_stack+65447, r12vrr_stack+38459);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+70088, r12vrr_stack+66812, r12vrr_stack+69178, r12vrr_stack+66266, r12vrr_stack+65720, r12vrr_stack+53903);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+71453, r12vrr_stack+68268, r12vrr_stack+66812, r12vrr_stack+67722, r12vrr_stack+66266, r12vrr_stack+51875);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+72818, r12vrr_stack+71453, r12vrr_stack+70088, r12vrr_stack+68268, r12vrr_stack+66812, r12vrr_stack+54683);
 tmp = r12vrr_stack + 72818;
 target_ptr = Libr12->gvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+38222, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+50692, r12vrr_stack+38219, r12vrr_stack+38222, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+51524, r12vrr_stack+38927, r12vrr_stack+50692, r12vrr_stack+8033, r12vrr_stack+38219, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+51534, r12vrr_stack+38933, r12vrr_stack+51524, r12vrr_stack+28413, r12vrr_stack+38927, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+51549, r12vrr_stack+38943, r12vrr_stack+51534, r12vrr_stack+28419, r12vrr_stack+38933, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+51570, r12vrr_stack+38958, r12vrr_stack+51549, r12vrr_stack+28429, r12vrr_stack+38943, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+51598, r12vrr_stack+38979, r12vrr_stack+51570, r12vrr_stack+28444, r12vrr_stack+38958, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+51634, r12vrr_stack+39007, r12vrr_stack+51598, r12vrr_stack+28465, r12vrr_stack+38979, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51679, r12vrr_stack+39043, r12vrr_stack+51634, r12vrr_stack+28493, r12vrr_stack+39007, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51734, r12vrr_stack+2144, r12vrr_stack+51679, r12vrr_stack+1707, r12vrr_stack+39043, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2199, r12vrr_stack+39088, r12vrr_stack+51734, r12vrr_stack+28529, r12vrr_stack+2144, NULL);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+51800, r12vrr_stack+39154, r12vrr_stack+2199, r12vrr_stack+28584, r12vrr_stack+39088, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+51891, r12vrr_stack+50328, r12vrr_stack+51800, NULL, NULL, r12vrr_stack+39154);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+74729, r12vrr_stack+50419, r12vrr_stack+51891, r12vrr_stack+20179, r12vrr_stack+50328, r12vrr_stack+39232);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+75275, r12vrr_stack+50978, r12vrr_stack+74729, r12vrr_stack+65447, r12vrr_stack+50419, r12vrr_stack+58661);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76185, r12vrr_stack+69178, r12vrr_stack+75275, r12vrr_stack+65720, r12vrr_stack+50978, r12vrr_stack+59129);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+77550, r12vrr_stack+70088, r12vrr_stack+76185, r12vrr_stack+66812, r12vrr_stack+69178, r12vrr_stack+59909);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79461, r12vrr_stack+72818, r12vrr_stack+77550, r12vrr_stack+71453, r12vrr_stack+70088, r12vrr_stack+61079);
 tmp = r12vrr_stack + 79461;
 target_ptr = Libr12->gvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52164, r12vrr_stack+39466, r12vrr_stack+20179, r12vrr_stack+28848, r12vrr_stack+29004, NULL);

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52269, r12vrr_stack+39557, r12vrr_stack+39466, r12vrr_stack+28926, r12vrr_stack+28848, NULL);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+52269, r12vrr_stack+52164, NULL, NULL, r12vrr_stack+39466);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52374, r12vrr_stack+39648, r12vrr_stack+39557, r12vrr_stack+13288, r12vrr_stack+28926, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82324, r12vrr_stack+52374, r12vrr_stack+52269, NULL, NULL, r12vrr_stack+39557);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+39466, r12vrr_stack+20179, r12vrr_stack+50328, r12vrr_stack+29004, r12vrr_stack+37907, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+28848, r12vrr_stack+52164, r12vrr_stack+39466, NULL, NULL, r12vrr_stack+20179);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82639, r12vrr_stack+82009, r12vrr_stack+28848, r12vrr_stack+52269, r12vrr_stack+52164, r12vrr_stack+65447);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+83269, r12vrr_stack+82324, r12vrr_stack+82009, r12vrr_stack+52374, r12vrr_stack+52269, r12vrr_stack+64901);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+83899, r12vrr_stack+83269, r12vrr_stack+82639, r12vrr_stack+82324, r12vrr_stack+82009, r12vrr_stack+65720);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52269, r12vrr_stack+50237, r12vrr_stack+39648, r12vrr_stack+37829, r12vrr_stack+13288, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+65447, r12vrr_stack+52269, r12vrr_stack+52374, NULL, NULL, r12vrr_stack+39648);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+84949, r12vrr_stack+65447, r12vrr_stack+82324, r12vrr_stack+52269, r12vrr_stack+52374, r12vrr_stack+65174);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+85579, r12vrr_stack+84949, r12vrr_stack+83269, r12vrr_stack+65447, r12vrr_stack+82324, r12vrr_stack+66266);

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+82324, r12vrr_stack+50328, r12vrr_stack+51800, r12vrr_stack+37907, r12vrr_stack+39154, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52269, r12vrr_stack+39466, r12vrr_stack+82324, NULL, NULL, r12vrr_stack+50328);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+28848, r12vrr_stack+52269, r12vrr_stack+52164, r12vrr_stack+39466, r12vrr_stack+50419);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+65531, r12vrr_stack+82639, r12vrr_stack+64901, r12vrr_stack+82009, r12vrr_stack+28848, r12vrr_stack+50978);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+86629, r12vrr_stack+83899, r12vrr_stack+65531, r12vrr_stack+83269, r12vrr_stack+82639, r12vrr_stack+69178);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+88204, r12vrr_stack+85579, r12vrr_stack+83899, r12vrr_stack+84949, r12vrr_stack+83269, r12vrr_stack+66812);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+89779, r12vrr_stack+88204, r12vrr_stack+86629, r12vrr_stack+85579, r12vrr_stack+83899, r12vrr_stack+70088);
 tmp = r12vrr_stack + 89779;
 target_ptr = Libr12->gvrr_classes[5][13];
 for(i=0;i<2205;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+8033, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+83269, r12vrr_stack+847, r12vrr_stack+8033, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+13017, r12vrr_stack+30, r12vrr_stack+21, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+57, r12vrr_stack+850, r12vrr_stack+13017, r12vrr_stack+0, r12vrr_stack+30, r12vrr_stack+8033);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+131, r12vrr_stack+161, r12vrr_stack+57, r12vrr_stack+6, r12vrr_stack+850, r12vrr_stack+83269);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+83275, r12vrr_stack+210, r12vrr_stack+180, NULL, NULL, r12vrr_stack+21);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+83293, r12vrr_stack+4083, r12vrr_stack+83275, r12vrr_stack+33, r12vrr_stack+210, r12vrr_stack+13017);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+83329, r12vrr_stack+4101, r12vrr_stack+83293, r12vrr_stack+39, r12vrr_stack+4083, r12vrr_stack+57);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+83389, r12vrr_stack+4137, r12vrr_stack+83329, r12vrr_stack+75, r12vrr_stack+4101, r12vrr_stack+131);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+75, r12vrr_stack+186, r12vrr_stack+738, NULL, NULL, r12vrr_stack+180);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+83479, r12vrr_stack+4197, r12vrr_stack+75, r12vrr_stack+216, r12vrr_stack+186, r12vrr_stack+83275);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+83539, r12vrr_stack+4227, r12vrr_stack+83479, r12vrr_stack+226, r12vrr_stack+4197, r12vrr_stack+83293);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+83639, r12vrr_stack+4287, r12vrr_stack+83539, r12vrr_stack+256, r12vrr_stack+4227, r12vrr_stack+83329);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+82429, r12vrr_stack+4387, r12vrr_stack+83639, r12vrr_stack+376, r12vrr_stack+4287, r12vrr_stack+83389);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+376, r12vrr_stack+748, r12vrr_stack+361, NULL, NULL, r12vrr_stack+738);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+216, r12vrr_stack+316, r12vrr_stack+376, r12vrr_stack+867, r12vrr_stack+748, r12vrr_stack+75);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+84949, r12vrr_stack+4537, r12vrr_stack+216, r12vrr_stack+882, r12vrr_stack+316, r12vrr_stack+83479);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+85099, r12vrr_stack+4627, r12vrr_stack+84949, r12vrr_stack+927, r12vrr_stack+4537, r12vrr_stack+83539);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+4777, r12vrr_stack+85099, r12vrr_stack+1017, r12vrr_stack+4627, r12vrr_stack+83639);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+85324, r12vrr_stack+5002, r12vrr_stack+82009, r12vrr_stack+1317, r12vrr_stack+4777, r12vrr_stack+82429);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1317, r12vrr_stack+1167, r12vrr_stack+1686, NULL, NULL, r12vrr_stack+361);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12351, r12vrr_stack+1188, r12vrr_stack+1317, r12vrr_stack+763, r12vrr_stack+1167, r12vrr_stack+376);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+85744, r12vrr_stack+5317, r12vrr_stack+12351, r12vrr_stack+784, r12vrr_stack+1188, r12vrr_stack+216);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+85954, r12vrr_stack+5443, r12vrr_stack+85744, r12vrr_stack+2676, r12vrr_stack+5317, r12vrr_stack+84949);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+66581, r12vrr_stack+5653, r12vrr_stack+85954, r12vrr_stack+2802, r12vrr_stack+5443, r12vrr_stack+85099);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+67022, r12vrr_stack+5968, r12vrr_stack+66581, r12vrr_stack+3012, r12vrr_stack+5653, r12vrr_stack+82009);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+91984, r12vrr_stack+6409, r12vrr_stack+67022, r12vrr_stack+3642, r12vrr_stack+5968, r12vrr_stack+85324);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+1864, r12vrr_stack+1640, NULL, NULL, r12vrr_stack+1686);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+1892, r12vrr_stack+763, r12vrr_stack+1584, r12vrr_stack+1864, r12vrr_stack+1317);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2844, r12vrr_stack+1976, r12vrr_stack+2676, r12vrr_stack+7501, r12vrr_stack+1892, r12vrr_stack+12351);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+92740, r12vrr_stack+9601, r12vrr_stack+2844, r12vrr_stack+7585, r12vrr_stack+1976, r12vrr_stack+85744);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93160, r12vrr_stack+9881, r12vrr_stack+92740, r12vrr_stack+7753, r12vrr_stack+9601, r12vrr_stack+85954);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93748, r12vrr_stack+10301, r12vrr_stack+93160, r12vrr_stack+8313, r12vrr_stack+9881, r12vrr_stack+66581);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+94532, r12vrr_stack+11477, r12vrr_stack+93748, r12vrr_stack+10889, r12vrr_stack+10301, r12vrr_stack+67022);
 tmp = r12vrr_stack + 94532;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7501, r12vrr_stack+7465, r12vrr_stack+13072, NULL, NULL, r12vrr_stack+1640);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7609, r12vrr_stack+8082, r12vrr_stack+7501, r12vrr_stack+476, r12vrr_stack+7465, r12vrr_stack+763);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+86269, r12vrr_stack+16149, r12vrr_stack+7609, r12vrr_stack+7141, r12vrr_stack+8082, r12vrr_stack+2676);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8190, r12vrr_stack+16365, r12vrr_stack+86269, r12vrr_stack+7249, r12vrr_stack+16149, r12vrr_stack+2844);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+95540, r12vrr_stack+16725, r12vrr_stack+8190, r12vrr_stack+13953, r12vrr_stack+16365, r12vrr_stack+92740);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+96296, r12vrr_stack+17265, r12vrr_stack+95540, r12vrr_stack+14313, r12vrr_stack+16725, r12vrr_stack+93160);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+97304, r12vrr_stack+18021, r12vrr_stack+96296, r12vrr_stack+15393, r12vrr_stack+17265, r12vrr_stack+93748);
 tmp = r12vrr_stack + 97304;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13953, r12vrr_stack+13108, r12vrr_stack+19222, NULL, NULL, r12vrr_stack+13072);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14088, r12vrr_stack+13153, r12vrr_stack+13953, r12vrr_stack+12306, r12vrr_stack+13108, r12vrr_stack+7501);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14358, r12vrr_stack+23889, r12vrr_stack+14088, r12vrr_stack+12612, r12vrr_stack+13153, r12vrr_stack+7609);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+98600, r12vrr_stack+24159, r12vrr_stack+14358, r12vrr_stack+12747, r12vrr_stack+23889, r12vrr_stack+86269);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+99275, r12vrr_stack+24609, r12vrr_stack+98600, r12vrr_stack+21144, r12vrr_stack+24159, r12vrr_stack+8190);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+100220, r12vrr_stack+25284, r12vrr_stack+99275, r12vrr_stack+21594, r12vrr_stack+24609, r12vrr_stack+95540);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+101480, r12vrr_stack+26229, r12vrr_stack+100220, r12vrr_stack+22944, r12vrr_stack+25284, r12vrr_stack+96296);
 tmp = r12vrr_stack + 101480;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21144, r12vrr_stack+19959, r12vrr_stack+28529, NULL, NULL, r12vrr_stack+19222);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21309, r12vrr_stack+20014, r12vrr_stack+21144, r12vrr_stack+19084, r12vrr_stack+19959, r12vrr_stack+13953);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+21639, r12vrr_stack+33429, r12vrr_stack+21309, r12vrr_stack+19464, r12vrr_stack+20014, r12vrr_stack+14088);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+103100, r12vrr_stack+33759, r12vrr_stack+21639, r12vrr_stack+19629, r12vrr_stack+33429, r12vrr_stack+14358);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+103925, r12vrr_stack+34309, r12vrr_stack+103100, r12vrr_stack+30074, r12vrr_stack+33759, r12vrr_stack+98600);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+105080, r12vrr_stack+35134, r12vrr_stack+103925, r12vrr_stack+30624, r12vrr_stack+34309, r12vrr_stack+99275);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+106620, r12vrr_stack+36289, r12vrr_stack+105080, r12vrr_stack+32274, r12vrr_stack+35134, r12vrr_stack+100220);
 tmp = r12vrr_stack + 106620;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30074, r12vrr_stack+28584, r12vrr_stack+39088, NULL, NULL, r12vrr_stack+28529);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30272, r12vrr_stack+28650, r12vrr_stack+30074, r12vrr_stack+27555, r12vrr_stack+28584, r12vrr_stack+21144);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30668, r12vrr_stack+44957, r12vrr_stack+30272, r12vrr_stack+27621, r12vrr_stack+28650, r12vrr_stack+21309);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+108600, r12vrr_stack+45353, r12vrr_stack+30668, r12vrr_stack+28017, r12vrr_stack+44957, r12vrr_stack+21639);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+109590, r12vrr_stack+46013, r12vrr_stack+108600, r12vrr_stack+40931, r12vrr_stack+45353, r12vrr_stack+103100);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+110976, r12vrr_stack+47003, r12vrr_stack+109590, r12vrr_stack+41591, r12vrr_stack+46013, r12vrr_stack+103925);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+112824, r12vrr_stack+48389, r12vrr_stack+110976, r12vrr_stack+43571, r12vrr_stack+47003, r12vrr_stack+105080);
 tmp = r12vrr_stack + 112824;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+40931, r12vrr_stack+39154, r12vrr_stack+2199, NULL, NULL, r12vrr_stack+39088);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+41165, r12vrr_stack+39232, r12vrr_stack+40931, r12vrr_stack+37907, r12vrr_stack+39154, r12vrr_stack+30074);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+41633, r12vrr_stack+58661, r12vrr_stack+41165, r12vrr_stack+37985, r12vrr_stack+39232, r12vrr_stack+30272);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+115200, r12vrr_stack+59129, r12vrr_stack+41633, r12vrr_stack+38459, r12vrr_stack+58661, r12vrr_stack+30668);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+116370, r12vrr_stack+59909, r12vrr_stack+115200, r12vrr_stack+53903, r12vrr_stack+59129, r12vrr_stack+108600);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+118008, r12vrr_stack+61079, r12vrr_stack+116370, r12vrr_stack+54683, r12vrr_stack+59909, r12vrr_stack+109590);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+120192, r12vrr_stack+62717, r12vrr_stack+118008, r12vrr_stack+57023, r12vrr_stack+61079, r12vrr_stack+110976);
 tmp = r12vrr_stack + 120192;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+105, r12vrr_stack+38222, r12vrr_stack+0, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+306, r12vrr_stack+50692, r12vrr_stack+105, r12vrr_stack+38219, r12vrr_stack+38222, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+53903, r12vrr_stack+51524, r12vrr_stack+306, r12vrr_stack+38927, r12vrr_stack+50692, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+53918, r12vrr_stack+51534, r12vrr_stack+53903, r12vrr_stack+38933, r12vrr_stack+51524, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+51549, r12vrr_stack+53918, r12vrr_stack+38943, r12vrr_stack+51534, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+53939, r12vrr_stack+51570, r12vrr_stack+1584, r12vrr_stack+38958, r12vrr_stack+51549, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12306, r12vrr_stack+51598, r12vrr_stack+53939, r12vrr_stack+38979, r12vrr_stack+51570, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+53975, r12vrr_stack+51634, r12vrr_stack+12306, r12vrr_stack+39007, r12vrr_stack+51598, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54030, r12vrr_stack+51679, r12vrr_stack+53975, r12vrr_stack+39043, r12vrr_stack+51634, NULL);

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+54096, r12vrr_stack+51734, r12vrr_stack+54030, r12vrr_stack+2144, r12vrr_stack+51679, NULL);

 /*--- compute (00|q0)^7 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+54174, r12vrr_stack+2199, r12vrr_stack+54096, r12vrr_stack+39088, r12vrr_stack+51734, NULL);

 /*--- compute (p0|q0)^6 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+54265, r12vrr_stack+51800, r12vrr_stack+54174, NULL, NULL, r12vrr_stack+2199);

 /*--- compute (d0|q0)^5 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+54538, r12vrr_stack+51891, r12vrr_stack+54265, r12vrr_stack+50328, r12vrr_stack+51800, r12vrr_stack+40931);

 /*--- compute (f0|q0)^4 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+123000, r12vrr_stack+74729, r12vrr_stack+54538, r12vrr_stack+50419, r12vrr_stack+51891, r12vrr_stack+41165);

 /*--- compute (g0|q0)^3 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+123910, r12vrr_stack+75275, r12vrr_stack+123000, r12vrr_stack+50978, r12vrr_stack+74729, r12vrr_stack+41633);

 /*--- compute (h0|q0)^2 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+125275, r12vrr_stack+76185, r12vrr_stack+123910, r12vrr_stack+69178, r12vrr_stack+75275, r12vrr_stack+115200);

 /*--- compute (i0|q0)^1 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+127186, r12vrr_stack+77550, r12vrr_stack+125275, r12vrr_stack+70088, r12vrr_stack+76185, r12vrr_stack+116370);

 /*--- compute (k0|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+129734, r12vrr_stack+79461, r12vrr_stack+127186, r12vrr_stack+72818, r12vrr_stack+77550, r12vrr_stack+118008);
 tmp = r12vrr_stack + 129734;
 target_ptr = Libr12->gvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^6 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+52164, r12vrr_stack+51800, r12vrr_stack+54174, r12vrr_stack+39154, r12vrr_stack+2199, NULL);

 /*--- compute (p0|r0)^5 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+37907, r12vrr_stack+82324, r12vrr_stack+52164, NULL, NULL, r12vrr_stack+51800);

 /*--- compute (d0|r0)^4 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+69178, r12vrr_stack+52269, r12vrr_stack+37907, r12vrr_stack+39466, r12vrr_stack+82324, r12vrr_stack+51891);

 /*--- compute (f0|r0)^3 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+69808, r12vrr_stack+64901, r12vrr_stack+69178, r12vrr_stack+28848, r12vrr_stack+52269, r12vrr_stack+74729);

 /*--- compute (g0|r0)^2 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+133010, r12vrr_stack+65531, r12vrr_stack+69808, r12vrr_stack+82639, r12vrr_stack+64901, r12vrr_stack+75275);

 /*--- compute (h0|r0)^1 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+134585, r12vrr_stack+86629, r12vrr_stack+133010, r12vrr_stack+83899, r12vrr_stack+65531, r12vrr_stack+76185);

 /*--- compute (i0|r0)^0 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+136790, r12vrr_stack+89779, r12vrr_stack+134585, r12vrr_stack+88204, r12vrr_stack+86629, r12vrr_stack+77550);
 tmp = r12vrr_stack + 136790;
 target_ptr = Libr12->gvrr_classes[6][13];
 for(i=0;i<2940;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+8730, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+82639, r12vrr_stack+8033, r12vrr_stack+8730, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+82645, r12vrr_stack+83269, r12vrr_stack+82639, r12vrr_stack+847, r12vrr_stack+8033, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+21, r12vrr_stack+27, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+82655, r12vrr_stack+13017, r12vrr_stack+6, r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+8730);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+82673, r12vrr_stack+57, r12vrr_stack+82655, r12vrr_stack+850, r12vrr_stack+13017, r12vrr_stack+82639);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+14808, r12vrr_stack+131, r12vrr_stack+82673, r12vrr_stack+161, r12vrr_stack+57, r12vrr_stack+82645);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+161, r12vrr_stack+180, r12vrr_stack+732, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+847, r12vrr_stack+83275, r12vrr_stack+161, r12vrr_stack+210, r12vrr_stack+180, r12vrr_stack+6);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+883, r12vrr_stack+83293, r12vrr_stack+847, r12vrr_stack+4083, r12vrr_stack+83275, r12vrr_stack+82655);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+943, r12vrr_stack+83329, r12vrr_stack+883, r12vrr_stack+4101, r12vrr_stack+83293, r12vrr_stack+82673);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1033, r12vrr_stack+83389, r12vrr_stack+943, r12vrr_stack+4137, r12vrr_stack+83329, r12vrr_stack+14808);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+4083, r12vrr_stack+738, r12vrr_stack+111, NULL, NULL, r12vrr_stack+732);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4113, r12vrr_stack+75, r12vrr_stack+4083, r12vrr_stack+186, r12vrr_stack+738, r12vrr_stack+161);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+82703, r12vrr_stack+83479, r12vrr_stack+4113, r12vrr_stack+4197, r12vrr_stack+75, r12vrr_stack+847);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+82803, r12vrr_stack+83539, r12vrr_stack+82703, r12vrr_stack+4227, r12vrr_stack+83479, r12vrr_stack+883);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+82953, r12vrr_stack+83639, r12vrr_stack+82803, r12vrr_stack+4287, r12vrr_stack+83539, r12vrr_stack+943);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+28848, r12vrr_stack+82429, r12vrr_stack+82953, r12vrr_stack+4387, r12vrr_stack+83639, r12vrr_stack+1033);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+4173, r12vrr_stack+361, r12vrr_stack+1671, NULL, NULL, r12vrr_stack+111);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+4218, r12vrr_stack+376, r12vrr_stack+4173, r12vrr_stack+748, r12vrr_stack+361, r12vrr_stack+4083);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+4308, r12vrr_stack+216, r12vrr_stack+4218, r12vrr_stack+316, r12vrr_stack+376, r12vrr_stack+4113);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+39466, r12vrr_stack+84949, r12vrr_stack+4308, r12vrr_stack+4537, r12vrr_stack+216, r12vrr_stack+82703);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+70858, r12vrr_stack+85099, r12vrr_stack+39466, r12vrr_stack+4627, r12vrr_stack+84949, r12vrr_stack+82803);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+50978, r12vrr_stack+82009, r12vrr_stack+70858, r12vrr_stack+4777, r12vrr_stack+85099, r12vrr_stack+82953);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4458, r12vrr_stack+85324, r12vrr_stack+50978, r12vrr_stack+5002, r12vrr_stack+82009, r12vrr_stack+28848);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4998, r12vrr_stack+1686, r12vrr_stack+8061, NULL, NULL, r12vrr_stack+1671);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+51398, r12vrr_stack+1317, r12vrr_stack+4998, r12vrr_stack+1167, r12vrr_stack+1686, r12vrr_stack+4173);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5061, r12vrr_stack+12351, r12vrr_stack+51398, r12vrr_stack+1188, r12vrr_stack+1317, r12vrr_stack+4218);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+50328, r12vrr_stack+85744, r12vrr_stack+5061, r12vrr_stack+5317, r12vrr_stack+12351, r12vrr_stack+4308);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+55084, r12vrr_stack+85954, r12vrr_stack+50328, r12vrr_stack+5443, r12vrr_stack+85744, r12vrr_stack+39466);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+83789, r12vrr_stack+66581, r12vrr_stack+55084, r12vrr_stack+5653, r12vrr_stack+85954, r12vrr_stack+70858);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+139730, r12vrr_stack+67022, r12vrr_stack+83789, r12vrr_stack+5968, r12vrr_stack+66581, r12vrr_stack+50978);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5271, r12vrr_stack+91984, r12vrr_stack+139730, r12vrr_stack+6409, r12vrr_stack+67022, r12vrr_stack+4458);

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+6216, r12vrr_stack+1640, r12vrr_stack+1752, NULL, NULL, r12vrr_stack+8061);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+42413, r12vrr_stack+763, r12vrr_stack+6216, r12vrr_stack+1864, r12vrr_stack+1640, r12vrr_stack+4998);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+71173, r12vrr_stack+2676, r12vrr_stack+42413, r12vrr_stack+1892, r12vrr_stack+763, r12vrr_stack+51398);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+38459, r12vrr_stack+2844, r12vrr_stack+71173, r12vrr_stack+1976, r12vrr_stack+2676, r12vrr_stack+5061);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+140486, r12vrr_stack+92740, r12vrr_stack+38459, r12vrr_stack+9601, r12vrr_stack+2844, r12vrr_stack+50328);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+141074, r12vrr_stack+93160, r12vrr_stack+140486, r12vrr_stack+9881, r12vrr_stack+92740, r12vrr_stack+55084);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+141858, r12vrr_stack+93748, r12vrr_stack+141074, r12vrr_stack+10301, r12vrr_stack+93160, r12vrr_stack+83789);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+94532, r12vrr_stack+141858, r12vrr_stack+11477, r12vrr_stack+93748, r12vrr_stack+139730);
 tmp = r12vrr_stack + 9601;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1864, r12vrr_stack+13072, r12vrr_stack+1542, NULL, NULL, r12vrr_stack+1752);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+55525, r12vrr_stack+7501, r12vrr_stack+1864, r12vrr_stack+7465, r12vrr_stack+13072, r12vrr_stack+6216);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+7609, r12vrr_stack+55525, r12vrr_stack+8082, r12vrr_stack+7501, r12vrr_stack+42413);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+84377, r12vrr_stack+86269, r12vrr_stack+7141, r12vrr_stack+16149, r12vrr_stack+7609, r12vrr_stack+71173);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+142866, r12vrr_stack+8190, r12vrr_stack+84377, r12vrr_stack+16365, r12vrr_stack+86269, r12vrr_stack+38459);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+143622, r12vrr_stack+95540, r12vrr_stack+142866, r12vrr_stack+16725, r12vrr_stack+8190, r12vrr_stack+140486);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+144630, r12vrr_stack+96296, r12vrr_stack+143622, r12vrr_stack+17265, r12vrr_stack+95540, r12vrr_stack+141074);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+16149, r12vrr_stack+97304, r12vrr_stack+144630, r12vrr_stack+18021, r12vrr_stack+96296, r12vrr_stack+141858);
 tmp = r12vrr_stack + 16149;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+17769, r12vrr_stack+19222, r12vrr_stack+1707, NULL, NULL, r12vrr_stack+1542);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+28017, r12vrr_stack+13953, r12vrr_stack+17769, r12vrr_stack+13108, r12vrr_stack+19222, r12vrr_stack+1864);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19464, r12vrr_stack+14088, r12vrr_stack+28017, r12vrr_stack+13153, r12vrr_stack+13953, r12vrr_stack+55525);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+145926, r12vrr_stack+14358, r12vrr_stack+19464, r12vrr_stack+23889, r12vrr_stack+14088, r12vrr_stack+7141);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+146601, r12vrr_stack+98600, r12vrr_stack+145926, r12vrr_stack+24159, r12vrr_stack+14358, r12vrr_stack+84377);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+147546, r12vrr_stack+99275, r12vrr_stack+146601, r12vrr_stack+24609, r12vrr_stack+98600, r12vrr_stack+142866);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+148806, r12vrr_stack+100220, r12vrr_stack+147546, r12vrr_stack+25284, r12vrr_stack+99275, r12vrr_stack+143622);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23889, r12vrr_stack+101480, r12vrr_stack+148806, r12vrr_stack+26229, r12vrr_stack+100220, r12vrr_stack+144630);
 tmp = r12vrr_stack + 23889;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+25914, r12vrr_stack+28529, r12vrr_stack+2144, NULL, NULL, r12vrr_stack+1707);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12612, r12vrr_stack+21144, r12vrr_stack+25914, r12vrr_stack+19959, r12vrr_stack+28529, r12vrr_stack+17769);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+150426, r12vrr_stack+21309, r12vrr_stack+12612, r12vrr_stack+20014, r12vrr_stack+21144, r12vrr_stack+28017);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+150976, r12vrr_stack+21639, r12vrr_stack+150426, r12vrr_stack+33429, r12vrr_stack+21309, r12vrr_stack+19464);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+151801, r12vrr_stack+103100, r12vrr_stack+150976, r12vrr_stack+33759, r12vrr_stack+21639, r12vrr_stack+145926);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+152956, r12vrr_stack+103925, r12vrr_stack+151801, r12vrr_stack+34309, r12vrr_stack+103100, r12vrr_stack+146601);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+154496, r12vrr_stack+105080, r12vrr_stack+152956, r12vrr_stack+35134, r12vrr_stack+103925, r12vrr_stack+147546);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33429, r12vrr_stack+106620, r12vrr_stack+154496, r12vrr_stack+36289, r12vrr_stack+105080, r12vrr_stack+148806);
 tmp = r12vrr_stack + 33429;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+35904, r12vrr_stack+39088, r12vrr_stack+51734, NULL, NULL, r12vrr_stack+2144);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19914, r12vrr_stack+30074, r12vrr_stack+35904, r12vrr_stack+28584, r12vrr_stack+39088, r12vrr_stack+25914);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+156476, r12vrr_stack+30272, r12vrr_stack+19914, r12vrr_stack+28650, r12vrr_stack+30074, r12vrr_stack+12612);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+157136, r12vrr_stack+30668, r12vrr_stack+156476, r12vrr_stack+44957, r12vrr_stack+30272, r12vrr_stack+150426);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+158126, r12vrr_stack+108600, r12vrr_stack+157136, r12vrr_stack+45353, r12vrr_stack+30668, r12vrr_stack+150976);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+159512, r12vrr_stack+109590, r12vrr_stack+158126, r12vrr_stack+46013, r12vrr_stack+108600, r12vrr_stack+151801);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+161360, r12vrr_stack+110976, r12vrr_stack+159512, r12vrr_stack+47003, r12vrr_stack+109590, r12vrr_stack+152956);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44957, r12vrr_stack+112824, r12vrr_stack+161360, r12vrr_stack+48389, r12vrr_stack+110976, r12vrr_stack+154496);
 tmp = r12vrr_stack + 44957;
 target_ptr = Libr12->gvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^7 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+47927, r12vrr_stack+2199, r12vrr_stack+54096, NULL, NULL, r12vrr_stack+51734);

 /*--- compute (d0|o0)^6 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+163736, r12vrr_stack+40931, r12vrr_stack+47927, r12vrr_stack+39154, r12vrr_stack+2199, r12vrr_stack+35904);

 /*--- compute (f0|o0)^5 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+164204, r12vrr_stack+41165, r12vrr_stack+163736, r12vrr_stack+39232, r12vrr_stack+40931, r12vrr_stack+19914);

 /*--- compute (g0|o0)^4 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+164984, r12vrr_stack+41633, r12vrr_stack+164204, r12vrr_stack+58661, r12vrr_stack+41165, r12vrr_stack+156476);

 /*--- compute (h0|o0)^3 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+166154, r12vrr_stack+115200, r12vrr_stack+164984, r12vrr_stack+59129, r12vrr_stack+41633, r12vrr_stack+157136);

 /*--- compute (i0|o0)^2 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+167792, r12vrr_stack+116370, r12vrr_stack+166154, r12vrr_stack+59909, r12vrr_stack+115200, r12vrr_stack+158126);

 /*--- compute (k0|o0)^1 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+169976, r12vrr_stack+118008, r12vrr_stack+167792, r12vrr_stack+61079, r12vrr_stack+116370, r12vrr_stack+159512);

 /*--- compute (l0|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58661, r12vrr_stack+120192, r12vrr_stack+169976, r12vrr_stack+62717, r12vrr_stack+118008, r12vrr_stack+161360);
 tmp = r12vrr_stack + 58661;
 target_ptr = Libr12->gvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^19 ---*/
 _BUILD_00p0(Data,r12vrr_stack+62171, Data->F+19, Data->F+20, NULL, NULL, NULL);

 /*--- compute (00|d0)^18 ---*/
 _BUILD_00d0(Data,r12vrr_stack+62174, r12vrr_stack+0, r12vrr_stack+62171, Data->F+18, Data->F+19, NULL);

 /*--- compute (00|f0)^17 ---*/
 _BUILD_00f0(Data,r12vrr_stack+62180, r12vrr_stack+105, r12vrr_stack+62174, r12vrr_stack+38222, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^16 ---*/
 _BUILD_00g0(Data,r12vrr_stack+748, r12vrr_stack+306, r12vrr_stack+62180, r12vrr_stack+50692, r12vrr_stack+105, NULL);

 /*--- compute (00|h0)^15 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+62190, r12vrr_stack+53903, r12vrr_stack+748, r12vrr_stack+51524, r12vrr_stack+306, NULL);

 /*--- compute (00|i0)^14 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10861, r12vrr_stack+53918, r12vrr_stack+62190, r12vrr_stack+51534, r12vrr_stack+53903, NULL);

 /*--- compute (00|k0)^13 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62211, r12vrr_stack+1584, r12vrr_stack+10861, r12vrr_stack+51549, r12vrr_stack+53918, NULL);

 /*--- compute (00|l0)^12 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+316, r12vrr_stack+53939, r12vrr_stack+62211, r12vrr_stack+51570, r12vrr_stack+1584, NULL);

 /*--- compute (00|m0)^11 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51524, r12vrr_stack+12306, r12vrr_stack+316, r12vrr_stack+51598, r12vrr_stack+53939, NULL);

 /*--- compute (00|n0)^10 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29128, r12vrr_stack+53975, r12vrr_stack+51524, r12vrr_stack+51634, r12vrr_stack+12306, NULL);

 /*--- compute (00|o0)^9 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+62247, r12vrr_stack+54030, r12vrr_stack+29128, r12vrr_stack+51679, r12vrr_stack+53975, NULL);

 /*--- compute (00|q0)^8 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+62325, r12vrr_stack+54096, r12vrr_stack+62247, r12vrr_stack+51734, r12vrr_stack+54030, NULL);

 /*--- compute (p0|q0)^7 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+62416, r12vrr_stack+54174, r12vrr_stack+62325, NULL, NULL, r12vrr_stack+54096);

 /*--- compute (d0|q0)^6 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+172784, r12vrr_stack+54265, r12vrr_stack+62416, r12vrr_stack+51800, r12vrr_stack+54174, r12vrr_stack+47927);

 /*--- compute (f0|q0)^5 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+173330, r12vrr_stack+54538, r12vrr_stack+172784, r12vrr_stack+51891, r12vrr_stack+54265, r12vrr_stack+163736);

 /*--- compute (g0|q0)^4 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+174240, r12vrr_stack+123000, r12vrr_stack+173330, r12vrr_stack+74729, r12vrr_stack+54538, r12vrr_stack+164204);

 /*--- compute (h0|q0)^3 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+175605, r12vrr_stack+123910, r12vrr_stack+174240, r12vrr_stack+75275, r12vrr_stack+123000, r12vrr_stack+164984);

 /*--- compute (i0|q0)^2 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+177516, r12vrr_stack+125275, r12vrr_stack+175605, r12vrr_stack+76185, r12vrr_stack+123910, r12vrr_stack+166154);

 /*--- compute (k0|q0)^1 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+180064, r12vrr_stack+127186, r12vrr_stack+177516, r12vrr_stack+77550, r12vrr_stack+125275, r12vrr_stack+167792);

 /*--- compute (l0|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+74729, r12vrr_stack+129734, r12vrr_stack+180064, r12vrr_stack+79461, r12vrr_stack+127186, r12vrr_stack+169976);
 tmp = r12vrr_stack + 74729;
 target_ptr = Libr12->gvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^7 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+78824, r12vrr_stack+54174, r12vrr_stack+62325, r12vrr_stack+2199, r12vrr_stack+54096, NULL);

 /*--- compute (p0|r0)^6 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+78929, r12vrr_stack+52164, r12vrr_stack+78824, NULL, NULL, r12vrr_stack+54174);

 /*--- compute (d0|r0)^5 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+183340, r12vrr_stack+37907, r12vrr_stack+78929, r12vrr_stack+82324, r12vrr_stack+52164, r12vrr_stack+54265);

 /*--- compute (f0|r0)^4 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+183970, r12vrr_stack+69178, r12vrr_stack+183340, r12vrr_stack+52269, r12vrr_stack+37907, r12vrr_stack+54538);

 /*--- compute (g0|r0)^3 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+185020, r12vrr_stack+69808, r12vrr_stack+183970, r12vrr_stack+64901, r12vrr_stack+69178, r12vrr_stack+123000);

 /*--- compute (h0|r0)^2 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+186595, r12vrr_stack+133010, r12vrr_stack+185020, r12vrr_stack+65531, r12vrr_stack+69808, r12vrr_stack+123910);

 /*--- compute (i0|r0)^1 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+188800, r12vrr_stack+134585, r12vrr_stack+186595, r12vrr_stack+86629, r12vrr_stack+133010, r12vrr_stack+125275);

 /*--- compute (k0|r0)^0 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+191740, r12vrr_stack+136790, r12vrr_stack+188800, r12vrr_stack+89779, r12vrr_stack+134585, r12vrr_stack+127186);
 tmp = r12vrr_stack + 191740;
 target_ptr = Libr12->gvrr_classes[7][13];
 for(i=0;i<3780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^8 ---*/
 _BUILD_p000(Data,r12vrr_stack+38222, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (d0|00)^7 ---*/
 _BUILD_d000(Data,r12vrr_stack+86629, r12vrr_stack+8730, r12vrr_stack+38222, Data->F+7, Data->F+8, NULL);

 /*--- compute (f0|00)^6 ---*/
 _BUILD_f000(Data,r12vrr_stack+86635, r12vrr_stack+82639, r12vrr_stack+86629, r12vrr_stack+8033, r12vrr_stack+8730, NULL);

 /*--- compute (g0|00)^5 ---*/
 _BUILD_g000(Data,r12vrr_stack+86645, r12vrr_stack+82645, r12vrr_stack+86635, r12vrr_stack+83269, r12vrr_stack+82639, NULL);

 /*--- compute (p0|p0)^8 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+86660, r12vrr_stack+27, r12vrr_stack+24, NULL, NULL, Data->F+9);

 /*--- compute (d0|p0)^7 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+86669, r12vrr_stack+6, r12vrr_stack+86660, r12vrr_stack+21, r12vrr_stack+27, r12vrr_stack+38222);

 /*--- compute (f0|p0)^6 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+186, r12vrr_stack+82655, r12vrr_stack+86669, r12vrr_stack+13017, r12vrr_stack+6, r12vrr_stack+86629);

 /*--- compute (g0|p0)^5 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+86687, r12vrr_stack+82673, r12vrr_stack+186, r12vrr_stack+57, r12vrr_stack+82655, r12vrr_stack+86635);

 /*--- compute (h0|p0)^4 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+86732, r12vrr_stack+14808, r12vrr_stack+86687, r12vrr_stack+131, r12vrr_stack+82673, r12vrr_stack+86645);

 /*--- compute (p0|d0)^8 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+131, r12vrr_stack+732, r12vrr_stack+15, NULL, NULL, r12vrr_stack+24);

 /*--- compute (d0|d0)^7 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+86795, r12vrr_stack+161, r12vrr_stack+131, r12vrr_stack+180, r12vrr_stack+732, r12vrr_stack+86660);

 /*--- compute (f0|d0)^6 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+86831, r12vrr_stack+847, r12vrr_stack+86795, r12vrr_stack+83275, r12vrr_stack+161, r12vrr_stack+86669);

 /*--- compute (g0|d0)^5 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+86891, r12vrr_stack+883, r12vrr_stack+86831, r12vrr_stack+83293, r12vrr_stack+847, r12vrr_stack+186);

 /*--- compute (h0|d0)^4 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+86981, r12vrr_stack+943, r12vrr_stack+86891, r12vrr_stack+83329, r12vrr_stack+883, r12vrr_stack+86687);

 /*--- compute (i0|d0)^3 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+87107, r12vrr_stack+1033, r12vrr_stack+86981, r12vrr_stack+83389, r12vrr_stack+943, r12vrr_stack+86732);

 /*--- compute (p0|f0)^8 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+87275, r12vrr_stack+111, r12vrr_stack+1307, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|f0)^7 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+87305, r12vrr_stack+4083, r12vrr_stack+87275, r12vrr_stack+738, r12vrr_stack+111, r12vrr_stack+131);

 /*--- compute (f0|f0)^6 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+38879, r12vrr_stack+4113, r12vrr_stack+87305, r12vrr_stack+75, r12vrr_stack+4083, r12vrr_stack+86795);

 /*--- compute (g0|f0)^5 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+26079, r12vrr_stack+82703, r12vrr_stack+38879, r12vrr_stack+83479, r12vrr_stack+4113, r12vrr_stack+86831);

 /*--- compute (h0|f0)^4 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+87365, r12vrr_stack+82803, r12vrr_stack+26079, r12vrr_stack+83539, r12vrr_stack+82703, r12vrr_stack+86891);

 /*--- compute (i0|f0)^3 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+87575, r12vrr_stack+82953, r12vrr_stack+87365, r12vrr_stack+83639, r12vrr_stack+82803, r12vrr_stack+86981);

 /*--- compute (k0|f0)^2 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+64901, r12vrr_stack+28848, r12vrr_stack+87575, r12vrr_stack+82429, r12vrr_stack+82953, r12vrr_stack+87107);

 /*--- compute (p0|g0)^8 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+87855, r12vrr_stack+1671, r12vrr_stack+8046, NULL, NULL, r12vrr_stack+1307);

 /*--- compute (d0|g0)^7 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+87900, r12vrr_stack+4173, r12vrr_stack+87855, r12vrr_stack+361, r12vrr_stack+1671, r12vrr_stack+87275);

 /*--- compute (f0|g0)^6 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+87990, r12vrr_stack+4218, r12vrr_stack+87900, r12vrr_stack+376, r12vrr_stack+4173, r12vrr_stack+87305);

 /*--- compute (g0|g0)^5 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+65261, r12vrr_stack+4308, r12vrr_stack+87990, r12vrr_stack+216, r12vrr_stack+4218, r12vrr_stack+38879);

 /*--- compute (h0|g0)^4 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+82324, r12vrr_stack+39466, r12vrr_stack+65261, r12vrr_stack+84949, r12vrr_stack+4308, r12vrr_stack+26079);

 /*--- compute (i0|g0)^3 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+65486, r12vrr_stack+70858, r12vrr_stack+82324, r12vrr_stack+85099, r12vrr_stack+39466, r12vrr_stack+87365);

 /*--- compute (k0|g0)^2 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+65906, r12vrr_stack+50978, r12vrr_stack+65486, r12vrr_stack+82009, r12vrr_stack+70858, r12vrr_stack+87575);

 /*--- compute (l0|g0)^1 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+195520, r12vrr_stack+4458, r12vrr_stack+65906, r12vrr_stack+85324, r12vrr_stack+50978, r12vrr_stack+64901);

 /*--- compute (p0|h0)^8 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+8061, r12vrr_stack+13051, NULL, NULL, r12vrr_stack+8046);

 /*--- compute (d0|h0)^7 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+82072, r12vrr_stack+4998, r12vrr_stack+82009, r12vrr_stack+1686, r12vrr_stack+8061, r12vrr_stack+87855);

 /*--- compute (f0|h0)^6 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+52269, r12vrr_stack+51398, r12vrr_stack+82072, r12vrr_stack+1317, r12vrr_stack+4998, r12vrr_stack+87900);

 /*--- compute (g0|h0)^5 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+51800, r12vrr_stack+5061, r12vrr_stack+52269, r12vrr_stack+12351, r12vrr_stack+51398, r12vrr_stack+87990);

 /*--- compute (h0|h0)^4 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+83163, r12vrr_stack+50328, r12vrr_stack+51800, r12vrr_stack+85744, r12vrr_stack+5061, r12vrr_stack+65261);

 /*--- compute (i0|h0)^3 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+84917, r12vrr_stack+55084, r12vrr_stack+83163, r12vrr_stack+85954, r12vrr_stack+50328, r12vrr_stack+82324);

 /*--- compute (k0|h0)^2 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+85505, r12vrr_stack+83789, r12vrr_stack+84917, r12vrr_stack+66581, r12vrr_stack+55084, r12vrr_stack+65486);

 /*--- compute (l0|h0)^1 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+196195, r12vrr_stack+139730, r12vrr_stack+85505, r12vrr_stack+67022, r12vrr_stack+83789, r12vrr_stack+65906);

 /*--- compute (m0|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+66446, r12vrr_stack+5271, r12vrr_stack+196195, r12vrr_stack+91984, r12vrr_stack+139730, r12vrr_stack+195520);

 /*--- compute (p0|i0)^8 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12942, r12vrr_stack+1752, r12vrr_stack+19194, NULL, NULL, r12vrr_stack+13051);

 /*--- compute (d0|i0)^7 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1317, r12vrr_stack+6216, r12vrr_stack+12942, r12vrr_stack+1640, r12vrr_stack+1752, r12vrr_stack+82009);

 /*--- compute (f0|i0)^6 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+39154, r12vrr_stack+42413, r12vrr_stack+1317, r12vrr_stack+763, r12vrr_stack+6216, r12vrr_stack+82072);

 /*--- compute (g0|i0)^5 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+197140, r12vrr_stack+71173, r12vrr_stack+39154, r12vrr_stack+2676, r12vrr_stack+42413, r12vrr_stack+52269);

 /*--- compute (h0|i0)^4 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+197560, r12vrr_stack+38459, r12vrr_stack+197140, r12vrr_stack+2844, r12vrr_stack+71173, r12vrr_stack+51800);

 /*--- compute (i0|i0)^3 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+198148, r12vrr_stack+140486, r12vrr_stack+197560, r12vrr_stack+92740, r12vrr_stack+38459, r12vrr_stack+83163);

 /*--- compute (k0|i0)^2 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+198932, r12vrr_stack+141074, r12vrr_stack+198148, r12vrr_stack+93160, r12vrr_stack+140486, r12vrr_stack+84917);

 /*--- compute (l0|i0)^1 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+199940, r12vrr_stack+141858, r12vrr_stack+198932, r12vrr_stack+93748, r12vrr_stack+141074, r12vrr_stack+85505);

 /*--- compute (m0|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+92740, r12vrr_stack+9601, r12vrr_stack+199940, r12vrr_stack+94532, r12vrr_stack+141858, r12vrr_stack+196195);
 tmp = r12vrr_stack + 92740;
 target_ptr = Libr12->gvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^8 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8082, r12vrr_stack+1542, r12vrr_stack+28493, NULL, NULL, r12vrr_stack+19194);

 /*--- compute (d0|k0)^7 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+94280, r12vrr_stack+1864, r12vrr_stack+8082, r12vrr_stack+13072, r12vrr_stack+1542, r12vrr_stack+12942);

 /*--- compute (f0|k0)^6 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2676, r12vrr_stack+55525, r12vrr_stack+94280, r12vrr_stack+7501, r12vrr_stack+1864, r12vrr_stack+1317);

 /*--- compute (g0|k0)^5 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201200, r12vrr_stack+7141, r12vrr_stack+2676, r12vrr_stack+7609, r12vrr_stack+55525, r12vrr_stack+39154);

 /*--- compute (h0|k0)^4 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201740, r12vrr_stack+84377, r12vrr_stack+201200, r12vrr_stack+86269, r12vrr_stack+7141, r12vrr_stack+197140);

 /*--- compute (i0|k0)^3 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+202496, r12vrr_stack+142866, r12vrr_stack+201740, r12vrr_stack+8190, r12vrr_stack+84377, r12vrr_stack+197560);

 /*--- compute (k0|k0)^2 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+203504, r12vrr_stack+143622, r12vrr_stack+202496, r12vrr_stack+95540, r12vrr_stack+142866, r12vrr_stack+198148);

 /*--- compute (l0|k0)^1 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+204800, r12vrr_stack+144630, r12vrr_stack+203504, r12vrr_stack+96296, r12vrr_stack+143622, r12vrr_stack+198932);

 /*--- compute (m0|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+206420, r12vrr_stack+16149, r12vrr_stack+204800, r12vrr_stack+97304, r12vrr_stack+144630, r12vrr_stack+199940);
 tmp = r12vrr_stack + 206420;
 target_ptr = Libr12->gvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^8 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+95540, r12vrr_stack+1707, r12vrr_stack+39043, NULL, NULL, r12vrr_stack+28493);

 /*--- compute (d0|l0)^7 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+95675, r12vrr_stack+17769, r12vrr_stack+95540, r12vrr_stack+19222, r12vrr_stack+1707, r12vrr_stack+8082);

 /*--- compute (f0|l0)^6 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+95945, r12vrr_stack+28017, r12vrr_stack+95675, r12vrr_stack+13953, r12vrr_stack+17769, r12vrr_stack+94280);

 /*--- compute (g0|l0)^5 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+96395, r12vrr_stack+19464, r12vrr_stack+95945, r12vrr_stack+14088, r12vrr_stack+28017, r12vrr_stack+2676);

 /*--- compute (h0|l0)^4 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+208400, r12vrr_stack+145926, r12vrr_stack+96395, r12vrr_stack+14358, r12vrr_stack+19464, r12vrr_stack+201200);

 /*--- compute (i0|l0)^3 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+209345, r12vrr_stack+146601, r12vrr_stack+208400, r12vrr_stack+98600, r12vrr_stack+145926, r12vrr_stack+201740);

 /*--- compute (k0|l0)^2 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+210605, r12vrr_stack+147546, r12vrr_stack+209345, r12vrr_stack+99275, r12vrr_stack+146601, r12vrr_stack+202496);

 /*--- compute (l0|l0)^1 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+212225, r12vrr_stack+148806, r12vrr_stack+210605, r12vrr_stack+100220, r12vrr_stack+147546, r12vrr_stack+203504);

 /*--- compute (m0|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+98600, r12vrr_stack+23889, r12vrr_stack+212225, r12vrr_stack+101480, r12vrr_stack+148806, r12vrr_stack+204800);
 tmp = r12vrr_stack + 98600;
 target_ptr = Libr12->gvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^8 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+101075, r12vrr_stack+2144, r12vrr_stack+51679, NULL, NULL, r12vrr_stack+39043);

 /*--- compute (d0|m0)^7 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13953, r12vrr_stack+25914, r12vrr_stack+101075, r12vrr_stack+28529, r12vrr_stack+2144, r12vrr_stack+95540);

 /*--- compute (f0|m0)^6 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+214250, r12vrr_stack+12612, r12vrr_stack+13953, r12vrr_stack+21144, r12vrr_stack+25914, r12vrr_stack+95675);

 /*--- compute (g0|m0)^5 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+214800, r12vrr_stack+150426, r12vrr_stack+214250, r12vrr_stack+21309, r12vrr_stack+12612, r12vrr_stack+95945);

 /*--- compute (h0|m0)^4 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+215625, r12vrr_stack+150976, r12vrr_stack+214800, r12vrr_stack+21639, r12vrr_stack+150426, r12vrr_stack+96395);

 /*--- compute (i0|m0)^3 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+216780, r12vrr_stack+151801, r12vrr_stack+215625, r12vrr_stack+103100, r12vrr_stack+150976, r12vrr_stack+208400);

 /*--- compute (k0|m0)^2 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+218320, r12vrr_stack+152956, r12vrr_stack+216780, r12vrr_stack+103925, r12vrr_stack+151801, r12vrr_stack+209345);

 /*--- compute (l0|m0)^1 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+220300, r12vrr_stack+154496, r12vrr_stack+218320, r12vrr_stack+105080, r12vrr_stack+152956, r12vrr_stack+210605);

 /*--- compute (m0|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+103100, r12vrr_stack+33429, r12vrr_stack+220300, r12vrr_stack+106620, r12vrr_stack+154496, r12vrr_stack+212225);
 tmp = r12vrr_stack + 103100;
 target_ptr = Libr12->gvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^8 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+106125, r12vrr_stack+51734, r12vrr_stack+54030, NULL, NULL, r12vrr_stack+51679);

 /*--- compute (d0|n0)^7 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21144, r12vrr_stack+35904, r12vrr_stack+106125, r12vrr_stack+39088, r12vrr_stack+51734, r12vrr_stack+101075);

 /*--- compute (f0|n0)^6 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21540, r12vrr_stack+19914, r12vrr_stack+21144, r12vrr_stack+30074, r12vrr_stack+35904, r12vrr_stack+13953);

 /*--- compute (g0|n0)^5 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+222775, r12vrr_stack+156476, r12vrr_stack+21540, r12vrr_stack+30272, r12vrr_stack+19914, r12vrr_stack+214250);

 /*--- compute (h0|n0)^4 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+223765, r12vrr_stack+157136, r12vrr_stack+222775, r12vrr_stack+30668, r12vrr_stack+156476, r12vrr_stack+214800);

 /*--- compute (i0|n0)^3 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+225151, r12vrr_stack+158126, r12vrr_stack+223765, r12vrr_stack+108600, r12vrr_stack+157136, r12vrr_stack+215625);

 /*--- compute (k0|n0)^2 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+226999, r12vrr_stack+159512, r12vrr_stack+225151, r12vrr_stack+109590, r12vrr_stack+158126, r12vrr_stack+216780);

 /*--- compute (l0|n0)^1 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+229375, r12vrr_stack+161360, r12vrr_stack+226999, r12vrr_stack+110976, r12vrr_stack+159512, r12vrr_stack+218320);

 /*--- compute (m0|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+108600, r12vrr_stack+44957, r12vrr_stack+229375, r12vrr_stack+112824, r12vrr_stack+161360, r12vrr_stack+220300);
 tmp = r12vrr_stack + 108600;
 target_ptr = Libr12->gvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^8 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+97070, r12vrr_stack+54096, r12vrr_stack+62247, NULL, NULL, r12vrr_stack+54030);

 /*--- compute (d0|o0)^7 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+112230, r12vrr_stack+47927, r12vrr_stack+97070, r12vrr_stack+2199, r12vrr_stack+54096, r12vrr_stack+106125);

 /*--- compute (f0|o0)^6 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30074, r12vrr_stack+163736, r12vrr_stack+112230, r12vrr_stack+40931, r12vrr_stack+47927, r12vrr_stack+21144);

 /*--- compute (g0|o0)^5 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+232345, r12vrr_stack+164204, r12vrr_stack+30074, r12vrr_stack+41165, r12vrr_stack+163736, r12vrr_stack+21540);

 /*--- compute (h0|o0)^4 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+233515, r12vrr_stack+164984, r12vrr_stack+232345, r12vrr_stack+41633, r12vrr_stack+164204, r12vrr_stack+222775);

 /*--- compute (i0|o0)^3 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+235153, r12vrr_stack+166154, r12vrr_stack+233515, r12vrr_stack+115200, r12vrr_stack+164984, r12vrr_stack+223765);

 /*--- compute (k0|o0)^2 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+237337, r12vrr_stack+167792, r12vrr_stack+235153, r12vrr_stack+116370, r12vrr_stack+166154, r12vrr_stack+225151);

 /*--- compute (l0|o0)^1 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+240145, r12vrr_stack+169976, r12vrr_stack+237337, r12vrr_stack+118008, r12vrr_stack+167792, r12vrr_stack+226999);

 /*--- compute (m0|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+115200, r12vrr_stack+58661, r12vrr_stack+240145, r12vrr_stack+120192, r12vrr_stack+169976, r12vrr_stack+229375);
 tmp = r12vrr_stack + 115200;
 target_ptr = Libr12->gvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^20 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21, Data->F+20, Data->F+21, NULL, NULL, NULL);

 /*--- compute (00|d0)^19 ---*/
 _BUILD_00d0(Data,r12vrr_stack+119490, r12vrr_stack+62171, r12vrr_stack+21, Data->F+19, Data->F+20, NULL);

 /*--- compute (00|f0)^18 ---*/
 _BUILD_00f0(Data,r12vrr_stack+738, r12vrr_stack+62174, r12vrr_stack+119490, r12vrr_stack+0, r12vrr_stack+62171, NULL);

 /*--- compute (00|g0)^17 ---*/
 _BUILD_00g0(Data,r12vrr_stack+119496, r12vrr_stack+62180, r12vrr_stack+738, r12vrr_stack+105, r12vrr_stack+62174, NULL);

 /*--- compute (00|h0)^16 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1686, r12vrr_stack+748, r12vrr_stack+119496, r12vrr_stack+306, r12vrr_stack+62180, NULL);

 /*--- compute (00|i0)^15 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+62190, r12vrr_stack+1686, r12vrr_stack+53903, r12vrr_stack+748, NULL);

 /*--- compute (00|k0)^14 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+94496, r12vrr_stack+10861, r12vrr_stack+1640, r12vrr_stack+53918, r12vrr_stack+62190, NULL);

 /*--- compute (00|l0)^13 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+119511, r12vrr_stack+62211, r12vrr_stack+94496, r12vrr_stack+1584, r12vrr_stack+10861, NULL);

 /*--- compute (00|m0)^12 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+119556, r12vrr_stack+316, r12vrr_stack+119511, r12vrr_stack+53939, r12vrr_stack+62211, NULL);

 /*--- compute (00|n0)^11 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39088, r12vrr_stack+51524, r12vrr_stack+119556, r12vrr_stack+12306, r12vrr_stack+316, NULL);

 /*--- compute (00|o0)^10 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2199, r12vrr_stack+29128, r12vrr_stack+39088, r12vrr_stack+53975, r12vrr_stack+51524, NULL);

 /*--- compute (00|q0)^9 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+119611, r12vrr_stack+62247, r12vrr_stack+2199, r12vrr_stack+54030, r12vrr_stack+29128, NULL);

 /*--- compute (p0|q0)^8 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+119702, r12vrr_stack+62325, r12vrr_stack+119611, NULL, NULL, r12vrr_stack+62247);

 /*--- compute (d0|q0)^7 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+40931, r12vrr_stack+62416, r12vrr_stack+119702, r12vrr_stack+54174, r12vrr_stack+62325, r12vrr_stack+97070);

 /*--- compute (f0|q0)^6 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+41477, r12vrr_stack+172784, r12vrr_stack+40931, r12vrr_stack+54265, r12vrr_stack+62416, r12vrr_stack+112230);

 /*--- compute (g0|q0)^5 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+243655, r12vrr_stack+173330, r12vrr_stack+41477, r12vrr_stack+54538, r12vrr_stack+172784, r12vrr_stack+30074);

 /*--- compute (h0|q0)^4 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+245020, r12vrr_stack+174240, r12vrr_stack+243655, r12vrr_stack+123000, r12vrr_stack+173330, r12vrr_stack+232345);

 /*--- compute (i0|q0)^3 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+246931, r12vrr_stack+175605, r12vrr_stack+245020, r12vrr_stack+123910, r12vrr_stack+174240, r12vrr_stack+233515);

 /*--- compute (k0|q0)^2 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+249479, r12vrr_stack+177516, r12vrr_stack+246931, r12vrr_stack+125275, r12vrr_stack+175605, r12vrr_stack+235153);

 /*--- compute (l0|q0)^1 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+123000, r12vrr_stack+180064, r12vrr_stack+249479, r12vrr_stack+127186, r12vrr_stack+177516, r12vrr_stack+237337);

 /*--- compute (m0|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+252755, r12vrr_stack+74729, r12vrr_stack+123000, r12vrr_stack+129734, r12vrr_stack+180064, r12vrr_stack+240145);
 tmp = r12vrr_stack + 252755;
 target_ptr = Libr12->gvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^8 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+127095, r12vrr_stack+62325, r12vrr_stack+119611, r12vrr_stack+54096, r12vrr_stack+62247, NULL);

 /*--- compute (p0|r0)^7 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+127200, r12vrr_stack+78824, r12vrr_stack+127095, NULL, NULL, r12vrr_stack+62325);

 /*--- compute (d0|r0)^6 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+127515, r12vrr_stack+78929, r12vrr_stack+127200, r12vrr_stack+52164, r12vrr_stack+78824, r12vrr_stack+62416);

 /*--- compute (f0|r0)^5 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+128145, r12vrr_stack+183340, r12vrr_stack+127515, r12vrr_stack+37907, r12vrr_stack+78929, r12vrr_stack+172784);

 /*--- compute (g0|r0)^4 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+257760, r12vrr_stack+183970, r12vrr_stack+128145, r12vrr_stack+69178, r12vrr_stack+183340, r12vrr_stack+173330);

 /*--- compute (h0|r0)^3 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+259335, r12vrr_stack+185020, r12vrr_stack+257760, r12vrr_stack+69808, r12vrr_stack+183970, r12vrr_stack+174240);

 /*--- compute (i0|r0)^2 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+261540, r12vrr_stack+186595, r12vrr_stack+259335, r12vrr_stack+133010, r12vrr_stack+185020, r12vrr_stack+175605);

 /*--- compute (k0|r0)^1 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+264480, r12vrr_stack+188800, r12vrr_stack+261540, r12vrr_stack+134585, r12vrr_stack+186595, r12vrr_stack+177516);

 /*--- compute (l0|r0)^0 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+268260, r12vrr_stack+191740, r12vrr_stack+264480, r12vrr_stack+136790, r12vrr_stack+188800, r12vrr_stack+180064);
 tmp = r12vrr_stack + 268260;
 target_ptr = Libr12->gvrr_classes[8][13];
 for(i=0;i<4725;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^9 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (d0|00)^8 ---*/
 _BUILD_d000(Data,r12vrr_stack+133010, r12vrr_stack+38222, r12vrr_stack+0, Data->F+8, Data->F+9, NULL);

 /*--- compute (f0|00)^7 ---*/
 _BUILD_f000(Data,r12vrr_stack+133016, r12vrr_stack+86629, r12vrr_stack+133010, r12vrr_stack+8730, r12vrr_stack+38222, NULL);

 /*--- compute (g0|00)^6 ---*/
 _BUILD_g000(Data,r12vrr_stack+133026, r12vrr_stack+86635, r12vrr_stack+133016, r12vrr_stack+82639, r12vrr_stack+86629, NULL);

 /*--- compute (h0|00)^5 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+133041, r12vrr_stack+86645, r12vrr_stack+133026, r12vrr_stack+82645, r12vrr_stack+86635, NULL);

 /*--- compute (p0|p0)^9 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+82639, r12vrr_stack+24, r12vrr_stack+3, NULL, NULL, Data->F+10);

 /*--- compute (d0|p0)^8 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+133062, r12vrr_stack+86660, r12vrr_stack+82639, r12vrr_stack+27, r12vrr_stack+24, r12vrr_stack+0);

 /*--- compute (f0|p0)^7 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+27, r12vrr_stack+86669, r12vrr_stack+133062, r12vrr_stack+6, r12vrr_stack+86660, r12vrr_stack+133010);

 /*--- compute (g0|p0)^6 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+57, r12vrr_stack+186, r12vrr_stack+27, r12vrr_stack+82655, r12vrr_stack+86669, r12vrr_stack+133016);

 /*--- compute (h0|p0)^5 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+133080, r12vrr_stack+86687, r12vrr_stack+57, r12vrr_stack+82673, r12vrr_stack+186, r12vrr_stack+133026);

 /*--- compute (i0|p0)^4 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+763, r12vrr_stack+86732, r12vrr_stack+133080, r12vrr_stack+14808, r12vrr_stack+86687, r12vrr_stack+133041);

 /*--- compute (p0|d0)^9 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+82648, r12vrr_stack+15, r12vrr_stack+560, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^8 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+82666, r12vrr_stack+131, r12vrr_stack+82648, r12vrr_stack+732, r12vrr_stack+15, r12vrr_stack+82639);

 /*--- compute (f0|d0)^7 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+133143, r12vrr_stack+86795, r12vrr_stack+82666, r12vrr_stack+161, r12vrr_stack+131, r12vrr_stack+133062);

 /*--- compute (g0|d0)^6 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+133203, r12vrr_stack+86831, r12vrr_stack+133143, r12vrr_stack+847, r12vrr_stack+86795, r12vrr_stack+27);

 /*--- compute (h0|d0)^5 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+112698, r12vrr_stack+86891, r12vrr_stack+133203, r12vrr_stack+883, r12vrr_stack+86831, r12vrr_stack+57);

 /*--- compute (i0|d0)^4 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+133293, r12vrr_stack+86981, r12vrr_stack+112698, r12vrr_stack+943, r12vrr_stack+86891, r12vrr_stack+133080);

 /*--- compute (k0|d0)^3 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+133461, r12vrr_stack+87107, r12vrr_stack+133293, r12vrr_stack+1033, r12vrr_stack+86981, r12vrr_stack+763);

 /*--- compute (p0|f0)^9 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+847, r12vrr_stack+1307, r12vrr_stack+8036, NULL, NULL, r12vrr_stack+560);

 /*--- compute (d0|f0)^8 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+877, r12vrr_stack+87275, r12vrr_stack+847, r12vrr_stack+111, r12vrr_stack+1307, r12vrr_stack+82648);

 /*--- compute (f0|f0)^7 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+216, r12vrr_stack+87305, r12vrr_stack+877, r12vrr_stack+4083, r12vrr_stack+87275, r12vrr_stack+82666);

 /*--- compute (g0|f0)^6 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+937, r12vrr_stack+38879, r12vrr_stack+216, r12vrr_stack+4113, r12vrr_stack+87305, r12vrr_stack+133143);

 /*--- compute (h0|f0)^5 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1087, r12vrr_stack+26079, r12vrr_stack+937, r12vrr_stack+82703, r12vrr_stack+38879, r12vrr_stack+133203);

 /*--- compute (i0|f0)^4 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+133677, r12vrr_stack+87365, r12vrr_stack+1087, r12vrr_stack+82803, r12vrr_stack+26079, r12vrr_stack+112698);

 /*--- compute (k0|f0)^3 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+133957, r12vrr_stack+87575, r12vrr_stack+133677, r12vrr_stack+82953, r12vrr_stack+87365, r12vrr_stack+133293);

 /*--- compute (l0|f0)^2 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+82702, r12vrr_stack+64901, r12vrr_stack+133957, r12vrr_stack+28848, r12vrr_stack+87575, r12vrr_stack+133461);

 /*--- compute (p0|g0)^9 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+4083, r12vrr_stack+8046, r12vrr_stack+13036, NULL, NULL, r12vrr_stack+8036);

 /*--- compute (d0|g0)^8 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+134317, r12vrr_stack+87855, r12vrr_stack+4083, r12vrr_stack+1671, r12vrr_stack+8046, r12vrr_stack+847);

 /*--- compute (f0|g0)^7 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+134407, r12vrr_stack+87900, r12vrr_stack+134317, r12vrr_stack+4173, r12vrr_stack+87855, r12vrr_stack+877);

 /*--- compute (g0|g0)^6 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+134557, r12vrr_stack+87990, r12vrr_stack+134407, r12vrr_stack+4218, r12vrr_stack+87900, r12vrr_stack+216);

 /*--- compute (h0|g0)^5 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+37907, r12vrr_stack+65261, r12vrr_stack+134557, r12vrr_stack+4308, r12vrr_stack+87990, r12vrr_stack+937);

 /*--- compute (i0|g0)^4 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+134782, r12vrr_stack+82324, r12vrr_stack+37907, r12vrr_stack+39466, r12vrr_stack+65261, r12vrr_stack+1087);

 /*--- compute (k0|g0)^3 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+135202, r12vrr_stack+65486, r12vrr_stack+134782, r12vrr_stack+70858, r12vrr_stack+82324, r12vrr_stack+133677);

 /*--- compute (l0|g0)^2 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+135742, r12vrr_stack+65906, r12vrr_stack+135202, r12vrr_stack+50978, r12vrr_stack+65486, r12vrr_stack+133957);

 /*--- compute (m0|g0)^1 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+69178, r12vrr_stack+195520, r12vrr_stack+135742, r12vrr_stack+4458, r12vrr_stack+65906, r12vrr_stack+82702);

 /*--- compute (p0|h0)^9 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+50978, r12vrr_stack+13051, r12vrr_stack+19173, NULL, NULL, r12vrr_stack+13036);

 /*--- compute (d0|h0)^8 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12351, r12vrr_stack+82009, r12vrr_stack+50978, r12vrr_stack+8061, r12vrr_stack+13051, r12vrr_stack+4083);

 /*--- compute (f0|h0)^7 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+51041, r12vrr_stack+82072, r12vrr_stack+12351, r12vrr_stack+4998, r12vrr_stack+82009, r12vrr_stack+134317);

 /*--- compute (g0|h0)^6 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4128, r12vrr_stack+52269, r12vrr_stack+51041, r12vrr_stack+51398, r12vrr_stack+82072, r12vrr_stack+134407);

 /*--- compute (h0|h0)^5 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+39434, r12vrr_stack+51800, r12vrr_stack+4128, r12vrr_stack+5061, r12vrr_stack+52269, r12vrr_stack+134557);

 /*--- compute (i0|h0)^4 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4443, r12vrr_stack+83163, r12vrr_stack+39434, r12vrr_stack+50328, r12vrr_stack+51800, r12vrr_stack+37907);

 /*--- compute (k0|h0)^3 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+70003, r12vrr_stack+84917, r12vrr_stack+4443, r12vrr_stack+55084, r12vrr_stack+83163, r12vrr_stack+134782);

 /*--- compute (l0|h0)^2 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+54174, r12vrr_stack+85505, r12vrr_stack+70003, r12vrr_stack+83789, r12vrr_stack+84917, r12vrr_stack+135202);

 /*--- compute (m0|h0)^1 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+272985, r12vrr_stack+196195, r12vrr_stack+54174, r12vrr_stack+139730, r12vrr_stack+85505, r12vrr_stack+135742);

 /*--- compute (n0|h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+274140, r12vrr_stack+66446, r12vrr_stack+272985, r12vrr_stack+5271, r12vrr_stack+196195, r12vrr_stack+69178);

 /*--- compute (p0|i0)^9 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+139730, r12vrr_stack+19194, r12vrr_stack+28465, NULL, NULL, r12vrr_stack+19173);

 /*--- compute (d0|i0)^8 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+139814, r12vrr_stack+12942, r12vrr_stack+139730, r12vrr_stack+1752, r12vrr_stack+19194, r12vrr_stack+50978);

 /*--- compute (f0|i0)^7 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+139982, r12vrr_stack+1317, r12vrr_stack+139814, r12vrr_stack+6216, r12vrr_stack+12942, r12vrr_stack+12351);

 /*--- compute (g0|i0)^6 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+129195, r12vrr_stack+39154, r12vrr_stack+139982, r12vrr_stack+42413, r12vrr_stack+1317, r12vrr_stack+51041);

 /*--- compute (h0|i0)^5 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+30854, r12vrr_stack+197140, r12vrr_stack+129195, r12vrr_stack+71173, r12vrr_stack+39154, r12vrr_stack+4128);

 /*--- compute (i0|i0)^4 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+275526, r12vrr_stack+197560, r12vrr_stack+30854, r12vrr_stack+38459, r12vrr_stack+197140, r12vrr_stack+39434);

 /*--- compute (k0|i0)^3 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+276310, r12vrr_stack+198148, r12vrr_stack+275526, r12vrr_stack+140486, r12vrr_stack+197560, r12vrr_stack+4443);

 /*--- compute (l0|i0)^2 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+277318, r12vrr_stack+198932, r12vrr_stack+276310, r12vrr_stack+141074, r12vrr_stack+198148, r12vrr_stack+70003);

 /*--- compute (m0|i0)^1 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+140262, r12vrr_stack+199940, r12vrr_stack+277318, r12vrr_stack+141858, r12vrr_stack+198932, r12vrr_stack+54174);

 /*--- compute (n0|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+278578, r12vrr_stack+92740, r12vrr_stack+140262, r12vrr_stack+9601, r12vrr_stack+199940, r12vrr_stack+272985);
 tmp = r12vrr_stack + 278578;
 target_ptr = Libr12->gvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^9 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+38459, r12vrr_stack+28493, r12vrr_stack+39007, NULL, NULL, r12vrr_stack+28465);

 /*--- compute (d0|k0)^8 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+38567, r12vrr_stack+8082, r12vrr_stack+38459, r12vrr_stack+1542, r12vrr_stack+28493, r12vrr_stack+139730);

 /*--- compute (f0|k0)^7 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+141802, r12vrr_stack+94280, r12vrr_stack+38567, r12vrr_stack+1864, r12vrr_stack+8082, r12vrr_stack+139814);

 /*--- compute (g0|k0)^6 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+142162, r12vrr_stack+2676, r12vrr_stack+141802, r12vrr_stack+55525, r12vrr_stack+94280, r12vrr_stack+139982);

 /*--- compute (h0|k0)^5 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+83604, r12vrr_stack+201200, r12vrr_stack+142162, r12vrr_stack+7141, r12vrr_stack+2676, r12vrr_stack+129195);

 /*--- compute (i0|k0)^4 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+280426, r12vrr_stack+201740, r12vrr_stack+83604, r12vrr_stack+84377, r12vrr_stack+201200, r12vrr_stack+30854);

 /*--- compute (k0|k0)^3 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+281434, r12vrr_stack+202496, r12vrr_stack+280426, r12vrr_stack+142866, r12vrr_stack+201740, r12vrr_stack+275526);

 /*--- compute (l0|k0)^2 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+282730, r12vrr_stack+203504, r12vrr_stack+281434, r12vrr_stack+143622, r12vrr_stack+202496, r12vrr_stack+276310);

 /*--- compute (m0|k0)^1 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+284350, r12vrr_stack+204800, r12vrr_stack+282730, r12vrr_stack+144630, r12vrr_stack+203504, r12vrr_stack+277318);

 /*--- compute (n0|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+142702, r12vrr_stack+206420, r12vrr_stack+284350, r12vrr_stack+16149, r12vrr_stack+204800, r12vrr_stack+140262);
 tmp = r12vrr_stack + 142702;
 target_ptr = Libr12->gvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^9 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7141, r12vrr_stack+39043, r12vrr_stack+51634, NULL, NULL, r12vrr_stack+39007);

 /*--- compute (d0|l0)^8 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7276, r12vrr_stack+95540, r12vrr_stack+7141, r12vrr_stack+1707, r12vrr_stack+39043, r12vrr_stack+38459);

 /*--- compute (f0|l0)^7 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+7546, r12vrr_stack+95675, r12vrr_stack+7276, r12vrr_stack+17769, r12vrr_stack+95540, r12vrr_stack+38567);

 /*--- compute (g0|l0)^6 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+145078, r12vrr_stack+95945, r12vrr_stack+7546, r12vrr_stack+28017, r12vrr_stack+95675, r12vrr_stack+141802);

 /*--- compute (h0|l0)^5 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+286330, r12vrr_stack+96395, r12vrr_stack+145078, r12vrr_stack+19464, r12vrr_stack+95945, r12vrr_stack+142162);

 /*--- compute (i0|l0)^4 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+287275, r12vrr_stack+208400, r12vrr_stack+286330, r12vrr_stack+145926, r12vrr_stack+96395, r12vrr_stack+83604);

 /*--- compute (k0|l0)^3 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+288535, r12vrr_stack+209345, r12vrr_stack+287275, r12vrr_stack+146601, r12vrr_stack+208400, r12vrr_stack+280426);

 /*--- compute (l0|l0)^2 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+290155, r12vrr_stack+210605, r12vrr_stack+288535, r12vrr_stack+147546, r12vrr_stack+209345, r12vrr_stack+281434);

 /*--- compute (m0|l0)^1 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+145753, r12vrr_stack+212225, r12vrr_stack+290155, r12vrr_stack+148806, r12vrr_stack+210605, r12vrr_stack+282730);

 /*--- compute (n0|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+292180, r12vrr_stack+98600, r12vrr_stack+145753, r12vrr_stack+23889, r12vrr_stack+212225, r12vrr_stack+284350);
 tmp = r12vrr_stack + 292180;
 target_ptr = Libr12->gvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^9 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19464, r12vrr_stack+51679, r12vrr_stack+53975, NULL, NULL, r12vrr_stack+51634);

 /*--- compute (d0|m0)^8 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+28017, r12vrr_stack+101075, r12vrr_stack+19464, r12vrr_stack+2144, r12vrr_stack+51679, r12vrr_stack+7141);

 /*--- compute (f0|m0)^7 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+148228, r12vrr_stack+13953, r12vrr_stack+28017, r12vrr_stack+25914, r12vrr_stack+101075, r12vrr_stack+7276);

 /*--- compute (g0|m0)^6 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+148778, r12vrr_stack+214250, r12vrr_stack+148228, r12vrr_stack+12612, r12vrr_stack+13953, r12vrr_stack+7546);

 /*--- compute (h0|m0)^5 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+295150, r12vrr_stack+214800, r12vrr_stack+148778, r12vrr_stack+150426, r12vrr_stack+214250, r12vrr_stack+145078);

 /*--- compute (i0|m0)^4 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+296305, r12vrr_stack+215625, r12vrr_stack+295150, r12vrr_stack+150976, r12vrr_stack+214800, r12vrr_stack+286330);

 /*--- compute (k0|m0)^3 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+149603, r12vrr_stack+216780, r12vrr_stack+296305, r12vrr_stack+151801, r12vrr_stack+215625, r12vrr_stack+287275);

 /*--- compute (l0|m0)^2 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+297845, r12vrr_stack+218320, r12vrr_stack+149603, r12vrr_stack+152956, r12vrr_stack+216780, r12vrr_stack+288535);

 /*--- compute (m0|m0)^1 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+300320, r12vrr_stack+220300, r12vrr_stack+297845, r12vrr_stack+154496, r12vrr_stack+218320, r12vrr_stack+290155);

 /*--- compute (n0|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+151583, r12vrr_stack+103100, r12vrr_stack+300320, r12vrr_stack+33429, r12vrr_stack+220300, r12vrr_stack+145753);
 tmp = r12vrr_stack + 151583;
 target_ptr = Libr12->gvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^9 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+12612, r12vrr_stack+54030, r12vrr_stack+29128, NULL, NULL, r12vrr_stack+53975);

 /*--- compute (d0|n0)^8 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+155213, r12vrr_stack+106125, r12vrr_stack+12612, r12vrr_stack+51734, r12vrr_stack+54030, r12vrr_stack+19464);

 /*--- compute (f0|n0)^7 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+155609, r12vrr_stack+21144, r12vrr_stack+155213, r12vrr_stack+35904, r12vrr_stack+106125, r12vrr_stack+28017);

 /*--- compute (g0|n0)^6 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+303345, r12vrr_stack+21540, r12vrr_stack+155609, r12vrr_stack+19914, r12vrr_stack+21144, r12vrr_stack+148228);

 /*--- compute (h0|n0)^5 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+304335, r12vrr_stack+222775, r12vrr_stack+303345, r12vrr_stack+156476, r12vrr_stack+21540, r12vrr_stack+148778);

 /*--- compute (i0|n0)^4 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+305721, r12vrr_stack+223765, r12vrr_stack+304335, r12vrr_stack+157136, r12vrr_stack+222775, r12vrr_stack+295150);

 /*--- compute (k0|n0)^3 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+307569, r12vrr_stack+225151, r12vrr_stack+305721, r12vrr_stack+158126, r12vrr_stack+223765, r12vrr_stack+296305);

 /*--- compute (l0|n0)^2 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+156269, r12vrr_stack+226999, r12vrr_stack+307569, r12vrr_stack+159512, r12vrr_stack+225151, r12vrr_stack+149603);

 /*--- compute (m0|n0)^1 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+309945, r12vrr_stack+229375, r12vrr_stack+156269, r12vrr_stack+161360, r12vrr_stack+226999, r12vrr_stack+297845);

 /*--- compute (n0|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+159239, r12vrr_stack+108600, r12vrr_stack+309945, r12vrr_stack+44957, r12vrr_stack+229375, r12vrr_stack+300320);
 tmp = r12vrr_stack + 159239;
 target_ptr = Libr12->gvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^9 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+35904, r12vrr_stack+62247, r12vrr_stack+2199, NULL, NULL, r12vrr_stack+29128);

 /*--- compute (d0|o0)^8 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19629, r12vrr_stack+97070, r12vrr_stack+35904, r12vrr_stack+54096, r12vrr_stack+62247, r12vrr_stack+12612);

 /*--- compute (f0|o0)^7 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+313575, r12vrr_stack+112230, r12vrr_stack+19629, r12vrr_stack+47927, r12vrr_stack+97070, r12vrr_stack+155213);

 /*--- compute (g0|o0)^6 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+314355, r12vrr_stack+30074, r12vrr_stack+313575, r12vrr_stack+163736, r12vrr_stack+112230, r12vrr_stack+155609);

 /*--- compute (h0|o0)^5 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+315525, r12vrr_stack+232345, r12vrr_stack+314355, r12vrr_stack+164204, r12vrr_stack+30074, r12vrr_stack+303345);

 /*--- compute (i0|o0)^4 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+317163, r12vrr_stack+233515, r12vrr_stack+315525, r12vrr_stack+164984, r12vrr_stack+232345, r12vrr_stack+304335);

 /*--- compute (k0|o0)^3 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+319347, r12vrr_stack+235153, r12vrr_stack+317163, r12vrr_stack+166154, r12vrr_stack+233515, r12vrr_stack+305721);

 /*--- compute (l0|o0)^2 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+163595, r12vrr_stack+237337, r12vrr_stack+319347, r12vrr_stack+167792, r12vrr_stack+235153, r12vrr_stack+307569);

 /*--- compute (m0|o0)^1 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+322155, r12vrr_stack+240145, r12vrr_stack+163595, r12vrr_stack+169976, r12vrr_stack+237337, r12vrr_stack+156269);

 /*--- compute (n0|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+167105, r12vrr_stack+115200, r12vrr_stack+322155, r12vrr_stack+58661, r12vrr_stack+240145, r12vrr_stack+309945);
 tmp = r12vrr_stack + 167105;
 target_ptr = Libr12->gvrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^21 ---*/
 _BUILD_00p0(Data,r12vrr_stack+47927, Data->F+21, Data->F+22, NULL, NULL, NULL);

 /*--- compute (00|d0)^20 ---*/
 _BUILD_00d0(Data,r12vrr_stack+47930, r12vrr_stack+21, r12vrr_stack+47927, Data->F+20, Data->F+21, NULL);

 /*--- compute (00|f0)^19 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1297, r12vrr_stack+119490, r12vrr_stack+47930, r12vrr_stack+62171, r12vrr_stack+21, NULL);

 /*--- compute (00|g0)^18 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1671, r12vrr_stack+738, r12vrr_stack+1297, r12vrr_stack+62174, r12vrr_stack+119490, NULL);

 /*--- compute (00|h0)^17 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8061, r12vrr_stack+119496, r12vrr_stack+1671, r12vrr_stack+62180, r12vrr_stack+738, NULL);

 /*--- compute (00|i0)^16 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1584, r12vrr_stack+1686, r12vrr_stack+8061, r12vrr_stack+748, r12vrr_stack+119496, NULL);

 /*--- compute (00|k0)^15 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+47936, r12vrr_stack+1640, r12vrr_stack+1584, r12vrr_stack+62190, r12vrr_stack+1686, NULL);

 /*--- compute (00|l0)^14 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+47972, r12vrr_stack+94496, r12vrr_stack+47936, r12vrr_stack+10861, r12vrr_stack+1640, NULL);

 /*--- compute (00|m0)^13 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48017, r12vrr_stack+119511, r12vrr_stack+47972, r12vrr_stack+62211, r12vrr_stack+94496, NULL);

 /*--- compute (00|n0)^12 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51734, r12vrr_stack+119556, r12vrr_stack+48017, r12vrr_stack+316, r12vrr_stack+119511, NULL);

 /*--- compute (00|o0)^11 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+54096, r12vrr_stack+39088, r12vrr_stack+51734, r12vrr_stack+51524, r12vrr_stack+119556, NULL);

 /*--- compute (00|q0)^10 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+316, r12vrr_stack+2199, r12vrr_stack+54096, r12vrr_stack+29128, r12vrr_stack+39088, NULL);

 /*--- compute (p0|q0)^9 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+51251, r12vrr_stack+119611, r12vrr_stack+316, NULL, NULL, r12vrr_stack+2199);

 /*--- compute (d0|q0)^8 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+70759, r12vrr_stack+119702, r12vrr_stack+51251, r12vrr_stack+62325, r12vrr_stack+119611, r12vrr_stack+35904);

 /*--- compute (f0|q0)^7 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+326445, r12vrr_stack+40931, r12vrr_stack+70759, r12vrr_stack+62416, r12vrr_stack+119702, r12vrr_stack+19629);

 /*--- compute (g0|q0)^6 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+327355, r12vrr_stack+41477, r12vrr_stack+326445, r12vrr_stack+172784, r12vrr_stack+40931, r12vrr_stack+313575);

 /*--- compute (h0|q0)^5 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+328720, r12vrr_stack+243655, r12vrr_stack+327355, r12vrr_stack+173330, r12vrr_stack+41477, r12vrr_stack+314355);

 /*--- compute (i0|q0)^4 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+330631, r12vrr_stack+245020, r12vrr_stack+328720, r12vrr_stack+174240, r12vrr_stack+243655, r12vrr_stack+315525);

 /*--- compute (k0|q0)^3 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+172253, r12vrr_stack+246931, r12vrr_stack+330631, r12vrr_stack+175605, r12vrr_stack+245020, r12vrr_stack+317163);

 /*--- compute (l0|q0)^2 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+333179, r12vrr_stack+249479, r12vrr_stack+172253, r12vrr_stack+177516, r12vrr_stack+246931, r12vrr_stack+319347);

 /*--- compute (m0|q0)^1 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+337274, r12vrr_stack+123000, r12vrr_stack+333179, r12vrr_stack+180064, r12vrr_stack+249479, r12vrr_stack+163595);

 /*--- compute (n0|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+175529, r12vrr_stack+252755, r12vrr_stack+337274, r12vrr_stack+74729, r12vrr_stack+123000, r12vrr_stack+322155);
 tmp = r12vrr_stack + 175529;
 target_ptr = Libr12->gvrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^9 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+62325, r12vrr_stack+119611, r12vrr_stack+316, r12vrr_stack+62247, r12vrr_stack+2199, NULL);

 /*--- compute (p0|r0)^8 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+48072, r12vrr_stack+127095, r12vrr_stack+62325, NULL, NULL, r12vrr_stack+119611);

 /*--- compute (d0|r0)^7 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+181535, r12vrr_stack+127200, r12vrr_stack+48072, r12vrr_stack+78824, r12vrr_stack+127095, r12vrr_stack+119702);

 /*--- compute (f0|r0)^6 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+182165, r12vrr_stack+127515, r12vrr_stack+181535, r12vrr_stack+78929, r12vrr_stack+127200, r12vrr_stack+40931);

 /*--- compute (g0|r0)^5 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+342279, r12vrr_stack+128145, r12vrr_stack+182165, r12vrr_stack+183340, r12vrr_stack+127515, r12vrr_stack+41477);

 /*--- compute (h0|r0)^4 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+343854, r12vrr_stack+257760, r12vrr_stack+342279, r12vrr_stack+183970, r12vrr_stack+128145, r12vrr_stack+243655);

 /*--- compute (i0|r0)^3 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+346059, r12vrr_stack+259335, r12vrr_stack+343854, r12vrr_stack+185020, r12vrr_stack+257760, r12vrr_stack+245020);

 /*--- compute (k0|r0)^2 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+348999, r12vrr_stack+261540, r12vrr_stack+346059, r12vrr_stack+186595, r12vrr_stack+259335, r12vrr_stack+246931);

 /*--- compute (l0|r0)^1 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+183215, r12vrr_stack+264480, r12vrr_stack+348999, r12vrr_stack+188800, r12vrr_stack+261540, r12vrr_stack+249479);

 /*--- compute (m0|r0)^0 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+352779, r12vrr_stack+268260, r12vrr_stack+183215, r12vrr_stack+191740, r12vrr_stack+264480, r12vrr_stack+123000);
 tmp = r12vrr_stack + 352779;
 target_ptr = Libr12->gvrr_classes[9][13];
 for(i=0;i<5775;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^10 ---*/
 _BUILD_p000(Data,r12vrr_stack+78824, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (d0|00)^9 ---*/
 _BUILD_d000(Data,r12vrr_stack+78827, r12vrr_stack+0, r12vrr_stack+78824, Data->F+9, Data->F+10, NULL);

 /*--- compute (f0|00)^8 ---*/
 _BUILD_f000(Data,r12vrr_stack+78833, r12vrr_stack+133010, r12vrr_stack+78827, r12vrr_stack+38222, r12vrr_stack+0, NULL);

 /*--- compute (g0|00)^7 ---*/
 _BUILD_g000(Data,r12vrr_stack+748, r12vrr_stack+133016, r12vrr_stack+78833, r12vrr_stack+86629, r12vrr_stack+133010, NULL);

 /*--- compute (h0|00)^6 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+78843, r12vrr_stack+133026, r12vrr_stack+748, r12vrr_stack+86635, r12vrr_stack+133016, NULL);

 /*--- compute (i0|00)^5 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+10861, r12vrr_stack+133041, r12vrr_stack+78843, r12vrr_stack+86645, r12vrr_stack+133026, NULL);

 /*--- compute (p0|p0)^10 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+1668, NULL, NULL, Data->F+11);

 /*--- compute (d0|p0)^9 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+133010, r12vrr_stack+82639, r12vrr_stack+6, r12vrr_stack+24, r12vrr_stack+3, r12vrr_stack+78824);

 /*--- compute (f0|p0)^8 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+133028, r12vrr_stack+133062, r12vrr_stack+133010, r12vrr_stack+86660, r12vrr_stack+82639, r12vrr_stack+78827);

 /*--- compute (g0|p0)^7 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+78864, r12vrr_stack+27, r12vrr_stack+133028, r12vrr_stack+86669, r12vrr_stack+133062, r12vrr_stack+78833);

 /*--- compute (h0|p0)^6 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+78909, r12vrr_stack+57, r12vrr_stack+78864, r12vrr_stack+186, r12vrr_stack+27, r12vrr_stack+748);

 /*--- compute (i0|p0)^5 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+78972, r12vrr_stack+133080, r12vrr_stack+78909, r12vrr_stack+86687, r12vrr_stack+57, r12vrr_stack+78843);

 /*--- compute (k0|p0)^4 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+79056, r12vrr_stack+763, r12vrr_stack+78972, r12vrr_stack+86732, r12vrr_stack+133080, r12vrr_stack+10861);

 /*--- compute (p0|d0)^10 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+10861, r12vrr_stack+560, r12vrr_stack+1578, NULL, NULL, r12vrr_stack+1668);

 /*--- compute (d0|d0)^9 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+748, r12vrr_stack+82648, r12vrr_stack+10861, r12vrr_stack+15, r12vrr_stack+560, r12vrr_stack+6);

 /*--- compute (f0|d0)^8 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+784, r12vrr_stack+82666, r12vrr_stack+748, r12vrr_stack+131, r12vrr_stack+82648, r12vrr_stack+133010);

 /*--- compute (g0|d0)^7 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+24, r12vrr_stack+133143, r12vrr_stack+784, r12vrr_stack+86795, r12vrr_stack+82666, r12vrr_stack+133028);

 /*--- compute (h0|d0)^6 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+82198, r12vrr_stack+133203, r12vrr_stack+24, r12vrr_stack+86831, r12vrr_stack+133143, r12vrr_stack+78864);

 /*--- compute (i0|d0)^5 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+133010, r12vrr_stack+112698, r12vrr_stack+82198, r12vrr_stack+86891, r12vrr_stack+133203, r12vrr_stack+78909);

 /*--- compute (k0|d0)^4 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+79164, r12vrr_stack+133293, r12vrr_stack+133010, r12vrr_stack+86981, r12vrr_stack+112698, r12vrr_stack+78972);

 /*--- compute (l0|d0)^3 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+62430, r12vrr_stack+133461, r12vrr_stack+79164, r12vrr_stack+87107, r12vrr_stack+133293, r12vrr_stack+79056);

 /*--- compute (p0|f0)^10 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+112698, r12vrr_stack+8036, r12vrr_stack+13026, NULL, NULL, r12vrr_stack+1578);

 /*--- compute (d0|f0)^9 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+112728, r12vrr_stack+847, r12vrr_stack+112698, r12vrr_stack+1307, r12vrr_stack+8036, r12vrr_stack+10861);

 /*--- compute (f0|f0)^8 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+133178, r12vrr_stack+877, r12vrr_stack+112728, r12vrr_stack+87275, r12vrr_stack+847, r12vrr_stack+748);

 /*--- compute (g0|f0)^7 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+133278, r12vrr_stack+216, r12vrr_stack+133178, r12vrr_stack+87305, r12vrr_stack+877, r12vrr_stack+784);

 /*--- compute (h0|f0)^6 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+133428, r12vrr_stack+937, r12vrr_stack+133278, r12vrr_stack+38879, r12vrr_stack+216, r12vrr_stack+24);

 /*--- compute (i0|f0)^5 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+78824, r12vrr_stack+1087, r12vrr_stack+133428, r12vrr_stack+26079, r12vrr_stack+937, r12vrr_stack+82198);

 /*--- compute (k0|f0)^4 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+187940, r12vrr_stack+133677, r12vrr_stack+78824, r12vrr_stack+87365, r12vrr_stack+1087, r12vrr_stack+133010);

 /*--- compute (l0|f0)^3 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+748, r12vrr_stack+133957, r12vrr_stack+187940, r12vrr_stack+87575, r12vrr_stack+133677, r12vrr_stack+79164);

 /*--- compute (m0|f0)^2 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+188300, r12vrr_stack+82702, r12vrr_stack+748, r12vrr_stack+64901, r12vrr_stack+133957, r12vrr_stack+62430);

 /*--- compute (p0|g0)^10 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+62430, r12vrr_stack+13036, r12vrr_stack+19158, NULL, NULL, r12vrr_stack+13026);

 /*--- compute (d0|g0)^9 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+62475, r12vrr_stack+4083, r12vrr_stack+62430, r12vrr_stack+8046, r12vrr_stack+13036, r12vrr_stack+112698);

 /*--- compute (f0|g0)^8 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+62565, r12vrr_stack+134317, r12vrr_stack+62475, r12vrr_stack+87855, r12vrr_stack+4083, r12vrr_stack+112728);

 /*--- compute (g0|g0)^7 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+64901, r12vrr_stack+134407, r12vrr_stack+62565, r12vrr_stack+87900, r12vrr_stack+134317, r12vrr_stack+133178);

 /*--- compute (h0|g0)^6 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+25914, r12vrr_stack+134557, r12vrr_stack+64901, r12vrr_stack+87990, r12vrr_stack+134407, r12vrr_stack+133278);

 /*--- compute (i0|g0)^5 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+133638, r12vrr_stack+37907, r12vrr_stack+25914, r12vrr_stack+65261, r12vrr_stack+134557, r12vrr_stack+133428);

 /*--- compute (k0|g0)^4 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+133010, r12vrr_stack+134782, r12vrr_stack+133638, r12vrr_stack+82324, r12vrr_stack+37907, r12vrr_stack+78824);

 /*--- compute (l0|g0)^3 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+82198, r12vrr_stack+135202, r12vrr_stack+133010, r12vrr_stack+65486, r12vrr_stack+134782, r12vrr_stack+187940);

 /*--- compute (m0|g0)^2 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+134058, r12vrr_stack+135742, r12vrr_stack+82198, r12vrr_stack+65906, r12vrr_stack+135202, r12vrr_stack+748);

 /*--- compute (n0|g0)^1 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+65126, r12vrr_stack+69178, r12vrr_stack+134058, r12vrr_stack+195520, r12vrr_stack+135742, r12vrr_stack+188300);

 /*--- compute (p0|h0)^10 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+195520, r12vrr_stack+19173, r12vrr_stack+28444, NULL, NULL, r12vrr_stack+19158);

 /*--- compute (d0|h0)^9 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+112698, r12vrr_stack+50978, r12vrr_stack+195520, r12vrr_stack+13051, r12vrr_stack+19173, r12vrr_stack+62430);

 /*--- compute (f0|h0)^8 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+195583, r12vrr_stack+12351, r12vrr_stack+112698, r12vrr_stack+82009, r12vrr_stack+50978, r12vrr_stack+62475);

 /*--- compute (g0|h0)^7 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+195793, r12vrr_stack+51041, r12vrr_stack+195583, r12vrr_stack+82072, r12vrr_stack+12351, r12vrr_stack+62565);

 /*--- compute (h0|h0)^6 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+69178, r12vrr_stack+4128, r12vrr_stack+195793, r12vrr_stack+52269, r12vrr_stack+51041, r12vrr_stack+64901);

 /*--- compute (i0|h0)^5 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+187940, r12vrr_stack+39434, r12vrr_stack+69178, r12vrr_stack+51800, r12vrr_stack+4128, r12vrr_stack+25914);

 /*--- compute (k0|h0)^4 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+51800, r12vrr_stack+4443, r12vrr_stack+187940, r12vrr_stack+83163, r12vrr_stack+39434, r12vrr_stack+133638);

 /*--- compute (l0|h0)^3 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+188528, r12vrr_stack+70003, r12vrr_stack+51800, r12vrr_stack+84917, r12vrr_stack+4443, r12vrr_stack+133010);

 /*--- compute (m0|h0)^2 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+189473, r12vrr_stack+54174, r12vrr_stack+188528, r12vrr_stack+85505, r12vrr_stack+70003, r12vrr_stack+82198);

 /*--- compute (n0|h0)^1 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+272985, r12vrr_stack+189473, r12vrr_stack+196195, r12vrr_stack+54174, r12vrr_stack+134058);

 /*--- compute (o0|h0)^0 ---*/
 am[0] = 11;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+54174, r12vrr_stack+274140, r12vrr_stack+82009, r12vrr_stack+66446, r12vrr_stack+272985, r12vrr_stack+65126);

 /*--- compute (p0|i0)^10 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+272985, r12vrr_stack+28465, r12vrr_stack+38979, NULL, NULL, r12vrr_stack+28444);

 /*--- compute (d0|i0)^9 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+273069, r12vrr_stack+139730, r12vrr_stack+272985, r12vrr_stack+19194, r12vrr_stack+28465, r12vrr_stack+195520);

 /*--- compute (f0|i0)^8 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+273237, r12vrr_stack+139814, r12vrr_stack+273069, r12vrr_stack+12942, r12vrr_stack+139730, r12vrr_stack+112698);

 /*--- compute (g0|i0)^7 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+273517, r12vrr_stack+139982, r12vrr_stack+273237, r12vrr_stack+1317, r12vrr_stack+139814, r12vrr_stack+195583);

 /*--- compute (h0|i0)^6 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+133010, r12vrr_stack+129195, r12vrr_stack+273517, r12vrr_stack+39154, r12vrr_stack+139982, r12vrr_stack+195793);

 /*--- compute (i0|i0)^5 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+195520, r12vrr_stack+30854, r12vrr_stack+133010, r12vrr_stack+197140, r12vrr_stack+129195, r12vrr_stack+69178);

 /*--- compute (k0|i0)^4 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+69178, r12vrr_stack+275526, r12vrr_stack+195520, r12vrr_stack+197560, r12vrr_stack+30854, r12vrr_stack+187940);

 /*--- compute (l0|i0)^3 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+196304, r12vrr_stack+276310, r12vrr_stack+69178, r12vrr_stack+198148, r12vrr_stack+275526, r12vrr_stack+51800);

 /*--- compute (m0|i0)^2 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+133598, r12vrr_stack+277318, r12vrr_stack+196304, r12vrr_stack+198932, r12vrr_stack+276310, r12vrr_stack+188528);

 /*--- compute (n0|i0)^1 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+197564, r12vrr_stack+140262, r12vrr_stack+133598, r12vrr_stack+199940, r12vrr_stack+277318, r12vrr_stack+189473);

 /*--- compute (o0|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+275526, r12vrr_stack+278578, r12vrr_stack+197564, r12vrr_stack+92740, r12vrr_stack+140262, r12vrr_stack+82009);
 tmp = r12vrr_stack + 275526;
 target_ptr = Libr12->gvrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^10 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+39007, r12vrr_stack+51598, NULL, NULL, r12vrr_stack+38979);

 /*--- compute (d0|k0)^9 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+82117, r12vrr_stack+38459, r12vrr_stack+82009, r12vrr_stack+28493, r12vrr_stack+39007, r12vrr_stack+272985);

 /*--- compute (f0|k0)^8 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+82333, r12vrr_stack+38567, r12vrr_stack+82117, r12vrr_stack+8082, r12vrr_stack+38459, r12vrr_stack+273069);

 /*--- compute (g0|k0)^7 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8082, r12vrr_stack+141802, r12vrr_stack+82333, r12vrr_stack+94280, r12vrr_stack+38567, r12vrr_stack+273237);

 /*--- compute (h0|k0)^6 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+82693, r12vrr_stack+142162, r12vrr_stack+8082, r12vrr_stack+2676, r12vrr_stack+141802, r12vrr_stack+273517);

 /*--- compute (i0|k0)^5 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+272985, r12vrr_stack+83604, r12vrr_stack+82693, r12vrr_stack+201200, r12vrr_stack+142162, r12vrr_stack+133010);

 /*--- compute (k0|k0)^4 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+187940, r12vrr_stack+280426, r12vrr_stack+272985, r12vrr_stack+201740, r12vrr_stack+83604, r12vrr_stack+195520);

 /*--- compute (l0|k0)^3 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+83449, r12vrr_stack+281434, r12vrr_stack+187940, r12vrr_stack+202496, r12vrr_stack+280426, r12vrr_stack+69178);

 /*--- compute (m0|k0)^2 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+85069, r12vrr_stack+282730, r12vrr_stack+83449, r12vrr_stack+203504, r12vrr_stack+281434, r12vrr_stack+196304);

 /*--- compute (n0|k0)^1 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+189236, r12vrr_stack+284350, r12vrr_stack+85069, r12vrr_stack+204800, r12vrr_stack+282730, r12vrr_stack+133598);

 /*--- compute (o0|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+280426, r12vrr_stack+142702, r12vrr_stack+189236, r12vrr_stack+206420, r12vrr_stack+284350, r12vrr_stack+197564);
 tmp = r12vrr_stack + 280426;
 target_ptr = Libr12->gvrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^10 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+69178, r12vrr_stack+51634, r12vrr_stack+12306, NULL, NULL, r12vrr_stack+51598);

 /*--- compute (d0|l0)^9 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+69313, r12vrr_stack+7141, r12vrr_stack+69178, r12vrr_stack+39043, r12vrr_stack+51634, r12vrr_stack+82009);

 /*--- compute (f0|l0)^8 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+69583, r12vrr_stack+7276, r12vrr_stack+69313, r12vrr_stack+95540, r12vrr_stack+7141, r12vrr_stack+82117);

 /*--- compute (g0|l0)^7 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+70033, r12vrr_stack+7546, r12vrr_stack+69583, r12vrr_stack+95675, r12vrr_stack+7276, r12vrr_stack+82333);

 /*--- compute (h0|l0)^6 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+283234, r12vrr_stack+145078, r12vrr_stack+70033, r12vrr_stack+95945, r12vrr_stack+7546, r12vrr_stack+8082);

 /*--- compute (i0|l0)^5 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+284179, r12vrr_stack+286330, r12vrr_stack+283234, r12vrr_stack+96395, r12vrr_stack+145078, r12vrr_stack+82693);

 /*--- compute (k0|l0)^4 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+195520, r12vrr_stack+287275, r12vrr_stack+284179, r12vrr_stack+208400, r12vrr_stack+286330, r12vrr_stack+272985);

 /*--- compute (l0|l0)^3 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+197140, r12vrr_stack+288535, r12vrr_stack+195520, r12vrr_stack+209345, r12vrr_stack+287275, r12vrr_stack+187940);

 /*--- compute (m0|l0)^2 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+285439, r12vrr_stack+290155, r12vrr_stack+197140, r12vrr_stack+210605, r12vrr_stack+288535, r12vrr_stack+83449);

 /*--- compute (n0|l0)^1 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+208400, r12vrr_stack+145753, r12vrr_stack+285439, r12vrr_stack+212225, r12vrr_stack+290155, r12vrr_stack+85069);

 /*--- compute (o0|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+82009, r12vrr_stack+292180, r12vrr_stack+208400, r12vrr_stack+98600, r12vrr_stack+145753, r12vrr_stack+189236);
 tmp = r12vrr_stack + 82009;
 target_ptr = Libr12->gvrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^10 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+187940, r12vrr_stack+53975, r12vrr_stack+51524, NULL, NULL, r12vrr_stack+12306);

 /*--- compute (d0|m0)^9 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+188105, r12vrr_stack+19464, r12vrr_stack+187940, r12vrr_stack+51679, r12vrr_stack+53975, r12vrr_stack+69178);

 /*--- compute (f0|m0)^8 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+188435, r12vrr_stack+28017, r12vrr_stack+188105, r12vrr_stack+101075, r12vrr_stack+19464, r12vrr_stack+69313);

 /*--- compute (g0|m0)^7 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+188985, r12vrr_stack+148228, r12vrr_stack+188435, r12vrr_stack+13953, r12vrr_stack+28017, r12vrr_stack+69583);

 /*--- compute (h0|m0)^6 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+272985, r12vrr_stack+148778, r12vrr_stack+188985, r12vrr_stack+214250, r12vrr_stack+148228, r12vrr_stack+70033);

 /*--- compute (i0|m0)^5 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+69178, r12vrr_stack+295150, r12vrr_stack+272985, r12vrr_stack+214800, r12vrr_stack+148778, r12vrr_stack+283234);

 /*--- compute (k0|m0)^4 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+211370, r12vrr_stack+296305, r12vrr_stack+69178, r12vrr_stack+215625, r12vrr_stack+295150, r12vrr_stack+284179);

 /*--- compute (l0|m0)^3 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+213350, r12vrr_stack+149603, r12vrr_stack+211370, r12vrr_stack+216780, r12vrr_stack+296305, r12vrr_stack+195520);

 /*--- compute (m0|m0)^2 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+145078, r12vrr_stack+297845, r12vrr_stack+213350, r12vrr_stack+218320, r12vrr_stack+149603, r12vrr_stack+197140);

 /*--- compute (n0|m0)^1 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+195520, r12vrr_stack+300320, r12vrr_stack+145078, r12vrr_stack+220300, r12vrr_stack+297845, r12vrr_stack+285439);

 /*--- compute (o0|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+199150, r12vrr_stack+151583, r12vrr_stack+195520, r12vrr_stack+103100, r12vrr_stack+300320, r12vrr_stack+208400);
 tmp = r12vrr_stack + 199150;
 target_ptr = Libr12->gvrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^10 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+208400, r12vrr_stack+29128, r12vrr_stack+39088, NULL, NULL, r12vrr_stack+51524);

 /*--- compute (d0|n0)^9 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+208598, r12vrr_stack+12612, r12vrr_stack+208400, r12vrr_stack+54030, r12vrr_stack+29128, r12vrr_stack+187940);

 /*--- compute (f0|n0)^8 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+208994, r12vrr_stack+155213, r12vrr_stack+208598, r12vrr_stack+106125, r12vrr_stack+12612, r12vrr_stack+188105);

 /*--- compute (g0|n0)^7 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+209654, r12vrr_stack+155609, r12vrr_stack+208994, r12vrr_stack+21144, r12vrr_stack+155213, r12vrr_stack+188435);

 /*--- compute (h0|n0)^6 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+203440, r12vrr_stack+303345, r12vrr_stack+209654, r12vrr_stack+21540, r12vrr_stack+155609, r12vrr_stack+188985);

 /*--- compute (i0|n0)^5 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+187940, r12vrr_stack+304335, r12vrr_stack+203440, r12vrr_stack+222775, r12vrr_stack+303345, r12vrr_stack+272985);

 /*--- compute (k0|n0)^4 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+295150, r12vrr_stack+305721, r12vrr_stack+187940, r12vrr_stack+223765, r12vrr_stack+304335, r12vrr_stack+69178);

 /*--- compute (l0|n0)^3 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+297526, r12vrr_stack+307569, r12vrr_stack+295150, r12vrr_stack+225151, r12vrr_stack+305721, r12vrr_stack+211370);

 /*--- compute (m0|n0)^2 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+300496, r12vrr_stack+156269, r12vrr_stack+297526, r12vrr_stack+226999, r12vrr_stack+307569, r12vrr_stack+213350);

 /*--- compute (n0|n0)^1 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+210644, r12vrr_stack+309945, r12vrr_stack+300496, r12vrr_stack+229375, r12vrr_stack+156269, r12vrr_stack+145078);

 /*--- compute (o0|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+145078, r12vrr_stack+159239, r12vrr_stack+210644, r12vrr_stack+108600, r12vrr_stack+309945, r12vrr_stack+195520);
 tmp = r12vrr_stack + 145078;
 target_ptr = Libr12->gvrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^10 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+195520, r12vrr_stack+2199, r12vrr_stack+54096, NULL, NULL, r12vrr_stack+39088);

 /*--- compute (d0|o0)^9 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+195754, r12vrr_stack+35904, r12vrr_stack+195520, r12vrr_stack+62247, r12vrr_stack+2199, r12vrr_stack+208400);

 /*--- compute (f0|o0)^8 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+196222, r12vrr_stack+19629, r12vrr_stack+195754, r12vrr_stack+97070, r12vrr_stack+35904, r12vrr_stack+208598);

 /*--- compute (g0|o0)^7 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+197002, r12vrr_stack+313575, r12vrr_stack+196222, r12vrr_stack+112230, r12vrr_stack+19629, r12vrr_stack+208994);

 /*--- compute (h0|o0)^6 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+155213, r12vrr_stack+314355, r12vrr_stack+197002, r12vrr_stack+30074, r12vrr_stack+313575, r12vrr_stack+209654);

 /*--- compute (i0|o0)^5 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+208400, r12vrr_stack+315525, r12vrr_stack+155213, r12vrr_stack+232345, r12vrr_stack+314355, r12vrr_stack+203440);

 /*--- compute (k0|o0)^4 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+203440, r12vrr_stack+317163, r12vrr_stack+208400, r12vrr_stack+233515, r12vrr_stack+315525, r12vrr_stack+187940);

 /*--- compute (l0|o0)^3 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+187940, r12vrr_stack+319347, r12vrr_stack+203440, r12vrr_stack+235153, r12vrr_stack+317163, r12vrr_stack+295150);

 /*--- compute (m0|o0)^2 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+215000, r12vrr_stack+163595, r12vrr_stack+187940, r12vrr_stack+237337, r12vrr_stack+319347, r12vrr_stack+297526);

 /*--- compute (n0|o0)^1 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+295150, r12vrr_stack+322155, r12vrr_stack+215000, r12vrr_stack+240145, r12vrr_stack+163595, r12vrr_stack+300496);

 /*--- compute (o0|o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+300298, r12vrr_stack+167105, r12vrr_stack+295150, r12vrr_stack+115200, r12vrr_stack+322155, r12vrr_stack+210644);
 tmp = r12vrr_stack + 300298;
 target_ptr = Libr12->gvrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^22 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1668, Data->F+22, Data->F+23, NULL, NULL, NULL);

 /*--- compute (00|d0)^21 ---*/
 _BUILD_00d0(Data,r12vrr_stack+163595, r12vrr_stack+47927, r12vrr_stack+1668, Data->F+21, Data->F+22, NULL);

 /*--- compute (00|f0)^20 ---*/
 _BUILD_00f0(Data,r12vrr_stack+163601, r12vrr_stack+47930, r12vrr_stack+163595, r12vrr_stack+21, r12vrr_stack+47927, NULL);

 /*--- compute (00|g0)^19 ---*/
 _BUILD_00g0(Data,r12vrr_stack+163611, r12vrr_stack+1297, r12vrr_stack+163601, r12vrr_stack+119490, r12vrr_stack+47930, NULL);

 /*--- compute (00|h0)^18 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+163626, r12vrr_stack+1671, r12vrr_stack+163611, r12vrr_stack+738, r12vrr_stack+1297, NULL);

 /*--- compute (00|i0)^17 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+10861, r12vrr_stack+8061, r12vrr_stack+163626, r12vrr_stack+119496, r12vrr_stack+1671, NULL);

 /*--- compute (00|k0)^16 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+163595, r12vrr_stack+1584, r12vrr_stack+10861, r12vrr_stack+1686, r12vrr_stack+8061, NULL);

 /*--- compute (00|l0)^15 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+163631, r12vrr_stack+47936, r12vrr_stack+163595, r12vrr_stack+1640, r12vrr_stack+1584, NULL);

 /*--- compute (00|m0)^14 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+47972, r12vrr_stack+163631, r12vrr_stack+94496, r12vrr_stack+47936, NULL);

 /*--- compute (00|n0)^13 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1695, r12vrr_stack+48017, r12vrr_stack+1640, r12vrr_stack+119511, r12vrr_stack+47972, NULL);

 /*--- compute (00|o0)^12 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+163595, r12vrr_stack+51734, r12vrr_stack+1695, r12vrr_stack+119556, r12vrr_stack+48017, NULL);

 /*--- compute (00|q0)^11 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+1640, r12vrr_stack+54096, r12vrr_stack+163595, r12vrr_stack+39088, r12vrr_stack+51734, NULL);

 /*--- compute (p0|q0)^10 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+50978, r12vrr_stack+316, r12vrr_stack+1640, NULL, NULL, r12vrr_stack+54096);

 /*--- compute (d0|q0)^9 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+163595, r12vrr_stack+51251, r12vrr_stack+50978, r12vrr_stack+119611, r12vrr_stack+316, r12vrr_stack+195520);

 /*--- compute (f0|q0)^8 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+164141, r12vrr_stack+70759, r12vrr_stack+163595, r12vrr_stack+119702, r12vrr_stack+51251, r12vrr_stack+195754);

 /*--- compute (g0|q0)^7 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+165051, r12vrr_stack+326445, r12vrr_stack+164141, r12vrr_stack+40931, r12vrr_stack+70759, r12vrr_stack+196222);

 /*--- compute (h0|q0)^6 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+306382, r12vrr_stack+327355, r12vrr_stack+165051, r12vrr_stack+41477, r12vrr_stack+326445, r12vrr_stack+197002);

 /*--- compute (i0|q0)^5 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+163595, r12vrr_stack+328720, r12vrr_stack+306382, r12vrr_stack+243655, r12vrr_stack+327355, r12vrr_stack+155213);

 /*--- compute (k0|q0)^4 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+155213, r12vrr_stack+330631, r12vrr_stack+163595, r12vrr_stack+245020, r12vrr_stack+328720, r12vrr_stack+208400);

 /*--- compute (l0|q0)^3 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+208400, r12vrr_stack+172253, r12vrr_stack+155213, r12vrr_stack+246931, r12vrr_stack+330631, r12vrr_stack+203440);

 /*--- compute (m0|q0)^2 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+306382, r12vrr_stack+333179, r12vrr_stack+208400, r12vrr_stack+249479, r12vrr_stack+172253, r12vrr_stack+187940);

 /*--- compute (n0|q0)^1 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+208400, r12vrr_stack+337274, r12vrr_stack+306382, r12vrr_stack+123000, r12vrr_stack+333179, r12vrr_stack+215000);

 /*--- compute (o0|q0)^0 ---*/
 am[0] = 11;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+306382, r12vrr_stack+175529, r12vrr_stack+208400, r12vrr_stack+252755, r12vrr_stack+337274, r12vrr_stack+295150);

 /*--- compute (00|r0)^10 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+295150, r12vrr_stack+316, r12vrr_stack+1640, r12vrr_stack+2199, r12vrr_stack+54096, NULL);

 /*--- compute (p0|r0)^9 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+25914, r12vrr_stack+62325, r12vrr_stack+295150, NULL, NULL, r12vrr_stack+316);

 /*--- compute (d0|r0)^8 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+295150, r12vrr_stack+48072, r12vrr_stack+25914, r12vrr_stack+127095, r12vrr_stack+62325, r12vrr_stack+51251);

 /*--- compute (f0|r0)^7 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+295780, r12vrr_stack+181535, r12vrr_stack+295150, r12vrr_stack+127200, r12vrr_stack+48072, r12vrr_stack+70759);

 /*--- compute (g0|r0)^6 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+296830, r12vrr_stack+182165, r12vrr_stack+295780, r12vrr_stack+127515, r12vrr_stack+181535, r12vrr_stack+326445);

 /*--- compute (h0|r0)^5 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+208400, r12vrr_stack+342279, r12vrr_stack+296830, r12vrr_stack+128145, r12vrr_stack+182165, r12vrr_stack+327355);

 /*--- compute (i0|r0)^4 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+295150, r12vrr_stack+343854, r12vrr_stack+208400, r12vrr_stack+257760, r12vrr_stack+342279, r12vrr_stack+328720);

 /*--- compute (k0|r0)^3 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+133010, r12vrr_stack+346059, r12vrr_stack+295150, r12vrr_stack+259335, r12vrr_stack+343854, r12vrr_stack+330631);

 /*--- compute (l0|r0)^2 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+295150, r12vrr_stack+348999, r12vrr_stack+133010, r12vrr_stack+261540, r12vrr_stack+346059, r12vrr_stack+172253);

 /*--- compute (m0|r0)^1 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+342279, r12vrr_stack+183215, r12vrr_stack+295150, r12vrr_stack+264480, r12vrr_stack+348999, r12vrr_stack+333179);

 /*--- compute (n0|r0)^0 ---*/
 am[0] = 10;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+257760, r12vrr_stack+352779, r12vrr_stack+342279, r12vrr_stack+268260, r12vrr_stack+183215, r12vrr_stack+337274);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+295150, &(Data->ss_r12_ss), NULL, r12vrr_stack+566, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+295153, r12vrr_stack+295150, &(Data->ss_r12_ss), r12vrr_stack+569, r12vrr_stack+566, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+295159, r12vrr_stack+295153, r12vrr_stack+295150, r12vrr_stack+121, r12vrr_stack+569, r12vrr_stack+566, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+295169, r12vrr_stack+295159, r12vrr_stack+295153, r12vrr_stack+575, r12vrr_stack+121, r12vrr_stack+569, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+295184, r12vrr_stack+295169, r12vrr_stack+295159, r12vrr_stack+590, r12vrr_stack+575, r12vrr_stack+121, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+10861, r12vrr_stack+295184, r12vrr_stack+295169, r12vrr_stack+1612, r12vrr_stack+590, r12vrr_stack+575, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+295205, r12vrr_stack+10861, NULL, r12vrr_stack+1780, r12vrr_stack+1612, NULL, r12vrr_stack+590);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+295289, r12vrr_stack+295205, r12vrr_stack+10861, r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+1612, r12vrr_stack+2277);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+295457, r12vrr_stack+295289, r12vrr_stack+295205, r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+1780, r12vrr_stack+2340);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+295737, r12vrr_stack+295457, r12vrr_stack+295289, r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+8733, r12vrr_stack+2466);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+296157, r12vrr_stack+295737, r12vrr_stack+295457, r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+8901, r12vrr_stack+3327);
 tmp = r12vrr_stack + 296157;
 target_ptr = Libr12->rvrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+296745, r12vrr_stack+296157, r12vrr_stack+295737, r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+9181, r12vrr_stack+3642);
 tmp = r12vrr_stack + 296745;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+297529, r12vrr_stack+296745, r12vrr_stack+296157, r12vrr_stack+94532, r12vrr_stack+11477, r12vrr_stack+10889, r12vrr_stack+6409);
 tmp = r12vrr_stack + 297529;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||i0)^0 ---*/
 _R_BUILD_l0i0(Data,r12vrr_stack+295205, r12vrr_stack+297529, r12vrr_stack+296745, r12vrr_stack+9601, r12vrr_stack+94532, r12vrr_stack+11477, r12vrr_stack+91984);
 tmp = r12vrr_stack + 295205;
 target_ptr = Libr12->rvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+298537, r12vrr_stack+295205, r12vrr_stack+297529, r12vrr_stack+92740, r12vrr_stack+9601, r12vrr_stack+94532, r12vrr_stack+5271);
 tmp = r12vrr_stack + 298537;
 target_ptr = Libr12->rvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+296465, r12vrr_stack+10861, r12vrr_stack+295184, r12vrr_stack+6997, r12vrr_stack+1612, r12vrr_stack+590, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+296501, r12vrr_stack+296465, NULL, r12vrr_stack+7033, r12vrr_stack+6997, NULL, r12vrr_stack+1612);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+296609, r12vrr_stack+296501, r12vrr_stack+296465, r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+6997, r12vrr_stack+1780);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+296825, r12vrr_stack+296609, r12vrr_stack+296501, r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+7033, r12vrr_stack+8733);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+297185, r12vrr_stack+296825, r12vrr_stack+296609, r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+13377, r12vrr_stack+8901);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+297725, r12vrr_stack+297185, r12vrr_stack+296825, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+13593, r12vrr_stack+9181);
 tmp = r12vrr_stack + 297725;
 target_ptr = Libr12->rvrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+172253, r12vrr_stack+297725, r12vrr_stack+297185, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+10889);
 tmp = r12vrr_stack + 172253;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+173261, r12vrr_stack+172253, r12vrr_stack+297725, r12vrr_stack+97304, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+11477);
 tmp = r12vrr_stack + 173261;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||k0)^0 ---*/
 _R_BUILD_l0k0(Data,r12vrr_stack+296501, r12vrr_stack+173261, r12vrr_stack+172253, r12vrr_stack+16149, r12vrr_stack+97304, r12vrr_stack+18021, r12vrr_stack+94532);
 tmp = r12vrr_stack + 296501;
 target_ptr = Libr12->rvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+133010, r12vrr_stack+296501, r12vrr_stack+173261, r12vrr_stack+206420, r12vrr_stack+16149, r12vrr_stack+97304, r12vrr_stack+9601);
 tmp = r12vrr_stack + 133010;
 target_ptr = Libr12->rvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+172253, r12vrr_stack+296465, r12vrr_stack+10861, r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+1612, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+172298, r12vrr_stack+172253, NULL, r12vrr_stack+12477, r12vrr_stack+12261, NULL, r12vrr_stack+6997);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+172433, r12vrr_stack+172298, r12vrr_stack+172253, r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+12261, r12vrr_stack+7033);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+7033, r12vrr_stack+172433, r12vrr_stack+172298, r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+12477, r12vrr_stack+13377);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+7483, r12vrr_stack+7033, r12vrr_stack+172433, r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+20424, r12vrr_stack+13593);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+172298, r12vrr_stack+7483, r12vrr_stack+7033, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+20694, r12vrr_stack+14853);
 tmp = r12vrr_stack + 172298;
 target_ptr = Libr12->rvrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+173243, r12vrr_stack+172298, r12vrr_stack+7483, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+15393);
 tmp = r12vrr_stack + 173243;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+7033, r12vrr_stack+173243, r12vrr_stack+172298, r12vrr_stack+101480, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+18021);
 tmp = r12vrr_stack + 7033;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||l0)^0 ---*/
 _R_BUILD_l0l0(Data,r12vrr_stack+264690, r12vrr_stack+7033, r12vrr_stack+173243, r12vrr_stack+23889, r12vrr_stack+101480, r12vrr_stack+26229, r12vrr_stack+97304);
 tmp = r12vrr_stack + 264690;
 target_ptr = Libr12->rvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+172298, r12vrr_stack+264690, r12vrr_stack+7033, r12vrr_stack+98600, r12vrr_stack+23889, r12vrr_stack+101480, r12vrr_stack+16149);
 tmp = r12vrr_stack + 172298;
 target_ptr = Libr12->rvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+295150, r12vrr_stack+172253, r12vrr_stack+296465, r12vrr_stack+19029, r12vrr_stack+12261, r12vrr_stack+6997, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+295150, NULL, r12vrr_stack+19299, r12vrr_stack+19029, NULL, r12vrr_stack+12261);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7162, r12vrr_stack+6997, r12vrr_stack+295150, r12vrr_stack+29194, r12vrr_stack+19299, r12vrr_stack+19029, r12vrr_stack+12477);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7492, r12vrr_stack+7162, r12vrr_stack+6997, r12vrr_stack+29524, r12vrr_stack+29194, r12vrr_stack+19299, r12vrr_stack+20424);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+8042, r12vrr_stack+7492, r12vrr_stack+7162, r12vrr_stack+31449, r12vrr_stack+29524, r12vrr_stack+29194, r12vrr_stack+20694);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+272985, r12vrr_stack+8042, r12vrr_stack+7492, r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+29524, r12vrr_stack+22269);
 tmp = r12vrr_stack + 272985;
 target_ptr = Libr12->rvrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+134990, r12vrr_stack+272985, r12vrr_stack+8042, r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+22944);
 tmp = r12vrr_stack + 134990;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+134990, r12vrr_stack+272985, r12vrr_stack+106620, r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+26229);
 tmp = r12vrr_stack + 6997;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+208400, r12vrr_stack+6997, r12vrr_stack+134990, r12vrr_stack+33429, r12vrr_stack+106620, r12vrr_stack+36289, r12vrr_stack+101480);
 tmp = r12vrr_stack + 208400;
 target_ptr = Libr12->rvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+210875, r12vrr_stack+208400, r12vrr_stack+6997, r12vrr_stack+103100, r12vrr_stack+33429, r12vrr_stack+106620, r12vrr_stack+23889);
 tmp = r12vrr_stack + 210875;
 target_ptr = Libr12->rvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+6997, r12vrr_stack+295150, r12vrr_stack+172253, r12vrr_stack+27489, r12vrr_stack+19029, r12vrr_stack+12261, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+6997, NULL, r12vrr_stack+27819, r12vrr_stack+27489, NULL, r12vrr_stack+19029);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12459, r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+39875, r12vrr_stack+27819, r12vrr_stack+27489, r12vrr_stack+19299);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12855, r12vrr_stack+12459, r12vrr_stack+12261, r12vrr_stack+40271, r12vrr_stack+39875, r12vrr_stack+27819, r12vrr_stack+29194);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13515, r12vrr_stack+12855, r12vrr_stack+12459, r12vrr_stack+42581, r12vrr_stack+40271, r12vrr_stack+39875, r12vrr_stack+29524);

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+7063, r12vrr_stack+13515, r12vrr_stack+12855, r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+40271, r12vrr_stack+31449);
 tmp = r12vrr_stack + 7063;
 target_ptr = Libr12->rvrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+213900, r12vrr_stack+7063, r12vrr_stack+13515, r12vrr_stack+48389, r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+32274);
 tmp = r12vrr_stack + 213900;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+213900, r12vrr_stack+7063, r12vrr_stack+112824, r12vrr_stack+48389, r12vrr_stack+43571, r12vrr_stack+36289);
 tmp = r12vrr_stack + 12261;
 target_ptr = Libr12->rvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+215748, r12vrr_stack+12261, r12vrr_stack+213900, r12vrr_stack+44957, r12vrr_stack+112824, r12vrr_stack+48389, r12vrr_stack+106620);
 tmp = r12vrr_stack + 215748;
 target_ptr = Libr12->rvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+195520, r12vrr_stack+215748, r12vrr_stack+12261, r12vrr_stack+108600, r12vrr_stack+44957, r12vrr_stack+112824, r12vrr_stack+33429);
 tmp = r12vrr_stack + 195520;
 target_ptr = Libr12->rvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+295150, r12vrr_stack+37829, r12vrr_stack+27489, r12vrr_stack+19029, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+12261, NULL, r12vrr_stack+38225, r12vrr_stack+37829, NULL, r12vrr_stack+27489);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19263, r12vrr_stack+19029, r12vrr_stack+12261, r12vrr_stack+52655, r12vrr_stack+38225, r12vrr_stack+37829, r12vrr_stack+27819);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19731, r12vrr_stack+19263, r12vrr_stack+19029, r12vrr_stack+53123, r12vrr_stack+52655, r12vrr_stack+38225, r12vrr_stack+39875);

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+20511, r12vrr_stack+19731, r12vrr_stack+19263, r12vrr_stack+55853, r12vrr_stack+53123, r12vrr_stack+52655, r12vrr_stack+40271);

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12339, r12vrr_stack+20511, r12vrr_stack+19731, r12vrr_stack+57023, r12vrr_stack+55853, r12vrr_stack+53123, r12vrr_stack+42581);
 tmp = r12vrr_stack + 12339;
 target_ptr = Libr12->rvrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+218718, r12vrr_stack+12339, r12vrr_stack+20511, r12vrr_stack+62717, r12vrr_stack+57023, r12vrr_stack+55853, r12vrr_stack+43571);
 tmp = r12vrr_stack + 218718;
 target_ptr = Libr12->rvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+218718, r12vrr_stack+12339, r12vrr_stack+120192, r12vrr_stack+62717, r12vrr_stack+57023, r12vrr_stack+48389);
 tmp = r12vrr_stack + 19029;
 target_ptr = Libr12->rvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+163595, r12vrr_stack+19029, r12vrr_stack+218718, r12vrr_stack+58661, r12vrr_stack+120192, r12vrr_stack+62717, r12vrr_stack+112824);
 tmp = r12vrr_stack + 163595;
 target_ptr = Libr12->rvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+218718, r12vrr_stack+163595, r12vrr_stack+19029, r12vrr_stack+115200, r12vrr_stack+58661, r12vrr_stack+120192, r12vrr_stack+44957);
 tmp = r12vrr_stack + 218718;
 target_ptr = Libr12->rvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+12261, r12vrr_stack+6997, r12vrr_stack+50237, r12vrr_stack+37829, r12vrr_stack+27489, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+19029, NULL, r12vrr_stack+50705, r12vrr_stack+50237, NULL, r12vrr_stack+37829);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+62171, r12vrr_stack+27489, r12vrr_stack+19029, r12vrr_stack+67722, r12vrr_stack+50705, r12vrr_stack+50237, r12vrr_stack+38225);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+62171, r12vrr_stack+27489, r12vrr_stack+68268, r12vrr_stack+67722, r12vrr_stack+50705, r12vrr_stack+52655);

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+27489, r12vrr_stack+19029, r12vrr_stack+62171, r12vrr_stack+71453, r12vrr_stack+68268, r12vrr_stack+67722, r12vrr_stack+53123);

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+28854, r12vrr_stack+27489, r12vrr_stack+19029, r12vrr_stack+72818, r12vrr_stack+71453, r12vrr_stack+68268, r12vrr_stack+55853);
 tmp = r12vrr_stack + 28854;
 target_ptr = Libr12->rvrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0||q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19029, r12vrr_stack+28854, r12vrr_stack+27489, r12vrr_stack+79461, r12vrr_stack+72818, r12vrr_stack+71453, r12vrr_stack+57023);
 tmp = r12vrr_stack + 19029;
 target_ptr = Libr12->rvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+50237, r12vrr_stack+19029, r12vrr_stack+28854, r12vrr_stack+129734, r12vrr_stack+79461, r12vrr_stack+72818, r12vrr_stack+62717);
 tmp = r12vrr_stack + 50237;
 target_ptr = Libr12->rvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+37829, r12vrr_stack+50237, r12vrr_stack+19029, r12vrr_stack+74729, r12vrr_stack+129734, r12vrr_stack+79461, r12vrr_stack+120192);
 tmp = r12vrr_stack + 37829;
 target_ptr = Libr12->rvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+223008, r12vrr_stack+37829, r12vrr_stack+50237, r12vrr_stack+252755, r12vrr_stack+74729, r12vrr_stack+129734, r12vrr_stack+58661);
 tmp = r12vrr_stack + 223008;
 target_ptr = Libr12->rvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+50237, r12vrr_stack+10889, r12vrr_stack+15393, r12vrr_stack+11477, r12vrr_stack+6409, r12vrr_stack+3642);
 tmp = r12vrr_stack + 50237;
 target_ptr = Libr12->t2vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+174773, r12vrr_stack+15393, r12vrr_stack+22944, r12vrr_stack+18021, r12vrr_stack+11477, r12vrr_stack+10889);
 tmp = r12vrr_stack + 174773;
 target_ptr = Libr12->t2vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+50825, r12vrr_stack+22944, r12vrr_stack+32274, r12vrr_stack+26229, r12vrr_stack+18021, r12vrr_stack+15393);
 tmp = r12vrr_stack + 50825;
 target_ptr = Libr12->t2vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+272985, r12vrr_stack+32274, r12vrr_stack+43571, r12vrr_stack+36289, r12vrr_stack+26229, r12vrr_stack+22944);
 tmp = r12vrr_stack + 272985;
 target_ptr = Libr12->t2vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+51770, r12vrr_stack+43571, r12vrr_stack+57023, r12vrr_stack+48389, r12vrr_stack+36289, r12vrr_stack+32274);
 tmp = r12vrr_stack + 51770;
 target_ptr = Libr12->t2vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+19029, r12vrr_stack+57023, r12vrr_stack+72818, r12vrr_stack+62717, r12vrr_stack+48389, r12vrr_stack+43571);
 tmp = r12vrr_stack + 19029;
 target_ptr = Libr12->t2vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T2]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+27489, r12vrr_stack+72818, r12vrr_stack+89779, r12vrr_stack+79461, r12vrr_stack+62717, r12vrr_stack+57023);
 tmp = r12vrr_stack + 27489;
 target_ptr = Libr12->t2vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+53156, r12vrr_stack+11477, r12vrr_stack+18021, r12vrr_stack+94532, r12vrr_stack+91984, r12vrr_stack+6409);
 tmp = r12vrr_stack + 53156;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20667, r12vrr_stack+18021, r12vrr_stack+26229, r12vrr_stack+97304, r12vrr_stack+94532, r12vrr_stack+11477);
 tmp = r12vrr_stack + 20667;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+29400, r12vrr_stack+26229, r12vrr_stack+36289, r12vrr_stack+101480, r12vrr_stack+97304, r12vrr_stack+18021);
 tmp = r12vrr_stack + 29400;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12261, r12vrr_stack+36289, r12vrr_stack+48389, r12vrr_stack+106620, r12vrr_stack+101480, r12vrr_stack+26229);
 tmp = r12vrr_stack + 12261;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+213900, r12vrr_stack+48389, r12vrr_stack+62717, r12vrr_stack+112824, r12vrr_stack+106620, r12vrr_stack+36289);
 tmp = r12vrr_stack + 213900;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+228013, r12vrr_stack+62717, r12vrr_stack+79461, r12vrr_stack+120192, r12vrr_stack+112824, r12vrr_stack+48389);
 tmp = r12vrr_stack + 228013;
 target_ptr = Libr12->t2vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+230197, r12vrr_stack+79461, r12vrr_stack+136790, r12vrr_stack+129734, r12vrr_stack+120192, r12vrr_stack+62717);
 tmp = r12vrr_stack + 230197;
 target_ptr = Libr12->t2vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13801, r12vrr_stack+94532, r12vrr_stack+97304, r12vrr_stack+9601, r12vrr_stack+5271, r12vrr_stack+91984);
 tmp = r12vrr_stack + 13801;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+232745, r12vrr_stack+97304, r12vrr_stack+101480, r12vrr_stack+16149, r12vrr_stack+9601, r12vrr_stack+94532);
 tmp = r12vrr_stack + 232745;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+234041, r12vrr_stack+101480, r12vrr_stack+106620, r12vrr_stack+23889, r12vrr_stack+16149, r12vrr_stack+97304);
 tmp = r12vrr_stack + 234041;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+235661, r12vrr_stack+106620, r12vrr_stack+112824, r12vrr_stack+33429, r12vrr_stack+23889, r12vrr_stack+101480);
 tmp = r12vrr_stack + 235661;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+237641, r12vrr_stack+112824, r12vrr_stack+120192, r12vrr_stack+44957, r12vrr_stack+33429, r12vrr_stack+106620);
 tmp = r12vrr_stack + 237641;
 target_ptr = Libr12->t2vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+240017, r12vrr_stack+120192, r12vrr_stack+129734, r12vrr_stack+58661, r12vrr_stack+44957, r12vrr_stack+112824);
 tmp = r12vrr_stack + 240017;
 target_ptr = Libr12->t2vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+242825, r12vrr_stack+129734, r12vrr_stack+191740, r12vrr_stack+74729, r12vrr_stack+58661, r12vrr_stack+120192);
 tmp = r12vrr_stack + 242825;
 target_ptr = Libr12->t2vrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+246101, r12vrr_stack+9601, r12vrr_stack+16149, r12vrr_stack+92740, r12vrr_stack+66446, r12vrr_stack+5271);
 tmp = r12vrr_stack + 246101;
 target_ptr = Libr12->t2vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+247361, r12vrr_stack+16149, r12vrr_stack+23889, r12vrr_stack+206420, r12vrr_stack+92740, r12vrr_stack+9601);
 tmp = r12vrr_stack + 247361;
 target_ptr = Libr12->t2vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+248981, r12vrr_stack+23889, r12vrr_stack+33429, r12vrr_stack+98600, r12vrr_stack+206420, r12vrr_stack+16149);
 tmp = r12vrr_stack + 248981;
 target_ptr = Libr12->t2vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+181535, r12vrr_stack+33429, r12vrr_stack+44957, r12vrr_stack+103100, r12vrr_stack+98600, r12vrr_stack+23889);
 tmp = r12vrr_stack + 181535;
 target_ptr = Libr12->t2vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+184010, r12vrr_stack+44957, r12vrr_stack+58661, r12vrr_stack+108600, r12vrr_stack+103100, r12vrr_stack+33429);
 tmp = r12vrr_stack + 184010;
 target_ptr = Libr12->t2vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+186980, r12vrr_stack+58661, r12vrr_stack+74729, r12vrr_stack+115200, r12vrr_stack+108600, r12vrr_stack+44957);
 tmp = r12vrr_stack + 186980;
 target_ptr = Libr12->t2vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+123000, r12vrr_stack+74729, r12vrr_stack+268260, r12vrr_stack+252755, r12vrr_stack+115200, r12vrr_stack+58661);
 tmp = r12vrr_stack + 123000;
 target_ptr = Libr12->t2vrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+251006, r12vrr_stack+92740, r12vrr_stack+206420, r12vrr_stack+278578, r12vrr_stack+274140, r12vrr_stack+66446);
 tmp = r12vrr_stack + 251006;
 target_ptr = Libr12->t2vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+127095, r12vrr_stack+206420, r12vrr_stack+98600, r12vrr_stack+142702, r12vrr_stack+278578, r12vrr_stack+92740);
 tmp = r12vrr_stack + 127095;
 target_ptr = Libr12->t2vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+313480, r12vrr_stack+98600, r12vrr_stack+103100, r12vrr_stack+292180, r12vrr_stack+142702, r12vrr_stack+206420);
 tmp = r12vrr_stack + 313480;
 target_ptr = Libr12->t2vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+315955, r12vrr_stack+103100, r12vrr_stack+108600, r12vrr_stack+151583, r12vrr_stack+292180, r12vrr_stack+98600);
 tmp = r12vrr_stack + 315955;
 target_ptr = Libr12->t2vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+318980, r12vrr_stack+108600, r12vrr_stack+115200, r12vrr_stack+159239, r12vrr_stack+151583, r12vrr_stack+103100);
 tmp = r12vrr_stack + 318980;
 target_ptr = Libr12->t2vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+322610, r12vrr_stack+115200, r12vrr_stack+252755, r12vrr_stack+167105, r12vrr_stack+159239, r12vrr_stack+108600);
 tmp = r12vrr_stack + 322610;
 target_ptr = Libr12->t2vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+326900, r12vrr_stack+252755, r12vrr_stack+352779, r12vrr_stack+175529, r12vrr_stack+167105, r12vrr_stack+115200);
 tmp = r12vrr_stack + 326900;
 target_ptr = Libr12->t2vrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+331905, r12vrr_stack+278578, r12vrr_stack+142702, r12vrr_stack+275526, r12vrr_stack+54174, r12vrr_stack+274140);
 tmp = r12vrr_stack + 331905;
 target_ptr = Libr12->t2vrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+333753, r12vrr_stack+142702, r12vrr_stack+292180, r12vrr_stack+280426, r12vrr_stack+275526, r12vrr_stack+278578);
 tmp = r12vrr_stack + 333753;
 target_ptr = Libr12->t2vrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+336129, r12vrr_stack+292180, r12vrr_stack+151583, r12vrr_stack+82009, r12vrr_stack+280426, r12vrr_stack+142702);
 tmp = r12vrr_stack + 336129;
 target_ptr = Libr12->t2vrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+339099, r12vrr_stack+151583, r12vrr_stack+159239, r12vrr_stack+199150, r12vrr_stack+82009, r12vrr_stack+292180);
 tmp = r12vrr_stack + 339099;
 target_ptr = Libr12->t2vrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+342729, r12vrr_stack+159239, r12vrr_stack+167105, r12vrr_stack+145078, r12vrr_stack+199150, r12vrr_stack+151583);
 tmp = r12vrr_stack + 342729;
 target_ptr = Libr12->t2vrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+347085, r12vrr_stack+167105, r12vrr_stack+175529, r12vrr_stack+300298, r12vrr_stack+145078, r12vrr_stack+159239);
 tmp = r12vrr_stack + 347085;
 target_ptr = Libr12->t2vrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+283234, r12vrr_stack+175529, r12vrr_stack+257760, r12vrr_stack+306382, r12vrr_stack+300298, r12vrr_stack+167105);
 tmp = r12vrr_stack + 283234;
 target_ptr = Libr12->t2vrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_h0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+274140, r12vrr_stack+10889, r12vrr_stack+11477, r12vrr_stack+15393, r12vrr_stack+14853, r12vrr_stack+9181);
 tmp = r12vrr_stack + 274140;
 target_ptr = Libr12->t1vrr_classes[5][6];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_h0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+91984, r12vrr_stack+15393, r12vrr_stack+18021, r12vrr_stack+22944, r12vrr_stack+22269, r12vrr_stack+14853);
 tmp = r12vrr_stack + 91984;
 target_ptr = Libr12->t1vrr_classes[5][7];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_h0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+53940, r12vrr_stack+22944, r12vrr_stack+26229, r12vrr_stack+32274, r12vrr_stack+31449, r12vrr_stack+22269);
 tmp = r12vrr_stack + 53940;
 target_ptr = Libr12->t1vrr_classes[5][8];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+21675, r12vrr_stack+32274, r12vrr_stack+36289, r12vrr_stack+43571, r12vrr_stack+42581, r12vrr_stack+31449);
 tmp = r12vrr_stack + 21675;
 target_ptr = Libr12->t1vrr_classes[5][9];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+30660, r12vrr_stack+43571, r12vrr_stack+48389, r12vrr_stack+57023, r12vrr_stack+55853, r12vrr_stack+42581);
 tmp = r12vrr_stack + 30660;
 target_ptr = Libr12->t1vrr_classes[5][10];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+41924, r12vrr_stack+57023, r12vrr_stack+62717, r12vrr_stack+72818, r12vrr_stack+71453, r12vrr_stack+55853);
 tmp = r12vrr_stack + 41924;
 target_ptr = Libr12->t1vrr_classes[5][11];
 for(i=0;i<1638;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (h0|[r12,T1]|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+54885, r12vrr_stack+72818, r12vrr_stack+79461, r12vrr_stack+89779, r12vrr_stack+88204, r12vrr_stack+71453);
 tmp = r12vrr_stack + 54885;
 target_ptr = Libr12->t1vrr_classes[5][12];
 for(i=0;i<1911;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+274728, r12vrr_stack+11477, r12vrr_stack+94532, r12vrr_stack+18021, r12vrr_stack+15393, r12vrr_stack+10889);
 tmp = r12vrr_stack + 274728;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+134990, r12vrr_stack+18021, r12vrr_stack+97304, r12vrr_stack+26229, r12vrr_stack+22944, r12vrr_stack+15393);
 tmp = r12vrr_stack + 134990;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14809, r12vrr_stack+26229, r12vrr_stack+101480, r12vrr_stack+36289, r12vrr_stack+32274, r12vrr_stack+22944);
 tmp = r12vrr_stack + 14809;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+266715, r12vrr_stack+36289, r12vrr_stack+106620, r12vrr_stack+48389, r12vrr_stack+43571, r12vrr_stack+32274);
 tmp = r12vrr_stack + 266715;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+203440, r12vrr_stack+48389, r12vrr_stack+112824, r12vrr_stack+62717, r12vrr_stack+57023, r12vrr_stack+43571);
 tmp = r12vrr_stack + 203440;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+155213, r12vrr_stack+62717, r12vrr_stack+120192, r12vrr_stack+79461, r12vrr_stack+72818, r12vrr_stack+57023);
 tmp = r12vrr_stack + 155213;
 target_ptr = Libr12->t1vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+289240, r12vrr_stack+79461, r12vrr_stack+129734, r12vrr_stack+136790, r12vrr_stack+89779, r12vrr_stack+72818);
 tmp = r12vrr_stack + 289240;
 target_ptr = Libr12->t1vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+56796, r12vrr_stack+94532, r12vrr_stack+9601, r12vrr_stack+97304, r12vrr_stack+18021, r12vrr_stack+11477);
 tmp = r12vrr_stack + 56796;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+32046, r12vrr_stack+97304, r12vrr_stack+16149, r12vrr_stack+101480, r12vrr_stack+26229, r12vrr_stack+18021);
 tmp = r12vrr_stack + 32046;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+157397, r12vrr_stack+101480, r12vrr_stack+23889, r12vrr_stack+106620, r12vrr_stack+36289, r12vrr_stack+26229);
 tmp = r12vrr_stack + 157397;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+85519, r12vrr_stack+106620, r12vrr_stack+33429, r12vrr_stack+112824, r12vrr_stack+48389, r12vrr_stack+36289);
 tmp = r12vrr_stack + 85519;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+87499, r12vrr_stack+112824, r12vrr_stack+44957, r12vrr_stack+120192, r12vrr_stack+62717, r12vrr_stack+48389);
 tmp = r12vrr_stack + 87499;
 target_ptr = Libr12->t1vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+139730, r12vrr_stack+120192, r12vrr_stack+58661, r12vrr_stack+129734, r12vrr_stack+79461, r12vrr_stack+62717);
 tmp = r12vrr_stack + 139730;
 target_ptr = Libr12->t1vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+62171, r12vrr_stack+129734, r12vrr_stack+74729, r12vrr_stack+191740, r12vrr_stack+136790, r12vrr_stack+79461);
 tmp = r12vrr_stack + 62171;
 target_ptr = Libr12->t1vrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+17769, r12vrr_stack+9601, r12vrr_stack+92740, r12vrr_stack+16149, r12vrr_stack+97304, r12vrr_stack+94532);
 tmp = r12vrr_stack + 17769;
 target_ptr = Libr12->t1vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+135998, r12vrr_stack+16149, r12vrr_stack+206420, r12vrr_stack+23889, r12vrr_stack+101480, r12vrr_stack+97304);
 tmp = r12vrr_stack + 135998;
 target_ptr = Libr12->t1vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+137618, r12vrr_stack+23889, r12vrr_stack+98600, r12vrr_stack+33429, r12vrr_stack+106620, r12vrr_stack+101480);
 tmp = r12vrr_stack + 137618;
 target_ptr = Libr12->t1vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+94280, r12vrr_stack+33429, r12vrr_stack+103100, r12vrr_stack+44957, r12vrr_stack+112824, r12vrr_stack+106620);
 tmp = r12vrr_stack + 94280;
 target_ptr = Libr12->t1vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+78824, r12vrr_stack+44957, r12vrr_stack+108600, r12vrr_stack+58661, r12vrr_stack+120192, r12vrr_stack+112824);
 tmp = r12vrr_stack + 78824;
 target_ptr = Libr12->t1vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+58661, r12vrr_stack+115200, r12vrr_stack+74729, r12vrr_stack+129734, r12vrr_stack+120192);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+3510, r12vrr_stack+74729, r12vrr_stack+252755, r12vrr_stack+268260, r12vrr_stack+191740, r12vrr_stack+129734);
 tmp = r12vrr_stack + 3510;
 target_ptr = Libr12->t1vrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+190490, r12vrr_stack+92740, r12vrr_stack+278578, r12vrr_stack+206420, r12vrr_stack+16149, r12vrr_stack+9601);
 tmp = r12vrr_stack + 190490;
 target_ptr = Libr12->t1vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+192030, r12vrr_stack+206420, r12vrr_stack+142702, r12vrr_stack+98600, r12vrr_stack+23889, r12vrr_stack+16149);
 tmp = r12vrr_stack + 192030;
 target_ptr = Libr12->t1vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+106125, r12vrr_stack+98600, r12vrr_stack+292180, r12vrr_stack+103100, r12vrr_stack+33429, r12vrr_stack+23889);
 tmp = r12vrr_stack + 106125;
 target_ptr = Libr12->t1vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+129075, r12vrr_stack+103100, r12vrr_stack+151583, r12vrr_stack+108600, r12vrr_stack+44957, r12vrr_stack+33429);
 tmp = r12vrr_stack + 129075;
 target_ptr = Libr12->t1vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+67601, r12vrr_stack+108600, r12vrr_stack+159239, r12vrr_stack+115200, r12vrr_stack+58661, r12vrr_stack+44957);
 tmp = r12vrr_stack + 67601;
 target_ptr = Libr12->t1vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+358554, r12vrr_stack+115200, r12vrr_stack+167105, r12vrr_stack+252755, r12vrr_stack+74729, r12vrr_stack+58661);
 tmp = r12vrr_stack + 358554;
 target_ptr = Libr12->t1vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+362844, r12vrr_stack+252755, r12vrr_stack+175529, r12vrr_stack+352779, r12vrr_stack+268260, r12vrr_stack+74729);
 tmp = r12vrr_stack + 362844;
 target_ptr = Libr12->t1vrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+268255, r12vrr_stack+278578, r12vrr_stack+275526, r12vrr_stack+142702, r12vrr_stack+206420, r12vrr_stack+92740);
 tmp = r12vrr_stack + 268255;
 target_ptr = Libr12->t1vrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+275512, r12vrr_stack+142702, r12vrr_stack+280426, r12vrr_stack+292180, r12vrr_stack+98600, r12vrr_stack+206420);
 tmp = r12vrr_stack + 275512;
 target_ptr = Libr12->t1vrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+112230, r12vrr_stack+292180, r12vrr_stack+82009, r12vrr_stack+151583, r12vrr_stack+103100, r12vrr_stack+98600);
 tmp = r12vrr_stack + 112230;
 target_ptr = Libr12->t1vrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+81794, r12vrr_stack+151583, r12vrr_stack+199150, r12vrr_stack+159239, r12vrr_stack+108600, r12vrr_stack+103100);
 tmp = r12vrr_stack + 81794;
 target_ptr = Libr12->t1vrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+367849, r12vrr_stack+159239, r12vrr_stack+145078, r12vrr_stack+167105, r12vrr_stack+115200, r12vrr_stack+108600);
 tmp = r12vrr_stack + 367849;
 target_ptr = Libr12->t1vrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+145078, r12vrr_stack+167105, r12vrr_stack+300298, r12vrr_stack+175529, r12vrr_stack+252755, r12vrr_stack+115200);
 tmp = r12vrr_stack + 145078;
 target_ptr = Libr12->t1vrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+300077, r12vrr_stack+175529, r12vrr_stack+306382, r12vrr_stack+257760, r12vrr_stack+352779, r12vrr_stack+252755);
 tmp = r12vrr_stack + 300077;
 target_ptr = Libr12->t1vrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+257760, r12vrr_stack+298537, r12vrr_stack+295205, r12vrr_stack+278578, r12vrr_stack+92740, r12vrr_stack+9601, r12vrr_stack+66446);
 tmp = r12vrr_stack + 257760;
 target_ptr = Libr12->rvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+259608, r12vrr_stack+133010, r12vrr_stack+296501, r12vrr_stack+142702, r12vrr_stack+206420, r12vrr_stack+16149, r12vrr_stack+92740);
 tmp = r12vrr_stack + 259608;
 target_ptr = Libr12->rvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+199150, r12vrr_stack+172298, r12vrr_stack+264690, r12vrr_stack+292180, r12vrr_stack+98600, r12vrr_stack+23889, r12vrr_stack+206420);
 tmp = r12vrr_stack + 199150;
 target_ptr = Libr12->rvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+261984, r12vrr_stack+210875, r12vrr_stack+208400, r12vrr_stack+151583, r12vrr_stack+103100, r12vrr_stack+33429, r12vrr_stack+98600);
 tmp = r12vrr_stack + 261984;
 target_ptr = Libr12->rvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+150226, r12vrr_stack+195520, r12vrr_stack+215748, r12vrr_stack+159239, r12vrr_stack+108600, r12vrr_stack+44957, r12vrr_stack+103100);
 tmp = r12vrr_stack + 150226;
 target_ptr = Libr12->rvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+277888, r12vrr_stack+218718, r12vrr_stack+163595, r12vrr_stack+167105, r12vrr_stack+115200, r12vrr_stack+58661, r12vrr_stack+108600);
 tmp = r12vrr_stack + 277888;
 target_ptr = Libr12->rvrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+215748, r12vrr_stack+223008, r12vrr_stack+37829, r12vrr_stack+175529, r12vrr_stack+252755, r12vrr_stack+74729, r12vrr_stack+115200);
 tmp = r12vrr_stack + 215748;
 target_ptr = Libr12->rvrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];


}

