#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ifhh(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (p0|00)^4 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (d0|00)^4 ---*/
 _BUILD_d000(Data,r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+15, r12vrr_stack+12, NULL, NULL, Data->F+5);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (p0|p0)^3 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+30, r12vrr_stack+27, r12vrr_stack+15, NULL, NULL, Data->F+4);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+39, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+42, r12vrr_stack+12, r12vrr_stack+39, NULL, NULL, Data->F+6);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+51, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+15, r12vrr_stack+12, r12vrr_stack+0);

 /*--- compute (d0|p0)^3 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+69, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+27, r12vrr_stack+15, r12vrr_stack+3);

 /*--- compute (f0|p0)^3 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+87, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+30, r12vrr_stack+18, r12vrr_stack+6);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+117, r12vrr_stack+15, r12vrr_stack+12, Data->F+4, Data->F+5, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+123, r12vrr_stack+27, r12vrr_stack+15, Data->F+3, Data->F+4, NULL);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+129, r12vrr_stack+12, r12vrr_stack+39, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+135, r12vrr_stack+117, r12vrr_stack+129, NULL, NULL, r12vrr_stack+12);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+153, r12vrr_stack+123, r12vrr_stack+117, NULL, NULL, r12vrr_stack+15);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+171, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+18);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+207, r12vrr_stack+27, Data->F+2, Data->F+3, NULL);

 /*--- compute (p0|d0)^2 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+216, r12vrr_stack+210, r12vrr_stack+123, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^2 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+234, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+30);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+30, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+33, r12vrr_stack+39, r12vrr_stack+30, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+270, r12vrr_stack+129, r12vrr_stack+33, NULL, NULL, r12vrr_stack+39);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+288, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+42);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+324, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+153, r12vrr_stack+135, r12vrr_stack+51);

 /*--- compute (f0|d0)^2 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+384, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+69);

 /*--- compute (g0|d0)^2 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+444, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+234, r12vrr_stack+171, r12vrr_stack+87);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+534, r12vrr_stack+117, r12vrr_stack+129, r12vrr_stack+15, r12vrr_stack+12, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+544, r12vrr_stack+123, r12vrr_stack+117, r12vrr_stack+27, r12vrr_stack+15, NULL);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+554, r12vrr_stack+544, r12vrr_stack+534, NULL, NULL, r12vrr_stack+117);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+584, r12vrr_stack+210, r12vrr_stack+123, r12vrr_stack+207, r12vrr_stack+27, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+594, r12vrr_stack+584, r12vrr_stack+544, NULL, NULL, r12vrr_stack+123);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+624, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+12, r12vrr_stack+39, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+634, r12vrr_stack+534, r12vrr_stack+624, NULL, NULL, r12vrr_stack+129);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+664, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+135);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+724, r12vrr_stack+594, r12vrr_stack+554, r12vrr_stack+584, r12vrr_stack+544, r12vrr_stack+153);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+784, r12vrr_stack+724, r12vrr_stack+664, r12vrr_stack+594, r12vrr_stack+554, r12vrr_stack+171);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+153, r12vrr_stack+27, r12vrr_stack+207, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+159, r12vrr_stack+153, r12vrr_stack+210, r12vrr_stack+27, r12vrr_stack+207, NULL);

 /*--- compute (p0|f0)^1 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+884, r12vrr_stack+159, r12vrr_stack+584, NULL, NULL, r12vrr_stack+210);

 /*--- compute (d0|f0)^1 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+914, r12vrr_stack+884, r12vrr_stack+594, r12vrr_stack+159, r12vrr_stack+584, r12vrr_stack+216);

 /*--- compute (f0|f0)^1 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+974, r12vrr_stack+914, r12vrr_stack+724, r12vrr_stack+884, r12vrr_stack+594, r12vrr_stack+234);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+207, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+216, r12vrr_stack+30, r12vrr_stack+207, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+222, r12vrr_stack+33, r12vrr_stack+216, r12vrr_stack+39, r12vrr_stack+30, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+232, r12vrr_stack+624, r12vrr_stack+222, NULL, NULL, r12vrr_stack+33);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+1074, r12vrr_stack+634, r12vrr_stack+232, r12vrr_stack+534, r12vrr_stack+624, r12vrr_stack+270);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+1134, r12vrr_stack+664, r12vrr_stack+1074, r12vrr_stack+554, r12vrr_stack+634, r12vrr_stack+288);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1234, r12vrr_stack+784, r12vrr_stack+1134, r12vrr_stack+724, r12vrr_stack+664, r12vrr_stack+324);

 /*--- compute (g0|f0)^1 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+1384, r12vrr_stack+974, r12vrr_stack+784, r12vrr_stack+914, r12vrr_stack+724, r12vrr_stack+384);

 /*--- compute (h0|f0)^1 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1384, r12vrr_stack+1234, r12vrr_stack+974, r12vrr_stack+784, r12vrr_stack+444);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1744, r12vrr_stack+544, r12vrr_stack+534, r12vrr_stack+123, r12vrr_stack+117, NULL);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1759, r12vrr_stack+584, r12vrr_stack+544, r12vrr_stack+210, r12vrr_stack+123, NULL);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1774, r12vrr_stack+534, r12vrr_stack+624, r12vrr_stack+117, r12vrr_stack+129, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1789, r12vrr_stack+1744, r12vrr_stack+1774, NULL, NULL, r12vrr_stack+534);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1834, r12vrr_stack+1759, r12vrr_stack+1744, NULL, NULL, r12vrr_stack+544);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1879, r12vrr_stack+1834, r12vrr_stack+1789, r12vrr_stack+1759, r12vrr_stack+1744, r12vrr_stack+554);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+554, r12vrr_stack+159, r12vrr_stack+584, r12vrr_stack+153, r12vrr_stack+210, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1969, r12vrr_stack+554, r12vrr_stack+1759, NULL, NULL, r12vrr_stack+584);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2014, r12vrr_stack+1969, r12vrr_stack+1834, r12vrr_stack+554, r12vrr_stack+1759, r12vrr_stack+594);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+569, r12vrr_stack+624, r12vrr_stack+222, r12vrr_stack+129, r12vrr_stack+33, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2104, r12vrr_stack+1774, r12vrr_stack+569, NULL, NULL, r12vrr_stack+624);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2149, r12vrr_stack+1789, r12vrr_stack+2104, r12vrr_stack+1744, r12vrr_stack+1774, r12vrr_stack+634);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2239, r12vrr_stack+1879, r12vrr_stack+2149, r12vrr_stack+1834, r12vrr_stack+1789, r12vrr_stack+664);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2389, r12vrr_stack+2014, r12vrr_stack+1879, r12vrr_stack+1969, r12vrr_stack+1834, r12vrr_stack+724);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2539, r12vrr_stack+2389, r12vrr_stack+2239, r12vrr_stack+2014, r12vrr_stack+1879, r12vrr_stack+784);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+15, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+210, r12vrr_stack+15, r12vrr_stack+27, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+724, r12vrr_stack+210, r12vrr_stack+153, r12vrr_stack+15, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+734, r12vrr_stack+724, r12vrr_stack+159, r12vrr_stack+210, r12vrr_stack+153, NULL);

 /*--- compute (p0|g0)^0 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+2764, r12vrr_stack+734, r12vrr_stack+554, NULL, NULL, r12vrr_stack+159);

 /*--- compute (d0|g0)^0 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+2809, r12vrr_stack+2764, r12vrr_stack+1969, r12vrr_stack+734, r12vrr_stack+554, r12vrr_stack+884);

 /*--- compute (f0|g0)^0 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+2899, r12vrr_stack+2809, r12vrr_stack+2014, r12vrr_stack+2764, r12vrr_stack+1969, r12vrr_stack+914);

 /*--- compute (g0|g0)^0 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3049, r12vrr_stack+2899, r12vrr_stack+2389, r12vrr_stack+2809, r12vrr_stack+2014, r12vrr_stack+974);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+27, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+153, r12vrr_stack+207, r12vrr_stack+27, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+884, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+30, r12vrr_stack+207, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+894, r12vrr_stack+222, r12vrr_stack+884, r12vrr_stack+33, r12vrr_stack+216, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+909, r12vrr_stack+569, r12vrr_stack+894, NULL, NULL, r12vrr_stack+222);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+954, r12vrr_stack+2104, r12vrr_stack+909, r12vrr_stack+1774, r12vrr_stack+569, r12vrr_stack+232);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+3274, r12vrr_stack+2149, r12vrr_stack+954, r12vrr_stack+1789, r12vrr_stack+2104, r12vrr_stack+1074);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+3424, r12vrr_stack+2239, r12vrr_stack+3274, r12vrr_stack+1879, r12vrr_stack+2149, r12vrr_stack+1134);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3649, r12vrr_stack+2539, r12vrr_stack+3424, r12vrr_stack+2389, r12vrr_stack+2239, r12vrr_stack+1234);

 /*--- compute (h0|g0)^0 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3964, r12vrr_stack+3049, r12vrr_stack+2539, r12vrr_stack+2899, r12vrr_stack+2389, r12vrr_stack+1384);

 /*--- compute (i0|g0)^0 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+4279, r12vrr_stack+3964, r12vrr_stack+3649, r12vrr_stack+3049, r12vrr_stack+2539, r12vrr_stack+1534);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1044, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+1047, r12vrr_stack+0, r12vrr_stack+1044, Data->F+5, Data->F+6, NULL);

 /*--- compute (f0|00)^4 ---*/
 _BUILD_f000(Data,r12vrr_stack+1053, r12vrr_stack+6, r12vrr_stack+1047, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1063, r12vrr_stack+39, r12vrr_stack+30, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+749, r12vrr_stack+42, r12vrr_stack+1063, r12vrr_stack+12, r12vrr_stack+39, r12vrr_stack+1044);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+594, r12vrr_stack+51, r12vrr_stack+749, r12vrr_stack+18, r12vrr_stack+42, r12vrr_stack+1047);

 /*--- compute (g0|p0)^3 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+4699, r12vrr_stack+87, r12vrr_stack+594, r12vrr_stack+69, r12vrr_stack+51, r12vrr_stack+1053);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+69, r12vrr_stack+33, r12vrr_stack+216, NULL, NULL, r12vrr_stack+30);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4744, r12vrr_stack+270, r12vrr_stack+69, r12vrr_stack+129, r12vrr_stack+33, r12vrr_stack+1063);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+4780, r12vrr_stack+288, r12vrr_stack+4744, r12vrr_stack+135, r12vrr_stack+270, r12vrr_stack+749);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+4840, r12vrr_stack+324, r12vrr_stack+4780, r12vrr_stack+171, r12vrr_stack+288, r12vrr_stack+594);

 /*--- compute (h0|d0)^2 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+4930, r12vrr_stack+444, r12vrr_stack+4840, r12vrr_stack+384, r12vrr_stack+324, r12vrr_stack+4699);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+384, r12vrr_stack+222, r12vrr_stack+884, NULL, NULL, r12vrr_stack+216);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+5056, r12vrr_stack+232, r12vrr_stack+384, r12vrr_stack+624, r12vrr_stack+222, r12vrr_stack+69);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+5116, r12vrr_stack+1074, r12vrr_stack+5056, r12vrr_stack+634, r12vrr_stack+232, r12vrr_stack+4744);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+5216, r12vrr_stack+1134, r12vrr_stack+5116, r12vrr_stack+664, r12vrr_stack+1074, r12vrr_stack+4780);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+5366, r12vrr_stack+1234, r12vrr_stack+5216, r12vrr_stack+784, r12vrr_stack+1134, r12vrr_stack+4840);

 /*--- compute (i0|f0)^1 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+5576, r12vrr_stack+1534, r12vrr_stack+5366, r12vrr_stack+1384, r12vrr_stack+1234, r12vrr_stack+4930);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1384, r12vrr_stack+27, r12vrr_stack+12, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1390, r12vrr_stack+153, r12vrr_stack+1384, r12vrr_stack+207, r12vrr_stack+27, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1400, r12vrr_stack+884, r12vrr_stack+1390, r12vrr_stack+216, r12vrr_stack+153, NULL);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1415, r12vrr_stack+894, r12vrr_stack+1400, NULL, NULL, r12vrr_stack+884);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+634, r12vrr_stack+909, r12vrr_stack+1415, r12vrr_stack+569, r12vrr_stack+894, r12vrr_stack+384);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5856, r12vrr_stack+954, r12vrr_stack+634, r12vrr_stack+2104, r12vrr_stack+909, r12vrr_stack+5056);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+6006, r12vrr_stack+3274, r12vrr_stack+5856, r12vrr_stack+2149, r12vrr_stack+954, r12vrr_stack+5116);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6231, r12vrr_stack+3424, r12vrr_stack+6006, r12vrr_stack+2239, r12vrr_stack+3274, r12vrr_stack+5216);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6546, r12vrr_stack+3649, r12vrr_stack+6231, r12vrr_stack+2539, r12vrr_stack+3424, r12vrr_stack+5366);

 /*--- compute (k0|g0)^0 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6966, r12vrr_stack+4279, r12vrr_stack+6546, r12vrr_stack+3964, r12vrr_stack+3649, r12vrr_stack+5576);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1460, r12vrr_stack+1774, r12vrr_stack+569, r12vrr_stack+534, r12vrr_stack+624, NULL);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1481, r12vrr_stack+1744, r12vrr_stack+1774, r12vrr_stack+544, r12vrr_stack+534, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+767, r12vrr_stack+1481, r12vrr_stack+1460, NULL, NULL, r12vrr_stack+1774);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1502, r12vrr_stack+1759, r12vrr_stack+1744, r12vrr_stack+584, r12vrr_stack+544, NULL);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7506, r12vrr_stack+1502, r12vrr_stack+1481, NULL, NULL, r12vrr_stack+1744);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+414, r12vrr_stack+569, r12vrr_stack+894, r12vrr_stack+624, r12vrr_stack+222, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7569, r12vrr_stack+1460, r12vrr_stack+414, NULL, NULL, r12vrr_stack+569);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7632, r12vrr_stack+767, r12vrr_stack+7569, r12vrr_stack+1481, r12vrr_stack+1460, r12vrr_stack+2104);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7758, r12vrr_stack+7506, r12vrr_stack+767, r12vrr_stack+1502, r12vrr_stack+1481, r12vrr_stack+1789);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7884, r12vrr_stack+7758, r12vrr_stack+7632, r12vrr_stack+7506, r12vrr_stack+767, r12vrr_stack+2149);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1789, r12vrr_stack+554, r12vrr_stack+1759, r12vrr_stack+159, r12vrr_stack+584, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2104, r12vrr_stack+1789, r12vrr_stack+1502, NULL, NULL, r12vrr_stack+1759);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8094, r12vrr_stack+2104, r12vrr_stack+7506, r12vrr_stack+1789, r12vrr_stack+1502, r12vrr_stack+1834);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8220, r12vrr_stack+8094, r12vrr_stack+7758, r12vrr_stack+2104, r12vrr_stack+7506, r12vrr_stack+1879);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1810, r12vrr_stack+894, r12vrr_stack+1400, r12vrr_stack+222, r12vrr_stack+884, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1831, r12vrr_stack+414, r12vrr_stack+1810, NULL, NULL, r12vrr_stack+894);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8430, r12vrr_stack+7569, r12vrr_stack+1831, r12vrr_stack+1460, r12vrr_stack+414, r12vrr_stack+909);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8556, r12vrr_stack+7632, r12vrr_stack+8430, r12vrr_stack+767, r12vrr_stack+7569, r12vrr_stack+954);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8766, r12vrr_stack+7884, r12vrr_stack+8556, r12vrr_stack+7758, r12vrr_stack+7632, r12vrr_stack+3274);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9081, r12vrr_stack+8220, r12vrr_stack+7884, r12vrr_stack+8094, r12vrr_stack+7758, r12vrr_stack+2239);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9396, r12vrr_stack+9081, r12vrr_stack+8766, r12vrr_stack+8220, r12vrr_stack+7884, r12vrr_stack+3424);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1894, r12vrr_stack+734, r12vrr_stack+554, r12vrr_stack+724, r12vrr_stack+159, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2167, r12vrr_stack+1894, r12vrr_stack+1789, NULL, NULL, r12vrr_stack+554);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2230, r12vrr_stack+2167, r12vrr_stack+2104, r12vrr_stack+1894, r12vrr_stack+1789, r12vrr_stack+1969);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9837, r12vrr_stack+2230, r12vrr_stack+8094, r12vrr_stack+2167, r12vrr_stack+2104, r12vrr_stack+2014);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10047, r12vrr_stack+9837, r12vrr_stack+8220, r12vrr_stack+2230, r12vrr_stack+8094, r12vrr_stack+2389);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10362, r12vrr_stack+10047, r12vrr_stack+9081, r12vrr_stack+9837, r12vrr_stack+8220, r12vrr_stack+2539);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+159, r12vrr_stack+12, r12vrr_stack+3, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+584, r12vrr_stack+1384, r12vrr_stack+159, r12vrr_stack+27, r12vrr_stack+12, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+165, r12vrr_stack+1390, r12vrr_stack+584, r12vrr_stack+153, r12vrr_stack+1384, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+180, r12vrr_stack+1400, r12vrr_stack+165, r12vrr_stack+884, r12vrr_stack+1390, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1915, r12vrr_stack+1810, r12vrr_stack+180, NULL, NULL, r12vrr_stack+1400);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1978, r12vrr_stack+1831, r12vrr_stack+1915, r12vrr_stack+414, r12vrr_stack+1810, r12vrr_stack+1415);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2356, r12vrr_stack+8430, r12vrr_stack+1978, r12vrr_stack+7569, r12vrr_stack+1831, r12vrr_stack+634);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10803, r12vrr_stack+8556, r12vrr_stack+2356, r12vrr_stack+7632, r12vrr_stack+8430, r12vrr_stack+5856);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11118, r12vrr_stack+8766, r12vrr_stack+10803, r12vrr_stack+7884, r12vrr_stack+8556, r12vrr_stack+6006);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+11559, r12vrr_stack+9396, r12vrr_stack+11118, r12vrr_stack+9081, r12vrr_stack+8766, r12vrr_stack+6231);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12147, r12vrr_stack+10362, r12vrr_stack+9396, r12vrr_stack+10047, r12vrr_stack+9081, r12vrr_stack+3649);
 tmp = r12vrr_stack + 12147;
 target_ptr = Libr12->gvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+12735, r12vrr_stack+12147, r12vrr_stack+11559, r12vrr_stack+10362, r12vrr_stack+9396, r12vrr_stack+6546);
 tmp = r12vrr_stack + 12735;
 target_ptr = Libr12->gvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2566, r12vrr_stack+1481, r12vrr_stack+1460, r12vrr_stack+1744, r12vrr_stack+1774, NULL);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2594, r12vrr_stack+1502, r12vrr_stack+1481, r12vrr_stack+1759, r12vrr_stack+1744, NULL);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2622, r12vrr_stack+1460, r12vrr_stack+414, r12vrr_stack+1774, r12vrr_stack+569, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2650, r12vrr_stack+2566, r12vrr_stack+2622, NULL, NULL, r12vrr_stack+1460);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13491, r12vrr_stack+2594, r12vrr_stack+2566, NULL, NULL, r12vrr_stack+1481);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13575, r12vrr_stack+13491, r12vrr_stack+2650, r12vrr_stack+2594, r12vrr_stack+2566, r12vrr_stack+767);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+767, r12vrr_stack+1789, r12vrr_stack+1502, r12vrr_stack+554, r12vrr_stack+1759, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+795, r12vrr_stack+767, r12vrr_stack+2594, NULL, NULL, r12vrr_stack+1502);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13743, r12vrr_stack+795, r12vrr_stack+13491, r12vrr_stack+767, r12vrr_stack+2594, r12vrr_stack+7506);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7506, r12vrr_stack+414, r12vrr_stack+1810, r12vrr_stack+569, r12vrr_stack+894, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13911, r12vrr_stack+2622, r12vrr_stack+7506, NULL, NULL, r12vrr_stack+414);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13995, r12vrr_stack+2650, r12vrr_stack+13911, r12vrr_stack+2566, r12vrr_stack+2622, r12vrr_stack+7569);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14163, r12vrr_stack+13575, r12vrr_stack+13995, r12vrr_stack+13491, r12vrr_stack+2650, r12vrr_stack+7632);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14443, r12vrr_stack+13743, r12vrr_stack+13575, r12vrr_stack+795, r12vrr_stack+13491, r12vrr_stack+7758);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14723, r12vrr_stack+14443, r12vrr_stack+14163, r12vrr_stack+13743, r12vrr_stack+13575, r12vrr_stack+7884);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7534, r12vrr_stack+1894, r12vrr_stack+1789, r12vrr_stack+734, r12vrr_stack+554, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7562, r12vrr_stack+7534, r12vrr_stack+767, NULL, NULL, r12vrr_stack+1789);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7646, r12vrr_stack+7562, r12vrr_stack+795, r12vrr_stack+7534, r12vrr_stack+767, r12vrr_stack+2104);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7814, r12vrr_stack+7646, r12vrr_stack+13743, r12vrr_stack+7562, r12vrr_stack+795, r12vrr_stack+8094);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15143, r12vrr_stack+7814, r12vrr_stack+14443, r12vrr_stack+7646, r12vrr_stack+13743, r12vrr_stack+8220);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8094, r12vrr_stack+1810, r12vrr_stack+180, r12vrr_stack+894, r12vrr_stack+1400, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8122, r12vrr_stack+7506, r12vrr_stack+8094, NULL, NULL, r12vrr_stack+1810);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8206, r12vrr_stack+13911, r12vrr_stack+8122, r12vrr_stack+2622, r12vrr_stack+7506, r12vrr_stack+1831);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15563, r12vrr_stack+13995, r12vrr_stack+8206, r12vrr_stack+2650, r12vrr_stack+13911, r12vrr_stack+8430);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15843, r12vrr_stack+14163, r12vrr_stack+15563, r12vrr_stack+13575, r12vrr_stack+13995, r12vrr_stack+8556);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16263, r12vrr_stack+14723, r12vrr_stack+15843, r12vrr_stack+14443, r12vrr_stack+14163, r12vrr_stack+8766);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16851, r12vrr_stack+15143, r12vrr_stack+14723, r12vrr_stack+7814, r12vrr_stack+14443, r12vrr_stack+9081);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17439, r12vrr_stack+16851, r12vrr_stack+16263, r12vrr_stack+15143, r12vrr_stack+14723, r12vrr_stack+9396);
 tmp = r12vrr_stack + 17439;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9081, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+201, r12vrr_stack+3, r12vrr_stack+9081, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+624, r12vrr_stack+159, r12vrr_stack+201, r12vrr_stack+12, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+9084, r12vrr_stack+584, r12vrr_stack+624, r12vrr_stack+1384, r12vrr_stack+159, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9099, r12vrr_stack+165, r12vrr_stack+9084, r12vrr_stack+1390, r12vrr_stack+584, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9120, r12vrr_stack+180, r12vrr_stack+9099, r12vrr_stack+1400, r12vrr_stack+165, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9148, r12vrr_stack+8094, r12vrr_stack+9120, NULL, NULL, r12vrr_stack+180);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18223, r12vrr_stack+8122, r12vrr_stack+9148, r12vrr_stack+7506, r12vrr_stack+8094, r12vrr_stack+1915);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18391, r12vrr_stack+8206, r12vrr_stack+18223, r12vrr_stack+13911, r12vrr_stack+8122, r12vrr_stack+1978);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18671, r12vrr_stack+15563, r12vrr_stack+18391, r12vrr_stack+13995, r12vrr_stack+8206, r12vrr_stack+2356);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19091, r12vrr_stack+15843, r12vrr_stack+18671, r12vrr_stack+14163, r12vrr_stack+15563, r12vrr_stack+10803);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19679, r12vrr_stack+16263, r12vrr_stack+19091, r12vrr_stack+14723, r12vrr_stack+15843, r12vrr_stack+11118);

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+20463, r12vrr_stack+17439, r12vrr_stack+19679, r12vrr_stack+16851, r12vrr_stack+16263, r12vrr_stack+11559);
 tmp = r12vrr_stack + 20463;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+117, r12vrr_stack+2566, r12vrr_stack+2622, r12vrr_stack+1481, r12vrr_stack+1460, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9232, r12vrr_stack+2594, r12vrr_stack+2566, r12vrr_stack+1502, r12vrr_stack+1481, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9268, r12vrr_stack+2622, r12vrr_stack+7506, r12vrr_stack+1460, r12vrr_stack+414, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21471, r12vrr_stack+117, r12vrr_stack+9268, NULL, NULL, r12vrr_stack+2622);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21579, r12vrr_stack+9232, r12vrr_stack+117, NULL, NULL, r12vrr_stack+2566);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21687, r12vrr_stack+21579, r12vrr_stack+21471, r12vrr_stack+9232, r12vrr_stack+117, r12vrr_stack+2650);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2650, r12vrr_stack+767, r12vrr_stack+2594, r12vrr_stack+1789, r12vrr_stack+1502, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21903, r12vrr_stack+2650, r12vrr_stack+9232, NULL, NULL, r12vrr_stack+2594);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22011, r12vrr_stack+21903, r12vrr_stack+21579, r12vrr_stack+2650, r12vrr_stack+9232, r12vrr_stack+13491);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13491, r12vrr_stack+7506, r12vrr_stack+8094, r12vrr_stack+414, r12vrr_stack+1810, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22227, r12vrr_stack+9268, r12vrr_stack+13491, NULL, NULL, r12vrr_stack+7506);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22335, r12vrr_stack+21471, r12vrr_stack+22227, r12vrr_stack+117, r12vrr_stack+9268, r12vrr_stack+13911);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22551, r12vrr_stack+21687, r12vrr_stack+22335, r12vrr_stack+21579, r12vrr_stack+21471, r12vrr_stack+13995);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22911, r12vrr_stack+22011, r12vrr_stack+21687, r12vrr_stack+21903, r12vrr_stack+21579, r12vrr_stack+13575);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23271, r12vrr_stack+22911, r12vrr_stack+22551, r12vrr_stack+22011, r12vrr_stack+21687, r12vrr_stack+14163);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13911, r12vrr_stack+7534, r12vrr_stack+767, r12vrr_stack+1894, r12vrr_stack+1789, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13947, r12vrr_stack+13911, r12vrr_stack+2650, NULL, NULL, r12vrr_stack+767);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13527, r12vrr_stack+13947, r12vrr_stack+21903, r12vrr_stack+13911, r12vrr_stack+2650, r12vrr_stack+795);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14055, r12vrr_stack+13527, r12vrr_stack+22011, r12vrr_stack+13947, r12vrr_stack+21903, r12vrr_stack+13743);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23811, r12vrr_stack+14055, r12vrr_stack+22911, r12vrr_stack+13527, r12vrr_stack+22011, r12vrr_stack+14443);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13743, r12vrr_stack+8094, r12vrr_stack+9120, r12vrr_stack+1810, r12vrr_stack+180, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13779, r12vrr_stack+13491, r12vrr_stack+13743, NULL, NULL, r12vrr_stack+8094);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14415, r12vrr_stack+22227, r12vrr_stack+13779, r12vrr_stack+9268, r12vrr_stack+13491, r12vrr_stack+8122);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24351, r12vrr_stack+22335, r12vrr_stack+14415, r12vrr_stack+21471, r12vrr_stack+22227, r12vrr_stack+8206);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24711, r12vrr_stack+22551, r12vrr_stack+24351, r12vrr_stack+21687, r12vrr_stack+22335, r12vrr_stack+15563);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25251, r12vrr_stack+23271, r12vrr_stack+24711, r12vrr_stack+22911, r12vrr_stack+22551, r12vrr_stack+15843);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26007, r12vrr_stack+23811, r12vrr_stack+23271, r12vrr_stack+14055, r12vrr_stack+22911, r12vrr_stack+14723);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26763, r12vrr_stack+26007, r12vrr_stack+25251, r12vrr_stack+23811, r12vrr_stack+23271, r12vrr_stack+16263);
 tmp = r12vrr_stack + 26763;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13887, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13890, r12vrr_stack+9081, r12vrr_stack+13887, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13896, r12vrr_stack+201, r12vrr_stack+13890, r12vrr_stack+3, r12vrr_stack+9081, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+795, r12vrr_stack+624, r12vrr_stack+13896, r12vrr_stack+159, r12vrr_stack+201, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+810, r12vrr_stack+9084, r12vrr_stack+795, r12vrr_stack+584, r12vrr_stack+624, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+831, r12vrr_stack+9099, r12vrr_stack+810, r12vrr_stack+165, r12vrr_stack+9084, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14631, r12vrr_stack+9120, r12vrr_stack+831, r12vrr_stack+180, r12vrr_stack+9099, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14667, r12vrr_stack+13743, r12vrr_stack+14631, NULL, NULL, r12vrr_stack+9120);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+14775, r12vrr_stack+13779, r12vrr_stack+14667, r12vrr_stack+13491, r12vrr_stack+13743, r12vrr_stack+9148);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27771, r12vrr_stack+14415, r12vrr_stack+14775, r12vrr_stack+22227, r12vrr_stack+13779, r12vrr_stack+18223);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28131, r12vrr_stack+24351, r12vrr_stack+27771, r12vrr_stack+22335, r12vrr_stack+14415, r12vrr_stack+18391);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+28671, r12vrr_stack+24711, r12vrr_stack+28131, r12vrr_stack+22551, r12vrr_stack+24351, r12vrr_stack+18671);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+29427, r12vrr_stack+25251, r12vrr_stack+28671, r12vrr_stack+23271, r12vrr_stack+24711, r12vrr_stack+19091);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+30435, r12vrr_stack+26763, r12vrr_stack+29427, r12vrr_stack+26007, r12vrr_stack+25251, r12vrr_stack+19679);
 tmp = r12vrr_stack + 30435;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14991, r12vrr_stack+117, r12vrr_stack+9268, r12vrr_stack+2566, r12vrr_stack+2622, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15036, r12vrr_stack+9232, r12vrr_stack+117, r12vrr_stack+2594, r12vrr_stack+2566, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+15081, r12vrr_stack+9268, r12vrr_stack+13491, r12vrr_stack+2622, r12vrr_stack+7506, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31731, r12vrr_stack+14991, r12vrr_stack+15081, NULL, NULL, r12vrr_stack+9268);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31866, r12vrr_stack+15036, r12vrr_stack+14991, NULL, NULL, r12vrr_stack+117);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32001, r12vrr_stack+31866, r12vrr_stack+31731, r12vrr_stack+15036, r12vrr_stack+14991, r12vrr_stack+21471);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21471, r12vrr_stack+2650, r12vrr_stack+9232, r12vrr_stack+767, r12vrr_stack+2594, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32271, r12vrr_stack+21471, r12vrr_stack+15036, NULL, NULL, r12vrr_stack+9232);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32406, r12vrr_stack+32271, r12vrr_stack+31866, r12vrr_stack+21471, r12vrr_stack+15036, r12vrr_stack+21579);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21516, r12vrr_stack+13491, r12vrr_stack+13743, r12vrr_stack+7506, r12vrr_stack+8094, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32676, r12vrr_stack+15081, r12vrr_stack+21516, NULL, NULL, r12vrr_stack+13491);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32811, r12vrr_stack+31731, r12vrr_stack+32676, r12vrr_stack+14991, r12vrr_stack+15081, r12vrr_stack+22227);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33081, r12vrr_stack+32001, r12vrr_stack+32811, r12vrr_stack+31866, r12vrr_stack+31731, r12vrr_stack+22335);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33531, r12vrr_stack+32406, r12vrr_stack+32001, r12vrr_stack+32271, r12vrr_stack+31866, r12vrr_stack+21687);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33981, r12vrr_stack+33531, r12vrr_stack+33081, r12vrr_stack+32406, r12vrr_stack+32001, r12vrr_stack+22551);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22227, r12vrr_stack+13911, r12vrr_stack+2650, r12vrr_stack+7534, r12vrr_stack+767, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22272, r12vrr_stack+22227, r12vrr_stack+21471, NULL, NULL, r12vrr_stack+2650);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22407, r12vrr_stack+22272, r12vrr_stack+32271, r12vrr_stack+22227, r12vrr_stack+21471, r12vrr_stack+21903);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+21561, r12vrr_stack+22407, r12vrr_stack+32406, r12vrr_stack+22272, r12vrr_stack+32271, r12vrr_stack+22011);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34656, r12vrr_stack+21561, r12vrr_stack+33531, r12vrr_stack+22407, r12vrr_stack+32406, r12vrr_stack+22911);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22011, r12vrr_stack+13743, r12vrr_stack+14631, r12vrr_stack+8094, r12vrr_stack+9120, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22056, r12vrr_stack+21516, r12vrr_stack+22011, NULL, NULL, r12vrr_stack+13743);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22677, r12vrr_stack+32676, r12vrr_stack+22056, r12vrr_stack+15081, r12vrr_stack+21516, r12vrr_stack+13779);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35331, r12vrr_stack+32811, r12vrr_stack+22677, r12vrr_stack+31731, r12vrr_stack+32676, r12vrr_stack+14415);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35781, r12vrr_stack+33081, r12vrr_stack+35331, r12vrr_stack+32001, r12vrr_stack+32811, r12vrr_stack+24351);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+36456, r12vrr_stack+33981, r12vrr_stack+35781, r12vrr_stack+33531, r12vrr_stack+33081, r12vrr_stack+24711);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37401, r12vrr_stack+34656, r12vrr_stack+33981, r12vrr_stack+21561, r12vrr_stack+33531, r12vrr_stack+23271);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38346, r12vrr_stack+37401, r12vrr_stack+36456, r12vrr_stack+34656, r12vrr_stack+33981, r12vrr_stack+25251);
 tmp = r12vrr_stack + 38346;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+22191, r12vrr_stack+13887, r12vrr_stack+3, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+22197, r12vrr_stack+13890, r12vrr_stack+22191, r12vrr_stack+9081, r12vrr_stack+13887, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+22207, r12vrr_stack+13896, r12vrr_stack+22197, r12vrr_stack+201, r12vrr_stack+13890, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+767, r12vrr_stack+795, r12vrr_stack+22207, r12vrr_stack+624, r12vrr_stack+13896, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7506, r12vrr_stack+810, r12vrr_stack+767, r12vrr_stack+9084, r12vrr_stack+795, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22947, r12vrr_stack+831, r12vrr_stack+7506, r12vrr_stack+9099, r12vrr_stack+810, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+22983, r12vrr_stack+14631, r12vrr_stack+22947, r12vrr_stack+9120, r12vrr_stack+831, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23028, r12vrr_stack+22011, r12vrr_stack+22983, NULL, NULL, r12vrr_stack+14631);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+23163, r12vrr_stack+22056, r12vrr_stack+23028, r12vrr_stack+21516, r12vrr_stack+22011, r12vrr_stack+14667);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39606, r12vrr_stack+22677, r12vrr_stack+23163, r12vrr_stack+32676, r12vrr_stack+22056, r12vrr_stack+14775);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40056, r12vrr_stack+35331, r12vrr_stack+39606, r12vrr_stack+32811, r12vrr_stack+22677, r12vrr_stack+27771);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40731, r12vrr_stack+35781, r12vrr_stack+40056, r12vrr_stack+33081, r12vrr_stack+35331, r12vrr_stack+28131);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+41676, r12vrr_stack+36456, r12vrr_stack+40731, r12vrr_stack+33981, r12vrr_stack+35781, r12vrr_stack+28671);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42936, r12vrr_stack+38346, r12vrr_stack+41676, r12vrr_stack+37401, r12vrr_stack+36456, r12vrr_stack+29427);
 tmp = r12vrr_stack + 42936;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23433, r12vrr_stack+14991, r12vrr_stack+15081, r12vrr_stack+117, r12vrr_stack+9268, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23488, r12vrr_stack+15036, r12vrr_stack+14991, r12vrr_stack+9232, r12vrr_stack+117, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23543, r12vrr_stack+15081, r12vrr_stack+21516, r12vrr_stack+9268, r12vrr_stack+13491, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+23598, r12vrr_stack+23433, r12vrr_stack+23543, NULL, NULL, r12vrr_stack+15081);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44556, r12vrr_stack+23488, r12vrr_stack+23433, NULL, NULL, r12vrr_stack+14991);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44721, r12vrr_stack+44556, r12vrr_stack+23598, r12vrr_stack+23488, r12vrr_stack+23433, r12vrr_stack+31731);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31731, r12vrr_stack+21471, r12vrr_stack+15036, r12vrr_stack+2650, r12vrr_stack+9232, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45051, r12vrr_stack+31731, r12vrr_stack+23488, NULL, NULL, r12vrr_stack+15036);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45216, r12vrr_stack+45051, r12vrr_stack+44556, r12vrr_stack+31731, r12vrr_stack+23488, r12vrr_stack+31866);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9232, r12vrr_stack+21516, r12vrr_stack+22011, r12vrr_stack+13491, r12vrr_stack+13743, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31786, r12vrr_stack+23543, r12vrr_stack+9232, NULL, NULL, r12vrr_stack+21516);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45546, r12vrr_stack+23598, r12vrr_stack+31786, r12vrr_stack+23433, r12vrr_stack+23543, r12vrr_stack+32676);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45876, r12vrr_stack+44721, r12vrr_stack+45546, r12vrr_stack+44556, r12vrr_stack+23598, r12vrr_stack+32811);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46426, r12vrr_stack+45216, r12vrr_stack+44721, r12vrr_stack+45051, r12vrr_stack+44556, r12vrr_stack+32001);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46976, r12vrr_stack+46426, r12vrr_stack+45876, r12vrr_stack+45216, r12vrr_stack+44721, r12vrr_stack+33081);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32676, r12vrr_stack+22227, r12vrr_stack+21471, r12vrr_stack+13911, r12vrr_stack+2650, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32731, r12vrr_stack+32676, r12vrr_stack+31731, NULL, NULL, r12vrr_stack+21471);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+32896, r12vrr_stack+32731, r12vrr_stack+45051, r12vrr_stack+32676, r12vrr_stack+31731, r12vrr_stack+32271);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+47801, r12vrr_stack+32896, r12vrr_stack+45216, r12vrr_stack+32731, r12vrr_stack+45051, r12vrr_stack+32406);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48351, r12vrr_stack+47801, r12vrr_stack+46426, r12vrr_stack+32896, r12vrr_stack+45216, r12vrr_stack+33531);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33226, r12vrr_stack+22011, r12vrr_stack+22983, r12vrr_stack+13743, r12vrr_stack+14631, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33281, r12vrr_stack+9232, r12vrr_stack+33226, NULL, NULL, r12vrr_stack+22011);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33446, r12vrr_stack+31786, r12vrr_stack+33281, r12vrr_stack+23543, r12vrr_stack+9232, r12vrr_stack+22056);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31951, r12vrr_stack+45546, r12vrr_stack+33446, r12vrr_stack+23598, r12vrr_stack+31786, r12vrr_stack+22677);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+49176, r12vrr_stack+45876, r12vrr_stack+31951, r12vrr_stack+44721, r12vrr_stack+45546, r12vrr_stack+35331);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+50001, r12vrr_stack+46976, r12vrr_stack+49176, r12vrr_stack+46426, r12vrr_stack+45876, r12vrr_stack+35781);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51156, r12vrr_stack+48351, r12vrr_stack+46976, r12vrr_stack+47801, r12vrr_stack+46426, r12vrr_stack+33981);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52311, r12vrr_stack+51156, r12vrr_stack+50001, r12vrr_stack+48351, r12vrr_stack+46976, r12vrr_stack+36456);
 tmp = r12vrr_stack + 52311;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9081, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+201, r12vrr_stack+3, r12vrr_stack+9081, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+33776, r12vrr_stack+22191, r12vrr_stack+201, r12vrr_stack+13887, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+33786, r12vrr_stack+22197, r12vrr_stack+33776, r12vrr_stack+13890, r12vrr_stack+22191, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33801, r12vrr_stack+22207, r12vrr_stack+33786, r12vrr_stack+13896, r12vrr_stack+22197, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+33822, r12vrr_stack+767, r12vrr_stack+33801, r12vrr_stack+795, r12vrr_stack+22207, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13491, r12vrr_stack+7506, r12vrr_stack+33822, r12vrr_stack+810, r12vrr_stack+767, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33850, r12vrr_stack+22947, r12vrr_stack+13491, r12vrr_stack+831, r12vrr_stack+7506, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33895, r12vrr_stack+22983, r12vrr_stack+33850, r12vrr_stack+14631, r12vrr_stack+22947, NULL);

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33950, r12vrr_stack+33226, r12vrr_stack+33895, NULL, NULL, r12vrr_stack+22983);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+34115, r12vrr_stack+33281, r12vrr_stack+33950, r12vrr_stack+9232, r12vrr_stack+33226, r12vrr_stack+23028);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+53851, r12vrr_stack+33446, r12vrr_stack+34115, r12vrr_stack+31786, r12vrr_stack+33281, r12vrr_stack+23163);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+54401, r12vrr_stack+31951, r12vrr_stack+53851, r12vrr_stack+45546, r12vrr_stack+33446, r12vrr_stack+39606);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+55226, r12vrr_stack+49176, r12vrr_stack+54401, r12vrr_stack+45876, r12vrr_stack+31951, r12vrr_stack+40056);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+56381, r12vrr_stack+50001, r12vrr_stack+55226, r12vrr_stack+46976, r12vrr_stack+49176, r12vrr_stack+40731);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+57921, r12vrr_stack+52311, r12vrr_stack+56381, r12vrr_stack+51156, r12vrr_stack+50001, r12vrr_stack+41676);
 tmp = r12vrr_stack + 57921;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1744, r12vrr_stack+23433, r12vrr_stack+23543, r12vrr_stack+14991, r12vrr_stack+15081, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+34445, r12vrr_stack+23488, r12vrr_stack+23433, r12vrr_stack+15036, r12vrr_stack+14991, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+34511, r12vrr_stack+23543, r12vrr_stack+9232, r12vrr_stack+15081, r12vrr_stack+21516, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2566, r12vrr_stack+1744, r12vrr_stack+34511, NULL, NULL, r12vrr_stack+23543);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59901, r12vrr_stack+34445, r12vrr_stack+1744, NULL, NULL, r12vrr_stack+23433);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60099, r12vrr_stack+59901, r12vrr_stack+2566, r12vrr_stack+34445, r12vrr_stack+1744, r12vrr_stack+23598);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+23598, r12vrr_stack+31731, r12vrr_stack+23488, r12vrr_stack+21471, r12vrr_stack+15036, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60495, r12vrr_stack+23598, r12vrr_stack+34445, NULL, NULL, r12vrr_stack+23488);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60693, r12vrr_stack+60495, r12vrr_stack+59901, r12vrr_stack+23598, r12vrr_stack+34445, r12vrr_stack+44556);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44556, r12vrr_stack+9232, r12vrr_stack+33226, r12vrr_stack+21516, r12vrr_stack+22011, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61089, r12vrr_stack+34511, r12vrr_stack+44556, NULL, NULL, r12vrr_stack+9232);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61287, r12vrr_stack+2566, r12vrr_stack+61089, r12vrr_stack+1744, r12vrr_stack+34511, r12vrr_stack+31786);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61683, r12vrr_stack+60099, r12vrr_stack+61287, r12vrr_stack+59901, r12vrr_stack+2566, r12vrr_stack+45546);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+62343, r12vrr_stack+60693, r12vrr_stack+60099, r12vrr_stack+60495, r12vrr_stack+59901, r12vrr_stack+44721);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63003, r12vrr_stack+62343, r12vrr_stack+61683, r12vrr_stack+60693, r12vrr_stack+60099, r12vrr_stack+45876);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45546, r12vrr_stack+32676, r12vrr_stack+31731, r12vrr_stack+22227, r12vrr_stack+21471, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45612, r12vrr_stack+45546, r12vrr_stack+23598, NULL, NULL, r12vrr_stack+31731);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+45810, r12vrr_stack+45612, r12vrr_stack+60495, r12vrr_stack+45546, r12vrr_stack+23598, r12vrr_stack+45051);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63993, r12vrr_stack+45810, r12vrr_stack+60693, r12vrr_stack+45612, r12vrr_stack+60495, r12vrr_stack+45216);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+64653, r12vrr_stack+63993, r12vrr_stack+62343, r12vrr_stack+45810, r12vrr_stack+60693, r12vrr_stack+46426);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+21471, r12vrr_stack+33226, r12vrr_stack+33895, r12vrr_stack+22011, r12vrr_stack+22983, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46206, r12vrr_stack+44556, r12vrr_stack+21471, NULL, NULL, r12vrr_stack+33226);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46404, r12vrr_stack+61089, r12vrr_stack+46206, r12vrr_stack+34511, r12vrr_stack+44556, r12vrr_stack+33281);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44622, r12vrr_stack+61287, r12vrr_stack+46404, r12vrr_stack+2566, r12vrr_stack+61089, r12vrr_stack+33446);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+65643, r12vrr_stack+61683, r12vrr_stack+44622, r12vrr_stack+60099, r12vrr_stack+61287, r12vrr_stack+31951);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+66633, r12vrr_stack+63003, r12vrr_stack+65643, r12vrr_stack+62343, r12vrr_stack+61683, r12vrr_stack+49176);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68019, r12vrr_stack+64653, r12vrr_stack+63003, r12vrr_stack+63993, r12vrr_stack+62343, r12vrr_stack+46976);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+69405, r12vrr_stack+68019, r12vrr_stack+66633, r12vrr_stack+64653, r12vrr_stack+63003, r12vrr_stack+50001);
 tmp = r12vrr_stack + 69405;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+21537, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+21540, r12vrr_stack+9081, r12vrr_stack+21537, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+21546, r12vrr_stack+201, r12vrr_stack+21540, r12vrr_stack+3, r12vrr_stack+9081, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+46800, r12vrr_stack+33776, r12vrr_stack+21546, r12vrr_stack+22191, r12vrr_stack+201, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+46815, r12vrr_stack+33786, r12vrr_stack+46800, r12vrr_stack+22197, r12vrr_stack+33776, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+46836, r12vrr_stack+33801, r12vrr_stack+46815, r12vrr_stack+22207, r12vrr_stack+33786, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22191, r12vrr_stack+33822, r12vrr_stack+46836, r12vrr_stack+767, r12vrr_stack+33801, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+46864, r12vrr_stack+13491, r12vrr_stack+22191, r12vrr_stack+7506, r12vrr_stack+33822, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46909, r12vrr_stack+33850, r12vrr_stack+46864, r12vrr_stack+22947, r12vrr_stack+13491, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+46964, r12vrr_stack+33895, r12vrr_stack+46909, r12vrr_stack+22983, r12vrr_stack+33850, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+47030, r12vrr_stack+21471, r12vrr_stack+46964, NULL, NULL, r12vrr_stack+33895);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+47228, r12vrr_stack+46206, r12vrr_stack+47030, r12vrr_stack+44556, r12vrr_stack+21471, r12vrr_stack+33950);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71253, r12vrr_stack+46404, r12vrr_stack+47228, r12vrr_stack+61089, r12vrr_stack+46206, r12vrr_stack+34115);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71913, r12vrr_stack+44622, r12vrr_stack+71253, r12vrr_stack+61287, r12vrr_stack+46404, r12vrr_stack+53851);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+72903, r12vrr_stack+65643, r12vrr_stack+71913, r12vrr_stack+61683, r12vrr_stack+44622, r12vrr_stack+54401);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+74289, r12vrr_stack+66633, r12vrr_stack+72903, r12vrr_stack+63003, r12vrr_stack+65643, r12vrr_stack+55226);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+76137, r12vrr_stack+69405, r12vrr_stack+74289, r12vrr_stack+68019, r12vrr_stack+66633, r12vrr_stack+56381);
 tmp = r12vrr_stack + 76137;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+47624, r12vrr_stack+1744, r12vrr_stack+34511, r12vrr_stack+23433, r12vrr_stack+23543, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+47702, r12vrr_stack+34445, r12vrr_stack+1744, r12vrr_stack+23488, r12vrr_stack+23433, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+31786, r12vrr_stack+34511, r12vrr_stack+44556, r12vrr_stack+23543, r12vrr_stack+9232, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45282, r12vrr_stack+47624, r12vrr_stack+31786, NULL, NULL, r12vrr_stack+34511);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78513, r12vrr_stack+47702, r12vrr_stack+47624, NULL, NULL, r12vrr_stack+1744);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78747, r12vrr_stack+78513, r12vrr_stack+45282, r12vrr_stack+47702, r12vrr_stack+47624, r12vrr_stack+2566);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+2566, r12vrr_stack+23598, r12vrr_stack+34445, r12vrr_stack+31731, r12vrr_stack+23488, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79215, r12vrr_stack+2566, r12vrr_stack+47702, NULL, NULL, r12vrr_stack+34445);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79449, r12vrr_stack+79215, r12vrr_stack+78513, r12vrr_stack+2566, r12vrr_stack+47702, r12vrr_stack+59901);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59901, r12vrr_stack+44556, r12vrr_stack+21471, r12vrr_stack+9232, r12vrr_stack+33226, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79917, r12vrr_stack+31786, r12vrr_stack+59901, NULL, NULL, r12vrr_stack+44556);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+80151, r12vrr_stack+45282, r12vrr_stack+79917, r12vrr_stack+47624, r12vrr_stack+31786, r12vrr_stack+61089);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+80619, r12vrr_stack+78747, r12vrr_stack+80151, r12vrr_stack+78513, r12vrr_stack+45282, r12vrr_stack+61287);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81399, r12vrr_stack+79449, r12vrr_stack+78747, r12vrr_stack+79215, r12vrr_stack+78513, r12vrr_stack+60099);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+82179, r12vrr_stack+81399, r12vrr_stack+80619, r12vrr_stack+79449, r12vrr_stack+78747, r12vrr_stack+61683);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78513, r12vrr_stack+45546, r12vrr_stack+23598, r12vrr_stack+32676, r12vrr_stack+31731, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+61089, r12vrr_stack+78513, r12vrr_stack+2566, NULL, NULL, r12vrr_stack+23598);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+61323, r12vrr_stack+61089, r12vrr_stack+79215, r12vrr_stack+78513, r12vrr_stack+2566, r12vrr_stack+60495);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83349, r12vrr_stack+61323, r12vrr_stack+79449, r12vrr_stack+61089, r12vrr_stack+79215, r12vrr_stack+60693);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59979, r12vrr_stack+83349, r12vrr_stack+81399, r12vrr_stack+61323, r12vrr_stack+79449, r12vrr_stack+62343);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79215, r12vrr_stack+21471, r12vrr_stack+46964, r12vrr_stack+33226, r12vrr_stack+33895, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78513, r12vrr_stack+59901, r12vrr_stack+79215, NULL, NULL, r12vrr_stack+21471);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79293, r12vrr_stack+79917, r12vrr_stack+78513, r12vrr_stack+31786, r12vrr_stack+59901, r12vrr_stack+46206);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+61149, r12vrr_stack+80151, r12vrr_stack+79293, r12vrr_stack+45282, r12vrr_stack+79917, r12vrr_stack+46404);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+84129, r12vrr_stack+80619, r12vrr_stack+61149, r12vrr_stack+78747, r12vrr_stack+80151, r12vrr_stack+44622);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+85299, r12vrr_stack+82179, r12vrr_stack+84129, r12vrr_stack+81399, r12vrr_stack+80619, r12vrr_stack+65643);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+86937, r12vrr_stack+59979, r12vrr_stack+82179, r12vrr_stack+83349, r12vrr_stack+81399, r12vrr_stack+63003);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+88575, r12vrr_stack+86937, r12vrr_stack+85299, r12vrr_stack+59979, r12vrr_stack+82179, r12vrr_stack+66633);
 tmp = r12vrr_stack + 88575;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+59979, r12vrr_stack+1044, r12vrr_stack+3, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+59985, r12vrr_stack+1047, r12vrr_stack+59979, r12vrr_stack+0, r12vrr_stack+1044, NULL);

 /*--- compute (g0|00)^4 ---*/
 _BUILD_g000(Data,r12vrr_stack+59995, r12vrr_stack+1053, r12vrr_stack+59985, r12vrr_stack+6, r12vrr_stack+1047, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+18, r12vrr_stack+30, r12vrr_stack+207, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+60010, r12vrr_stack+1063, r12vrr_stack+18, r12vrr_stack+39, r12vrr_stack+30, r12vrr_stack+3);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+414, r12vrr_stack+749, r12vrr_stack+60010, r12vrr_stack+42, r12vrr_stack+1063, r12vrr_stack+59979);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+60028, r12vrr_stack+594, r12vrr_stack+414, r12vrr_stack+51, r12vrr_stack+749, r12vrr_stack+59985);

 /*--- compute (h0|p0)^3 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+2104, r12vrr_stack+4699, r12vrr_stack+60028, r12vrr_stack+87, r12vrr_stack+594, r12vrr_stack+59995);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+216, r12vrr_stack+153, NULL, NULL, r12vrr_stack+207);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+105, r12vrr_stack+69, r12vrr_stack+87, r12vrr_stack+33, r12vrr_stack+216, r12vrr_stack+18);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+60073, r12vrr_stack+4744, r12vrr_stack+105, r12vrr_stack+270, r12vrr_stack+69, r12vrr_stack+60010);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+60133, r12vrr_stack+4780, r12vrr_stack+60073, r12vrr_stack+288, r12vrr_stack+4744, r12vrr_stack+414);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+60223, r12vrr_stack+4840, r12vrr_stack+60133, r12vrr_stack+324, r12vrr_stack+4780, r12vrr_stack+60028);

 /*--- compute (i0|d0)^2 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+60349, r12vrr_stack+4930, r12vrr_stack+60223, r12vrr_stack+444, r12vrr_stack+4840, r12vrr_stack+2104);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+444, r12vrr_stack+884, r12vrr_stack+1390, NULL, NULL, r12vrr_stack+153);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+474, r12vrr_stack+384, r12vrr_stack+444, r12vrr_stack+222, r12vrr_stack+884, r12vrr_stack+87);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+60517, r12vrr_stack+5056, r12vrr_stack+474, r12vrr_stack+232, r12vrr_stack+384, r12vrr_stack+105);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+222, r12vrr_stack+5116, r12vrr_stack+60517, r12vrr_stack+1074, r12vrr_stack+5056, r12vrr_stack+60073);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60617, r12vrr_stack+5216, r12vrr_stack+222, r12vrr_stack+1134, r12vrr_stack+5116, r12vrr_stack+60133);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60827, r12vrr_stack+5366, r12vrr_stack+60617, r12vrr_stack+1234, r12vrr_stack+5216, r12vrr_stack+60223);

 /*--- compute (k0|f0)^1 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+81399, r12vrr_stack+5576, r12vrr_stack+60827, r12vrr_stack+1534, r12vrr_stack+5366, r12vrr_stack+60349);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+534, r12vrr_stack+1400, r12vrr_stack+165, NULL, NULL, r12vrr_stack+1390);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+81759, r12vrr_stack+1415, r12vrr_stack+534, r12vrr_stack+894, r12vrr_stack+1400, r12vrr_stack+444);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+81849, r12vrr_stack+634, r12vrr_stack+81759, r12vrr_stack+909, r12vrr_stack+1415, r12vrr_stack+474);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+83349, r12vrr_stack+5856, r12vrr_stack+81849, r12vrr_stack+954, r12vrr_stack+634, r12vrr_stack+60517);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+83574, r12vrr_stack+6006, r12vrr_stack+83349, r12vrr_stack+3274, r12vrr_stack+5856, r12vrr_stack+222);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+78747, r12vrr_stack+6231, r12vrr_stack+83574, r12vrr_stack+3424, r12vrr_stack+6006, r12vrr_stack+60617);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+61929, r12vrr_stack+6546, r12vrr_stack+78747, r12vrr_stack+3649, r12vrr_stack+6231, r12vrr_stack+60827);

 /*--- compute (l0|g0)^0 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+3274, r12vrr_stack+6966, r12vrr_stack+61929, r12vrr_stack+4279, r12vrr_stack+6546, r12vrr_stack+81399);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+894, r12vrr_stack+180, r12vrr_stack+9099, NULL, NULL, r12vrr_stack+165);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+81999, r12vrr_stack+1915, r12vrr_stack+894, r12vrr_stack+1810, r12vrr_stack+180, r12vrr_stack+534);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+83889, r12vrr_stack+1978, r12vrr_stack+81999, r12vrr_stack+1831, r12vrr_stack+1915, r12vrr_stack+81759);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+62469, r12vrr_stack+2356, r12vrr_stack+83889, r12vrr_stack+8430, r12vrr_stack+1978, r12vrr_stack+81849);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+62784, r12vrr_stack+10803, r12vrr_stack+62469, r12vrr_stack+8556, r12vrr_stack+2356, r12vrr_stack+83349);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+63225, r12vrr_stack+11118, r12vrr_stack+62784, r12vrr_stack+8766, r12vrr_stack+10803, r12vrr_stack+83574);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+90759, r12vrr_stack+11559, r12vrr_stack+63225, r12vrr_stack+9396, r12vrr_stack+11118, r12vrr_stack+78747);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+91515, r12vrr_stack+12735, r12vrr_stack+90759, r12vrr_stack+12147, r12vrr_stack+11559, r12vrr_stack+61929);
 tmp = r12vrr_stack + 91515;
 target_ptr = Libr12->gvrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+957, r12vrr_stack+9120, r12vrr_stack+831, NULL, NULL, r12vrr_stack+9099);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+45282, r12vrr_stack+9148, r12vrr_stack+957, r12vrr_stack+8094, r12vrr_stack+9120, r12vrr_stack+894);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9232, r12vrr_stack+18223, r12vrr_stack+45282, r12vrr_stack+8122, r12vrr_stack+9148, r12vrr_stack+81999);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1460, r12vrr_stack+18391, r12vrr_stack+9232, r12vrr_stack+8206, r12vrr_stack+18223, r12vrr_stack+83889);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8094, r12vrr_stack+18671, r12vrr_stack+1460, r12vrr_stack+15563, r12vrr_stack+18391, r12vrr_stack+62469);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+92460, r12vrr_stack+19091, r12vrr_stack+8094, r12vrr_stack+15843, r12vrr_stack+18671, r12vrr_stack+62784);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93244, r12vrr_stack+19679, r12vrr_stack+92460, r12vrr_stack+16263, r12vrr_stack+19091, r12vrr_stack+63225);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15563, r12vrr_stack+20463, r12vrr_stack+93244, r12vrr_stack+17439, r12vrr_stack+19679, r12vrr_stack+90759);
 tmp = r12vrr_stack + 15563;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8682, r12vrr_stack+14631, r12vrr_stack+22947, NULL, NULL, r12vrr_stack+831);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+8790, r12vrr_stack+14667, r12vrr_stack+8682, r12vrr_stack+13743, r12vrr_stack+14631, r12vrr_stack+957);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23433, r12vrr_stack+14775, r12vrr_stack+8790, r12vrr_stack+13779, r12vrr_stack+14667, r12vrr_stack+45282);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+94252, r12vrr_stack+27771, r12vrr_stack+23433, r12vrr_stack+14415, r12vrr_stack+14775, r12vrr_stack+9232);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+94792, r12vrr_stack+28131, r12vrr_stack+94252, r12vrr_stack+24351, r12vrr_stack+27771, r12vrr_stack+1460);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+95548, r12vrr_stack+28671, r12vrr_stack+94792, r12vrr_stack+24711, r12vrr_stack+28131, r12vrr_stack+8094);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+96556, r12vrr_stack+29427, r12vrr_stack+95548, r12vrr_stack+25251, r12vrr_stack+28671, r12vrr_stack+92460);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24351, r12vrr_stack+30435, r12vrr_stack+96556, r12vrr_stack+26763, r12vrr_stack+29427, r12vrr_stack+93244);
 tmp = r12vrr_stack + 24351;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14415, r12vrr_stack+22983, r12vrr_stack+33850, NULL, NULL, r12vrr_stack+22947);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+9512, r12vrr_stack+23028, r12vrr_stack+14415, r12vrr_stack+22011, r12vrr_stack+22983, r12vrr_stack+8682);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+97852, r12vrr_stack+23163, r12vrr_stack+9512, r12vrr_stack+22056, r12vrr_stack+23028, r12vrr_stack+8790);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+98302, r12vrr_stack+39606, r12vrr_stack+97852, r12vrr_stack+22677, r12vrr_stack+23163, r12vrr_stack+23433);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+98977, r12vrr_stack+40056, r12vrr_stack+98302, r12vrr_stack+35331, r12vrr_stack+39606, r12vrr_stack+94252);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+99922, r12vrr_stack+40731, r12vrr_stack+98977, r12vrr_stack+35781, r12vrr_stack+40056, r12vrr_stack+94792);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+101182, r12vrr_stack+41676, r12vrr_stack+99922, r12vrr_stack+36456, r12vrr_stack+40731, r12vrr_stack+95548);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35331, r12vrr_stack+42936, r12vrr_stack+101182, r12vrr_stack+38346, r12vrr_stack+41676, r12vrr_stack+96556);
 tmp = r12vrr_stack + 35331;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22677, r12vrr_stack+33895, r12vrr_stack+46909, NULL, NULL, r12vrr_stack+33850);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+102802, r12vrr_stack+33950, r12vrr_stack+22677, r12vrr_stack+33226, r12vrr_stack+33895, r12vrr_stack+14415);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+103132, r12vrr_stack+34115, r12vrr_stack+102802, r12vrr_stack+33281, r12vrr_stack+33950, r12vrr_stack+9512);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+103682, r12vrr_stack+53851, r12vrr_stack+103132, r12vrr_stack+33446, r12vrr_stack+34115, r12vrr_stack+97852);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+104507, r12vrr_stack+54401, r12vrr_stack+103682, r12vrr_stack+31951, r12vrr_stack+53851, r12vrr_stack+98302);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+105662, r12vrr_stack+55226, r12vrr_stack+104507, r12vrr_stack+49176, r12vrr_stack+54401, r12vrr_stack+98977);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+107202, r12vrr_stack+56381, r12vrr_stack+105662, r12vrr_stack+50001, r12vrr_stack+55226, r12vrr_stack+99922);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+109182, r12vrr_stack+57921, r12vrr_stack+107202, r12vrr_stack+52311, r12vrr_stack+56381, r12vrr_stack+101182);
 tmp = r12vrr_stack + 109182;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1041, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+6, r12vrr_stack+21537, r12vrr_stack+1041, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+49176, r12vrr_stack+21540, r12vrr_stack+6, r12vrr_stack+9081, r12vrr_stack+21537, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3949, r12vrr_stack+21546, r12vrr_stack+49176, r12vrr_stack+201, r12vrr_stack+21540, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+49186, r12vrr_stack+46800, r12vrr_stack+3949, r12vrr_stack+33776, r12vrr_stack+21546, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16823, r12vrr_stack+46815, r12vrr_stack+49186, r12vrr_stack+33786, r12vrr_stack+46800, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25971, r12vrr_stack+46836, r12vrr_stack+16823, r12vrr_stack+33801, r12vrr_stack+46815, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37356, r12vrr_stack+22191, r12vrr_stack+25971, r12vrr_stack+33822, r12vrr_stack+46836, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+9782, r12vrr_stack+46864, r12vrr_stack+37356, r12vrr_stack+13491, r12vrr_stack+22191, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44556, r12vrr_stack+46909, r12vrr_stack+9782, r12vrr_stack+33850, r12vrr_stack+46864, NULL);

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+2566, r12vrr_stack+46964, r12vrr_stack+44556, NULL, NULL, r12vrr_stack+46909);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+49207, r12vrr_stack+47030, r12vrr_stack+2566, r12vrr_stack+21471, r12vrr_stack+46964, r12vrr_stack+22677);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+49603, r12vrr_stack+47228, r12vrr_stack+49207, r12vrr_stack+46206, r12vrr_stack+47030, r12vrr_stack+102802);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+111657, r12vrr_stack+71253, r12vrr_stack+49603, r12vrr_stack+46404, r12vrr_stack+47228, r12vrr_stack+103132);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+112647, r12vrr_stack+71913, r12vrr_stack+111657, r12vrr_stack+44622, r12vrr_stack+71253, r12vrr_stack+103682);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+114033, r12vrr_stack+72903, r12vrr_stack+112647, r12vrr_stack+65643, r12vrr_stack+71913, r12vrr_stack+104507);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+115881, r12vrr_stack+74289, r12vrr_stack+114033, r12vrr_stack+66633, r12vrr_stack+72903, r12vrr_stack+105662);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+118257, r12vrr_stack+76137, r12vrr_stack+115881, r12vrr_stack+69405, r12vrr_stack+74289, r12vrr_stack+107202);
 tmp = r12vrr_stack + 118257;
 target_ptr = Libr12->gvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+9006, r12vrr_stack+46964, r12vrr_stack+44556, r12vrr_stack+33895, r12vrr_stack+46909, NULL);

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+65643, r12vrr_stack+79215, r12vrr_stack+9006, NULL, NULL, r12vrr_stack+46964);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+65877, r12vrr_stack+78513, r12vrr_stack+65643, r12vrr_stack+59901, r12vrr_stack+79215, r12vrr_stack+47030);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+66345, r12vrr_stack+79293, r12vrr_stack+65877, r12vrr_stack+79917, r12vrr_stack+78513, r12vrr_stack+47228);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+121227, r12vrr_stack+61149, r12vrr_stack+66345, r12vrr_stack+80151, r12vrr_stack+79293, r12vrr_stack+71253);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+122397, r12vrr_stack+84129, r12vrr_stack+121227, r12vrr_stack+80619, r12vrr_stack+61149, r12vrr_stack+71913);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+124035, r12vrr_stack+85299, r12vrr_stack+122397, r12vrr_stack+82179, r12vrr_stack+84129, r12vrr_stack+72903);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+126219, r12vrr_stack+88575, r12vrr_stack+124035, r12vrr_stack+86937, r12vrr_stack+85299, r12vrr_stack+74289);
 tmp = r12vrr_stack + 126219;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^8 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (d0|00)^7 ---*/
 _BUILD_d000(Data,r12vrr_stack+201, r12vrr_stack+3, r12vrr_stack+0, Data->F+7, Data->F+8, NULL);

 /*--- compute (f0|00)^6 ---*/
 _BUILD_f000(Data,r12vrr_stack+59901, r12vrr_stack+59979, r12vrr_stack+201, r12vrr_stack+1044, r12vrr_stack+3, NULL);

 /*--- compute (g0|00)^5 ---*/
 _BUILD_g000(Data,r12vrr_stack+59911, r12vrr_stack+59985, r12vrr_stack+59901, r12vrr_stack+1047, r12vrr_stack+59979, NULL);

 /*--- compute (h0|00)^4 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+59926, r12vrr_stack+59995, r12vrr_stack+59911, r12vrr_stack+1053, r12vrr_stack+59985, NULL);

 /*--- compute (p0|p0)^8 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1044, r12vrr_stack+207, r12vrr_stack+27, NULL, NULL, Data->F+9);

 /*--- compute (d0|p0)^7 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+23793, r12vrr_stack+18, r12vrr_stack+1044, r12vrr_stack+30, r12vrr_stack+207, r12vrr_stack+0);

 /*--- compute (f0|p0)^6 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+84099, r12vrr_stack+60010, r12vrr_stack+23793, r12vrr_stack+1063, r12vrr_stack+18, r12vrr_stack+201);

 /*--- compute (g0|p0)^5 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+1053, r12vrr_stack+414, r12vrr_stack+84099, r12vrr_stack+749, r12vrr_stack+60010, r12vrr_stack+59901);

 /*--- compute (h0|p0)^4 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+1098, r12vrr_stack+60028, r12vrr_stack+1053, r12vrr_stack+594, r12vrr_stack+414, r12vrr_stack+59911);

 /*--- compute (i0|p0)^3 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+1161, r12vrr_stack+2104, r12vrr_stack+1098, r12vrr_stack+4699, r12vrr_stack+60028, r12vrr_stack+59926);

 /*--- compute (p0|d0)^8 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+749, r12vrr_stack+153, r12vrr_stack+1384, NULL, NULL, r12vrr_stack+27);

 /*--- compute (d0|d0)^7 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+4699, r12vrr_stack+87, r12vrr_stack+749, r12vrr_stack+216, r12vrr_stack+153, r12vrr_stack+1044);

 /*--- compute (f0|d0)^6 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1245, r12vrr_stack+105, r12vrr_stack+4699, r12vrr_stack+69, r12vrr_stack+87, r12vrr_stack+23793);

 /*--- compute (g0|d0)^5 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+67125, r12vrr_stack+60073, r12vrr_stack+1245, r12vrr_stack+4744, r12vrr_stack+105, r12vrr_stack+84099);

 /*--- compute (h0|d0)^4 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+67215, r12vrr_stack+60133, r12vrr_stack+67125, r12vrr_stack+4780, r12vrr_stack+60073, r12vrr_stack+1053);

 /*--- compute (i0|d0)^3 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+13743, r12vrr_stack+60223, r12vrr_stack+67215, r12vrr_stack+4840, r12vrr_stack+60133, r12vrr_stack+1098);

 /*--- compute (k0|d0)^2 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+67341, r12vrr_stack+60349, r12vrr_stack+13743, r12vrr_stack+4930, r12vrr_stack+60223, r12vrr_stack+1161);

 /*--- compute (p0|f0)^8 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+594, r12vrr_stack+1390, r12vrr_stack+584, NULL, NULL, r12vrr_stack+1384);

 /*--- compute (d0|f0)^7 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+4735, r12vrr_stack+444, r12vrr_stack+594, r12vrr_stack+884, r12vrr_stack+1390, r12vrr_stack+749);

 /*--- compute (f0|f0)^6 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+4795, r12vrr_stack+474, r12vrr_stack+4735, r12vrr_stack+384, r12vrr_stack+444, r12vrr_stack+4699);

 /*--- compute (g0|f0)^5 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+4895, r12vrr_stack+60517, r12vrr_stack+4795, r12vrr_stack+5056, r12vrr_stack+474, r12vrr_stack+1245);

 /*--- compute (h0|f0)^4 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+67557, r12vrr_stack+222, r12vrr_stack+4895, r12vrr_stack+5116, r12vrr_stack+60517, r12vrr_stack+67125);

 /*--- compute (i0|f0)^3 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+44622, r12vrr_stack+60617, r12vrr_stack+67557, r12vrr_stack+5216, r12vrr_stack+222, r12vrr_stack+67215);

 /*--- compute (k0|f0)^2 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+44902, r12vrr_stack+60827, r12vrr_stack+44622, r12vrr_stack+5366, r12vrr_stack+60617, r12vrr_stack+13743);

 /*--- compute (l0|f0)^1 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+5045, r12vrr_stack+81399, r12vrr_stack+44902, r12vrr_stack+5576, r12vrr_stack+60827, r12vrr_stack+67341);

 /*--- compute (p0|g0)^8 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+5495, r12vrr_stack+165, r12vrr_stack+9084, NULL, NULL, r12vrr_stack+584);

 /*--- compute (d0|g0)^7 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+5540, r12vrr_stack+534, r12vrr_stack+5495, r12vrr_stack+1400, r12vrr_stack+165, r12vrr_stack+594);

 /*--- compute (f0|g0)^6 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+5630, r12vrr_stack+81759, r12vrr_stack+5540, r12vrr_stack+1415, r12vrr_stack+534, r12vrr_stack+4735);

 /*--- compute (g0|g0)^5 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+67767, r12vrr_stack+81849, r12vrr_stack+5630, r12vrr_stack+634, r12vrr_stack+81759, r12vrr_stack+4795);

 /*--- compute (h0|g0)^4 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+46206, r12vrr_stack+83349, r12vrr_stack+67767, r12vrr_stack+5856, r12vrr_stack+81849, r12vrr_stack+4895);

 /*--- compute (i0|g0)^3 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+50263, r12vrr_stack+83574, r12vrr_stack+46206, r12vrr_stack+6006, r12vrr_stack+83349, r12vrr_stack+67557);

 /*--- compute (k0|g0)^2 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+33226, r12vrr_stack+78747, r12vrr_stack+50263, r12vrr_stack+6231, r12vrr_stack+83574, r12vrr_stack+44622);

 /*--- compute (l0|g0)^1 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+5780, r12vrr_stack+61929, r12vrr_stack+33226, r12vrr_stack+6546, r12vrr_stack+78747, r12vrr_stack+44902);

 /*--- compute (m0|g0)^0 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+82125, r12vrr_stack+3274, r12vrr_stack+5780, r12vrr_stack+6966, r12vrr_stack+61929, r12vrr_stack+5045);

 /*--- compute (p0|h0)^8 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+634, r12vrr_stack+9099, r12vrr_stack+810, NULL, NULL, r12vrr_stack+9084);

 /*--- compute (d0|h0)^7 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6455, r12vrr_stack+894, r12vrr_stack+634, r12vrr_stack+180, r12vrr_stack+9099, r12vrr_stack+5495);

 /*--- compute (f0|h0)^6 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6581, r12vrr_stack+81999, r12vrr_stack+6455, r12vrr_stack+1915, r12vrr_stack+894, r12vrr_stack+5540);

 /*--- compute (g0|h0)^5 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+50683, r12vrr_stack+83889, r12vrr_stack+6581, r12vrr_stack+1978, r12vrr_stack+81999, r12vrr_stack+5630);

 /*--- compute (h0|h0)^4 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+79761, r12vrr_stack+62469, r12vrr_stack+50683, r12vrr_stack+2356, r12vrr_stack+83889, r12vrr_stack+67767);

 /*--- compute (i0|h0)^3 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+80202, r12vrr_stack+62784, r12vrr_stack+79761, r12vrr_stack+10803, r12vrr_stack+62469, r12vrr_stack+46206);

 /*--- compute (k0|h0)^2 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31731, r12vrr_stack+63225, r12vrr_stack+80202, r12vrr_stack+11118, r12vrr_stack+62784, r12vrr_stack+50263);

 /*--- compute (l0|h0)^1 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+129027, r12vrr_stack+90759, r12vrr_stack+31731, r12vrr_stack+11559, r12vrr_stack+63225, r12vrr_stack+33226);

 /*--- compute (m0|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10803, r12vrr_stack+91515, r12vrr_stack+129027, r12vrr_stack+12735, r12vrr_stack+90759, r12vrr_stack+5780);
 tmp = r12vrr_stack + 10803;
 target_ptr = Libr12->gvrr_classes[9][5];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^8 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11958, r12vrr_stack+831, r12vrr_stack+7506, NULL, NULL, r12vrr_stack+810);

 /*--- compute (d0|i0)^7 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2356, r12vrr_stack+957, r12vrr_stack+11958, r12vrr_stack+9120, r12vrr_stack+831, r12vrr_stack+634);

 /*--- compute (f0|i0)^6 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+82950, r12vrr_stack+45282, r12vrr_stack+2356, r12vrr_stack+9148, r12vrr_stack+957, r12vrr_stack+6455);

 /*--- compute (g0|i0)^5 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+80790, r12vrr_stack+9232, r12vrr_stack+82950, r12vrr_stack+18223, r12vrr_stack+45282, r12vrr_stack+6581);

 /*--- compute (h0|i0)^4 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+129972, r12vrr_stack+1460, r12vrr_stack+80790, r12vrr_stack+18391, r12vrr_stack+9232, r12vrr_stack+50683);

 /*--- compute (i0|i0)^3 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+130560, r12vrr_stack+8094, r12vrr_stack+129972, r12vrr_stack+18671, r12vrr_stack+1460, r12vrr_stack+79761);

 /*--- compute (k0|i0)^2 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+131344, r12vrr_stack+92460, r12vrr_stack+130560, r12vrr_stack+19091, r12vrr_stack+8094, r12vrr_stack+80202);

 /*--- compute (l0|i0)^1 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18223, r12vrr_stack+93244, r12vrr_stack+131344, r12vrr_stack+19679, r12vrr_stack+92460, r12vrr_stack+31731);

 /*--- compute (m0|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+132352, r12vrr_stack+15563, r12vrr_stack+18223, r12vrr_stack+20463, r12vrr_stack+93244, r12vrr_stack+129027);
 tmp = r12vrr_stack + 132352;
 target_ptr = Libr12->gvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^8 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19483, r12vrr_stack+22947, r12vrr_stack+13491, NULL, NULL, r12vrr_stack+7506);

 /*--- compute (d0|k0)^7 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19591, r12vrr_stack+8682, r12vrr_stack+19483, r12vrr_stack+14631, r12vrr_stack+22947, r12vrr_stack+11958);

 /*--- compute (f0|k0)^6 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19807, r12vrr_stack+8790, r12vrr_stack+19591, r12vrr_stack+14667, r12vrr_stack+8682, r12vrr_stack+2356);

 /*--- compute (g0|k0)^5 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+133892, r12vrr_stack+23433, r12vrr_stack+19807, r12vrr_stack+14775, r12vrr_stack+8790, r12vrr_stack+82950);

 /*--- compute (h0|k0)^4 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+134432, r12vrr_stack+94252, r12vrr_stack+133892, r12vrr_stack+27771, r12vrr_stack+23433, r12vrr_stack+80790);

 /*--- compute (i0|k0)^3 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+135188, r12vrr_stack+94792, r12vrr_stack+134432, r12vrr_stack+28131, r12vrr_stack+94252, r12vrr_stack+129972);

 /*--- compute (k0|k0)^2 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+136196, r12vrr_stack+95548, r12vrr_stack+135188, r12vrr_stack+28671, r12vrr_stack+94792, r12vrr_stack+130560);

 /*--- compute (l0|k0)^1 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27771, r12vrr_stack+96556, r12vrr_stack+136196, r12vrr_stack+29427, r12vrr_stack+95548, r12vrr_stack+131344);

 /*--- compute (m0|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+137492, r12vrr_stack+24351, r12vrr_stack+27771, r12vrr_stack+30435, r12vrr_stack+96556, r12vrr_stack+18223);
 tmp = r12vrr_stack + 137492;
 target_ptr = Libr12->gvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^8 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29391, r12vrr_stack+33850, r12vrr_stack+46864, NULL, NULL, r12vrr_stack+13491);

 /*--- compute (d0|l0)^7 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29526, r12vrr_stack+14415, r12vrr_stack+29391, r12vrr_stack+22983, r12vrr_stack+33850, r12vrr_stack+19483);

 /*--- compute (f0|l0)^6 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29796, r12vrr_stack+9512, r12vrr_stack+29526, r12vrr_stack+23028, r12vrr_stack+14415, r12vrr_stack+19591);

 /*--- compute (g0|l0)^5 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+139472, r12vrr_stack+97852, r12vrr_stack+29796, r12vrr_stack+23163, r12vrr_stack+9512, r12vrr_stack+19807);

 /*--- compute (h0|l0)^4 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+140147, r12vrr_stack+98302, r12vrr_stack+139472, r12vrr_stack+39606, r12vrr_stack+97852, r12vrr_stack+133892);

 /*--- compute (i0|l0)^3 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+141092, r12vrr_stack+98977, r12vrr_stack+140147, r12vrr_stack+40056, r12vrr_stack+98302, r12vrr_stack+134432);

 /*--- compute (k0|l0)^2 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+142352, r12vrr_stack+99922, r12vrr_stack+141092, r12vrr_stack+40731, r12vrr_stack+98977, r12vrr_stack+135188);

 /*--- compute (l0|l0)^1 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39606, r12vrr_stack+101182, r12vrr_stack+142352, r12vrr_stack+41676, r12vrr_stack+99922, r12vrr_stack+136196);

 /*--- compute (m0|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+143972, r12vrr_stack+35331, r12vrr_stack+39606, r12vrr_stack+42936, r12vrr_stack+101182, r12vrr_stack+27771);
 tmp = r12vrr_stack + 143972;
 target_ptr = Libr12->gvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^8 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41631, r12vrr_stack+46909, r12vrr_stack+9782, NULL, NULL, r12vrr_stack+46864);

 /*--- compute (d0|m0)^7 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41796, r12vrr_stack+22677, r12vrr_stack+41631, r12vrr_stack+33895, r12vrr_stack+46909, r12vrr_stack+29391);

 /*--- compute (f0|m0)^6 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42126, r12vrr_stack+102802, r12vrr_stack+41796, r12vrr_stack+33950, r12vrr_stack+22677, r12vrr_stack+29526);

 /*--- compute (g0|m0)^5 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+146447, r12vrr_stack+103132, r12vrr_stack+42126, r12vrr_stack+34115, r12vrr_stack+102802, r12vrr_stack+29796);

 /*--- compute (h0|m0)^4 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+147272, r12vrr_stack+103682, r12vrr_stack+146447, r12vrr_stack+53851, r12vrr_stack+103132, r12vrr_stack+139472);

 /*--- compute (i0|m0)^3 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+148427, r12vrr_stack+104507, r12vrr_stack+147272, r12vrr_stack+54401, r12vrr_stack+103682, r12vrr_stack+140147);

 /*--- compute (k0|m0)^2 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+149967, r12vrr_stack+105662, r12vrr_stack+148427, r12vrr_stack+55226, r12vrr_stack+104507, r12vrr_stack+141092);

 /*--- compute (l0|m0)^1 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+53851, r12vrr_stack+107202, r12vrr_stack+149967, r12vrr_stack+56381, r12vrr_stack+105662, r12vrr_stack+142352);

 /*--- compute (m0|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+151947, r12vrr_stack+109182, r12vrr_stack+53851, r12vrr_stack+57921, r12vrr_stack+107202, r12vrr_stack+39606);
 tmp = r12vrr_stack + 151947;
 target_ptr = Libr12->gvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+56326, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+216, r12vrr_stack+1041, r12vrr_stack+56326, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+56329, r12vrr_stack+6, r12vrr_stack+216, r12vrr_stack+21537, r12vrr_stack+1041, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+56339, r12vrr_stack+49176, r12vrr_stack+56329, r12vrr_stack+21540, r12vrr_stack+6, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+180, r12vrr_stack+3949, r12vrr_stack+56339, r12vrr_stack+21546, r12vrr_stack+49176, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+56354, r12vrr_stack+49186, r12vrr_stack+180, r12vrr_stack+46800, r12vrr_stack+3949, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+56382, r12vrr_stack+16823, r12vrr_stack+56354, r12vrr_stack+46815, r12vrr_stack+49186, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+56418, r12vrr_stack+25971, r12vrr_stack+56382, r12vrr_stack+46836, r12vrr_stack+16823, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+56463, r12vrr_stack+37356, r12vrr_stack+56418, r12vrr_stack+22191, r12vrr_stack+25971, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+56518, r12vrr_stack+9782, r12vrr_stack+56463, r12vrr_stack+46864, r12vrr_stack+37356, NULL);

 /*--- compute (p0|n0)^8 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+56584, r12vrr_stack+44556, r12vrr_stack+56518, NULL, NULL, r12vrr_stack+9782);

 /*--- compute (d0|n0)^7 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+56782, r12vrr_stack+2566, r12vrr_stack+56584, r12vrr_stack+46964, r12vrr_stack+44556, r12vrr_stack+41631);

 /*--- compute (f0|n0)^6 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57178, r12vrr_stack+49207, r12vrr_stack+56782, r12vrr_stack+47030, r12vrr_stack+2566, r12vrr_stack+41796);

 /*--- compute (g0|n0)^5 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+154972, r12vrr_stack+49603, r12vrr_stack+57178, r12vrr_stack+47228, r12vrr_stack+49207, r12vrr_stack+42126);

 /*--- compute (h0|n0)^4 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+155962, r12vrr_stack+111657, r12vrr_stack+154972, r12vrr_stack+71253, r12vrr_stack+49603, r12vrr_stack+146447);

 /*--- compute (i0|n0)^3 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+157348, r12vrr_stack+112647, r12vrr_stack+155962, r12vrr_stack+71913, r12vrr_stack+111657, r12vrr_stack+147272);

 /*--- compute (k0|n0)^2 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+159196, r12vrr_stack+114033, r12vrr_stack+157348, r12vrr_stack+72903, r12vrr_stack+112647, r12vrr_stack+148427);

 /*--- compute (l0|n0)^1 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71253, r12vrr_stack+115881, r12vrr_stack+159196, r12vrr_stack+74289, r12vrr_stack+114033, r12vrr_stack+149967);

 /*--- compute (m0|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+161572, r12vrr_stack+118257, r12vrr_stack+71253, r12vrr_stack+76137, r12vrr_stack+115881, r12vrr_stack+53851);
 tmp = r12vrr_stack + 161572;
 target_ptr = Libr12->gvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+74223, r12vrr_stack+44556, r12vrr_stack+56518, r12vrr_stack+46909, r12vrr_stack+9782, NULL);

 /*--- compute (p0|o0)^7 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+74301, r12vrr_stack+9006, r12vrr_stack+74223, NULL, NULL, r12vrr_stack+44556);

 /*--- compute (d0|o0)^6 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+74535, r12vrr_stack+65643, r12vrr_stack+74301, r12vrr_stack+79215, r12vrr_stack+9006, r12vrr_stack+2566);

 /*--- compute (f0|o0)^5 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+75003, r12vrr_stack+65877, r12vrr_stack+74535, r12vrr_stack+78513, r12vrr_stack+65643, r12vrr_stack+49207);

 /*--- compute (g0|o0)^4 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+165202, r12vrr_stack+66345, r12vrr_stack+75003, r12vrr_stack+79293, r12vrr_stack+65877, r12vrr_stack+49603);

 /*--- compute (h0|o0)^3 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+166372, r12vrr_stack+121227, r12vrr_stack+165202, r12vrr_stack+61149, r12vrr_stack+66345, r12vrr_stack+111657);

 /*--- compute (i0|o0)^2 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+168010, r12vrr_stack+122397, r12vrr_stack+166372, r12vrr_stack+84129, r12vrr_stack+121227, r12vrr_stack+112647);

 /*--- compute (k0|o0)^1 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+170194, r12vrr_stack+124035, r12vrr_stack+168010, r12vrr_stack+85299, r12vrr_stack+122397, r12vrr_stack+114033);

 /*--- compute (l0|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+173002, r12vrr_stack+126219, r12vrr_stack+170194, r12vrr_stack+88575, r12vrr_stack+124035, r12vrr_stack+115881);
 tmp = r12vrr_stack + 173002;
 target_ptr = Libr12->gvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^9 ---*/
 _BUILD_p000(Data,r12vrr_stack+84129, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (d0|00)^8 ---*/
 _BUILD_d000(Data,r12vrr_stack+84132, r12vrr_stack+0, r12vrr_stack+84129, Data->F+8, Data->F+9, NULL);

 /*--- compute (f0|00)^7 ---*/
 _BUILD_f000(Data,r12vrr_stack+84138, r12vrr_stack+201, r12vrr_stack+84132, r12vrr_stack+3, r12vrr_stack+0, NULL);

 /*--- compute (g0|00)^6 ---*/
 _BUILD_g000(Data,r12vrr_stack+84148, r12vrr_stack+59901, r12vrr_stack+84138, r12vrr_stack+59979, r12vrr_stack+201, NULL);

 /*--- compute (h0|00)^5 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+84163, r12vrr_stack+59911, r12vrr_stack+84148, r12vrr_stack+59985, r12vrr_stack+59901, NULL);

 /*--- compute (i0|00)^4 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+84184, r12vrr_stack+59926, r12vrr_stack+84163, r12vrr_stack+59995, r12vrr_stack+59911, NULL);

 /*--- compute (p0|p0)^9 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+59901, r12vrr_stack+27, r12vrr_stack+12, NULL, NULL, Data->F+10);

 /*--- compute (d0|p0)^8 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+59910, r12vrr_stack+1044, r12vrr_stack+59901, r12vrr_stack+207, r12vrr_stack+27, r12vrr_stack+84129);

 /*--- compute (f0|p0)^7 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+27, r12vrr_stack+23793, r12vrr_stack+59910, r12vrr_stack+18, r12vrr_stack+1044, r12vrr_stack+84132);

 /*--- compute (g0|p0)^6 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+59928, r12vrr_stack+84099, r12vrr_stack+27, r12vrr_stack+60010, r12vrr_stack+23793, r12vrr_stack+84138);

 /*--- compute (h0|p0)^5 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+84212, r12vrr_stack+1053, r12vrr_stack+59928, r12vrr_stack+414, r12vrr_stack+84099, r12vrr_stack+84148);

 /*--- compute (i0|p0)^4 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+84275, r12vrr_stack+1098, r12vrr_stack+84212, r12vrr_stack+60028, r12vrr_stack+1053, r12vrr_stack+84163);

 /*--- compute (k0|p0)^3 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+84359, r12vrr_stack+1161, r12vrr_stack+84275, r12vrr_stack+2104, r12vrr_stack+1098, r12vrr_stack+84184);

 /*--- compute (p0|d0)^9 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+23793, r12vrr_stack+1384, r12vrr_stack+159, NULL, NULL, r12vrr_stack+12);

 /*--- compute (d0|d0)^8 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+84099, r12vrr_stack+749, r12vrr_stack+23793, r12vrr_stack+153, r12vrr_stack+1384, r12vrr_stack+59901);

 /*--- compute (f0|d0)^7 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+1400, r12vrr_stack+4699, r12vrr_stack+84099, r12vrr_stack+87, r12vrr_stack+749, r12vrr_stack+59910);

 /*--- compute (g0|d0)^6 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+21471, r12vrr_stack+1245, r12vrr_stack+1400, r12vrr_stack+105, r12vrr_stack+4699, r12vrr_stack+27);

 /*--- compute (h0|d0)^5 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1044, r12vrr_stack+67125, r12vrr_stack+21471, r12vrr_stack+60073, r12vrr_stack+1245, r12vrr_stack+59928);

 /*--- compute (i0|d0)^4 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+59901, r12vrr_stack+67215, r12vrr_stack+1044, r12vrr_stack+60133, r12vrr_stack+67125, r12vrr_stack+84212);

 /*--- compute (k0|d0)^3 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1170, r12vrr_stack+13743, r12vrr_stack+59901, r12vrr_stack+60223, r12vrr_stack+67215, r12vrr_stack+84275);

 /*--- compute (l0|d0)^2 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+60069, r12vrr_stack+67341, r12vrr_stack+1170, r12vrr_stack+60349, r12vrr_stack+13743, r12vrr_stack+84359);

 /*--- compute (p0|f0)^9 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+13743, r12vrr_stack+584, r12vrr_stack+624, NULL, NULL, r12vrr_stack+159);

 /*--- compute (d0|f0)^8 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+13773, r12vrr_stack+594, r12vrr_stack+13743, r12vrr_stack+1390, r12vrr_stack+584, r12vrr_stack+23793);

 /*--- compute (f0|f0)^7 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+67125, r12vrr_stack+4735, r12vrr_stack+13773, r12vrr_stack+444, r12vrr_stack+594, r12vrr_stack+84099);

 /*--- compute (g0|f0)^6 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+84099, r12vrr_stack+4795, r12vrr_stack+67125, r12vrr_stack+474, r12vrr_stack+4735, r12vrr_stack+1400);

 /*--- compute (h0|f0)^5 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+84249, r12vrr_stack+4895, r12vrr_stack+84099, r12vrr_stack+60517, r12vrr_stack+4795, r12vrr_stack+21471);

 /*--- compute (i0|f0)^4 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+84459, r12vrr_stack+67557, r12vrr_stack+84249, r12vrr_stack+222, r12vrr_stack+4895, r12vrr_stack+1044);

 /*--- compute (k0|f0)^3 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+84739, r12vrr_stack+44622, r12vrr_stack+84459, r12vrr_stack+60617, r12vrr_stack+67557, r12vrr_stack+59901);

 /*--- compute (l0|f0)^2 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+22983, r12vrr_stack+44902, r12vrr_stack+84739, r12vrr_stack+60827, r12vrr_stack+44622, r12vrr_stack+1170);

 /*--- compute (m0|f0)^1 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+85099, r12vrr_stack+5045, r12vrr_stack+22983, r12vrr_stack+81399, r12vrr_stack+44902, r12vrr_stack+60069);

 /*--- compute (p0|g0)^9 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+579, r12vrr_stack+9084, r12vrr_stack+795, NULL, NULL, r12vrr_stack+624);

 /*--- compute (d0|g0)^8 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+21471, r12vrr_stack+5495, r12vrr_stack+579, r12vrr_stack+165, r12vrr_stack+9084, r12vrr_stack+13743);

 /*--- compute (f0|g0)^7 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+44622, r12vrr_stack+5540, r12vrr_stack+21471, r12vrr_stack+534, r12vrr_stack+5495, r12vrr_stack+13773);

 /*--- compute (g0|g0)^6 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+44772, r12vrr_stack+5630, r12vrr_stack+44622, r12vrr_stack+81759, r12vrr_stack+5540, r12vrr_stack+67125);

 /*--- compute (h0|g0)^5 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+67125, r12vrr_stack+67767, r12vrr_stack+44772, r12vrr_stack+81849, r12vrr_stack+5630, r12vrr_stack+84099);

 /*--- compute (i0|g0)^4 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+59901, r12vrr_stack+46206, r12vrr_stack+67125, r12vrr_stack+83349, r12vrr_stack+67767, r12vrr_stack+84249);

 /*--- compute (k0|g0)^3 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+67440, r12vrr_stack+50263, r12vrr_stack+59901, r12vrr_stack+83574, r12vrr_stack+46206, r12vrr_stack+84459);

 /*--- compute (l0|g0)^2 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+60321, r12vrr_stack+33226, r12vrr_stack+67440, r12vrr_stack+78747, r12vrr_stack+50263, r12vrr_stack+84739);

 /*--- compute (m0|g0)^1 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+84099, r12vrr_stack+5780, r12vrr_stack+60321, r12vrr_stack+61929, r12vrr_stack+33226, r12vrr_stack+22983);

 /*--- compute (n0|g0)^0 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+60996, r12vrr_stack+82125, r12vrr_stack+84099, r12vrr_stack+3274, r12vrr_stack+5780, r12vrr_stack+85099);

 /*--- compute (p0|h0)^9 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+22983, r12vrr_stack+810, r12vrr_stack+767, NULL, NULL, r12vrr_stack+795);

 /*--- compute (d0|h0)^8 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+23046, r12vrr_stack+634, r12vrr_stack+22983, r12vrr_stack+9099, r12vrr_stack+810, r12vrr_stack+579);

 /*--- compute (f0|h0)^7 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+23172, r12vrr_stack+6455, r12vrr_stack+23046, r12vrr_stack+894, r12vrr_stack+634, r12vrr_stack+21471);

 /*--- compute (g0|h0)^6 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33226, r12vrr_stack+6581, r12vrr_stack+23172, r12vrr_stack+81999, r12vrr_stack+6455, r12vrr_stack+44622);

 /*--- compute (h0|h0)^5 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+46206, r12vrr_stack+50683, r12vrr_stack+33226, r12vrr_stack+83889, r12vrr_stack+6581, r12vrr_stack+44772);

 /*--- compute (i0|h0)^4 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+44622, r12vrr_stack+79761, r12vrr_stack+46206, r12vrr_stack+62469, r12vrr_stack+50683, r12vrr_stack+67125);

 /*--- compute (k0|h0)^3 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+50263, r12vrr_stack+80202, r12vrr_stack+44622, r12vrr_stack+62784, r12vrr_stack+79761, r12vrr_stack+59901);

 /*--- compute (l0|h0)^2 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+84924, r12vrr_stack+31731, r12vrr_stack+50263, r12vrr_stack+63225, r12vrr_stack+80202, r12vrr_stack+67440);

 /*--- compute (m0|h0)^1 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+61986, r12vrr_stack+129027, r12vrr_stack+84924, r12vrr_stack+90759, r12vrr_stack+31731, r12vrr_stack+60321);

 /*--- compute (n0|h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4699, r12vrr_stack+10803, r12vrr_stack+61986, r12vrr_stack+91515, r12vrr_stack+129027, r12vrr_stack+84099);
 tmp = r12vrr_stack + 4699;
 target_ptr = Libr12->gvrr_classes[10][5];
 for(i=0;i<1386;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|i0)^9 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+129027, r12vrr_stack+7506, r12vrr_stack+33822, NULL, NULL, r12vrr_stack+767);

 /*--- compute (d0|i0)^8 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13743, r12vrr_stack+11958, r12vrr_stack+129027, r12vrr_stack+831, r12vrr_stack+7506, r12vrr_stack+22983);

 /*--- compute (f0|i0)^7 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+129111, r12vrr_stack+2356, r12vrr_stack+13743, r12vrr_stack+957, r12vrr_stack+11958, r12vrr_stack+23046);

 /*--- compute (g0|i0)^6 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+129391, r12vrr_stack+82950, r12vrr_stack+129111, r12vrr_stack+45282, r12vrr_stack+2356, r12vrr_stack+23172);

 /*--- compute (h0|i0)^5 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31731, r12vrr_stack+80790, r12vrr_stack+129391, r12vrr_stack+9232, r12vrr_stack+82950, r12vrr_stack+33226);

 /*--- compute (i0|i0)^4 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+82950, r12vrr_stack+129972, r12vrr_stack+31731, r12vrr_stack+1460, r12vrr_stack+80790, r12vrr_stack+46206);

 /*--- compute (k0|i0)^3 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+83734, r12vrr_stack+130560, r12vrr_stack+82950, r12vrr_stack+8094, r12vrr_stack+129972, r12vrr_stack+44622);

 /*--- compute (l0|i0)^2 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+78513, r12vrr_stack+131344, r12vrr_stack+83734, r12vrr_stack+92460, r12vrr_stack+130560, r12vrr_stack+50263);

 /*--- compute (m0|i0)^1 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+79773, r12vrr_stack+18223, r12vrr_stack+78513, r12vrr_stack+93244, r12vrr_stack+131344, r12vrr_stack+84924);

 /*--- compute (n0|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+84742, r12vrr_stack+132352, r12vrr_stack+79773, r12vrr_stack+15563, r12vrr_stack+18223, r12vrr_stack+61986);
 tmp = r12vrr_stack + 84742;
 target_ptr = Libr12->gvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^9 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+61986, r12vrr_stack+13491, r12vrr_stack+22191, NULL, NULL, r12vrr_stack+33822);

 /*--- compute (d0|k0)^8 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62094, r12vrr_stack+19483, r12vrr_stack+61986, r12vrr_stack+22947, r12vrr_stack+13491, r12vrr_stack+129027);

 /*--- compute (f0|k0)^7 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62310, r12vrr_stack+19591, r12vrr_stack+62094, r12vrr_stack+8682, r12vrr_stack+19483, r12vrr_stack+13743);

 /*--- compute (g0|k0)^6 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+62670, r12vrr_stack+19807, r12vrr_stack+62310, r12vrr_stack+8790, r12vrr_stack+19591, r12vrr_stack+129111);

 /*--- compute (h0|k0)^5 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+90759, r12vrr_stack+133892, r12vrr_stack+62670, r12vrr_stack+23433, r12vrr_stack+19807, r12vrr_stack+129391);

 /*--- compute (i0|k0)^4 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+129027, r12vrr_stack+134432, r12vrr_stack+90759, r12vrr_stack+94252, r12vrr_stack+133892, r12vrr_stack+31731);

 /*--- compute (k0|k0)^3 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+130035, r12vrr_stack+135188, r12vrr_stack+129027, r12vrr_stack+94792, r12vrr_stack+134432, r12vrr_stack+82950);

 /*--- compute (l0|k0)^2 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+18223, r12vrr_stack+136196, r12vrr_stack+130035, r12vrr_stack+95548, r12vrr_stack+135188, r12vrr_stack+83734);

 /*--- compute (m0|k0)^1 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+133892, r12vrr_stack+27771, r12vrr_stack+18223, r12vrr_stack+96556, r12vrr_stack+136196, r12vrr_stack+78513);

 /*--- compute (n0|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+92460, r12vrr_stack+137492, r12vrr_stack+133892, r12vrr_stack+24351, r12vrr_stack+27771, r12vrr_stack+79773);
 tmp = r12vrr_stack + 92460;
 target_ptr = Libr12->gvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^9 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27771, r12vrr_stack+46864, r12vrr_stack+37356, NULL, NULL, r12vrr_stack+22191);

 /*--- compute (d0|l0)^8 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+27906, r12vrr_stack+29391, r12vrr_stack+27771, r12vrr_stack+33850, r12vrr_stack+46864, r12vrr_stack+61986);

 /*--- compute (f0|l0)^7 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+28176, r12vrr_stack+29526, r12vrr_stack+27906, r12vrr_stack+14415, r12vrr_stack+29391, r12vrr_stack+62094);

 /*--- compute (g0|l0)^6 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+14415, r12vrr_stack+29796, r12vrr_stack+28176, r12vrr_stack+9512, r12vrr_stack+29526, r12vrr_stack+62310);

 /*--- compute (h0|l0)^5 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31731, r12vrr_stack+139472, r12vrr_stack+14415, r12vrr_stack+97852, r12vrr_stack+29796, r12vrr_stack+62670);

 /*--- compute (i0|l0)^4 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+61986, r12vrr_stack+140147, r12vrr_stack+31731, r12vrr_stack+98302, r12vrr_stack+139472, r12vrr_stack+90759);

 /*--- compute (k0|l0)^3 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+135872, r12vrr_stack+141092, r12vrr_stack+61986, r12vrr_stack+98977, r12vrr_stack+140147, r12vrr_stack+129027);

 /*--- compute (l0|l0)^2 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+78513, r12vrr_stack+142352, r12vrr_stack+135872, r12vrr_stack+99922, r12vrr_stack+141092, r12vrr_stack+130035);

 /*--- compute (m0|l0)^1 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+129027, r12vrr_stack+39606, r12vrr_stack+78513, r12vrr_stack+101182, r12vrr_stack+142352, r12vrr_stack+18223);

 /*--- compute (n0|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+139472, r12vrr_stack+143972, r12vrr_stack+129027, r12vrr_stack+35331, r12vrr_stack+39606, r12vrr_stack+133892);
 tmp = r12vrr_stack + 139472;
 target_ptr = Libr12->gvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^9 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+133892, r12vrr_stack+9782, r12vrr_stack+56463, NULL, NULL, r12vrr_stack+37356);

 /*--- compute (d0|m0)^8 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+134057, r12vrr_stack+41631, r12vrr_stack+133892, r12vrr_stack+46909, r12vrr_stack+9782, r12vrr_stack+27771);

 /*--- compute (f0|m0)^7 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+134387, r12vrr_stack+41796, r12vrr_stack+134057, r12vrr_stack+22677, r12vrr_stack+41631, r12vrr_stack+27906);

 /*--- compute (g0|m0)^6 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+22677, r12vrr_stack+42126, r12vrr_stack+134387, r12vrr_stack+102802, r12vrr_stack+41796, r12vrr_stack+28176);

 /*--- compute (h0|m0)^5 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+27771, r12vrr_stack+146447, r12vrr_stack+22677, r12vrr_stack+103132, r12vrr_stack+42126, r12vrr_stack+14415);

 /*--- compute (i0|m0)^4 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39606, r12vrr_stack+147272, r12vrr_stack+27771, r12vrr_stack+103682, r12vrr_stack+146447, r12vrr_stack+31731);

 /*--- compute (k0|m0)^3 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+18223, r12vrr_stack+148427, r12vrr_stack+39606, r12vrr_stack+104507, r12vrr_stack+147272, r12vrr_stack+61986);

 /*--- compute (l0|m0)^2 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+94836, r12vrr_stack+149967, r12vrr_stack+18223, r12vrr_stack+105662, r12vrr_stack+148427, r12vrr_stack+135872);

 /*--- compute (m0|m0)^1 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+146447, r12vrr_stack+53851, r12vrr_stack+94836, r12vrr_stack+107202, r12vrr_stack+149967, r12vrr_stack+78513);

 /*--- compute (n0|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+97311, r12vrr_stack+151947, r12vrr_stack+146447, r12vrr_stack+109182, r12vrr_stack+53851, r12vrr_stack+129027);
 tmp = r12vrr_stack + 97311;
 target_ptr = Libr12->gvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^19 ---*/
 _BUILD_00p0(Data,r12vrr_stack+12, Data->F+19, Data->F+20, NULL, NULL, NULL);

 /*--- compute (00|d0)^18 ---*/
 _BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+56326, r12vrr_stack+12, Data->F+18, Data->F+19, NULL);

 /*--- compute (00|f0)^17 ---*/
 _BUILD_00f0(Data,r12vrr_stack+129027, r12vrr_stack+216, r12vrr_stack+0, r12vrr_stack+1041, r12vrr_stack+56326, NULL);

 /*--- compute (00|g0)^16 ---*/
 _BUILD_00g0(Data,r12vrr_stack+129037, r12vrr_stack+56329, r12vrr_stack+129027, r12vrr_stack+6, r12vrr_stack+216, NULL);

 /*--- compute (00|h0)^15 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+216, r12vrr_stack+56339, r12vrr_stack+129037, r12vrr_stack+49176, r12vrr_stack+56329, NULL);

 /*--- compute (00|i0)^14 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7506, r12vrr_stack+180, r12vrr_stack+216, r12vrr_stack+3949, r12vrr_stack+56339, NULL);

 /*--- compute (00|k0)^13 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13491, r12vrr_stack+56354, r12vrr_stack+7506, r12vrr_stack+49186, r12vrr_stack+180, NULL);

 /*--- compute (00|l0)^12 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+216, r12vrr_stack+56382, r12vrr_stack+13491, r12vrr_stack+16823, r12vrr_stack+56354, NULL);

 /*--- compute (00|m0)^11 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+261, r12vrr_stack+56418, r12vrr_stack+216, r12vrr_stack+25971, r12vrr_stack+56382, NULL);

 /*--- compute (00|n0)^10 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+316, r12vrr_stack+56463, r12vrr_stack+261, r12vrr_stack+37356, r12vrr_stack+56418, NULL);

 /*--- compute (p0|n0)^9 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+382, r12vrr_stack+56518, r12vrr_stack+316, NULL, NULL, r12vrr_stack+56463);

 /*--- compute (d0|n0)^8 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+129027, r12vrr_stack+56584, r12vrr_stack+382, r12vrr_stack+44556, r12vrr_stack+56518, r12vrr_stack+133892);

 /*--- compute (f0|n0)^7 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44556, r12vrr_stack+56782, r12vrr_stack+129027, r12vrr_stack+2566, r12vrr_stack+56584, r12vrr_stack+134057);

 /*--- compute (g0|n0)^6 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+129027, r12vrr_stack+57178, r12vrr_stack+44556, r12vrr_stack+49207, r12vrr_stack+56782, r12vrr_stack+134387);

 /*--- compute (h0|n0)^5 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+130017, r12vrr_stack+154972, r12vrr_stack+129027, r12vrr_stack+49603, r12vrr_stack+57178, r12vrr_stack+22677);

 /*--- compute (i0|n0)^4 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+133892, r12vrr_stack+155962, r12vrr_stack+130017, r12vrr_stack+111657, r12vrr_stack+154972, r12vrr_stack+27771);

 /*--- compute (k0|n0)^3 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+27771, r12vrr_stack+157348, r12vrr_stack+133892, r12vrr_stack+112647, r12vrr_stack+155962, r12vrr_stack+39606);

 /*--- compute (l0|n0)^2 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+39606, r12vrr_stack+159196, r12vrr_stack+27771, r12vrr_stack+114033, r12vrr_stack+157348, r12vrr_stack+18223);

 /*--- compute (m0|n0)^1 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+111657, r12vrr_stack+71253, r12vrr_stack+39606, r12vrr_stack+115881, r12vrr_stack+159196, r12vrr_stack+94836);

 /*--- compute (n0|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+100941, r12vrr_stack+161572, r12vrr_stack+111657, r12vrr_stack+118257, r12vrr_stack+71253, r12vrr_stack+146447);

 /*--- compute (00|o0)^9 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+146447, r12vrr_stack+56518, r12vrr_stack+316, r12vrr_stack+9782, r12vrr_stack+56463, NULL);

 /*--- compute (p0|o0)^8 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+146525, r12vrr_stack+74223, r12vrr_stack+146447, NULL, NULL, r12vrr_stack+56518);

 /*--- compute (d0|o0)^7 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+146759, r12vrr_stack+74301, r12vrr_stack+146525, r12vrr_stack+9006, r12vrr_stack+74223, r12vrr_stack+56584);

 /*--- compute (f0|o0)^6 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+147227, r12vrr_stack+74535, r12vrr_stack+146759, r12vrr_stack+65643, r12vrr_stack+74301, r12vrr_stack+56782);

 /*--- compute (g0|o0)^5 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+148007, r12vrr_stack+75003, r12vrr_stack+147227, r12vrr_stack+65877, r12vrr_stack+74535, r12vrr_stack+57178);

 /*--- compute (h0|o0)^4 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+149177, r12vrr_stack+165202, r12vrr_stack+148007, r12vrr_stack+66345, r12vrr_stack+75003, r12vrr_stack+154972);

 /*--- compute (i0|o0)^3 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+65643, r12vrr_stack+166372, r12vrr_stack+149177, r12vrr_stack+121227, r12vrr_stack+165202, r12vrr_stack+155962);

 /*--- compute (k0|o0)^2 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+146447, r12vrr_stack+168010, r12vrr_stack+65643, r12vrr_stack+122397, r12vrr_stack+166372, r12vrr_stack+157348);

 /*--- compute (l0|o0)^1 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+154972, r12vrr_stack+170194, r12vrr_stack+146447, r12vrr_stack+124035, r12vrr_stack+168010, r12vrr_stack+159196);

 /*--- compute (m0|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+146447, r12vrr_stack+173002, r12vrr_stack+154972, r12vrr_stack+126219, r12vrr_stack+170194, r12vrr_stack+71253);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+71253, &(Data->ss_r12_ss), NULL, r12vrr_stack+15, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+71256, r12vrr_stack+71253, &(Data->ss_r12_ss), r12vrr_stack+210, r12vrr_stack+15, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+71262, r12vrr_stack+71256, r12vrr_stack+71253, r12vrr_stack+724, r12vrr_stack+210, r12vrr_stack+15, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+3949, r12vrr_stack+71262, r12vrr_stack+71256, r12vrr_stack+734, r12vrr_stack+724, r12vrr_stack+210, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+71272, r12vrr_stack+3949, r12vrr_stack+71262, r12vrr_stack+1894, r12vrr_stack+734, r12vrr_stack+724, NULL);

 /*--- compute (p0||h0)^0 ---*/
 _R_BUILD_p0h0(Data,r12vrr_stack+71293, r12vrr_stack+71272, NULL, r12vrr_stack+2167, r12vrr_stack+1894, NULL, r12vrr_stack+734);

 /*--- compute (d0||h0)^0 ---*/
 _R_BUILD_d0h0(Data,r12vrr_stack+71356, r12vrr_stack+71293, r12vrr_stack+71272, r12vrr_stack+2230, r12vrr_stack+2167, r12vrr_stack+1894, r12vrr_stack+2764);

 /*--- compute (f0||h0)^0 ---*/
 _R_BUILD_f0h0(Data,r12vrr_stack+71482, r12vrr_stack+71356, r12vrr_stack+71293, r12vrr_stack+9837, r12vrr_stack+2230, r12vrr_stack+2167, r12vrr_stack+2809);

 /*--- compute (g0||h0)^0 ---*/
 _R_BUILD_g0h0(Data,r12vrr_stack+71692, r12vrr_stack+71482, r12vrr_stack+71356, r12vrr_stack+10047, r12vrr_stack+9837, r12vrr_stack+2230, r12vrr_stack+2899);

 /*--- compute (h0||h0)^0 ---*/
 _R_BUILD_h0h0(Data,r12vrr_stack+72007, r12vrr_stack+71692, r12vrr_stack+71482, r12vrr_stack+10362, r12vrr_stack+10047, r12vrr_stack+9837, r12vrr_stack+3049);

 /*--- compute (i0||h0)^0 ---*/
 _R_BUILD_i0h0(Data,r12vrr_stack+72448, r12vrr_stack+72007, r12vrr_stack+71692, r12vrr_stack+12147, r12vrr_stack+10362, r12vrr_stack+10047, r12vrr_stack+3964);
 tmp = r12vrr_stack + 72448;
 target_ptr = Libr12->rvrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||h0)^0 ---*/
 _R_BUILD_k0h0(Data,r12vrr_stack+90759, r12vrr_stack+72448, r12vrr_stack+72007, r12vrr_stack+12735, r12vrr_stack+12147, r12vrr_stack+10362, r12vrr_stack+4279);
 tmp = r12vrr_stack + 90759;
 target_ptr = Libr12->rvrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||h0)^0 ---*/
 _R_BUILD_l0h0(Data,r12vrr_stack+31731, r12vrr_stack+90759, r12vrr_stack+72448, r12vrr_stack+91515, r12vrr_stack+12735, r12vrr_stack+12147, r12vrr_stack+6966);
 tmp = r12vrr_stack + 31731;
 target_ptr = Libr12->rvrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+16823, r12vrr_stack+71272, r12vrr_stack+3949, r12vrr_stack+7534, r12vrr_stack+1894, r12vrr_stack+734, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+3949, r12vrr_stack+16823, NULL, r12vrr_stack+7562, r12vrr_stack+7534, NULL, r12vrr_stack+1894);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+13743, r12vrr_stack+3949, r12vrr_stack+16823, r12vrr_stack+7646, r12vrr_stack+7562, r12vrr_stack+7534, r12vrr_stack+2167);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+71293, r12vrr_stack+13743, r12vrr_stack+3949, r12vrr_stack+7814, r12vrr_stack+7646, r12vrr_stack+7562, r12vrr_stack+2230);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+71573, r12vrr_stack+71293, r12vrr_stack+13743, r12vrr_stack+15143, r12vrr_stack+7814, r12vrr_stack+7646, r12vrr_stack+9837);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+71993, r12vrr_stack+71573, r12vrr_stack+71293, r12vrr_stack+16851, r12vrr_stack+15143, r12vrr_stack+7814, r12vrr_stack+10047);

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+72581, r12vrr_stack+71993, r12vrr_stack+71573, r12vrr_stack+17439, r12vrr_stack+16851, r12vrr_stack+15143, r12vrr_stack+10362);
 tmp = r12vrr_stack + 72581;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+73365, r12vrr_stack+72581, r12vrr_stack+71993, r12vrr_stack+20463, r12vrr_stack+17439, r12vrr_stack+16851, r12vrr_stack+12147);
 tmp = r12vrr_stack + 73365;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||i0)^0 ---*/
 _R_BUILD_l0i0(Data,r12vrr_stack+71293, r12vrr_stack+73365, r12vrr_stack+72581, r12vrr_stack+15563, r12vrr_stack+20463, r12vrr_stack+17439, r12vrr_stack+12735);
 tmp = r12vrr_stack + 71293;
 target_ptr = Libr12->rvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+25971, r12vrr_stack+16823, r12vrr_stack+71272, r12vrr_stack+13911, r12vrr_stack+7534, r12vrr_stack+1894, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+72553, r12vrr_stack+25971, NULL, r12vrr_stack+13947, r12vrr_stack+13911, NULL, r12vrr_stack+7534);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+22011, r12vrr_stack+72553, r12vrr_stack+25971, r12vrr_stack+13527, r12vrr_stack+13947, r12vrr_stack+13911, r12vrr_stack+7562);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+72661, r12vrr_stack+22011, r12vrr_stack+72553, r12vrr_stack+14055, r12vrr_stack+13527, r12vrr_stack+13947, r12vrr_stack+7646);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+74373, r12vrr_stack+72661, r12vrr_stack+22011, r12vrr_stack+23811, r12vrr_stack+14055, r12vrr_stack+13527, r12vrr_stack+7814);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+7562, r12vrr_stack+74373, r12vrr_stack+72661, r12vrr_stack+26007, r12vrr_stack+23811, r12vrr_stack+14055, r12vrr_stack+15143);

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+8318, r12vrr_stack+7562, r12vrr_stack+74373, r12vrr_stack+26763, r12vrr_stack+26007, r12vrr_stack+23811, r12vrr_stack+16851);
 tmp = r12vrr_stack + 8318;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+74373, r12vrr_stack+8318, r12vrr_stack+7562, r12vrr_stack+30435, r12vrr_stack+26763, r12vrr_stack+26007, r12vrr_stack+17439);
 tmp = r12vrr_stack + 74373;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||k0)^0 ---*/
 _R_BUILD_l0k0(Data,r12vrr_stack+154972, r12vrr_stack+74373, r12vrr_stack+8318, r12vrr_stack+24351, r12vrr_stack+30435, r12vrr_stack+26763, r12vrr_stack+20463);
 tmp = r12vrr_stack + 154972;
 target_ptr = Libr12->rvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+37356, r12vrr_stack+25971, r12vrr_stack+16823, r12vrr_stack+22227, r12vrr_stack+13911, r12vrr_stack+7534, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+75669, r12vrr_stack+37356, NULL, r12vrr_stack+22272, r12vrr_stack+22227, NULL, r12vrr_stack+13911);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+75804, r12vrr_stack+75669, r12vrr_stack+37356, r12vrr_stack+22407, r12vrr_stack+22272, r12vrr_stack+22227, r12vrr_stack+13947);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+72553, r12vrr_stack+75804, r12vrr_stack+75669, r12vrr_stack+21561, r12vrr_stack+22407, r12vrr_stack+22272, r12vrr_stack+13527);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+156592, r12vrr_stack+72553, r12vrr_stack+75804, r12vrr_stack+34656, r12vrr_stack+21561, r12vrr_stack+22407, r12vrr_stack+14055);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+13947, r12vrr_stack+156592, r12vrr_stack+72553, r12vrr_stack+37401, r12vrr_stack+34656, r12vrr_stack+21561, r12vrr_stack+23811);

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+157267, r12vrr_stack+13947, r12vrr_stack+156592, r12vrr_stack+38346, r12vrr_stack+37401, r12vrr_stack+34656, r12vrr_stack+26007);
 tmp = r12vrr_stack + 157267;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+158527, r12vrr_stack+157267, r12vrr_stack+13947, r12vrr_stack+42936, r12vrr_stack+38346, r12vrr_stack+37401, r12vrr_stack+26763);
 tmp = r12vrr_stack + 158527;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||l0)^0 ---*/
 _R_BUILD_l0l0(Data,r12vrr_stack+65643, r12vrr_stack+158527, r12vrr_stack+157267, r12vrr_stack+35331, r12vrr_stack+42936, r12vrr_stack+38346, r12vrr_stack+30435);
 tmp = r12vrr_stack + 65643;
 target_ptr = Libr12->rvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+13947, r12vrr_stack+37356, r12vrr_stack+25971, r12vrr_stack+32676, r12vrr_stack+22227, r12vrr_stack+13911, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14002, r12vrr_stack+13947, NULL, r12vrr_stack+32731, r12vrr_stack+32676, NULL, r12vrr_stack+22227);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+3949, r12vrr_stack+14002, r12vrr_stack+13947, r12vrr_stack+32896, r12vrr_stack+32731, r12vrr_stack+32676, r12vrr_stack+22272);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14167, r12vrr_stack+3949, r12vrr_stack+14002, r12vrr_stack+47801, r12vrr_stack+32896, r12vrr_stack+32731, r12vrr_stack+22407);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+22272, r12vrr_stack+14167, r12vrr_stack+3949, r12vrr_stack+48351, r12vrr_stack+47801, r12vrr_stack+32896, r12vrr_stack+21561);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+23097, r12vrr_stack+22272, r12vrr_stack+14167, r12vrr_stack+51156, r12vrr_stack+48351, r12vrr_stack+47801, r12vrr_stack+34656);

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14002, r12vrr_stack+23097, r12vrr_stack+22272, r12vrr_stack+52311, r12vrr_stack+51156, r12vrr_stack+48351, r12vrr_stack+37401);
 tmp = r12vrr_stack + 14002;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+49176, r12vrr_stack+14002, r12vrr_stack+23097, r12vrr_stack+57921, r12vrr_stack+52311, r12vrr_stack+51156, r12vrr_stack+38346);
 tmp = r12vrr_stack + 49176;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+94836, r12vrr_stack+49176, r12vrr_stack+14002, r12vrr_stack+109182, r12vrr_stack+57921, r12vrr_stack+52311, r12vrr_stack+42936);
 tmp = r12vrr_stack + 94836;
 target_ptr = Libr12->rvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14002, r12vrr_stack+13947, r12vrr_stack+37356, r12vrr_stack+45546, r12vrr_stack+32676, r12vrr_stack+22227, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14068, r12vrr_stack+14002, NULL, r12vrr_stack+45612, r12vrr_stack+45546, NULL, r12vrr_stack+32676);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14266, r12vrr_stack+14068, r12vrr_stack+14002, r12vrr_stack+45810, r12vrr_stack+45612, r12vrr_stack+45546, r12vrr_stack+32731);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+14662, r12vrr_stack+14266, r12vrr_stack+14068, r12vrr_stack+63993, r12vrr_stack+45810, r12vrr_stack+45612, r12vrr_stack+32896);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+32676, r12vrr_stack+14662, r12vrr_stack+14266, r12vrr_stack+64653, r12vrr_stack+63993, r12vrr_stack+45810, r12vrr_stack+47801);

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+33666, r12vrr_stack+32676, r12vrr_stack+14662, r12vrr_stack+68019, r12vrr_stack+64653, r12vrr_stack+63993, r12vrr_stack+48351);

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+156592, r12vrr_stack+33666, r12vrr_stack+32676, r12vrr_stack+69405, r12vrr_stack+68019, r12vrr_stack+64653, r12vrr_stack+51156);
 tmp = r12vrr_stack + 156592;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+165202, r12vrr_stack+156592, r12vrr_stack+33666, r12vrr_stack+76137, r12vrr_stack+69405, r12vrr_stack+68019, r12vrr_stack+52311);
 tmp = r12vrr_stack + 165202;
 target_ptr = Libr12->rvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+167578, r12vrr_stack+165202, r12vrr_stack+156592, r12vrr_stack+118257, r12vrr_stack+76137, r12vrr_stack+69405, r12vrr_stack+57921);
 tmp = r12vrr_stack + 167578;
 target_ptr = Libr12->rvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+156592, r12vrr_stack+12147, r12vrr_stack+17439, r12vrr_stack+12735, r12vrr_stack+6966, r12vrr_stack+4279);
 tmp = r12vrr_stack + 156592;
 target_ptr = Libr12->t2vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+157180, r12vrr_stack+17439, r12vrr_stack+26763, r12vrr_stack+20463, r12vrr_stack+12735, r12vrr_stack+12147);
 tmp = r12vrr_stack + 157180;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+32676, r12vrr_stack+26763, r12vrr_stack+38346, r12vrr_stack+30435, r12vrr_stack+20463, r12vrr_stack+17439);
 tmp = r12vrr_stack + 32676;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+33684, r12vrr_stack+38346, r12vrr_stack+52311, r12vrr_stack+42936, r12vrr_stack+30435, r12vrr_stack+26763);
 tmp = r12vrr_stack + 33684;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+170548, r12vrr_stack+52311, r12vrr_stack+69405, r12vrr_stack+57921, r12vrr_stack+42936, r12vrr_stack+38346);
 tmp = r12vrr_stack + 170548;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+121227, r12vrr_stack+69405, r12vrr_stack+88575, r12vrr_stack+76137, r12vrr_stack+57921, r12vrr_stack+52311);
 tmp = r12vrr_stack + 121227;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+72553, r12vrr_stack+12735, r12vrr_stack+20463, r12vrr_stack+91515, r12vrr_stack+3274, r12vrr_stack+6966);
 tmp = r12vrr_stack + 72553;
 target_ptr = Libr12->t2vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+160147, r12vrr_stack+20463, r12vrr_stack+30435, r12vrr_stack+15563, r12vrr_stack+91515, r12vrr_stack+12735);
 tmp = r12vrr_stack + 160147;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+123075, r12vrr_stack+30435, r12vrr_stack+42936, r12vrr_stack+24351, r12vrr_stack+15563, r12vrr_stack+20463);
 tmp = r12vrr_stack + 123075;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+124371, r12vrr_stack+42936, r12vrr_stack+57921, r12vrr_stack+35331, r12vrr_stack+24351, r12vrr_stack+30435);
 tmp = r12vrr_stack + 124371;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+111657, r12vrr_stack+57921, r12vrr_stack+76137, r12vrr_stack+109182, r12vrr_stack+35331, r12vrr_stack+42936);
 tmp = r12vrr_stack + 111657;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+113637, r12vrr_stack+76137, r12vrr_stack+126219, r12vrr_stack+118257, r12vrr_stack+109182, r12vrr_stack+57921);
 tmp = r12vrr_stack + 113637;
 target_ptr = Libr12->t2vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|h0)^0 ---*/
 _T2_BUILD_l0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+150737, r12vrr_stack+91515, r12vrr_stack+15563, r12vrr_stack+10803, r12vrr_stack+82125, r12vrr_stack+3274);
 tmp = r12vrr_stack + 150737;
 target_ptr = Libr12->t2vrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+116013, r12vrr_stack+15563, r12vrr_stack+24351, r12vrr_stack+132352, r12vrr_stack+10803, r12vrr_stack+91515);
 tmp = r12vrr_stack + 116013;
 target_ptr = Libr12->t2vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+39606, r12vrr_stack+24351, r12vrr_stack+35331, r12vrr_stack+137492, r12vrr_stack+132352, r12vrr_stack+15563);
 tmp = r12vrr_stack + 39606;
 target_ptr = Libr12->t2vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+18223, r12vrr_stack+35331, r12vrr_stack+109182, r12vrr_stack+143972, r12vrr_stack+137492, r12vrr_stack+24351);
 tmp = r12vrr_stack + 18223;
 target_ptr = Libr12->t2vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+27771, r12vrr_stack+109182, r12vrr_stack+118257, r12vrr_stack+151947, r12vrr_stack+143972, r12vrr_stack+35331);
 tmp = r12vrr_stack + 27771;
 target_ptr = Libr12->t2vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+133892, r12vrr_stack+118257, r12vrr_stack+173002, r12vrr_stack+161572, r12vrr_stack+151947, r12vrr_stack+109182);
 tmp = r12vrr_stack + 133892;
 target_ptr = Libr12->t2vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+41226, r12vrr_stack+10803, r12vrr_stack+132352, r12vrr_stack+4699, r12vrr_stack+60996, r12vrr_stack+82125);
 tmp = r12vrr_stack + 41226;
 target_ptr = Libr12->t2vrr_classes[9][5];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+129027, r12vrr_stack+132352, r12vrr_stack+137492, r12vrr_stack+84742, r12vrr_stack+4699, r12vrr_stack+10803);
 tmp = r12vrr_stack + 129027;
 target_ptr = Libr12->t2vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+44556, r12vrr_stack+137492, r12vrr_stack+143972, r12vrr_stack+92460, r12vrr_stack+84742, r12vrr_stack+132352);
 tmp = r12vrr_stack + 44556;
 target_ptr = Libr12->t2vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+46536, r12vrr_stack+143972, r12vrr_stack+151947, r12vrr_stack+139472, r12vrr_stack+92460, r12vrr_stack+137492);
 tmp = r12vrr_stack + 46536;
 target_ptr = Libr12->t2vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+151947, r12vrr_stack+161572, r12vrr_stack+97311, r12vrr_stack+139472, r12vrr_stack+143972);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+53851, r12vrr_stack+161572, r12vrr_stack+146447, r12vrr_stack+100941, r12vrr_stack+97311, r12vrr_stack+151947);
 tmp = r12vrr_stack + 53851;
 target_ptr = Libr12->t2vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_i0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+3949, r12vrr_stack+12147, r12vrr_stack+12735, r12vrr_stack+17439, r12vrr_stack+16851, r12vrr_stack+10362);
 tmp = r12vrr_stack + 3949;
 target_ptr = Libr12->t1vrr_classes[6][5];
 for(i=0;i<588;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+172088, r12vrr_stack+17439, r12vrr_stack+20463, r12vrr_stack+26763, r12vrr_stack+26007, r12vrr_stack+16851);
 tmp = r12vrr_stack + 172088;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+130567, r12vrr_stack+26763, r12vrr_stack+30435, r12vrr_stack+38346, r12vrr_stack+37401, r12vrr_stack+26007);
 tmp = r12vrr_stack + 130567;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13491, r12vrr_stack+38346, r12vrr_stack+42936, r12vrr_stack+52311, r12vrr_stack+51156, r12vrr_stack+37401);
 tmp = r12vrr_stack + 13491;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+78513, r12vrr_stack+52311, r12vrr_stack+57921, r12vrr_stack+69405, r12vrr_stack+68019, r12vrr_stack+51156);
 tmp = r12vrr_stack + 78513;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+80053, r12vrr_stack+69405, r12vrr_stack+76137, r12vrr_stack+88575, r12vrr_stack+86937, r12vrr_stack+68019);
 tmp = r12vrr_stack + 80053;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_k0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+51156, r12vrr_stack+12735, r12vrr_stack+91515, r12vrr_stack+20463, r12vrr_stack+17439, r12vrr_stack+12147);
 tmp = r12vrr_stack + 51156;
 target_ptr = Libr12->t1vrr_classes[7][5];
 for(i=0;i<756;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+67668, r12vrr_stack+20463, r12vrr_stack+15563, r12vrr_stack+30435, r12vrr_stack+26763, r12vrr_stack+17439);
 tmp = r12vrr_stack + 67668;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+16823, r12vrr_stack+30435, r12vrr_stack+24351, r12vrr_stack+42936, r12vrr_stack+38346, r12vrr_stack+26763);
 tmp = r12vrr_stack + 16823;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25971, r12vrr_stack+42936, r12vrr_stack+35331, r12vrr_stack+57921, r12vrr_stack+52311, r12vrr_stack+38346);
 tmp = r12vrr_stack + 25971;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+37356, r12vrr_stack+57921, r12vrr_stack+109182, r12vrr_stack+76137, r12vrr_stack+69405, r12vrr_stack+52311);
 tmp = r12vrr_stack + 37356;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+81901, r12vrr_stack+76137, r12vrr_stack+118257, r12vrr_stack+126219, r12vrr_stack+88575, r12vrr_stack+69405);
 tmp = r12vrr_stack + 81901;
 target_ptr = Libr12->t1vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|h0)^0 ---*/
 _T1_BUILD_l0h0(Data,&(Libr12->ShellQuartet),r12vrr_stack+51912, r12vrr_stack+91515, r12vrr_stack+10803, r12vrr_stack+15563, r12vrr_stack+20463, r12vrr_stack+12735);
 tmp = r12vrr_stack + 51912;
 target_ptr = Libr12->t1vrr_classes[8][5];
 for(i=0;i<945;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+68676, r12vrr_stack+15563, r12vrr_stack+132352, r12vrr_stack+24351, r12vrr_stack+30435, r12vrr_stack+20463);
 tmp = r12vrr_stack + 68676;
 target_ptr = Libr12->t1vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+105297, r12vrr_stack+24351, r12vrr_stack+137492, r12vrr_stack+35331, r12vrr_stack+42936, r12vrr_stack+30435);
 tmp = r12vrr_stack + 105297;
 target_ptr = Libr12->t1vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+106917, r12vrr_stack+35331, r12vrr_stack+143972, r12vrr_stack+109182, r12vrr_stack+57921, r12vrr_stack+42936);
 tmp = r12vrr_stack + 106917;
 target_ptr = Libr12->t1vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+86590, r12vrr_stack+109182, r12vrr_stack+151947, r12vrr_stack+118257, r12vrr_stack+76137, r12vrr_stack+57921);
 tmp = r12vrr_stack + 86590;
 target_ptr = Libr12->t1vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+59901, r12vrr_stack+118257, r12vrr_stack+161572, r12vrr_stack+173002, r12vrr_stack+126219, r12vrr_stack+76137);
 tmp = r12vrr_stack + 59901;
 target_ptr = Libr12->t1vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+69936, r12vrr_stack+10803, r12vrr_stack+4699, r12vrr_stack+132352, r12vrr_stack+15563, r12vrr_stack+91515);
 tmp = r12vrr_stack + 69936;
 target_ptr = Libr12->t1vrr_classes[9][5];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+4537, r12vrr_stack+132352, r12vrr_stack+84742, r12vrr_stack+137492, r12vrr_stack+24351, r12vrr_stack+15563);
 tmp = r12vrr_stack + 4537;
 target_ptr = Libr12->t1vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+6077, r12vrr_stack+137492, r12vrr_stack+92460, r12vrr_stack+143972, r12vrr_stack+35331, r12vrr_stack+24351);
 tmp = r12vrr_stack + 6077;
 target_ptr = Libr12->t1vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+8057, r12vrr_stack+143972, r12vrr_stack+139472, r12vrr_stack+151947, r12vrr_stack+109182, r12vrr_stack+35331);
 tmp = r12vrr_stack + 8057;
 target_ptr = Libr12->t1vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+139472, r12vrr_stack+151947, r12vrr_stack+97311, r12vrr_stack+161572, r12vrr_stack+118257, r12vrr_stack+109182);
 tmp = r12vrr_stack + 139472;
 target_ptr = Libr12->t1vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+97311, r12vrr_stack+161572, r12vrr_stack+100941, r12vrr_stack+146447, r12vrr_stack+173002, r12vrr_stack+118257);
 tmp = r12vrr_stack + 97311;
 target_ptr = Libr12->t1vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+146447, r12vrr_stack+31731, r12vrr_stack+90759, r12vrr_stack+10803, r12vrr_stack+91515, r12vrr_stack+12735, r12vrr_stack+3274);
 tmp = r12vrr_stack + 146447;
 target_ptr = Libr12->rvrr_classes[9][5];
 for(i=0;i<1155;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+147602, r12vrr_stack+71293, r12vrr_stack+73365, r12vrr_stack+132352, r12vrr_stack+15563, r12vrr_stack+20463, r12vrr_stack+91515);
 tmp = r12vrr_stack + 147602;
 target_ptr = Libr12->rvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+100941, r12vrr_stack+154972, r12vrr_stack+74373, r12vrr_stack+137492, r12vrr_stack+24351, r12vrr_stack+30435, r12vrr_stack+15563);
 tmp = r12vrr_stack + 100941;
 target_ptr = Libr12->rvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+10532, r12vrr_stack+65643, r12vrr_stack+158527, r12vrr_stack+143972, r12vrr_stack+35331, r12vrr_stack+42936, r12vrr_stack+24351);
 tmp = r12vrr_stack + 10532;
 target_ptr = Libr12->rvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+142497, r12vrr_stack+94836, r12vrr_stack+49176, r12vrr_stack+151947, r12vrr_stack+109182, r12vrr_stack+57921, r12vrr_stack+35331);
 tmp = r12vrr_stack + 142497;
 target_ptr = Libr12->rvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+151682, r12vrr_stack+167578, r12vrr_stack+165202, r12vrr_stack+161572, r12vrr_stack+118257, r12vrr_stack+76137, r12vrr_stack+109182);
 tmp = r12vrr_stack + 151682;
 target_ptr = Libr12->rvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];


}

