#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ifii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+6);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+990, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+975, NULL, NULL, r12vrr_stack+274);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1110, r12vrr_stack+960, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+284);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1155, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+294);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+324);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1335, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+354);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+324, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+324, r12vrr_stack+6, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+414, r12vrr_stack+324, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+420, r12vrr_stack+81, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1485, r12vrr_stack+337, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1530, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+430);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+460);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+78, r12vrr_stack+6, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+440, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+455, r12vrr_stack+1095, r12vrr_stack+440, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+520);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1860, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+550);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2010, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+610);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2235, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+710);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2460, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+810);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2796, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2817, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+2775, r12vrr_stack+2817, NULL, NULL, r12vrr_stack+960);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2901, r12vrr_stack+2796, r12vrr_stack+2775, NULL, NULL, r12vrr_stack+975);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2964, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+990);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+990, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+327, r12vrr_stack+420, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3090, r12vrr_stack+990, r12vrr_stack+2796, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3153, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+1050);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1050, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2817, r12vrr_stack+1050, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3342, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+1110);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3468, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+1155);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3678, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+1245);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3888, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+1335);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1245, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+1245, r12vrr_stack+324, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+81, r12vrr_stack+1245, r12vrr_stack+324, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+327, r12vrr_stack+54, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+337, r12vrr_stack+420, r12vrr_stack+327, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4203, r12vrr_stack+1263, r12vrr_stack+990, NULL, NULL, r12vrr_stack+337);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4266, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1485);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4392, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1530);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4602, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+1620);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1485, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+1485, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1488, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1498, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+87, r12vrr_stack+414, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+93, r12vrr_stack+430, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1050, r12vrr_stack+1513, NULL, NULL, r12vrr_stack+440);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1597, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+455);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+1770);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5127, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+1860);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5442, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+2010);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5883, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+2235);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6324, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+2460);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1723, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+1726, r12vrr_stack+0, r12vrr_stack+1723, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1732, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1741, r12vrr_stack+12, r12vrr_stack+1732, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+1723);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1284, r12vrr_stack+30, r12vrr_stack+1741, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+1726);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1314, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+6912, r12vrr_stack+114, r12vrr_stack+1314, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+1732);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+6948, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+1741);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+7008, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+1284);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+168, r12vrr_stack+93, r12vrr_stack+430, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7098, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+1314);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+7158, r12vrr_stack+550, r12vrr_stack+7098, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+6912);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+7258, r12vrr_stack+610, r12vrr_stack+7158, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+6948);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7408, r12vrr_stack+810, r12vrr_stack+7258, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+7008);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+710, r12vrr_stack+440, r12vrr_stack+1498, NULL, NULL, r12vrr_stack+430);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7618, r12vrr_stack+455, r12vrr_stack+710, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+168);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7708, r12vrr_stack+1770, r12vrr_stack+7618, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+7098);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7858, r12vrr_stack+1860, r12vrr_stack+7708, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+7158);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8083, r12vrr_stack+2010, r12vrr_stack+7858, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+7258);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8398, r12vrr_stack+2460, r12vrr_stack+8083, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+7408);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+198, r12vrr_stack+1485, r12vrr_stack+3, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2235, r12vrr_stack+81, r12vrr_stack+198, r12vrr_stack+6, r12vrr_stack+1485, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2245, r12vrr_stack+1488, r12vrr_stack+2235, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+430, r12vrr_stack+1488, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2281, r12vrr_stack+1513, r12vrr_stack+2260, NULL, NULL, r12vrr_stack+1498);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+1534, r12vrr_stack+2281, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+710);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8818, r12vrr_stack+1597, r12vrr_stack+1110, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+7618);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9028, r12vrr_stack+4917, r12vrr_stack+8818, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+7708);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9343, r12vrr_stack+5127, r12vrr_stack+9028, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+7858);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9784, r12vrr_stack+5442, r12vrr_stack+9343, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+8083);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10372, r12vrr_stack+6324, r12vrr_stack+9784, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+8398);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2344, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+960, r12vrr_stack+1095, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2372, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+2372, r12vrr_stack+2344, NULL, NULL, r12vrr_stack+2817);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2400, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+1035, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+2400, r12vrr_stack+2372, NULL, NULL, r12vrr_stack+2775);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+1095, r12vrr_stack+440, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11212, r12vrr_stack+2344, r12vrr_stack+960, NULL, NULL, r12vrr_stack+1050);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11296, r12vrr_stack+1332, r12vrr_stack+11212, r12vrr_stack+2372, r12vrr_stack+2344, r12vrr_stack+3279);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11464, r12vrr_stack+11128, r12vrr_stack+1332, r12vrr_stack+2400, r12vrr_stack+2372, r12vrr_stack+2838);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11632, r12vrr_stack+11464, r12vrr_stack+11296, r12vrr_stack+11128, r12vrr_stack+1332, r12vrr_stack+3342);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+337, r12vrr_stack+1035, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2838, r12vrr_stack+2400, NULL, NULL, r12vrr_stack+2796);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11912, r12vrr_stack+3279, r12vrr_stack+11128, r12vrr_stack+2838, r12vrr_stack+2400, r12vrr_stack+2901);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12080, r12vrr_stack+11912, r12vrr_stack+11464, r12vrr_stack+3279, r12vrr_stack+11128, r12vrr_stack+2964);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2866, r12vrr_stack+1513, r12vrr_stack+2260, r12vrr_stack+440, r12vrr_stack+1498, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2894, r12vrr_stack+960, r12vrr_stack+2866, NULL, NULL, r12vrr_stack+1513);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12360, r12vrr_stack+11212, r12vrr_stack+2894, r12vrr_stack+2344, r12vrr_stack+960, r12vrr_stack+1534);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12528, r12vrr_stack+11296, r12vrr_stack+12360, r12vrr_stack+1332, r12vrr_stack+11212, r12vrr_stack+1597);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12808, r12vrr_stack+11632, r12vrr_stack+12528, r12vrr_stack+11464, r12vrr_stack+11296, r12vrr_stack+4917);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13228, r12vrr_stack+12080, r12vrr_stack+11632, r12vrr_stack+11912, r12vrr_stack+11464, r12vrr_stack+3468);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13648, r12vrr_stack+13228, r12vrr_stack+12808, r12vrr_stack+12080, r12vrr_stack+11632, r12vrr_stack+5127);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2978, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1248, r12vrr_stack+337, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3006, r12vrr_stack+2978, r12vrr_stack+2838, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+3279, r12vrr_stack+2978, r12vrr_stack+2838, r12vrr_stack+3090);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+11912, r12vrr_stack+3006, r12vrr_stack+3279, r12vrr_stack+3153);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+12080, r12vrr_stack+3363, r12vrr_stack+11912, r12vrr_stack+3678);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+13228, r12vrr_stack+14236, r12vrr_stack+12080, r12vrr_stack+3888);

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3090, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+3090, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3093, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+1485, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3103, r12vrr_stack+2235, r12vrr_stack+3093, r12vrr_stack+81, r12vrr_stack+198, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3118, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+1488, r12vrr_stack+2235, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3139, r12vrr_stack+2260, r12vrr_stack+3118, r12vrr_stack+1498, r12vrr_stack+2245, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3167, r12vrr_stack+2866, r12vrr_stack+3139, NULL, NULL, r12vrr_stack+2260);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3531, r12vrr_stack+2894, r12vrr_stack+3167, r12vrr_stack+960, r12vrr_stack+2866, r12vrr_stack+2281);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3699, r12vrr_stack+12360, r12vrr_stack+3531, r12vrr_stack+11212, r12vrr_stack+2894, r12vrr_stack+1110);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15524, r12vrr_stack+12528, r12vrr_stack+3699, r12vrr_stack+11296, r12vrr_stack+12360, r12vrr_stack+8818);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15944, r12vrr_stack+12808, r12vrr_stack+15524, r12vrr_stack+11632, r12vrr_stack+12528, r12vrr_stack+9028);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16532, r12vrr_stack+13648, r12vrr_stack+15944, r12vrr_stack+13228, r12vrr_stack+12808, r12vrr_stack+9343);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+13648, r12vrr_stack+14516, r12vrr_stack+13228, r12vrr_stack+5442);
 tmp = r12vrr_stack + 17316;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+16532, r12vrr_stack+14936, r12vrr_stack+13648, r12vrr_stack+9784);
 tmp = r12vrr_stack + 18100;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3979, r12vrr_stack+2372, r12vrr_stack+2344, r12vrr_stack+2775, r12vrr_stack+2817, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4015, r12vrr_stack+2400, r12vrr_stack+2372, r12vrr_stack+2796, r12vrr_stack+2775, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4051, r12vrr_stack+2344, r12vrr_stack+960, r12vrr_stack+2817, r12vrr_stack+1050, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4087, r12vrr_stack+3979, r12vrr_stack+4051, NULL, NULL, r12vrr_stack+2344);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+4015, r12vrr_stack+3979, NULL, NULL, r12vrr_stack+2372);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+264, r12vrr_stack+4087, r12vrr_stack+4015, r12vrr_stack+3979, r12vrr_stack+1332);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+2838, r12vrr_stack+2400, r12vrr_stack+990, r12vrr_stack+2796, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1368, r12vrr_stack+1332, r12vrr_stack+4015, NULL, NULL, r12vrr_stack+2400);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19324, r12vrr_stack+1368, r12vrr_stack+264, r12vrr_stack+1332, r12vrr_stack+4015, r12vrr_stack+11128);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+960, r12vrr_stack+2866, r12vrr_stack+1050, r12vrr_stack+1513, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19540, r12vrr_stack+4051, r12vrr_stack+11128, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19648, r12vrr_stack+4087, r12vrr_stack+19540, r12vrr_stack+3979, r12vrr_stack+4051, r12vrr_stack+11212);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19864, r12vrr_stack+19108, r12vrr_stack+19648, r12vrr_stack+264, r12vrr_stack+4087, r12vrr_stack+11296);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20224, r12vrr_stack+19324, r12vrr_stack+19108, r12vrr_stack+1368, r12vrr_stack+264, r12vrr_stack+11464);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20584, r12vrr_stack+20224, r12vrr_stack+19864, r12vrr_stack+19324, r12vrr_stack+19108, r12vrr_stack+11632);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11164, r12vrr_stack+2978, r12vrr_stack+2838, r12vrr_stack+1263, r12vrr_stack+990, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11200, r12vrr_stack+11164, r12vrr_stack+1332, NULL, NULL, r12vrr_stack+2838);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+1368, r12vrr_stack+11164, r12vrr_stack+1332, r12vrr_stack+3279);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+19324, r12vrr_stack+11200, r12vrr_stack+1368, r12vrr_stack+11912);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+20224, r12vrr_stack+11308, r12vrr_stack+19324, r12vrr_stack+12080);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+2866, r12vrr_stack+3139, r12vrr_stack+1513, r12vrr_stack+2260, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11920, r12vrr_stack+11128, r12vrr_stack+11884, NULL, NULL, r12vrr_stack+2866);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12028, r12vrr_stack+19540, r12vrr_stack+11920, r12vrr_stack+4051, r12vrr_stack+11128, r12vrr_stack+2894);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21664, r12vrr_stack+19648, r12vrr_stack+12028, r12vrr_stack+4087, r12vrr_stack+19540, r12vrr_stack+12360);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22024, r12vrr_stack+19864, r12vrr_stack+21664, r12vrr_stack+19108, r12vrr_stack+19648, r12vrr_stack+12528);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22564, r12vrr_stack+20584, r12vrr_stack+22024, r12vrr_stack+20224, r12vrr_stack+19864, r12vrr_stack+12808);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+20584, r12vrr_stack+11524, r12vrr_stack+20224, r12vrr_stack+13228);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+22564, r12vrr_stack+21124, r12vrr_stack+20584, r12vrr_stack+13648);
 tmp = r12vrr_stack + 24076;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13228, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13231, r12vrr_stack+3090, r12vrr_stack+13228, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13237, r12vrr_stack+48, r12vrr_stack+13231, r12vrr_stack+3, r12vrr_stack+3090, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13247, r12vrr_stack+3093, r12vrr_stack+13237, r12vrr_stack+198, r12vrr_stack+48, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13262, r12vrr_stack+3103, r12vrr_stack+13247, r12vrr_stack+2235, r12vrr_stack+3093, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13283, r12vrr_stack+3118, r12vrr_stack+13262, r12vrr_stack+2245, r12vrr_stack+3103, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13311, r12vrr_stack+3139, r12vrr_stack+13283, r12vrr_stack+2260, r12vrr_stack+3118, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13347, r12vrr_stack+11884, r12vrr_stack+13311, NULL, NULL, r12vrr_stack+3139);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+11920, r12vrr_stack+13347, r12vrr_stack+11128, r12vrr_stack+11884, r12vrr_stack+3167);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25300, r12vrr_stack+12028, r12vrr_stack+25084, r12vrr_stack+19540, r12vrr_stack+11920, r12vrr_stack+3531);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25660, r12vrr_stack+21664, r12vrr_stack+25300, r12vrr_stack+19648, r12vrr_stack+12028, r12vrr_stack+3699);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26200, r12vrr_stack+22024, r12vrr_stack+25660, r12vrr_stack+19864, r12vrr_stack+21664, r12vrr_stack+15524);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26956, r12vrr_stack+22564, r12vrr_stack+26200, r12vrr_stack+20584, r12vrr_stack+22024, r12vrr_stack+15944);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+26956, r12vrr_stack+23320, r12vrr_stack+22564, r12vrr_stack+16532);
 tmp = r12vrr_stack + 27964;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13455, r12vrr_stack+3979, r12vrr_stack+4051, r12vrr_stack+2372, r12vrr_stack+2344, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13500, r12vrr_stack+4015, r12vrr_stack+3979, r12vrr_stack+2400, r12vrr_stack+2372, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13545, r12vrr_stack+4051, r12vrr_stack+11128, r12vrr_stack+2344, r12vrr_stack+960, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+13455, r12vrr_stack+13545, NULL, NULL, r12vrr_stack+4051);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29395, r12vrr_stack+13500, r12vrr_stack+13455, NULL, NULL, r12vrr_stack+3979);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29530, r12vrr_stack+29395, r12vrr_stack+29260, r12vrr_stack+13500, r12vrr_stack+13455, r12vrr_stack+4087);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4087, r12vrr_stack+1332, r12vrr_stack+4015, r12vrr_stack+2838, r12vrr_stack+2400, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29800, r12vrr_stack+4087, r12vrr_stack+13500, NULL, NULL, r12vrr_stack+4015);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29935, r12vrr_stack+29800, r12vrr_stack+29395, r12vrr_stack+4087, r12vrr_stack+13500, r12vrr_stack+264);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+11128, r12vrr_stack+11884, r12vrr_stack+960, r12vrr_stack+2866, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+13545, r12vrr_stack+264, NULL, NULL, r12vrr_stack+11128);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+960, r12vrr_stack+13455, r12vrr_stack+13545, r12vrr_stack+19540);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30475, r12vrr_stack+29530, r12vrr_stack+30205, r12vrr_stack+29395, r12vrr_stack+29260, r12vrr_stack+19648);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30925, r12vrr_stack+29935, r12vrr_stack+29530, r12vrr_stack+29800, r12vrr_stack+29395, r12vrr_stack+19108);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31375, r12vrr_stack+30925, r12vrr_stack+30475, r12vrr_stack+29935, r12vrr_stack+29530, r12vrr_stack+19864);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+11164, r12vrr_stack+1332, r12vrr_stack+2978, r12vrr_stack+2838, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+19108, r12vrr_stack+4087, NULL, NULL, r12vrr_stack+1332);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+29800, r12vrr_stack+19108, r12vrr_stack+4087, r12vrr_stack+1368);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+29935, r12vrr_stack+19153, r12vrr_stack+29800, r12vrr_stack+19324);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+30925, r12vrr_stack+19540, r12vrr_stack+29935, r12vrr_stack+20224);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1368, r12vrr_stack+11884, r12vrr_stack+13311, r12vrr_stack+2866, r12vrr_stack+3139, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+264, r12vrr_stack+1368, NULL, NULL, r12vrr_stack+11884);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+960, r12vrr_stack+19288, r12vrr_stack+13545, r12vrr_stack+264, r12vrr_stack+11920);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20080, r12vrr_stack+30205, r12vrr_stack+19810, r12vrr_stack+29260, r12vrr_stack+960, r12vrr_stack+12028);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+30475, r12vrr_stack+20080, r12vrr_stack+29530, r12vrr_stack+30205, r12vrr_stack+21664);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33850, r12vrr_stack+31375, r12vrr_stack+33175, r12vrr_stack+30925, r12vrr_stack+30475, r12vrr_stack+22024);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+31375, r12vrr_stack+32050, r12vrr_stack+30925, r12vrr_stack+20584);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+33850, r12vrr_stack+32500, r12vrr_stack+31375, r12vrr_stack+22564);
 tmp = r12vrr_stack + 35740;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1413, r12vrr_stack+13228, r12vrr_stack+3, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1419, r12vrr_stack+13231, r12vrr_stack+1413, r12vrr_stack+3090, r12vrr_stack+13228, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+13237, r12vrr_stack+1419, r12vrr_stack+48, r12vrr_stack+13231, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1429, r12vrr_stack+13247, r12vrr_stack+1095, r12vrr_stack+3093, r12vrr_stack+13237, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1450, r12vrr_stack+13262, r12vrr_stack+1429, r12vrr_stack+3103, r12vrr_stack+13247, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19423, r12vrr_stack+13283, r12vrr_stack+1450, r12vrr_stack+3118, r12vrr_stack+13262, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19459, r12vrr_stack+13311, r12vrr_stack+19423, r12vrr_stack+3139, r12vrr_stack+13283, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20530, r12vrr_stack+1368, r12vrr_stack+19459, NULL, NULL, r12vrr_stack+13311);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20665, r12vrr_stack+19288, r12vrr_stack+20530, r12vrr_stack+264, r12vrr_stack+1368, r12vrr_stack+13347);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+19810, r12vrr_stack+20665, r12vrr_stack+960, r12vrr_stack+19288, r12vrr_stack+25084);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37450, r12vrr_stack+20080, r12vrr_stack+37000, r12vrr_stack+30205, r12vrr_stack+19810, r12vrr_stack+25300);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38125, r12vrr_stack+33175, r12vrr_stack+37450, r12vrr_stack+30475, r12vrr_stack+20080, r12vrr_stack+25660);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39070, r12vrr_stack+33850, r12vrr_stack+38125, r12vrr_stack+31375, r12vrr_stack+33175, r12vrr_stack+26200);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+39070, r12vrr_stack+34795, r12vrr_stack+33850, r12vrr_stack+26956);
 tmp = r12vrr_stack + 40330;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+755, r12vrr_stack+13455, r12vrr_stack+13545, r12vrr_stack+3979, r12vrr_stack+4051, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20935, r12vrr_stack+13500, r12vrr_stack+13455, r12vrr_stack+4015, r12vrr_stack+3979, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20990, r12vrr_stack+13545, r12vrr_stack+264, r12vrr_stack+4051, r12vrr_stack+11128, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+755, r12vrr_stack+20990, NULL, NULL, r12vrr_stack+13545);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42115, r12vrr_stack+20935, r12vrr_stack+755, NULL, NULL, r12vrr_stack+13455);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42280, r12vrr_stack+42115, r12vrr_stack+41950, r12vrr_stack+20935, r12vrr_stack+755, r12vrr_stack+29260);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+4087, r12vrr_stack+13500, r12vrr_stack+1332, r12vrr_stack+4015, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42610, r12vrr_stack+29260, r12vrr_stack+20935, NULL, NULL, r12vrr_stack+13500);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42775, r12vrr_stack+42610, r12vrr_stack+42115, r12vrr_stack+29260, r12vrr_stack+20935, r12vrr_stack+29395);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29315, r12vrr_stack+264, r12vrr_stack+1368, r12vrr_stack+11128, r12vrr_stack+11884, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43105, r12vrr_stack+20990, r12vrr_stack+29315, NULL, NULL, r12vrr_stack+264);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43270, r12vrr_stack+41950, r12vrr_stack+43105, r12vrr_stack+755, r12vrr_stack+20990, r12vrr_stack+960);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43600, r12vrr_stack+42280, r12vrr_stack+43270, r12vrr_stack+42115, r12vrr_stack+41950, r12vrr_stack+30205);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44150, r12vrr_stack+42775, r12vrr_stack+42280, r12vrr_stack+42610, r12vrr_stack+42115, r12vrr_stack+29530);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44700, r12vrr_stack+44150, r12vrr_stack+43600, r12vrr_stack+42775, r12vrr_stack+42280, r12vrr_stack+30475);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+19108, r12vrr_stack+4087, r12vrr_stack+11164, r12vrr_stack+1332, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+30205, r12vrr_stack+29260, NULL, NULL, r12vrr_stack+4087);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+42610, r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+29800);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+42775, r12vrr_stack+30260, r12vrr_stack+42610, r12vrr_stack+29935);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+44150, r12vrr_stack+30425, r12vrr_stack+42775, r12vrr_stack+30925);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+1368, r12vrr_stack+19459, r12vrr_stack+11884, r12vrr_stack+13311, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30810, r12vrr_stack+29315, r12vrr_stack+30755, NULL, NULL, r12vrr_stack+1368);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30975, r12vrr_stack+43105, r12vrr_stack+30810, r12vrr_stack+20990, r12vrr_stack+29315, r12vrr_stack+19288);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46350, r12vrr_stack+43270, r12vrr_stack+30975, r12vrr_stack+41950, r12vrr_stack+43105, r12vrr_stack+19810);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46900, r12vrr_stack+43600, r12vrr_stack+46350, r12vrr_stack+42280, r12vrr_stack+43270, r12vrr_stack+20080);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+47725, r12vrr_stack+44700, r12vrr_stack+46900, r12vrr_stack+44150, r12vrr_stack+43600, r12vrr_stack+33175);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+44700, r12vrr_stack+29370, r12vrr_stack+44150, r12vrr_stack+31375);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+47725, r12vrr_stack+45525, r12vrr_stack+44700, r12vrr_stack+33850);
 tmp = r12vrr_stack + 50035;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3090, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+3090, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1332, r12vrr_stack+1413, r12vrr_stack+48, r12vrr_stack+13228, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1342, r12vrr_stack+1419, r12vrr_stack+1332, r12vrr_stack+13231, r12vrr_stack+1413, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31305, r12vrr_stack+1095, r12vrr_stack+1342, r12vrr_stack+13237, r12vrr_stack+1419, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31326, r12vrr_stack+1429, r12vrr_stack+31305, r12vrr_stack+13247, r12vrr_stack+1095, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+1450, r12vrr_stack+31326, r12vrr_stack+13262, r12vrr_stack+1429, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31354, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+13283, r12vrr_stack+1450, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31399, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+13311, r12vrr_stack+19423, NULL);

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31454, r12vrr_stack+30755, r12vrr_stack+31399, NULL, NULL, r12vrr_stack+19459);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31619, r12vrr_stack+30810, r12vrr_stack+31454, r12vrr_stack+29315, r12vrr_stack+30755, r12vrr_stack+20530);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+30975, r12vrr_stack+31619, r12vrr_stack+43105, r12vrr_stack+30810, r12vrr_stack+20665);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52125, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+43270, r12vrr_stack+30975, r12vrr_stack+37000);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52950, r12vrr_stack+46900, r12vrr_stack+52125, r12vrr_stack+43600, r12vrr_stack+46350, r12vrr_stack+37450);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+54105, r12vrr_stack+47725, r12vrr_stack+52950, r12vrr_stack+44700, r12vrr_stack+46900, r12vrr_stack+38125);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+54105, r12vrr_stack+48880, r12vrr_stack+47725, r12vrr_stack+39070);
 tmp = r12vrr_stack + 55645;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+755, r12vrr_stack+20990, r12vrr_stack+13455, r12vrr_stack+13545, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+20935, r12vrr_stack+755, r12vrr_stack+13500, r12vrr_stack+13455, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1026, r12vrr_stack+20990, r12vrr_stack+29315, r12vrr_stack+13545, r12vrr_stack+264, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+31949, r12vrr_stack+1026, NULL, NULL, r12vrr_stack+20990);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+960, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+755);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57823, r12vrr_stack+57625, r12vrr_stack+29920, r12vrr_stack+960, r12vrr_stack+31949, r12vrr_stack+41950);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+29260, r12vrr_stack+20935, r12vrr_stack+4087, r12vrr_stack+13500, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58219, r12vrr_stack+41950, r12vrr_stack+960, NULL, NULL, r12vrr_stack+20935);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58417, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+41950, r12vrr_stack+960, r12vrr_stack+42115);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42016, r12vrr_stack+29315, r12vrr_stack+30755, r12vrr_stack+264, r12vrr_stack+1368, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42082, r12vrr_stack+1026, r12vrr_stack+42016, NULL, NULL, r12vrr_stack+29315);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+42082, r12vrr_stack+31949, r12vrr_stack+1026, r12vrr_stack+43105);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59209, r12vrr_stack+57823, r12vrr_stack+58813, r12vrr_stack+57625, r12vrr_stack+29920, r12vrr_stack+43270);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59869, r12vrr_stack+58417, r12vrr_stack+57823, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+42280);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60529, r12vrr_stack+59869, r12vrr_stack+59209, r12vrr_stack+58417, r12vrr_stack+57823, r12vrr_stack+43600);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42280, r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+19108, r12vrr_stack+4087, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42346, r12vrr_stack+42280, r12vrr_stack+41950, NULL, NULL, r12vrr_stack+29260);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+58219, r12vrr_stack+42280, r12vrr_stack+41950, r12vrr_stack+42610);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+58417, r12vrr_stack+42346, r12vrr_stack+58219, r12vrr_stack+42775);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+59869, r12vrr_stack+43105, r12vrr_stack+58417, r12vrr_stack+44150);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42544, r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+1368, r12vrr_stack+19459, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42610, r12vrr_stack+42016, r12vrr_stack+42544, NULL, NULL, r12vrr_stack+30755);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+42082, r12vrr_stack+42610, r12vrr_stack+1026, r12vrr_stack+42016, r12vrr_stack+30810);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43897, r12vrr_stack+58813, r12vrr_stack+43501, r12vrr_stack+29920, r12vrr_stack+42082, r12vrr_stack+30975);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+59209, r12vrr_stack+43897, r12vrr_stack+57823, r12vrr_stack+58813, r12vrr_stack+46350);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+64159, r12vrr_stack+60529, r12vrr_stack+63169, r12vrr_stack+59869, r12vrr_stack+59209, r12vrr_stack+46900);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+60529, r12vrr_stack+61519, r12vrr_stack+59869, r12vrr_stack+44700);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+64159, r12vrr_stack+62179, r12vrr_stack+60529, r12vrr_stack+47725);
 tmp = r12vrr_stack + 66931;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1092, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+42808, r12vrr_stack+3090, r12vrr_stack+1092, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+42814, r12vrr_stack+48, r12vrr_stack+42808, r12vrr_stack+3, r12vrr_stack+3090, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+42824, r12vrr_stack+1332, r12vrr_stack+42814, r12vrr_stack+1413, r12vrr_stack+48, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+42839, r12vrr_stack+1342, r12vrr_stack+42824, r12vrr_stack+1419, r12vrr_stack+1332, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+42860, r12vrr_stack+31305, r12vrr_stack+42839, r12vrr_stack+1095, r12vrr_stack+1342, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19504, r12vrr_stack+31326, r12vrr_stack+42860, r12vrr_stack+1429, r12vrr_stack+31305, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42888, r12vrr_stack+11128, r12vrr_stack+19504, r12vrr_stack+1450, r12vrr_stack+31326, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42933, r12vrr_stack+31354, r12vrr_stack+42888, r12vrr_stack+19423, r12vrr_stack+11128, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42988, r12vrr_stack+31399, r12vrr_stack+42933, r12vrr_stack+19459, r12vrr_stack+31354, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44557, r12vrr_stack+42544, r12vrr_stack+42988, NULL, NULL, r12vrr_stack+31399);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44755, r12vrr_stack+42610, r12vrr_stack+44557, r12vrr_stack+42016, r12vrr_stack+42544, r12vrr_stack+31454);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+43501, r12vrr_stack+44755, r12vrr_stack+42082, r12vrr_stack+42610, r12vrr_stack+31619);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+69439, r12vrr_stack+43897, r12vrr_stack+68779, r12vrr_stack+58813, r12vrr_stack+43501, r12vrr_stack+51575);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+70429, r12vrr_stack+63169, r12vrr_stack+69439, r12vrr_stack+59209, r12vrr_stack+43897, r12vrr_stack+52125);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71815, r12vrr_stack+64159, r12vrr_stack+70429, r12vrr_stack+60529, r12vrr_stack+63169, r12vrr_stack+52950);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+71815, r12vrr_stack+65545, r12vrr_stack+64159, r12vrr_stack+54105);
 tmp = r12vrr_stack + 73663;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+31949, r12vrr_stack+1026, r12vrr_stack+755, r12vrr_stack+20990, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45229, r12vrr_stack+960, r12vrr_stack+31949, r12vrr_stack+20935, r12vrr_stack+755, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45307, r12vrr_stack+1026, r12vrr_stack+42016, r12vrr_stack+20990, r12vrr_stack+29315, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+45151, r12vrr_stack+45307, NULL, NULL, r12vrr_stack+1026);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76273, r12vrr_stack+45229, r12vrr_stack+45151, NULL, NULL, r12vrr_stack+31949);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76507, r12vrr_stack+76273, r12vrr_stack+76039, r12vrr_stack+45229, r12vrr_stack+45151, r12vrr_stack+29920);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+41950, r12vrr_stack+960, r12vrr_stack+29260, r12vrr_stack+20935, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76975, r12vrr_stack+29920, r12vrr_stack+45229, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77209, r12vrr_stack+76975, r12vrr_stack+76273, r12vrr_stack+29920, r12vrr_stack+45229, r12vrr_stack+57625);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+42016, r12vrr_stack+42544, r12vrr_stack+29315, r12vrr_stack+30755, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77677, r12vrr_stack+45307, r12vrr_stack+57625, NULL, NULL, r12vrr_stack+42016);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77911, r12vrr_stack+76039, r12vrr_stack+77677, r12vrr_stack+45151, r12vrr_stack+45307, r12vrr_stack+42082);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78379, r12vrr_stack+76507, r12vrr_stack+77911, r12vrr_stack+76273, r12vrr_stack+76039, r12vrr_stack+58813);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79159, r12vrr_stack+77209, r12vrr_stack+76507, r12vrr_stack+76975, r12vrr_stack+76273, r12vrr_stack+57823);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79939, r12vrr_stack+79159, r12vrr_stack+78379, r12vrr_stack+77209, r12vrr_stack+76507, r12vrr_stack+59209);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58813, r12vrr_stack+42280, r12vrr_stack+41950, r12vrr_stack+30205, r12vrr_stack+29260, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58891, r12vrr_stack+58813, r12vrr_stack+29920, NULL, NULL, r12vrr_stack+41950);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+76975, r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+58219);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+77209, r12vrr_stack+58891, r12vrr_stack+76975, r12vrr_stack+58417);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+79159, r12vrr_stack+59125, r12vrr_stack+77209, r12vrr_stack+59869);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+42544, r12vrr_stack+42988, r12vrr_stack+30755, r12vrr_stack+31399, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59593, r12vrr_stack+57625, r12vrr_stack+29260, NULL, NULL, r12vrr_stack+42544);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59827, r12vrr_stack+77677, r12vrr_stack+59593, r12vrr_stack+45307, r12vrr_stack+57625, r12vrr_stack+42610);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57703, r12vrr_stack+77911, r12vrr_stack+59827, r12vrr_stack+76039, r12vrr_stack+77677, r12vrr_stack+43501);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+78379, r12vrr_stack+57703, r12vrr_stack+76507, r12vrr_stack+77911, r12vrr_stack+43897);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+84229, r12vrr_stack+79939, r12vrr_stack+83059, r12vrr_stack+79159, r12vrr_stack+78379, r12vrr_stack+63169);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+79939, r12vrr_stack+81109, r12vrr_stack+79159, r12vrr_stack+60529);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+84229, r12vrr_stack+81889, r12vrr_stack+79939, r12vrr_stack+64159);
 tmp = r12vrr_stack + 87505;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+29338, r12vrr_stack+1092, r12vrr_stack+3, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+29344, r12vrr_stack+42808, r12vrr_stack+29338, r12vrr_stack+3090, r12vrr_stack+1092, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+42814, r12vrr_stack+29344, r12vrr_stack+48, r12vrr_stack+42808, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60295, r12vrr_stack+42824, r12vrr_stack+1095, r12vrr_stack+1332, r12vrr_stack+42814, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+60316, r12vrr_stack+42839, r12vrr_stack+60295, r12vrr_stack+1342, r12vrr_stack+42824, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+42860, r12vrr_stack+60316, r12vrr_stack+31305, r12vrr_stack+42839, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+60344, r12vrr_stack+19504, r12vrr_stack+1332, r12vrr_stack+31326, r12vrr_stack+42860, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+755, r12vrr_stack+42888, r12vrr_stack+60344, r12vrr_stack+11128, r12vrr_stack+19504, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60389, r12vrr_stack+42933, r12vrr_stack+755, r12vrr_stack+31354, r12vrr_stack+42888, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60455, r12vrr_stack+42988, r12vrr_stack+60389, r12vrr_stack+31399, r12vrr_stack+42933, NULL);

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60533, r12vrr_stack+29260, r12vrr_stack+60455, NULL, NULL, r12vrr_stack+42988);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60767, r12vrr_stack+59593, r12vrr_stack+60533, r12vrr_stack+57625, r12vrr_stack+29260, r12vrr_stack+44557);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+59827, r12vrr_stack+60767, r12vrr_stack+77677, r12vrr_stack+59593, r12vrr_stack+44755);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+90469, r12vrr_stack+57703, r12vrr_stack+89689, r12vrr_stack+77911, r12vrr_stack+59827, r12vrr_stack+68779);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+91639, r12vrr_stack+83059, r12vrr_stack+90469, r12vrr_stack+78379, r12vrr_stack+57703, r12vrr_stack+69439);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+93277, r12vrr_stack+84229, r12vrr_stack+91639, r12vrr_stack+79939, r12vrr_stack+83059, r12vrr_stack+70429);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+93277, r12vrr_stack+85867, r12vrr_stack+84229, r12vrr_stack+71815);
 tmp = r12vrr_stack + 95461;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+45151, r12vrr_stack+45307, r12vrr_stack+31949, r12vrr_stack+1026, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+61235, r12vrr_stack+45229, r12vrr_stack+45151, r12vrr_stack+960, r12vrr_stack+31949, NULL);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+45307, r12vrr_stack+57625, r12vrr_stack+1026, r12vrr_stack+42016, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+2775, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+45307);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+61235, r12vrr_stack+2775, NULL, NULL, r12vrr_stack+45151);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+98542, r12vrr_stack+98269, r12vrr_stack+58483, r12vrr_stack+61235, r12vrr_stack+2775, r12vrr_stack+76039);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+29920, r12vrr_stack+45229, r12vrr_stack+41950, r12vrr_stack+960, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99088, r12vrr_stack+76039, r12vrr_stack+61235, NULL, NULL, r12vrr_stack+45229);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99361, r12vrr_stack+99088, r12vrr_stack+98269, r12vrr_stack+76039, r12vrr_stack+61235, r12vrr_stack+76273);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+57625, r12vrr_stack+29260, r12vrr_stack+42016, r12vrr_stack+42544, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76130, r12vrr_stack+31949, r12vrr_stack+960, NULL, NULL, r12vrr_stack+57625);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99907, r12vrr_stack+58483, r12vrr_stack+76130, r12vrr_stack+2775, r12vrr_stack+31949, r12vrr_stack+77677);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+100453, r12vrr_stack+98542, r12vrr_stack+99907, r12vrr_stack+98269, r12vrr_stack+58483, r12vrr_stack+77911);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+101363, r12vrr_stack+99361, r12vrr_stack+98542, r12vrr_stack+99088, r12vrr_stack+98269, r12vrr_stack+76507);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+102273, r12vrr_stack+101363, r12vrr_stack+100453, r12vrr_stack+99361, r12vrr_stack+98542, r12vrr_stack+78379);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+77677, r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+42280, r12vrr_stack+41950, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+77677, r12vrr_stack+76039, NULL, NULL, r12vrr_stack+29920);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+77768, r12vrr_stack+41950, r12vrr_stack+99088, r12vrr_stack+77677, r12vrr_stack+76039, r12vrr_stack+76975);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+103638, r12vrr_stack+77768, r12vrr_stack+99361, r12vrr_stack+41950, r12vrr_stack+99088, r12vrr_stack+77209);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+104548, r12vrr_stack+103638, r12vrr_stack+101363, r12vrr_stack+77768, r12vrr_stack+99361, r12vrr_stack+79159);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+29260, r12vrr_stack+60455, r12vrr_stack+42544, r12vrr_stack+42988, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78405, r12vrr_stack+960, r12vrr_stack+78314, NULL, NULL, r12vrr_stack+29260);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78678, r12vrr_stack+76130, r12vrr_stack+78405, r12vrr_stack+31949, r12vrr_stack+960, r12vrr_stack+59593);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76403, r12vrr_stack+99907, r12vrr_stack+78678, r12vrr_stack+58483, r12vrr_stack+76130, r12vrr_stack+59827);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+100453, r12vrr_stack+76403, r12vrr_stack+98542, r12vrr_stack+99907, r12vrr_stack+57703);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+107278, r12vrr_stack+102273, r12vrr_stack+105913, r12vrr_stack+101363, r12vrr_stack+100453, r12vrr_stack+83059);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+109189, r12vrr_stack+104548, r12vrr_stack+102273, r12vrr_stack+103638, r12vrr_stack+101363, r12vrr_stack+79939);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+107278, r12vrr_stack+104548, r12vrr_stack+102273, r12vrr_stack+84229);
 tmp = r12vrr_stack + 111100;
 target_ptr = Libr12->gvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3090, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+3090, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+32040, r12vrr_stack+29338, r12vrr_stack+48, r12vrr_stack+1092, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+42223, r12vrr_stack+29344, r12vrr_stack+32040, r12vrr_stack+42808, r12vrr_stack+29338, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31305, r12vrr_stack+1095, r12vrr_stack+42223, r12vrr_stack+42814, r12vrr_stack+29344, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+42238, r12vrr_stack+60295, r12vrr_stack+31305, r12vrr_stack+42824, r12vrr_stack+1095, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+79224, r12vrr_stack+60316, r12vrr_stack+42238, r12vrr_stack+42839, r12vrr_stack+60295, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42808, r12vrr_stack+1332, r12vrr_stack+79224, r12vrr_stack+42860, r12vrr_stack+60316, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+79260, r12vrr_stack+60344, r12vrr_stack+42808, r12vrr_stack+19504, r12vrr_stack+1332, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+79315, r12vrr_stack+755, r12vrr_stack+79260, r12vrr_stack+42888, r12vrr_stack+60344, NULL);

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79381, r12vrr_stack+60389, r12vrr_stack+79315, r12vrr_stack+42933, r12vrr_stack+755, NULL);

 /*--- compute (00|q0)^7 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79459, r12vrr_stack+60455, r12vrr_stack+79381, r12vrr_stack+42988, r12vrr_stack+60389, NULL);

 /*--- compute (p0|q0)^6 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79550, r12vrr_stack+78314, r12vrr_stack+79459, NULL, NULL, r12vrr_stack+60455);

 /*--- compute (d0|q0)^5 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79823, r12vrr_stack+78405, r12vrr_stack+79550, r12vrr_stack+960, r12vrr_stack+78314, r12vrr_stack+60533);

 /*--- compute (f0|q0)^4 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+78678, r12vrr_stack+79823, r12vrr_stack+76130, r12vrr_stack+78405, r12vrr_stack+60767);

 /*--- compute (g0|q0)^3 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+114558, r12vrr_stack+76403, r12vrr_stack+113648, r12vrr_stack+99907, r12vrr_stack+78678, r12vrr_stack+89689);

 /*--- compute (h0|q0)^2 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+115923, r12vrr_stack+105913, r12vrr_stack+114558, r12vrr_stack+100453, r12vrr_stack+76403, r12vrr_stack+90469);

 /*--- compute (i0|q0)^1 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+117834, r12vrr_stack+107278, r12vrr_stack+115923, r12vrr_stack+102273, r12vrr_stack+105913, r12vrr_stack+91639);

 /*--- compute (k0|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+117834, r12vrr_stack+109189, r12vrr_stack+107278, r12vrr_stack+93277);
 tmp = r12vrr_stack + 120382;
 target_ptr = Libr12->gvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80369, r12vrr_stack+2775, r12vrr_stack+31949, r12vrr_stack+45151, r12vrr_stack+45307, NULL);

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80474, r12vrr_stack+61235, r12vrr_stack+2775, r12vrr_stack+45229, r12vrr_stack+45151, NULL);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80579, r12vrr_stack+31949, r12vrr_stack+960, r12vrr_stack+45307, r12vrr_stack+57625, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80684, r12vrr_stack+80369, r12vrr_stack+80579, NULL, NULL, r12vrr_stack+31949);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+77313, r12vrr_stack+80474, r12vrr_stack+80369, NULL, NULL, r12vrr_stack+2775);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+77313, r12vrr_stack+80684, r12vrr_stack+80474, r12vrr_stack+80369, r12vrr_stack+58483);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+76039, r12vrr_stack+61235, r12vrr_stack+29920, r12vrr_stack+45229, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+58483, r12vrr_stack+80474, NULL, NULL, r12vrr_stack+61235);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+124288, r12vrr_stack+45151, r12vrr_stack+77313, r12vrr_stack+58483, r12vrr_stack+80474, r12vrr_stack+98269);

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80474, r12vrr_stack+960, r12vrr_stack+78314, r12vrr_stack+57625, r12vrr_stack+29260, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+124918, r12vrr_stack+80579, r12vrr_stack+80474, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+125233, r12vrr_stack+80684, r12vrr_stack+124918, r12vrr_stack+80369, r12vrr_stack+80579, r12vrr_stack+76130);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+125863, r12vrr_stack+123658, r12vrr_stack+125233, r12vrr_stack+77313, r12vrr_stack+80684, r12vrr_stack+99907);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+126913, r12vrr_stack+124288, r12vrr_stack+123658, r12vrr_stack+45151, r12vrr_stack+77313, r12vrr_stack+98542);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+127963, r12vrr_stack+126913, r12vrr_stack+125863, r12vrr_stack+124288, r12vrr_stack+123658, r12vrr_stack+100453);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80369, r12vrr_stack+77677, r12vrr_stack+76039, r12vrr_stack+58813, r12vrr_stack+29920, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+77313, r12vrr_stack+80369, r12vrr_stack+58483, NULL, NULL, r12vrr_stack+76039);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+99907, r12vrr_stack+77313, r12vrr_stack+45151, r12vrr_stack+80369, r12vrr_stack+58483, r12vrr_stack+99088);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+99907, r12vrr_stack+124288, r12vrr_stack+77313, r12vrr_stack+45151, r12vrr_stack+99361);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+129538, r12vrr_stack+98269, r12vrr_stack+126913, r12vrr_stack+99907, r12vrr_stack+124288, r12vrr_stack+101363);

 /*--- compute (00|r0)^6 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80369, r12vrr_stack+78314, r12vrr_stack+79459, r12vrr_stack+29260, r12vrr_stack+60455, NULL);

 /*--- compute (p0|r0)^5 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+124288, r12vrr_stack+80474, r12vrr_stack+80369, NULL, NULL, r12vrr_stack+78314);

 /*--- compute (d0|r0)^4 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+99319, r12vrr_stack+124918, r12vrr_stack+124288, r12vrr_stack+80579, r12vrr_stack+80474, r12vrr_stack+78405);

 /*--- compute (f0|r0)^3 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+99949, r12vrr_stack+125233, r12vrr_stack+99319, r12vrr_stack+80684, r12vrr_stack+124918, r12vrr_stack+78678);

 /*--- compute (g0|r0)^2 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+131113, r12vrr_stack+125863, r12vrr_stack+99949, r12vrr_stack+123658, r12vrr_stack+125233, r12vrr_stack+76403);

 /*--- compute (h0|r0)^1 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+132688, r12vrr_stack+127963, r12vrr_stack+131113, r12vrr_stack+126913, r12vrr_stack+125863, r12vrr_stack+105913);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+134893, r12vrr_stack+129538, r12vrr_stack+127963, r12vrr_stack+98269, r12vrr_stack+126913, r12vrr_stack+102273);

 /*--- compute (i0|r0)^0 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+137098, r12vrr_stack+134893, r12vrr_stack+132688, r12vrr_stack+129538, r12vrr_stack+127963, r12vrr_stack+107278);
 tmp = r12vrr_stack + 137098;
 target_ptr = Libr12->gvrr_classes[6][13];
 for(i=0;i<2940;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+129538, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+129541, r12vrr_stack+1723, r12vrr_stack+129538, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+129547, r12vrr_stack+1726, r12vrr_stack+129541, r12vrr_stack+0, r12vrr_stack+1723, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1236, r12vrr_stack+105, r12vrr_stack+78, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+60, r12vrr_stack+1732, r12vrr_stack+1236, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+129538);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+129557, r12vrr_stack+1741, r12vrr_stack+60, r12vrr_stack+12, r12vrr_stack+1732, r12vrr_stack+129541);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+129587, r12vrr_stack+1284, r12vrr_stack+129557, r12vrr_stack+30, r12vrr_stack+1741, r12vrr_stack+129547);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+87, r12vrr_stack+414, NULL, NULL, r12vrr_stack+78);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+129632, r12vrr_stack+1314, r12vrr_stack+9, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+1236);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+129668, r12vrr_stack+6912, r12vrr_stack+129632, r12vrr_stack+114, r12vrr_stack+1314, r12vrr_stack+60);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+129728, r12vrr_stack+6948, r12vrr_stack+129668, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+129557);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+129818, r12vrr_stack+7008, r12vrr_stack+129728, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+129587);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+204, r12vrr_stack+430, r12vrr_stack+1488, NULL, NULL, r12vrr_stack+414);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+108, r12vrr_stack+168, r12vrr_stack+204, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+9);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+234, r12vrr_stack+7098, r12vrr_stack+108, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+129632);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+129944, r12vrr_stack+7158, r12vrr_stack+234, r12vrr_stack+550, r12vrr_stack+7098, r12vrr_stack+129668);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+130094, r12vrr_stack+7258, r12vrr_stack+129944, r12vrr_stack+610, r12vrr_stack+7158, r12vrr_stack+129728);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+130304, r12vrr_stack+7408, r12vrr_stack+130094, r12vrr_stack+810, r12vrr_stack+7258, r12vrr_stack+129818);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+810, r12vrr_stack+1498, r12vrr_stack+2245, NULL, NULL, r12vrr_stack+1488);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+855, r12vrr_stack+710, r12vrr_stack+810, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+204);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+945, r12vrr_stack+7618, r12vrr_stack+855, r12vrr_stack+455, r12vrr_stack+710, r12vrr_stack+108);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+440, r12vrr_stack+7708, r12vrr_stack+945, r12vrr_stack+1770, r12vrr_stack+7618, r12vrr_stack+234);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+124603, r12vrr_stack+7858, r12vrr_stack+440, r12vrr_stack+1860, r12vrr_stack+7708, r12vrr_stack+129944);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+130584, r12vrr_stack+8083, r12vrr_stack+124603, r12vrr_stack+2010, r12vrr_stack+7858, r12vrr_stack+130094);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+126913, r12vrr_stack+8398, r12vrr_stack+130584, r12vrr_stack+2460, r12vrr_stack+8083, r12vrr_stack+130304);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+334, r12vrr_stack+2260, r12vrr_stack+3118, NULL, NULL, r12vrr_stack+2245);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+127453, r12vrr_stack+2281, r12vrr_stack+334, r12vrr_stack+1513, r12vrr_stack+2260, r12vrr_stack+810);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+127579, r12vrr_stack+1110, r12vrr_stack+127453, r12vrr_stack+1534, r12vrr_stack+2281, r12vrr_stack+855);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+8818, r12vrr_stack+127579, r12vrr_stack+1597, r12vrr_stack+1110, r12vrr_stack+945);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+98584, r12vrr_stack+9028, r12vrr_stack+98269, r12vrr_stack+4917, r12vrr_stack+8818, r12vrr_stack+440);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+9343, r12vrr_stack+98584, r12vrr_stack+5127, r12vrr_stack+9028, r12vrr_stack+124603);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+100999, r12vrr_stack+9784, r12vrr_stack+123658, r12vrr_stack+5442, r12vrr_stack+9343, r12vrr_stack+130584);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+10372, r12vrr_stack+100999, r12vrr_stack+6324, r12vrr_stack+9784, r12vrr_stack+126913);

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+3139, r12vrr_stack+13283, NULL, NULL, r12vrr_stack+3118);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+127789, r12vrr_stack+3167, r12vrr_stack+1513, r12vrr_stack+2866, r12vrr_stack+3139, r12vrr_stack+334);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+99025, r12vrr_stack+3531, r12vrr_stack+127789, r12vrr_stack+2894, r12vrr_stack+3167, r12vrr_stack+127453);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+80579, r12vrr_stack+3699, r12vrr_stack+99025, r12vrr_stack+12360, r12vrr_stack+3531, r12vrr_stack+127579);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+101755, r12vrr_stack+15524, r12vrr_stack+80579, r12vrr_stack+12528, r12vrr_stack+3699, r12vrr_stack+98269);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+102343, r12vrr_stack+15944, r12vrr_stack+101755, r12vrr_stack+12808, r12vrr_stack+15524, r12vrr_stack+98584);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+140038, r12vrr_stack+16532, r12vrr_stack+102343, r12vrr_stack+13648, r12vrr_stack+15944, r12vrr_stack+123658);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+141046, r12vrr_stack+18100, r12vrr_stack+140038, r12vrr_stack+17316, r12vrr_stack+16532, r12vrr_stack+100999);
 tmp = r12vrr_stack + 141046;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1597, r12vrr_stack+13311, r12vrr_stack+19423, NULL, NULL, r12vrr_stack+13283);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+13347, r12vrr_stack+1597, r12vrr_stack+11884, r12vrr_stack+13311, r12vrr_stack+1513);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+77313, r12vrr_stack+25084, r12vrr_stack+45151, r12vrr_stack+11920, r12vrr_stack+13347, r12vrr_stack+127789);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13455, r12vrr_stack+25300, r12vrr_stack+77313, r12vrr_stack+12028, r12vrr_stack+25084, r12vrr_stack+99025);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+25660, r12vrr_stack+13455, r12vrr_stack+21664, r12vrr_stack+25300, r12vrr_stack+80579);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+142306, r12vrr_stack+26200, r12vrr_stack+11884, r12vrr_stack+22024, r12vrr_stack+25660, r12vrr_stack+101755);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+143314, r12vrr_stack+26956, r12vrr_stack+142306, r12vrr_stack+22564, r12vrr_stack+26200, r12vrr_stack+102343);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+143314, r12vrr_stack+24076, r12vrr_stack+26956, r12vrr_stack+140038);
 tmp = r12vrr_stack + 21664;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12640, r12vrr_stack+19459, r12vrr_stack+31354, NULL, NULL, r12vrr_stack+19423);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12775, r12vrr_stack+20530, r12vrr_stack+12640, r12vrr_stack+1368, r12vrr_stack+19459, r12vrr_stack+1597);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+103127, r12vrr_stack+20665, r12vrr_stack+12775, r12vrr_stack+19288, r12vrr_stack+20530, r12vrr_stack+45151);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+144610, r12vrr_stack+37000, r12vrr_stack+103127, r12vrr_stack+19810, r12vrr_stack+20665, r12vrr_stack+77313);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+145285, r12vrr_stack+37450, r12vrr_stack+144610, r12vrr_stack+20080, r12vrr_stack+37000, r12vrr_stack+13455);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+146230, r12vrr_stack+38125, r12vrr_stack+145285, r12vrr_stack+33175, r12vrr_stack+37450, r12vrr_stack+11884);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+147490, r12vrr_stack+39070, r12vrr_stack+146230, r12vrr_stack+33850, r12vrr_stack+38125, r12vrr_stack+142306);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+147490, r12vrr_stack+35740, r12vrr_stack+39070, r12vrr_stack+143314);
 tmp = r12vrr_stack + 149110;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+31399, r12vrr_stack+42933, NULL, NULL, r12vrr_stack+31354);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+31454, r12vrr_stack+33175, r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+12640);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33340, r12vrr_stack+31619, r12vrr_stack+58483, r12vrr_stack+30810, r12vrr_stack+31454, r12vrr_stack+12775);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33890, r12vrr_stack+51575, r12vrr_stack+33340, r12vrr_stack+30975, r12vrr_stack+31619, r12vrr_stack+103127);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+151135, r12vrr_stack+52125, r12vrr_stack+33890, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+144610);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+152290, r12vrr_stack+52950, r12vrr_stack+151135, r12vrr_stack+46900, r12vrr_stack+52125, r12vrr_stack+145285);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+153830, r12vrr_stack+54105, r12vrr_stack+152290, r12vrr_stack+47725, r12vrr_stack+52950, r12vrr_stack+146230);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+153830, r12vrr_stack+50035, r12vrr_stack+54105, r12vrr_stack+147490);
 tmp = r12vrr_stack + 46350;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+42988, r12vrr_stack+60389, NULL, NULL, r12vrr_stack+42933);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+44557, r12vrr_stack+30755, r12vrr_stack+42544, r12vrr_stack+42988, r12vrr_stack+33175);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+155810, r12vrr_stack+44755, r12vrr_stack+19810, r12vrr_stack+42610, r12vrr_stack+44557, r12vrr_stack+58483);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+156470, r12vrr_stack+68779, r12vrr_stack+155810, r12vrr_stack+43501, r12vrr_stack+44755, r12vrr_stack+33340);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+157460, r12vrr_stack+69439, r12vrr_stack+156470, r12vrr_stack+43897, r12vrr_stack+68779, r12vrr_stack+33890);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+158846, r12vrr_stack+70429, r12vrr_stack+157460, r12vrr_stack+63169, r12vrr_stack+69439, r12vrr_stack+151135);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+160694, r12vrr_stack+71815, r12vrr_stack+158846, r12vrr_stack+64159, r12vrr_stack+70429, r12vrr_stack+152290);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+160694, r12vrr_stack+66931, r12vrr_stack+71815, r12vrr_stack+153830);
 tmp = r12vrr_stack + 163070;
 target_ptr = Libr12->gvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^7 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+60455, r12vrr_stack+79381, NULL, NULL, r12vrr_stack+60389);

 /*--- compute (d0|o0)^6 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63403, r12vrr_stack+60533, r12vrr_stack+63169, r12vrr_stack+29260, r12vrr_stack+60455, r12vrr_stack+30755);

 /*--- compute (f0|o0)^5 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63871, r12vrr_stack+60767, r12vrr_stack+63403, r12vrr_stack+59593, r12vrr_stack+60533, r12vrr_stack+19810);

 /*--- compute (g0|o0)^4 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+166040, r12vrr_stack+89689, r12vrr_stack+63871, r12vrr_stack+59827, r12vrr_stack+60767, r12vrr_stack+155810);

 /*--- compute (h0|o0)^3 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+167210, r12vrr_stack+90469, r12vrr_stack+166040, r12vrr_stack+57703, r12vrr_stack+89689, r12vrr_stack+156470);

 /*--- compute (i0|o0)^2 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+168848, r12vrr_stack+91639, r12vrr_stack+167210, r12vrr_stack+83059, r12vrr_stack+90469, r12vrr_stack+157460);

 /*--- compute (k0|o0)^1 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+171032, r12vrr_stack+93277, r12vrr_stack+168848, r12vrr_stack+84229, r12vrr_stack+91639, r12vrr_stack+158846);

 /*--- compute (l0|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+171032, r12vrr_stack+87505, r12vrr_stack+93277, r12vrr_stack+160694);
 tmp = r12vrr_stack + 173840;
 target_ptr = Libr12->gvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^19 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+19, Data->F+20, NULL, NULL, NULL);

 /*--- compute (00|d0)^18 ---*/
 _BUILD_00d0(Data,r12vrr_stack+127957, r12vrr_stack+3090, r12vrr_stack+0, Data->F+18, Data->F+19, NULL);

 /*--- compute (00|f0)^17 ---*/
 _BUILD_00f0(Data,r12vrr_stack+83059, r12vrr_stack+48, r12vrr_stack+127957, r12vrr_stack+3, r12vrr_stack+3090, NULL);

 /*--- compute (00|g0)^16 ---*/
 _BUILD_00g0(Data,r12vrr_stack+83069, r12vrr_stack+32040, r12vrr_stack+83059, r12vrr_stack+29338, r12vrr_stack+48, NULL);

 /*--- compute (00|h0)^15 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+42223, r12vrr_stack+83069, r12vrr_stack+29344, r12vrr_stack+32040, NULL);

 /*--- compute (00|i0)^14 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+83084, r12vrr_stack+31305, r12vrr_stack+5862, r12vrr_stack+1095, r12vrr_stack+42223, NULL);

 /*--- compute (00|k0)^13 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23284, r12vrr_stack+42238, r12vrr_stack+83084, r12vrr_stack+60295, r12vrr_stack+31305, NULL);

 /*--- compute (00|l0)^12 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+665, r12vrr_stack+79224, r12vrr_stack+23284, r12vrr_stack+60316, r12vrr_stack+42238, NULL);

 /*--- compute (00|m0)^11 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+42808, r12vrr_stack+665, r12vrr_stack+1332, r12vrr_stack+79224, NULL);

 /*--- compute (00|n0)^10 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+79260, r12vrr_stack+48825, r12vrr_stack+60344, r12vrr_stack+42808, NULL);

 /*--- compute (00|o0)^9 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83112, r12vrr_stack+79315, r12vrr_stack+1332, r12vrr_stack+755, r12vrr_stack+79260, NULL);

 /*--- compute (00|q0)^8 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+79381, r12vrr_stack+83112, r12vrr_stack+60389, r12vrr_stack+79315, NULL);

 /*--- compute (p0|q0)^7 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83190, r12vrr_stack+79459, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+79381);

 /*--- compute (d0|q0)^6 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83463, r12vrr_stack+79550, r12vrr_stack+83190, r12vrr_stack+78314, r12vrr_stack+79459, r12vrr_stack+63169);

 /*--- compute (f0|q0)^5 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+84009, r12vrr_stack+79823, r12vrr_stack+83463, r12vrr_stack+78405, r12vrr_stack+79550, r12vrr_stack+63403);

 /*--- compute (g0|q0)^4 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+177350, r12vrr_stack+113648, r12vrr_stack+84009, r12vrr_stack+78678, r12vrr_stack+79823, r12vrr_stack+63871);

 /*--- compute (h0|q0)^3 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+178715, r12vrr_stack+114558, r12vrr_stack+177350, r12vrr_stack+76403, r12vrr_stack+113648, r12vrr_stack+166040);

 /*--- compute (i0|q0)^2 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+180626, r12vrr_stack+115923, r12vrr_stack+178715, r12vrr_stack+105913, r12vrr_stack+114558, r12vrr_stack+167210);

 /*--- compute (k0|q0)^1 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+183174, r12vrr_stack+117834, r12vrr_stack+180626, r12vrr_stack+107278, r12vrr_stack+115923, r12vrr_stack+168848);

 /*--- compute (l0|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+183174, r12vrr_stack+111100, r12vrr_stack+117834, r12vrr_stack+171032);
 tmp = r12vrr_stack + 186450;
 target_ptr = Libr12->gvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^7 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+79459, r12vrr_stack+31949, r12vrr_stack+60455, r12vrr_stack+79381, NULL);

 /*--- compute (p0|r0)^6 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+106018, r12vrr_stack+80369, r12vrr_stack+105913, NULL, NULL, r12vrr_stack+79459);

 /*--- compute (d0|r0)^5 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+106333, r12vrr_stack+124288, r12vrr_stack+106018, r12vrr_stack+80474, r12vrr_stack+80369, r12vrr_stack+79550);

 /*--- compute (f0|r0)^4 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+106963, r12vrr_stack+99319, r12vrr_stack+106333, r12vrr_stack+124918, r12vrr_stack+124288, r12vrr_stack+79823);

 /*--- compute (g0|r0)^3 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+190545, r12vrr_stack+99949, r12vrr_stack+106963, r12vrr_stack+125233, r12vrr_stack+99319, r12vrr_stack+113648);

 /*--- compute (h0|r0)^2 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+192120, r12vrr_stack+131113, r12vrr_stack+190545, r12vrr_stack+125863, r12vrr_stack+99949, r12vrr_stack+114558);

 /*--- compute (i0|r0)^1 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+194325, r12vrr_stack+132688, r12vrr_stack+192120, r12vrr_stack+127963, r12vrr_stack+131113, r12vrr_stack+115923);

 /*--- compute (k0|r0)^0 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+197265, r12vrr_stack+137098, r12vrr_stack+194325, r12vrr_stack+134893, r12vrr_stack+132688, r12vrr_stack+117834);
 tmp = r12vrr_stack + 197265;
 target_ptr = Libr12->gvrr_classes[7][13];
 for(i=0;i<3780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^8 ---*/
 _BUILD_p000(Data,r12vrr_stack+3, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (d0|00)^7 ---*/
 _BUILD_d000(Data,r12vrr_stack+127963, r12vrr_stack+129538, r12vrr_stack+3, Data->F+7, Data->F+8, NULL);

 /*--- compute (f0|00)^6 ---*/
 _BUILD_f000(Data,r12vrr_stack+127969, r12vrr_stack+129541, r12vrr_stack+127963, r12vrr_stack+1723, r12vrr_stack+129538, NULL);

 /*--- compute (g0|00)^5 ---*/
 _BUILD_g000(Data,r12vrr_stack+1095, r12vrr_stack+129547, r12vrr_stack+127969, r12vrr_stack+1726, r12vrr_stack+129541, NULL);

 /*--- compute (p0|p0)^8 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+127979, r12vrr_stack+78, r12vrr_stack+6, NULL, NULL, Data->F+9);

 /*--- compute (d0|p0)^7 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+127988, r12vrr_stack+1236, r12vrr_stack+127979, r12vrr_stack+105, r12vrr_stack+78, r12vrr_stack+3);

 /*--- compute (f0|p0)^6 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+128006, r12vrr_stack+60, r12vrr_stack+127988, r12vrr_stack+1732, r12vrr_stack+1236, r12vrr_stack+127963);

 /*--- compute (g0|p0)^5 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+128036, r12vrr_stack+129557, r12vrr_stack+128006, r12vrr_stack+1741, r12vrr_stack+60, r12vrr_stack+127969);

 /*--- compute (h0|p0)^4 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+128081, r12vrr_stack+129587, r12vrr_stack+128036, r12vrr_stack+1284, r12vrr_stack+129557, r12vrr_stack+1095);

 /*--- compute (p0|d0)^8 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1284, r12vrr_stack+414, r12vrr_stack+81, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|d0)^7 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+128144, r12vrr_stack+9, r12vrr_stack+1284, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+127979);

 /*--- compute (f0|d0)^6 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+128180, r12vrr_stack+129632, r12vrr_stack+128144, r12vrr_stack+1314, r12vrr_stack+9, r12vrr_stack+127988);

 /*--- compute (g0|d0)^5 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+128240, r12vrr_stack+129668, r12vrr_stack+128180, r12vrr_stack+6912, r12vrr_stack+129632, r12vrr_stack+128006);

 /*--- compute (h0|d0)^4 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+128330, r12vrr_stack+129728, r12vrr_stack+128240, r12vrr_stack+6948, r12vrr_stack+129668, r12vrr_stack+128036);

 /*--- compute (i0|d0)^3 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+128456, r12vrr_stack+129818, r12vrr_stack+128330, r12vrr_stack+7008, r12vrr_stack+129728, r12vrr_stack+128081);

 /*--- compute (p0|f0)^8 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1302, r12vrr_stack+1488, r12vrr_stack+2235, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^7 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+6912, r12vrr_stack+204, r12vrr_stack+1302, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+1284);

 /*--- compute (f0|f0)^6 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+6972, r12vrr_stack+108, r12vrr_stack+6912, r12vrr_stack+168, r12vrr_stack+204, r12vrr_stack+128144);

 /*--- compute (g0|f0)^5 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+128624, r12vrr_stack+234, r12vrr_stack+6972, r12vrr_stack+7098, r12vrr_stack+108, r12vrr_stack+128180);

 /*--- compute (h0|f0)^4 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+128774, r12vrr_stack+129944, r12vrr_stack+128624, r12vrr_stack+7158, r12vrr_stack+234, r12vrr_stack+128240);

 /*--- compute (i0|f0)^3 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+128984, r12vrr_stack+130094, r12vrr_stack+128774, r12vrr_stack+7258, r12vrr_stack+129944, r12vrr_stack+128330);

 /*--- compute (k0|f0)^2 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+124918, r12vrr_stack+130304, r12vrr_stack+128984, r12vrr_stack+7408, r12vrr_stack+130094, r12vrr_stack+128456);

 /*--- compute (p0|g0)^8 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+7072, r12vrr_stack+2245, r12vrr_stack+3103, NULL, NULL, r12vrr_stack+2235);

 /*--- compute (d0|g0)^7 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7117, r12vrr_stack+810, r12vrr_stack+7072, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+1302);

 /*--- compute (f0|g0)^6 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7207, r12vrr_stack+855, r12vrr_stack+7117, r12vrr_stack+710, r12vrr_stack+810, r12vrr_stack+6912);

 /*--- compute (g0|g0)^5 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7357, r12vrr_stack+945, r12vrr_stack+7207, r12vrr_stack+7618, r12vrr_stack+855, r12vrr_stack+6972);

 /*--- compute (h0|g0)^4 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+125278, r12vrr_stack+440, r12vrr_stack+7357, r12vrr_stack+7708, r12vrr_stack+945, r12vrr_stack+128624);

 /*--- compute (i0|g0)^3 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+125593, r12vrr_stack+124603, r12vrr_stack+125278, r12vrr_stack+7858, r12vrr_stack+440, r12vrr_stack+128774);

 /*--- compute (k0|g0)^2 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+126013, r12vrr_stack+130584, r12vrr_stack+125593, r12vrr_stack+8083, r12vrr_stack+124603, r12vrr_stack+128984);

 /*--- compute (l0|g0)^1 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7582, r12vrr_stack+126913, r12vrr_stack+126013, r12vrr_stack+8398, r12vrr_stack+130584, r12vrr_stack+124918);

 /*--- compute (p0|h0)^8 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8257, r12vrr_stack+3118, r12vrr_stack+13262, NULL, NULL, r12vrr_stack+3103);

 /*--- compute (d0|h0)^7 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8320, r12vrr_stack+334, r12vrr_stack+8257, r12vrr_stack+2260, r12vrr_stack+3118, r12vrr_stack+7072);

 /*--- compute (f0|h0)^6 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8446, r12vrr_stack+127453, r12vrr_stack+8320, r12vrr_stack+2281, r12vrr_stack+334, r12vrr_stack+7117);

 /*--- compute (g0|h0)^5 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+127579, r12vrr_stack+8446, r12vrr_stack+1110, r12vrr_stack+127453, r12vrr_stack+7207);

 /*--- compute (h0|h0)^4 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+108013, r12vrr_stack+98269, r12vrr_stack+2260, r12vrr_stack+8818, r12vrr_stack+127579, r12vrr_stack+7357);

 /*--- compute (i0|h0)^3 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+108454, r12vrr_stack+98584, r12vrr_stack+108013, r12vrr_stack+9028, r12vrr_stack+98269, r12vrr_stack+125278);

 /*--- compute (k0|h0)^2 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+123658, r12vrr_stack+108454, r12vrr_stack+9343, r12vrr_stack+98584, r12vrr_stack+125593);

 /*--- compute (l0|h0)^1 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8656, r12vrr_stack+100999, r12vrr_stack+78314, r12vrr_stack+9784, r12vrr_stack+123658, r12vrr_stack+126013);

 /*--- compute (m0|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+4917, r12vrr_stack+8656, r12vrr_stack+10372, r12vrr_stack+100999, r12vrr_stack+7582);

 /*--- compute (p0|i0)^8 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+13283, r12vrr_stack+1450, NULL, NULL, r12vrr_stack+13262);

 /*--- compute (d0|i0)^7 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2575, r12vrr_stack+1513, r12vrr_stack+1110, r12vrr_stack+3139, r12vrr_stack+13283, r12vrr_stack+8257);

 /*--- compute (f0|i0)^6 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+127789, r12vrr_stack+2575, r12vrr_stack+3167, r12vrr_stack+1513, r12vrr_stack+8320);

 /*--- compute (g0|i0)^5 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9881, r12vrr_stack+99025, r12vrr_stack+9601, r12vrr_stack+3531, r12vrr_stack+127789, r12vrr_stack+8446);

 /*--- compute (h0|i0)^4 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+84919, r12vrr_stack+80579, r12vrr_stack+9881, r12vrr_stack+3699, r12vrr_stack+99025, r12vrr_stack+2260);

 /*--- compute (i0|i0)^3 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+64651, r12vrr_stack+101755, r12vrr_stack+84919, r12vrr_stack+15524, r12vrr_stack+80579, r12vrr_stack+108013);

 /*--- compute (k0|i0)^2 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+102343, r12vrr_stack+64651, r12vrr_stack+15944, r12vrr_stack+101755, r12vrr_stack+108454);

 /*--- compute (l0|i0)^1 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+201045, r12vrr_stack+140038, r12vrr_stack+43501, r12vrr_stack+16532, r12vrr_stack+102343, r12vrr_stack+78314);

 /*--- compute (m0|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15524, r12vrr_stack+141046, r12vrr_stack+201045, r12vrr_stack+18100, r12vrr_stack+140038, r12vrr_stack+8656);
 tmp = r12vrr_stack + 15524;
 target_ptr = Libr12->gvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^8 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17064, r12vrr_stack+19423, r12vrr_stack+11128, NULL, NULL, r12vrr_stack+1450);

 /*--- compute (d0|k0)^7 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3531, r12vrr_stack+1597, r12vrr_stack+17064, r12vrr_stack+13311, r12vrr_stack+19423, r12vrr_stack+1110);

 /*--- compute (f0|k0)^6 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+126553, r12vrr_stack+45151, r12vrr_stack+3531, r12vrr_stack+13347, r12vrr_stack+1597, r12vrr_stack+2575);

 /*--- compute (g0|k0)^5 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+59593, r12vrr_stack+77313, r12vrr_stack+126553, r12vrr_stack+25084, r12vrr_stack+45151, r12vrr_stack+9601);

 /*--- compute (h0|k0)^4 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+13455, r12vrr_stack+59593, r12vrr_stack+25300, r12vrr_stack+77313, r12vrr_stack+9881);

 /*--- compute (i0|k0)^3 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+202305, r12vrr_stack+11884, r12vrr_stack+57625, r12vrr_stack+25660, r12vrr_stack+13455, r12vrr_stack+84919);

 /*--- compute (k0|k0)^2 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+203313, r12vrr_stack+142306, r12vrr_stack+202305, r12vrr_stack+26200, r12vrr_stack+11884, r12vrr_stack+64651);

 /*--- compute (l0|k0)^1 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+143314, r12vrr_stack+203313, r12vrr_stack+26956, r12vrr_stack+142306, r12vrr_stack+43501);

 /*--- compute (m0|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+25084, r12vrr_stack+27964, r12vrr_stack+143314, r12vrr_stack+201045);
 tmp = r12vrr_stack + 204609;
 target_ptr = Libr12->gvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^8 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+31354, r12vrr_stack+42888, NULL, NULL, r12vrr_stack+11128);

 /*--- compute (d0|l0)^7 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26704, r12vrr_stack+12640, r12vrr_stack+19288, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+17064);

 /*--- compute (f0|l0)^6 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26974, r12vrr_stack+12775, r12vrr_stack+26704, r12vrr_stack+20530, r12vrr_stack+12640, r12vrr_stack+3531);

 /*--- compute (g0|l0)^5 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+206589, r12vrr_stack+103127, r12vrr_stack+26974, r12vrr_stack+20665, r12vrr_stack+12775, r12vrr_stack+126553);

 /*--- compute (h0|l0)^4 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+207264, r12vrr_stack+144610, r12vrr_stack+206589, r12vrr_stack+37000, r12vrr_stack+103127, r12vrr_stack+59593);

 /*--- compute (i0|l0)^3 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+208209, r12vrr_stack+145285, r12vrr_stack+207264, r12vrr_stack+37450, r12vrr_stack+144610, r12vrr_stack+57625);

 /*--- compute (k0|l0)^2 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+209469, r12vrr_stack+146230, r12vrr_stack+208209, r12vrr_stack+38125, r12vrr_stack+145285, r12vrr_stack+202305);

 /*--- compute (l0|l0)^1 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+147490, r12vrr_stack+209469, r12vrr_stack+39070, r12vrr_stack+146230, r12vrr_stack+203313);

 /*--- compute (m0|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+211089, r12vrr_stack+149110, r12vrr_stack+37000, r12vrr_stack+40330, r12vrr_stack+147490, r12vrr_stack+25084);
 tmp = r12vrr_stack + 211089;
 target_ptr = Libr12->gvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^8 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39025, r12vrr_stack+42933, r12vrr_stack+755, NULL, NULL, r12vrr_stack+42888);

 /*--- compute (d0|m0)^7 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39190, r12vrr_stack+33175, r12vrr_stack+39025, r12vrr_stack+31399, r12vrr_stack+42933, r12vrr_stack+19288);

 /*--- compute (f0|m0)^6 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39520, r12vrr_stack+58483, r12vrr_stack+39190, r12vrr_stack+31454, r12vrr_stack+33175, r12vrr_stack+26704);

 /*--- compute (g0|m0)^5 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20206, r12vrr_stack+33340, r12vrr_stack+39520, r12vrr_stack+31619, r12vrr_stack+58483, r12vrr_stack+26974);

 /*--- compute (h0|m0)^4 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+213564, r12vrr_stack+33890, r12vrr_stack+20206, r12vrr_stack+51575, r12vrr_stack+33340, r12vrr_stack+206589);

 /*--- compute (i0|m0)^3 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+214719, r12vrr_stack+151135, r12vrr_stack+213564, r12vrr_stack+52125, r12vrr_stack+33890, r12vrr_stack+207264);

 /*--- compute (k0|m0)^2 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+216259, r12vrr_stack+152290, r12vrr_stack+214719, r12vrr_stack+52950, r12vrr_stack+151135, r12vrr_stack+208209);

 /*--- compute (l0|m0)^1 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+153830, r12vrr_stack+216259, r12vrr_stack+54105, r12vrr_stack+152290, r12vrr_stack+209469);

 /*--- compute (m0|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+218239, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+55645, r12vrr_stack+153830, r12vrr_stack+37000);
 tmp = r12vrr_stack + 218239;
 target_ptr = Libr12->gvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^8 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54050, r12vrr_stack+60389, r12vrr_stack+79315, NULL, NULL, r12vrr_stack+755);

 /*--- compute (d0|n0)^7 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54248, r12vrr_stack+30755, r12vrr_stack+54050, r12vrr_stack+42988, r12vrr_stack+60389, r12vrr_stack+39025);

 /*--- compute (f0|n0)^6 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54644, r12vrr_stack+19810, r12vrr_stack+54248, r12vrr_stack+44557, r12vrr_stack+30755, r12vrr_stack+39190);

 /*--- compute (g0|n0)^5 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+221264, r12vrr_stack+155810, r12vrr_stack+54644, r12vrr_stack+44755, r12vrr_stack+19810, r12vrr_stack+39520);

 /*--- compute (h0|n0)^4 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+222254, r12vrr_stack+156470, r12vrr_stack+221264, r12vrr_stack+68779, r12vrr_stack+155810, r12vrr_stack+20206);

 /*--- compute (i0|n0)^3 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+223640, r12vrr_stack+157460, r12vrr_stack+222254, r12vrr_stack+69439, r12vrr_stack+156470, r12vrr_stack+213564);

 /*--- compute (k0|n0)^2 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+225488, r12vrr_stack+158846, r12vrr_stack+223640, r12vrr_stack+70429, r12vrr_stack+157460, r12vrr_stack+214719);

 /*--- compute (l0|n0)^1 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+160694, r12vrr_stack+225488, r12vrr_stack+71815, r12vrr_stack+158846, r12vrr_stack+216259);

 /*--- compute (m0|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+227864, r12vrr_stack+163070, r12vrr_stack+68779, r12vrr_stack+73663, r12vrr_stack+160694, r12vrr_stack+51575);
 tmp = r12vrr_stack + 227864;
 target_ptr = Libr12->gvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^8 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+71749, r12vrr_stack+79381, r12vrr_stack+83112, NULL, NULL, r12vrr_stack+79315);

 /*--- compute (d0|o0)^7 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+71983, r12vrr_stack+63169, r12vrr_stack+71749, r12vrr_stack+60455, r12vrr_stack+79381, r12vrr_stack+54050);

 /*--- compute (f0|o0)^6 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+72451, r12vrr_stack+63403, r12vrr_stack+71983, r12vrr_stack+60533, r12vrr_stack+63169, r12vrr_stack+54248);

 /*--- compute (g0|o0)^5 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+231494, r12vrr_stack+63871, r12vrr_stack+72451, r12vrr_stack+60767, r12vrr_stack+63403, r12vrr_stack+54644);

 /*--- compute (h0|o0)^4 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+232664, r12vrr_stack+166040, r12vrr_stack+231494, r12vrr_stack+89689, r12vrr_stack+63871, r12vrr_stack+221264);

 /*--- compute (i0|o0)^3 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+234302, r12vrr_stack+167210, r12vrr_stack+232664, r12vrr_stack+90469, r12vrr_stack+166040, r12vrr_stack+222254);

 /*--- compute (k0|o0)^2 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+236486, r12vrr_stack+168848, r12vrr_stack+234302, r12vrr_stack+91639, r12vrr_stack+167210, r12vrr_stack+223640);

 /*--- compute (l0|o0)^1 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+171032, r12vrr_stack+236486, r12vrr_stack+93277, r12vrr_stack+168848, r12vrr_stack+225488);

 /*--- compute (m0|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+239294, r12vrr_stack+173840, r12vrr_stack+89689, r12vrr_stack+95461, r12vrr_stack+171032, r12vrr_stack+68779);
 tmp = r12vrr_stack + 239294;
 target_ptr = Libr12->gvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^20 ---*/
 _BUILD_00p0(Data,r12vrr_stack+93199, Data->F+20, Data->F+21, NULL, NULL, NULL);

 /*--- compute (00|d0)^19 ---*/
 _BUILD_00d0(Data,r12vrr_stack+93202, r12vrr_stack+0, r12vrr_stack+93199, Data->F+19, Data->F+20, NULL);

 /*--- compute (00|f0)^18 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+127957, r12vrr_stack+93202, r12vrr_stack+3090, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^17 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1498, r12vrr_stack+83059, r12vrr_stack+430, r12vrr_stack+48, r12vrr_stack+127957, NULL);

 /*--- compute (00|h0)^16 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+87, r12vrr_stack+83069, r12vrr_stack+1498, r12vrr_stack+32040, r12vrr_stack+83059, NULL);

 /*--- compute (00|i0)^15 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93208, r12vrr_stack+5862, r12vrr_stack+87, r12vrr_stack+42223, r12vrr_stack+83069, NULL);

 /*--- compute (00|k0)^14 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+93236, r12vrr_stack+83084, r12vrr_stack+93208, r12vrr_stack+31305, r12vrr_stack+5862, NULL);

 /*--- compute (00|l0)^13 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19459, r12vrr_stack+23284, r12vrr_stack+93236, r12vrr_stack+42238, r12vrr_stack+83084, NULL);

 /*--- compute (00|m0)^12 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42223, r12vrr_stack+665, r12vrr_stack+19459, r12vrr_stack+79224, r12vrr_stack+23284, NULL);

 /*--- compute (00|n0)^11 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+93272, r12vrr_stack+48825, r12vrr_stack+42223, r12vrr_stack+42808, r12vrr_stack+665, NULL);

 /*--- compute (00|o0)^10 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+93338, r12vrr_stack+1332, r12vrr_stack+93272, r12vrr_stack+79260, r12vrr_stack+48825, NULL);

 /*--- compute (00|q0)^9 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93416, r12vrr_stack+83112, r12vrr_stack+93338, r12vrr_stack+79315, r12vrr_stack+1332, NULL);

 /*--- compute (p0|q0)^8 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93507, r12vrr_stack+31949, r12vrr_stack+93416, NULL, NULL, r12vrr_stack+83112);

 /*--- compute (d0|q0)^7 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93780, r12vrr_stack+83190, r12vrr_stack+93507, r12vrr_stack+79459, r12vrr_stack+31949, r12vrr_stack+71749);

 /*--- compute (f0|q0)^6 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+94326, r12vrr_stack+83463, r12vrr_stack+93780, r12vrr_stack+79550, r12vrr_stack+83190, r12vrr_stack+71983);

 /*--- compute (g0|q0)^5 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+243584, r12vrr_stack+84009, r12vrr_stack+94326, r12vrr_stack+79823, r12vrr_stack+83463, r12vrr_stack+72451);

 /*--- compute (h0|q0)^4 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+244949, r12vrr_stack+177350, r12vrr_stack+243584, r12vrr_stack+113648, r12vrr_stack+84009, r12vrr_stack+231494);

 /*--- compute (i0|q0)^3 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+246860, r12vrr_stack+178715, r12vrr_stack+244949, r12vrr_stack+114558, r12vrr_stack+177350, r12vrr_stack+232664);

 /*--- compute (k0|q0)^2 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+249408, r12vrr_stack+180626, r12vrr_stack+246860, r12vrr_stack+115923, r12vrr_stack+178715, r12vrr_stack+234302);

 /*--- compute (l0|q0)^1 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+183174, r12vrr_stack+249408, r12vrr_stack+117834, r12vrr_stack+180626, r12vrr_stack+236486);

 /*--- compute (m0|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+252684, r12vrr_stack+186450, r12vrr_stack+113648, r12vrr_stack+120382, r12vrr_stack+183174, r12vrr_stack+89689);
 tmp = r12vrr_stack + 252684;
 target_ptr = Libr12->gvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^8 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80474, r12vrr_stack+31949, r12vrr_stack+93416, r12vrr_stack+79381, r12vrr_stack+83112, NULL);

 /*--- compute (p0|r0)^7 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+117743, r12vrr_stack+105913, r12vrr_stack+80474, NULL, NULL, r12vrr_stack+31949);

 /*--- compute (d0|r0)^6 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+118058, r12vrr_stack+106018, r12vrr_stack+117743, r12vrr_stack+80369, r12vrr_stack+105913, r12vrr_stack+83190);

 /*--- compute (f0|r0)^5 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+118688, r12vrr_stack+106333, r12vrr_stack+118058, r12vrr_stack+124288, r12vrr_stack+106018, r12vrr_stack+83463);

 /*--- compute (g0|r0)^4 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+257689, r12vrr_stack+106963, r12vrr_stack+118688, r12vrr_stack+99319, r12vrr_stack+106333, r12vrr_stack+84009);

 /*--- compute (h0|r0)^3 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+259264, r12vrr_stack+190545, r12vrr_stack+257689, r12vrr_stack+99949, r12vrr_stack+106963, r12vrr_stack+177350);

 /*--- compute (i0|r0)^2 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+261469, r12vrr_stack+192120, r12vrr_stack+259264, r12vrr_stack+131113, r12vrr_stack+190545, r12vrr_stack+178715);

 /*--- compute (k0|r0)^1 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+264409, r12vrr_stack+194325, r12vrr_stack+261469, r12vrr_stack+132688, r12vrr_stack+192120, r12vrr_stack+180626);

 /*--- compute (l0|r0)^0 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+268189, r12vrr_stack+197265, r12vrr_stack+264409, r12vrr_stack+137098, r12vrr_stack+194325, r12vrr_stack+183174);
 tmp = r12vrr_stack + 268189;
 target_ptr = Libr12->gvrr_classes[8][13];
 for(i=0;i<4725;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^9 ---*/
 _BUILD_p000(Data,r12vrr_stack+3090, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (d0|00)^8 ---*/
 _BUILD_d000(Data,r12vrr_stack+119738, r12vrr_stack+3, r12vrr_stack+3090, Data->F+8, Data->F+9, NULL);

 /*--- compute (f0|00)^7 ---*/
 _BUILD_f000(Data,r12vrr_stack+32040, r12vrr_stack+127963, r12vrr_stack+119738, r12vrr_stack+129538, r12vrr_stack+3, NULL);

 /*--- compute (g0|00)^6 ---*/
 _BUILD_g000(Data,r12vrr_stack+119744, r12vrr_stack+127969, r12vrr_stack+32040, r12vrr_stack+129541, r12vrr_stack+127963, NULL);

 /*--- compute (h0|00)^5 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+119759, r12vrr_stack+1095, r12vrr_stack+119744, r12vrr_stack+129547, r12vrr_stack+127969, NULL);

 /*--- compute (p0|p0)^9 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1095, r12vrr_stack+6, r12vrr_stack+1485, NULL, NULL, Data->F+10);

 /*--- compute (d0|p0)^8 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+119780, r12vrr_stack+127979, r12vrr_stack+1095, r12vrr_stack+78, r12vrr_stack+6, r12vrr_stack+3090);

 /*--- compute (f0|p0)^7 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+168, r12vrr_stack+127988, r12vrr_stack+119780, r12vrr_stack+1236, r12vrr_stack+127979, r12vrr_stack+119738);

 /*--- compute (g0|p0)^6 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+710, r12vrr_stack+128006, r12vrr_stack+168, r12vrr_stack+60, r12vrr_stack+127988, r12vrr_stack+32040);

 /*--- compute (h0|p0)^5 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+119798, r12vrr_stack+128036, r12vrr_stack+710, r12vrr_stack+129557, r12vrr_stack+128006, r12vrr_stack+119744);

 /*--- compute (i0|p0)^4 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+119861, r12vrr_stack+128081, r12vrr_stack+119798, r12vrr_stack+129587, r12vrr_stack+128036, r12vrr_stack+119759);

 /*--- compute (p0|d0)^9 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+198, NULL, NULL, r12vrr_stack+1485);

 /*--- compute (d0|d0)^8 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+119738, r12vrr_stack+1284, r12vrr_stack+60, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+1095);

 /*--- compute (f0|d0)^7 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+127963, r12vrr_stack+128144, r12vrr_stack+119738, r12vrr_stack+9, r12vrr_stack+1284, r12vrr_stack+119780);

 /*--- compute (g0|d0)^6 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+128023, r12vrr_stack+128180, r12vrr_stack+127963, r12vrr_stack+129632, r12vrr_stack+128144, r12vrr_stack+168);

 /*--- compute (h0|d0)^5 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+119945, r12vrr_stack+128240, r12vrr_stack+128023, r12vrr_stack+129668, r12vrr_stack+128180, r12vrr_stack+710);

 /*--- compute (i0|d0)^4 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+120071, r12vrr_stack+128330, r12vrr_stack+119945, r12vrr_stack+129728, r12vrr_stack+128240, r12vrr_stack+119798);

 /*--- compute (k0|d0)^3 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+128113, r12vrr_stack+128456, r12vrr_stack+120071, r12vrr_stack+129818, r12vrr_stack+128330, r12vrr_stack+119861);

 /*--- compute (p0|f0)^9 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+168, r12vrr_stack+2235, r12vrr_stack+3093, NULL, NULL, r12vrr_stack+198);

 /*--- compute (d0|f0)^8 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+119774, r12vrr_stack+1302, r12vrr_stack+168, r12vrr_stack+1488, r12vrr_stack+2235, r12vrr_stack+60);

 /*--- compute (f0|f0)^7 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+119834, r12vrr_stack+6912, r12vrr_stack+119774, r12vrr_stack+204, r12vrr_stack+1302, r12vrr_stack+119738);

 /*--- compute (g0|f0)^6 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+128329, r12vrr_stack+6972, r12vrr_stack+119834, r12vrr_stack+108, r12vrr_stack+6912, r12vrr_stack+127963);

 /*--- compute (h0|f0)^5 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+79459, r12vrr_stack+128624, r12vrr_stack+128329, r12vrr_stack+234, r12vrr_stack+6972, r12vrr_stack+128023);

 /*--- compute (i0|f0)^4 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+79669, r12vrr_stack+128774, r12vrr_stack+79459, r12vrr_stack+129944, r12vrr_stack+128624, r12vrr_stack+119945);

 /*--- compute (k0|f0)^3 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+85507, r12vrr_stack+128984, r12vrr_stack+79669, r12vrr_stack+130094, r12vrr_stack+128774, r12vrr_stack+120071);

 /*--- compute (l0|f0)^2 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+128479, r12vrr_stack+124918, r12vrr_stack+85507, r12vrr_stack+130304, r12vrr_stack+128984, r12vrr_stack+128113);

 /*--- compute (p0|g0)^9 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+710, r12vrr_stack+3103, r12vrr_stack+13247, NULL, NULL, r12vrr_stack+3093);

 /*--- compute (d0|g0)^8 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+124918, r12vrr_stack+7072, r12vrr_stack+710, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+168);

 /*--- compute (f0|g0)^7 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+125008, r12vrr_stack+7117, r12vrr_stack+124918, r12vrr_stack+810, r12vrr_stack+7072, r12vrr_stack+119774);

 /*--- compute (g0|g0)^6 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+95236, r12vrr_stack+7207, r12vrr_stack+125008, r12vrr_stack+855, r12vrr_stack+7117, r12vrr_stack+119834);

 /*--- compute (h0|g0)^5 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+127963, r12vrr_stack+7357, r12vrr_stack+95236, r12vrr_stack+945, r12vrr_stack+7207, r12vrr_stack+128329);

 /*--- compute (i0|g0)^4 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+125278, r12vrr_stack+127963, r12vrr_stack+440, r12vrr_stack+7357, r12vrr_stack+79459);

 /*--- compute (k0|g0)^3 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+27424, r12vrr_stack+125593, r12vrr_stack+6912, r12vrr_stack+124603, r12vrr_stack+125278, r12vrr_stack+79669);

 /*--- compute (l0|g0)^2 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+79459, r12vrr_stack+126013, r12vrr_stack+27424, r12vrr_stack+130584, r12vrr_stack+125593, r12vrr_stack+85507);

 /*--- compute (m0|g0)^1 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+125158, r12vrr_stack+7582, r12vrr_stack+79459, r12vrr_stack+126913, r12vrr_stack+126013, r12vrr_stack+128479);

 /*--- compute (p0|h0)^9 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+126913, r12vrr_stack+13262, r12vrr_stack+1429, NULL, NULL, r12vrr_stack+13247);

 /*--- compute (d0|h0)^8 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+126976, r12vrr_stack+8257, r12vrr_stack+126913, r12vrr_stack+3118, r12vrr_stack+13262, r12vrr_stack+710);

 /*--- compute (f0|h0)^7 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+127102, r12vrr_stack+8320, r12vrr_stack+126976, r12vrr_stack+334, r12vrr_stack+8257, r12vrr_stack+124918);

 /*--- compute (g0|h0)^6 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+85507, r12vrr_stack+8446, r12vrr_stack+127102, r12vrr_stack+127453, r12vrr_stack+8320, r12vrr_stack+125008);

 /*--- compute (h0|h0)^5 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+125983, r12vrr_stack+2260, r12vrr_stack+85507, r12vrr_stack+127579, r12vrr_stack+8446, r12vrr_stack+95236);

 /*--- compute (i0|h0)^4 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+128278, r12vrr_stack+108013, r12vrr_stack+125983, r12vrr_stack+98269, r12vrr_stack+2260, r12vrr_stack+127963);

 /*--- compute (k0|h0)^3 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+128866, r12vrr_stack+108454, r12vrr_stack+128278, r12vrr_stack+98584, r12vrr_stack+108013, r12vrr_stack+6912);

 /*--- compute (l0|h0)^2 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+78314, r12vrr_stack+128866, r12vrr_stack+123658, r12vrr_stack+108454, r12vrr_stack+27424);

 /*--- compute (m0|h0)^1 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+8656, r12vrr_stack+6912, r12vrr_stack+100999, r12vrr_stack+78314, r12vrr_stack+79459);

 /*--- compute (n0|h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+129622, r12vrr_stack+76039, r12vrr_stack+123658, r12vrr_stack+4917, r12vrr_stack+8656, r12vrr_stack+125158);

 /*--- compute (p0|i0)^9 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+79459, r12vrr_stack+1450, r12vrr_stack+31326, NULL, NULL, r12vrr_stack+1429);

 /*--- compute (d0|i0)^8 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+79543, r12vrr_stack+1110, r12vrr_stack+79459, r12vrr_stack+13283, r12vrr_stack+1450, r12vrr_stack+126913);

 /*--- compute (f0|i0)^7 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+79711, r12vrr_stack+2575, r12vrr_stack+79543, r12vrr_stack+1513, r12vrr_stack+1110, r12vrr_stack+126976);

 /*--- compute (g0|i0)^6 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+79991, r12vrr_stack+9601, r12vrr_stack+79711, r12vrr_stack+127789, r12vrr_stack+2575, r12vrr_stack+127102);

 /*--- compute (h0|i0)^5 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+126913, r12vrr_stack+9881, r12vrr_stack+79991, r12vrr_stack+99025, r12vrr_stack+9601, r12vrr_stack+85507);

 /*--- compute (i0|i0)^4 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+84919, r12vrr_stack+126913, r12vrr_stack+80579, r12vrr_stack+9881, r12vrr_stack+125983);

 /*--- compute (k0|i0)^3 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+124813, r12vrr_stack+64651, r12vrr_stack+78314, r12vrr_stack+101755, r12vrr_stack+84919, r12vrr_stack+128278);

 /*--- compute (l0|i0)^2 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+7857, r12vrr_stack+43501, r12vrr_stack+124813, r12vrr_stack+102343, r12vrr_stack+64651, r12vrr_stack+128866);

 /*--- compute (m0|i0)^1 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+127963, r12vrr_stack+201045, r12vrr_stack+7857, r12vrr_stack+140038, r12vrr_stack+43501, r12vrr_stack+6912);

 /*--- compute (n0|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+15524, r12vrr_stack+127963, r12vrr_stack+141046, r12vrr_stack+201045, r12vrr_stack+123658);
 tmp = r12vrr_stack + 98269;
 target_ptr = Libr12->gvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^9 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+11128, r12vrr_stack+19504, NULL, NULL, r12vrr_stack+31326);

 /*--- compute (d0|k0)^8 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+123766, r12vrr_stack+17064, r12vrr_stack+123658, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+79459);

 /*--- compute (f0|k0)^7 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+123982, r12vrr_stack+3531, r12vrr_stack+123766, r12vrr_stack+1597, r12vrr_stack+17064, r12vrr_stack+79543);

 /*--- compute (g0|k0)^6 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27424, r12vrr_stack+126553, r12vrr_stack+123982, r12vrr_stack+45151, r12vrr_stack+3531, r12vrr_stack+79711);

 /*--- compute (h0|k0)^5 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201045, r12vrr_stack+59593, r12vrr_stack+27424, r12vrr_stack+77313, r12vrr_stack+126553, r12vrr_stack+79991);

 /*--- compute (i0|k0)^4 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+140038, r12vrr_stack+57625, r12vrr_stack+201045, r12vrr_stack+13455, r12vrr_stack+59593, r12vrr_stack+126913);

 /*--- compute (k0|k0)^3 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+202305, r12vrr_stack+140038, r12vrr_stack+11884, r12vrr_stack+57625, r12vrr_stack+78314);

 /*--- compute (l0|k0)^2 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+125821, r12vrr_stack+203313, r12vrr_stack+43501, r12vrr_stack+142306, r12vrr_stack+202305, r12vrr_stack+124813);

 /*--- compute (m0|k0)^1 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+100117, r12vrr_stack+25084, r12vrr_stack+125821, r12vrr_stack+143314, r12vrr_stack+203313, r12vrr_stack+7857);

 /*--- compute (n0|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201801, r12vrr_stack+204609, r12vrr_stack+100117, r12vrr_stack+21664, r12vrr_stack+25084, r12vrr_stack+127963);
 tmp = r12vrr_stack + 201801;
 target_ptr = Libr12->gvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^9 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+127963, r12vrr_stack+42888, r12vrr_stack+60344, NULL, NULL, r12vrr_stack+19504);

 /*--- compute (d0|l0)^8 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+128098, r12vrr_stack+19288, r12vrr_stack+127963, r12vrr_stack+31354, r12vrr_stack+42888, r12vrr_stack+123658);

 /*--- compute (f0|l0)^7 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+128368, r12vrr_stack+26704, r12vrr_stack+128098, r12vrr_stack+12640, r12vrr_stack+19288, r12vrr_stack+123766);

 /*--- compute (g0|l0)^6 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+128818, r12vrr_stack+26974, r12vrr_stack+128368, r12vrr_stack+12775, r12vrr_stack+26704, r12vrr_stack+123982);

 /*--- compute (h0|l0)^5 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+206589, r12vrr_stack+128818, r12vrr_stack+103127, r12vrr_stack+26974, r12vrr_stack+27424);

 /*--- compute (i0|l0)^4 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+207264, r12vrr_stack+123658, r12vrr_stack+144610, r12vrr_stack+206589, r12vrr_stack+201045);

 /*--- compute (k0|l0)^3 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26344, r12vrr_stack+208209, r12vrr_stack+25084, r12vrr_stack+145285, r12vrr_stack+207264, r12vrr_stack+140038);

 /*--- compute (l0|l0)^2 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+142306, r12vrr_stack+209469, r12vrr_stack+26344, r12vrr_stack+146230, r12vrr_stack+208209, r12vrr_stack+43501);

 /*--- compute (m0|l0)^1 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+206589, r12vrr_stack+37000, r12vrr_stack+142306, r12vrr_stack+147490, r12vrr_stack+209469, r12vrr_stack+125821);

 /*--- compute (n0|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+124603, r12vrr_stack+211089, r12vrr_stack+206589, r12vrr_stack+149110, r12vrr_stack+37000, r12vrr_stack+100117);
 tmp = r12vrr_stack + 124603;
 target_ptr = Libr12->gvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^9 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+100117, r12vrr_stack+755, r12vrr_stack+79260, NULL, NULL, r12vrr_stack+60344);

 /*--- compute (d0|m0)^8 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+100282, r12vrr_stack+39025, r12vrr_stack+100117, r12vrr_stack+42933, r12vrr_stack+755, r12vrr_stack+127963);

 /*--- compute (f0|m0)^7 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+100612, r12vrr_stack+39190, r12vrr_stack+100282, r12vrr_stack+33175, r12vrr_stack+39025, r12vrr_stack+128098);

 /*--- compute (g0|m0)^6 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+101162, r12vrr_stack+39520, r12vrr_stack+100612, r12vrr_stack+58483, r12vrr_stack+39190, r12vrr_stack+128368);

 /*--- compute (h0|m0)^5 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+101987, r12vrr_stack+20206, r12vrr_stack+101162, r12vrr_stack+33340, r12vrr_stack+39520, r12vrr_stack+128818);

 /*--- compute (i0|m0)^4 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+127963, r12vrr_stack+213564, r12vrr_stack+101987, r12vrr_stack+33890, r12vrr_stack+20206, r12vrr_stack+123658);

 /*--- compute (k0|m0)^3 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+214719, r12vrr_stack+127963, r12vrr_stack+151135, r12vrr_stack+213564, r12vrr_stack+25084);

 /*--- compute (l0|m0)^2 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+144331, r12vrr_stack+216259, r12vrr_stack+37000, r12vrr_stack+152290, r12vrr_stack+214719, r12vrr_stack+26344);

 /*--- compute (m0|m0)^1 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+51575, r12vrr_stack+144331, r12vrr_stack+153830, r12vrr_stack+216259, r12vrr_stack+142306);

 /*--- compute (n0|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+213564, r12vrr_stack+218239, r12vrr_stack+6912, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+206589);
 tmp = r12vrr_stack + 213564;
 target_ptr = Libr12->gvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^9 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+206589, r12vrr_stack+79315, r12vrr_stack+1332, NULL, NULL, r12vrr_stack+79260);

 /*--- compute (d0|n0)^8 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+206787, r12vrr_stack+54050, r12vrr_stack+206589, r12vrr_stack+60389, r12vrr_stack+79315, r12vrr_stack+100117);

 /*--- compute (f0|n0)^7 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+207183, r12vrr_stack+54248, r12vrr_stack+206787, r12vrr_stack+30755, r12vrr_stack+54050, r12vrr_stack+100282);

 /*--- compute (g0|n0)^6 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+54644, r12vrr_stack+207183, r12vrr_stack+19810, r12vrr_stack+54248, r12vrr_stack+100612);

 /*--- compute (h0|n0)^5 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+207843, r12vrr_stack+221264, r12vrr_stack+30755, r12vrr_stack+155810, r12vrr_stack+54644, r12vrr_stack+101162);

 /*--- compute (i0|n0)^4 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+100117, r12vrr_stack+222254, r12vrr_stack+207843, r12vrr_stack+156470, r12vrr_stack+221264, r12vrr_stack+101987);

 /*--- compute (k0|n0)^3 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+223640, r12vrr_stack+100117, r12vrr_stack+157460, r12vrr_stack+222254, r12vrr_stack+127963);

 /*--- compute (l0|n0)^2 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+151135, r12vrr_stack+225488, r12vrr_stack+51575, r12vrr_stack+158846, r12vrr_stack+223640, r12vrr_stack+37000);

 /*--- compute (m0|n0)^1 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+221264, r12vrr_stack+68779, r12vrr_stack+151135, r12vrr_stack+160694, r12vrr_stack+225488, r12vrr_stack+144331);

 /*--- compute (n0|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+142306, r12vrr_stack+227864, r12vrr_stack+221264, r12vrr_stack+163070, r12vrr_stack+68779, r12vrr_stack+6912);
 tmp = r12vrr_stack + 142306;
 target_ptr = Libr12->gvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^9 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+6912, r12vrr_stack+83112, r12vrr_stack+93338, NULL, NULL, r12vrr_stack+1332);

 /*--- compute (d0|o0)^8 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+7146, r12vrr_stack+71749, r12vrr_stack+6912, r12vrr_stack+79381, r12vrr_stack+83112, r12vrr_stack+206589);

 /*--- compute (f0|o0)^7 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+7614, r12vrr_stack+71983, r12vrr_stack+7146, r12vrr_stack+63169, r12vrr_stack+71749, r12vrr_stack+206787);

 /*--- compute (g0|o0)^6 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+8394, r12vrr_stack+72451, r12vrr_stack+7614, r12vrr_stack+63403, r12vrr_stack+71983, r12vrr_stack+207183);

 /*--- compute (h0|o0)^5 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+231494, r12vrr_stack+8394, r12vrr_stack+63871, r12vrr_stack+72451, r12vrr_stack+30755);

 /*--- compute (i0|o0)^4 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+232664, r12vrr_stack+68779, r12vrr_stack+166040, r12vrr_stack+231494, r12vrr_stack+207843);

 /*--- compute (k0|o0)^3 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+206589, r12vrr_stack+234302, r12vrr_stack+63169, r12vrr_stack+167210, r12vrr_stack+232664, r12vrr_stack+100117);

 /*--- compute (l0|o0)^2 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+100117, r12vrr_stack+236486, r12vrr_stack+206589, r12vrr_stack+168848, r12vrr_stack+234302, r12vrr_stack+51575);

 /*--- compute (m0|o0)^1 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+231494, r12vrr_stack+89689, r12vrr_stack+100117, r12vrr_stack+171032, r12vrr_stack+236486, r12vrr_stack+151135);

 /*--- compute (n0|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+151135, r12vrr_stack+239294, r12vrr_stack+231494, r12vrr_stack+173840, r12vrr_stack+89689, r12vrr_stack+221264);
 tmp = r12vrr_stack + 151135;
 target_ptr = Libr12->gvrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^21 ---*/
 _BUILD_00p0(Data,r12vrr_stack+221264, Data->F+21, Data->F+22, NULL, NULL, NULL);

 /*--- compute (00|d0)^20 ---*/
 _BUILD_00d0(Data,r12vrr_stack+221267, r12vrr_stack+93199, r12vrr_stack+221264, Data->F+20, Data->F+21, NULL);

 /*--- compute (00|f0)^19 ---*/
 _BUILD_00f0(Data,r12vrr_stack+32040, r12vrr_stack+93202, r12vrr_stack+221267, r12vrr_stack+0, r12vrr_stack+93199, NULL);

 /*--- compute (00|g0)^18 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+430, r12vrr_stack+32040, r12vrr_stack+127957, r12vrr_stack+93202, NULL);

 /*--- compute (00|h0)^17 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+15, r12vrr_stack+1498, r12vrr_stack+0, r12vrr_stack+83059, r12vrr_stack+430, NULL);

 /*--- compute (00|i0)^16 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+430, r12vrr_stack+87, r12vrr_stack+15, r12vrr_stack+83069, r12vrr_stack+1498, NULL);

 /*--- compute (00|k0)^15 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19504, r12vrr_stack+93208, r12vrr_stack+430, r12vrr_stack+5862, r12vrr_stack+87, NULL);

 /*--- compute (00|l0)^14 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+430, r12vrr_stack+93236, r12vrr_stack+19504, r12vrr_stack+83084, r12vrr_stack+93208, NULL);

 /*--- compute (00|m0)^13 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+475, r12vrr_stack+19459, r12vrr_stack+430, r12vrr_stack+23284, r12vrr_stack+93236, NULL);

 /*--- compute (00|n0)^12 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+530, r12vrr_stack+42223, r12vrr_stack+475, r12vrr_stack+665, r12vrr_stack+19459, NULL);

 /*--- compute (00|o0)^11 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+430, r12vrr_stack+93272, r12vrr_stack+530, r12vrr_stack+48825, r12vrr_stack+42223, NULL);

 /*--- compute (00|q0)^10 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+508, r12vrr_stack+93338, r12vrr_stack+430, r12vrr_stack+1332, r12vrr_stack+93272, NULL);

 /*--- compute (p0|q0)^9 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+3090, r12vrr_stack+93416, r12vrr_stack+508, NULL, NULL, r12vrr_stack+93338);

 /*--- compute (d0|q0)^8 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+599, r12vrr_stack+93507, r12vrr_stack+3090, r12vrr_stack+31949, r12vrr_stack+93416, r12vrr_stack+6912);

 /*--- compute (f0|q0)^7 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+221264, r12vrr_stack+93780, r12vrr_stack+599, r12vrr_stack+83190, r12vrr_stack+93507, r12vrr_stack+7146);

 /*--- compute (g0|q0)^6 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+222174, r12vrr_stack+94326, r12vrr_stack+221264, r12vrr_stack+83463, r12vrr_stack+93780, r12vrr_stack+7614);

 /*--- compute (h0|q0)^5 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+223539, r12vrr_stack+243584, r12vrr_stack+222174, r12vrr_stack+84009, r12vrr_stack+94326, r12vrr_stack+8394);

 /*--- compute (i0|q0)^4 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83190, r12vrr_stack+244949, r12vrr_stack+223539, r12vrr_stack+177350, r12vrr_stack+243584, r12vrr_stack+68779);

 /*--- compute (k0|q0)^3 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+246860, r12vrr_stack+83190, r12vrr_stack+178715, r12vrr_stack+244949, r12vrr_stack+63169);

 /*--- compute (l0|q0)^2 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+221264, r12vrr_stack+249408, r12vrr_stack+68779, r12vrr_stack+180626, r12vrr_stack+246860, r12vrr_stack+206589);

 /*--- compute (m0|q0)^1 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+177350, r12vrr_stack+113648, r12vrr_stack+221264, r12vrr_stack+183174, r12vrr_stack+249408, r12vrr_stack+100117);

 /*--- compute (n0|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+221264, r12vrr_stack+252684, r12vrr_stack+177350, r12vrr_stack+186450, r12vrr_stack+113648, r12vrr_stack+231494);

 /*--- compute (00|r0)^9 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+231494, r12vrr_stack+93416, r12vrr_stack+508, r12vrr_stack+83112, r12vrr_stack+93338, NULL);

 /*--- compute (p0|r0)^8 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+231599, r12vrr_stack+80474, r12vrr_stack+231494, NULL, NULL, r12vrr_stack+93416);

 /*--- compute (d0|r0)^7 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+231914, r12vrr_stack+117743, r12vrr_stack+231599, r12vrr_stack+105913, r12vrr_stack+80474, r12vrr_stack+93507);

 /*--- compute (f0|r0)^6 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+232544, r12vrr_stack+118058, r12vrr_stack+231914, r12vrr_stack+106018, r12vrr_stack+117743, r12vrr_stack+93780);

 /*--- compute (g0|r0)^5 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+233594, r12vrr_stack+118688, r12vrr_stack+232544, r12vrr_stack+106333, r12vrr_stack+118058, r12vrr_stack+94326);

 /*--- compute (h0|r0)^4 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+235169, r12vrr_stack+257689, r12vrr_stack+233594, r12vrr_stack+106963, r12vrr_stack+118688, r12vrr_stack+243584);

 /*--- compute (i0|r0)^3 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+259264, r12vrr_stack+235169, r12vrr_stack+190545, r12vrr_stack+257689, r12vrr_stack+244949);

 /*--- compute (k0|r0)^2 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+231494, r12vrr_stack+261469, r12vrr_stack+105913, r12vrr_stack+192120, r12vrr_stack+259264, r12vrr_stack+246860);

 /*--- compute (l0|r0)^1 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+243584, r12vrr_stack+264409, r12vrr_stack+231494, r12vrr_stack+194325, r12vrr_stack+261469, r12vrr_stack+249408);

 /*--- compute (m0|r0)^0 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+231494, r12vrr_stack+268189, r12vrr_stack+243584, r12vrr_stack+197265, r12vrr_stack+264409, r12vrr_stack+113648);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+113648, &(Data->ss_r12_ss), NULL, r12vrr_stack+1245, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+113651, r12vrr_stack+113648, &(Data->ss_r12_ss), r12vrr_stack+54, r12vrr_stack+1245, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+113657, r12vrr_stack+113651, r12vrr_stack+113648, r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+1245, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+113667, r12vrr_stack+113657, r12vrr_stack+113651, r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+54, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+5862, r12vrr_stack+113667, r12vrr_stack+113657, r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+420, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+113682, r12vrr_stack+5862, r12vrr_stack+113667, r12vrr_stack+2978, r12vrr_stack+1263, r12vrr_stack+1248, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+113710, r12vrr_stack+113682, NULL, r12vrr_stack+3006, r12vrr_stack+2978, NULL, r12vrr_stack+1263);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+113794, r12vrr_stack+113710, r12vrr_stack+113682, r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+2978, r12vrr_stack+4203);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+113962, r12vrr_stack+113794, r12vrr_stack+113710, r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+4266);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+114242, r12vrr_stack+113962, r12vrr_stack+113794, r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+4392);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+114662, r12vrr_stack+114242, r12vrr_stack+113962, r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+4602);

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+115250, r12vrr_stack+114662, r12vrr_stack+114242, r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+5883);
 tmp = r12vrr_stack + 115250;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+140038, r12vrr_stack+115250, r12vrr_stack+114662, r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+6324);
 tmp = r12vrr_stack + 140038;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||i0)^0 ---*/
 _R_BUILD_l0i0(Data,r12vrr_stack+113710, r12vrr_stack+140038, r12vrr_stack+115250, r12vrr_stack+141046, r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+10372);
 tmp = r12vrr_stack + 113710;
 target_ptr = Libr12->rvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+23284, r12vrr_stack+113682, r12vrr_stack+5862, r12vrr_stack+11164, r12vrr_stack+2978, r12vrr_stack+1263, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+5862, r12vrr_stack+23284, NULL, r12vrr_stack+11200, r12vrr_stack+11164, NULL, r12vrr_stack+2978);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+5970, r12vrr_stack+5862, r12vrr_stack+23284, r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+11164, r12vrr_stack+3006);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+114970, r12vrr_stack+5970, r12vrr_stack+5862, r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+3363);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+3006, r12vrr_stack+114970, r12vrr_stack+5970, r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+14236);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+201045, r12vrr_stack+3006, r12vrr_stack+114970, r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+14516);

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+114970, r12vrr_stack+201045, r12vrr_stack+3006, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+14936);
 tmp = r12vrr_stack + 114970;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+3006, r12vrr_stack+114970, r12vrr_stack+201045, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+17316);
 tmp = r12vrr_stack + 3006;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||k0)^0 ---*/
 _R_BUILD_l0k0(Data,r12vrr_stack+33175, r12vrr_stack+3006, r12vrr_stack+114970, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+18100);
 tmp = r12vrr_stack + 33175;
 target_ptr = Libr12->rvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+114970, r12vrr_stack+23284, r12vrr_stack+113682, r12vrr_stack+19108, r12vrr_stack+11164, r12vrr_stack+2978, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+115015, r12vrr_stack+114970, NULL, r12vrr_stack+19153, r12vrr_stack+19108, NULL, r12vrr_stack+11164);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+115150, r12vrr_stack+115015, r12vrr_stack+114970, r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+19108, r12vrr_stack+11200);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+115420, r12vrr_stack+115150, r12vrr_stack+115015, r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+11308);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+115870, r12vrr_stack+115420, r12vrr_stack+115150, r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+11524);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+123658, r12vrr_stack+115870, r12vrr_stack+115420, r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+21124);

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+11200, r12vrr_stack+123658, r12vrr_stack+115870, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+23320);
 tmp = r12vrr_stack + 11200;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+115015, r12vrr_stack+11200, r12vrr_stack+123658, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+24076);
 tmp = r12vrr_stack + 115015;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||l0)^0 ---*/
 _R_BUILD_l0l0(Data,r12vrr_stack+237269, r12vrr_stack+115015, r12vrr_stack+11200, r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+27964);
 tmp = r12vrr_stack + 237269;
 target_ptr = Libr12->rvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+114970, r12vrr_stack+23284, r12vrr_stack+30205, r12vrr_stack+19108, r12vrr_stack+11164, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+48825, NULL, r12vrr_stack+30260, r12vrr_stack+30205, NULL, r12vrr_stack+19108);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+123823, r12vrr_stack+123658, r12vrr_stack+48825, r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+30205, r12vrr_stack+19153);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+116635, r12vrr_stack+123823, r12vrr_stack+123658, r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+19540);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+116635, r12vrr_stack+123823, r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+32050);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19978, r12vrr_stack+19153, r12vrr_stack+116635, r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+32500);

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+116635, r12vrr_stack+19978, r12vrr_stack+19153, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+34795);
 tmp = r12vrr_stack + 116635;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+118175, r12vrr_stack+116635, r12vrr_stack+19978, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+35740);
 tmp = r12vrr_stack + 118175;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+118175, r12vrr_stack+116635, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+40330);
 tmp = r12vrr_stack + 19153;
 target_ptr = Libr12->rvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+116635, r12vrr_stack+48825, r12vrr_stack+114970, r12vrr_stack+42280, r12vrr_stack+30205, r12vrr_stack+19108, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+116701, r12vrr_stack+116635, NULL, r12vrr_stack+42346, r12vrr_stack+42280, NULL, r12vrr_stack+30205);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+116899, r12vrr_stack+116701, r12vrr_stack+116635, r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+42280, r12vrr_stack+30260);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+117295, r12vrr_stack+116899, r12vrr_stack+116701, r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+30425);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+117295, r12vrr_stack+116899, r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+29370);

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31250, r12vrr_stack+30260, r12vrr_stack+117295, r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+45525);

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+243584, r12vrr_stack+31250, r12vrr_stack+30260, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+48880);
 tmp = r12vrr_stack + 243584;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+243584, r12vrr_stack+31250, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+50035);
 tmp = r12vrr_stack + 63169;
 target_ptr = Libr12->rvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+245432, r12vrr_stack+63169, r12vrr_stack+243584, r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+55645);
 tmp = r12vrr_stack + 245432;
 target_ptr = Libr12->rvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+243584, r12vrr_stack+116635, r12vrr_stack+48825, r12vrr_stack+58813, r12vrr_stack+42280, r12vrr_stack+30205, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+243662, r12vrr_stack+243584, NULL, r12vrr_stack+58891, r12vrr_stack+58813, NULL, r12vrr_stack+42280);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+243896, r12vrr_stack+243662, r12vrr_stack+243584, r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+58813, r12vrr_stack+42346);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+244364, r12vrr_stack+243896, r12vrr_stack+243662, r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+43105);

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42346, r12vrr_stack+244364, r12vrr_stack+243896, r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+61519);

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+43516, r12vrr_stack+42346, r12vrr_stack+244364, r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+62179);

 /*--- compute (i0||o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+248402, r12vrr_stack+43516, r12vrr_stack+42346, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+65545);
 tmp = r12vrr_stack + 248402;
 target_ptr = Libr12->rvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+248402, r12vrr_stack+43516, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+66931);
 tmp = r12vrr_stack + 83059;
 target_ptr = Libr12->rvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42346, r12vrr_stack+83059, r12vrr_stack+248402, r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+73663);
 tmp = r12vrr_stack + 42346;
 target_ptr = Libr12->rvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+248402, r12vrr_stack+243584, r12vrr_stack+116635, r12vrr_stack+77677, r12vrr_stack+58813, r12vrr_stack+42280, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+116635, r12vrr_stack+248402, NULL, r12vrr_stack+41950, r12vrr_stack+77677, NULL, r12vrr_stack+58813);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+116908, r12vrr_stack+116635, r12vrr_stack+248402, r12vrr_stack+77768, r12vrr_stack+41950, r12vrr_stack+77677, r12vrr_stack+58891);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+248402, r12vrr_stack+116908, r12vrr_stack+116635, r12vrr_stack+103638, r12vrr_stack+77768, r12vrr_stack+41950, r12vrr_stack+59125);

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+249312, r12vrr_stack+248402, r12vrr_stack+116908, r12vrr_stack+104548, r12vrr_stack+103638, r12vrr_stack+77768, r12vrr_stack+81109);

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+250677, r12vrr_stack+249312, r12vrr_stack+248402, r12vrr_stack+109189, r12vrr_stack+104548, r12vrr_stack+103638, r12vrr_stack+81889);

 /*--- compute (i0||q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+250677, r12vrr_stack+249312, r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+104548, r12vrr_stack+85867);
 tmp = r12vrr_stack + 105913;
 target_ptr = Libr12->rvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+257689, r12vrr_stack+105913, r12vrr_stack+250677, r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+87505);
 tmp = r12vrr_stack + 257689;
 target_ptr = Libr12->rvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+248402, r12vrr_stack+257689, r12vrr_stack+105913, r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+95461);
 tmp = r12vrr_stack + 248402;
 target_ptr = Libr12->rvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+116635, r12vrr_stack+17316, r12vrr_stack+24076, r12vrr_stack+18100, r12vrr_stack+10372, r12vrr_stack+6324);
 tmp = r12vrr_stack + 116635;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+243584, r12vrr_stack+24076, r12vrr_stack+35740, r12vrr_stack+27964, r12vrr_stack+18100, r12vrr_stack+17316);
 tmp = r12vrr_stack + 243584;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5862, r12vrr_stack+35740, r12vrr_stack+50035, r12vrr_stack+40330, r12vrr_stack+27964, r12vrr_stack+24076);
 tmp = r12vrr_stack + 5862;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+7122, r12vrr_stack+50035, r12vrr_stack+66931, r12vrr_stack+55645, r12vrr_stack+40330, r12vrr_stack+35740);
 tmp = r12vrr_stack + 7122;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+260965, r12vrr_stack+66931, r12vrr_stack+87505, r12vrr_stack+73663, r12vrr_stack+55645, r12vrr_stack+50035);
 tmp = r12vrr_stack + 260965;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+262813, r12vrr_stack+87505, r12vrr_stack+111100, r12vrr_stack+95461, r12vrr_stack+73663, r12vrr_stack+66931);
 tmp = r12vrr_stack + 262813;
 target_ptr = Libr12->t2vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+264997, r12vrr_stack+111100, r12vrr_stack+137098, r12vrr_stack+120382, r12vrr_stack+95461, r12vrr_stack+87505);
 tmp = r12vrr_stack + 264997;
 target_ptr = Libr12->t2vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+8662, r12vrr_stack+18100, r12vrr_stack+27964, r12vrr_stack+141046, r12vrr_stack+4917, r12vrr_stack+10372);
 tmp = r12vrr_stack + 8662;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+9670, r12vrr_stack+27964, r12vrr_stack+40330, r12vrr_stack+21664, r12vrr_stack+141046, r12vrr_stack+18100);
 tmp = r12vrr_stack + 9670;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+10966, r12vrr_stack+40330, r12vrr_stack+55645, r12vrr_stack+149110, r12vrr_stack+21664, r12vrr_stack+27964);
 tmp = r12vrr_stack + 10966;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+12586, r12vrr_stack+55645, r12vrr_stack+73663, r12vrr_stack+46350, r12vrr_stack+149110, r12vrr_stack+40330);
 tmp = r12vrr_stack + 12586;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+190545, r12vrr_stack+73663, r12vrr_stack+95461, r12vrr_stack+163070, r12vrr_stack+46350, r12vrr_stack+55645);
 tmp = r12vrr_stack + 190545;
 target_ptr = Libr12->t2vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+192921, r12vrr_stack+95461, r12vrr_stack+120382, r12vrr_stack+173840, r12vrr_stack+163070, r12vrr_stack+73663);
 tmp = r12vrr_stack + 192921;
 target_ptr = Libr12->t2vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+177350, r12vrr_stack+120382, r12vrr_stack+197265, r12vrr_stack+186450, r12vrr_stack+173840, r12vrr_stack+95461);
 tmp = r12vrr_stack + 177350;
 target_ptr = Libr12->t2vrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+195729, r12vrr_stack+141046, r12vrr_stack+21664, r12vrr_stack+15524, r12vrr_stack+76039, r12vrr_stack+4917);
 tmp = r12vrr_stack + 195729;
 target_ptr = Libr12->t2vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+180626, r12vrr_stack+21664, r12vrr_stack+149110, r12vrr_stack+204609, r12vrr_stack+15524, r12vrr_stack+141046);
 tmp = r12vrr_stack + 180626;
 target_ptr = Libr12->t2vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+182246, r12vrr_stack+149110, r12vrr_stack+46350, r12vrr_stack+211089, r12vrr_stack+204609, r12vrr_stack+21664);
 tmp = r12vrr_stack + 182246;
 target_ptr = Libr12->t2vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+100117, r12vrr_stack+46350, r12vrr_stack+163070, r12vrr_stack+218239, r12vrr_stack+211089, r12vrr_stack+149110);
 tmp = r12vrr_stack + 100117;
 target_ptr = Libr12->t2vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+102592, r12vrr_stack+163070, r12vrr_stack+173840, r12vrr_stack+227864, r12vrr_stack+218239, r12vrr_stack+46350);
 tmp = r12vrr_stack + 102592;
 target_ptr = Libr12->t2vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+105562, r12vrr_stack+173840, r12vrr_stack+186450, r12vrr_stack+239294, r12vrr_stack+227864, r12vrr_stack+163070);
 tmp = r12vrr_stack + 105562;
 target_ptr = Libr12->t2vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+206589, r12vrr_stack+186450, r12vrr_stack+268189, r12vrr_stack+252684, r12vrr_stack+239294, r12vrr_stack+173840);
 tmp = r12vrr_stack + 206589;
 target_ptr = Libr12->t2vrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+184271, r12vrr_stack+15524, r12vrr_stack+204609, r12vrr_stack+98269, r12vrr_stack+129622, r12vrr_stack+76039);
 tmp = r12vrr_stack + 184271;
 target_ptr = Libr12->t2vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+76039, r12vrr_stack+204609, r12vrr_stack+211089, r12vrr_stack+201801, r12vrr_stack+98269, r12vrr_stack+15524);
 tmp = r12vrr_stack + 76039;
 target_ptr = Libr12->t2vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+78019, r12vrr_stack+211089, r12vrr_stack+218239, r12vrr_stack+124603, r12vrr_stack+201801, r12vrr_stack+204609);
 tmp = r12vrr_stack + 78019;
 target_ptr = Libr12->t2vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+68779, r12vrr_stack+218239, r12vrr_stack+227864, r12vrr_stack+213564, r12vrr_stack+124603, r12vrr_stack+211089);
 tmp = r12vrr_stack + 68779;
 target_ptr = Libr12->t2vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+89689, r12vrr_stack+227864, r12vrr_stack+239294, r12vrr_stack+142306, r12vrr_stack+213564, r12vrr_stack+218239);
 tmp = r12vrr_stack + 89689;
 target_ptr = Libr12->t2vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+156283, r12vrr_stack+239294, r12vrr_stack+252684, r12vrr_stack+151135, r12vrr_stack+142306, r12vrr_stack+227864);
 tmp = r12vrr_stack + 156283;
 target_ptr = Libr12->t2vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+166040, r12vrr_stack+252684, r12vrr_stack+231494, r12vrr_stack+221264, r12vrr_stack+151135, r12vrr_stack+239294);
 tmp = r12vrr_stack + 166040;
 target_ptr = Libr12->t2vrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+80494, r12vrr_stack+17316, r12vrr_stack+18100, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+14936);
 tmp = r12vrr_stack + 80494;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+81278, r12vrr_stack+24076, r12vrr_stack+27964, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+23320);
 tmp = r12vrr_stack + 81278;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+71804, r12vrr_stack+35740, r12vrr_stack+40330, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+34795);
 tmp = r12vrr_stack + 71804;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+50035, r12vrr_stack+55645, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+48880);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+93319, r12vrr_stack+66931, r12vrr_stack+73663, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+65545);
 tmp = r12vrr_stack + 93319;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+160573, r12vrr_stack+87505, r12vrr_stack+95461, r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+85867);
 tmp = r12vrr_stack + 160573;
 target_ptr = Libr12->t1vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+51575, r12vrr_stack+111100, r12vrr_stack+120382, r12vrr_stack+137098, r12vrr_stack+134893, r12vrr_stack+109189);
 tmp = r12vrr_stack + 51575;
 target_ptr = Libr12->t1vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+85867, r12vrr_stack+18100, r12vrr_stack+141046, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+17316);
 tmp = r12vrr_stack + 85867;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+65545, r12vrr_stack+27964, r12vrr_stack+21664, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+24076);
 tmp = r12vrr_stack + 65545;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23284, r12vrr_stack+40330, r12vrr_stack+149110, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+35740);
 tmp = r12vrr_stack + 23284;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+34795, r12vrr_stack+55645, r12vrr_stack+46350, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+50035);
 tmp = r12vrr_stack + 34795;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+36775, r12vrr_stack+73663, r12vrr_stack+163070, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+66931);
 tmp = r12vrr_stack + 36775;
 target_ptr = Libr12->t1vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+24904, r12vrr_stack+95461, r12vrr_stack+173840, r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+87505);
 tmp = r12vrr_stack + 24904;
 target_ptr = Libr12->t1vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+127573, r12vrr_stack+120382, r12vrr_stack+186450, r12vrr_stack+197265, r12vrr_stack+137098, r12vrr_stack+111100);
 tmp = r12vrr_stack + 127573;
 target_ptr = Libr12->t1vrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+86875, r12vrr_stack+141046, r12vrr_stack+15524, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+18100);
 tmp = r12vrr_stack + 86875;
 target_ptr = Libr12->t1vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+66841, r12vrr_stack+21664, r12vrr_stack+204609, r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+27964);
 tmp = r12vrr_stack + 66841;
 target_ptr = Libr12->t1vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+48825, r12vrr_stack+149110, r12vrr_stack+211089, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+40330);
 tmp = r12vrr_stack + 48825;
 target_ptr = Libr12->t1vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+109072, r12vrr_stack+46350, r12vrr_stack+218239, r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+55645);
 tmp = r12vrr_stack + 109072;
 target_ptr = Libr12->t1vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+130849, r12vrr_stack+163070, r12vrr_stack+227864, r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+73663);
 tmp = r12vrr_stack + 130849;
 target_ptr = Libr12->t1vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+133819, r12vrr_stack+173840, r12vrr_stack+239294, r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+95461);
 tmp = r12vrr_stack + 133819;
 target_ptr = Libr12->t1vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+57625, r12vrr_stack+186450, r12vrr_stack+252684, r12vrr_stack+268189, r12vrr_stack+197265, r12vrr_stack+120382);
 tmp = r12vrr_stack + 57625;
 target_ptr = Libr12->t1vrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+88135, r12vrr_stack+15524, r12vrr_stack+98269, r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+141046);
 tmp = r12vrr_stack + 88135;
 target_ptr = Libr12->t1vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+196989, r12vrr_stack+204609, r12vrr_stack+201801, r12vrr_stack+211089, r12vrr_stack+149110, r12vrr_stack+21664);
 tmp = r12vrr_stack + 196989;
 target_ptr = Libr12->t1vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+198969, r12vrr_stack+211089, r12vrr_stack+124603, r12vrr_stack+218239, r12vrr_stack+46350, r12vrr_stack+149110);
 tmp = r12vrr_stack + 198969;
 target_ptr = Libr12->t1vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+123658, r12vrr_stack+218239, r12vrr_stack+213564, r12vrr_stack+227864, r12vrr_stack+163070, r12vrr_stack+46350);
 tmp = r12vrr_stack + 123658;
 target_ptr = Libr12->t1vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+213564, r12vrr_stack+227864, r12vrr_stack+142306, r12vrr_stack+239294, r12vrr_stack+173840, r12vrr_stack+163070);
 tmp = r12vrr_stack + 213564;
 target_ptr = Libr12->t1vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+142306, r12vrr_stack+239294, r12vrr_stack+151135, r12vrr_stack+252684, r12vrr_stack+186450, r12vrr_stack+173840);
 tmp = r12vrr_stack + 142306;
 target_ptr = Libr12->t1vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+151135, r12vrr_stack+252684, r12vrr_stack+221264, r12vrr_stack+231494, r12vrr_stack+268189, r12vrr_stack+186450);
 tmp = r12vrr_stack + 151135;
 target_ptr = Libr12->t1vrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+231494, r12vrr_stack+113710, r12vrr_stack+140038, r12vrr_stack+15524, r12vrr_stack+141046, r12vrr_stack+18100, r12vrr_stack+4917);
 tmp = r12vrr_stack + 231494;
 target_ptr = Libr12->rvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+233034, r12vrr_stack+33175, r12vrr_stack+3006, r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+141046);
 tmp = r12vrr_stack + 233034;
 target_ptr = Libr12->rvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+221264, r12vrr_stack+237269, r12vrr_stack+115015, r12vrr_stack+211089, r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+21664);
 tmp = r12vrr_stack + 221264;
 target_ptr = Libr12->rvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+235014, r12vrr_stack+19153, r12vrr_stack+118175, r12vrr_stack+218239, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+149110);
 tmp = r12vrr_stack + 235014;
 target_ptr = Libr12->rvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+223739, r12vrr_stack+245432, r12vrr_stack+63169, r12vrr_stack+227864, r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+46350);
 tmp = r12vrr_stack + 223739;
 target_ptr = Libr12->rvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+146596, r12vrr_stack+42346, r12vrr_stack+83059, r12vrr_stack+239294, r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+163070);
 tmp = r12vrr_stack + 146596;
 target_ptr = Libr12->rvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+238039, r12vrr_stack+248402, r12vrr_stack+257689, r12vrr_stack+252684, r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+173840);
 tmp = r12vrr_stack + 238039;
 target_ptr = Libr12->rvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];


}

