#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ihih(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+6);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+990, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+975, NULL, NULL, r12vrr_stack+274);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1110, r12vrr_stack+960, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+284);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1155, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+294);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+324);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1335, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+354);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+324, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+324, r12vrr_stack+6, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+414, r12vrr_stack+324, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+420, r12vrr_stack+81, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1485, r12vrr_stack+337, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1530, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+430);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+460);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+78, r12vrr_stack+6, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+440, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+455, r12vrr_stack+1095, r12vrr_stack+440, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+520);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1860, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+550);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2010, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+610);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2235, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+710);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2460, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+810);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2796, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2817, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+2775, r12vrr_stack+2817, NULL, NULL, r12vrr_stack+960);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2901, r12vrr_stack+2796, r12vrr_stack+2775, NULL, NULL, r12vrr_stack+975);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2964, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+990);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+990, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+327, r12vrr_stack+420, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3090, r12vrr_stack+990, r12vrr_stack+2796, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3153, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+1050);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1050, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2817, r12vrr_stack+1050, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3342, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+1110);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3468, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+1155);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3678, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+1245);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3888, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+1335);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1245, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+1245, r12vrr_stack+324, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+81, r12vrr_stack+1245, r12vrr_stack+324, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+327, r12vrr_stack+54, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+337, r12vrr_stack+420, r12vrr_stack+327, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4203, r12vrr_stack+1263, r12vrr_stack+990, NULL, NULL, r12vrr_stack+337);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4266, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1485);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4392, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1530);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4602, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+1620);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1485, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+1485, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1488, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1498, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+87, r12vrr_stack+414, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+93, r12vrr_stack+430, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1050, r12vrr_stack+1513, NULL, NULL, r12vrr_stack+440);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1597, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+455);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+1770);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5127, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+1860);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5442, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+2010);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5883, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+2235);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6324, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+2460);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1723, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+1726, r12vrr_stack+0, r12vrr_stack+1723, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1732, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1741, r12vrr_stack+12, r12vrr_stack+1732, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+1723);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1284, r12vrr_stack+30, r12vrr_stack+1741, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+1726);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1314, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+6912, r12vrr_stack+114, r12vrr_stack+1314, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+1732);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+6948, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+1741);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+7008, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+1284);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+168, r12vrr_stack+93, r12vrr_stack+430, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7098, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+1314);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+7158, r12vrr_stack+550, r12vrr_stack+7098, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+6912);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+7258, r12vrr_stack+610, r12vrr_stack+7158, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+6948);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7408, r12vrr_stack+810, r12vrr_stack+7258, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+7008);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+710, r12vrr_stack+440, r12vrr_stack+1498, NULL, NULL, r12vrr_stack+430);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7618, r12vrr_stack+455, r12vrr_stack+710, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+168);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7708, r12vrr_stack+1770, r12vrr_stack+7618, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+7098);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7858, r12vrr_stack+1860, r12vrr_stack+7708, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+7158);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8083, r12vrr_stack+2010, r12vrr_stack+7858, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+7258);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8398, r12vrr_stack+2460, r12vrr_stack+8083, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+7408);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+198, r12vrr_stack+1485, r12vrr_stack+3, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2235, r12vrr_stack+81, r12vrr_stack+198, r12vrr_stack+6, r12vrr_stack+1485, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2245, r12vrr_stack+1488, r12vrr_stack+2235, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+430, r12vrr_stack+1488, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2281, r12vrr_stack+1513, r12vrr_stack+2260, NULL, NULL, r12vrr_stack+1498);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+1534, r12vrr_stack+2281, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+710);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8818, r12vrr_stack+1597, r12vrr_stack+1110, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+7618);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9028, r12vrr_stack+4917, r12vrr_stack+8818, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+7708);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9343, r12vrr_stack+5127, r12vrr_stack+9028, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+7858);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9784, r12vrr_stack+5442, r12vrr_stack+9343, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+8083);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10372, r12vrr_stack+6324, r12vrr_stack+9784, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+8398);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2344, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+960, r12vrr_stack+1095, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2372, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+2372, r12vrr_stack+2344, NULL, NULL, r12vrr_stack+2817);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2400, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+1035, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+2400, r12vrr_stack+2372, NULL, NULL, r12vrr_stack+2775);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+1095, r12vrr_stack+440, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11212, r12vrr_stack+2344, r12vrr_stack+960, NULL, NULL, r12vrr_stack+1050);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11296, r12vrr_stack+1332, r12vrr_stack+11212, r12vrr_stack+2372, r12vrr_stack+2344, r12vrr_stack+3279);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11464, r12vrr_stack+11128, r12vrr_stack+1332, r12vrr_stack+2400, r12vrr_stack+2372, r12vrr_stack+2838);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11632, r12vrr_stack+11464, r12vrr_stack+11296, r12vrr_stack+11128, r12vrr_stack+1332, r12vrr_stack+3342);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+337, r12vrr_stack+1035, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2838, r12vrr_stack+2400, NULL, NULL, r12vrr_stack+2796);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11912, r12vrr_stack+3279, r12vrr_stack+11128, r12vrr_stack+2838, r12vrr_stack+2400, r12vrr_stack+2901);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12080, r12vrr_stack+11912, r12vrr_stack+11464, r12vrr_stack+3279, r12vrr_stack+11128, r12vrr_stack+2964);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2866, r12vrr_stack+1513, r12vrr_stack+2260, r12vrr_stack+440, r12vrr_stack+1498, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2894, r12vrr_stack+960, r12vrr_stack+2866, NULL, NULL, r12vrr_stack+1513);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12360, r12vrr_stack+11212, r12vrr_stack+2894, r12vrr_stack+2344, r12vrr_stack+960, r12vrr_stack+1534);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12528, r12vrr_stack+11296, r12vrr_stack+12360, r12vrr_stack+1332, r12vrr_stack+11212, r12vrr_stack+1597);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12808, r12vrr_stack+11632, r12vrr_stack+12528, r12vrr_stack+11464, r12vrr_stack+11296, r12vrr_stack+4917);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13228, r12vrr_stack+12080, r12vrr_stack+11632, r12vrr_stack+11912, r12vrr_stack+11464, r12vrr_stack+3468);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13648, r12vrr_stack+13228, r12vrr_stack+12808, r12vrr_stack+12080, r12vrr_stack+11632, r12vrr_stack+5127);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2978, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1248, r12vrr_stack+337, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3006, r12vrr_stack+2978, r12vrr_stack+2838, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+3279, r12vrr_stack+2978, r12vrr_stack+2838, r12vrr_stack+3090);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+11912, r12vrr_stack+3006, r12vrr_stack+3279, r12vrr_stack+3153);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+12080, r12vrr_stack+3363, r12vrr_stack+11912, r12vrr_stack+3678);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+13228, r12vrr_stack+14236, r12vrr_stack+12080, r12vrr_stack+3888);

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3090, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+3090, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3093, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+1485, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3103, r12vrr_stack+2235, r12vrr_stack+3093, r12vrr_stack+81, r12vrr_stack+198, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3118, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+1488, r12vrr_stack+2235, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3139, r12vrr_stack+2260, r12vrr_stack+3118, r12vrr_stack+1498, r12vrr_stack+2245, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3167, r12vrr_stack+2866, r12vrr_stack+3139, NULL, NULL, r12vrr_stack+2260);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3531, r12vrr_stack+2894, r12vrr_stack+3167, r12vrr_stack+960, r12vrr_stack+2866, r12vrr_stack+2281);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3699, r12vrr_stack+12360, r12vrr_stack+3531, r12vrr_stack+11212, r12vrr_stack+2894, r12vrr_stack+1110);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15524, r12vrr_stack+12528, r12vrr_stack+3699, r12vrr_stack+11296, r12vrr_stack+12360, r12vrr_stack+8818);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15944, r12vrr_stack+12808, r12vrr_stack+15524, r12vrr_stack+11632, r12vrr_stack+12528, r12vrr_stack+9028);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16532, r12vrr_stack+13648, r12vrr_stack+15944, r12vrr_stack+13228, r12vrr_stack+12808, r12vrr_stack+9343);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+13648, r12vrr_stack+14516, r12vrr_stack+13228, r12vrr_stack+5442);
 tmp = r12vrr_stack + 17316;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+16532, r12vrr_stack+14936, r12vrr_stack+13648, r12vrr_stack+9784);
 tmp = r12vrr_stack + 18100;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3979, r12vrr_stack+2372, r12vrr_stack+2344, r12vrr_stack+2775, r12vrr_stack+2817, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4015, r12vrr_stack+2400, r12vrr_stack+2372, r12vrr_stack+2796, r12vrr_stack+2775, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4051, r12vrr_stack+2344, r12vrr_stack+960, r12vrr_stack+2817, r12vrr_stack+1050, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4087, r12vrr_stack+3979, r12vrr_stack+4051, NULL, NULL, r12vrr_stack+2344);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+4015, r12vrr_stack+3979, NULL, NULL, r12vrr_stack+2372);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+264, r12vrr_stack+4087, r12vrr_stack+4015, r12vrr_stack+3979, r12vrr_stack+1332);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+2838, r12vrr_stack+2400, r12vrr_stack+990, r12vrr_stack+2796, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1368, r12vrr_stack+1332, r12vrr_stack+4015, NULL, NULL, r12vrr_stack+2400);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19324, r12vrr_stack+1368, r12vrr_stack+264, r12vrr_stack+1332, r12vrr_stack+4015, r12vrr_stack+11128);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+960, r12vrr_stack+2866, r12vrr_stack+1050, r12vrr_stack+1513, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19540, r12vrr_stack+4051, r12vrr_stack+11128, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19648, r12vrr_stack+4087, r12vrr_stack+19540, r12vrr_stack+3979, r12vrr_stack+4051, r12vrr_stack+11212);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19864, r12vrr_stack+19108, r12vrr_stack+19648, r12vrr_stack+264, r12vrr_stack+4087, r12vrr_stack+11296);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20224, r12vrr_stack+19324, r12vrr_stack+19108, r12vrr_stack+1368, r12vrr_stack+264, r12vrr_stack+11464);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20584, r12vrr_stack+20224, r12vrr_stack+19864, r12vrr_stack+19324, r12vrr_stack+19108, r12vrr_stack+11632);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11164, r12vrr_stack+2978, r12vrr_stack+2838, r12vrr_stack+1263, r12vrr_stack+990, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11200, r12vrr_stack+11164, r12vrr_stack+1332, NULL, NULL, r12vrr_stack+2838);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+1368, r12vrr_stack+11164, r12vrr_stack+1332, r12vrr_stack+3279);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+19324, r12vrr_stack+11200, r12vrr_stack+1368, r12vrr_stack+11912);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+20224, r12vrr_stack+11308, r12vrr_stack+19324, r12vrr_stack+12080);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+2866, r12vrr_stack+3139, r12vrr_stack+1513, r12vrr_stack+2260, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11920, r12vrr_stack+11128, r12vrr_stack+11884, NULL, NULL, r12vrr_stack+2866);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12028, r12vrr_stack+19540, r12vrr_stack+11920, r12vrr_stack+4051, r12vrr_stack+11128, r12vrr_stack+2894);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21664, r12vrr_stack+19648, r12vrr_stack+12028, r12vrr_stack+4087, r12vrr_stack+19540, r12vrr_stack+12360);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22024, r12vrr_stack+19864, r12vrr_stack+21664, r12vrr_stack+19108, r12vrr_stack+19648, r12vrr_stack+12528);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22564, r12vrr_stack+20584, r12vrr_stack+22024, r12vrr_stack+20224, r12vrr_stack+19864, r12vrr_stack+12808);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+20584, r12vrr_stack+11524, r12vrr_stack+20224, r12vrr_stack+13228);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+22564, r12vrr_stack+21124, r12vrr_stack+20584, r12vrr_stack+13648);
 tmp = r12vrr_stack + 24076;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13228, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13231, r12vrr_stack+3090, r12vrr_stack+13228, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13237, r12vrr_stack+48, r12vrr_stack+13231, r12vrr_stack+3, r12vrr_stack+3090, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13247, r12vrr_stack+3093, r12vrr_stack+13237, r12vrr_stack+198, r12vrr_stack+48, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13262, r12vrr_stack+3103, r12vrr_stack+13247, r12vrr_stack+2235, r12vrr_stack+3093, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13283, r12vrr_stack+3118, r12vrr_stack+13262, r12vrr_stack+2245, r12vrr_stack+3103, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13311, r12vrr_stack+3139, r12vrr_stack+13283, r12vrr_stack+2260, r12vrr_stack+3118, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13347, r12vrr_stack+11884, r12vrr_stack+13311, NULL, NULL, r12vrr_stack+3139);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+11920, r12vrr_stack+13347, r12vrr_stack+11128, r12vrr_stack+11884, r12vrr_stack+3167);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25300, r12vrr_stack+12028, r12vrr_stack+25084, r12vrr_stack+19540, r12vrr_stack+11920, r12vrr_stack+3531);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25660, r12vrr_stack+21664, r12vrr_stack+25300, r12vrr_stack+19648, r12vrr_stack+12028, r12vrr_stack+3699);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26200, r12vrr_stack+22024, r12vrr_stack+25660, r12vrr_stack+19864, r12vrr_stack+21664, r12vrr_stack+15524);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26956, r12vrr_stack+22564, r12vrr_stack+26200, r12vrr_stack+20584, r12vrr_stack+22024, r12vrr_stack+15944);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+26956, r12vrr_stack+23320, r12vrr_stack+22564, r12vrr_stack+16532);
 tmp = r12vrr_stack + 27964;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13455, r12vrr_stack+3979, r12vrr_stack+4051, r12vrr_stack+2372, r12vrr_stack+2344, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13500, r12vrr_stack+4015, r12vrr_stack+3979, r12vrr_stack+2400, r12vrr_stack+2372, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13545, r12vrr_stack+4051, r12vrr_stack+11128, r12vrr_stack+2344, r12vrr_stack+960, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+13455, r12vrr_stack+13545, NULL, NULL, r12vrr_stack+4051);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29395, r12vrr_stack+13500, r12vrr_stack+13455, NULL, NULL, r12vrr_stack+3979);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29530, r12vrr_stack+29395, r12vrr_stack+29260, r12vrr_stack+13500, r12vrr_stack+13455, r12vrr_stack+4087);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4087, r12vrr_stack+1332, r12vrr_stack+4015, r12vrr_stack+2838, r12vrr_stack+2400, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29800, r12vrr_stack+4087, r12vrr_stack+13500, NULL, NULL, r12vrr_stack+4015);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29935, r12vrr_stack+29800, r12vrr_stack+29395, r12vrr_stack+4087, r12vrr_stack+13500, r12vrr_stack+264);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+11128, r12vrr_stack+11884, r12vrr_stack+960, r12vrr_stack+2866, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+13545, r12vrr_stack+264, NULL, NULL, r12vrr_stack+11128);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+960, r12vrr_stack+13455, r12vrr_stack+13545, r12vrr_stack+19540);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30475, r12vrr_stack+29530, r12vrr_stack+30205, r12vrr_stack+29395, r12vrr_stack+29260, r12vrr_stack+19648);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30925, r12vrr_stack+29935, r12vrr_stack+29530, r12vrr_stack+29800, r12vrr_stack+29395, r12vrr_stack+19108);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31375, r12vrr_stack+30925, r12vrr_stack+30475, r12vrr_stack+29935, r12vrr_stack+29530, r12vrr_stack+19864);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+11164, r12vrr_stack+1332, r12vrr_stack+2978, r12vrr_stack+2838, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+19108, r12vrr_stack+4087, NULL, NULL, r12vrr_stack+1332);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+29800, r12vrr_stack+19108, r12vrr_stack+4087, r12vrr_stack+1368);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+29935, r12vrr_stack+19153, r12vrr_stack+29800, r12vrr_stack+19324);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+30925, r12vrr_stack+19540, r12vrr_stack+29935, r12vrr_stack+20224);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1368, r12vrr_stack+11884, r12vrr_stack+13311, r12vrr_stack+2866, r12vrr_stack+3139, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+264, r12vrr_stack+1368, NULL, NULL, r12vrr_stack+11884);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+960, r12vrr_stack+19288, r12vrr_stack+13545, r12vrr_stack+264, r12vrr_stack+11920);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20080, r12vrr_stack+30205, r12vrr_stack+19810, r12vrr_stack+29260, r12vrr_stack+960, r12vrr_stack+12028);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+30475, r12vrr_stack+20080, r12vrr_stack+29530, r12vrr_stack+30205, r12vrr_stack+21664);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33850, r12vrr_stack+31375, r12vrr_stack+33175, r12vrr_stack+30925, r12vrr_stack+30475, r12vrr_stack+22024);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+31375, r12vrr_stack+32050, r12vrr_stack+30925, r12vrr_stack+20584);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+33850, r12vrr_stack+32500, r12vrr_stack+31375, r12vrr_stack+22564);
 tmp = r12vrr_stack + 35740;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1413, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1416, r12vrr_stack+13228, r12vrr_stack+1413, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1422, r12vrr_stack+13231, r12vrr_stack+1416, r12vrr_stack+3090, r12vrr_stack+13228, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+13237, r12vrr_stack+1422, r12vrr_stack+48, r12vrr_stack+13231, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1432, r12vrr_stack+13247, r12vrr_stack+1095, r12vrr_stack+3093, r12vrr_stack+13237, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1453, r12vrr_stack+13262, r12vrr_stack+1432, r12vrr_stack+3103, r12vrr_stack+13247, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19423, r12vrr_stack+13283, r12vrr_stack+1453, r12vrr_stack+3118, r12vrr_stack+13262, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19459, r12vrr_stack+13311, r12vrr_stack+19423, r12vrr_stack+3139, r12vrr_stack+13283, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20530, r12vrr_stack+1368, r12vrr_stack+19459, NULL, NULL, r12vrr_stack+13311);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20665, r12vrr_stack+19288, r12vrr_stack+20530, r12vrr_stack+264, r12vrr_stack+1368, r12vrr_stack+13347);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+19810, r12vrr_stack+20665, r12vrr_stack+960, r12vrr_stack+19288, r12vrr_stack+25084);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37450, r12vrr_stack+20080, r12vrr_stack+37000, r12vrr_stack+30205, r12vrr_stack+19810, r12vrr_stack+25300);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38125, r12vrr_stack+33175, r12vrr_stack+37450, r12vrr_stack+30475, r12vrr_stack+20080, r12vrr_stack+25660);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39070, r12vrr_stack+33850, r12vrr_stack+38125, r12vrr_stack+31375, r12vrr_stack+33175, r12vrr_stack+26200);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+39070, r12vrr_stack+34795, r12vrr_stack+33850, r12vrr_stack+26956);
 tmp = r12vrr_stack + 40330;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+755, r12vrr_stack+13455, r12vrr_stack+13545, r12vrr_stack+3979, r12vrr_stack+4051, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20935, r12vrr_stack+13500, r12vrr_stack+13455, r12vrr_stack+4015, r12vrr_stack+3979, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20990, r12vrr_stack+13545, r12vrr_stack+264, r12vrr_stack+4051, r12vrr_stack+11128, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+755, r12vrr_stack+20990, NULL, NULL, r12vrr_stack+13545);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42115, r12vrr_stack+20935, r12vrr_stack+755, NULL, NULL, r12vrr_stack+13455);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42280, r12vrr_stack+42115, r12vrr_stack+41950, r12vrr_stack+20935, r12vrr_stack+755, r12vrr_stack+29260);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+4087, r12vrr_stack+13500, r12vrr_stack+1332, r12vrr_stack+4015, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42610, r12vrr_stack+29260, r12vrr_stack+20935, NULL, NULL, r12vrr_stack+13500);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42775, r12vrr_stack+42610, r12vrr_stack+42115, r12vrr_stack+29260, r12vrr_stack+20935, r12vrr_stack+29395);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29315, r12vrr_stack+264, r12vrr_stack+1368, r12vrr_stack+11128, r12vrr_stack+11884, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43105, r12vrr_stack+20990, r12vrr_stack+29315, NULL, NULL, r12vrr_stack+264);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43270, r12vrr_stack+41950, r12vrr_stack+43105, r12vrr_stack+755, r12vrr_stack+20990, r12vrr_stack+960);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43600, r12vrr_stack+42280, r12vrr_stack+43270, r12vrr_stack+42115, r12vrr_stack+41950, r12vrr_stack+30205);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44150, r12vrr_stack+42775, r12vrr_stack+42280, r12vrr_stack+42610, r12vrr_stack+42115, r12vrr_stack+29530);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44700, r12vrr_stack+44150, r12vrr_stack+43600, r12vrr_stack+42775, r12vrr_stack+42280, r12vrr_stack+30475);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+19108, r12vrr_stack+4087, r12vrr_stack+11164, r12vrr_stack+1332, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+30205, r12vrr_stack+29260, NULL, NULL, r12vrr_stack+4087);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+42610, r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+29800);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+42775, r12vrr_stack+30260, r12vrr_stack+42610, r12vrr_stack+29935);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+44150, r12vrr_stack+30425, r12vrr_stack+42775, r12vrr_stack+30925);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+1368, r12vrr_stack+19459, r12vrr_stack+11884, r12vrr_stack+13311, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30810, r12vrr_stack+29315, r12vrr_stack+30755, NULL, NULL, r12vrr_stack+1368);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30975, r12vrr_stack+43105, r12vrr_stack+30810, r12vrr_stack+20990, r12vrr_stack+29315, r12vrr_stack+19288);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46350, r12vrr_stack+43270, r12vrr_stack+30975, r12vrr_stack+41950, r12vrr_stack+43105, r12vrr_stack+19810);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46900, r12vrr_stack+43600, r12vrr_stack+46350, r12vrr_stack+42280, r12vrr_stack+43270, r12vrr_stack+20080);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+47725, r12vrr_stack+44700, r12vrr_stack+46900, r12vrr_stack+44150, r12vrr_stack+43600, r12vrr_stack+33175);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+44700, r12vrr_stack+29370, r12vrr_stack+44150, r12vrr_stack+31375);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+47725, r12vrr_stack+45525, r12vrr_stack+44700, r12vrr_stack+33850);
 tmp = r12vrr_stack + 50035;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1332, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1335, r12vrr_stack+1413, r12vrr_stack+1332, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1341, r12vrr_stack+1416, r12vrr_stack+1335, r12vrr_stack+13228, r12vrr_stack+1413, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1351, r12vrr_stack+1422, r12vrr_stack+1341, r12vrr_stack+13231, r12vrr_stack+1416, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31305, r12vrr_stack+1095, r12vrr_stack+1351, r12vrr_stack+13237, r12vrr_stack+1422, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31326, r12vrr_stack+1432, r12vrr_stack+31305, r12vrr_stack+13247, r12vrr_stack+1095, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+1453, r12vrr_stack+31326, r12vrr_stack+13262, r12vrr_stack+1432, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31354, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+13283, r12vrr_stack+1453, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31399, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+13311, r12vrr_stack+19423, NULL);

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31454, r12vrr_stack+30755, r12vrr_stack+31399, NULL, NULL, r12vrr_stack+19459);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31619, r12vrr_stack+30810, r12vrr_stack+31454, r12vrr_stack+29315, r12vrr_stack+30755, r12vrr_stack+20530);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+30975, r12vrr_stack+31619, r12vrr_stack+43105, r12vrr_stack+30810, r12vrr_stack+20665);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52125, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+43270, r12vrr_stack+30975, r12vrr_stack+37000);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52950, r12vrr_stack+46900, r12vrr_stack+52125, r12vrr_stack+43600, r12vrr_stack+46350, r12vrr_stack+37450);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+54105, r12vrr_stack+47725, r12vrr_stack+52950, r12vrr_stack+44700, r12vrr_stack+46900, r12vrr_stack+38125);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+54105, r12vrr_stack+48880, r12vrr_stack+47725, r12vrr_stack+39070);
 tmp = r12vrr_stack + 55645;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+755, r12vrr_stack+20990, r12vrr_stack+13455, r12vrr_stack+13545, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+20935, r12vrr_stack+755, r12vrr_stack+13500, r12vrr_stack+13455, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1026, r12vrr_stack+20990, r12vrr_stack+29315, r12vrr_stack+13545, r12vrr_stack+264, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+31949, r12vrr_stack+1026, NULL, NULL, r12vrr_stack+20990);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+960, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+755);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57823, r12vrr_stack+57625, r12vrr_stack+29920, r12vrr_stack+960, r12vrr_stack+31949, r12vrr_stack+41950);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+29260, r12vrr_stack+20935, r12vrr_stack+4087, r12vrr_stack+13500, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58219, r12vrr_stack+41950, r12vrr_stack+960, NULL, NULL, r12vrr_stack+20935);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58417, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+41950, r12vrr_stack+960, r12vrr_stack+42115);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42016, r12vrr_stack+29315, r12vrr_stack+30755, r12vrr_stack+264, r12vrr_stack+1368, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42082, r12vrr_stack+1026, r12vrr_stack+42016, NULL, NULL, r12vrr_stack+29315);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+42082, r12vrr_stack+31949, r12vrr_stack+1026, r12vrr_stack+43105);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59209, r12vrr_stack+57823, r12vrr_stack+58813, r12vrr_stack+57625, r12vrr_stack+29920, r12vrr_stack+43270);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59869, r12vrr_stack+58417, r12vrr_stack+57823, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+42280);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60529, r12vrr_stack+59869, r12vrr_stack+59209, r12vrr_stack+58417, r12vrr_stack+57823, r12vrr_stack+43600);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42280, r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+19108, r12vrr_stack+4087, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42346, r12vrr_stack+42280, r12vrr_stack+41950, NULL, NULL, r12vrr_stack+29260);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+58219, r12vrr_stack+42280, r12vrr_stack+41950, r12vrr_stack+42610);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+58417, r12vrr_stack+42346, r12vrr_stack+58219, r12vrr_stack+42775);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+59869, r12vrr_stack+43105, r12vrr_stack+58417, r12vrr_stack+44150);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42544, r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+1368, r12vrr_stack+19459, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42610, r12vrr_stack+42016, r12vrr_stack+42544, NULL, NULL, r12vrr_stack+30755);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+42082, r12vrr_stack+42610, r12vrr_stack+1026, r12vrr_stack+42016, r12vrr_stack+30810);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43897, r12vrr_stack+58813, r12vrr_stack+43501, r12vrr_stack+29920, r12vrr_stack+42082, r12vrr_stack+30975);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+59209, r12vrr_stack+43897, r12vrr_stack+57823, r12vrr_stack+58813, r12vrr_stack+46350);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+64159, r12vrr_stack+60529, r12vrr_stack+63169, r12vrr_stack+59869, r12vrr_stack+59209, r12vrr_stack+46900);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+60529, r12vrr_stack+61519, r12vrr_stack+59869, r12vrr_stack+44700);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+64159, r12vrr_stack+62179, r12vrr_stack+60529, r12vrr_stack+47725);
 tmp = r12vrr_stack + 66931;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13228, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+42808, r12vrr_stack+1332, r12vrr_stack+13228, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+42814, r12vrr_stack+1335, r12vrr_stack+42808, r12vrr_stack+1413, r12vrr_stack+1332, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+42824, r12vrr_stack+1341, r12vrr_stack+42814, r12vrr_stack+1416, r12vrr_stack+1335, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+42839, r12vrr_stack+1351, r12vrr_stack+42824, r12vrr_stack+1422, r12vrr_stack+1341, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+42860, r12vrr_stack+31305, r12vrr_stack+42839, r12vrr_stack+1095, r12vrr_stack+1351, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19504, r12vrr_stack+31326, r12vrr_stack+42860, r12vrr_stack+1432, r12vrr_stack+31305, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42888, r12vrr_stack+11128, r12vrr_stack+19504, r12vrr_stack+1453, r12vrr_stack+31326, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42933, r12vrr_stack+31354, r12vrr_stack+42888, r12vrr_stack+19423, r12vrr_stack+11128, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42988, r12vrr_stack+31399, r12vrr_stack+42933, r12vrr_stack+19459, r12vrr_stack+31354, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44557, r12vrr_stack+42544, r12vrr_stack+42988, NULL, NULL, r12vrr_stack+31399);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44755, r12vrr_stack+42610, r12vrr_stack+44557, r12vrr_stack+42016, r12vrr_stack+42544, r12vrr_stack+31454);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+43501, r12vrr_stack+44755, r12vrr_stack+42082, r12vrr_stack+42610, r12vrr_stack+31619);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+69439, r12vrr_stack+43897, r12vrr_stack+68779, r12vrr_stack+58813, r12vrr_stack+43501, r12vrr_stack+51575);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+70429, r12vrr_stack+63169, r12vrr_stack+69439, r12vrr_stack+59209, r12vrr_stack+43897, r12vrr_stack+52125);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71815, r12vrr_stack+64159, r12vrr_stack+70429, r12vrr_stack+60529, r12vrr_stack+63169, r12vrr_stack+52950);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+71815, r12vrr_stack+65545, r12vrr_stack+64159, r12vrr_stack+54105);
 tmp = r12vrr_stack + 73663;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+31949, r12vrr_stack+1026, r12vrr_stack+755, r12vrr_stack+20990, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45229, r12vrr_stack+960, r12vrr_stack+31949, r12vrr_stack+20935, r12vrr_stack+755, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45307, r12vrr_stack+1026, r12vrr_stack+42016, r12vrr_stack+20990, r12vrr_stack+29315, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+45151, r12vrr_stack+45307, NULL, NULL, r12vrr_stack+1026);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76273, r12vrr_stack+45229, r12vrr_stack+45151, NULL, NULL, r12vrr_stack+31949);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76507, r12vrr_stack+76273, r12vrr_stack+76039, r12vrr_stack+45229, r12vrr_stack+45151, r12vrr_stack+29920);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+41950, r12vrr_stack+960, r12vrr_stack+29260, r12vrr_stack+20935, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76975, r12vrr_stack+29920, r12vrr_stack+45229, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77209, r12vrr_stack+76975, r12vrr_stack+76273, r12vrr_stack+29920, r12vrr_stack+45229, r12vrr_stack+57625);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+42016, r12vrr_stack+42544, r12vrr_stack+29315, r12vrr_stack+30755, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77677, r12vrr_stack+45307, r12vrr_stack+57625, NULL, NULL, r12vrr_stack+42016);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77911, r12vrr_stack+76039, r12vrr_stack+77677, r12vrr_stack+45151, r12vrr_stack+45307, r12vrr_stack+42082);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78379, r12vrr_stack+76507, r12vrr_stack+77911, r12vrr_stack+76273, r12vrr_stack+76039, r12vrr_stack+58813);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79159, r12vrr_stack+77209, r12vrr_stack+76507, r12vrr_stack+76975, r12vrr_stack+76273, r12vrr_stack+57823);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79939, r12vrr_stack+79159, r12vrr_stack+78379, r12vrr_stack+77209, r12vrr_stack+76507, r12vrr_stack+59209);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58813, r12vrr_stack+42280, r12vrr_stack+41950, r12vrr_stack+30205, r12vrr_stack+29260, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58891, r12vrr_stack+58813, r12vrr_stack+29920, NULL, NULL, r12vrr_stack+41950);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+76975, r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+58219);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+77209, r12vrr_stack+58891, r12vrr_stack+76975, r12vrr_stack+58417);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+79159, r12vrr_stack+59125, r12vrr_stack+77209, r12vrr_stack+59869);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+42544, r12vrr_stack+42988, r12vrr_stack+30755, r12vrr_stack+31399, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59593, r12vrr_stack+57625, r12vrr_stack+29260, NULL, NULL, r12vrr_stack+42544);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59827, r12vrr_stack+77677, r12vrr_stack+59593, r12vrr_stack+45307, r12vrr_stack+57625, r12vrr_stack+42610);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57703, r12vrr_stack+77911, r12vrr_stack+59827, r12vrr_stack+76039, r12vrr_stack+77677, r12vrr_stack+43501);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+78379, r12vrr_stack+57703, r12vrr_stack+76507, r12vrr_stack+77911, r12vrr_stack+43897);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+84229, r12vrr_stack+79939, r12vrr_stack+83059, r12vrr_stack+79159, r12vrr_stack+78379, r12vrr_stack+63169);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+79939, r12vrr_stack+81109, r12vrr_stack+79159, r12vrr_stack+60529);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+84229, r12vrr_stack+81889, r12vrr_stack+79939, r12vrr_stack+64159);
 tmp = r12vrr_stack + 87505;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1092, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+29338, r12vrr_stack+13228, r12vrr_stack+1092, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+29344, r12vrr_stack+42808, r12vrr_stack+29338, r12vrr_stack+1332, r12vrr_stack+13228, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+29354, r12vrr_stack+42814, r12vrr_stack+29344, r12vrr_stack+1335, r12vrr_stack+42808, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60295, r12vrr_stack+42824, r12vrr_stack+29354, r12vrr_stack+1341, r12vrr_stack+42814, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+60316, r12vrr_stack+42839, r12vrr_stack+60295, r12vrr_stack+1351, r12vrr_stack+42824, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60344, r12vrr_stack+42860, r12vrr_stack+60316, r12vrr_stack+31305, r12vrr_stack+42839, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+60380, r12vrr_stack+19504, r12vrr_stack+60344, r12vrr_stack+31326, r12vrr_stack+42860, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+755, r12vrr_stack+42888, r12vrr_stack+60380, r12vrr_stack+11128, r12vrr_stack+19504, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60425, r12vrr_stack+42933, r12vrr_stack+755, r12vrr_stack+31354, r12vrr_stack+42888, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60491, r12vrr_stack+42988, r12vrr_stack+60425, r12vrr_stack+31399, r12vrr_stack+42933, NULL);

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60569, r12vrr_stack+29260, r12vrr_stack+60491, NULL, NULL, r12vrr_stack+42988);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60803, r12vrr_stack+59593, r12vrr_stack+60569, r12vrr_stack+57625, r12vrr_stack+29260, r12vrr_stack+44557);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+59827, r12vrr_stack+60803, r12vrr_stack+77677, r12vrr_stack+59593, r12vrr_stack+44755);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+90469, r12vrr_stack+57703, r12vrr_stack+89689, r12vrr_stack+77911, r12vrr_stack+59827, r12vrr_stack+68779);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+91639, r12vrr_stack+83059, r12vrr_stack+90469, r12vrr_stack+78379, r12vrr_stack+57703, r12vrr_stack+69439);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+93277, r12vrr_stack+84229, r12vrr_stack+91639, r12vrr_stack+79939, r12vrr_stack+83059, r12vrr_stack+70429);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+93277, r12vrr_stack+85867, r12vrr_stack+84229, r12vrr_stack+71815);
 tmp = r12vrr_stack + 95461;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+45151, r12vrr_stack+45307, r12vrr_stack+31949, r12vrr_stack+1026, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+61271, r12vrr_stack+45229, r12vrr_stack+45151, r12vrr_stack+960, r12vrr_stack+31949, NULL);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+45307, r12vrr_stack+57625, r12vrr_stack+1026, r12vrr_stack+42016, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+2775, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+45307);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+61271, r12vrr_stack+2775, NULL, NULL, r12vrr_stack+45151);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+98542, r12vrr_stack+98269, r12vrr_stack+58483, r12vrr_stack+61271, r12vrr_stack+2775, r12vrr_stack+76039);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+29920, r12vrr_stack+45229, r12vrr_stack+41950, r12vrr_stack+960, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99088, r12vrr_stack+76039, r12vrr_stack+61271, NULL, NULL, r12vrr_stack+45229);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99361, r12vrr_stack+99088, r12vrr_stack+98269, r12vrr_stack+76039, r12vrr_stack+61271, r12vrr_stack+76273);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+61271, r12vrr_stack+57625, r12vrr_stack+29260, r12vrr_stack+42016, r12vrr_stack+42544, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76130, r12vrr_stack+31949, r12vrr_stack+61271, NULL, NULL, r12vrr_stack+57625);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99907, r12vrr_stack+58483, r12vrr_stack+76130, r12vrr_stack+2775, r12vrr_stack+31949, r12vrr_stack+77677);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+100453, r12vrr_stack+98542, r12vrr_stack+99907, r12vrr_stack+98269, r12vrr_stack+58483, r12vrr_stack+77911);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+101363, r12vrr_stack+99361, r12vrr_stack+98542, r12vrr_stack+99088, r12vrr_stack+98269, r12vrr_stack+76507);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+102273, r12vrr_stack+101363, r12vrr_stack+100453, r12vrr_stack+99361, r12vrr_stack+98542, r12vrr_stack+78379);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+42280, r12vrr_stack+41950, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+2775, r12vrr_stack+76039, NULL, NULL, r12vrr_stack+29920);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+77677, r12vrr_stack+98269, r12vrr_stack+99088, r12vrr_stack+2775, r12vrr_stack+76039, r12vrr_stack+76975);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78223, r12vrr_stack+77677, r12vrr_stack+99361, r12vrr_stack+98269, r12vrr_stack+99088, r12vrr_stack+77209);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+103638, r12vrr_stack+78223, r12vrr_stack+101363, r12vrr_stack+77677, r12vrr_stack+99361, r12vrr_stack+79159);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+29260, r12vrr_stack+60491, r12vrr_stack+42544, r12vrr_stack+42988, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+61271, r12vrr_stack+76039, NULL, NULL, r12vrr_stack+29260);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99088, r12vrr_stack+76130, r12vrr_stack+98269, r12vrr_stack+31949, r12vrr_stack+61271, r12vrr_stack+59593);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76403, r12vrr_stack+99907, r12vrr_stack+99088, r12vrr_stack+58483, r12vrr_stack+76130, r12vrr_stack+59827);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+105003, r12vrr_stack+100453, r12vrr_stack+76403, r12vrr_stack+98542, r12vrr_stack+99907, r12vrr_stack+57703);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+106368, r12vrr_stack+102273, r12vrr_stack+105003, r12vrr_stack+101363, r12vrr_stack+100453, r12vrr_stack+83059);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+108279, r12vrr_stack+103638, r12vrr_stack+102273, r12vrr_stack+78223, r12vrr_stack+101363, r12vrr_stack+79939);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+77313, r12vrr_stack+108279, r12vrr_stack+106368, r12vrr_stack+103638, r12vrr_stack+102273, r12vrr_stack+84229);
 tmp = r12vrr_stack + 77313;
 target_ptr = Libr12->gvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+103638, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+103641, r12vrr_stack+1723, r12vrr_stack+103638, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+103647, r12vrr_stack+1726, r12vrr_stack+103641, r12vrr_stack+0, r12vrr_stack+1723, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1413, r12vrr_stack+105, r12vrr_stack+78, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+60, r12vrr_stack+1732, r12vrr_stack+1413, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+103638);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+103657, r12vrr_stack+1741, r12vrr_stack+60, r12vrr_stack+12, r12vrr_stack+1732, r12vrr_stack+103641);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+103687, r12vrr_stack+1284, r12vrr_stack+103657, r12vrr_stack+30, r12vrr_stack+1741, r12vrr_stack+103647);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+87, r12vrr_stack+414, NULL, NULL, r12vrr_stack+78);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+103732, r12vrr_stack+1314, r12vrr_stack+9, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+1413);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+103768, r12vrr_stack+6912, r12vrr_stack+103732, r12vrr_stack+114, r12vrr_stack+1314, r12vrr_stack+60);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+103828, r12vrr_stack+6948, r12vrr_stack+103768, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+103657);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+103918, r12vrr_stack+7008, r12vrr_stack+103828, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+103687);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+204, r12vrr_stack+430, r12vrr_stack+1488, NULL, NULL, r12vrr_stack+414);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+108, r12vrr_stack+168, r12vrr_stack+204, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+9);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+234, r12vrr_stack+7098, r12vrr_stack+108, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+103732);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+104044, r12vrr_stack+7158, r12vrr_stack+234, r12vrr_stack+550, r12vrr_stack+7098, r12vrr_stack+103768);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+104194, r12vrr_stack+7258, r12vrr_stack+104044, r12vrr_stack+610, r12vrr_stack+7158, r12vrr_stack+103828);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+104404, r12vrr_stack+7408, r12vrr_stack+104194, r12vrr_stack+810, r12vrr_stack+7258, r12vrr_stack+103918);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+810, r12vrr_stack+1498, r12vrr_stack+2245, NULL, NULL, r12vrr_stack+1488);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+855, r12vrr_stack+710, r12vrr_stack+810, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+204);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+104684, r12vrr_stack+7618, r12vrr_stack+855, r12vrr_stack+455, r12vrr_stack+710, r12vrr_stack+108);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+440, r12vrr_stack+7708, r12vrr_stack+104684, r12vrr_stack+1770, r12vrr_stack+7618, r12vrr_stack+234);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+101363, r12vrr_stack+7858, r12vrr_stack+440, r12vrr_stack+1860, r12vrr_stack+7708, r12vrr_stack+104044);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+101678, r12vrr_stack+8083, r12vrr_stack+101363, r12vrr_stack+2010, r12vrr_stack+7858, r12vrr_stack+104194);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+98542, r12vrr_stack+8398, r12vrr_stack+101678, r12vrr_stack+2460, r12vrr_stack+8083, r12vrr_stack+104404);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+945, r12vrr_stack+2260, r12vrr_stack+3118, NULL, NULL, r12vrr_stack+2245);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+104834, r12vrr_stack+2281, r12vrr_stack+945, r12vrr_stack+1513, r12vrr_stack+2260, r12vrr_stack+810);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+1110, r12vrr_stack+104834, r12vrr_stack+1534, r12vrr_stack+2281, r12vrr_stack+855);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+8818, r12vrr_stack+58483, r12vrr_stack+1597, r12vrr_stack+1110, r12vrr_stack+104684);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+79861, r12vrr_stack+9028, r12vrr_stack+41950, r12vrr_stack+4917, r12vrr_stack+8818, r12vrr_stack+440);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+80302, r12vrr_stack+9343, r12vrr_stack+79861, r12vrr_stack+5127, r12vrr_stack+9028, r12vrr_stack+101363);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+110190, r12vrr_stack+9784, r12vrr_stack+80302, r12vrr_stack+5442, r12vrr_stack+9343, r12vrr_stack+101678);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+10372, r12vrr_stack+110190, r12vrr_stack+6324, r12vrr_stack+9784, r12vrr_stack+98542);

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1008, r12vrr_stack+3139, r12vrr_stack+13283, NULL, NULL, r12vrr_stack+3118);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+3167, r12vrr_stack+1008, r12vrr_stack+2866, r12vrr_stack+3139, r12vrr_stack+945);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+3531, r12vrr_stack+1513, r12vrr_stack+2894, r12vrr_stack+3167, r12vrr_stack+104834);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2344, r12vrr_stack+3699, r12vrr_stack+29920, r12vrr_stack+12360, r12vrr_stack+3531, r12vrr_stack+58483);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+110946, r12vrr_stack+15524, r12vrr_stack+2344, r12vrr_stack+12528, r12vrr_stack+3699, r12vrr_stack+41950);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+111534, r12vrr_stack+15944, r12vrr_stack+110946, r12vrr_stack+12808, r12vrr_stack+15524, r12vrr_stack+79861);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+112318, r12vrr_stack+16532, r12vrr_stack+111534, r12vrr_stack+13648, r12vrr_stack+15944, r12vrr_stack+80302);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+113326, r12vrr_stack+18100, r12vrr_stack+112318, r12vrr_stack+17316, r12vrr_stack+16532, r12vrr_stack+110190);
 tmp = r12vrr_stack + 113326;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+102098, r12vrr_stack+13311, r12vrr_stack+19423, NULL, NULL, r12vrr_stack+13283);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+99634, r12vrr_stack+13347, r12vrr_stack+102098, r12vrr_stack+11884, r12vrr_stack+13311, r12vrr_stack+1008);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+25084, r12vrr_stack+99634, r12vrr_stack+11920, r12vrr_stack+13347, r12vrr_stack+1513);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13455, r12vrr_stack+25300, r12vrr_stack+45151, r12vrr_stack+12028, r12vrr_stack+25084, r12vrr_stack+29920);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+25660, r12vrr_stack+13455, r12vrr_stack+21664, r12vrr_stack+25300, r12vrr_stack+2344);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+114586, r12vrr_stack+26200, r12vrr_stack+11884, r12vrr_stack+22024, r12vrr_stack+25660, r12vrr_stack+110946);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+115594, r12vrr_stack+26956, r12vrr_stack+114586, r12vrr_stack+22564, r12vrr_stack+26200, r12vrr_stack+111534);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+115594, r12vrr_stack+24076, r12vrr_stack+26956, r12vrr_stack+112318);
 tmp = r12vrr_stack + 21664;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12640, r12vrr_stack+19459, r12vrr_stack+31354, NULL, NULL, r12vrr_stack+19423);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12775, r12vrr_stack+20530, r12vrr_stack+12640, r12vrr_stack+1368, r12vrr_stack+19459, r12vrr_stack+102098);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1759, r12vrr_stack+20665, r12vrr_stack+12775, r12vrr_stack+19288, r12vrr_stack+20530, r12vrr_stack+99634);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+116890, r12vrr_stack+37000, r12vrr_stack+1759, r12vrr_stack+19810, r12vrr_stack+20665, r12vrr_stack+45151);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+117565, r12vrr_stack+37450, r12vrr_stack+116890, r12vrr_stack+20080, r12vrr_stack+37000, r12vrr_stack+13455);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+118510, r12vrr_stack+38125, r12vrr_stack+117565, r12vrr_stack+33175, r12vrr_stack+37450, r12vrr_stack+11884);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+119770, r12vrr_stack+39070, r12vrr_stack+118510, r12vrr_stack+33850, r12vrr_stack+38125, r12vrr_stack+114586);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+121390, r12vrr_stack+40330, r12vrr_stack+119770, r12vrr_stack+35740, r12vrr_stack+39070, r12vrr_stack+115594);
 tmp = r12vrr_stack + 121390;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+31399, r12vrr_stack+42933, NULL, NULL, r12vrr_stack+31354);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33340, r12vrr_stack+31454, r12vrr_stack+33175, r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+12640);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33670, r12vrr_stack+31619, r12vrr_stack+33340, r12vrr_stack+30810, r12vrr_stack+31454, r12vrr_stack+12775);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+123415, r12vrr_stack+51575, r12vrr_stack+33670, r12vrr_stack+30975, r12vrr_stack+31619, r12vrr_stack+1759);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+124240, r12vrr_stack+52125, r12vrr_stack+123415, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+116890);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+125395, r12vrr_stack+52950, r12vrr_stack+124240, r12vrr_stack+46900, r12vrr_stack+52125, r12vrr_stack+117565);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+126935, r12vrr_stack+54105, r12vrr_stack+125395, r12vrr_stack+47725, r12vrr_stack+52950, r12vrr_stack+118510);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+126935, r12vrr_stack+50035, r12vrr_stack+54105, r12vrr_stack+119770);
 tmp = r12vrr_stack + 46350;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+42988, r12vrr_stack+60425, NULL, NULL, r12vrr_stack+42933);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+34220, r12vrr_stack+44557, r12vrr_stack+30755, r12vrr_stack+42544, r12vrr_stack+42988, r12vrr_stack+33175);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+44755, r12vrr_stack+34220, r12vrr_stack+42610, r12vrr_stack+44557, r12vrr_stack+33340);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+128915, r12vrr_stack+68779, r12vrr_stack+19810, r12vrr_stack+43501, r12vrr_stack+44755, r12vrr_stack+33670);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+129905, r12vrr_stack+69439, r12vrr_stack+128915, r12vrr_stack+43897, r12vrr_stack+68779, r12vrr_stack+123415);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+131291, r12vrr_stack+70429, r12vrr_stack+129905, r12vrr_stack+63169, r12vrr_stack+69439, r12vrr_stack+124240);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+133139, r12vrr_stack+71815, r12vrr_stack+131291, r12vrr_stack+64159, r12vrr_stack+70429, r12vrr_stack+125395);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+135515, r12vrr_stack+73663, r12vrr_stack+133139, r12vrr_stack+66931, r12vrr_stack+71815, r12vrr_stack+126935);
 tmp = r12vrr_stack + 135515;
 target_ptr = Libr12->gvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+99082, r12vrr_stack+1092, r12vrr_stack+0, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+63169, r12vrr_stack+29338, r12vrr_stack+99082, r12vrr_stack+13228, r12vrr_stack+1092, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+42265, r12vrr_stack+29344, r12vrr_stack+63169, r12vrr_stack+42808, r12vrr_stack+29338, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+29354, r12vrr_stack+42265, r12vrr_stack+42814, r12vrr_stack+29344, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+63179, r12vrr_stack+60295, r12vrr_stack+5862, r12vrr_stack+42824, r12vrr_stack+29354, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23284, r12vrr_stack+60316, r12vrr_stack+63179, r12vrr_stack+42839, r12vrr_stack+60295, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+665, r12vrr_stack+60344, r12vrr_stack+23284, r12vrr_stack+42860, r12vrr_stack+60316, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+60380, r12vrr_stack+665, r12vrr_stack+19504, r12vrr_stack+60344, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63207, r12vrr_stack+755, r12vrr_stack+48825, r12vrr_stack+42888, r12vrr_stack+60380, NULL);

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+60425, r12vrr_stack+63207, r12vrr_stack+42933, r12vrr_stack+755, NULL);

 /*--- compute (p0|o0)^7 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63273, r12vrr_stack+60491, r12vrr_stack+57625, NULL, NULL, r12vrr_stack+60425);

 /*--- compute (d0|o0)^6 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63507, r12vrr_stack+60569, r12vrr_stack+63273, r12vrr_stack+29260, r12vrr_stack+60491, r12vrr_stack+30755);

 /*--- compute (f0|o0)^5 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63975, r12vrr_stack+60803, r12vrr_stack+63507, r12vrr_stack+59593, r12vrr_stack+60569, r12vrr_stack+34220);

 /*--- compute (g0|o0)^4 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+138485, r12vrr_stack+89689, r12vrr_stack+63975, r12vrr_stack+59827, r12vrr_stack+60803, r12vrr_stack+19810);

 /*--- compute (h0|o0)^3 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+139655, r12vrr_stack+90469, r12vrr_stack+138485, r12vrr_stack+57703, r12vrr_stack+89689, r12vrr_stack+128915);

 /*--- compute (i0|o0)^2 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+141293, r12vrr_stack+91639, r12vrr_stack+139655, r12vrr_stack+83059, r12vrr_stack+90469, r12vrr_stack+129905);

 /*--- compute (k0|o0)^1 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+143477, r12vrr_stack+93277, r12vrr_stack+141293, r12vrr_stack+84229, r12vrr_stack+91639, r12vrr_stack+131291);

 /*--- compute (l0|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+146285, r12vrr_stack+95461, r12vrr_stack+143477, r12vrr_stack+87505, r12vrr_stack+93277, r12vrr_stack+133139);
 tmp = r12vrr_stack + 146285;
 target_ptr = Libr12->gvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^7 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+60491, r12vrr_stack+57625, r12vrr_stack+42988, r12vrr_stack+60425, NULL);

 /*--- compute (p0|q0)^6 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83150, r12vrr_stack+76039, r12vrr_stack+83059, NULL, NULL, r12vrr_stack+60491);

 /*--- compute (d0|q0)^5 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83423, r12vrr_stack+98269, r12vrr_stack+83150, r12vrr_stack+61271, r12vrr_stack+76039, r12vrr_stack+60569);

 /*--- compute (f0|q0)^4 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83969, r12vrr_stack+99088, r12vrr_stack+83423, r12vrr_stack+76130, r12vrr_stack+98269, r12vrr_stack+60803);

 /*--- compute (g0|q0)^3 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+149795, r12vrr_stack+76403, r12vrr_stack+83969, r12vrr_stack+99907, r12vrr_stack+99088, r12vrr_stack+89689);

 /*--- compute (h0|q0)^2 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+151160, r12vrr_stack+105003, r12vrr_stack+149795, r12vrr_stack+100453, r12vrr_stack+76403, r12vrr_stack+90469);

 /*--- compute (i0|q0)^1 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+153071, r12vrr_stack+106368, r12vrr_stack+151160, r12vrr_stack+102273, r12vrr_stack+105003, r12vrr_stack+91639);

 /*--- compute (k0|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+155619, r12vrr_stack+77313, r12vrr_stack+153071, r12vrr_stack+108279, r12vrr_stack+106368, r12vrr_stack+93277);
 tmp = r12vrr_stack + 155619;
 target_ptr = Libr12->gvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^8 ---*/
 _BUILD_p000(Data,r12vrr_stack+76130, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (d0|00)^7 ---*/
 _BUILD_d000(Data,r12vrr_stack+76133, r12vrr_stack+103638, r12vrr_stack+76130, Data->F+7, Data->F+8, NULL);

 /*--- compute (f0|00)^6 ---*/
 _BUILD_f000(Data,r12vrr_stack+76139, r12vrr_stack+103641, r12vrr_stack+76133, r12vrr_stack+1723, r12vrr_stack+103638, NULL);

 /*--- compute (g0|00)^5 ---*/
 _BUILD_g000(Data,r12vrr_stack+76149, r12vrr_stack+103647, r12vrr_stack+76139, r12vrr_stack+1726, r12vrr_stack+103641, NULL);

 /*--- compute (p0|p0)^8 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1236, r12vrr_stack+78, r12vrr_stack+6, NULL, NULL, Data->F+9);

 /*--- compute (d0|p0)^7 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+76164, r12vrr_stack+1413, r12vrr_stack+1236, r12vrr_stack+105, r12vrr_stack+78, r12vrr_stack+76130);

 /*--- compute (f0|p0)^6 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+76182, r12vrr_stack+60, r12vrr_stack+76164, r12vrr_stack+1732, r12vrr_stack+1413, r12vrr_stack+76133);

 /*--- compute (g0|p0)^5 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+76212, r12vrr_stack+103657, r12vrr_stack+76182, r12vrr_stack+1741, r12vrr_stack+60, r12vrr_stack+76139);

 /*--- compute (h0|p0)^4 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+76257, r12vrr_stack+103687, r12vrr_stack+76212, r12vrr_stack+1284, r12vrr_stack+103657, r12vrr_stack+76149);

 /*--- compute (p0|d0)^8 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1284, r12vrr_stack+414, r12vrr_stack+81, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|d0)^7 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+76320, r12vrr_stack+9, r12vrr_stack+1284, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+1236);

 /*--- compute (f0|d0)^6 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+20470, r12vrr_stack+103732, r12vrr_stack+76320, r12vrr_stack+1314, r12vrr_stack+9, r12vrr_stack+76164);

 /*--- compute (g0|d0)^5 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+61271, r12vrr_stack+103768, r12vrr_stack+20470, r12vrr_stack+6912, r12vrr_stack+103732, r12vrr_stack+76182);

 /*--- compute (h0|d0)^4 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+61361, r12vrr_stack+103828, r12vrr_stack+61271, r12vrr_stack+6948, r12vrr_stack+103768, r12vrr_stack+76212);

 /*--- compute (i0|d0)^3 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+84879, r12vrr_stack+103918, r12vrr_stack+61361, r12vrr_stack+7008, r12vrr_stack+103828, r12vrr_stack+76257);

 /*--- compute (p0|f0)^8 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+6912, r12vrr_stack+1488, r12vrr_stack+2235, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^7 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+6942, r12vrr_stack+204, r12vrr_stack+6912, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+1284);

 /*--- compute (f0|f0)^6 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+85047, r12vrr_stack+108, r12vrr_stack+6942, r12vrr_stack+168, r12vrr_stack+204, r12vrr_stack+76320);

 /*--- compute (g0|f0)^5 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+85147, r12vrr_stack+234, r12vrr_stack+85047, r12vrr_stack+7098, r12vrr_stack+108, r12vrr_stack+20470);

 /*--- compute (h0|f0)^4 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+85297, r12vrr_stack+104044, r12vrr_stack+85147, r12vrr_stack+7158, r12vrr_stack+234, r12vrr_stack+61271);

 /*--- compute (i0|f0)^3 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+85507, r12vrr_stack+104194, r12vrr_stack+85297, r12vrr_stack+7258, r12vrr_stack+104044, r12vrr_stack+61361);

 /*--- compute (k0|f0)^2 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7002, r12vrr_stack+104404, r12vrr_stack+85507, r12vrr_stack+7408, r12vrr_stack+104194, r12vrr_stack+84879);

 /*--- compute (p0|g0)^8 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+7362, r12vrr_stack+2245, r12vrr_stack+3103, NULL, NULL, r12vrr_stack+2235);

 /*--- compute (d0|g0)^7 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7407, r12vrr_stack+810, r12vrr_stack+7362, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+6912);

 /*--- compute (f0|g0)^6 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+57703, r12vrr_stack+855, r12vrr_stack+7407, r12vrr_stack+710, r12vrr_stack+810, r12vrr_stack+6942);

 /*--- compute (g0|g0)^5 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+57853, r12vrr_stack+104684, r12vrr_stack+57703, r12vrr_stack+7618, r12vrr_stack+855, r12vrr_stack+85047);

 /*--- compute (h0|g0)^4 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+58078, r12vrr_stack+440, r12vrr_stack+57853, r12vrr_stack+7708, r12vrr_stack+104684, r12vrr_stack+85147);

 /*--- compute (i0|g0)^3 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+59593, r12vrr_stack+101363, r12vrr_stack+58078, r12vrr_stack+7858, r12vrr_stack+440, r12vrr_stack+85297);

 /*--- compute (k0|g0)^2 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7497, r12vrr_stack+101678, r12vrr_stack+59593, r12vrr_stack+8083, r12vrr_stack+101363, r12vrr_stack+85507);

 /*--- compute (l0|g0)^1 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+64755, r12vrr_stack+98542, r12vrr_stack+7497, r12vrr_stack+8398, r12vrr_stack+101678, r12vrr_stack+7002);

 /*--- compute (p0|h0)^8 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8037, r12vrr_stack+3118, r12vrr_stack+13262, NULL, NULL, r12vrr_stack+3103);

 /*--- compute (d0|h0)^7 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8100, r12vrr_stack+945, r12vrr_stack+8037, r12vrr_stack+2260, r12vrr_stack+3118, r12vrr_stack+7362);

 /*--- compute (f0|h0)^6 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8226, r12vrr_stack+104834, r12vrr_stack+8100, r12vrr_stack+2281, r12vrr_stack+945, r12vrr_stack+7407);

 /*--- compute (g0|h0)^5 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8436, r12vrr_stack+58483, r12vrr_stack+8226, r12vrr_stack+1110, r12vrr_stack+104834, r12vrr_stack+57703);

 /*--- compute (h0|h0)^4 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+41950, r12vrr_stack+8436, r12vrr_stack+8818, r12vrr_stack+58483, r12vrr_stack+57853);

 /*--- compute (i0|h0)^3 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+43942, r12vrr_stack+79861, r12vrr_stack+43501, r12vrr_stack+9028, r12vrr_stack+41950, r12vrr_stack+58078);

 /*--- compute (k0|h0)^2 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+102206, r12vrr_stack+80302, r12vrr_stack+43942, r12vrr_stack+9343, r12vrr_stack+79861, r12vrr_stack+59593);

 /*--- compute (l0|h0)^1 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8751, r12vrr_stack+110190, r12vrr_stack+102206, r12vrr_stack+9784, r12vrr_stack+80302, r12vrr_stack+7497);

 /*--- compute (m0|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+99850, r12vrr_stack+4917, r12vrr_stack+8751, r12vrr_stack+10372, r12vrr_stack+110190, r12vrr_stack+64755);

 /*--- compute (p0|i0)^8 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+13283, r12vrr_stack+1453, NULL, NULL, r12vrr_stack+13262);

 /*--- compute (d0|i0)^7 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9696, r12vrr_stack+1008, r12vrr_stack+2260, r12vrr_stack+3139, r12vrr_stack+13283, r12vrr_stack+8037);

 /*--- compute (f0|i0)^6 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9864, r12vrr_stack+1513, r12vrr_stack+9696, r12vrr_stack+3167, r12vrr_stack+1008, r12vrr_stack+8100);

 /*--- compute (g0|i0)^5 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+102962, r12vrr_stack+29920, r12vrr_stack+9864, r12vrr_stack+3531, r12vrr_stack+1513, r12vrr_stack+8226);

 /*--- compute (h0|i0)^4 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+158895, r12vrr_stack+2344, r12vrr_stack+102962, r12vrr_stack+3699, r12vrr_stack+29920, r12vrr_stack+8436);

 /*--- compute (i0|i0)^3 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+159483, r12vrr_stack+110946, r12vrr_stack+158895, r12vrr_stack+15524, r12vrr_stack+2344, r12vrr_stack+43501);

 /*--- compute (k0|i0)^2 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+160267, r12vrr_stack+111534, r12vrr_stack+159483, r12vrr_stack+15944, r12vrr_stack+110946, r12vrr_stack+43942);

 /*--- compute (l0|i0)^1 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+161275, r12vrr_stack+112318, r12vrr_stack+160267, r12vrr_stack+16532, r12vrr_stack+111534, r12vrr_stack+102206);

 /*--- compute (m0|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15524, r12vrr_stack+113326, r12vrr_stack+161275, r12vrr_stack+18100, r12vrr_stack+112318, r12vrr_stack+8751);
 tmp = r12vrr_stack + 15524;
 target_ptr = Libr12->gvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^8 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17064, r12vrr_stack+19423, r12vrr_stack+11128, NULL, NULL, r12vrr_stack+1453);

 /*--- compute (d0|k0)^7 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3531, r12vrr_stack+102098, r12vrr_stack+17064, r12vrr_stack+13311, r12vrr_stack+19423, r12vrr_stack+2260);

 /*--- compute (f0|k0)^6 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3747, r12vrr_stack+99634, r12vrr_stack+3531, r12vrr_stack+13347, r12vrr_stack+102098, r12vrr_stack+9696);

 /*--- compute (g0|k0)^5 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+162535, r12vrr_stack+45151, r12vrr_stack+3747, r12vrr_stack+25084, r12vrr_stack+99634, r12vrr_stack+9864);

 /*--- compute (h0|k0)^4 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+163075, r12vrr_stack+13455, r12vrr_stack+162535, r12vrr_stack+25300, r12vrr_stack+45151, r12vrr_stack+102962);

 /*--- compute (i0|k0)^3 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+163831, r12vrr_stack+11884, r12vrr_stack+163075, r12vrr_stack+25660, r12vrr_stack+13455, r12vrr_stack+158895);

 /*--- compute (k0|k0)^2 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+164839, r12vrr_stack+114586, r12vrr_stack+163831, r12vrr_stack+26200, r12vrr_stack+11884, r12vrr_stack+159483);

 /*--- compute (l0|k0)^1 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+115594, r12vrr_stack+164839, r12vrr_stack+26956, r12vrr_stack+114586, r12vrr_stack+160267);

 /*--- compute (m0|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+166135, r12vrr_stack+21664, r12vrr_stack+25084, r12vrr_stack+27964, r12vrr_stack+115594, r12vrr_stack+161275);
 tmp = r12vrr_stack + 166135;
 target_ptr = Libr12->gvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^8 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+31354, r12vrr_stack+42888, NULL, NULL, r12vrr_stack+11128);

 /*--- compute (d0|l0)^7 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26704, r12vrr_stack+12640, r12vrr_stack+19288, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+17064);

 /*--- compute (f0|l0)^6 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26974, r12vrr_stack+12775, r12vrr_stack+26704, r12vrr_stack+20530, r12vrr_stack+12640, r12vrr_stack+3531);

 /*--- compute (g0|l0)^5 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+168115, r12vrr_stack+1759, r12vrr_stack+26974, r12vrr_stack+20665, r12vrr_stack+12775, r12vrr_stack+3747);

 /*--- compute (h0|l0)^4 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+168790, r12vrr_stack+116890, r12vrr_stack+168115, r12vrr_stack+37000, r12vrr_stack+1759, r12vrr_stack+162535);

 /*--- compute (i0|l0)^3 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+169735, r12vrr_stack+117565, r12vrr_stack+168790, r12vrr_stack+37450, r12vrr_stack+116890, r12vrr_stack+163075);

 /*--- compute (k0|l0)^2 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+170995, r12vrr_stack+118510, r12vrr_stack+169735, r12vrr_stack+38125, r12vrr_stack+117565, r12vrr_stack+163831);

 /*--- compute (l0|l0)^1 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+119770, r12vrr_stack+170995, r12vrr_stack+39070, r12vrr_stack+118510, r12vrr_stack+164839);

 /*--- compute (m0|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+172615, r12vrr_stack+121390, r12vrr_stack+37000, r12vrr_stack+40330, r12vrr_stack+119770, r12vrr_stack+25084);
 tmp = r12vrr_stack + 172615;
 target_ptr = Libr12->gvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^8 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39025, r12vrr_stack+42933, r12vrr_stack+755, NULL, NULL, r12vrr_stack+42888);

 /*--- compute (d0|m0)^7 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39190, r12vrr_stack+33175, r12vrr_stack+39025, r12vrr_stack+31399, r12vrr_stack+42933, r12vrr_stack+19288);

 /*--- compute (f0|m0)^6 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39520, r12vrr_stack+33340, r12vrr_stack+39190, r12vrr_stack+31454, r12vrr_stack+33175, r12vrr_stack+26704);

 /*--- compute (g0|m0)^5 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+175090, r12vrr_stack+33670, r12vrr_stack+39520, r12vrr_stack+31619, r12vrr_stack+33340, r12vrr_stack+26974);

 /*--- compute (h0|m0)^4 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+175915, r12vrr_stack+123415, r12vrr_stack+175090, r12vrr_stack+51575, r12vrr_stack+33670, r12vrr_stack+168115);

 /*--- compute (i0|m0)^3 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+177070, r12vrr_stack+124240, r12vrr_stack+175915, r12vrr_stack+52125, r12vrr_stack+123415, r12vrr_stack+168790);

 /*--- compute (k0|m0)^2 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+178610, r12vrr_stack+125395, r12vrr_stack+177070, r12vrr_stack+52950, r12vrr_stack+124240, r12vrr_stack+169735);

 /*--- compute (l0|m0)^1 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+126935, r12vrr_stack+178610, r12vrr_stack+54105, r12vrr_stack+125395, r12vrr_stack+170995);

 /*--- compute (m0|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+180590, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+55645, r12vrr_stack+126935, r12vrr_stack+37000);
 tmp = r12vrr_stack + 180590;
 target_ptr = Libr12->gvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^8 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54050, r12vrr_stack+60425, r12vrr_stack+63207, NULL, NULL, r12vrr_stack+755);

 /*--- compute (d0|n0)^7 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54248, r12vrr_stack+30755, r12vrr_stack+54050, r12vrr_stack+42988, r12vrr_stack+60425, r12vrr_stack+39025);

 /*--- compute (f0|n0)^6 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54644, r12vrr_stack+34220, r12vrr_stack+54248, r12vrr_stack+44557, r12vrr_stack+30755, r12vrr_stack+39190);

 /*--- compute (g0|n0)^5 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+183615, r12vrr_stack+19810, r12vrr_stack+54644, r12vrr_stack+44755, r12vrr_stack+34220, r12vrr_stack+39520);

 /*--- compute (h0|n0)^4 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+184605, r12vrr_stack+128915, r12vrr_stack+183615, r12vrr_stack+68779, r12vrr_stack+19810, r12vrr_stack+175090);

 /*--- compute (i0|n0)^3 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+185991, r12vrr_stack+129905, r12vrr_stack+184605, r12vrr_stack+69439, r12vrr_stack+128915, r12vrr_stack+175915);

 /*--- compute (k0|n0)^2 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+187839, r12vrr_stack+131291, r12vrr_stack+185991, r12vrr_stack+70429, r12vrr_stack+129905, r12vrr_stack+177070);

 /*--- compute (l0|n0)^1 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+133139, r12vrr_stack+187839, r12vrr_stack+71815, r12vrr_stack+131291, r12vrr_stack+178610);

 /*--- compute (m0|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+190215, r12vrr_stack+135515, r12vrr_stack+68779, r12vrr_stack+73663, r12vrr_stack+133139, r12vrr_stack+51575);
 tmp = r12vrr_stack + 190215;
 target_ptr = Libr12->gvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^19 ---*/
 _BUILD_00p0(Data,r12vrr_stack+71749, Data->F+19, Data->F+20, NULL, NULL, NULL);

 /*--- compute (00|d0)^18 ---*/
 _BUILD_00d0(Data,r12vrr_stack+71752, r12vrr_stack+0, r12vrr_stack+71749, Data->F+18, Data->F+19, NULL);

 /*--- compute (00|f0)^17 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+99082, r12vrr_stack+71752, r12vrr_stack+1092, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^16 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1498, r12vrr_stack+63169, r12vrr_stack+430, r12vrr_stack+29338, r12vrr_stack+99082, NULL);

 /*--- compute (00|h0)^15 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+87, r12vrr_stack+42265, r12vrr_stack+1498, r12vrr_stack+29344, r12vrr_stack+63169, NULL);

 /*--- compute (00|i0)^14 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+71758, r12vrr_stack+5862, r12vrr_stack+87, r12vrr_stack+29354, r12vrr_stack+42265, NULL);

 /*--- compute (00|k0)^13 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+71786, r12vrr_stack+63179, r12vrr_stack+71758, r12vrr_stack+60295, r12vrr_stack+5862, NULL);

 /*--- compute (00|l0)^12 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19459, r12vrr_stack+23284, r12vrr_stack+71786, r12vrr_stack+60316, r12vrr_stack+63179, NULL);

 /*--- compute (00|m0)^11 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+71822, r12vrr_stack+665, r12vrr_stack+19459, r12vrr_stack+60344, r12vrr_stack+23284, NULL);

 /*--- compute (00|n0)^10 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71877, r12vrr_stack+48825, r12vrr_stack+71822, r12vrr_stack+60380, r12vrr_stack+665, NULL);

 /*--- compute (00|o0)^9 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+1681, r12vrr_stack+63207, r12vrr_stack+71877, r12vrr_stack+755, r12vrr_stack+48825, NULL);

 /*--- compute (p0|o0)^8 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+71943, r12vrr_stack+57625, r12vrr_stack+1681, NULL, NULL, r12vrr_stack+63207);

 /*--- compute (d0|o0)^7 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+72177, r12vrr_stack+63273, r12vrr_stack+71943, r12vrr_stack+60491, r12vrr_stack+57625, r12vrr_stack+54050);

 /*--- compute (f0|o0)^6 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+72645, r12vrr_stack+63507, r12vrr_stack+72177, r12vrr_stack+60569, r12vrr_stack+63273, r12vrr_stack+54248);

 /*--- compute (g0|o0)^5 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+193845, r12vrr_stack+63975, r12vrr_stack+72645, r12vrr_stack+60803, r12vrr_stack+63507, r12vrr_stack+54644);

 /*--- compute (h0|o0)^4 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+195015, r12vrr_stack+138485, r12vrr_stack+193845, r12vrr_stack+89689, r12vrr_stack+63975, r12vrr_stack+183615);

 /*--- compute (i0|o0)^3 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+196653, r12vrr_stack+139655, r12vrr_stack+195015, r12vrr_stack+90469, r12vrr_stack+138485, r12vrr_stack+184605);

 /*--- compute (k0|o0)^2 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+198837, r12vrr_stack+141293, r12vrr_stack+196653, r12vrr_stack+91639, r12vrr_stack+139655, r12vrr_stack+185991);

 /*--- compute (l0|o0)^1 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+143477, r12vrr_stack+198837, r12vrr_stack+93277, r12vrr_stack+141293, r12vrr_stack+187839);

 /*--- compute (m0|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+201645, r12vrr_stack+146285, r12vrr_stack+89689, r12vrr_stack+95461, r12vrr_stack+143477, r12vrr_stack+68779);
 tmp = r12vrr_stack + 201645;
 target_ptr = Libr12->gvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^8 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93199, r12vrr_stack+57625, r12vrr_stack+1681, r12vrr_stack+60425, r12vrr_stack+63207, NULL);

 /*--- compute (p0|q0)^7 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93290, r12vrr_stack+83059, r12vrr_stack+93199, NULL, NULL, r12vrr_stack+57625);

 /*--- compute (d0|q0)^6 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93563, r12vrr_stack+83150, r12vrr_stack+93290, r12vrr_stack+76039, r12vrr_stack+83059, r12vrr_stack+63273);

 /*--- compute (f0|q0)^5 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+94109, r12vrr_stack+83423, r12vrr_stack+93563, r12vrr_stack+98269, r12vrr_stack+83150, r12vrr_stack+63507);

 /*--- compute (g0|q0)^4 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+205935, r12vrr_stack+83969, r12vrr_stack+94109, r12vrr_stack+99088, r12vrr_stack+83423, r12vrr_stack+63975);

 /*--- compute (h0|q0)^3 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+207300, r12vrr_stack+149795, r12vrr_stack+205935, r12vrr_stack+76403, r12vrr_stack+83969, r12vrr_stack+138485);

 /*--- compute (i0|q0)^2 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+209211, r12vrr_stack+151160, r12vrr_stack+207300, r12vrr_stack+105003, r12vrr_stack+149795, r12vrr_stack+139655);

 /*--- compute (k0|q0)^1 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+211759, r12vrr_stack+153071, r12vrr_stack+209211, r12vrr_stack+106368, r12vrr_stack+151160, r12vrr_stack+141293);

 /*--- compute (l0|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+215035, r12vrr_stack+155619, r12vrr_stack+211759, r12vrr_stack+77313, r12vrr_stack+153071, r12vrr_stack+143477);
 tmp = r12vrr_stack + 215035;
 target_ptr = Libr12->gvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^9 ---*/
 _BUILD_p000(Data,r12vrr_stack+1092, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (d0|00)^8 ---*/
 _BUILD_d000(Data,r12vrr_stack+99088, r12vrr_stack+76130, r12vrr_stack+1092, Data->F+8, Data->F+9, NULL);

 /*--- compute (f0|00)^7 ---*/
 _BUILD_f000(Data,r12vrr_stack+99094, r12vrr_stack+76133, r12vrr_stack+99088, r12vrr_stack+103638, r12vrr_stack+76130, NULL);

 /*--- compute (g0|00)^6 ---*/
 _BUILD_g000(Data,r12vrr_stack+99104, r12vrr_stack+76139, r12vrr_stack+99094, r12vrr_stack+103641, r12vrr_stack+76133, NULL);

 /*--- compute (h0|00)^5 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+27, r12vrr_stack+76149, r12vrr_stack+99104, r12vrr_stack+103647, r12vrr_stack+76139, NULL);

 /*--- compute (p0|p0)^9 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+99119, r12vrr_stack+6, r12vrr_stack+1485, NULL, NULL, Data->F+10);

 /*--- compute (d0|p0)^8 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+99128, r12vrr_stack+1236, r12vrr_stack+99119, r12vrr_stack+78, r12vrr_stack+6, r12vrr_stack+1092);

 /*--- compute (f0|p0)^7 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+168, r12vrr_stack+76164, r12vrr_stack+99128, r12vrr_stack+1413, r12vrr_stack+1236, r12vrr_stack+99088);

 /*--- compute (g0|p0)^6 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+710, r12vrr_stack+76182, r12vrr_stack+168, r12vrr_stack+60, r12vrr_stack+76164, r12vrr_stack+99094);

 /*--- compute (h0|p0)^5 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+99146, r12vrr_stack+76212, r12vrr_stack+710, r12vrr_stack+103657, r12vrr_stack+76182, r12vrr_stack+99104);

 /*--- compute (i0|p0)^4 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+99209, r12vrr_stack+76257, r12vrr_stack+99146, r12vrr_stack+103687, r12vrr_stack+76212, r12vrr_stack+27);

 /*--- compute (p0|d0)^9 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+198, NULL, NULL, r12vrr_stack+1485);

 /*--- compute (d0|d0)^8 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+99293, r12vrr_stack+1284, r12vrr_stack+60, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+99119);

 /*--- compute (f0|d0)^7 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+99329, r12vrr_stack+76320, r12vrr_stack+99293, r12vrr_stack+9, r12vrr_stack+1284, r12vrr_stack+99128);

 /*--- compute (g0|d0)^6 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+58393, r12vrr_stack+20470, r12vrr_stack+99329, r12vrr_stack+103732, r12vrr_stack+76320, r12vrr_stack+168);

 /*--- compute (h0|d0)^5 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+61271, r12vrr_stack+58393, r12vrr_stack+103768, r12vrr_stack+20470, r12vrr_stack+710);

 /*--- compute (i0|d0)^4 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+99389, r12vrr_stack+61361, r12vrr_stack+1110, r12vrr_stack+103828, r12vrr_stack+61271, r12vrr_stack+99146);

 /*--- compute (k0|d0)^3 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+84879, r12vrr_stack+99389, r12vrr_stack+103918, r12vrr_stack+61361, r12vrr_stack+99209);

 /*--- compute (p0|f0)^9 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+99557, r12vrr_stack+2235, r12vrr_stack+3093, NULL, NULL, r12vrr_stack+198);

 /*--- compute (d0|f0)^8 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+76039, r12vrr_stack+6912, r12vrr_stack+99557, r12vrr_stack+1488, r12vrr_stack+2235, r12vrr_stack+60);

 /*--- compute (f0|f0)^7 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+95019, r12vrr_stack+6942, r12vrr_stack+76039, r12vrr_stack+204, r12vrr_stack+6912, r12vrr_stack+99293);

 /*--- compute (g0|f0)^6 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+95119, r12vrr_stack+85047, r12vrr_stack+95019, r12vrr_stack+108, r12vrr_stack+6942, r12vrr_stack+99329);

 /*--- compute (h0|f0)^5 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60491, r12vrr_stack+85147, r12vrr_stack+95119, r12vrr_stack+234, r12vrr_stack+85047, r12vrr_stack+58393);

 /*--- compute (i0|f0)^4 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60701, r12vrr_stack+85297, r12vrr_stack+60491, r12vrr_stack+104044, r12vrr_stack+85147, r12vrr_stack+1110);

 /*--- compute (k0|f0)^3 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+31399, r12vrr_stack+85507, r12vrr_stack+60701, r12vrr_stack+104194, r12vrr_stack+85297, r12vrr_stack+99389);

 /*--- compute (l0|f0)^2 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+20530, r12vrr_stack+7002, r12vrr_stack+31399, r12vrr_stack+104404, r12vrr_stack+85507, r12vrr_stack+98269);

 /*--- compute (p0|g0)^9 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+108, r12vrr_stack+3103, r12vrr_stack+13247, NULL, NULL, r12vrr_stack+3093);

 /*--- compute (d0|g0)^8 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+204, r12vrr_stack+7362, r12vrr_stack+108, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+99557);

 /*--- compute (f0|g0)^7 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+95269, r12vrr_stack+7407, r12vrr_stack+204, r12vrr_stack+810, r12vrr_stack+7362, r12vrr_stack+76039);

 /*--- compute (g0|g0)^6 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+60981, r12vrr_stack+57703, r12vrr_stack+95269, r12vrr_stack+855, r12vrr_stack+7407, r12vrr_stack+95019);

 /*--- compute (h0|g0)^5 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+55304, r12vrr_stack+57853, r12vrr_stack+60981, r12vrr_stack+104684, r12vrr_stack+57703, r12vrr_stack+95119);

 /*--- compute (i0|g0)^4 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+27424, r12vrr_stack+58078, r12vrr_stack+55304, r12vrr_stack+440, r12vrr_stack+57853, r12vrr_stack+60491);

 /*--- compute (k0|g0)^3 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+76356, r12vrr_stack+59593, r12vrr_stack+27424, r12vrr_stack+101363, r12vrr_stack+58078, r12vrr_stack+60701);

 /*--- compute (l0|g0)^2 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+104960, r12vrr_stack+7497, r12vrr_stack+76356, r12vrr_stack+101678, r12vrr_stack+59593, r12vrr_stack+31399);

 /*--- compute (m0|g0)^1 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+105635, r12vrr_stack+64755, r12vrr_stack+104960, r12vrr_stack+98542, r12vrr_stack+7497, r12vrr_stack+20530);

 /*--- compute (p0|h0)^9 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+440, r12vrr_stack+13262, r12vrr_stack+1432, NULL, NULL, r12vrr_stack+13247);

 /*--- compute (d0|h0)^8 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+294, r12vrr_stack+8037, r12vrr_stack+440, r12vrr_stack+3118, r12vrr_stack+13262, r12vrr_stack+108);

 /*--- compute (f0|h0)^7 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3118, r12vrr_stack+8100, r12vrr_stack+294, r12vrr_stack+945, r12vrr_stack+8037, r12vrr_stack+204);

 /*--- compute (g0|h0)^6 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+98485, r12vrr_stack+8226, r12vrr_stack+3118, r12vrr_stack+104834, r12vrr_stack+8100, r12vrr_stack+95269);

 /*--- compute (h0|h0)^5 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+44530, r12vrr_stack+8436, r12vrr_stack+98485, r12vrr_stack+58483, r12vrr_stack+8226, r12vrr_stack+60981);

 /*--- compute (i0|h0)^4 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+106460, r12vrr_stack+43501, r12vrr_stack+44530, r12vrr_stack+41950, r12vrr_stack+8436, r12vrr_stack+55304);

 /*--- compute (k0|h0)^3 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+107048, r12vrr_stack+43942, r12vrr_stack+106460, r12vrr_stack+79861, r12vrr_stack+43501, r12vrr_stack+27424);

 /*--- compute (l0|h0)^2 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+103382, r12vrr_stack+102206, r12vrr_stack+107048, r12vrr_stack+80302, r12vrr_stack+43942, r12vrr_stack+76356);

 /*--- compute (m0|h0)^1 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+79861, r12vrr_stack+8751, r12vrr_stack+103382, r12vrr_stack+110190, r12vrr_stack+102206, r12vrr_stack+104960);

 /*--- compute (n0|h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+219130, r12vrr_stack+99850, r12vrr_stack+79861, r12vrr_stack+4917, r12vrr_stack+8751, r12vrr_stack+105635);

 /*--- compute (p0|i0)^9 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+110190, r12vrr_stack+1453, r12vrr_stack+31326, NULL, NULL, r12vrr_stack+1432);

 /*--- compute (d0|i0)^8 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+110274, r12vrr_stack+2260, r12vrr_stack+110190, r12vrr_stack+13283, r12vrr_stack+1453, r12vrr_stack+440);

 /*--- compute (f0|i0)^7 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+110442, r12vrr_stack+9696, r12vrr_stack+110274, r12vrr_stack+1008, r12vrr_stack+2260, r12vrr_stack+294);

 /*--- compute (g0|i0)^6 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+107804, r12vrr_stack+9864, r12vrr_stack+110442, r12vrr_stack+1513, r12vrr_stack+9696, r12vrr_stack+3118);

 /*--- compute (h0|i0)^5 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+104327, r12vrr_stack+102962, r12vrr_stack+107804, r12vrr_stack+29920, r12vrr_stack+9864, r12vrr_stack+98485);

 /*--- compute (i0|i0)^4 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+101005, r12vrr_stack+158895, r12vrr_stack+104327, r12vrr_stack+2344, r12vrr_stack+102962, r12vrr_stack+44530);

 /*--- compute (k0|i0)^3 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+220516, r12vrr_stack+159483, r12vrr_stack+101005, r12vrr_stack+110946, r12vrr_stack+158895, r12vrr_stack+106460);

 /*--- compute (l0|i0)^2 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+221524, r12vrr_stack+160267, r12vrr_stack+220516, r12vrr_stack+111534, r12vrr_stack+159483, r12vrr_stack+107048);

 /*--- compute (m0|i0)^1 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+110722, r12vrr_stack+161275, r12vrr_stack+221524, r12vrr_stack+112318, r12vrr_stack+160267, r12vrr_stack+103382);

 /*--- compute (n0|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+222784, r12vrr_stack+15524, r12vrr_stack+110722, r12vrr_stack+113326, r12vrr_stack+161275, r12vrr_stack+79861);
 tmp = r12vrr_stack + 222784;
 target_ptr = Libr12->gvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^9 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2344, r12vrr_stack+11128, r12vrr_stack+19504, NULL, NULL, r12vrr_stack+31326);

 /*--- compute (d0|k0)^8 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+2452, r12vrr_stack+17064, r12vrr_stack+2344, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+110190);

 /*--- compute (f0|k0)^7 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+112262, r12vrr_stack+3531, r12vrr_stack+2452, r12vrr_stack+102098, r12vrr_stack+17064, r12vrr_stack+110274);

 /*--- compute (g0|k0)^6 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+112622, r12vrr_stack+3747, r12vrr_stack+112262, r12vrr_stack+99634, r12vrr_stack+3531, r12vrr_stack+110442);

 /*--- compute (h0|k0)^5 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+224632, r12vrr_stack+162535, r12vrr_stack+112622, r12vrr_stack+45151, r12vrr_stack+3747, r12vrr_stack+107804);

 /*--- compute (i0|k0)^4 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+225388, r12vrr_stack+163075, r12vrr_stack+224632, r12vrr_stack+13455, r12vrr_stack+162535, r12vrr_stack+104327);

 /*--- compute (k0|k0)^3 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+226396, r12vrr_stack+163831, r12vrr_stack+225388, r12vrr_stack+11884, r12vrr_stack+163075, r12vrr_stack+101005);

 /*--- compute (l0|k0)^2 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+227692, r12vrr_stack+164839, r12vrr_stack+226396, r12vrr_stack+114586, r12vrr_stack+163831, r12vrr_stack+220516);

 /*--- compute (m0|k0)^1 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+229312, r12vrr_stack+25084, r12vrr_stack+227692, r12vrr_stack+115594, r12vrr_stack+164839, r12vrr_stack+221524);

 /*--- compute (n0|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+231292, r12vrr_stack+166135, r12vrr_stack+229312, r12vrr_stack+21664, r12vrr_stack+25084, r12vrr_stack+110722);
 tmp = r12vrr_stack + 231292;
 target_ptr = Libr12->gvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^9 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+114586, r12vrr_stack+42888, r12vrr_stack+60380, NULL, NULL, r12vrr_stack+19504);

 /*--- compute (d0|l0)^8 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+114721, r12vrr_stack+19288, r12vrr_stack+114586, r12vrr_stack+31354, r12vrr_stack+42888, r12vrr_stack+2344);

 /*--- compute (f0|l0)^7 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+114991, r12vrr_stack+26704, r12vrr_stack+114721, r12vrr_stack+12640, r12vrr_stack+19288, r12vrr_stack+2452);

 /*--- compute (g0|l0)^6 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+115441, r12vrr_stack+26974, r12vrr_stack+114991, r12vrr_stack+12775, r12vrr_stack+26704, r12vrr_stack+112262);

 /*--- compute (h0|l0)^5 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+168115, r12vrr_stack+115441, r12vrr_stack+1759, r12vrr_stack+26974, r12vrr_stack+112622);

 /*--- compute (i0|l0)^4 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+233668, r12vrr_stack+168790, r12vrr_stack+11884, r12vrr_stack+116890, r12vrr_stack+168115, r12vrr_stack+224632);

 /*--- compute (k0|l0)^3 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+234928, r12vrr_stack+169735, r12vrr_stack+233668, r12vrr_stack+117565, r12vrr_stack+168790, r12vrr_stack+225388);

 /*--- compute (l0|l0)^2 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+116116, r12vrr_stack+170995, r12vrr_stack+234928, r12vrr_stack+118510, r12vrr_stack+169735, r12vrr_stack+226396);

 /*--- compute (m0|l0)^1 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+236548, r12vrr_stack+37000, r12vrr_stack+116116, r12vrr_stack+119770, r12vrr_stack+170995, r12vrr_stack+227692);

 /*--- compute (n0|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+118141, r12vrr_stack+172615, r12vrr_stack+236548, r12vrr_stack+121390, r12vrr_stack+37000, r12vrr_stack+229312);
 tmp = r12vrr_stack + 118141;
 target_ptr = Libr12->gvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^9 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+1759, r12vrr_stack+755, r12vrr_stack+48825, NULL, NULL, r12vrr_stack+60380);

 /*--- compute (d0|m0)^8 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+39025, r12vrr_stack+1759, r12vrr_stack+42933, r12vrr_stack+755, r12vrr_stack+114586);

 /*--- compute (f0|m0)^7 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13283, r12vrr_stack+39190, r12vrr_stack+58483, r12vrr_stack+33175, r12vrr_stack+39025, r12vrr_stack+114721);

 /*--- compute (g0|m0)^6 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+239023, r12vrr_stack+39520, r12vrr_stack+13283, r12vrr_stack+33340, r12vrr_stack+39190, r12vrr_stack+114991);

 /*--- compute (h0|m0)^5 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+239848, r12vrr_stack+175090, r12vrr_stack+239023, r12vrr_stack+33670, r12vrr_stack+39520, r12vrr_stack+115441);

 /*--- compute (i0|m0)^4 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+241003, r12vrr_stack+175915, r12vrr_stack+239848, r12vrr_stack+123415, r12vrr_stack+175090, r12vrr_stack+11884);

 /*--- compute (k0|m0)^3 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+242543, r12vrr_stack+177070, r12vrr_stack+241003, r12vrr_stack+124240, r12vrr_stack+175915, r12vrr_stack+233668);

 /*--- compute (l0|m0)^2 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+244523, r12vrr_stack+178610, r12vrr_stack+242543, r12vrr_stack+125395, r12vrr_stack+177070, r12vrr_stack+234928);

 /*--- compute (m0|m0)^1 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+123415, r12vrr_stack+51575, r12vrr_stack+244523, r12vrr_stack+126935, r12vrr_stack+178610, r12vrr_stack+116116);

 /*--- compute (n0|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+246998, r12vrr_stack+180590, r12vrr_stack+123415, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+236548);
 tmp = r12vrr_stack + 246998;
 target_ptr = Libr12->gvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^9 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+126440, r12vrr_stack+63207, r12vrr_stack+71877, NULL, NULL, r12vrr_stack+48825);

 /*--- compute (d0|n0)^8 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+126638, r12vrr_stack+54050, r12vrr_stack+126440, r12vrr_stack+60425, r12vrr_stack+63207, r12vrr_stack+1759);

 /*--- compute (f0|n0)^7 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+127034, r12vrr_stack+54248, r12vrr_stack+126638, r12vrr_stack+30755, r12vrr_stack+54050, r12vrr_stack+58483);

 /*--- compute (g0|n0)^6 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+127694, r12vrr_stack+54644, r12vrr_stack+127034, r12vrr_stack+34220, r12vrr_stack+54248, r12vrr_stack+13283);

 /*--- compute (h0|n0)^5 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+183615, r12vrr_stack+127694, r12vrr_stack+19810, r12vrr_stack+54644, r12vrr_stack+239023);

 /*--- compute (i0|n0)^4 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+250628, r12vrr_stack+184605, r12vrr_stack+33175, r12vrr_stack+128915, r12vrr_stack+183615, r12vrr_stack+239848);

 /*--- compute (k0|n0)^3 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+252476, r12vrr_stack+185991, r12vrr_stack+250628, r12vrr_stack+129905, r12vrr_stack+184605, r12vrr_stack+241003);

 /*--- compute (l0|n0)^2 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+254852, r12vrr_stack+187839, r12vrr_stack+252476, r12vrr_stack+131291, r12vrr_stack+185991, r12vrr_stack+242543);

 /*--- compute (m0|n0)^1 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+128684, r12vrr_stack+68779, r12vrr_stack+254852, r12vrr_stack+133139, r12vrr_stack+187839, r12vrr_stack+244523);

 /*--- compute (n0|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+257822, r12vrr_stack+190215, r12vrr_stack+128684, r12vrr_stack+135515, r12vrr_stack+68779, r12vrr_stack+123415);
 tmp = r12vrr_stack + 257822;
 target_ptr = Libr12->gvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^20 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+20, Data->F+21, NULL, NULL, NULL);

 /*--- compute (00|d0)^19 ---*/
 _BUILD_00d0(Data,r12vrr_stack+19810, r12vrr_stack+71749, r12vrr_stack+78, Data->F+19, Data->F+20, NULL);

 /*--- compute (00|f0)^18 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1488, r12vrr_stack+71752, r12vrr_stack+19810, r12vrr_stack+0, r12vrr_stack+71749, NULL);

 /*--- compute (00|g0)^17 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2245, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+99082, r12vrr_stack+71752, NULL);

 /*--- compute (00|h0)^16 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+19816, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+63169, r12vrr_stack+430, NULL);

 /*--- compute (00|i0)^15 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+19837, r12vrr_stack+87, r12vrr_stack+19816, r12vrr_stack+42265, r12vrr_stack+1498, NULL);

 /*--- compute (00|k0)^14 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19423, r12vrr_stack+71758, r12vrr_stack+19837, r12vrr_stack+5862, r12vrr_stack+87, NULL);

 /*--- compute (00|l0)^13 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31354, r12vrr_stack+71786, r12vrr_stack+19423, r12vrr_stack+63179, r12vrr_stack+71758, NULL);

 /*--- compute (00|m0)^12 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+108224, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+23284, r12vrr_stack+71786, NULL);

 /*--- compute (00|n0)^11 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60425, r12vrr_stack+71822, r12vrr_stack+108224, r12vrr_stack+665, r12vrr_stack+19459, NULL);

 /*--- compute (00|o0)^10 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19865, r12vrr_stack+71877, r12vrr_stack+60425, r12vrr_stack+48825, r12vrr_stack+71822, NULL);

 /*--- compute (p0|o0)^9 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+34561, r12vrr_stack+1681, r12vrr_stack+19865, NULL, NULL, r12vrr_stack+71877);

 /*--- compute (d0|o0)^8 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19943, r12vrr_stack+71943, r12vrr_stack+34561, r12vrr_stack+57625, r12vrr_stack+1681, r12vrr_stack+126440);

 /*--- compute (f0|o0)^7 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+132314, r12vrr_stack+72177, r12vrr_stack+19943, r12vrr_stack+63273, r12vrr_stack+71943, r12vrr_stack+126638);

 /*--- compute (g0|o0)^6 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+133094, r12vrr_stack+72645, r12vrr_stack+132314, r12vrr_stack+63507, r12vrr_stack+72177, r12vrr_stack+127034);

 /*--- compute (h0|o0)^5 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+262178, r12vrr_stack+193845, r12vrr_stack+133094, r12vrr_stack+63975, r12vrr_stack+72645, r12vrr_stack+127694);

 /*--- compute (i0|o0)^4 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+263816, r12vrr_stack+195015, r12vrr_stack+262178, r12vrr_stack+138485, r12vrr_stack+193845, r12vrr_stack+33175);

 /*--- compute (k0|o0)^3 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+266000, r12vrr_stack+196653, r12vrr_stack+263816, r12vrr_stack+139655, r12vrr_stack+195015, r12vrr_stack+250628);

 /*--- compute (l0|o0)^2 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+268808, r12vrr_stack+198837, r12vrr_stack+266000, r12vrr_stack+141293, r12vrr_stack+196653, r12vrr_stack+252476);

 /*--- compute (m0|o0)^1 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+138485, r12vrr_stack+89689, r12vrr_stack+268808, r12vrr_stack+143477, r12vrr_stack+198837, r12vrr_stack+254852);

 /*--- compute (n0|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+272318, r12vrr_stack+201645, r12vrr_stack+138485, r12vrr_stack+146285, r12vrr_stack+89689, r12vrr_stack+128684);
 tmp = r12vrr_stack + 272318;
 target_ptr = Libr12->gvrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^9 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+142775, r12vrr_stack+1681, r12vrr_stack+19865, r12vrr_stack+63207, r12vrr_stack+71877, NULL);

 /*--- compute (p0|q0)^8 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+142866, r12vrr_stack+93199, r12vrr_stack+142775, NULL, NULL, r12vrr_stack+1681);

 /*--- compute (d0|q0)^7 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+143139, r12vrr_stack+93290, r12vrr_stack+142866, r12vrr_stack+83059, r12vrr_stack+93199, r12vrr_stack+71943);

 /*--- compute (f0|q0)^6 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+143685, r12vrr_stack+93563, r12vrr_stack+143139, r12vrr_stack+83150, r12vrr_stack+93290, r12vrr_stack+72177);

 /*--- compute (g0|q0)^5 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+144595, r12vrr_stack+94109, r12vrr_stack+143685, r12vrr_stack+83423, r12vrr_stack+93563, r12vrr_stack+72645);

 /*--- compute (h0|q0)^4 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+277466, r12vrr_stack+205935, r12vrr_stack+144595, r12vrr_stack+83969, r12vrr_stack+94109, r12vrr_stack+193845);

 /*--- compute (i0|q0)^3 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+279377, r12vrr_stack+207300, r12vrr_stack+277466, r12vrr_stack+149795, r12vrr_stack+205935, r12vrr_stack+195015);

 /*--- compute (k0|q0)^2 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+281925, r12vrr_stack+209211, r12vrr_stack+279377, r12vrr_stack+151160, r12vrr_stack+207300, r12vrr_stack+196653);

 /*--- compute (l0|q0)^1 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+285201, r12vrr_stack+211759, r12vrr_stack+281925, r12vrr_stack+153071, r12vrr_stack+209211, r12vrr_stack+198837);

 /*--- compute (m0|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+149795, r12vrr_stack+215035, r12vrr_stack+285201, r12vrr_stack+155619, r12vrr_stack+211759, r12vrr_stack+89689);
 tmp = r12vrr_stack + 149795;
 target_ptr = Libr12->gvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^10 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (d0|00)^9 ---*/
 _BUILD_d000(Data,r12vrr_stack+154800, r12vrr_stack+1092, r12vrr_stack+0, Data->F+9, Data->F+10, NULL);

 /*--- compute (f0|00)^8 ---*/
 _BUILD_f000(Data,r12vrr_stack+154806, r12vrr_stack+99088, r12vrr_stack+154800, r12vrr_stack+76130, r12vrr_stack+1092, NULL);

 /*--- compute (g0|00)^7 ---*/
 _BUILD_g000(Data,r12vrr_stack+153, r12vrr_stack+99094, r12vrr_stack+154806, r12vrr_stack+76133, r12vrr_stack+99088, NULL);

 /*--- compute (h0|00)^6 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+99104, r12vrr_stack+153, r12vrr_stack+76139, r12vrr_stack+99094, NULL);

 /*--- compute (i0|00)^5 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+154816, r12vrr_stack+27, r12vrr_stack+5862, r12vrr_stack+76149, r12vrr_stack+99104, NULL);

 /*--- compute (p0|p0)^10 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+154844, r12vrr_stack+1485, r12vrr_stack+3, NULL, NULL, Data->F+11);

 /*--- compute (d0|p0)^9 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+9, r12vrr_stack+99119, r12vrr_stack+154844, r12vrr_stack+6, r12vrr_stack+1485, r12vrr_stack+0);

 /*--- compute (f0|p0)^8 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+154853, r12vrr_stack+99128, r12vrr_stack+9, r12vrr_stack+1236, r12vrr_stack+99119, r12vrr_stack+154800);

 /*--- compute (g0|p0)^7 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+104915, r12vrr_stack+168, r12vrr_stack+154853, r12vrr_stack+76164, r12vrr_stack+99128, r12vrr_stack+154806);

 /*--- compute (h0|p0)^6 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+154883, r12vrr_stack+710, r12vrr_stack+104915, r12vrr_stack+76182, r12vrr_stack+168, r12vrr_stack+153);

 /*--- compute (i0|p0)^5 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+154946, r12vrr_stack+99146, r12vrr_stack+154883, r12vrr_stack+76212, r12vrr_stack+710, r12vrr_stack+5862);

 /*--- compute (k0|p0)^4 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+155030, r12vrr_stack+99209, r12vrr_stack+154946, r12vrr_stack+76257, r12vrr_stack+99146, r12vrr_stack+154816);

 /*--- compute (p0|d0)^10 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+155138, r12vrr_stack+198, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^9 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+155156, r12vrr_stack+60, r12vrr_stack+155138, r12vrr_stack+81, r12vrr_stack+198, r12vrr_stack+154844);

 /*--- compute (f0|d0)^8 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+155192, r12vrr_stack+99293, r12vrr_stack+155156, r12vrr_stack+1284, r12vrr_stack+60, r12vrr_stack+9);

 /*--- compute (g0|d0)^7 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+155252, r12vrr_stack+99329, r12vrr_stack+155192, r12vrr_stack+76320, r12vrr_stack+99293, r12vrr_stack+154853);

 /*--- compute (h0|d0)^6 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+155342, r12vrr_stack+58393, r12vrr_stack+155252, r12vrr_stack+20470, r12vrr_stack+99329, r12vrr_stack+104915);

 /*--- compute (i0|d0)^5 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+1110, r12vrr_stack+155342, r12vrr_stack+61271, r12vrr_stack+58393, r12vrr_stack+154883);

 /*--- compute (k0|d0)^4 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+99389, r12vrr_stack+1513, r12vrr_stack+61361, r12vrr_stack+1110, r12vrr_stack+154946);

 /*--- compute (l0|d0)^3 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+83275, r12vrr_stack+98269, r12vrr_stack+83059, r12vrr_stack+84879, r12vrr_stack+99389, r12vrr_stack+155030);

 /*--- compute (p0|f0)^10 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1284, r12vrr_stack+3093, r12vrr_stack+13237, NULL, NULL, r12vrr_stack+48);

 /*--- compute (d0|f0)^9 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+155468, r12vrr_stack+99557, r12vrr_stack+1284, r12vrr_stack+2235, r12vrr_stack+3093, r12vrr_stack+155138);

 /*--- compute (f0|f0)^8 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+83545, r12vrr_stack+76039, r12vrr_stack+155468, r12vrr_stack+6912, r12vrr_stack+99557, r12vrr_stack+155156);

 /*--- compute (g0|f0)^7 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+83645, r12vrr_stack+95019, r12vrr_stack+83545, r12vrr_stack+6942, r12vrr_stack+76039, r12vrr_stack+155192);

 /*--- compute (h0|f0)^6 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+83795, r12vrr_stack+95119, r12vrr_stack+83645, r12vrr_stack+85047, r12vrr_stack+95019, r12vrr_stack+155252);

 /*--- compute (i0|f0)^5 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+84005, r12vrr_stack+60491, r12vrr_stack+83795, r12vrr_stack+85147, r12vrr_stack+95119, r12vrr_stack+155342);

 /*--- compute (k0|f0)^4 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+84285, r12vrr_stack+60701, r12vrr_stack+84005, r12vrr_stack+85297, r12vrr_stack+60491, r12vrr_stack+1513);

 /*--- compute (l0|f0)^3 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+84645, r12vrr_stack+31399, r12vrr_stack+84285, r12vrr_stack+85507, r12vrr_stack+60701, r12vrr_stack+83059);

 /*--- compute (m0|f0)^2 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+20530, r12vrr_stack+84645, r12vrr_stack+7002, r12vrr_stack+31399, r12vrr_stack+83275);

 /*--- compute (p0|g0)^10 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+6912, r12vrr_stack+13247, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+13237);

 /*--- compute (d0|g0)^9 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+6957, r12vrr_stack+108, r12vrr_stack+6912, r12vrr_stack+3103, r12vrr_stack+13247, r12vrr_stack+1284);

 /*--- compute (f0|g0)^8 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7047, r12vrr_stack+204, r12vrr_stack+6957, r12vrr_stack+7362, r12vrr_stack+108, r12vrr_stack+155468);

 /*--- compute (g0|g0)^7 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+85095, r12vrr_stack+95269, r12vrr_stack+7047, r12vrr_stack+7407, r12vrr_stack+204, r12vrr_stack+83545);

 /*--- compute (h0|g0)^6 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+85320, r12vrr_stack+60981, r12vrr_stack+85095, r12vrr_stack+57703, r12vrr_stack+95269, r12vrr_stack+83645);

 /*--- compute (i0|g0)^5 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+63273, r12vrr_stack+55304, r12vrr_stack+85320, r12vrr_stack+57853, r12vrr_stack+60981, r12vrr_stack+83795);

 /*--- compute (k0|g0)^4 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+63693, r12vrr_stack+27424, r12vrr_stack+63273, r12vrr_stack+58078, r12vrr_stack+55304, r12vrr_stack+84005);

 /*--- compute (l0|g0)^3 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+76356, r12vrr_stack+63693, r12vrr_stack+59593, r12vrr_stack+27424, r12vrr_stack+84285);

 /*--- compute (m0|g0)^2 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+134264, r12vrr_stack+104960, r12vrr_stack+57625, r12vrr_stack+7497, r12vrr_stack+76356, r12vrr_stack+84645);

 /*--- compute (n0|g0)^1 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+289296, r12vrr_stack+105635, r12vrr_stack+134264, r12vrr_stack+64755, r12vrr_stack+104960, r12vrr_stack+30755);

 /*--- compute (p0|h0)^10 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+59593, r12vrr_stack+1432, r12vrr_stack+31305, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (d0|h0)^9 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+59656, r12vrr_stack+440, r12vrr_stack+59593, r12vrr_stack+13262, r12vrr_stack+1432, r12vrr_stack+6912);

 /*--- compute (f0|h0)^8 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+59782, r12vrr_stack+294, r12vrr_stack+59656, r12vrr_stack+8037, r12vrr_stack+440, r12vrr_stack+6957);

 /*--- compute (g0|h0)^7 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+59992, r12vrr_stack+3118, r12vrr_stack+59782, r12vrr_stack+8100, r12vrr_stack+294, r12vrr_stack+7047);

 /*--- compute (h0|h0)^6 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7197, r12vrr_stack+98485, r12vrr_stack+59992, r12vrr_stack+8226, r12vrr_stack+3118, r12vrr_stack+85095);

 /*--- compute (i0|h0)^5 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7638, r12vrr_stack+44530, r12vrr_stack+7197, r12vrr_stack+8436, r12vrr_stack+98485, r12vrr_stack+85320);

 /*--- compute (k0|h0)^4 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+64233, r12vrr_stack+106460, r12vrr_stack+7638, r12vrr_stack+43501, r12vrr_stack+44530, r12vrr_stack+63273);

 /*--- compute (l0|h0)^3 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+290286, r12vrr_stack+107048, r12vrr_stack+64233, r12vrr_stack+43942, r12vrr_stack+106460, r12vrr_stack+63693);

 /*--- compute (m0|h0)^2 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+291231, r12vrr_stack+103382, r12vrr_stack+290286, r12vrr_stack+102206, r12vrr_stack+107048, r12vrr_stack+57625);

 /*--- compute (n0|h0)^1 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+292386, r12vrr_stack+79861, r12vrr_stack+291231, r12vrr_stack+8751, r12vrr_stack+103382, r12vrr_stack+134264);

 /*--- compute (o0|h0)^0 ---*/
 am[0] = 11;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+293772, r12vrr_stack+219130, r12vrr_stack+292386, r12vrr_stack+99850, r12vrr_stack+79861, r12vrr_stack+289296);

 /*--- compute (p0|i0)^10 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+31326, r12vrr_stack+42860, NULL, NULL, r12vrr_stack+31305);

 /*--- compute (d0|i0)^9 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+43585, r12vrr_stack+110190, r12vrr_stack+43501, r12vrr_stack+1453, r12vrr_stack+31326, r12vrr_stack+59593);

 /*--- compute (f0|i0)^8 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+43753, r12vrr_stack+110274, r12vrr_stack+43585, r12vrr_stack+2260, r12vrr_stack+110190, r12vrr_stack+59656);

 /*--- compute (g0|i0)^7 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+44033, r12vrr_stack+110442, r12vrr_stack+43753, r12vrr_stack+9696, r12vrr_stack+110274, r12vrr_stack+59782);

 /*--- compute (h0|i0)^6 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8226, r12vrr_stack+107804, r12vrr_stack+44033, r12vrr_stack+9864, r12vrr_stack+110442, r12vrr_stack+59992);

 /*--- compute (i0|i0)^5 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8814, r12vrr_stack+104327, r12vrr_stack+8226, r12vrr_stack+102962, r12vrr_stack+107804, r12vrr_stack+7197);

 /*--- compute (k0|i0)^4 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+101789, r12vrr_stack+101005, r12vrr_stack+8814, r12vrr_stack+158895, r12vrr_stack+104327, r12vrr_stack+7638);

 /*--- compute (l0|i0)^3 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+295410, r12vrr_stack+220516, r12vrr_stack+101789, r12vrr_stack+159483, r12vrr_stack+101005, r12vrr_stack+64233);

 /*--- compute (m0|i0)^2 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+296670, r12vrr_stack+221524, r12vrr_stack+295410, r12vrr_stack+160267, r12vrr_stack+220516, r12vrr_stack+290286);

 /*--- compute (n0|i0)^1 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+158895, r12vrr_stack+110722, r12vrr_stack+296670, r12vrr_stack+161275, r12vrr_stack+221524, r12vrr_stack+291231);

 /*--- compute (o0|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+298210, r12vrr_stack+222784, r12vrr_stack+158895, r12vrr_stack+15524, r12vrr_stack+110722, r12vrr_stack+292386);
 tmp = r12vrr_stack + 298210;
 target_ptr = Libr12->gvrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^10 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+160743, r12vrr_stack+19504, r12vrr_stack+60344, NULL, NULL, r12vrr_stack+42860);

 /*--- compute (d0|k0)^9 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+160851, r12vrr_stack+2344, r12vrr_stack+160743, r12vrr_stack+11128, r12vrr_stack+19504, r12vrr_stack+43501);

 /*--- compute (f0|k0)^8 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+161067, r12vrr_stack+2452, r12vrr_stack+160851, r12vrr_stack+17064, r12vrr_stack+2344, r12vrr_stack+43585);

 /*--- compute (g0|k0)^7 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+161427, r12vrr_stack+112262, r12vrr_stack+161067, r12vrr_stack+3531, r12vrr_stack+2452, r12vrr_stack+43753);

 /*--- compute (h0|k0)^6 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+9598, r12vrr_stack+112622, r12vrr_stack+161427, r12vrr_stack+3747, r12vrr_stack+112262, r12vrr_stack+44033);

 /*--- compute (i0|k0)^5 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+300394, r12vrr_stack+224632, r12vrr_stack+9598, r12vrr_stack+162535, r12vrr_stack+112622, r12vrr_stack+8226);

 /*--- compute (k0|k0)^4 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+301402, r12vrr_stack+225388, r12vrr_stack+300394, r12vrr_stack+163075, r12vrr_stack+224632, r12vrr_stack+8814);

 /*--- compute (l0|k0)^3 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+161967, r12vrr_stack+226396, r12vrr_stack+301402, r12vrr_stack+163831, r12vrr_stack+225388, r12vrr_stack+101789);

 /*--- compute (m0|k0)^2 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+302698, r12vrr_stack+227692, r12vrr_stack+161967, r12vrr_stack+164839, r12vrr_stack+226396, r12vrr_stack+295410);

 /*--- compute (n0|k0)^1 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+163587, r12vrr_stack+229312, r12vrr_stack+302698, r12vrr_stack+25084, r12vrr_stack+227692, r12vrr_stack+296670);

 /*--- compute (o0|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+304678, r12vrr_stack+231292, r12vrr_stack+163587, r12vrr_stack+166135, r12vrr_stack+229312, r12vrr_stack+158895);
 tmp = r12vrr_stack + 304678;
 target_ptr = Libr12->gvrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^10 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+60380, r12vrr_stack+665, NULL, NULL, r12vrr_stack+60344);

 /*--- compute (d0|l0)^9 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25219, r12vrr_stack+114586, r12vrr_stack+25084, r12vrr_stack+42888, r12vrr_stack+60380, r12vrr_stack+160743);

 /*--- compute (f0|l0)^8 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25489, r12vrr_stack+114721, r12vrr_stack+25219, r12vrr_stack+19288, r12vrr_stack+114586, r12vrr_stack+160851);

 /*--- compute (g0|l0)^7 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25939, r12vrr_stack+114991, r12vrr_stack+25489, r12vrr_stack+26704, r12vrr_stack+114721, r12vrr_stack+161067);

 /*--- compute (h0|l0)^6 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+307486, r12vrr_stack+115441, r12vrr_stack+25939, r12vrr_stack+26974, r12vrr_stack+114991, r12vrr_stack+161427);

 /*--- compute (i0|l0)^5 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+308431, r12vrr_stack+11884, r12vrr_stack+307486, r12vrr_stack+168115, r12vrr_stack+115441, r12vrr_stack+9598);

 /*--- compute (k0|l0)^4 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+309691, r12vrr_stack+233668, r12vrr_stack+308431, r12vrr_stack+168790, r12vrr_stack+11884, r12vrr_stack+300394);

 /*--- compute (l0|l0)^3 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+311311, r12vrr_stack+234928, r12vrr_stack+309691, r12vrr_stack+169735, r12vrr_stack+233668, r12vrr_stack+301402);

 /*--- compute (m0|l0)^2 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+168115, r12vrr_stack+116116, r12vrr_stack+311311, r12vrr_stack+170995, r12vrr_stack+234928, r12vrr_stack+161967);

 /*--- compute (n0|l0)^1 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+313336, r12vrr_stack+236548, r12vrr_stack+168115, r12vrr_stack+37000, r12vrr_stack+116116, r12vrr_stack+302698);

 /*--- compute (o0|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+316306, r12vrr_stack+118141, r12vrr_stack+313336, r12vrr_stack+172615, r12vrr_stack+236548, r12vrr_stack+163587);
 tmp = r12vrr_stack + 316306;
 target_ptr = Libr12->gvrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^10 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+48825, r12vrr_stack+71822, NULL, NULL, r12vrr_stack+665);

 /*--- compute (d0|m0)^9 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+1759, r12vrr_stack+37000, r12vrr_stack+755, r12vrr_stack+48825, r12vrr_stack+25084);

 /*--- compute (f0|m0)^8 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37165, r12vrr_stack+58483, r12vrr_stack+41950, r12vrr_stack+39025, r12vrr_stack+1759, r12vrr_stack+25219);

 /*--- compute (g0|m0)^7 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37715, r12vrr_stack+13283, r12vrr_stack+37165, r12vrr_stack+39190, r12vrr_stack+58483, r12vrr_stack+25489);

 /*--- compute (h0|m0)^6 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+170590, r12vrr_stack+239023, r12vrr_stack+37715, r12vrr_stack+39520, r12vrr_stack+13283, r12vrr_stack+25939);

 /*--- compute (i0|m0)^5 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38540, r12vrr_stack+239848, r12vrr_stack+170590, r12vrr_stack+175090, r12vrr_stack+239023, r12vrr_stack+307486);

 /*--- compute (k0|m0)^4 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+319816, r12vrr_stack+241003, r12vrr_stack+38540, r12vrr_stack+175915, r12vrr_stack+239848, r12vrr_stack+308431);

 /*--- compute (l0|m0)^3 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+321796, r12vrr_stack+242543, r12vrr_stack+319816, r12vrr_stack+177070, r12vrr_stack+241003, r12vrr_stack+309691);

 /*--- compute (m0|m0)^2 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+175090, r12vrr_stack+244523, r12vrr_stack+321796, r12vrr_stack+178610, r12vrr_stack+242543, r12vrr_stack+311311);

 /*--- compute (n0|m0)^1 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+324271, r12vrr_stack+123415, r12vrr_stack+175090, r12vrr_stack+51575, r12vrr_stack+244523, r12vrr_stack+168115);

 /*--- compute (o0|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+327901, r12vrr_stack+246998, r12vrr_stack+324271, r12vrr_stack+180590, r12vrr_stack+123415, r12vrr_stack+313336);
 tmp = r12vrr_stack + 327901;
 target_ptr = Libr12->gvrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^10 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+71877, r12vrr_stack+60425, NULL, NULL, r12vrr_stack+71822);

 /*--- compute (d0|n0)^9 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51773, r12vrr_stack+126440, r12vrr_stack+51575, r12vrr_stack+63207, r12vrr_stack+71877, r12vrr_stack+37000);

 /*--- compute (f0|n0)^8 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+52169, r12vrr_stack+126638, r12vrr_stack+51773, r12vrr_stack+54050, r12vrr_stack+126440, r12vrr_stack+41950);

 /*--- compute (g0|n0)^7 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+52829, r12vrr_stack+127034, r12vrr_stack+52169, r12vrr_stack+54248, r12vrr_stack+126638, r12vrr_stack+37165);

 /*--- compute (h0|n0)^6 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+178115, r12vrr_stack+127694, r12vrr_stack+52829, r12vrr_stack+54644, r12vrr_stack+127034, r12vrr_stack+37715);

 /*--- compute (i0|n0)^5 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+332191, r12vrr_stack+33175, r12vrr_stack+178115, r12vrr_stack+183615, r12vrr_stack+127694, r12vrr_stack+170590);

 /*--- compute (k0|n0)^4 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+334039, r12vrr_stack+250628, r12vrr_stack+332191, r12vrr_stack+184605, r12vrr_stack+33175, r12vrr_stack+38540);

 /*--- compute (l0|n0)^3 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+336415, r12vrr_stack+252476, r12vrr_stack+334039, r12vrr_stack+185991, r12vrr_stack+250628, r12vrr_stack+319816);

 /*--- compute (m0|n0)^2 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+183615, r12vrr_stack+254852, r12vrr_stack+336415, r12vrr_stack+187839, r12vrr_stack+252476, r12vrr_stack+321796);

 /*--- compute (n0|n0)^1 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+339385, r12vrr_stack+128684, r12vrr_stack+183615, r12vrr_stack+68779, r12vrr_stack+254852, r12vrr_stack+175090);

 /*--- compute (o0|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+343741, r12vrr_stack+257822, r12vrr_stack+339385, r12vrr_stack+190215, r12vrr_stack+128684, r12vrr_stack+324271);
 tmp = r12vrr_stack + 343741;
 target_ptr = Libr12->gvrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^21 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+21, Data->F+22, NULL, NULL, NULL);

 /*--- compute (00|d0)^20 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+20, Data->F+21, NULL);

 /*--- compute (00|f0)^19 ---*/
 _BUILD_00f0(Data,r12vrr_stack+68779, r12vrr_stack+19810, r12vrr_stack+81, r12vrr_stack+71749, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^18 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3103, r12vrr_stack+1488, r12vrr_stack+68779, r12vrr_stack+71752, r12vrr_stack+19810, NULL);

 /*--- compute (00|h0)^17 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13262, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+430, r12vrr_stack+1488, NULL);

 /*--- compute (00|i0)^16 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+68789, r12vrr_stack+19816, r12vrr_stack+13262, r12vrr_stack+1498, r12vrr_stack+2245, NULL);

 /*--- compute (00|k0)^15 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+19837, r12vrr_stack+68789, r12vrr_stack+87, r12vrr_stack+19816, NULL);

 /*--- compute (00|l0)^14 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+68817, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+71758, r12vrr_stack+19837, NULL);

 /*--- compute (00|m0)^13 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+68862, r12vrr_stack+31354, r12vrr_stack+68817, r12vrr_stack+71786, r12vrr_stack+19423, NULL);

 /*--- compute (00|n0)^12 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68917, r12vrr_stack+108224, r12vrr_stack+68862, r12vrr_stack+19459, r12vrr_stack+31354, NULL);

 /*--- compute (00|o0)^11 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+68983, r12vrr_stack+60425, r12vrr_stack+68917, r12vrr_stack+71822, r12vrr_stack+108224, NULL);

 /*--- compute (p0|o0)^10 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+69061, r12vrr_stack+19865, r12vrr_stack+68983, NULL, NULL, r12vrr_stack+60425);

 /*--- compute (d0|o0)^9 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+69295, r12vrr_stack+34561, r12vrr_stack+69061, r12vrr_stack+1681, r12vrr_stack+19865, r12vrr_stack+51575);

 /*--- compute (f0|o0)^8 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+69763, r12vrr_stack+19943, r12vrr_stack+69295, r12vrr_stack+71943, r12vrr_stack+34561, r12vrr_stack+51773);

 /*--- compute (g0|o0)^7 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+70543, r12vrr_stack+132314, r12vrr_stack+69763, r12vrr_stack+72177, r12vrr_stack+19943, r12vrr_stack+52169);

 /*--- compute (h0|o0)^6 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+187245, r12vrr_stack+133094, r12vrr_stack+70543, r12vrr_stack+72645, r12vrr_stack+132314, r12vrr_stack+52829);

 /*--- compute (i0|o0)^5 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+348889, r12vrr_stack+262178, r12vrr_stack+187245, r12vrr_stack+193845, r12vrr_stack+133094, r12vrr_stack+178115);

 /*--- compute (k0|o0)^4 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+351073, r12vrr_stack+263816, r12vrr_stack+348889, r12vrr_stack+195015, r12vrr_stack+262178, r12vrr_stack+332191);

 /*--- compute (l0|o0)^3 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+353881, r12vrr_stack+266000, r12vrr_stack+351073, r12vrr_stack+196653, r12vrr_stack+263816, r12vrr_stack+334039);

 /*--- compute (m0|o0)^2 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+193845, r12vrr_stack+268808, r12vrr_stack+353881, r12vrr_stack+198837, r12vrr_stack+266000, r12vrr_stack+336415);

 /*--- compute (n0|o0)^1 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+357391, r12vrr_stack+138485, r12vrr_stack+193845, r12vrr_stack+89689, r12vrr_stack+268808, r12vrr_stack+183615);

 /*--- compute (o0|o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+362539, r12vrr_stack+272318, r12vrr_stack+357391, r12vrr_stack+201645, r12vrr_stack+138485, r12vrr_stack+339385);
 tmp = r12vrr_stack + 362539;
 target_ptr = Libr12->gvrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^10 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+155528, r12vrr_stack+19865, r12vrr_stack+68983, r12vrr_stack+71877, r12vrr_stack+60425, NULL);

 /*--- compute (p0|q0)^9 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+142775, r12vrr_stack+155528, NULL, NULL, r12vrr_stack+19865);

 /*--- compute (d0|q0)^8 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+89962, r12vrr_stack+142866, r12vrr_stack+89689, r12vrr_stack+93199, r12vrr_stack+142775, r12vrr_stack+34561);

 /*--- compute (f0|q0)^7 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+90508, r12vrr_stack+143139, r12vrr_stack+89962, r12vrr_stack+93290, r12vrr_stack+142866, r12vrr_stack+19943);

 /*--- compute (g0|q0)^6 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+91418, r12vrr_stack+143685, r12vrr_stack+90508, r12vrr_stack+93563, r12vrr_stack+143139, r12vrr_stack+132314);

 /*--- compute (h0|q0)^5 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+198135, r12vrr_stack+144595, r12vrr_stack+91418, r12vrr_stack+94109, r12vrr_stack+143685, r12vrr_stack+133094);

 /*--- compute (i0|q0)^4 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+368623, r12vrr_stack+277466, r12vrr_stack+198135, r12vrr_stack+205935, r12vrr_stack+144595, r12vrr_stack+262178);

 /*--- compute (k0|q0)^3 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+371171, r12vrr_stack+279377, r12vrr_stack+368623, r12vrr_stack+207300, r12vrr_stack+277466, r12vrr_stack+263816);

 /*--- compute (l0|q0)^2 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+374447, r12vrr_stack+281925, r12vrr_stack+371171, r12vrr_stack+209211, r12vrr_stack+279377, r12vrr_stack+266000);

 /*--- compute (m0|q0)^1 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+205935, r12vrr_stack+285201, r12vrr_stack+374447, r12vrr_stack+211759, r12vrr_stack+281925, r12vrr_stack+268808);

 /*--- compute (n0|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+378542, r12vrr_stack+149795, r12vrr_stack+205935, r12vrr_stack+215035, r12vrr_stack+285201, r12vrr_stack+138485);
 tmp = r12vrr_stack + 378542;
 target_ptr = Libr12->gvrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^11 ---*/
 _BUILD_p000(Data,r12vrr_stack+210940, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (d0|00)^10 ---*/
 _BUILD_d000(Data,r12vrr_stack+210943, r12vrr_stack+0, r12vrr_stack+210940, Data->F+10, Data->F+11, NULL);

 /*--- compute (f0|00)^9 ---*/
 _BUILD_f000(Data,r12vrr_stack+430, r12vrr_stack+154800, r12vrr_stack+210943, r12vrr_stack+1092, r12vrr_stack+0, NULL);

 /*--- compute (g0|00)^8 ---*/
 _BUILD_g000(Data,r12vrr_stack+1498, r12vrr_stack+154806, r12vrr_stack+430, r12vrr_stack+99088, r12vrr_stack+154800, NULL);

 /*--- compute (h0|00)^7 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+87, r12vrr_stack+153, r12vrr_stack+1498, r12vrr_stack+99094, r12vrr_stack+154806, NULL);

 /*--- compute (i0|00)^6 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+210949, r12vrr_stack+5862, r12vrr_stack+87, r12vrr_stack+99104, r12vrr_stack+153, NULL);

 /*--- compute (k0|00)^5 ---*/
 am[0] = 7;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+210977, r12vrr_stack+154816, r12vrr_stack+210949, r12vrr_stack+27, r12vrr_stack+5862, NULL);

 /*--- compute (p0|p0)^11 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+60307, r12vrr_stack+3, r12vrr_stack+3090, NULL, NULL, Data->F+12);

 /*--- compute (d0|p0)^10 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+10354, r12vrr_stack+154844, r12vrr_stack+60307, r12vrr_stack+1485, r12vrr_stack+3, r12vrr_stack+210940);

 /*--- compute (f0|p0)^9 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+154800, r12vrr_stack+9, r12vrr_stack+10354, r12vrr_stack+99119, r12vrr_stack+154844, r12vrr_stack+210943);

 /*--- compute (g0|p0)^8 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+211013, r12vrr_stack+154853, r12vrr_stack+154800, r12vrr_stack+99128, r12vrr_stack+9, r12vrr_stack+430);

 /*--- compute (h0|p0)^7 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+211058, r12vrr_stack+104915, r12vrr_stack+211013, r12vrr_stack+168, r12vrr_stack+154853, r12vrr_stack+1498);

 /*--- compute (i0|p0)^6 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+154883, r12vrr_stack+211058, r12vrr_stack+710, r12vrr_stack+104915, r12vrr_stack+87);

 /*--- compute (k0|p0)^5 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+710, r12vrr_stack+154946, r12vrr_stack+2260, r12vrr_stack+99146, r12vrr_stack+154883, r12vrr_stack+210949);

 /*--- compute (l0|p0)^4 ---*/
 am[0] = 8;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+155030, r12vrr_stack+710, r12vrr_stack+99209, r12vrr_stack+154946, r12vrr_stack+210977);

 /*--- compute (p0|d0)^11 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+48, r12vrr_stack+13231, NULL, NULL, r12vrr_stack+3090);

 /*--- compute (d0|d0)^10 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+104915, r12vrr_stack+155138, r12vrr_stack+87, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+60307);

 /*--- compute (f0|d0)^9 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+818, r12vrr_stack+155156, r12vrr_stack+104915, r12vrr_stack+60, r12vrr_stack+155138, r12vrr_stack+10354);

 /*--- compute (g0|d0)^8 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+878, r12vrr_stack+155192, r12vrr_stack+818, r12vrr_stack+99293, r12vrr_stack+155156, r12vrr_stack+154800);

 /*--- compute (h0|d0)^7 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+154800, r12vrr_stack+155252, r12vrr_stack+878, r12vrr_stack+99329, r12vrr_stack+155192, r12vrr_stack+211013);

 /*--- compute (i0|d0)^6 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+154926, r12vrr_stack+155342, r12vrr_stack+154800, r12vrr_stack+58393, r12vrr_stack+155252, r12vrr_stack+211058);

 /*--- compute (k0|d0)^5 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+155094, r12vrr_stack+1513, r12vrr_stack+154926, r12vrr_stack+1110, r12vrr_stack+155342, r12vrr_stack+2260);

 /*--- compute (l0|d0)^4 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+210940, r12vrr_stack+83059, r12vrr_stack+155094, r12vrr_stack+99389, r12vrr_stack+1513, r12vrr_stack+710);

 /*--- compute (m0|d0)^3 ---*/
 am[0] = 9;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+211210, r12vrr_stack+83275, r12vrr_stack+210940, r12vrr_stack+98269, r12vrr_stack+83059, r12vrr_stack+19288);

 /*--- compute (p0|f0)^11 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+19288, r12vrr_stack+13237, r12vrr_stack+1422, NULL, NULL, r12vrr_stack+13231);

 /*--- compute (d0|f0)^10 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+19318, r12vrr_stack+1284, r12vrr_stack+19288, r12vrr_stack+3093, r12vrr_stack+13237, r12vrr_stack+87);

 /*--- compute (f0|f0)^9 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+83059, r12vrr_stack+155468, r12vrr_stack+19318, r12vrr_stack+99557, r12vrr_stack+1284, r12vrr_stack+104915);

 /*--- compute (g0|f0)^8 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+83159, r12vrr_stack+83545, r12vrr_stack+83059, r12vrr_stack+76039, r12vrr_stack+155468, r12vrr_stack+818);

 /*--- compute (h0|f0)^7 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+83645, r12vrr_stack+83159, r12vrr_stack+95019, r12vrr_stack+83545, r12vrr_stack+878);

 /*--- compute (i0|f0)^6 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+83309, r12vrr_stack+83795, r12vrr_stack+76039, r12vrr_stack+95119, r12vrr_stack+83645, r12vrr_stack+154800);

 /*--- compute (k0|f0)^5 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+710, r12vrr_stack+84005, r12vrr_stack+83309, r12vrr_stack+60491, r12vrr_stack+83795, r12vrr_stack+154926);

 /*--- compute (l0|f0)^4 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+211540, r12vrr_stack+84285, r12vrr_stack+710, r12vrr_stack+60701, r12vrr_stack+84005, r12vrr_stack+155094);

 /*--- compute (m0|f0)^3 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+154800, r12vrr_stack+84645, r12vrr_stack+211540, r12vrr_stack+31399, r12vrr_stack+84285, r12vrr_stack+210940);

 /*--- compute (n0|f0)^2 ---*/
 am[0] = 10;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+83589, r12vrr_stack+30755, r12vrr_stack+154800, r12vrr_stack+20530, r12vrr_stack+84645, r12vrr_stack+211210);

 /*--- compute (p0|g0)^11 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+104915, r12vrr_stack+1095, r12vrr_stack+1351, NULL, NULL, r12vrr_stack+1422);

 /*--- compute (d0|g0)^10 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+30755, r12vrr_stack+6912, r12vrr_stack+104915, r12vrr_stack+13247, r12vrr_stack+1095, r12vrr_stack+19288);

 /*--- compute (f0|g0)^9 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+30845, r12vrr_stack+6957, r12vrr_stack+30755, r12vrr_stack+108, r12vrr_stack+6912, r12vrr_stack+19318);

 /*--- compute (g0|g0)^8 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+30995, r12vrr_stack+7047, r12vrr_stack+30845, r12vrr_stack+204, r12vrr_stack+6957, r12vrr_stack+83059);

 /*--- compute (h0|g0)^7 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+210940, r12vrr_stack+85095, r12vrr_stack+30995, r12vrr_stack+95269, r12vrr_stack+7047, r12vrr_stack+83159);

 /*--- compute (i0|g0)^6 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+31399, r12vrr_stack+85320, r12vrr_stack+210940, r12vrr_stack+60981, r12vrr_stack+85095, r12vrr_stack+76039);

 /*--- compute (k0|g0)^5 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+60491, r12vrr_stack+63273, r12vrr_stack+31399, r12vrr_stack+55304, r12vrr_stack+85320, r12vrr_stack+83309);

 /*--- compute (l0|g0)^4 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+84249, r12vrr_stack+63693, r12vrr_stack+60491, r12vrr_stack+27424, r12vrr_stack+63273, r12vrr_stack+710);

 /*--- compute (m0|g0)^3 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+84924, r12vrr_stack+57625, r12vrr_stack+84249, r12vrr_stack+76356, r12vrr_stack+63693, r12vrr_stack+211540);

 /*--- compute (n0|g0)^2 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+134264, r12vrr_stack+84924, r12vrr_stack+104960, r12vrr_stack+57625, r12vrr_stack+154800);

 /*--- compute (o0|g0)^1 ---*/
 am[0] = 11;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+211255, r12vrr_stack+289296, r12vrr_stack+76039, r12vrr_stack+105635, r12vrr_stack+134264, r12vrr_stack+83589);

 /*--- compute (p0|h0)^11 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+134264, r12vrr_stack+31305, r12vrr_stack+42839, NULL, NULL, r12vrr_stack+1351);

 /*--- compute (d0|h0)^10 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+134327, r12vrr_stack+59593, r12vrr_stack+134264, r12vrr_stack+1432, r12vrr_stack+31305, r12vrr_stack+104915);

 /*--- compute (f0|h0)^9 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+104915, r12vrr_stack+59656, r12vrr_stack+134327, r12vrr_stack+440, r12vrr_stack+59593, r12vrr_stack+30755);

 /*--- compute (g0|h0)^8 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+105125, r12vrr_stack+59782, r12vrr_stack+104915, r12vrr_stack+294, r12vrr_stack+59656, r12vrr_stack+30845);

 /*--- compute (h0|h0)^7 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+105440, r12vrr_stack+59992, r12vrr_stack+105125, r12vrr_stack+3118, r12vrr_stack+59782, r12vrr_stack+30995);

 /*--- compute (i0|h0)^6 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+134453, r12vrr_stack+7197, r12vrr_stack+105440, r12vrr_stack+98485, r12vrr_stack+59992, r12vrr_stack+210940);

 /*--- compute (k0|h0)^5 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+289296, r12vrr_stack+7638, r12vrr_stack+134453, r12vrr_stack+44530, r12vrr_stack+7197, r12vrr_stack+31399);

 /*--- compute (l0|h0)^4 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+64233, r12vrr_stack+289296, r12vrr_stack+106460, r12vrr_stack+7638, r12vrr_stack+60491);

 /*--- compute (m0|h0)^3 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+105881, r12vrr_stack+290286, r12vrr_stack+83059, r12vrr_stack+107048, r12vrr_stack+64233, r12vrr_stack+84249);

 /*--- compute (n0|h0)^2 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+212425, r12vrr_stack+291231, r12vrr_stack+105881, r12vrr_stack+103382, r12vrr_stack+290286, r12vrr_stack+84924);

 /*--- compute (o0|h0)^1 ---*/
 am[0] = 11;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+84004, r12vrr_stack+292386, r12vrr_stack+212425, r12vrr_stack+79861, r12vrr_stack+291231, r12vrr_stack+76039);

 /*--- compute (q0|h0)^0 ---*/
 am[0] = 12;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+290052, r12vrr_stack+293772, r12vrr_stack+84004, r12vrr_stack+219130, r12vrr_stack+292386, r12vrr_stack+211255);

 /*--- compute (p0|i0)^11 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+42860, r12vrr_stack+60316, NULL, NULL, r12vrr_stack+42839);

 /*--- compute (d0|i0)^10 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+43501, r12vrr_stack+2260, r12vrr_stack+31326, r12vrr_stack+42860, r12vrr_stack+134264);

 /*--- compute (f0|i0)^9 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+76207, r12vrr_stack+43585, r12vrr_stack+76039, r12vrr_stack+110190, r12vrr_stack+43501, r12vrr_stack+134327);

 /*--- compute (g0|i0)^8 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+76487, r12vrr_stack+43753, r12vrr_stack+76207, r12vrr_stack+110274, r12vrr_stack+43585, r12vrr_stack+104915);

 /*--- compute (h0|i0)^7 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+79861, r12vrr_stack+44033, r12vrr_stack+76487, r12vrr_stack+110442, r12vrr_stack+43753, r12vrr_stack+105125);

 /*--- compute (i0|i0)^6 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+60491, r12vrr_stack+8226, r12vrr_stack+79861, r12vrr_stack+107804, r12vrr_stack+44033, r12vrr_stack+105440);

 /*--- compute (k0|i0)^5 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+8814, r12vrr_stack+60491, r12vrr_stack+104327, r12vrr_stack+8226, r12vrr_stack+134453);

 /*--- compute (l0|i0)^4 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+210940, r12vrr_stack+101789, r12vrr_stack+43501, r12vrr_stack+101005, r12vrr_stack+8814, r12vrr_stack+289296);

 /*--- compute (m0|i0)^3 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+291963, r12vrr_stack+295410, r12vrr_stack+210940, r12vrr_stack+220516, r12vrr_stack+101789, r12vrr_stack+83059);

 /*--- compute (n0|i0)^2 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+101005, r12vrr_stack+296670, r12vrr_stack+291963, r12vrr_stack+221524, r12vrr_stack+295410, r12vrr_stack+105881);

 /*--- compute (o0|i0)^1 ---*/
 am[0] = 11;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+220516, r12vrr_stack+158895, r12vrr_stack+101005, r12vrr_stack+110722, r12vrr_stack+296670, r12vrr_stack+212425);

 /*--- compute (q0|i0)^0 ---*/
 am[0] = 12;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+295410, r12vrr_stack+298210, r12vrr_stack+220516, r12vrr_stack+222784, r12vrr_stack+158895, r12vrr_stack+84004);
 tmp = r12vrr_stack + 295410;
 target_ptr = Libr12->gvrr_classes[12][6];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^11 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+158895, r12vrr_stack+60344, r12vrr_stack+23284, NULL, NULL, r12vrr_stack+60316);

 /*--- compute (d0|k0)^10 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+159003, r12vrr_stack+160743, r12vrr_stack+158895, r12vrr_stack+19504, r12vrr_stack+60344, r12vrr_stack+2260);

 /*--- compute (f0|k0)^9 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+159219, r12vrr_stack+160851, r12vrr_stack+159003, r12vrr_stack+2344, r12vrr_stack+160743, r12vrr_stack+76039);

 /*--- compute (g0|k0)^8 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+159579, r12vrr_stack+161067, r12vrr_stack+159219, r12vrr_stack+2452, r12vrr_stack+160851, r12vrr_stack+76207);

 /*--- compute (h0|k0)^7 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+289296, r12vrr_stack+161427, r12vrr_stack+159579, r12vrr_stack+112262, r12vrr_stack+161067, r12vrr_stack+76487);

 /*--- compute (i0|k0)^6 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+9598, r12vrr_stack+289296, r12vrr_stack+112622, r12vrr_stack+161427, r12vrr_stack+79861);

 /*--- compute (k0|k0)^5 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+160119, r12vrr_stack+300394, r12vrr_stack+76039, r12vrr_stack+224632, r12vrr_stack+9598, r12vrr_stack+60491);

 /*--- compute (l0|k0)^4 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+301402, r12vrr_stack+160119, r12vrr_stack+225388, r12vrr_stack+300394, r12vrr_stack+43501);

 /*--- compute (m0|k0)^3 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+161967, r12vrr_stack+83059, r12vrr_stack+226396, r12vrr_stack+301402, r12vrr_stack+210940);

 /*--- compute (n0|k0)^2 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+302698, r12vrr_stack+43501, r12vrr_stack+227692, r12vrr_stack+161967, r12vrr_stack+291963);

 /*--- compute (o0|k0)^1 ---*/
 am[0] = 11;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+210940, r12vrr_stack+163587, r12vrr_stack+63169, r12vrr_stack+229312, r12vrr_stack+302698, r12vrr_stack+101005);

 /*--- compute (q0|k0)^0 ---*/
 am[0] = 12;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+101005, r12vrr_stack+304678, r12vrr_stack+210940, r12vrr_stack+231292, r12vrr_stack+163587, r12vrr_stack+220516);
 tmp = r12vrr_stack + 101005;
 target_ptr = Libr12->gvrr_classes[12][7];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^11 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+665, r12vrr_stack+19459, NULL, NULL, r12vrr_stack+23284);

 /*--- compute (d0|l0)^10 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+220516, r12vrr_stack+25084, r12vrr_stack+19288, r12vrr_stack+60380, r12vrr_stack+665, r12vrr_stack+158895);

 /*--- compute (f0|l0)^9 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+220786, r12vrr_stack+25219, r12vrr_stack+220516, r12vrr_stack+114586, r12vrr_stack+25084, r12vrr_stack+159003);

 /*--- compute (g0|l0)^8 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+221236, r12vrr_stack+25489, r12vrr_stack+220786, r12vrr_stack+114721, r12vrr_stack+25219, r12vrr_stack+159219);

 /*--- compute (h0|l0)^7 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+104281, r12vrr_stack+25939, r12vrr_stack+221236, r12vrr_stack+114991, r12vrr_stack+25489, r12vrr_stack+159579);

 /*--- compute (i0|l0)^6 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+105226, r12vrr_stack+307486, r12vrr_stack+104281, r12vrr_stack+115441, r12vrr_stack+25939, r12vrr_stack+289296);

 /*--- compute (k0|l0)^5 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+308431, r12vrr_stack+105226, r12vrr_stack+11884, r12vrr_stack+307486, r12vrr_stack+76039);

 /*--- compute (l0|l0)^4 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+300394, r12vrr_stack+309691, r12vrr_stack+25084, r12vrr_stack+233668, r12vrr_stack+308431, r12vrr_stack+160119);

 /*--- compute (m0|l0)^3 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+158895, r12vrr_stack+311311, r12vrr_stack+300394, r12vrr_stack+234928, r12vrr_stack+309691, r12vrr_stack+83059);

 /*--- compute (n0|l0)^2 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+307486, r12vrr_stack+168115, r12vrr_stack+158895, r12vrr_stack+116116, r12vrr_stack+311311, r12vrr_stack+43501);

 /*--- compute (o0|l0)^1 ---*/
 am[0] = 11;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+114586, r12vrr_stack+313336, r12vrr_stack+307486, r12vrr_stack+236548, r12vrr_stack+168115, r12vrr_stack+63169);

 /*--- compute (q0|l0)^0 ---*/
 am[0] = 12;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+233668, r12vrr_stack+316306, r12vrr_stack+114586, r12vrr_stack+118141, r12vrr_stack+313336, r12vrr_stack+210940);
 tmp = r12vrr_stack + 233668;
 target_ptr = Libr12->gvrr_classes[12][8];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^11 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+210940, r12vrr_stack+71822, r12vrr_stack+108224, NULL, NULL, r12vrr_stack+19459);

 /*--- compute (d0|m0)^10 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+211105, r12vrr_stack+37000, r12vrr_stack+210940, r12vrr_stack+48825, r12vrr_stack+71822, r12vrr_stack+19288);

 /*--- compute (f0|m0)^9 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+211435, r12vrr_stack+41950, r12vrr_stack+211105, r12vrr_stack+1759, r12vrr_stack+37000, r12vrr_stack+220516);

 /*--- compute (g0|m0)^8 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+211985, r12vrr_stack+37165, r12vrr_stack+211435, r12vrr_stack+58483, r12vrr_stack+41950, r12vrr_stack+220786);

 /*--- compute (h0|m0)^7 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+212810, r12vrr_stack+37715, r12vrr_stack+211985, r12vrr_stack+13283, r12vrr_stack+37165, r12vrr_stack+221236);

 /*--- compute (i0|m0)^6 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+220516, r12vrr_stack+170590, r12vrr_stack+212810, r12vrr_stack+239023, r12vrr_stack+37715, r12vrr_stack+104281);

 /*--- compute (k0|m0)^5 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+38540, r12vrr_stack+220516, r12vrr_stack+239848, r12vrr_stack+170590, r12vrr_stack+105226);

 /*--- compute (l0|m0)^4 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+104281, r12vrr_stack+319816, r12vrr_stack+63169, r12vrr_stack+241003, r12vrr_stack+38540, r12vrr_stack+25084);

 /*--- compute (m0|m0)^3 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+321796, r12vrr_stack+104281, r12vrr_stack+242543, r12vrr_stack+319816, r12vrr_stack+300394);

 /*--- compute (n0|m0)^2 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+300394, r12vrr_stack+175090, r12vrr_stack+37000, r12vrr_stack+244523, r12vrr_stack+321796, r12vrr_stack+158895);

 /*--- compute (o0|m0)^1 ---*/
 am[0] = 11;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+158895, r12vrr_stack+324271, r12vrr_stack+300394, r12vrr_stack+123415, r12vrr_stack+175090, r12vrr_stack+307486);

 /*--- compute (q0|m0)^0 ---*/
 am[0] = 12;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+307486, r12vrr_stack+327901, r12vrr_stack+158895, r12vrr_stack+246998, r12vrr_stack+324271, r12vrr_stack+114586);
 tmp = r12vrr_stack + 307486;
 target_ptr = Libr12->gvrr_classes[12][9];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^11 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+114586, r12vrr_stack+60425, r12vrr_stack+68917, NULL, NULL, r12vrr_stack+108224);

 /*--- compute (d0|n0)^10 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+65149, r12vrr_stack+51575, r12vrr_stack+114586, r12vrr_stack+71877, r12vrr_stack+60425, r12vrr_stack+210940);

 /*--- compute (f0|n0)^9 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+114784, r12vrr_stack+51773, r12vrr_stack+65149, r12vrr_stack+126440, r12vrr_stack+51575, r12vrr_stack+211105);

 /*--- compute (g0|n0)^8 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+115444, r12vrr_stack+52169, r12vrr_stack+114784, r12vrr_stack+126638, r12vrr_stack+51773, r12vrr_stack+211435);

 /*--- compute (h0|n0)^7 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+116434, r12vrr_stack+52829, r12vrr_stack+115444, r12vrr_stack+127034, r12vrr_stack+52169, r12vrr_stack+211985);

 /*--- compute (i0|n0)^6 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+210940, r12vrr_stack+178115, r12vrr_stack+116434, r12vrr_stack+127694, r12vrr_stack+52829, r12vrr_stack+212810);

 /*--- compute (k0|n0)^5 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+332191, r12vrr_stack+210940, r12vrr_stack+33175, r12vrr_stack+178115, r12vrr_stack+220516);

 /*--- compute (l0|n0)^4 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+312491, r12vrr_stack+334039, r12vrr_stack+51575, r12vrr_stack+250628, r12vrr_stack+332191, r12vrr_stack+63169);

 /*--- compute (m0|n0)^3 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+175090, r12vrr_stack+336415, r12vrr_stack+312491, r12vrr_stack+252476, r12vrr_stack+334039, r12vrr_stack+104281);

 /*--- compute (n0|n0)^2 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+123415, r12vrr_stack+183615, r12vrr_stack+175090, r12vrr_stack+254852, r12vrr_stack+336415, r12vrr_stack+37000);

 /*--- compute (o0|n0)^1 ---*/
 am[0] = 11;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+332191, r12vrr_stack+339385, r12vrr_stack+123415, r12vrr_stack+128684, r12vrr_stack+183615, r12vrr_stack+300394);

 /*--- compute (q0|n0)^0 ---*/
 am[0] = 12;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+250628, r12vrr_stack+343741, r12vrr_stack+332191, r12vrr_stack+257822, r12vrr_stack+339385, r12vrr_stack+158895);
 tmp = r12vrr_stack + 250628;
 target_ptr = Libr12->gvrr_classes[12][10];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^22 ---*/
 _BUILD_00p0(Data,r12vrr_stack+158895, Data->F+22, Data->F+23, NULL, NULL, NULL);

 /*--- compute (00|d0)^21 ---*/
 _BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+6, r12vrr_stack+158895, Data->F+21, Data->F+22, NULL);

 /*--- compute (00|f0)^20 ---*/
 _BUILD_00f0(Data,r12vrr_stack+158895, r12vrr_stack+81, r12vrr_stack+0, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^19 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+68779, r12vrr_stack+158895, r12vrr_stack+19810, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^18 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+3103, r12vrr_stack+0, r12vrr_stack+1488, r12vrr_stack+68779, NULL);

 /*--- compute (00|i0)^17 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+13262, r12vrr_stack+5862, r12vrr_stack+2245, r12vrr_stack+3103, NULL);

 /*--- compute (00|k0)^16 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23284, r12vrr_stack+68789, r12vrr_stack+0, r12vrr_stack+19816, r12vrr_stack+13262, NULL);

 /*--- compute (00|l0)^15 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+11128, r12vrr_stack+23284, r12vrr_stack+19837, r12vrr_stack+68789, NULL);

 /*--- compute (00|m0)^14 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+68817, r12vrr_stack+0, r12vrr_stack+19423, r12vrr_stack+11128, NULL);

 /*--- compute (00|n0)^13 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+158895, r12vrr_stack+68862, r12vrr_stack+19810, r12vrr_stack+31354, r12vrr_stack+68817, NULL);

 /*--- compute (00|o0)^12 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+68917, r12vrr_stack+158895, r12vrr_stack+108224, r12vrr_stack+68862, NULL);

 /*--- compute (p0|o0)^11 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+158895, r12vrr_stack+68983, r12vrr_stack+68779, NULL, NULL, r12vrr_stack+68917);

 /*--- compute (d0|o0)^10 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+159129, r12vrr_stack+69061, r12vrr_stack+158895, r12vrr_stack+19865, r12vrr_stack+68983, r12vrr_stack+114586);

 /*--- compute (f0|o0)^9 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+159597, r12vrr_stack+69295, r12vrr_stack+159129, r12vrr_stack+34561, r12vrr_stack+69061, r12vrr_stack+65149);

 /*--- compute (g0|o0)^8 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+160377, r12vrr_stack+69763, r12vrr_stack+159597, r12vrr_stack+19943, r12vrr_stack+69295, r12vrr_stack+114784);

 /*--- compute (h0|o0)^7 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+161547, r12vrr_stack+70543, r12vrr_stack+160377, r12vrr_stack+132314, r12vrr_stack+69763, r12vrr_stack+115444);

 /*--- compute (i0|o0)^6 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+158895, r12vrr_stack+187245, r12vrr_stack+161547, r12vrr_stack+133094, r12vrr_stack+70543, r12vrr_stack+116434);

 /*--- compute (k0|o0)^5 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+348889, r12vrr_stack+158895, r12vrr_stack+262178, r12vrr_stack+187245, r12vrr_stack+210940);

 /*--- compute (l0|o0)^4 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+210940, r12vrr_stack+351073, r12vrr_stack+83059, r12vrr_stack+263816, r12vrr_stack+348889, r12vrr_stack+51575);

 /*--- compute (m0|o0)^3 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+158895, r12vrr_stack+353881, r12vrr_stack+210940, r12vrr_stack+266000, r12vrr_stack+351073, r12vrr_stack+312491);

 /*--- compute (n0|o0)^2 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+262178, r12vrr_stack+193845, r12vrr_stack+158895, r12vrr_stack+268808, r12vrr_stack+353881, r12vrr_stack+175090);

 /*--- compute (o0|o0)^1 ---*/
 am[0] = 11;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+158895, r12vrr_stack+357391, r12vrr_stack+262178, r12vrr_stack+138485, r12vrr_stack+193845, r12vrr_stack+123415);

 /*--- compute (q0|o0)^0 ---*/
 am[0] = 12;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+123415, r12vrr_stack+362539, r12vrr_stack+158895, r12vrr_stack+272318, r12vrr_stack+357391, r12vrr_stack+332191);

 /*--- compute (00|q0)^11 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+332191, r12vrr_stack+68983, r12vrr_stack+68779, r12vrr_stack+60425, r12vrr_stack+68917, NULL);

 /*--- compute (p0|q0)^10 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+3090, r12vrr_stack+155528, r12vrr_stack+332191, NULL, NULL, r12vrr_stack+68983);

 /*--- compute (d0|q0)^9 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+332191, r12vrr_stack+89689, r12vrr_stack+3090, r12vrr_stack+142775, r12vrr_stack+155528, r12vrr_stack+69061);

 /*--- compute (f0|q0)^8 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+332737, r12vrr_stack+89962, r12vrr_stack+332191, r12vrr_stack+142866, r12vrr_stack+89689, r12vrr_stack+69295);

 /*--- compute (g0|q0)^7 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+333647, r12vrr_stack+90508, r12vrr_stack+332737, r12vrr_stack+143139, r12vrr_stack+89962, r12vrr_stack+69763);

 /*--- compute (h0|q0)^6 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+335012, r12vrr_stack+91418, r12vrr_stack+333647, r12vrr_stack+143685, r12vrr_stack+90508, r12vrr_stack+70543);

 /*--- compute (i0|q0)^5 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+332191, r12vrr_stack+198135, r12vrr_stack+335012, r12vrr_stack+144595, r12vrr_stack+91418, r12vrr_stack+187245);

 /*--- compute (k0|q0)^4 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+368623, r12vrr_stack+332191, r12vrr_stack+277466, r12vrr_stack+198135, r12vrr_stack+348889);

 /*--- compute (l0|q0)^3 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+210940, r12vrr_stack+371171, r12vrr_stack+89689, r12vrr_stack+279377, r12vrr_stack+368623, r12vrr_stack+351073);

 /*--- compute (m0|q0)^2 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+374447, r12vrr_stack+210940, r12vrr_stack+281925, r12vrr_stack+371171, r12vrr_stack+353881);

 /*--- compute (n0|q0)^1 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+348889, r12vrr_stack+205935, r12vrr_stack+89689, r12vrr_stack+285201, r12vrr_stack+374447, r12vrr_stack+193845);

 /*--- compute (o0|q0)^0 ---*/
 am[0] = 11;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+193845, r12vrr_stack+378542, r12vrr_stack+348889, r12vrr_stack+149795, r12vrr_stack+205935, r12vrr_stack+357391);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+205935, &(Data->ss_r12_ss), NULL, r12vrr_stack+1245, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+205938, r12vrr_stack+205935, &(Data->ss_r12_ss), r12vrr_stack+54, r12vrr_stack+1245, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+205944, r12vrr_stack+205938, r12vrr_stack+205935, r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+1245, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+205954, r12vrr_stack+205944, r12vrr_stack+205938, r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+54, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+5862, r12vrr_stack+205954, r12vrr_stack+205944, r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+420, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+205969, r12vrr_stack+5862, r12vrr_stack+205954, r12vrr_stack+2978, r12vrr_stack+1263, r12vrr_stack+1248, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+205997, r12vrr_stack+205969, NULL, r12vrr_stack+3006, r12vrr_stack+2978, NULL, r12vrr_stack+1263);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+206081, r12vrr_stack+205997, r12vrr_stack+205969, r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+2978, r12vrr_stack+4203);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+206249, r12vrr_stack+206081, r12vrr_stack+205997, r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+4266);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+206529, r12vrr_stack+206249, r12vrr_stack+206081, r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+4392);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+206949, r12vrr_stack+206529, r12vrr_stack+206249, r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+4602);

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+207537, r12vrr_stack+206949, r12vrr_stack+206529, r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+5883);
 tmp = r12vrr_stack + 207537;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+208321, r12vrr_stack+207537, r12vrr_stack+206949, r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+6324);
 tmp = r12vrr_stack + 208321;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||i0)^0 ---*/
 _R_BUILD_l0i0(Data,r12vrr_stack+205997, r12vrr_stack+208321, r12vrr_stack+207537, r12vrr_stack+113326, r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+10372);
 tmp = r12vrr_stack + 205997;
 target_ptr = Libr12->rvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+209329, r12vrr_stack+205997, r12vrr_stack+208321, r12vrr_stack+15524, r12vrr_stack+113326, r12vrr_stack+18100, r12vrr_stack+4917);
 tmp = r12vrr_stack + 209329;
 target_ptr = Libr12->rvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+207257, r12vrr_stack+209329, r12vrr_stack+205997, r12vrr_stack+222784, r12vrr_stack+15524, r12vrr_stack+113326, r12vrr_stack+99850);
 tmp = r12vrr_stack + 207257;
 target_ptr = Libr12->rvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+11128, r12vrr_stack+205969, r12vrr_stack+5862, r12vrr_stack+11164, r12vrr_stack+2978, r12vrr_stack+1263, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+5862, r12vrr_stack+11128, NULL, r12vrr_stack+11200, r12vrr_stack+11164, NULL, r12vrr_stack+2978);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+5970, r12vrr_stack+5862, r12vrr_stack+11128, r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+11164, r12vrr_stack+3006);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+205997, r12vrr_stack+5970, r12vrr_stack+5862, r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+3363);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+3006, r12vrr_stack+205997, r12vrr_stack+5970, r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+14236);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+3546, r12vrr_stack+3006, r12vrr_stack+205997, r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+14516);

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+205997, r12vrr_stack+3546, r12vrr_stack+3006, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+14936);
 tmp = r12vrr_stack + 205997;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+210869, r12vrr_stack+205997, r12vrr_stack+3546, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+17316);
 tmp = r12vrr_stack + 210869;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||k0)^0 ---*/
 _R_BUILD_l0k0(Data,r12vrr_stack+33175, r12vrr_stack+210869, r12vrr_stack+205997, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+18100);
 tmp = r12vrr_stack + 33175;
 target_ptr = Libr12->rvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+212165, r12vrr_stack+33175, r12vrr_stack+210869, r12vrr_stack+166135, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+113326);
 tmp = r12vrr_stack + 212165;
 target_ptr = Libr12->rvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+212165, r12vrr_stack+33175, r12vrr_stack+231292, r12vrr_stack+166135, r12vrr_stack+21664, r12vrr_stack+15524);
 tmp = r12vrr_stack + 63169;
 target_ptr = Libr12->rvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+33175, r12vrr_stack+11128, r12vrr_stack+205969, r12vrr_stack+19108, r12vrr_stack+11164, r12vrr_stack+2978, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+33220, r12vrr_stack+33175, NULL, r12vrr_stack+19153, r12vrr_stack+19108, NULL, r12vrr_stack+11164);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+33355, r12vrr_stack+33220, r12vrr_stack+33175, r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+19108, r12vrr_stack+11200);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+33625, r12vrr_stack+33355, r12vrr_stack+33220, r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+11308);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+34075, r12vrr_stack+33625, r12vrr_stack+33355, r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+11524);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+11200, r12vrr_stack+34075, r12vrr_stack+33625, r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+21124);

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+12145, r12vrr_stack+11200, r12vrr_stack+34075, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+23320);
 tmp = r12vrr_stack + 12145;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+348889, r12vrr_stack+12145, r12vrr_stack+11200, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+24076);
 tmp = r12vrr_stack + 348889;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||l0)^0 ---*/
 _R_BUILD_l0l0(Data,r12vrr_stack+350509, r12vrr_stack+348889, r12vrr_stack+12145, r12vrr_stack+121390, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+27964);
 tmp = r12vrr_stack + 350509;
 target_ptr = Libr12->rvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11200, r12vrr_stack+350509, r12vrr_stack+348889, r12vrr_stack+172615, r12vrr_stack+121390, r12vrr_stack+40330, r12vrr_stack+21664);
 tmp = r12vrr_stack + 11200;
 target_ptr = Libr12->rvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+352534, r12vrr_stack+11200, r12vrr_stack+350509, r12vrr_stack+118141, r12vrr_stack+172615, r12vrr_stack+121390, r12vrr_stack+166135);
 tmp = r12vrr_stack + 352534;
 target_ptr = Libr12->rvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+33175, r12vrr_stack+11128, r12vrr_stack+30205, r12vrr_stack+19108, r12vrr_stack+11164, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+348889, r12vrr_stack+48825, NULL, r12vrr_stack+30260, r12vrr_stack+30205, NULL, r12vrr_stack+19108);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+348889, r12vrr_stack+48825, r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+30205, r12vrr_stack+19153);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+349054, r12vrr_stack+41950, r12vrr_stack+348889, r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+19540);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+349054, r12vrr_stack+41950, r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+32050);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19978, r12vrr_stack+19153, r12vrr_stack+349054, r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+32500);

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+348889, r12vrr_stack+19978, r12vrr_stack+19153, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+34795);
 tmp = r12vrr_stack + 348889;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+350429, r12vrr_stack+348889, r12vrr_stack+19978, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+35740);
 tmp = r12vrr_stack + 350429;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+350429, r12vrr_stack+348889, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+40330);
 tmp = r12vrr_stack + 19153;
 target_ptr = Libr12->rvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+355504, r12vrr_stack+19153, r12vrr_stack+350429, r12vrr_stack+180590, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+121390);
 tmp = r12vrr_stack + 355504;
 target_ptr = Libr12->rvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+348889, r12vrr_stack+355504, r12vrr_stack+19153, r12vrr_stack+246998, r12vrr_stack+180590, r12vrr_stack+46350, r12vrr_stack+172615);
 tmp = r12vrr_stack + 348889;
 target_ptr = Libr12->rvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+48825, r12vrr_stack+33175, r12vrr_stack+42280, r12vrr_stack+30205, r12vrr_stack+19108, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19219, r12vrr_stack+19153, NULL, r12vrr_stack+42346, r12vrr_stack+42280, NULL, r12vrr_stack+30205);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19417, r12vrr_stack+19219, r12vrr_stack+19153, r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+42280, r12vrr_stack+30260);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19813, r12vrr_stack+19417, r12vrr_stack+19219, r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+30425);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+19813, r12vrr_stack+19417, r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+29370);

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31250, r12vrr_stack+30260, r12vrr_stack+19813, r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+45525);

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19219, r12vrr_stack+31250, r12vrr_stack+30260, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+48880);
 tmp = r12vrr_stack + 19219;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+358529, r12vrr_stack+19219, r12vrr_stack+31250, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+50035);
 tmp = r12vrr_stack + 358529;
 target_ptr = Libr12->rvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+358529, r12vrr_stack+19219, r12vrr_stack+135515, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+55645);
 tmp = r12vrr_stack + 30260;
 target_ptr = Libr12->rvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+30260, r12vrr_stack+358529, r12vrr_stack+190215, r12vrr_stack+135515, r12vrr_stack+73663, r12vrr_stack+46350);
 tmp = r12vrr_stack + 89689;
 target_ptr = Libr12->rvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+368623, r12vrr_stack+89689, r12vrr_stack+30260, r12vrr_stack+257822, r12vrr_stack+190215, r12vrr_stack+135515, r12vrr_stack+180590);
 tmp = r12vrr_stack + 368623;
 target_ptr = Libr12->rvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+19153, r12vrr_stack+48825, r12vrr_stack+58813, r12vrr_stack+42280, r12vrr_stack+30205, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30338, r12vrr_stack+30260, NULL, r12vrr_stack+58891, r12vrr_stack+58813, NULL, r12vrr_stack+42280);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30572, r12vrr_stack+30338, r12vrr_stack+30260, r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+58813, r12vrr_stack+42346);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31040, r12vrr_stack+30572, r12vrr_stack+30338, r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+43105);

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31820, r12vrr_stack+31040, r12vrr_stack+30572, r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+61519);

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+32990, r12vrr_stack+31820, r12vrr_stack+31040, r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+62179);

 /*--- compute (i0||o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+358529, r12vrr_stack+32990, r12vrr_stack+31820, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+65545);
 tmp = r12vrr_stack + 358529;
 target_ptr = Libr12->rvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+358529, r12vrr_stack+32990, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+66931);
 tmp = r12vrr_stack + 41950;
 target_ptr = Libr12->rvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+372979, r12vrr_stack+41950, r12vrr_stack+358529, r12vrr_stack+146285, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+73663);
 tmp = r12vrr_stack + 372979;
 target_ptr = Libr12->rvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+277466, r12vrr_stack+372979, r12vrr_stack+41950, r12vrr_stack+201645, r12vrr_stack+146285, r12vrr_stack+95461, r12vrr_stack+135515);
 tmp = r12vrr_stack + 277466;
 target_ptr = Libr12->rvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+281756, r12vrr_stack+277466, r12vrr_stack+372979, r12vrr_stack+272318, r12vrr_stack+201645, r12vrr_stack+146285, r12vrr_stack+190215);
 tmp = r12vrr_stack + 281756;
 target_ptr = Libr12->rvrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+372979, r12vrr_stack+17316, r12vrr_stack+24076, r12vrr_stack+18100, r12vrr_stack+10372, r12vrr_stack+6324);
 tmp = r12vrr_stack + 372979;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+373763, r12vrr_stack+24076, r12vrr_stack+35740, r12vrr_stack+27964, r12vrr_stack+18100, r12vrr_stack+17316);
 tmp = r12vrr_stack + 373763;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+374771, r12vrr_stack+35740, r12vrr_stack+50035, r12vrr_stack+40330, r12vrr_stack+27964, r12vrr_stack+24076);
 tmp = r12vrr_stack + 374771;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+376031, r12vrr_stack+50035, r12vrr_stack+66931, r12vrr_stack+55645, r12vrr_stack+40330, r12vrr_stack+35740);
 tmp = r12vrr_stack + 376031;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+41950, r12vrr_stack+66931, r12vrr_stack+87505, r12vrr_stack+73663, r12vrr_stack+55645, r12vrr_stack+50035);
 tmp = r12vrr_stack + 41950;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+43798, r12vrr_stack+87505, r12vrr_stack+77313, r12vrr_stack+95461, r12vrr_stack+73663, r12vrr_stack+66931);
 tmp = r12vrr_stack + 43798;
 target_ptr = Libr12->t2vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+358529, r12vrr_stack+18100, r12vrr_stack+27964, r12vrr_stack+113326, r12vrr_stack+4917, r12vrr_stack+10372);
 tmp = r12vrr_stack + 358529;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+210869, r12vrr_stack+27964, r12vrr_stack+40330, r12vrr_stack+21664, r12vrr_stack+113326, r12vrr_stack+18100);
 tmp = r12vrr_stack + 210869;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+359537, r12vrr_stack+40330, r12vrr_stack+55645, r12vrr_stack+121390, r12vrr_stack+21664, r12vrr_stack+27964);
 tmp = r12vrr_stack + 359537;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+19108, r12vrr_stack+55645, r12vrr_stack+73663, r12vrr_stack+46350, r12vrr_stack+121390, r12vrr_stack+40330);
 tmp = r12vrr_stack + 19108;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5862, r12vrr_stack+73663, r12vrr_stack+95461, r12vrr_stack+135515, r12vrr_stack+46350, r12vrr_stack+55645);
 tmp = r12vrr_stack + 5862;
 target_ptr = Libr12->t2vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+8238, r12vrr_stack+95461, r12vrr_stack+155619, r12vrr_stack+146285, r12vrr_stack+135515, r12vrr_stack+73663);
 tmp = r12vrr_stack + 8238;
 target_ptr = Libr12->t2vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+361157, r12vrr_stack+113326, r12vrr_stack+21664, r12vrr_stack+15524, r12vrr_stack+99850, r12vrr_stack+4917);
 tmp = r12vrr_stack + 361157;
 target_ptr = Libr12->t2vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+93319, r12vrr_stack+21664, r12vrr_stack+121390, r12vrr_stack+166135, r12vrr_stack+15524, r12vrr_stack+113326);
 tmp = r12vrr_stack + 93319;
 target_ptr = Libr12->t2vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+286904, r12vrr_stack+121390, r12vrr_stack+46350, r12vrr_stack+172615, r12vrr_stack+166135, r12vrr_stack+21664);
 tmp = r12vrr_stack + 286904;
 target_ptr = Libr12->t2vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+332191, r12vrr_stack+46350, r12vrr_stack+135515, r12vrr_stack+180590, r12vrr_stack+172615, r12vrr_stack+121390);
 tmp = r12vrr_stack + 332191;
 target_ptr = Libr12->t2vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+334666, r12vrr_stack+135515, r12vrr_stack+146285, r12vrr_stack+190215, r12vrr_stack+180590, r12vrr_stack+46350);
 tmp = r12vrr_stack + 334666;
 target_ptr = Libr12->t2vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+337636, r12vrr_stack+146285, r12vrr_stack+215035, r12vrr_stack+201645, r12vrr_stack+190215, r12vrr_stack+135515);
 tmp = r12vrr_stack + 337636;
 target_ptr = Libr12->t2vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+341146, r12vrr_stack+15524, r12vrr_stack+166135, r12vrr_stack+222784, r12vrr_stack+219130, r12vrr_stack+99850);
 tmp = r12vrr_stack + 341146;
 target_ptr = Libr12->t2vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+68779, r12vrr_stack+166135, r12vrr_stack+172615, r12vrr_stack+231292, r12vrr_stack+222784, r12vrr_stack+15524);
 tmp = r12vrr_stack + 68779;
 target_ptr = Libr12->t2vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+70759, r12vrr_stack+172615, r12vrr_stack+180590, r12vrr_stack+118141, r12vrr_stack+231292, r12vrr_stack+166135);
 tmp = r12vrr_stack + 70759;
 target_ptr = Libr12->t2vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+158895, r12vrr_stack+180590, r12vrr_stack+190215, r12vrr_stack+246998, r12vrr_stack+118141, r12vrr_stack+172615);
 tmp = r12vrr_stack + 158895;
 target_ptr = Libr12->t2vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+161920, r12vrr_stack+190215, r12vrr_stack+201645, r12vrr_stack+257822, r12vrr_stack+246998, r12vrr_stack+180590);
 tmp = r12vrr_stack + 161920;
 target_ptr = Libr12->t2vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+130513, r12vrr_stack+201645, r12vrr_stack+149795, r12vrr_stack+272318, r12vrr_stack+257822, r12vrr_stack+190215);
 tmp = r12vrr_stack + 130513;
 target_ptr = Libr12->t2vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+138485, r12vrr_stack+222784, r12vrr_stack+231292, r12vrr_stack+298210, r12vrr_stack+293772, r12vrr_stack+219130);
 tmp = r12vrr_stack + 138485;
 target_ptr = Libr12->t2vrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+140333, r12vrr_stack+231292, r12vrr_stack+118141, r12vrr_stack+304678, r12vrr_stack+298210, r12vrr_stack+222784);
 tmp = r12vrr_stack + 140333;
 target_ptr = Libr12->t2vrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+142709, r12vrr_stack+118141, r12vrr_stack+246998, r12vrr_stack+316306, r12vrr_stack+304678, r12vrr_stack+231292);
 tmp = r12vrr_stack + 142709;
 target_ptr = Libr12->t2vrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+262178, r12vrr_stack+246998, r12vrr_stack+257822, r12vrr_stack+327901, r12vrr_stack+316306, r12vrr_stack+118141);
 tmp = r12vrr_stack + 262178;
 target_ptr = Libr12->t2vrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+265808, r12vrr_stack+257822, r12vrr_stack+272318, r12vrr_stack+343741, r12vrr_stack+327901, r12vrr_stack+246998);
 tmp = r12vrr_stack + 265808;
 target_ptr = Libr12->t2vrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+175090, r12vrr_stack+272318, r12vrr_stack+378542, r12vrr_stack+362539, r12vrr_stack+343741, r12vrr_stack+257822);
 tmp = r12vrr_stack + 175090;
 target_ptr = Libr12->t2vrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+312491, r12vrr_stack+298210, r12vrr_stack+304678, r12vrr_stack+295410, r12vrr_stack+290052, r12vrr_stack+293772);
 tmp = r12vrr_stack + 312491;
 target_ptr = Libr12->t2vrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+288929, r12vrr_stack+304678, r12vrr_stack+316306, r12vrr_stack+101005, r12vrr_stack+295410, r12vrr_stack+298210);
 tmp = r12vrr_stack + 288929;
 target_ptr = Libr12->t2vrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+291737, r12vrr_stack+316306, r12vrr_stack+327901, r12vrr_stack+233668, r12vrr_stack+101005, r12vrr_stack+304678);
 tmp = r12vrr_stack + 291737;
 target_ptr = Libr12->t2vrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+327901, r12vrr_stack+343741, r12vrr_stack+307486, r12vrr_stack+233668, r12vrr_stack+316306);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+183615, r12vrr_stack+343741, r12vrr_stack+362539, r12vrr_stack+250628, r12vrr_stack+307486, r12vrr_stack+327901);
 tmp = r12vrr_stack + 183615;
 target_ptr = Libr12->t2vrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+319816, r12vrr_stack+362539, r12vrr_stack+193845, r12vrr_stack+123415, r12vrr_stack+250628, r12vrr_stack+343741);
 tmp = r12vrr_stack + 319816;
 target_ptr = Libr12->t2vrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+377571, r12vrr_stack+17316, r12vrr_stack+18100, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+14936);
 tmp = r12vrr_stack + 377571;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+13675, r12vrr_stack+24076, r12vrr_stack+27964, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+23320);
 tmp = r12vrr_stack + 13675;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+205935, r12vrr_stack+35740, r12vrr_stack+40330, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+34795);
 tmp = r12vrr_stack + 205935;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+270164, r12vrr_stack+50035, r12vrr_stack+55645, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+48880);
 tmp = r12vrr_stack + 270164;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+51575, r12vrr_stack+66931, r12vrr_stack+73663, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+65545);
 tmp = r12vrr_stack + 51575;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+53423, r12vrr_stack+87505, r12vrr_stack+95461, r12vrr_stack+77313, r12vrr_stack+108279, r12vrr_stack+85867);
 tmp = r12vrr_stack + 53423;
 target_ptr = Libr12->t1vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+65545, r12vrr_stack+18100, r12vrr_stack+113326, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+17316);
 tmp = r12vrr_stack + 65545;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+314675, r12vrr_stack+27964, r12vrr_stack+21664, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+24076);
 tmp = r12vrr_stack + 314675;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+114586, r12vrr_stack+40330, r12vrr_stack+121390, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+35740);
 tmp = r12vrr_stack + 114586;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+23284, r12vrr_stack+55645, r12vrr_stack+46350, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+50035);
 tmp = r12vrr_stack + 23284;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+48825, r12vrr_stack+73663, r12vrr_stack+135515, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+66931);
 tmp = r12vrr_stack + 48825;
 target_ptr = Libr12->t1vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+300394, r12vrr_stack+95461, r12vrr_stack+146285, r12vrr_stack+155619, r12vrr_stack+77313, r12vrr_stack+87505);
 tmp = r12vrr_stack + 300394;
 target_ptr = Libr12->t1vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+66553, r12vrr_stack+113326, r12vrr_stack+15524, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+18100);
 tmp = r12vrr_stack + 66553;
 target_ptr = Libr12->t1vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+116206, r12vrr_stack+21664, r12vrr_stack+166135, r12vrr_stack+121390, r12vrr_stack+40330, r12vrr_stack+27964);
 tmp = r12vrr_stack + 116206;
 target_ptr = Libr12->t1vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+25264, r12vrr_stack+121390, r12vrr_stack+172615, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+40330);
 tmp = r12vrr_stack + 25264;
 target_ptr = Libr12->t1vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+27289, r12vrr_stack+46350, r12vrr_stack+180590, r12vrr_stack+135515, r12vrr_stack+73663, r12vrr_stack+55645);
 tmp = r12vrr_stack + 27289;
 target_ptr = Libr12->t1vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+55607, r12vrr_stack+135515, r12vrr_stack+190215, r12vrr_stack+146285, r12vrr_stack+95461, r12vrr_stack+73663);
 tmp = r12vrr_stack + 55607;
 target_ptr = Libr12->t1vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+73234, r12vrr_stack+146285, r12vrr_stack+201645, r12vrr_stack+215035, r12vrr_stack+155619, r12vrr_stack+95461);
 tmp = r12vrr_stack + 73234;
 target_ptr = Libr12->t1vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+94939, r12vrr_stack+15524, r12vrr_stack+222784, r12vrr_stack+166135, r12vrr_stack+21664, r12vrr_stack+113326);
 tmp = r12vrr_stack + 94939;
 target_ptr = Libr12->t1vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+96479, r12vrr_stack+166135, r12vrr_stack+231292, r12vrr_stack+172615, r12vrr_stack+121390, r12vrr_stack+21664);
 tmp = r12vrr_stack + 96479;
 target_ptr = Libr12->t1vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+98459, r12vrr_stack+172615, r12vrr_stack+118141, r12vrr_stack+180590, r12vrr_stack+46350, r12vrr_stack+121390);
 tmp = r12vrr_stack + 98459;
 target_ptr = Libr12->t1vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+76744, r12vrr_stack+180590, r12vrr_stack+246998, r12vrr_stack+190215, r12vrr_stack+135515, r12vrr_stack+46350);
 tmp = r12vrr_stack + 76744;
 target_ptr = Libr12->t1vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+79769, r12vrr_stack+190215, r12vrr_stack+257822, r12vrr_stack+201645, r12vrr_stack+146285, r12vrr_stack+135515);
 tmp = r12vrr_stack + 79769;
 target_ptr = Libr12->t1vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+83399, r12vrr_stack+201645, r12vrr_stack+272318, r12vrr_stack+149795, r12vrr_stack+215035, r12vrr_stack+146285);
 tmp = r12vrr_stack + 83399;
 target_ptr = Libr12->t1vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+45982, r12vrr_stack+222784, r12vrr_stack+298210, r12vrr_stack+231292, r12vrr_stack+166135, r12vrr_stack+15524);
 tmp = r12vrr_stack + 45982;
 target_ptr = Libr12->t1vrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+214145, r12vrr_stack+231292, r12vrr_stack+304678, r12vrr_stack+118141, r12vrr_stack+172615, r12vrr_stack+166135);
 tmp = r12vrr_stack + 214145;
 target_ptr = Libr12->t1vrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+134803, r12vrr_stack+118141, r12vrr_stack+316306, r12vrr_stack+246998, r12vrr_stack+180590, r12vrr_stack+172615);
 tmp = r12vrr_stack + 134803;
 target_ptr = Libr12->t1vrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+145679, r12vrr_stack+246998, r12vrr_stack+327901, r12vrr_stack+257822, r12vrr_stack+190215, r12vrr_stack+180590);
 tmp = r12vrr_stack + 145679;
 target_ptr = Libr12->t1vrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+58577, r12vrr_stack+257822, r12vrr_stack+343741, r12vrr_stack+272318, r12vrr_stack+201645, r12vrr_stack+190215);
 tmp = r12vrr_stack + 58577;
 target_ptr = Libr12->t1vrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+29764, r12vrr_stack+272318, r12vrr_stack+362539, r12vrr_stack+378542, r12vrr_stack+149795, r12vrr_stack+201645);
 tmp = r12vrr_stack + 29764;
 target_ptr = Libr12->t1vrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+21088, r12vrr_stack+298210, r12vrr_stack+295410, r12vrr_stack+304678, r12vrr_stack+231292, r12vrr_stack+222784);
 tmp = r12vrr_stack + 21088;
 target_ptr = Libr12->t1vrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+295247, r12vrr_stack+304678, r12vrr_stack+101005, r12vrr_stack+316306, r12vrr_stack+118141, r12vrr_stack+231292);
 tmp = r12vrr_stack + 295247;
 target_ptr = Libr12->t1vrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+100934, r12vrr_stack+316306, r12vrr_stack+233668, r12vrr_stack+327901, r12vrr_stack+246998, r12vrr_stack+118141);
 tmp = r12vrr_stack + 100934;
 target_ptr = Libr12->t1vrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+233668, r12vrr_stack+327901, r12vrr_stack+307486, r12vrr_stack+343741, r12vrr_stack+257822, r12vrr_stack+246998);
 tmp = r12vrr_stack + 233668;
 target_ptr = Libr12->t1vrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+237958, r12vrr_stack+343741, r12vrr_stack+250628, r12vrr_stack+362539, r12vrr_stack+272318, r12vrr_stack+257822);
 tmp = r12vrr_stack + 237958;
 target_ptr = Libr12->t1vrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+250628, r12vrr_stack+362539, r12vrr_stack+123415, r12vrr_stack+193845, r12vrr_stack+378542, r12vrr_stack+272318);
 tmp = r12vrr_stack + 250628;
 target_ptr = Libr12->t1vrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+193845, r12vrr_stack+207257, r12vrr_stack+209329, r12vrr_stack+298210, r12vrr_stack+222784, r12vrr_stack+15524, r12vrr_stack+219130);
 tmp = r12vrr_stack + 193845;
 target_ptr = Libr12->rvrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+196029, r12vrr_stack+63169, r12vrr_stack+212165, r12vrr_stack+304678, r12vrr_stack+231292, r12vrr_stack+166135, r12vrr_stack+222784);
 tmp = r12vrr_stack + 196029;
 target_ptr = Libr12->rvrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+243106, r12vrr_stack+352534, r12vrr_stack+11200, r12vrr_stack+316306, r12vrr_stack+118141, r12vrr_stack+172615, r12vrr_stack+231292);
 tmp = r12vrr_stack + 243106;
 target_ptr = Libr12->rvrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+378355, r12vrr_stack+348889, r12vrr_stack+355504, r12vrr_stack+327901, r12vrr_stack+246998, r12vrr_stack+180590, r12vrr_stack+118141);
 tmp = r12vrr_stack + 378355;
 target_ptr = Libr12->rvrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+348889, r12vrr_stack+368623, r12vrr_stack+89689, r12vrr_stack+343741, r12vrr_stack+257822, r12vrr_stack+190215, r12vrr_stack+246998);
 tmp = r12vrr_stack + 348889;
 target_ptr = Libr12->rvrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+216521, r12vrr_stack+281756, r12vrr_stack+277466, r12vrr_stack+362539, r12vrr_stack+272318, r12vrr_stack+201645, r12vrr_stack+257822);
 tmp = r12vrr_stack + 216521;
 target_ptr = Libr12->rvrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];


}

