#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_ihii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+6);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+990, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+975, NULL, NULL, r12vrr_stack+274);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1110, r12vrr_stack+960, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+284);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1155, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+294);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+324);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1335, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+354);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+324, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+324, r12vrr_stack+6, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+414, r12vrr_stack+324, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+420, r12vrr_stack+81, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1485, r12vrr_stack+337, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1530, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+430);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+460);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+78, r12vrr_stack+6, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+440, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+455, r12vrr_stack+1095, r12vrr_stack+440, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+520);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1860, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+550);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2010, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+610);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2235, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+710);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2460, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+810);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2796, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2817, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+2775, r12vrr_stack+2817, NULL, NULL, r12vrr_stack+960);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2901, r12vrr_stack+2796, r12vrr_stack+2775, NULL, NULL, r12vrr_stack+975);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2964, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+990);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+990, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+327, r12vrr_stack+420, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3090, r12vrr_stack+990, r12vrr_stack+2796, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3153, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+1050);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1050, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2817, r12vrr_stack+1050, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3342, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+1110);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3468, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+1155);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3678, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+1245);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3888, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+1335);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1245, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+1245, r12vrr_stack+324, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+81, r12vrr_stack+1245, r12vrr_stack+324, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+327, r12vrr_stack+54, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+337, r12vrr_stack+420, r12vrr_stack+327, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4203, r12vrr_stack+1263, r12vrr_stack+990, NULL, NULL, r12vrr_stack+337);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4266, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1485);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4392, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1530);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4602, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+1620);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1485, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+1485, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1488, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1498, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+87, r12vrr_stack+414, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+93, r12vrr_stack+430, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1050, r12vrr_stack+1513, NULL, NULL, r12vrr_stack+440);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1597, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+455);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+1770);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5127, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+1860);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5442, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+2010);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5883, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+2235);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6324, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+2460);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1723, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+1726, r12vrr_stack+0, r12vrr_stack+1723, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1732, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1741, r12vrr_stack+12, r12vrr_stack+1732, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+1723);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1284, r12vrr_stack+30, r12vrr_stack+1741, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+1726);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1314, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+6912, r12vrr_stack+114, r12vrr_stack+1314, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+1732);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+6948, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+1741);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+7008, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+1284);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+168, r12vrr_stack+93, r12vrr_stack+430, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7098, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+1314);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+7158, r12vrr_stack+550, r12vrr_stack+7098, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+6912);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+7258, r12vrr_stack+610, r12vrr_stack+7158, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+6948);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7408, r12vrr_stack+810, r12vrr_stack+7258, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+7008);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+710, r12vrr_stack+440, r12vrr_stack+1498, NULL, NULL, r12vrr_stack+430);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7618, r12vrr_stack+455, r12vrr_stack+710, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+168);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7708, r12vrr_stack+1770, r12vrr_stack+7618, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+7098);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7858, r12vrr_stack+1860, r12vrr_stack+7708, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+7158);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8083, r12vrr_stack+2010, r12vrr_stack+7858, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+7258);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8398, r12vrr_stack+2460, r12vrr_stack+8083, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+7408);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+198, r12vrr_stack+1485, r12vrr_stack+3, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2235, r12vrr_stack+81, r12vrr_stack+198, r12vrr_stack+6, r12vrr_stack+1485, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2245, r12vrr_stack+1488, r12vrr_stack+2235, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+430, r12vrr_stack+1488, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2281, r12vrr_stack+1513, r12vrr_stack+2260, NULL, NULL, r12vrr_stack+1498);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+1534, r12vrr_stack+2281, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+710);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8818, r12vrr_stack+1597, r12vrr_stack+1110, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+7618);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9028, r12vrr_stack+4917, r12vrr_stack+8818, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+7708);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9343, r12vrr_stack+5127, r12vrr_stack+9028, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+7858);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9784, r12vrr_stack+5442, r12vrr_stack+9343, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+8083);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10372, r12vrr_stack+6324, r12vrr_stack+9784, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+8398);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2344, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+960, r12vrr_stack+1095, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2372, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+2372, r12vrr_stack+2344, NULL, NULL, r12vrr_stack+2817);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2400, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+1035, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+2400, r12vrr_stack+2372, NULL, NULL, r12vrr_stack+2775);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+1095, r12vrr_stack+440, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11212, r12vrr_stack+2344, r12vrr_stack+960, NULL, NULL, r12vrr_stack+1050);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11296, r12vrr_stack+1332, r12vrr_stack+11212, r12vrr_stack+2372, r12vrr_stack+2344, r12vrr_stack+3279);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11464, r12vrr_stack+11128, r12vrr_stack+1332, r12vrr_stack+2400, r12vrr_stack+2372, r12vrr_stack+2838);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11632, r12vrr_stack+11464, r12vrr_stack+11296, r12vrr_stack+11128, r12vrr_stack+1332, r12vrr_stack+3342);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+337, r12vrr_stack+1035, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2838, r12vrr_stack+2400, NULL, NULL, r12vrr_stack+2796);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11912, r12vrr_stack+3279, r12vrr_stack+11128, r12vrr_stack+2838, r12vrr_stack+2400, r12vrr_stack+2901);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12080, r12vrr_stack+11912, r12vrr_stack+11464, r12vrr_stack+3279, r12vrr_stack+11128, r12vrr_stack+2964);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2866, r12vrr_stack+1513, r12vrr_stack+2260, r12vrr_stack+440, r12vrr_stack+1498, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2894, r12vrr_stack+960, r12vrr_stack+2866, NULL, NULL, r12vrr_stack+1513);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12360, r12vrr_stack+11212, r12vrr_stack+2894, r12vrr_stack+2344, r12vrr_stack+960, r12vrr_stack+1534);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12528, r12vrr_stack+11296, r12vrr_stack+12360, r12vrr_stack+1332, r12vrr_stack+11212, r12vrr_stack+1597);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12808, r12vrr_stack+11632, r12vrr_stack+12528, r12vrr_stack+11464, r12vrr_stack+11296, r12vrr_stack+4917);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13228, r12vrr_stack+12080, r12vrr_stack+11632, r12vrr_stack+11912, r12vrr_stack+11464, r12vrr_stack+3468);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13648, r12vrr_stack+13228, r12vrr_stack+12808, r12vrr_stack+12080, r12vrr_stack+11632, r12vrr_stack+5127);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2978, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1248, r12vrr_stack+337, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3006, r12vrr_stack+2978, r12vrr_stack+2838, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+3279, r12vrr_stack+2978, r12vrr_stack+2838, r12vrr_stack+3090);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+11912, r12vrr_stack+3006, r12vrr_stack+3279, r12vrr_stack+3153);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+12080, r12vrr_stack+3363, r12vrr_stack+11912, r12vrr_stack+3678);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+13228, r12vrr_stack+14236, r12vrr_stack+12080, r12vrr_stack+3888);

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3090, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+3090, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3093, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+1485, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3103, r12vrr_stack+2235, r12vrr_stack+3093, r12vrr_stack+81, r12vrr_stack+198, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3118, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+1488, r12vrr_stack+2235, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3139, r12vrr_stack+2260, r12vrr_stack+3118, r12vrr_stack+1498, r12vrr_stack+2245, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3167, r12vrr_stack+2866, r12vrr_stack+3139, NULL, NULL, r12vrr_stack+2260);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3531, r12vrr_stack+2894, r12vrr_stack+3167, r12vrr_stack+960, r12vrr_stack+2866, r12vrr_stack+2281);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3699, r12vrr_stack+12360, r12vrr_stack+3531, r12vrr_stack+11212, r12vrr_stack+2894, r12vrr_stack+1110);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15524, r12vrr_stack+12528, r12vrr_stack+3699, r12vrr_stack+11296, r12vrr_stack+12360, r12vrr_stack+8818);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15944, r12vrr_stack+12808, r12vrr_stack+15524, r12vrr_stack+11632, r12vrr_stack+12528, r12vrr_stack+9028);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16532, r12vrr_stack+13648, r12vrr_stack+15944, r12vrr_stack+13228, r12vrr_stack+12808, r12vrr_stack+9343);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+13648, r12vrr_stack+14516, r12vrr_stack+13228, r12vrr_stack+5442);
 tmp = r12vrr_stack + 17316;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+16532, r12vrr_stack+14936, r12vrr_stack+13648, r12vrr_stack+9784);
 tmp = r12vrr_stack + 18100;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3979, r12vrr_stack+2372, r12vrr_stack+2344, r12vrr_stack+2775, r12vrr_stack+2817, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4015, r12vrr_stack+2400, r12vrr_stack+2372, r12vrr_stack+2796, r12vrr_stack+2775, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4051, r12vrr_stack+2344, r12vrr_stack+960, r12vrr_stack+2817, r12vrr_stack+1050, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4087, r12vrr_stack+3979, r12vrr_stack+4051, NULL, NULL, r12vrr_stack+2344);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+4015, r12vrr_stack+3979, NULL, NULL, r12vrr_stack+2372);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+264, r12vrr_stack+4087, r12vrr_stack+4015, r12vrr_stack+3979, r12vrr_stack+1332);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+2838, r12vrr_stack+2400, r12vrr_stack+990, r12vrr_stack+2796, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1368, r12vrr_stack+1332, r12vrr_stack+4015, NULL, NULL, r12vrr_stack+2400);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19324, r12vrr_stack+1368, r12vrr_stack+264, r12vrr_stack+1332, r12vrr_stack+4015, r12vrr_stack+11128);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+960, r12vrr_stack+2866, r12vrr_stack+1050, r12vrr_stack+1513, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19540, r12vrr_stack+4051, r12vrr_stack+11128, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19648, r12vrr_stack+4087, r12vrr_stack+19540, r12vrr_stack+3979, r12vrr_stack+4051, r12vrr_stack+11212);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19864, r12vrr_stack+19108, r12vrr_stack+19648, r12vrr_stack+264, r12vrr_stack+4087, r12vrr_stack+11296);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20224, r12vrr_stack+19324, r12vrr_stack+19108, r12vrr_stack+1368, r12vrr_stack+264, r12vrr_stack+11464);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20584, r12vrr_stack+20224, r12vrr_stack+19864, r12vrr_stack+19324, r12vrr_stack+19108, r12vrr_stack+11632);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11164, r12vrr_stack+2978, r12vrr_stack+2838, r12vrr_stack+1263, r12vrr_stack+990, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11200, r12vrr_stack+11164, r12vrr_stack+1332, NULL, NULL, r12vrr_stack+2838);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+1368, r12vrr_stack+11164, r12vrr_stack+1332, r12vrr_stack+3279);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+19324, r12vrr_stack+11200, r12vrr_stack+1368, r12vrr_stack+11912);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+20224, r12vrr_stack+11308, r12vrr_stack+19324, r12vrr_stack+12080);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+2866, r12vrr_stack+3139, r12vrr_stack+1513, r12vrr_stack+2260, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11920, r12vrr_stack+11128, r12vrr_stack+11884, NULL, NULL, r12vrr_stack+2866);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12028, r12vrr_stack+19540, r12vrr_stack+11920, r12vrr_stack+4051, r12vrr_stack+11128, r12vrr_stack+2894);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21664, r12vrr_stack+19648, r12vrr_stack+12028, r12vrr_stack+4087, r12vrr_stack+19540, r12vrr_stack+12360);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22024, r12vrr_stack+19864, r12vrr_stack+21664, r12vrr_stack+19108, r12vrr_stack+19648, r12vrr_stack+12528);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22564, r12vrr_stack+20584, r12vrr_stack+22024, r12vrr_stack+20224, r12vrr_stack+19864, r12vrr_stack+12808);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+20584, r12vrr_stack+11524, r12vrr_stack+20224, r12vrr_stack+13228);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+22564, r12vrr_stack+21124, r12vrr_stack+20584, r12vrr_stack+13648);
 tmp = r12vrr_stack + 24076;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13228, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13231, r12vrr_stack+3090, r12vrr_stack+13228, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13237, r12vrr_stack+48, r12vrr_stack+13231, r12vrr_stack+3, r12vrr_stack+3090, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13247, r12vrr_stack+3093, r12vrr_stack+13237, r12vrr_stack+198, r12vrr_stack+48, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13262, r12vrr_stack+3103, r12vrr_stack+13247, r12vrr_stack+2235, r12vrr_stack+3093, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13283, r12vrr_stack+3118, r12vrr_stack+13262, r12vrr_stack+2245, r12vrr_stack+3103, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13311, r12vrr_stack+3139, r12vrr_stack+13283, r12vrr_stack+2260, r12vrr_stack+3118, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13347, r12vrr_stack+11884, r12vrr_stack+13311, NULL, NULL, r12vrr_stack+3139);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+11920, r12vrr_stack+13347, r12vrr_stack+11128, r12vrr_stack+11884, r12vrr_stack+3167);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25300, r12vrr_stack+12028, r12vrr_stack+25084, r12vrr_stack+19540, r12vrr_stack+11920, r12vrr_stack+3531);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25660, r12vrr_stack+21664, r12vrr_stack+25300, r12vrr_stack+19648, r12vrr_stack+12028, r12vrr_stack+3699);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26200, r12vrr_stack+22024, r12vrr_stack+25660, r12vrr_stack+19864, r12vrr_stack+21664, r12vrr_stack+15524);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26956, r12vrr_stack+22564, r12vrr_stack+26200, r12vrr_stack+20584, r12vrr_stack+22024, r12vrr_stack+15944);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+26956, r12vrr_stack+23320, r12vrr_stack+22564, r12vrr_stack+16532);
 tmp = r12vrr_stack + 27964;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13455, r12vrr_stack+3979, r12vrr_stack+4051, r12vrr_stack+2372, r12vrr_stack+2344, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13500, r12vrr_stack+4015, r12vrr_stack+3979, r12vrr_stack+2400, r12vrr_stack+2372, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13545, r12vrr_stack+4051, r12vrr_stack+11128, r12vrr_stack+2344, r12vrr_stack+960, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+13455, r12vrr_stack+13545, NULL, NULL, r12vrr_stack+4051);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29395, r12vrr_stack+13500, r12vrr_stack+13455, NULL, NULL, r12vrr_stack+3979);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29530, r12vrr_stack+29395, r12vrr_stack+29260, r12vrr_stack+13500, r12vrr_stack+13455, r12vrr_stack+4087);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4087, r12vrr_stack+1332, r12vrr_stack+4015, r12vrr_stack+2838, r12vrr_stack+2400, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29800, r12vrr_stack+4087, r12vrr_stack+13500, NULL, NULL, r12vrr_stack+4015);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29935, r12vrr_stack+29800, r12vrr_stack+29395, r12vrr_stack+4087, r12vrr_stack+13500, r12vrr_stack+264);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+11128, r12vrr_stack+11884, r12vrr_stack+960, r12vrr_stack+2866, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+13545, r12vrr_stack+264, NULL, NULL, r12vrr_stack+11128);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+960, r12vrr_stack+13455, r12vrr_stack+13545, r12vrr_stack+19540);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30475, r12vrr_stack+29530, r12vrr_stack+30205, r12vrr_stack+29395, r12vrr_stack+29260, r12vrr_stack+19648);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30925, r12vrr_stack+29935, r12vrr_stack+29530, r12vrr_stack+29800, r12vrr_stack+29395, r12vrr_stack+19108);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31375, r12vrr_stack+30925, r12vrr_stack+30475, r12vrr_stack+29935, r12vrr_stack+29530, r12vrr_stack+19864);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+11164, r12vrr_stack+1332, r12vrr_stack+2978, r12vrr_stack+2838, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+19108, r12vrr_stack+4087, NULL, NULL, r12vrr_stack+1332);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+29800, r12vrr_stack+19108, r12vrr_stack+4087, r12vrr_stack+1368);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+29935, r12vrr_stack+19153, r12vrr_stack+29800, r12vrr_stack+19324);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+30925, r12vrr_stack+19540, r12vrr_stack+29935, r12vrr_stack+20224);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1368, r12vrr_stack+11884, r12vrr_stack+13311, r12vrr_stack+2866, r12vrr_stack+3139, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+264, r12vrr_stack+1368, NULL, NULL, r12vrr_stack+11884);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+960, r12vrr_stack+19288, r12vrr_stack+13545, r12vrr_stack+264, r12vrr_stack+11920);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20080, r12vrr_stack+30205, r12vrr_stack+19810, r12vrr_stack+29260, r12vrr_stack+960, r12vrr_stack+12028);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+30475, r12vrr_stack+20080, r12vrr_stack+29530, r12vrr_stack+30205, r12vrr_stack+21664);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33850, r12vrr_stack+31375, r12vrr_stack+33175, r12vrr_stack+30925, r12vrr_stack+30475, r12vrr_stack+22024);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+31375, r12vrr_stack+32050, r12vrr_stack+30925, r12vrr_stack+20584);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+33850, r12vrr_stack+32500, r12vrr_stack+31375, r12vrr_stack+22564);
 tmp = r12vrr_stack + 35740;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1413, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1416, r12vrr_stack+13228, r12vrr_stack+1413, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1422, r12vrr_stack+13231, r12vrr_stack+1416, r12vrr_stack+3090, r12vrr_stack+13228, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+13237, r12vrr_stack+1422, r12vrr_stack+48, r12vrr_stack+13231, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1432, r12vrr_stack+13247, r12vrr_stack+1095, r12vrr_stack+3093, r12vrr_stack+13237, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1453, r12vrr_stack+13262, r12vrr_stack+1432, r12vrr_stack+3103, r12vrr_stack+13247, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19423, r12vrr_stack+13283, r12vrr_stack+1453, r12vrr_stack+3118, r12vrr_stack+13262, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19459, r12vrr_stack+13311, r12vrr_stack+19423, r12vrr_stack+3139, r12vrr_stack+13283, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20530, r12vrr_stack+1368, r12vrr_stack+19459, NULL, NULL, r12vrr_stack+13311);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20665, r12vrr_stack+19288, r12vrr_stack+20530, r12vrr_stack+264, r12vrr_stack+1368, r12vrr_stack+13347);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+19810, r12vrr_stack+20665, r12vrr_stack+960, r12vrr_stack+19288, r12vrr_stack+25084);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37450, r12vrr_stack+20080, r12vrr_stack+37000, r12vrr_stack+30205, r12vrr_stack+19810, r12vrr_stack+25300);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38125, r12vrr_stack+33175, r12vrr_stack+37450, r12vrr_stack+30475, r12vrr_stack+20080, r12vrr_stack+25660);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39070, r12vrr_stack+33850, r12vrr_stack+38125, r12vrr_stack+31375, r12vrr_stack+33175, r12vrr_stack+26200);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+39070, r12vrr_stack+34795, r12vrr_stack+33850, r12vrr_stack+26956);
 tmp = r12vrr_stack + 40330;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+755, r12vrr_stack+13455, r12vrr_stack+13545, r12vrr_stack+3979, r12vrr_stack+4051, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20935, r12vrr_stack+13500, r12vrr_stack+13455, r12vrr_stack+4015, r12vrr_stack+3979, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20990, r12vrr_stack+13545, r12vrr_stack+264, r12vrr_stack+4051, r12vrr_stack+11128, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+755, r12vrr_stack+20990, NULL, NULL, r12vrr_stack+13545);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42115, r12vrr_stack+20935, r12vrr_stack+755, NULL, NULL, r12vrr_stack+13455);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42280, r12vrr_stack+42115, r12vrr_stack+41950, r12vrr_stack+20935, r12vrr_stack+755, r12vrr_stack+29260);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+4087, r12vrr_stack+13500, r12vrr_stack+1332, r12vrr_stack+4015, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42610, r12vrr_stack+29260, r12vrr_stack+20935, NULL, NULL, r12vrr_stack+13500);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42775, r12vrr_stack+42610, r12vrr_stack+42115, r12vrr_stack+29260, r12vrr_stack+20935, r12vrr_stack+29395);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29315, r12vrr_stack+264, r12vrr_stack+1368, r12vrr_stack+11128, r12vrr_stack+11884, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43105, r12vrr_stack+20990, r12vrr_stack+29315, NULL, NULL, r12vrr_stack+264);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43270, r12vrr_stack+41950, r12vrr_stack+43105, r12vrr_stack+755, r12vrr_stack+20990, r12vrr_stack+960);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43600, r12vrr_stack+42280, r12vrr_stack+43270, r12vrr_stack+42115, r12vrr_stack+41950, r12vrr_stack+30205);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44150, r12vrr_stack+42775, r12vrr_stack+42280, r12vrr_stack+42610, r12vrr_stack+42115, r12vrr_stack+29530);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44700, r12vrr_stack+44150, r12vrr_stack+43600, r12vrr_stack+42775, r12vrr_stack+42280, r12vrr_stack+30475);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+19108, r12vrr_stack+4087, r12vrr_stack+11164, r12vrr_stack+1332, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+30205, r12vrr_stack+29260, NULL, NULL, r12vrr_stack+4087);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+42610, r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+29800);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+42775, r12vrr_stack+30260, r12vrr_stack+42610, r12vrr_stack+29935);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+44150, r12vrr_stack+30425, r12vrr_stack+42775, r12vrr_stack+30925);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+1368, r12vrr_stack+19459, r12vrr_stack+11884, r12vrr_stack+13311, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30810, r12vrr_stack+29315, r12vrr_stack+30755, NULL, NULL, r12vrr_stack+1368);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30975, r12vrr_stack+43105, r12vrr_stack+30810, r12vrr_stack+20990, r12vrr_stack+29315, r12vrr_stack+19288);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46350, r12vrr_stack+43270, r12vrr_stack+30975, r12vrr_stack+41950, r12vrr_stack+43105, r12vrr_stack+19810);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46900, r12vrr_stack+43600, r12vrr_stack+46350, r12vrr_stack+42280, r12vrr_stack+43270, r12vrr_stack+20080);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+47725, r12vrr_stack+44700, r12vrr_stack+46900, r12vrr_stack+44150, r12vrr_stack+43600, r12vrr_stack+33175);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+44700, r12vrr_stack+29370, r12vrr_stack+44150, r12vrr_stack+31375);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+47725, r12vrr_stack+45525, r12vrr_stack+44700, r12vrr_stack+33850);
 tmp = r12vrr_stack + 50035;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1332, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1335, r12vrr_stack+1413, r12vrr_stack+1332, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1341, r12vrr_stack+1416, r12vrr_stack+1335, r12vrr_stack+13228, r12vrr_stack+1413, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1351, r12vrr_stack+1422, r12vrr_stack+1341, r12vrr_stack+13231, r12vrr_stack+1416, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31305, r12vrr_stack+1095, r12vrr_stack+1351, r12vrr_stack+13237, r12vrr_stack+1422, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31326, r12vrr_stack+1432, r12vrr_stack+31305, r12vrr_stack+13247, r12vrr_stack+1095, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+1453, r12vrr_stack+31326, r12vrr_stack+13262, r12vrr_stack+1432, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31354, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+13283, r12vrr_stack+1453, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31399, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+13311, r12vrr_stack+19423, NULL);

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31454, r12vrr_stack+30755, r12vrr_stack+31399, NULL, NULL, r12vrr_stack+19459);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31619, r12vrr_stack+30810, r12vrr_stack+31454, r12vrr_stack+29315, r12vrr_stack+30755, r12vrr_stack+20530);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+30975, r12vrr_stack+31619, r12vrr_stack+43105, r12vrr_stack+30810, r12vrr_stack+20665);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52125, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+43270, r12vrr_stack+30975, r12vrr_stack+37000);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52950, r12vrr_stack+46900, r12vrr_stack+52125, r12vrr_stack+43600, r12vrr_stack+46350, r12vrr_stack+37450);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+54105, r12vrr_stack+47725, r12vrr_stack+52950, r12vrr_stack+44700, r12vrr_stack+46900, r12vrr_stack+38125);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+54105, r12vrr_stack+48880, r12vrr_stack+47725, r12vrr_stack+39070);
 tmp = r12vrr_stack + 55645;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+755, r12vrr_stack+20990, r12vrr_stack+13455, r12vrr_stack+13545, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+20935, r12vrr_stack+755, r12vrr_stack+13500, r12vrr_stack+13455, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1026, r12vrr_stack+20990, r12vrr_stack+29315, r12vrr_stack+13545, r12vrr_stack+264, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+31949, r12vrr_stack+1026, NULL, NULL, r12vrr_stack+20990);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+960, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+755);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57823, r12vrr_stack+57625, r12vrr_stack+29920, r12vrr_stack+960, r12vrr_stack+31949, r12vrr_stack+41950);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+29260, r12vrr_stack+20935, r12vrr_stack+4087, r12vrr_stack+13500, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58219, r12vrr_stack+41950, r12vrr_stack+960, NULL, NULL, r12vrr_stack+20935);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58417, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+41950, r12vrr_stack+960, r12vrr_stack+42115);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42016, r12vrr_stack+29315, r12vrr_stack+30755, r12vrr_stack+264, r12vrr_stack+1368, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42082, r12vrr_stack+1026, r12vrr_stack+42016, NULL, NULL, r12vrr_stack+29315);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+42082, r12vrr_stack+31949, r12vrr_stack+1026, r12vrr_stack+43105);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59209, r12vrr_stack+57823, r12vrr_stack+58813, r12vrr_stack+57625, r12vrr_stack+29920, r12vrr_stack+43270);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59869, r12vrr_stack+58417, r12vrr_stack+57823, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+42280);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60529, r12vrr_stack+59869, r12vrr_stack+59209, r12vrr_stack+58417, r12vrr_stack+57823, r12vrr_stack+43600);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42280, r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+19108, r12vrr_stack+4087, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42346, r12vrr_stack+42280, r12vrr_stack+41950, NULL, NULL, r12vrr_stack+29260);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+58219, r12vrr_stack+42280, r12vrr_stack+41950, r12vrr_stack+42610);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+58417, r12vrr_stack+42346, r12vrr_stack+58219, r12vrr_stack+42775);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+59869, r12vrr_stack+43105, r12vrr_stack+58417, r12vrr_stack+44150);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42544, r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+1368, r12vrr_stack+19459, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42610, r12vrr_stack+42016, r12vrr_stack+42544, NULL, NULL, r12vrr_stack+30755);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+42082, r12vrr_stack+42610, r12vrr_stack+1026, r12vrr_stack+42016, r12vrr_stack+30810);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43897, r12vrr_stack+58813, r12vrr_stack+43501, r12vrr_stack+29920, r12vrr_stack+42082, r12vrr_stack+30975);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+59209, r12vrr_stack+43897, r12vrr_stack+57823, r12vrr_stack+58813, r12vrr_stack+46350);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+64159, r12vrr_stack+60529, r12vrr_stack+63169, r12vrr_stack+59869, r12vrr_stack+59209, r12vrr_stack+46900);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+60529, r12vrr_stack+61519, r12vrr_stack+59869, r12vrr_stack+44700);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+64159, r12vrr_stack+62179, r12vrr_stack+60529, r12vrr_stack+47725);
 tmp = r12vrr_stack + 66931;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13228, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+42808, r12vrr_stack+1332, r12vrr_stack+13228, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+42814, r12vrr_stack+1335, r12vrr_stack+42808, r12vrr_stack+1413, r12vrr_stack+1332, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+42824, r12vrr_stack+1341, r12vrr_stack+42814, r12vrr_stack+1416, r12vrr_stack+1335, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+42839, r12vrr_stack+1351, r12vrr_stack+42824, r12vrr_stack+1422, r12vrr_stack+1341, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+42860, r12vrr_stack+31305, r12vrr_stack+42839, r12vrr_stack+1095, r12vrr_stack+1351, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19504, r12vrr_stack+31326, r12vrr_stack+42860, r12vrr_stack+1432, r12vrr_stack+31305, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42888, r12vrr_stack+11128, r12vrr_stack+19504, r12vrr_stack+1453, r12vrr_stack+31326, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42933, r12vrr_stack+31354, r12vrr_stack+42888, r12vrr_stack+19423, r12vrr_stack+11128, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42988, r12vrr_stack+31399, r12vrr_stack+42933, r12vrr_stack+19459, r12vrr_stack+31354, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44557, r12vrr_stack+42544, r12vrr_stack+42988, NULL, NULL, r12vrr_stack+31399);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44755, r12vrr_stack+42610, r12vrr_stack+44557, r12vrr_stack+42016, r12vrr_stack+42544, r12vrr_stack+31454);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+43501, r12vrr_stack+44755, r12vrr_stack+42082, r12vrr_stack+42610, r12vrr_stack+31619);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+69439, r12vrr_stack+43897, r12vrr_stack+68779, r12vrr_stack+58813, r12vrr_stack+43501, r12vrr_stack+51575);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+70429, r12vrr_stack+63169, r12vrr_stack+69439, r12vrr_stack+59209, r12vrr_stack+43897, r12vrr_stack+52125);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71815, r12vrr_stack+64159, r12vrr_stack+70429, r12vrr_stack+60529, r12vrr_stack+63169, r12vrr_stack+52950);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+71815, r12vrr_stack+65545, r12vrr_stack+64159, r12vrr_stack+54105);
 tmp = r12vrr_stack + 73663;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+31949, r12vrr_stack+1026, r12vrr_stack+755, r12vrr_stack+20990, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45229, r12vrr_stack+960, r12vrr_stack+31949, r12vrr_stack+20935, r12vrr_stack+755, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45307, r12vrr_stack+1026, r12vrr_stack+42016, r12vrr_stack+20990, r12vrr_stack+29315, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+45151, r12vrr_stack+45307, NULL, NULL, r12vrr_stack+1026);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76273, r12vrr_stack+45229, r12vrr_stack+45151, NULL, NULL, r12vrr_stack+31949);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76507, r12vrr_stack+76273, r12vrr_stack+76039, r12vrr_stack+45229, r12vrr_stack+45151, r12vrr_stack+29920);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+41950, r12vrr_stack+960, r12vrr_stack+29260, r12vrr_stack+20935, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76975, r12vrr_stack+29920, r12vrr_stack+45229, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77209, r12vrr_stack+76975, r12vrr_stack+76273, r12vrr_stack+29920, r12vrr_stack+45229, r12vrr_stack+57625);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+42016, r12vrr_stack+42544, r12vrr_stack+29315, r12vrr_stack+30755, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77677, r12vrr_stack+45307, r12vrr_stack+57625, NULL, NULL, r12vrr_stack+42016);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77911, r12vrr_stack+76039, r12vrr_stack+77677, r12vrr_stack+45151, r12vrr_stack+45307, r12vrr_stack+42082);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78379, r12vrr_stack+76507, r12vrr_stack+77911, r12vrr_stack+76273, r12vrr_stack+76039, r12vrr_stack+58813);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79159, r12vrr_stack+77209, r12vrr_stack+76507, r12vrr_stack+76975, r12vrr_stack+76273, r12vrr_stack+57823);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79939, r12vrr_stack+79159, r12vrr_stack+78379, r12vrr_stack+77209, r12vrr_stack+76507, r12vrr_stack+59209);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58813, r12vrr_stack+42280, r12vrr_stack+41950, r12vrr_stack+30205, r12vrr_stack+29260, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58891, r12vrr_stack+58813, r12vrr_stack+29920, NULL, NULL, r12vrr_stack+41950);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+76975, r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+58219);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+77209, r12vrr_stack+58891, r12vrr_stack+76975, r12vrr_stack+58417);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+79159, r12vrr_stack+59125, r12vrr_stack+77209, r12vrr_stack+59869);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+42544, r12vrr_stack+42988, r12vrr_stack+30755, r12vrr_stack+31399, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59593, r12vrr_stack+57625, r12vrr_stack+29260, NULL, NULL, r12vrr_stack+42544);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59827, r12vrr_stack+77677, r12vrr_stack+59593, r12vrr_stack+45307, r12vrr_stack+57625, r12vrr_stack+42610);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57703, r12vrr_stack+77911, r12vrr_stack+59827, r12vrr_stack+76039, r12vrr_stack+77677, r12vrr_stack+43501);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+78379, r12vrr_stack+57703, r12vrr_stack+76507, r12vrr_stack+77911, r12vrr_stack+43897);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+84229, r12vrr_stack+79939, r12vrr_stack+83059, r12vrr_stack+79159, r12vrr_stack+78379, r12vrr_stack+63169);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+79939, r12vrr_stack+81109, r12vrr_stack+79159, r12vrr_stack+60529);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+84229, r12vrr_stack+81889, r12vrr_stack+79939, r12vrr_stack+64159);
 tmp = r12vrr_stack + 87505;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1092, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+29338, r12vrr_stack+13228, r12vrr_stack+1092, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+29344, r12vrr_stack+42808, r12vrr_stack+29338, r12vrr_stack+1332, r12vrr_stack+13228, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+29354, r12vrr_stack+42814, r12vrr_stack+29344, r12vrr_stack+1335, r12vrr_stack+42808, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60295, r12vrr_stack+42824, r12vrr_stack+29354, r12vrr_stack+1341, r12vrr_stack+42814, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+60316, r12vrr_stack+42839, r12vrr_stack+60295, r12vrr_stack+1351, r12vrr_stack+42824, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60344, r12vrr_stack+42860, r12vrr_stack+60316, r12vrr_stack+31305, r12vrr_stack+42839, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+60380, r12vrr_stack+19504, r12vrr_stack+60344, r12vrr_stack+31326, r12vrr_stack+42860, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+755, r12vrr_stack+42888, r12vrr_stack+60380, r12vrr_stack+11128, r12vrr_stack+19504, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60425, r12vrr_stack+42933, r12vrr_stack+755, r12vrr_stack+31354, r12vrr_stack+42888, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60491, r12vrr_stack+42988, r12vrr_stack+60425, r12vrr_stack+31399, r12vrr_stack+42933, NULL);

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60569, r12vrr_stack+29260, r12vrr_stack+60491, NULL, NULL, r12vrr_stack+42988);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60803, r12vrr_stack+59593, r12vrr_stack+60569, r12vrr_stack+57625, r12vrr_stack+29260, r12vrr_stack+44557);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+59827, r12vrr_stack+60803, r12vrr_stack+77677, r12vrr_stack+59593, r12vrr_stack+44755);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+90469, r12vrr_stack+57703, r12vrr_stack+89689, r12vrr_stack+77911, r12vrr_stack+59827, r12vrr_stack+68779);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+91639, r12vrr_stack+83059, r12vrr_stack+90469, r12vrr_stack+78379, r12vrr_stack+57703, r12vrr_stack+69439);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+93277, r12vrr_stack+84229, r12vrr_stack+91639, r12vrr_stack+79939, r12vrr_stack+83059, r12vrr_stack+70429);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+93277, r12vrr_stack+85867, r12vrr_stack+84229, r12vrr_stack+71815);
 tmp = r12vrr_stack + 95461;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+45151, r12vrr_stack+45307, r12vrr_stack+31949, r12vrr_stack+1026, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+61271, r12vrr_stack+45229, r12vrr_stack+45151, r12vrr_stack+960, r12vrr_stack+31949, NULL);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+45307, r12vrr_stack+57625, r12vrr_stack+1026, r12vrr_stack+42016, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+2775, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+45307);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+61271, r12vrr_stack+2775, NULL, NULL, r12vrr_stack+45151);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+98542, r12vrr_stack+98269, r12vrr_stack+58483, r12vrr_stack+61271, r12vrr_stack+2775, r12vrr_stack+76039);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+29920, r12vrr_stack+45229, r12vrr_stack+41950, r12vrr_stack+960, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99088, r12vrr_stack+76039, r12vrr_stack+61271, NULL, NULL, r12vrr_stack+45229);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99361, r12vrr_stack+99088, r12vrr_stack+98269, r12vrr_stack+76039, r12vrr_stack+61271, r12vrr_stack+76273);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+57625, r12vrr_stack+29260, r12vrr_stack+42016, r12vrr_stack+42544, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76130, r12vrr_stack+31949, r12vrr_stack+960, NULL, NULL, r12vrr_stack+57625);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99907, r12vrr_stack+58483, r12vrr_stack+76130, r12vrr_stack+2775, r12vrr_stack+31949, r12vrr_stack+77677);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+100453, r12vrr_stack+98542, r12vrr_stack+99907, r12vrr_stack+98269, r12vrr_stack+58483, r12vrr_stack+77911);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+101363, r12vrr_stack+99361, r12vrr_stack+98542, r12vrr_stack+99088, r12vrr_stack+98269, r12vrr_stack+76507);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+102273, r12vrr_stack+101363, r12vrr_stack+100453, r12vrr_stack+99361, r12vrr_stack+98542, r12vrr_stack+78379);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+77677, r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+42280, r12vrr_stack+41950, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+77677, r12vrr_stack+76039, NULL, NULL, r12vrr_stack+29920);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+77768, r12vrr_stack+41950, r12vrr_stack+99088, r12vrr_stack+77677, r12vrr_stack+76039, r12vrr_stack+76975);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+103638, r12vrr_stack+77768, r12vrr_stack+99361, r12vrr_stack+41950, r12vrr_stack+99088, r12vrr_stack+77209);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+104548, r12vrr_stack+103638, r12vrr_stack+101363, r12vrr_stack+77768, r12vrr_stack+99361, r12vrr_stack+79159);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+29260, r12vrr_stack+60491, r12vrr_stack+42544, r12vrr_stack+42988, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78405, r12vrr_stack+960, r12vrr_stack+78314, NULL, NULL, r12vrr_stack+29260);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78678, r12vrr_stack+76130, r12vrr_stack+78405, r12vrr_stack+31949, r12vrr_stack+960, r12vrr_stack+59593);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76403, r12vrr_stack+99907, r12vrr_stack+78678, r12vrr_stack+58483, r12vrr_stack+76130, r12vrr_stack+59827);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+100453, r12vrr_stack+76403, r12vrr_stack+98542, r12vrr_stack+99907, r12vrr_stack+57703);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+107278, r12vrr_stack+102273, r12vrr_stack+105913, r12vrr_stack+101363, r12vrr_stack+100453, r12vrr_stack+83059);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+109189, r12vrr_stack+104548, r12vrr_stack+102273, r12vrr_stack+103638, r12vrr_stack+101363, r12vrr_stack+79939);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+107278, r12vrr_stack+104548, r12vrr_stack+102273, r12vrr_stack+84229);
 tmp = r12vrr_stack + 111100;
 target_ptr = Libr12->gvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+42223, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+42226, r12vrr_stack+1092, r12vrr_stack+42223, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+32040, r12vrr_stack+29338, r12vrr_stack+42226, r12vrr_stack+13228, r12vrr_stack+1092, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+42232, r12vrr_stack+29344, r12vrr_stack+32040, r12vrr_stack+42808, r12vrr_stack+29338, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+42247, r12vrr_stack+29354, r12vrr_stack+42232, r12vrr_stack+42814, r12vrr_stack+29344, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+79224, r12vrr_stack+60295, r12vrr_stack+42247, r12vrr_stack+42824, r12vrr_stack+29354, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+79252, r12vrr_stack+60316, r12vrr_stack+79224, r12vrr_stack+42839, r12vrr_stack+60295, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+79288, r12vrr_stack+60344, r12vrr_stack+79252, r12vrr_stack+42860, r12vrr_stack+60316, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+79333, r12vrr_stack+60380, r12vrr_stack+79288, r12vrr_stack+19504, r12vrr_stack+60344, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+79388, r12vrr_stack+755, r12vrr_stack+79333, r12vrr_stack+42888, r12vrr_stack+60380, NULL);

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79454, r12vrr_stack+60425, r12vrr_stack+79388, r12vrr_stack+42933, r12vrr_stack+755, NULL);

 /*--- compute (00|q0)^7 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79532, r12vrr_stack+60491, r12vrr_stack+79454, r12vrr_stack+42988, r12vrr_stack+60425, NULL);

 /*--- compute (p0|q0)^6 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79623, r12vrr_stack+78314, r12vrr_stack+79532, NULL, NULL, r12vrr_stack+60491);

 /*--- compute (d0|q0)^5 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79896, r12vrr_stack+78405, r12vrr_stack+79623, r12vrr_stack+960, r12vrr_stack+78314, r12vrr_stack+60569);

 /*--- compute (f0|q0)^4 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+78678, r12vrr_stack+79896, r12vrr_stack+76130, r12vrr_stack+78405, r12vrr_stack+60803);

 /*--- compute (g0|q0)^3 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+114558, r12vrr_stack+76403, r12vrr_stack+113648, r12vrr_stack+99907, r12vrr_stack+78678, r12vrr_stack+89689);

 /*--- compute (h0|q0)^2 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+115923, r12vrr_stack+105913, r12vrr_stack+114558, r12vrr_stack+100453, r12vrr_stack+76403, r12vrr_stack+90469);

 /*--- compute (i0|q0)^1 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+117834, r12vrr_stack+107278, r12vrr_stack+115923, r12vrr_stack+102273, r12vrr_stack+105913, r12vrr_stack+91639);

 /*--- compute (k0|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+117834, r12vrr_stack+109189, r12vrr_stack+107278, r12vrr_stack+93277);
 tmp = r12vrr_stack + 120382;
 target_ptr = Libr12->gvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80442, r12vrr_stack+2775, r12vrr_stack+31949, r12vrr_stack+45151, r12vrr_stack+45307, NULL);

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80547, r12vrr_stack+61271, r12vrr_stack+2775, r12vrr_stack+45229, r12vrr_stack+45151, NULL);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80652, r12vrr_stack+31949, r12vrr_stack+960, r12vrr_stack+45307, r12vrr_stack+57625, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80757, r12vrr_stack+80442, r12vrr_stack+80652, NULL, NULL, r12vrr_stack+31949);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+77313, r12vrr_stack+80547, r12vrr_stack+80442, NULL, NULL, r12vrr_stack+2775);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+77313, r12vrr_stack+80757, r12vrr_stack+80547, r12vrr_stack+80442, r12vrr_stack+58483);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+76039, r12vrr_stack+61271, r12vrr_stack+29920, r12vrr_stack+45229, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+58483, r12vrr_stack+80547, NULL, NULL, r12vrr_stack+61271);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+124288, r12vrr_stack+45151, r12vrr_stack+77313, r12vrr_stack+58483, r12vrr_stack+80547, r12vrr_stack+98269);

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80547, r12vrr_stack+960, r12vrr_stack+78314, r12vrr_stack+57625, r12vrr_stack+29260, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+124918, r12vrr_stack+80652, r12vrr_stack+80547, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+125233, r12vrr_stack+80757, r12vrr_stack+124918, r12vrr_stack+80442, r12vrr_stack+80652, r12vrr_stack+76130);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+125863, r12vrr_stack+123658, r12vrr_stack+125233, r12vrr_stack+77313, r12vrr_stack+80757, r12vrr_stack+99907);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+126913, r12vrr_stack+124288, r12vrr_stack+123658, r12vrr_stack+45151, r12vrr_stack+77313, r12vrr_stack+98542);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+127963, r12vrr_stack+126913, r12vrr_stack+125863, r12vrr_stack+124288, r12vrr_stack+123658, r12vrr_stack+100453);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80442, r12vrr_stack+77677, r12vrr_stack+76039, r12vrr_stack+58813, r12vrr_stack+29920, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+77313, r12vrr_stack+80442, r12vrr_stack+58483, NULL, NULL, r12vrr_stack+76039);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+99907, r12vrr_stack+77313, r12vrr_stack+45151, r12vrr_stack+80442, r12vrr_stack+58483, r12vrr_stack+99088);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+99907, r12vrr_stack+124288, r12vrr_stack+77313, r12vrr_stack+45151, r12vrr_stack+99361);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+129538, r12vrr_stack+98269, r12vrr_stack+126913, r12vrr_stack+99907, r12vrr_stack+124288, r12vrr_stack+101363);

 /*--- compute (00|r0)^6 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80442, r12vrr_stack+78314, r12vrr_stack+79532, r12vrr_stack+29260, r12vrr_stack+60491, NULL);

 /*--- compute (p0|r0)^5 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+124288, r12vrr_stack+80547, r12vrr_stack+80442, NULL, NULL, r12vrr_stack+78314);

 /*--- compute (d0|r0)^4 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+99319, r12vrr_stack+124918, r12vrr_stack+124288, r12vrr_stack+80652, r12vrr_stack+80547, r12vrr_stack+78405);

 /*--- compute (f0|r0)^3 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+99949, r12vrr_stack+125233, r12vrr_stack+99319, r12vrr_stack+80757, r12vrr_stack+124918, r12vrr_stack+78678);

 /*--- compute (g0|r0)^2 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+131113, r12vrr_stack+125863, r12vrr_stack+99949, r12vrr_stack+123658, r12vrr_stack+125233, r12vrr_stack+76403);

 /*--- compute (h0|r0)^1 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+132688, r12vrr_stack+127963, r12vrr_stack+131113, r12vrr_stack+126913, r12vrr_stack+125863, r12vrr_stack+105913);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+134893, r12vrr_stack+129538, r12vrr_stack+127963, r12vrr_stack+98269, r12vrr_stack+126913, r12vrr_stack+102273);

 /*--- compute (i0|r0)^0 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+137098, r12vrr_stack+134893, r12vrr_stack+132688, r12vrr_stack+129538, r12vrr_stack+127963, r12vrr_stack+107278);
 tmp = r12vrr_stack + 137098;
 target_ptr = Libr12->gvrr_classes[6][13];
 for(i=0;i<2940;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+13228, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+129538, r12vrr_stack+1723, r12vrr_stack+13228, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+129544, r12vrr_stack+1726, r12vrr_stack+129538, r12vrr_stack+0, r12vrr_stack+1723, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1413, r12vrr_stack+105, r12vrr_stack+78, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+60, r12vrr_stack+1732, r12vrr_stack+1413, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+13228);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+129554, r12vrr_stack+1741, r12vrr_stack+60, r12vrr_stack+12, r12vrr_stack+1732, r12vrr_stack+129538);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+129584, r12vrr_stack+1284, r12vrr_stack+129554, r12vrr_stack+30, r12vrr_stack+1741, r12vrr_stack+129544);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+87, r12vrr_stack+414, NULL, NULL, r12vrr_stack+78);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+129629, r12vrr_stack+1314, r12vrr_stack+9, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+1413);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+129665, r12vrr_stack+6912, r12vrr_stack+129629, r12vrr_stack+114, r12vrr_stack+1314, r12vrr_stack+60);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+129725, r12vrr_stack+6948, r12vrr_stack+129665, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+129554);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+129815, r12vrr_stack+7008, r12vrr_stack+129725, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+129584);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+204, r12vrr_stack+430, r12vrr_stack+1488, NULL, NULL, r12vrr_stack+414);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+108, r12vrr_stack+168, r12vrr_stack+204, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+9);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+234, r12vrr_stack+7098, r12vrr_stack+108, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+129629);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+129941, r12vrr_stack+7158, r12vrr_stack+234, r12vrr_stack+550, r12vrr_stack+7098, r12vrr_stack+129665);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+130091, r12vrr_stack+7258, r12vrr_stack+129941, r12vrr_stack+610, r12vrr_stack+7158, r12vrr_stack+129725);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+130301, r12vrr_stack+7408, r12vrr_stack+130091, r12vrr_stack+810, r12vrr_stack+7258, r12vrr_stack+129815);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+810, r12vrr_stack+1498, r12vrr_stack+2245, NULL, NULL, r12vrr_stack+1488);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+855, r12vrr_stack+710, r12vrr_stack+810, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+204);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+130581, r12vrr_stack+7618, r12vrr_stack+855, r12vrr_stack+455, r12vrr_stack+710, r12vrr_stack+108);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+440, r12vrr_stack+7708, r12vrr_stack+130581, r12vrr_stack+1770, r12vrr_stack+7618, r12vrr_stack+234);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+124603, r12vrr_stack+7858, r12vrr_stack+440, r12vrr_stack+1860, r12vrr_stack+7708, r12vrr_stack+129941);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+126913, r12vrr_stack+8083, r12vrr_stack+124603, r12vrr_stack+2010, r12vrr_stack+7858, r12vrr_stack+130091);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+127333, r12vrr_stack+8398, r12vrr_stack+126913, r12vrr_stack+2460, r12vrr_stack+8083, r12vrr_stack+130301);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+945, r12vrr_stack+2260, r12vrr_stack+3118, NULL, NULL, r12vrr_stack+2245);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+130731, r12vrr_stack+2281, r12vrr_stack+945, r12vrr_stack+1513, r12vrr_stack+2260, r12vrr_stack+810);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+130857, r12vrr_stack+1110, r12vrr_stack+130731, r12vrr_stack+1534, r12vrr_stack+2281, r12vrr_stack+855);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+8818, r12vrr_stack+130857, r12vrr_stack+1597, r12vrr_stack+1110, r12vrr_stack+130581);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+98584, r12vrr_stack+9028, r12vrr_stack+98269, r12vrr_stack+4917, r12vrr_stack+8818, r12vrr_stack+440);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+9343, r12vrr_stack+98584, r12vrr_stack+5127, r12vrr_stack+9028, r12vrr_stack+124603);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+100999, r12vrr_stack+9784, r12vrr_stack+123658, r12vrr_stack+5442, r12vrr_stack+9343, r12vrr_stack+126913);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+10372, r12vrr_stack+100999, r12vrr_stack+6324, r12vrr_stack+9784, r12vrr_stack+127333);

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1008, r12vrr_stack+3139, r12vrr_stack+13283, NULL, NULL, r12vrr_stack+3118);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+3167, r12vrr_stack+1008, r12vrr_stack+2866, r12vrr_stack+3139, r12vrr_stack+945);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+99025, r12vrr_stack+3531, r12vrr_stack+1513, r12vrr_stack+2894, r12vrr_stack+3167, r12vrr_stack+130731);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+80652, r12vrr_stack+3699, r12vrr_stack+99025, r12vrr_stack+12360, r12vrr_stack+3531, r12vrr_stack+130857);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+101755, r12vrr_stack+15524, r12vrr_stack+80652, r12vrr_stack+12528, r12vrr_stack+3699, r12vrr_stack+98269);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+102343, r12vrr_stack+15944, r12vrr_stack+101755, r12vrr_stack+12808, r12vrr_stack+15524, r12vrr_stack+98584);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+140038, r12vrr_stack+16532, r12vrr_stack+102343, r12vrr_stack+13648, r12vrr_stack+15944, r12vrr_stack+123658);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+141046, r12vrr_stack+18100, r12vrr_stack+140038, r12vrr_stack+17316, r12vrr_stack+16532, r12vrr_stack+100999);
 tmp = r12vrr_stack + 141046;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+13311, r12vrr_stack+19423, NULL, NULL, r12vrr_stack+13283);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+45259, r12vrr_stack+13347, r12vrr_stack+45151, r12vrr_stack+11884, r12vrr_stack+13311, r12vrr_stack+1008);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+77313, r12vrr_stack+25084, r12vrr_stack+45259, r12vrr_stack+11920, r12vrr_stack+13347, r12vrr_stack+1513);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13455, r12vrr_stack+25300, r12vrr_stack+77313, r12vrr_stack+12028, r12vrr_stack+25084, r12vrr_stack+99025);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+25660, r12vrr_stack+13455, r12vrr_stack+21664, r12vrr_stack+25300, r12vrr_stack+80652);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+142306, r12vrr_stack+26200, r12vrr_stack+11884, r12vrr_stack+22024, r12vrr_stack+25660, r12vrr_stack+101755);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+143314, r12vrr_stack+26956, r12vrr_stack+142306, r12vrr_stack+22564, r12vrr_stack+26200, r12vrr_stack+102343);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+143314, r12vrr_stack+24076, r12vrr_stack+26956, r12vrr_stack+140038);
 tmp = r12vrr_stack + 21664;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12640, r12vrr_stack+19459, r12vrr_stack+31354, NULL, NULL, r12vrr_stack+19423);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12775, r12vrr_stack+20530, r12vrr_stack+12640, r12vrr_stack+1368, r12vrr_stack+19459, r12vrr_stack+45151);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+103127, r12vrr_stack+20665, r12vrr_stack+12775, r12vrr_stack+19288, r12vrr_stack+20530, r12vrr_stack+45259);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+144610, r12vrr_stack+37000, r12vrr_stack+103127, r12vrr_stack+19810, r12vrr_stack+20665, r12vrr_stack+77313);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+145285, r12vrr_stack+37450, r12vrr_stack+144610, r12vrr_stack+20080, r12vrr_stack+37000, r12vrr_stack+13455);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+146230, r12vrr_stack+38125, r12vrr_stack+145285, r12vrr_stack+33175, r12vrr_stack+37450, r12vrr_stack+11884);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+147490, r12vrr_stack+39070, r12vrr_stack+146230, r12vrr_stack+33850, r12vrr_stack+38125, r12vrr_stack+142306);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+147490, r12vrr_stack+35740, r12vrr_stack+39070, r12vrr_stack+143314);
 tmp = r12vrr_stack + 149110;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+31399, r12vrr_stack+42933, NULL, NULL, r12vrr_stack+31354);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+31454, r12vrr_stack+33175, r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+12640);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33340, r12vrr_stack+31619, r12vrr_stack+58483, r12vrr_stack+30810, r12vrr_stack+31454, r12vrr_stack+12775);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33890, r12vrr_stack+51575, r12vrr_stack+33340, r12vrr_stack+30975, r12vrr_stack+31619, r12vrr_stack+103127);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+151135, r12vrr_stack+52125, r12vrr_stack+33890, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+144610);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+152290, r12vrr_stack+52950, r12vrr_stack+151135, r12vrr_stack+46900, r12vrr_stack+52125, r12vrr_stack+145285);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+153830, r12vrr_stack+54105, r12vrr_stack+152290, r12vrr_stack+47725, r12vrr_stack+52950, r12vrr_stack+146230);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+153830, r12vrr_stack+50035, r12vrr_stack+54105, r12vrr_stack+147490);
 tmp = r12vrr_stack + 46350;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+42988, r12vrr_stack+60425, NULL, NULL, r12vrr_stack+42933);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+44557, r12vrr_stack+30755, r12vrr_stack+42544, r12vrr_stack+42988, r12vrr_stack+33175);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+155810, r12vrr_stack+44755, r12vrr_stack+19810, r12vrr_stack+42610, r12vrr_stack+44557, r12vrr_stack+58483);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+156470, r12vrr_stack+68779, r12vrr_stack+155810, r12vrr_stack+43501, r12vrr_stack+44755, r12vrr_stack+33340);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+157460, r12vrr_stack+69439, r12vrr_stack+156470, r12vrr_stack+43897, r12vrr_stack+68779, r12vrr_stack+33890);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+158846, r12vrr_stack+70429, r12vrr_stack+157460, r12vrr_stack+63169, r12vrr_stack+69439, r12vrr_stack+151135);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+160694, r12vrr_stack+71815, r12vrr_stack+158846, r12vrr_stack+64159, r12vrr_stack+70429, r12vrr_stack+152290);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+160694, r12vrr_stack+66931, r12vrr_stack+71815, r12vrr_stack+153830);
 tmp = r12vrr_stack + 163070;
 target_ptr = Libr12->gvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^7 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+60491, r12vrr_stack+79454, NULL, NULL, r12vrr_stack+60425);

 /*--- compute (d0|o0)^6 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63403, r12vrr_stack+60569, r12vrr_stack+63169, r12vrr_stack+29260, r12vrr_stack+60491, r12vrr_stack+30755);

 /*--- compute (f0|o0)^5 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63871, r12vrr_stack+60803, r12vrr_stack+63403, r12vrr_stack+59593, r12vrr_stack+60569, r12vrr_stack+19810);

 /*--- compute (g0|o0)^4 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+166040, r12vrr_stack+89689, r12vrr_stack+63871, r12vrr_stack+59827, r12vrr_stack+60803, r12vrr_stack+155810);

 /*--- compute (h0|o0)^3 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+167210, r12vrr_stack+90469, r12vrr_stack+166040, r12vrr_stack+57703, r12vrr_stack+89689, r12vrr_stack+156470);

 /*--- compute (i0|o0)^2 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+168848, r12vrr_stack+91639, r12vrr_stack+167210, r12vrr_stack+83059, r12vrr_stack+90469, r12vrr_stack+157460);

 /*--- compute (k0|o0)^1 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+171032, r12vrr_stack+93277, r12vrr_stack+168848, r12vrr_stack+84229, r12vrr_stack+91639, r12vrr_stack+158846);

 /*--- compute (l0|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+171032, r12vrr_stack+87505, r12vrr_stack+93277, r12vrr_stack+160694);
 tmp = r12vrr_stack + 173840;
 target_ptr = Libr12->gvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^19 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+19, Data->F+20, NULL, NULL, NULL);

 /*--- compute (00|d0)^18 ---*/
 _BUILD_00d0(Data,r12vrr_stack+83059, r12vrr_stack+42223, r12vrr_stack+0, Data->F+18, Data->F+19, NULL);

 /*--- compute (00|f0)^17 ---*/
 _BUILD_00f0(Data,r12vrr_stack+83065, r12vrr_stack+42226, r12vrr_stack+83059, r12vrr_stack+1092, r12vrr_stack+42223, NULL);

 /*--- compute (00|g0)^16 ---*/
 _BUILD_00g0(Data,r12vrr_stack+83075, r12vrr_stack+32040, r12vrr_stack+83065, r12vrr_stack+29338, r12vrr_stack+42226, NULL);

 /*--- compute (00|h0)^15 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+42232, r12vrr_stack+83075, r12vrr_stack+29344, r12vrr_stack+32040, NULL);

 /*--- compute (00|i0)^14 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+83090, r12vrr_stack+42247, r12vrr_stack+5862, r12vrr_stack+29354, r12vrr_stack+42232, NULL);

 /*--- compute (00|k0)^13 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23284, r12vrr_stack+79224, r12vrr_stack+83090, r12vrr_stack+60295, r12vrr_stack+42247, NULL);

 /*--- compute (00|l0)^12 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+665, r12vrr_stack+79252, r12vrr_stack+23284, r12vrr_stack+60316, r12vrr_stack+79224, NULL);

 /*--- compute (00|m0)^11 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+79288, r12vrr_stack+665, r12vrr_stack+60344, r12vrr_stack+79252, NULL);

 /*--- compute (00|n0)^10 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+83118, r12vrr_stack+79333, r12vrr_stack+48825, r12vrr_stack+60380, r12vrr_stack+79288, NULL);

 /*--- compute (00|o0)^9 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83184, r12vrr_stack+79388, r12vrr_stack+83118, r12vrr_stack+755, r12vrr_stack+79333, NULL);

 /*--- compute (00|q0)^8 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+79454, r12vrr_stack+83184, r12vrr_stack+60425, r12vrr_stack+79388, NULL);

 /*--- compute (p0|q0)^7 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83262, r12vrr_stack+79532, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+79454);

 /*--- compute (d0|q0)^6 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83535, r12vrr_stack+79623, r12vrr_stack+83262, r12vrr_stack+78314, r12vrr_stack+79532, r12vrr_stack+63169);

 /*--- compute (f0|q0)^5 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+84081, r12vrr_stack+79896, r12vrr_stack+83535, r12vrr_stack+78405, r12vrr_stack+79623, r12vrr_stack+63403);

 /*--- compute (g0|q0)^4 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+177350, r12vrr_stack+113648, r12vrr_stack+84081, r12vrr_stack+78678, r12vrr_stack+79896, r12vrr_stack+63871);

 /*--- compute (h0|q0)^3 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+178715, r12vrr_stack+114558, r12vrr_stack+177350, r12vrr_stack+76403, r12vrr_stack+113648, r12vrr_stack+166040);

 /*--- compute (i0|q0)^2 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+180626, r12vrr_stack+115923, r12vrr_stack+178715, r12vrr_stack+105913, r12vrr_stack+114558, r12vrr_stack+167210);

 /*--- compute (k0|q0)^1 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+183174, r12vrr_stack+117834, r12vrr_stack+180626, r12vrr_stack+107278, r12vrr_stack+115923, r12vrr_stack+168848);

 /*--- compute (l0|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+183174, r12vrr_stack+111100, r12vrr_stack+117834, r12vrr_stack+171032);
 tmp = r12vrr_stack + 186450;
 target_ptr = Libr12->gvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^7 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+79532, r12vrr_stack+31949, r12vrr_stack+60491, r12vrr_stack+79454, NULL);

 /*--- compute (p0|r0)^6 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+106018, r12vrr_stack+80442, r12vrr_stack+105913, NULL, NULL, r12vrr_stack+79532);

 /*--- compute (d0|r0)^5 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+106333, r12vrr_stack+124288, r12vrr_stack+106018, r12vrr_stack+80547, r12vrr_stack+80442, r12vrr_stack+79623);

 /*--- compute (f0|r0)^4 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+106963, r12vrr_stack+99319, r12vrr_stack+106333, r12vrr_stack+124918, r12vrr_stack+124288, r12vrr_stack+79896);

 /*--- compute (g0|r0)^3 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+190545, r12vrr_stack+99949, r12vrr_stack+106963, r12vrr_stack+125233, r12vrr_stack+99319, r12vrr_stack+113648);

 /*--- compute (h0|r0)^2 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+192120, r12vrr_stack+131113, r12vrr_stack+190545, r12vrr_stack+125863, r12vrr_stack+99949, r12vrr_stack+114558);

 /*--- compute (i0|r0)^1 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+194325, r12vrr_stack+132688, r12vrr_stack+192120, r12vrr_stack+127963, r12vrr_stack+131113, r12vrr_stack+115923);

 /*--- compute (k0|r0)^0 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+197265, r12vrr_stack+137098, r12vrr_stack+194325, r12vrr_stack+134893, r12vrr_stack+132688, r12vrr_stack+117834);
 tmp = r12vrr_stack + 197265;
 target_ptr = Libr12->gvrr_classes[7][13];
 for(i=0;i<3780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^8 ---*/
 _BUILD_p000(Data,r12vrr_stack+1092, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (d0|00)^7 ---*/
 _BUILD_d000(Data,r12vrr_stack+124918, r12vrr_stack+13228, r12vrr_stack+1092, Data->F+7, Data->F+8, NULL);

 /*--- compute (f0|00)^6 ---*/
 _BUILD_f000(Data,r12vrr_stack+124924, r12vrr_stack+129538, r12vrr_stack+124918, r12vrr_stack+1723, r12vrr_stack+13228, NULL);

 /*--- compute (g0|00)^5 ---*/
 _BUILD_g000(Data,r12vrr_stack+124934, r12vrr_stack+129544, r12vrr_stack+124924, r12vrr_stack+1726, r12vrr_stack+129538, NULL);

 /*--- compute (p0|p0)^8 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1236, r12vrr_stack+78, r12vrr_stack+6, NULL, NULL, Data->F+9);

 /*--- compute (d0|p0)^7 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+124949, r12vrr_stack+1413, r12vrr_stack+1236, r12vrr_stack+105, r12vrr_stack+78, r12vrr_stack+1092);

 /*--- compute (f0|p0)^6 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+124967, r12vrr_stack+60, r12vrr_stack+124949, r12vrr_stack+1732, r12vrr_stack+1413, r12vrr_stack+124918);

 /*--- compute (g0|p0)^5 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+124997, r12vrr_stack+129554, r12vrr_stack+124967, r12vrr_stack+1741, r12vrr_stack+60, r12vrr_stack+124924);

 /*--- compute (h0|p0)^4 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+125042, r12vrr_stack+129584, r12vrr_stack+124997, r12vrr_stack+1284, r12vrr_stack+129554, r12vrr_stack+124934);

 /*--- compute (p0|d0)^8 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1284, r12vrr_stack+414, r12vrr_stack+81, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|d0)^7 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+125105, r12vrr_stack+9, r12vrr_stack+1284, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+1236);

 /*--- compute (f0|d0)^6 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+125141, r12vrr_stack+129629, r12vrr_stack+125105, r12vrr_stack+1314, r12vrr_stack+9, r12vrr_stack+124949);

 /*--- compute (g0|d0)^5 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+125201, r12vrr_stack+129665, r12vrr_stack+125141, r12vrr_stack+6912, r12vrr_stack+129629, r12vrr_stack+124967);

 /*--- compute (h0|d0)^4 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+125291, r12vrr_stack+129725, r12vrr_stack+125201, r12vrr_stack+6948, r12vrr_stack+129665, r12vrr_stack+124997);

 /*--- compute (i0|d0)^3 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+125417, r12vrr_stack+129815, r12vrr_stack+125291, r12vrr_stack+7008, r12vrr_stack+129725, r12vrr_stack+125042);

 /*--- compute (p0|f0)^8 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+6912, r12vrr_stack+1488, r12vrr_stack+2235, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^7 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+6942, r12vrr_stack+204, r12vrr_stack+6912, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+1284);

 /*--- compute (f0|f0)^6 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+125585, r12vrr_stack+108, r12vrr_stack+6942, r12vrr_stack+168, r12vrr_stack+204, r12vrr_stack+125105);

 /*--- compute (g0|f0)^5 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+125685, r12vrr_stack+234, r12vrr_stack+125585, r12vrr_stack+7098, r12vrr_stack+108, r12vrr_stack+125141);

 /*--- compute (h0|f0)^4 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+125835, r12vrr_stack+129941, r12vrr_stack+125685, r12vrr_stack+7158, r12vrr_stack+234, r12vrr_stack+125201);

 /*--- compute (i0|f0)^3 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+126045, r12vrr_stack+130091, r12vrr_stack+125835, r12vrr_stack+7258, r12vrr_stack+129941, r12vrr_stack+125291);

 /*--- compute (k0|f0)^2 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7002, r12vrr_stack+130301, r12vrr_stack+126045, r12vrr_stack+7408, r12vrr_stack+130091, r12vrr_stack+125417);

 /*--- compute (p0|g0)^8 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+7362, r12vrr_stack+2245, r12vrr_stack+3103, NULL, NULL, r12vrr_stack+2235);

 /*--- compute (d0|g0)^7 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7407, r12vrr_stack+810, r12vrr_stack+7362, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+6912);

 /*--- compute (f0|g0)^6 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+126325, r12vrr_stack+855, r12vrr_stack+7407, r12vrr_stack+710, r12vrr_stack+810, r12vrr_stack+6942);

 /*--- compute (g0|g0)^5 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+126475, r12vrr_stack+130581, r12vrr_stack+126325, r12vrr_stack+7618, r12vrr_stack+855, r12vrr_stack+125585);

 /*--- compute (h0|g0)^4 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+108013, r12vrr_stack+440, r12vrr_stack+126475, r12vrr_stack+7708, r12vrr_stack+130581, r12vrr_stack+125685);

 /*--- compute (i0|g0)^3 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+108328, r12vrr_stack+124603, r12vrr_stack+108013, r12vrr_stack+7858, r12vrr_stack+440, r12vrr_stack+125835);

 /*--- compute (k0|g0)^2 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7497, r12vrr_stack+126913, r12vrr_stack+108328, r12vrr_stack+8083, r12vrr_stack+124603, r12vrr_stack+126045);

 /*--- compute (l0|g0)^1 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+127333, r12vrr_stack+7497, r12vrr_stack+8398, r12vrr_stack+126913, r12vrr_stack+7002);

 /*--- compute (p0|h0)^8 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8037, r12vrr_stack+3118, r12vrr_stack+13262, NULL, NULL, r12vrr_stack+3103);

 /*--- compute (d0|h0)^7 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8100, r12vrr_stack+945, r12vrr_stack+8037, r12vrr_stack+2260, r12vrr_stack+3118, r12vrr_stack+7362);

 /*--- compute (f0|h0)^6 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8226, r12vrr_stack+130731, r12vrr_stack+8100, r12vrr_stack+2281, r12vrr_stack+945, r12vrr_stack+7407);

 /*--- compute (g0|h0)^5 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+130857, r12vrr_stack+8226, r12vrr_stack+1110, r12vrr_stack+130731, r12vrr_stack+126325);

 /*--- compute (h0|h0)^4 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+108748, r12vrr_stack+98269, r12vrr_stack+2260, r12vrr_stack+8818, r12vrr_stack+130857, r12vrr_stack+126475);

 /*--- compute (i0|h0)^3 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8436, r12vrr_stack+98584, r12vrr_stack+108748, r12vrr_stack+9028, r12vrr_stack+98269, r12vrr_stack+108013);

 /*--- compute (k0|h0)^2 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+84991, r12vrr_stack+123658, r12vrr_stack+8436, r12vrr_stack+9343, r12vrr_stack+98584, r12vrr_stack+108328);

 /*--- compute (l0|h0)^1 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+100999, r12vrr_stack+84991, r12vrr_stack+9784, r12vrr_stack+123658, r12vrr_stack+7497);

 /*--- compute (m0|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9024, r12vrr_stack+4917, r12vrr_stack+43501, r12vrr_stack+10372, r12vrr_stack+100999, r12vrr_stack+78314);

 /*--- compute (p0|i0)^8 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+13283, r12vrr_stack+1453, NULL, NULL, r12vrr_stack+13262);

 /*--- compute (d0|i0)^7 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2575, r12vrr_stack+1008, r12vrr_stack+1110, r12vrr_stack+3139, r12vrr_stack+13283, r12vrr_stack+8037);

 /*--- compute (f0|i0)^6 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+59593, r12vrr_stack+1513, r12vrr_stack+2575, r12vrr_stack+3167, r12vrr_stack+1008, r12vrr_stack+8100);

 /*--- compute (g0|i0)^5 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+59873, r12vrr_stack+99025, r12vrr_stack+59593, r12vrr_stack+3531, r12vrr_stack+1513, r12vrr_stack+8226);

 /*--- compute (h0|i0)^4 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+64651, r12vrr_stack+80652, r12vrr_stack+59873, r12vrr_stack+3699, r12vrr_stack+99025, r12vrr_stack+2260);

 /*--- compute (i0|i0)^3 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+127873, r12vrr_stack+101755, r12vrr_stack+64651, r12vrr_stack+15524, r12vrr_stack+80652, r12vrr_stack+108748);

 /*--- compute (k0|i0)^2 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+102343, r12vrr_stack+127873, r12vrr_stack+15944, r12vrr_stack+101755, r12vrr_stack+8436);

 /*--- compute (l0|i0)^1 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+201045, r12vrr_stack+140038, r12vrr_stack+76039, r12vrr_stack+16532, r12vrr_stack+102343, r12vrr_stack+84991);

 /*--- compute (m0|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15524, r12vrr_stack+141046, r12vrr_stack+201045, r12vrr_stack+18100, r12vrr_stack+140038, r12vrr_stack+43501);
 tmp = r12vrr_stack + 15524;
 target_ptr = Libr12->gvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^8 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17064, r12vrr_stack+19423, r12vrr_stack+11128, NULL, NULL, r12vrr_stack+1453);

 /*--- compute (d0|k0)^7 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3531, r12vrr_stack+45151, r12vrr_stack+17064, r12vrr_stack+13311, r12vrr_stack+19423, r12vrr_stack+1110);

 /*--- compute (f0|k0)^6 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3747, r12vrr_stack+45259, r12vrr_stack+3531, r12vrr_stack+13347, r12vrr_stack+45151, r12vrr_stack+2575);

 /*--- compute (g0|k0)^5 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1681, r12vrr_stack+77313, r12vrr_stack+3747, r12vrr_stack+25084, r12vrr_stack+45259, r12vrr_stack+59593);

 /*--- compute (h0|k0)^4 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+128657, r12vrr_stack+13455, r12vrr_stack+1681, r12vrr_stack+25300, r12vrr_stack+77313, r12vrr_stack+59873);

 /*--- compute (i0|k0)^3 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+202305, r12vrr_stack+11884, r12vrr_stack+128657, r12vrr_stack+25660, r12vrr_stack+13455, r12vrr_stack+64651);

 /*--- compute (k0|k0)^2 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+203313, r12vrr_stack+142306, r12vrr_stack+202305, r12vrr_stack+26200, r12vrr_stack+11884, r12vrr_stack+127873);

 /*--- compute (l0|k0)^1 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+143314, r12vrr_stack+203313, r12vrr_stack+26956, r12vrr_stack+142306, r12vrr_stack+76039);

 /*--- compute (m0|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+25084, r12vrr_stack+27964, r12vrr_stack+143314, r12vrr_stack+201045);
 tmp = r12vrr_stack + 204609;
 target_ptr = Libr12->gvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^8 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+31354, r12vrr_stack+42888, NULL, NULL, r12vrr_stack+11128);

 /*--- compute (d0|l0)^7 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26704, r12vrr_stack+12640, r12vrr_stack+19288, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+17064);

 /*--- compute (f0|l0)^6 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26974, r12vrr_stack+12775, r12vrr_stack+26704, r12vrr_stack+20530, r12vrr_stack+12640, r12vrr_stack+3531);

 /*--- compute (g0|l0)^5 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+103127, r12vrr_stack+26974, r12vrr_stack+20665, r12vrr_stack+12775, r12vrr_stack+3747);

 /*--- compute (h0|l0)^4 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+206589, r12vrr_stack+144610, r12vrr_stack+57625, r12vrr_stack+37000, r12vrr_stack+103127, r12vrr_stack+1681);

 /*--- compute (i0|l0)^3 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+207534, r12vrr_stack+145285, r12vrr_stack+206589, r12vrr_stack+37450, r12vrr_stack+144610, r12vrr_stack+128657);

 /*--- compute (k0|l0)^2 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+208794, r12vrr_stack+146230, r12vrr_stack+207534, r12vrr_stack+38125, r12vrr_stack+145285, r12vrr_stack+202305);

 /*--- compute (l0|l0)^1 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+147490, r12vrr_stack+208794, r12vrr_stack+39070, r12vrr_stack+146230, r12vrr_stack+203313);

 /*--- compute (m0|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+210414, r12vrr_stack+149110, r12vrr_stack+37000, r12vrr_stack+40330, r12vrr_stack+147490, r12vrr_stack+25084);
 tmp = r12vrr_stack + 210414;
 target_ptr = Libr12->gvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^8 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39025, r12vrr_stack+42933, r12vrr_stack+755, NULL, NULL, r12vrr_stack+42888);

 /*--- compute (d0|m0)^7 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39190, r12vrr_stack+33175, r12vrr_stack+39025, r12vrr_stack+31399, r12vrr_stack+42933, r12vrr_stack+19288);

 /*--- compute (f0|m0)^6 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39520, r12vrr_stack+58483, r12vrr_stack+39190, r12vrr_stack+31454, r12vrr_stack+33175, r12vrr_stack+26704);

 /*--- compute (g0|m0)^5 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20206, r12vrr_stack+33340, r12vrr_stack+39520, r12vrr_stack+31619, r12vrr_stack+58483, r12vrr_stack+26974);

 /*--- compute (h0|m0)^4 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+212889, r12vrr_stack+33890, r12vrr_stack+20206, r12vrr_stack+51575, r12vrr_stack+33340, r12vrr_stack+57625);

 /*--- compute (i0|m0)^3 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+214044, r12vrr_stack+151135, r12vrr_stack+212889, r12vrr_stack+52125, r12vrr_stack+33890, r12vrr_stack+206589);

 /*--- compute (k0|m0)^2 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+215584, r12vrr_stack+152290, r12vrr_stack+214044, r12vrr_stack+52950, r12vrr_stack+151135, r12vrr_stack+207534);

 /*--- compute (l0|m0)^1 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+153830, r12vrr_stack+215584, r12vrr_stack+54105, r12vrr_stack+152290, r12vrr_stack+208794);

 /*--- compute (m0|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+217564, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+55645, r12vrr_stack+153830, r12vrr_stack+37000);
 tmp = r12vrr_stack + 217564;
 target_ptr = Libr12->gvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^8 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54050, r12vrr_stack+60425, r12vrr_stack+79388, NULL, NULL, r12vrr_stack+755);

 /*--- compute (d0|n0)^7 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54248, r12vrr_stack+30755, r12vrr_stack+54050, r12vrr_stack+42988, r12vrr_stack+60425, r12vrr_stack+39025);

 /*--- compute (f0|n0)^6 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54644, r12vrr_stack+19810, r12vrr_stack+54248, r12vrr_stack+44557, r12vrr_stack+30755, r12vrr_stack+39190);

 /*--- compute (g0|n0)^5 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+220589, r12vrr_stack+155810, r12vrr_stack+54644, r12vrr_stack+44755, r12vrr_stack+19810, r12vrr_stack+39520);

 /*--- compute (h0|n0)^4 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+221579, r12vrr_stack+156470, r12vrr_stack+220589, r12vrr_stack+68779, r12vrr_stack+155810, r12vrr_stack+20206);

 /*--- compute (i0|n0)^3 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+222965, r12vrr_stack+157460, r12vrr_stack+221579, r12vrr_stack+69439, r12vrr_stack+156470, r12vrr_stack+212889);

 /*--- compute (k0|n0)^2 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+224813, r12vrr_stack+158846, r12vrr_stack+222965, r12vrr_stack+70429, r12vrr_stack+157460, r12vrr_stack+214044);

 /*--- compute (l0|n0)^1 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+160694, r12vrr_stack+224813, r12vrr_stack+71815, r12vrr_stack+158846, r12vrr_stack+215584);

 /*--- compute (m0|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+227189, r12vrr_stack+163070, r12vrr_stack+68779, r12vrr_stack+73663, r12vrr_stack+160694, r12vrr_stack+51575);
 tmp = r12vrr_stack + 227189;
 target_ptr = Libr12->gvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^8 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+71749, r12vrr_stack+79454, r12vrr_stack+83184, NULL, NULL, r12vrr_stack+79388);

 /*--- compute (d0|o0)^7 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+71983, r12vrr_stack+63169, r12vrr_stack+71749, r12vrr_stack+60491, r12vrr_stack+79454, r12vrr_stack+54050);

 /*--- compute (f0|o0)^6 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+72451, r12vrr_stack+63403, r12vrr_stack+71983, r12vrr_stack+60569, r12vrr_stack+63169, r12vrr_stack+54248);

 /*--- compute (g0|o0)^5 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+230819, r12vrr_stack+63871, r12vrr_stack+72451, r12vrr_stack+60803, r12vrr_stack+63403, r12vrr_stack+54644);

 /*--- compute (h0|o0)^4 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+231989, r12vrr_stack+166040, r12vrr_stack+230819, r12vrr_stack+89689, r12vrr_stack+63871, r12vrr_stack+220589);

 /*--- compute (i0|o0)^3 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+233627, r12vrr_stack+167210, r12vrr_stack+231989, r12vrr_stack+90469, r12vrr_stack+166040, r12vrr_stack+221579);

 /*--- compute (k0|o0)^2 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+235811, r12vrr_stack+168848, r12vrr_stack+233627, r12vrr_stack+91639, r12vrr_stack+167210, r12vrr_stack+222965);

 /*--- compute (l0|o0)^1 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+171032, r12vrr_stack+235811, r12vrr_stack+93277, r12vrr_stack+168848, r12vrr_stack+224813);

 /*--- compute (m0|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+238619, r12vrr_stack+173840, r12vrr_stack+89689, r12vrr_stack+95461, r12vrr_stack+171032, r12vrr_stack+68779);
 tmp = r12vrr_stack + 238619;
 target_ptr = Libr12->gvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^20 ---*/
 _BUILD_00p0(Data,r12vrr_stack+93199, Data->F+20, Data->F+21, NULL, NULL, NULL);

 /*--- compute (00|d0)^19 ---*/
 _BUILD_00d0(Data,r12vrr_stack+93202, r12vrr_stack+0, r12vrr_stack+93199, Data->F+19, Data->F+20, NULL);

 /*--- compute (00|f0)^18 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+83059, r12vrr_stack+93202, r12vrr_stack+42223, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^17 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1498, r12vrr_stack+83065, r12vrr_stack+430, r12vrr_stack+42226, r12vrr_stack+83059, NULL);

 /*--- compute (00|h0)^16 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+87, r12vrr_stack+83075, r12vrr_stack+1498, r12vrr_stack+32040, r12vrr_stack+83065, NULL);

 /*--- compute (00|i0)^15 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93208, r12vrr_stack+5862, r12vrr_stack+87, r12vrr_stack+42232, r12vrr_stack+83075, NULL);

 /*--- compute (00|k0)^14 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+93236, r12vrr_stack+83090, r12vrr_stack+93208, r12vrr_stack+42247, r12vrr_stack+5862, NULL);

 /*--- compute (00|l0)^13 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19459, r12vrr_stack+23284, r12vrr_stack+93236, r12vrr_stack+79224, r12vrr_stack+83090, NULL);

 /*--- compute (00|m0)^12 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42223, r12vrr_stack+665, r12vrr_stack+19459, r12vrr_stack+79252, r12vrr_stack+23284, NULL);

 /*--- compute (00|n0)^11 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+93272, r12vrr_stack+48825, r12vrr_stack+42223, r12vrr_stack+79288, r12vrr_stack+665, NULL);

 /*--- compute (00|o0)^10 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+93338, r12vrr_stack+83118, r12vrr_stack+93272, r12vrr_stack+79333, r12vrr_stack+48825, NULL);

 /*--- compute (00|q0)^9 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93416, r12vrr_stack+83184, r12vrr_stack+93338, r12vrr_stack+79388, r12vrr_stack+83118, NULL);

 /*--- compute (p0|q0)^8 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93507, r12vrr_stack+31949, r12vrr_stack+93416, NULL, NULL, r12vrr_stack+83184);

 /*--- compute (d0|q0)^7 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93780, r12vrr_stack+83262, r12vrr_stack+93507, r12vrr_stack+79532, r12vrr_stack+31949, r12vrr_stack+71749);

 /*--- compute (f0|q0)^6 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+94326, r12vrr_stack+83535, r12vrr_stack+93780, r12vrr_stack+79623, r12vrr_stack+83262, r12vrr_stack+71983);

 /*--- compute (g0|q0)^5 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+242909, r12vrr_stack+84081, r12vrr_stack+94326, r12vrr_stack+79896, r12vrr_stack+83535, r12vrr_stack+72451);

 /*--- compute (h0|q0)^4 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+244274, r12vrr_stack+177350, r12vrr_stack+242909, r12vrr_stack+113648, r12vrr_stack+84081, r12vrr_stack+230819);

 /*--- compute (i0|q0)^3 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+246185, r12vrr_stack+178715, r12vrr_stack+244274, r12vrr_stack+114558, r12vrr_stack+177350, r12vrr_stack+231989);

 /*--- compute (k0|q0)^2 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+248733, r12vrr_stack+180626, r12vrr_stack+246185, r12vrr_stack+115923, r12vrr_stack+178715, r12vrr_stack+233627);

 /*--- compute (l0|q0)^1 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+183174, r12vrr_stack+248733, r12vrr_stack+117834, r12vrr_stack+180626, r12vrr_stack+235811);

 /*--- compute (m0|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+252009, r12vrr_stack+186450, r12vrr_stack+113648, r12vrr_stack+120382, r12vrr_stack+183174, r12vrr_stack+89689);
 tmp = r12vrr_stack + 252009;
 target_ptr = Libr12->gvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^8 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80547, r12vrr_stack+31949, r12vrr_stack+93416, r12vrr_stack+79454, r12vrr_stack+83184, NULL);

 /*--- compute (p0|r0)^7 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+117743, r12vrr_stack+105913, r12vrr_stack+80547, NULL, NULL, r12vrr_stack+31949);

 /*--- compute (d0|r0)^6 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+118058, r12vrr_stack+106018, r12vrr_stack+117743, r12vrr_stack+80442, r12vrr_stack+105913, r12vrr_stack+83262);

 /*--- compute (f0|r0)^5 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+118688, r12vrr_stack+106333, r12vrr_stack+118058, r12vrr_stack+124288, r12vrr_stack+106018, r12vrr_stack+83535);

 /*--- compute (g0|r0)^4 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+257014, r12vrr_stack+106963, r12vrr_stack+118688, r12vrr_stack+99319, r12vrr_stack+106333, r12vrr_stack+84081);

 /*--- compute (h0|r0)^3 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+258589, r12vrr_stack+190545, r12vrr_stack+257014, r12vrr_stack+99949, r12vrr_stack+106963, r12vrr_stack+177350);

 /*--- compute (i0|r0)^2 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+260794, r12vrr_stack+192120, r12vrr_stack+258589, r12vrr_stack+131113, r12vrr_stack+190545, r12vrr_stack+178715);

 /*--- compute (k0|r0)^1 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+263734, r12vrr_stack+194325, r12vrr_stack+260794, r12vrr_stack+132688, r12vrr_stack+192120, r12vrr_stack+180626);

 /*--- compute (l0|r0)^0 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+267514, r12vrr_stack+197265, r12vrr_stack+263734, r12vrr_stack+137098, r12vrr_stack+194325, r12vrr_stack+183174);
 tmp = r12vrr_stack + 267514;
 target_ptr = Libr12->gvrr_classes[8][13];
 for(i=0;i<4725;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^9 ---*/
 _BUILD_p000(Data,r12vrr_stack+119738, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (d0|00)^8 ---*/
 _BUILD_d000(Data,r12vrr_stack+119741, r12vrr_stack+1092, r12vrr_stack+119738, Data->F+8, Data->F+9, NULL);

 /*--- compute (f0|00)^7 ---*/
 _BUILD_f000(Data,r12vrr_stack+32040, r12vrr_stack+124918, r12vrr_stack+119741, r12vrr_stack+13228, r12vrr_stack+1092, NULL);

 /*--- compute (g0|00)^6 ---*/
 _BUILD_g000(Data,r12vrr_stack+119747, r12vrr_stack+124924, r12vrr_stack+32040, r12vrr_stack+129538, r12vrr_stack+124918, NULL);

 /*--- compute (h0|00)^5 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+27, r12vrr_stack+124934, r12vrr_stack+119747, r12vrr_stack+129544, r12vrr_stack+124924, NULL);

 /*--- compute (p0|p0)^9 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+119762, r12vrr_stack+6, r12vrr_stack+1485, NULL, NULL, Data->F+10);

 /*--- compute (d0|p0)^8 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+119771, r12vrr_stack+1236, r12vrr_stack+119762, r12vrr_stack+78, r12vrr_stack+6, r12vrr_stack+119738);

 /*--- compute (f0|p0)^7 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+168, r12vrr_stack+124949, r12vrr_stack+119771, r12vrr_stack+1413, r12vrr_stack+1236, r12vrr_stack+119741);

 /*--- compute (g0|p0)^6 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+710, r12vrr_stack+124967, r12vrr_stack+168, r12vrr_stack+60, r12vrr_stack+124949, r12vrr_stack+32040);

 /*--- compute (h0|p0)^5 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+119789, r12vrr_stack+124997, r12vrr_stack+710, r12vrr_stack+129554, r12vrr_stack+124967, r12vrr_stack+119747);

 /*--- compute (i0|p0)^4 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+119852, r12vrr_stack+125042, r12vrr_stack+119789, r12vrr_stack+129584, r12vrr_stack+124997, r12vrr_stack+27);

 /*--- compute (p0|d0)^9 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+198, NULL, NULL, r12vrr_stack+1485);

 /*--- compute (d0|d0)^8 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+119936, r12vrr_stack+1284, r12vrr_stack+60, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+119762);

 /*--- compute (f0|d0)^7 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+119972, r12vrr_stack+125105, r12vrr_stack+119936, r12vrr_stack+9, r12vrr_stack+1284, r12vrr_stack+119771);

 /*--- compute (g0|d0)^6 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+120032, r12vrr_stack+125141, r12vrr_stack+119972, r12vrr_stack+129629, r12vrr_stack+125105, r12vrr_stack+168);

 /*--- compute (h0|d0)^5 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+120122, r12vrr_stack+125201, r12vrr_stack+120032, r12vrr_stack+129665, r12vrr_stack+125141, r12vrr_stack+710);

 /*--- compute (i0|d0)^4 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+79532, r12vrr_stack+125291, r12vrr_stack+120122, r12vrr_stack+129725, r12vrr_stack+125201, r12vrr_stack+119789);

 /*--- compute (k0|d0)^3 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+79700, r12vrr_stack+125417, r12vrr_stack+79532, r12vrr_stack+129815, r12vrr_stack+125291, r12vrr_stack+119852);

 /*--- compute (p0|f0)^9 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+120248, r12vrr_stack+2235, r12vrr_stack+3093, NULL, NULL, r12vrr_stack+198);

 /*--- compute (d0|f0)^8 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+120278, r12vrr_stack+6912, r12vrr_stack+120248, r12vrr_stack+1488, r12vrr_stack+2235, r12vrr_stack+60);

 /*--- compute (f0|f0)^7 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+79916, r12vrr_stack+6942, r12vrr_stack+120278, r12vrr_stack+204, r12vrr_stack+6912, r12vrr_stack+119936);

 /*--- compute (g0|f0)^6 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+80016, r12vrr_stack+125585, r12vrr_stack+79916, r12vrr_stack+108, r12vrr_stack+6942, r12vrr_stack+119972);

 /*--- compute (h0|f0)^5 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+80166, r12vrr_stack+125685, r12vrr_stack+80016, r12vrr_stack+234, r12vrr_stack+125585, r12vrr_stack+120032);

 /*--- compute (i0|f0)^4 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60491, r12vrr_stack+125835, r12vrr_stack+80166, r12vrr_stack+129941, r12vrr_stack+125685, r12vrr_stack+120122);

 /*--- compute (k0|f0)^3 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60771, r12vrr_stack+126045, r12vrr_stack+60491, r12vrr_stack+130091, r12vrr_stack+125835, r12vrr_stack+79532);

 /*--- compute (l0|f0)^2 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+31399, r12vrr_stack+7002, r12vrr_stack+60771, r12vrr_stack+130301, r12vrr_stack+126045, r12vrr_stack+79700);

 /*--- compute (p0|g0)^9 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+108, r12vrr_stack+3103, r12vrr_stack+13247, NULL, NULL, r12vrr_stack+3093);

 /*--- compute (d0|g0)^8 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+204, r12vrr_stack+7362, r12vrr_stack+108, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+120248);

 /*--- compute (f0|g0)^7 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+80376, r12vrr_stack+7407, r12vrr_stack+204, r12vrr_stack+810, r12vrr_stack+7362, r12vrr_stack+120278);

 /*--- compute (g0|g0)^6 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+95236, r12vrr_stack+126325, r12vrr_stack+80376, r12vrr_stack+855, r12vrr_stack+7407, r12vrr_stack+79916);

 /*--- compute (h0|g0)^5 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+61131, r12vrr_stack+126475, r12vrr_stack+95236, r12vrr_stack+130581, r12vrr_stack+126325, r12vrr_stack+80016);

 /*--- compute (i0|g0)^4 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+73231, r12vrr_stack+108013, r12vrr_stack+61131, r12vrr_stack+440, r12vrr_stack+126475, r12vrr_stack+80166);

 /*--- compute (k0|g0)^3 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+27424, r12vrr_stack+108328, r12vrr_stack+73231, r12vrr_stack+124603, r12vrr_stack+108013, r12vrr_stack+60491);

 /*--- compute (l0|g0)^2 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+44446, r12vrr_stack+7497, r12vrr_stack+27424, r12vrr_stack+126913, r12vrr_stack+108328, r12vrr_stack+60771);

 /*--- compute (m0|g0)^1 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+131067, r12vrr_stack+78314, r12vrr_stack+44446, r12vrr_stack+127333, r12vrr_stack+7497, r12vrr_stack+31399);

 /*--- compute (p0|h0)^9 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+440, r12vrr_stack+13262, r12vrr_stack+1432, NULL, NULL, r12vrr_stack+13247);

 /*--- compute (d0|h0)^8 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+294, r12vrr_stack+8037, r12vrr_stack+440, r12vrr_stack+3118, r12vrr_stack+13262, r12vrr_stack+108);

 /*--- compute (f0|h0)^7 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3118, r12vrr_stack+8100, r12vrr_stack+294, r12vrr_stack+945, r12vrr_stack+8037, r12vrr_stack+204);

 /*--- compute (g0|h0)^6 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+55304, r12vrr_stack+8226, r12vrr_stack+3118, r12vrr_stack+130731, r12vrr_stack+8100, r12vrr_stack+80376);

 /*--- compute (h0|h0)^5 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+126700, r12vrr_stack+2260, r12vrr_stack+55304, r12vrr_stack+130857, r12vrr_stack+8226, r12vrr_stack+95236);

 /*--- compute (i0|h0)^4 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+127141, r12vrr_stack+108748, r12vrr_stack+126700, r12vrr_stack+98269, r12vrr_stack+2260, r12vrr_stack+61131);

 /*--- compute (k0|h0)^3 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+131892, r12vrr_stack+8436, r12vrr_stack+127141, r12vrr_stack+98584, r12vrr_stack+108748, r12vrr_stack+73231);

 /*--- compute (l0|h0)^2 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+132648, r12vrr_stack+84991, r12vrr_stack+131892, r12vrr_stack+123658, r12vrr_stack+8436, r12vrr_stack+27424);

 /*--- compute (m0|h0)^1 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+43501, r12vrr_stack+132648, r12vrr_stack+100999, r12vrr_stack+84991, r12vrr_stack+44446);

 /*--- compute (n0|h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+129413, r12vrr_stack+9024, r12vrr_stack+123658, r12vrr_stack+4917, r12vrr_stack+43501, r12vrr_stack+131067);

 /*--- compute (p0|i0)^9 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+124813, r12vrr_stack+1453, r12vrr_stack+31326, NULL, NULL, r12vrr_stack+1432);

 /*--- compute (d0|i0)^8 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+1110, r12vrr_stack+124813, r12vrr_stack+13283, r12vrr_stack+1453, r12vrr_stack+440);

 /*--- compute (f0|i0)^7 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+98437, r12vrr_stack+2575, r12vrr_stack+98269, r12vrr_stack+1008, r12vrr_stack+1110, r12vrr_stack+294);

 /*--- compute (g0|i0)^6 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+133593, r12vrr_stack+59593, r12vrr_stack+98437, r12vrr_stack+1513, r12vrr_stack+2575, r12vrr_stack+3118);

 /*--- compute (h0|i0)^5 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+134013, r12vrr_stack+59873, r12vrr_stack+133593, r12vrr_stack+99025, r12vrr_stack+59593, r12vrr_stack+55304);

 /*--- compute (i0|i0)^4 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+98717, r12vrr_stack+64651, r12vrr_stack+134013, r12vrr_stack+80652, r12vrr_stack+59873, r12vrr_stack+126700);

 /*--- compute (k0|i0)^3 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+99501, r12vrr_stack+127873, r12vrr_stack+98717, r12vrr_stack+101755, r12vrr_stack+64651, r12vrr_stack+127141);

 /*--- compute (l0|i0)^2 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+100509, r12vrr_stack+76039, r12vrr_stack+99501, r12vrr_stack+102343, r12vrr_stack+127873, r12vrr_stack+131892);

 /*--- compute (m0|i0)^1 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+272239, r12vrr_stack+201045, r12vrr_stack+100509, r12vrr_stack+140038, r12vrr_stack+76039, r12vrr_stack+132648);

 /*--- compute (n0|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+273779, r12vrr_stack+15524, r12vrr_stack+272239, r12vrr_stack+141046, r12vrr_stack+201045, r12vrr_stack+123658);
 tmp = r12vrr_stack + 273779;
 target_ptr = Libr12->gvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^9 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+140038, r12vrr_stack+11128, r12vrr_stack+19504, NULL, NULL, r12vrr_stack+31326);

 /*--- compute (d0|k0)^8 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+140146, r12vrr_stack+17064, r12vrr_stack+140038, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+124813);

 /*--- compute (f0|k0)^7 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+140362, r12vrr_stack+3531, r12vrr_stack+140146, r12vrr_stack+45151, r12vrr_stack+17064, r12vrr_stack+98269);

 /*--- compute (g0|k0)^6 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+101769, r12vrr_stack+3747, r12vrr_stack+140362, r12vrr_stack+45259, r12vrr_stack+3531, r12vrr_stack+98437);

 /*--- compute (h0|k0)^5 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+102309, r12vrr_stack+1681, r12vrr_stack+101769, r12vrr_stack+77313, r12vrr_stack+3747, r12vrr_stack+133593);

 /*--- compute (i0|k0)^4 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+275627, r12vrr_stack+128657, r12vrr_stack+102309, r12vrr_stack+13455, r12vrr_stack+1681, r12vrr_stack+134013);

 /*--- compute (k0|k0)^3 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+276635, r12vrr_stack+202305, r12vrr_stack+275627, r12vrr_stack+11884, r12vrr_stack+128657, r12vrr_stack+98717);

 /*--- compute (l0|k0)^2 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+277931, r12vrr_stack+203313, r12vrr_stack+276635, r12vrr_stack+142306, r12vrr_stack+202305, r12vrr_stack+99501);

 /*--- compute (m0|k0)^1 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+279551, r12vrr_stack+25084, r12vrr_stack+277931, r12vrr_stack+143314, r12vrr_stack+203313, r12vrr_stack+100509);

 /*--- compute (n0|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+281531, r12vrr_stack+204609, r12vrr_stack+279551, r12vrr_stack+21664, r12vrr_stack+25084, r12vrr_stack+272239);
 tmp = r12vrr_stack + 281531;
 target_ptr = Libr12->gvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^9 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+142306, r12vrr_stack+42888, r12vrr_stack+60380, NULL, NULL, r12vrr_stack+19504);

 /*--- compute (d0|l0)^8 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+142441, r12vrr_stack+19288, r12vrr_stack+142306, r12vrr_stack+31354, r12vrr_stack+42888, r12vrr_stack+140038);

 /*--- compute (f0|l0)^7 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+142711, r12vrr_stack+26704, r12vrr_stack+142441, r12vrr_stack+12640, r12vrr_stack+19288, r12vrr_stack+140146);

 /*--- compute (g0|l0)^6 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+143161, r12vrr_stack+26974, r12vrr_stack+142711, r12vrr_stack+12775, r12vrr_stack+26704, r12vrr_stack+140362);

 /*--- compute (h0|l0)^5 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+57625, r12vrr_stack+143161, r12vrr_stack+103127, r12vrr_stack+26974, r12vrr_stack+101769);

 /*--- compute (i0|l0)^4 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+283907, r12vrr_stack+206589, r12vrr_stack+11884, r12vrr_stack+144610, r12vrr_stack+57625, r12vrr_stack+102309);

 /*--- compute (k0|l0)^3 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+285167, r12vrr_stack+207534, r12vrr_stack+283907, r12vrr_stack+145285, r12vrr_stack+206589, r12vrr_stack+275627);

 /*--- compute (l0|l0)^2 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+143836, r12vrr_stack+208794, r12vrr_stack+285167, r12vrr_stack+146230, r12vrr_stack+207534, r12vrr_stack+276635);

 /*--- compute (m0|l0)^1 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+286787, r12vrr_stack+37000, r12vrr_stack+143836, r12vrr_stack+147490, r12vrr_stack+208794, r12vrr_stack+277931);

 /*--- compute (n0|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+145861, r12vrr_stack+210414, r12vrr_stack+286787, r12vrr_stack+149110, r12vrr_stack+37000, r12vrr_stack+279551);
 tmp = r12vrr_stack + 145861;
 target_ptr = Libr12->gvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^9 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+148831, r12vrr_stack+755, r12vrr_stack+79333, NULL, NULL, r12vrr_stack+60380);

 /*--- compute (d0|m0)^8 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12829, r12vrr_stack+39025, r12vrr_stack+148831, r12vrr_stack+42933, r12vrr_stack+755, r12vrr_stack+142306);

 /*--- compute (f0|m0)^7 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13283, r12vrr_stack+39190, r12vrr_stack+12829, r12vrr_stack+33175, r12vrr_stack+39025, r12vrr_stack+142441);

 /*--- compute (g0|m0)^6 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+289262, r12vrr_stack+39520, r12vrr_stack+13283, r12vrr_stack+58483, r12vrr_stack+39190, r12vrr_stack+142711);

 /*--- compute (h0|m0)^5 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+290087, r12vrr_stack+20206, r12vrr_stack+289262, r12vrr_stack+33340, r12vrr_stack+39520, r12vrr_stack+143161);

 /*--- compute (i0|m0)^4 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+291242, r12vrr_stack+212889, r12vrr_stack+290087, r12vrr_stack+33890, r12vrr_stack+20206, r12vrr_stack+11884);

 /*--- compute (k0|m0)^3 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+292782, r12vrr_stack+214044, r12vrr_stack+291242, r12vrr_stack+151135, r12vrr_stack+212889, r12vrr_stack+283907);

 /*--- compute (l0|m0)^2 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+294762, r12vrr_stack+215584, r12vrr_stack+292782, r12vrr_stack+152290, r12vrr_stack+214044, r12vrr_stack+285167);

 /*--- compute (m0|m0)^1 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+297237, r12vrr_stack+51575, r12vrr_stack+294762, r12vrr_stack+153830, r12vrr_stack+215584, r12vrr_stack+143836);

 /*--- compute (n0|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+151135, r12vrr_stack+217564, r12vrr_stack+297237, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+286787);
 tmp = r12vrr_stack + 151135;
 target_ptr = Libr12->gvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^9 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+154765, r12vrr_stack+79388, r12vrr_stack+83118, NULL, NULL, r12vrr_stack+79333);

 /*--- compute (d0|n0)^8 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+154963, r12vrr_stack+54050, r12vrr_stack+154765, r12vrr_stack+60425, r12vrr_stack+79388, r12vrr_stack+148831);

 /*--- compute (f0|n0)^7 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+54248, r12vrr_stack+154963, r12vrr_stack+30755, r12vrr_stack+54050, r12vrr_stack+12829);

 /*--- compute (g0|n0)^6 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+300262, r12vrr_stack+54644, r12vrr_stack+33175, r12vrr_stack+19810, r12vrr_stack+54248, r12vrr_stack+13283);

 /*--- compute (h0|n0)^5 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+301252, r12vrr_stack+220589, r12vrr_stack+300262, r12vrr_stack+155810, r12vrr_stack+54644, r12vrr_stack+289262);

 /*--- compute (i0|n0)^4 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+302638, r12vrr_stack+221579, r12vrr_stack+301252, r12vrr_stack+156470, r12vrr_stack+220589, r12vrr_stack+290087);

 /*--- compute (k0|n0)^3 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+304486, r12vrr_stack+222965, r12vrr_stack+302638, r12vrr_stack+157460, r12vrr_stack+221579, r12vrr_stack+291242);

 /*--- compute (l0|n0)^2 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+155359, r12vrr_stack+224813, r12vrr_stack+304486, r12vrr_stack+158846, r12vrr_stack+222965, r12vrr_stack+292782);

 /*--- compute (m0|n0)^1 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+306862, r12vrr_stack+68779, r12vrr_stack+155359, r12vrr_stack+160694, r12vrr_stack+224813, r12vrr_stack+294762);

 /*--- compute (n0|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+158329, r12vrr_stack+227189, r12vrr_stack+306862, r12vrr_stack+163070, r12vrr_stack+68779, r12vrr_stack+297237);
 tmp = r12vrr_stack + 158329;
 target_ptr = Libr12->gvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^9 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+83184, r12vrr_stack+93338, NULL, NULL, r12vrr_stack+83118);

 /*--- compute (d0|o0)^8 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+71749, r12vrr_stack+19810, r12vrr_stack+79454, r12vrr_stack+83184, r12vrr_stack+154765);

 /*--- compute (f0|o0)^7 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33835, r12vrr_stack+71983, r12vrr_stack+30755, r12vrr_stack+63169, r12vrr_stack+71749, r12vrr_stack+154963);

 /*--- compute (g0|o0)^6 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+310492, r12vrr_stack+72451, r12vrr_stack+33835, r12vrr_stack+63403, r12vrr_stack+71983, r12vrr_stack+33175);

 /*--- compute (h0|o0)^5 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+311662, r12vrr_stack+230819, r12vrr_stack+310492, r12vrr_stack+63871, r12vrr_stack+72451, r12vrr_stack+300262);

 /*--- compute (i0|o0)^4 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+313300, r12vrr_stack+231989, r12vrr_stack+311662, r12vrr_stack+166040, r12vrr_stack+230819, r12vrr_stack+301252);

 /*--- compute (k0|o0)^3 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+315484, r12vrr_stack+233627, r12vrr_stack+313300, r12vrr_stack+167210, r12vrr_stack+231989, r12vrr_stack+302638);

 /*--- compute (l0|o0)^2 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+318292, r12vrr_stack+235811, r12vrr_stack+315484, r12vrr_stack+168848, r12vrr_stack+233627, r12vrr_stack+304486);

 /*--- compute (m0|o0)^1 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+166040, r12vrr_stack+89689, r12vrr_stack+318292, r12vrr_stack+171032, r12vrr_stack+235811, r12vrr_stack+155359);

 /*--- compute (n0|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+321802, r12vrr_stack+238619, r12vrr_stack+166040, r12vrr_stack+173840, r12vrr_stack+89689, r12vrr_stack+306862);
 tmp = r12vrr_stack + 321802;
 target_ptr = Libr12->gvrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^21 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+21, Data->F+22, NULL, NULL, NULL);

 /*--- compute (00|d0)^20 ---*/
 _BUILD_00d0(Data,r12vrr_stack+170330, r12vrr_stack+93199, r12vrr_stack+78, Data->F+20, Data->F+21, NULL);

 /*--- compute (00|f0)^19 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1488, r12vrr_stack+93202, r12vrr_stack+170330, r12vrr_stack+0, r12vrr_stack+93199, NULL);

 /*--- compute (00|g0)^18 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2245, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+83059, r12vrr_stack+93202, NULL);

 /*--- compute (00|h0)^17 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+124897, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+83065, r12vrr_stack+430, NULL);

 /*--- compute (00|i0)^16 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+170336, r12vrr_stack+87, r12vrr_stack+124897, r12vrr_stack+83075, r12vrr_stack+1498, NULL);

 /*--- compute (00|k0)^15 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19423, r12vrr_stack+93208, r12vrr_stack+170336, r12vrr_stack+5862, r12vrr_stack+87, NULL);

 /*--- compute (00|l0)^14 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31354, r12vrr_stack+93236, r12vrr_stack+19423, r12vrr_stack+83090, r12vrr_stack+93208, NULL);

 /*--- compute (00|m0)^13 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+23284, r12vrr_stack+93236, NULL);

 /*--- compute (00|n0)^12 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60425, r12vrr_stack+42223, r12vrr_stack+83059, r12vrr_stack+665, r12vrr_stack+19459, NULL);

 /*--- compute (00|o0)^11 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79454, r12vrr_stack+93272, r12vrr_stack+60425, r12vrr_stack+48825, r12vrr_stack+42223, NULL);

 /*--- compute (00|q0)^10 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+170364, r12vrr_stack+93338, r12vrr_stack+79454, r12vrr_stack+83118, r12vrr_stack+93272, NULL);

 /*--- compute (p0|q0)^9 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+170455, r12vrr_stack+93416, r12vrr_stack+170364, NULL, NULL, r12vrr_stack+93338);

 /*--- compute (d0|q0)^8 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+170728, r12vrr_stack+93507, r12vrr_stack+170455, r12vrr_stack+31949, r12vrr_stack+93416, r12vrr_stack+19810);

 /*--- compute (f0|q0)^7 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+171274, r12vrr_stack+93780, r12vrr_stack+170728, r12vrr_stack+83262, r12vrr_stack+93507, r12vrr_stack+30755);

 /*--- compute (g0|q0)^6 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+172184, r12vrr_stack+94326, r12vrr_stack+171274, r12vrr_stack+83535, r12vrr_stack+93780, r12vrr_stack+33835);

 /*--- compute (h0|q0)^5 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+326950, r12vrr_stack+242909, r12vrr_stack+172184, r12vrr_stack+84081, r12vrr_stack+94326, r12vrr_stack+310492);

 /*--- compute (i0|q0)^4 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+328861, r12vrr_stack+244274, r12vrr_stack+326950, r12vrr_stack+177350, r12vrr_stack+242909, r12vrr_stack+311662);

 /*--- compute (k0|q0)^3 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+331409, r12vrr_stack+246185, r12vrr_stack+328861, r12vrr_stack+178715, r12vrr_stack+244274, r12vrr_stack+313300);

 /*--- compute (l0|q0)^2 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+334685, r12vrr_stack+248733, r12vrr_stack+331409, r12vrr_stack+180626, r12vrr_stack+246185, r12vrr_stack+315484);

 /*--- compute (m0|q0)^1 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+177350, r12vrr_stack+113648, r12vrr_stack+334685, r12vrr_stack+183174, r12vrr_stack+248733, r12vrr_stack+318292);

 /*--- compute (n0|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+338780, r12vrr_stack+252009, r12vrr_stack+177350, r12vrr_stack+186450, r12vrr_stack+113648, r12vrr_stack+166040);
 tmp = r12vrr_stack + 338780;
 target_ptr = Libr12->gvrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^9 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+182355, r12vrr_stack+93416, r12vrr_stack+170364, r12vrr_stack+83184, r12vrr_stack+93338, NULL);

 /*--- compute (p0|r0)^8 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+182460, r12vrr_stack+80547, r12vrr_stack+182355, NULL, NULL, r12vrr_stack+93416);

 /*--- compute (d0|r0)^7 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+77047, r12vrr_stack+117743, r12vrr_stack+182460, r12vrr_stack+105913, r12vrr_stack+80547, r12vrr_stack+93507);

 /*--- compute (f0|r0)^6 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+182775, r12vrr_stack+118058, r12vrr_stack+77047, r12vrr_stack+106018, r12vrr_stack+117743, r12vrr_stack+93780);

 /*--- compute (g0|r0)^5 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+183825, r12vrr_stack+118688, r12vrr_stack+182775, r12vrr_stack+106333, r12vrr_stack+118058, r12vrr_stack+94326);

 /*--- compute (h0|r0)^4 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+344786, r12vrr_stack+257014, r12vrr_stack+183825, r12vrr_stack+106963, r12vrr_stack+118688, r12vrr_stack+242909);

 /*--- compute (i0|r0)^3 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+346991, r12vrr_stack+258589, r12vrr_stack+344786, r12vrr_stack+190545, r12vrr_stack+257014, r12vrr_stack+244274);

 /*--- compute (k0|r0)^2 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+349931, r12vrr_stack+260794, r12vrr_stack+346991, r12vrr_stack+192120, r12vrr_stack+258589, r12vrr_stack+246185);

 /*--- compute (l0|r0)^1 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+353711, r12vrr_stack+263734, r12vrr_stack+349931, r12vrr_stack+194325, r12vrr_stack+260794, r12vrr_stack+248733);

 /*--- compute (m0|r0)^0 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+190545, r12vrr_stack+267514, r12vrr_stack+353711, r12vrr_stack+197265, r12vrr_stack+263734, r12vrr_stack+113648);
 tmp = r12vrr_stack + 190545;
 target_ptr = Libr12->gvrr_classes[9][13];
 for(i=0;i<5775;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^10 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (d0|00)^9 ---*/
 _BUILD_d000(Data,r12vrr_stack+196320, r12vrr_stack+119738, r12vrr_stack+0, Data->F+9, Data->F+10, NULL);

 /*--- compute (f0|00)^8 ---*/
 _BUILD_f000(Data,r12vrr_stack+196326, r12vrr_stack+119741, r12vrr_stack+196320, r12vrr_stack+1092, r12vrr_stack+119738, NULL);

 /*--- compute (g0|00)^7 ---*/
 _BUILD_g000(Data,r12vrr_stack+153, r12vrr_stack+32040, r12vrr_stack+196326, r12vrr_stack+124918, r12vrr_stack+119741, NULL);

 /*--- compute (h0|00)^6 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+119747, r12vrr_stack+153, r12vrr_stack+124924, r12vrr_stack+32040, NULL);

 /*--- compute (i0|00)^5 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+196336, r12vrr_stack+27, r12vrr_stack+5862, r12vrr_stack+124934, r12vrr_stack+119747, NULL);

 /*--- compute (p0|p0)^10 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+124918, r12vrr_stack+1485, r12vrr_stack+3, NULL, NULL, Data->F+11);

 /*--- compute (d0|p0)^9 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+9, r12vrr_stack+119762, r12vrr_stack+124918, r12vrr_stack+6, r12vrr_stack+1485, r12vrr_stack+0);

 /*--- compute (f0|p0)^8 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+196364, r12vrr_stack+119771, r12vrr_stack+9, r12vrr_stack+1236, r12vrr_stack+119762, r12vrr_stack+196320);

 /*--- compute (g0|p0)^7 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+196394, r12vrr_stack+168, r12vrr_stack+196364, r12vrr_stack+124949, r12vrr_stack+119771, r12vrr_stack+196326);

 /*--- compute (h0|p0)^6 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+196439, r12vrr_stack+710, r12vrr_stack+196394, r12vrr_stack+124967, r12vrr_stack+168, r12vrr_stack+153);

 /*--- compute (i0|p0)^5 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+196502, r12vrr_stack+119789, r12vrr_stack+196439, r12vrr_stack+124997, r12vrr_stack+710, r12vrr_stack+5862);

 /*--- compute (k0|p0)^4 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+124927, r12vrr_stack+119852, r12vrr_stack+196502, r12vrr_stack+125042, r12vrr_stack+119789, r12vrr_stack+196336);

 /*--- compute (p0|d0)^10 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+125035, r12vrr_stack+198, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^9 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+23284, r12vrr_stack+60, r12vrr_stack+125035, r12vrr_stack+81, r12vrr_stack+198, r12vrr_stack+124918);

 /*--- compute (f0|d0)^8 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+196586, r12vrr_stack+119936, r12vrr_stack+23284, r12vrr_stack+1284, r12vrr_stack+60, r12vrr_stack+9);

 /*--- compute (g0|d0)^7 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+196646, r12vrr_stack+119972, r12vrr_stack+196586, r12vrr_stack+125105, r12vrr_stack+119936, r12vrr_stack+196364);

 /*--- compute (h0|d0)^6 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+196736, r12vrr_stack+120032, r12vrr_stack+196646, r12vrr_stack+125141, r12vrr_stack+119972, r12vrr_stack+196394);

 /*--- compute (i0|d0)^5 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+120122, r12vrr_stack+196736, r12vrr_stack+125201, r12vrr_stack+120032, r12vrr_stack+196439);

 /*--- compute (k0|d0)^4 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+125053, r12vrr_stack+79532, r12vrr_stack+1513, r12vrr_stack+125291, r12vrr_stack+120122, r12vrr_stack+196502);

 /*--- compute (l0|d0)^3 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+196862, r12vrr_stack+79700, r12vrr_stack+125053, r12vrr_stack+125417, r12vrr_stack+79532, r12vrr_stack+124927);

 /*--- compute (p0|f0)^10 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1284, r12vrr_stack+3093, r12vrr_stack+13237, NULL, NULL, r12vrr_stack+48);

 /*--- compute (d0|f0)^9 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+125269, r12vrr_stack+120248, r12vrr_stack+1284, r12vrr_stack+2235, r12vrr_stack+3093, r12vrr_stack+125035);

 /*--- compute (f0|f0)^8 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+125329, r12vrr_stack+120278, r12vrr_stack+125269, r12vrr_stack+6912, r12vrr_stack+120248, r12vrr_stack+23284);

 /*--- compute (g0|f0)^7 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+125429, r12vrr_stack+79916, r12vrr_stack+125329, r12vrr_stack+6942, r12vrr_stack+120278, r12vrr_stack+196586);

 /*--- compute (h0|f0)^6 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+80016, r12vrr_stack+125429, r12vrr_stack+125585, r12vrr_stack+79916, r12vrr_stack+196646);

 /*--- compute (i0|f0)^5 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+106123, r12vrr_stack+80166, r12vrr_stack+105913, r12vrr_stack+125685, r12vrr_stack+80016, r12vrr_stack+196736);

 /*--- compute (k0|f0)^4 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+106403, r12vrr_stack+60491, r12vrr_stack+106123, r12vrr_stack+125835, r12vrr_stack+80166, r12vrr_stack+1513);

 /*--- compute (l0|f0)^3 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+125579, r12vrr_stack+60771, r12vrr_stack+106403, r12vrr_stack+126045, r12vrr_stack+60491, r12vrr_stack+125053);

 /*--- compute (m0|f0)^2 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+106763, r12vrr_stack+31399, r12vrr_stack+125579, r12vrr_stack+7002, r12vrr_stack+60771, r12vrr_stack+196862);

 /*--- compute (p0|g0)^10 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+6912, r12vrr_stack+13247, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+13237);

 /*--- compute (d0|g0)^9 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+6957, r12vrr_stack+108, r12vrr_stack+6912, r12vrr_stack+3103, r12vrr_stack+13247, r12vrr_stack+1284);

 /*--- compute (f0|g0)^8 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7047, r12vrr_stack+204, r12vrr_stack+6957, r12vrr_stack+7362, r12vrr_stack+108, r12vrr_stack+125269);

 /*--- compute (g0|g0)^7 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+126029, r12vrr_stack+80376, r12vrr_stack+7047, r12vrr_stack+7407, r12vrr_stack+204, r12vrr_stack+125329);

 /*--- compute (h0|g0)^6 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+107313, r12vrr_stack+95236, r12vrr_stack+126029, r12vrr_stack+126325, r12vrr_stack+80376, r12vrr_stack+125429);

 /*--- compute (i0|g0)^5 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+185400, r12vrr_stack+61131, r12vrr_stack+107313, r12vrr_stack+126475, r12vrr_stack+95236, r12vrr_stack+105913);

 /*--- compute (k0|g0)^4 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+185820, r12vrr_stack+73231, r12vrr_stack+185400, r12vrr_stack+108013, r12vrr_stack+61131, r12vrr_stack+106123);

 /*--- compute (l0|g0)^3 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+107628, r12vrr_stack+27424, r12vrr_stack+185820, r12vrr_stack+108328, r12vrr_stack+73231, r12vrr_stack+106403);

 /*--- compute (m0|g0)^2 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+83262, r12vrr_stack+44446, r12vrr_stack+107628, r12vrr_stack+7497, r12vrr_stack+27424, r12vrr_stack+125579);

 /*--- compute (n0|g0)^1 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+131067, r12vrr_stack+83262, r12vrr_stack+78314, r12vrr_stack+44446, r12vrr_stack+106763);

 /*--- compute (p0|h0)^10 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+1432, r12vrr_stack+31305, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (d0|h0)^9 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+78377, r12vrr_stack+440, r12vrr_stack+78314, r12vrr_stack+13262, r12vrr_stack+1432, r12vrr_stack+6912);

 /*--- compute (f0|h0)^8 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+78503, r12vrr_stack+294, r12vrr_stack+78377, r12vrr_stack+8037, r12vrr_stack+440, r12vrr_stack+6957);

 /*--- compute (g0|h0)^7 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+78713, r12vrr_stack+3118, r12vrr_stack+78503, r12vrr_stack+8100, r12vrr_stack+294, r12vrr_stack+7047);

 /*--- compute (h0|h0)^6 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7197, r12vrr_stack+55304, r12vrr_stack+78713, r12vrr_stack+8226, r12vrr_stack+3118, r12vrr_stack+126029);

 /*--- compute (i0|h0)^5 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7638, r12vrr_stack+126700, r12vrr_stack+7197, r12vrr_stack+2260, r12vrr_stack+55304, r12vrr_stack+107313);

 /*--- compute (k0|h0)^4 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+84087, r12vrr_stack+127141, r12vrr_stack+7638, r12vrr_stack+108748, r12vrr_stack+126700, r12vrr_stack+185400);

 /*--- compute (l0|h0)^3 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+358436, r12vrr_stack+131892, r12vrr_stack+84087, r12vrr_stack+8436, r12vrr_stack+127141, r12vrr_stack+185820);

 /*--- compute (m0|h0)^2 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+359381, r12vrr_stack+132648, r12vrr_stack+358436, r12vrr_stack+84991, r12vrr_stack+131892, r12vrr_stack+107628);

 /*--- compute (n0|h0)^1 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+360536, r12vrr_stack+123658, r12vrr_stack+359381, r12vrr_stack+43501, r12vrr_stack+132648, r12vrr_stack+83262);

 /*--- compute (o0|h0)^0 ---*/
 am[0] = 11;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+361922, r12vrr_stack+129413, r12vrr_stack+360536, r12vrr_stack+9024, r12vrr_stack+123658, r12vrr_stack+63169);

 /*--- compute (p0|i0)^10 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+31326, r12vrr_stack+42860, NULL, NULL, r12vrr_stack+31305);

 /*--- compute (d0|i0)^9 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+43585, r12vrr_stack+124813, r12vrr_stack+43501, r12vrr_stack+1453, r12vrr_stack+31326, r12vrr_stack+78314);

 /*--- compute (f0|i0)^8 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+43753, r12vrr_stack+98269, r12vrr_stack+43585, r12vrr_stack+1110, r12vrr_stack+124813, r12vrr_stack+78377);

 /*--- compute (g0|i0)^7 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8226, r12vrr_stack+98437, r12vrr_stack+43753, r12vrr_stack+2575, r12vrr_stack+98269, r12vrr_stack+78503);

 /*--- compute (h0|i0)^6 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+133593, r12vrr_stack+8226, r12vrr_stack+59593, r12vrr_stack+98437, r12vrr_stack+78713);

 /*--- compute (i0|i0)^5 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+108303, r12vrr_stack+134013, r12vrr_stack+2260, r12vrr_stack+59873, r12vrr_stack+133593, r12vrr_stack+7197);

 /*--- compute (k0|i0)^4 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+84843, r12vrr_stack+98717, r12vrr_stack+108303, r12vrr_stack+64651, r12vrr_stack+134013, r12vrr_stack+7638);

 /*--- compute (l0|i0)^3 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+64159, r12vrr_stack+99501, r12vrr_stack+84843, r12vrr_stack+127873, r12vrr_stack+98717, r12vrr_stack+84087);

 /*--- compute (m0|i0)^2 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+363560, r12vrr_stack+100509, r12vrr_stack+64159, r12vrr_stack+76039, r12vrr_stack+99501, r12vrr_stack+358436);

 /*--- compute (n0|i0)^1 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+365100, r12vrr_stack+272239, r12vrr_stack+363560, r12vrr_stack+201045, r12vrr_stack+100509, r12vrr_stack+359381);

 /*--- compute (o0|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+366948, r12vrr_stack+273779, r12vrr_stack+365100, r12vrr_stack+15524, r12vrr_stack+272239, r12vrr_stack+360536);
 tmp = r12vrr_stack + 366948;
 target_ptr = Libr12->gvrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^10 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201045, r12vrr_stack+19504, r12vrr_stack+60344, NULL, NULL, r12vrr_stack+42860);

 /*--- compute (d0|k0)^9 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201153, r12vrr_stack+140038, r12vrr_stack+201045, r12vrr_stack+11128, r12vrr_stack+19504, r12vrr_stack+43501);

 /*--- compute (f0|k0)^8 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201369, r12vrr_stack+140146, r12vrr_stack+201153, r12vrr_stack+17064, r12vrr_stack+140038, r12vrr_stack+43585);

 /*--- compute (g0|k0)^7 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201729, r12vrr_stack+140362, r12vrr_stack+201369, r12vrr_stack+3531, r12vrr_stack+140146, r12vrr_stack+43753);

 /*--- compute (h0|k0)^6 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+101769, r12vrr_stack+201729, r12vrr_stack+3747, r12vrr_stack+140362, r12vrr_stack+8226);

 /*--- compute (i0|k0)^5 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+369132, r12vrr_stack+102309, r12vrr_stack+76039, r12vrr_stack+1681, r12vrr_stack+101769, r12vrr_stack+2260);

 /*--- compute (k0|k0)^4 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+370140, r12vrr_stack+275627, r12vrr_stack+369132, r12vrr_stack+128657, r12vrr_stack+102309, r12vrr_stack+108303);

 /*--- compute (l0|k0)^3 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+127729, r12vrr_stack+276635, r12vrr_stack+370140, r12vrr_stack+202305, r12vrr_stack+275627, r12vrr_stack+84843);

 /*--- compute (m0|k0)^2 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+371436, r12vrr_stack+277931, r12vrr_stack+127729, r12vrr_stack+203313, r12vrr_stack+276635, r12vrr_stack+64159);

 /*--- compute (n0|k0)^1 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+373416, r12vrr_stack+279551, r12vrr_stack+371436, r12vrr_stack+25084, r12vrr_stack+277931, r12vrr_stack+363560);

 /*--- compute (o0|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+375792, r12vrr_stack+281531, r12vrr_stack+373416, r12vrr_stack+204609, r12vrr_stack+279551, r12vrr_stack+365100);
 tmp = r12vrr_stack + 375792;
 target_ptr = Libr12->gvrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^10 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+60380, r12vrr_stack+79288, NULL, NULL, r12vrr_stack+60344);

 /*--- compute (d0|l0)^9 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+142306, r12vrr_stack+1110, r12vrr_stack+42888, r12vrr_stack+60380, r12vrr_stack+201045);

 /*--- compute (f0|l0)^8 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25354, r12vrr_stack+142441, r12vrr_stack+25084, r12vrr_stack+19288, r12vrr_stack+142306, r12vrr_stack+201153);

 /*--- compute (g0|l0)^7 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25804, r12vrr_stack+142711, r12vrr_stack+25354, r12vrr_stack+26704, r12vrr_stack+142441, r12vrr_stack+201369);

 /*--- compute (h0|l0)^6 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+202269, r12vrr_stack+143161, r12vrr_stack+25804, r12vrr_stack+26974, r12vrr_stack+142711, r12vrr_stack+201729);

 /*--- compute (i0|l0)^5 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+203214, r12vrr_stack+11884, r12vrr_stack+202269, r12vrr_stack+57625, r12vrr_stack+143161, r12vrr_stack+76039);

 /*--- compute (k0|l0)^4 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+378600, r12vrr_stack+283907, r12vrr_stack+203214, r12vrr_stack+206589, r12vrr_stack+11884, r12vrr_stack+369132);

 /*--- compute (l0|l0)^3 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+380220, r12vrr_stack+285167, r12vrr_stack+378600, r12vrr_stack+207534, r12vrr_stack+283907, r12vrr_stack+370140);

 /*--- compute (m0|l0)^2 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+382245, r12vrr_stack+143836, r12vrr_stack+380220, r12vrr_stack+208794, r12vrr_stack+285167, r12vrr_stack+127729);

 /*--- compute (n0|l0)^1 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+206589, r12vrr_stack+286787, r12vrr_stack+382245, r12vrr_stack+37000, r12vrr_stack+143836, r12vrr_stack+371436);

 /*--- compute (o0|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+384720, r12vrr_stack+145861, r12vrr_stack+206589, r12vrr_stack+210414, r12vrr_stack+286787, r12vrr_stack+373416);
 tmp = r12vrr_stack + 384720;
 target_ptr = Libr12->gvrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^10 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+79333, r12vrr_stack+48825, NULL, NULL, r12vrr_stack+79288);

 /*--- compute (d0|m0)^9 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37165, r12vrr_stack+148831, r12vrr_stack+37000, r12vrr_stack+755, r12vrr_stack+79333, r12vrr_stack+1110);

 /*--- compute (f0|m0)^8 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37495, r12vrr_stack+12829, r12vrr_stack+37165, r12vrr_stack+39025, r12vrr_stack+148831, r12vrr_stack+25084);

 /*--- compute (g0|m0)^7 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38045, r12vrr_stack+13283, r12vrr_stack+37495, r12vrr_stack+39190, r12vrr_stack+12829, r12vrr_stack+25354);

 /*--- compute (h0|m0)^6 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+289262, r12vrr_stack+38045, r12vrr_stack+39520, r12vrr_stack+13283, r12vrr_stack+25804);

 /*--- compute (i0|m0)^5 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+388230, r12vrr_stack+290087, r12vrr_stack+57625, r12vrr_stack+20206, r12vrr_stack+289262, r12vrr_stack+202269);

 /*--- compute (k0|m0)^4 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+389770, r12vrr_stack+291242, r12vrr_stack+388230, r12vrr_stack+212889, r12vrr_stack+290087, r12vrr_stack+203214);

 /*--- compute (l0|m0)^3 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+391750, r12vrr_stack+292782, r12vrr_stack+389770, r12vrr_stack+214044, r12vrr_stack+291242, r12vrr_stack+378600);

 /*--- compute (m0|m0)^2 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+394225, r12vrr_stack+294762, r12vrr_stack+391750, r12vrr_stack+215584, r12vrr_stack+292782, r12vrr_stack+380220);

 /*--- compute (n0|m0)^1 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+212889, r12vrr_stack+297237, r12vrr_stack+394225, r12vrr_stack+51575, r12vrr_stack+294762, r12vrr_stack+382245);

 /*--- compute (o0|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+397250, r12vrr_stack+151135, r12vrr_stack+212889, r12vrr_stack+217564, r12vrr_stack+297237, r12vrr_stack+206589);
 tmp = r12vrr_stack + 397250;
 target_ptr = Libr12->gvrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^10 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+83118, r12vrr_stack+93272, NULL, NULL, r12vrr_stack+48825);

 /*--- compute (d0|n0)^9 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51773, r12vrr_stack+154765, r12vrr_stack+51575, r12vrr_stack+79388, r12vrr_stack+83118, r12vrr_stack+37000);

 /*--- compute (f0|n0)^8 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+52169, r12vrr_stack+154963, r12vrr_stack+51773, r12vrr_stack+54050, r12vrr_stack+154765, r12vrr_stack+37165);

 /*--- compute (g0|n0)^7 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+52829, r12vrr_stack+33175, r12vrr_stack+52169, r12vrr_stack+54248, r12vrr_stack+154963, r12vrr_stack+37495);

 /*--- compute (h0|n0)^6 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38870, r12vrr_stack+300262, r12vrr_stack+52829, r12vrr_stack+54644, r12vrr_stack+33175, r12vrr_stack+38045);

 /*--- compute (i0|n0)^5 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+401540, r12vrr_stack+301252, r12vrr_stack+38870, r12vrr_stack+220589, r12vrr_stack+300262, r12vrr_stack+57625);

 /*--- compute (k0|n0)^4 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+403388, r12vrr_stack+302638, r12vrr_stack+401540, r12vrr_stack+221579, r12vrr_stack+301252, r12vrr_stack+388230);

 /*--- compute (l0|n0)^3 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+405764, r12vrr_stack+304486, r12vrr_stack+403388, r12vrr_stack+222965, r12vrr_stack+302638, r12vrr_stack+389770);

 /*--- compute (m0|n0)^2 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+220589, r12vrr_stack+155359, r12vrr_stack+405764, r12vrr_stack+224813, r12vrr_stack+304486, r12vrr_stack+391750);

 /*--- compute (n0|n0)^1 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+408734, r12vrr_stack+306862, r12vrr_stack+220589, r12vrr_stack+68779, r12vrr_stack+155359, r12vrr_stack+394225);

 /*--- compute (o0|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+413090, r12vrr_stack+158329, r12vrr_stack+408734, r12vrr_stack+227189, r12vrr_stack+306862, r12vrr_stack+212889);
 tmp = r12vrr_stack + 413090;
 target_ptr = Libr12->gvrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^10 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+93338, r12vrr_stack+79454, NULL, NULL, r12vrr_stack+93272);

 /*--- compute (d0|o0)^9 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+69013, r12vrr_stack+19810, r12vrr_stack+68779, r12vrr_stack+83184, r12vrr_stack+93338, r12vrr_stack+51575);

 /*--- compute (f0|o0)^8 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+69481, r12vrr_stack+30755, r12vrr_stack+69013, r12vrr_stack+71749, r12vrr_stack+19810, r12vrr_stack+51773);

 /*--- compute (g0|o0)^7 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+70261, r12vrr_stack+33835, r12vrr_stack+69481, r12vrr_stack+71983, r12vrr_stack+30755, r12vrr_stack+52169);

 /*--- compute (h0|o0)^6 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+224219, r12vrr_stack+310492, r12vrr_stack+70261, r12vrr_stack+72451, r12vrr_stack+33835, r12vrr_stack+52829);

 /*--- compute (i0|o0)^5 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+418238, r12vrr_stack+311662, r12vrr_stack+224219, r12vrr_stack+230819, r12vrr_stack+310492, r12vrr_stack+38870);

 /*--- compute (k0|o0)^4 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+420422, r12vrr_stack+313300, r12vrr_stack+418238, r12vrr_stack+231989, r12vrr_stack+311662, r12vrr_stack+401540);

 /*--- compute (l0|o0)^3 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+423230, r12vrr_stack+315484, r12vrr_stack+420422, r12vrr_stack+233627, r12vrr_stack+313300, r12vrr_stack+403388);

 /*--- compute (m0|o0)^2 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+230819, r12vrr_stack+318292, r12vrr_stack+423230, r12vrr_stack+235811, r12vrr_stack+315484, r12vrr_stack+405764);

 /*--- compute (n0|o0)^1 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+426740, r12vrr_stack+166040, r12vrr_stack+230819, r12vrr_stack+89689, r12vrr_stack+318292, r12vrr_stack+220589);

 /*--- compute (o0|o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+431888, r12vrr_stack+321802, r12vrr_stack+426740, r12vrr_stack+238619, r12vrr_stack+166040, r12vrr_stack+408734);
 tmp = r12vrr_stack + 431888;
 target_ptr = Libr12->gvrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^22 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+22, Data->F+23, NULL, NULL, NULL);

 /*--- compute (00|d0)^21 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+21, Data->F+22, NULL);

 /*--- compute (00|f0)^20 ---*/
 _BUILD_00f0(Data,r12vrr_stack+89689, r12vrr_stack+170330, r12vrr_stack+81, r12vrr_stack+93199, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^19 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3103, r12vrr_stack+1488, r12vrr_stack+89689, r12vrr_stack+93202, r12vrr_stack+170330, NULL);

 /*--- compute (00|h0)^18 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13262, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+430, r12vrr_stack+1488, NULL);

 /*--- compute (00|i0)^17 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+89699, r12vrr_stack+124897, r12vrr_stack+13262, r12vrr_stack+1498, r12vrr_stack+2245, NULL);

 /*--- compute (00|k0)^16 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+170336, r12vrr_stack+89699, r12vrr_stack+87, r12vrr_stack+124897, NULL);

 /*--- compute (00|l0)^15 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+89727, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+93208, r12vrr_stack+170336, NULL);

 /*--- compute (00|m0)^14 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+89772, r12vrr_stack+31354, r12vrr_stack+89727, r12vrr_stack+93236, r12vrr_stack+19423, NULL);

 /*--- compute (00|n0)^13 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+79388, r12vrr_stack+83059, r12vrr_stack+89772, r12vrr_stack+19459, r12vrr_stack+31354, NULL);

 /*--- compute (00|o0)^12 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83184, r12vrr_stack+60425, r12vrr_stack+79388, r12vrr_stack+42223, r12vrr_stack+83059, NULL);

 /*--- compute (00|q0)^11 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+89827, r12vrr_stack+79454, r12vrr_stack+83184, r12vrr_stack+93272, r12vrr_stack+60425, NULL);

 /*--- compute (p0|q0)^10 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+89918, r12vrr_stack+170364, r12vrr_stack+89827, NULL, NULL, r12vrr_stack+79454);

 /*--- compute (d0|q0)^9 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+90191, r12vrr_stack+170455, r12vrr_stack+89918, r12vrr_stack+93416, r12vrr_stack+170364, r12vrr_stack+68779);

 /*--- compute (f0|q0)^8 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+90737, r12vrr_stack+170728, r12vrr_stack+90191, r12vrr_stack+93507, r12vrr_stack+170455, r12vrr_stack+69013);

 /*--- compute (g0|q0)^7 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+91647, r12vrr_stack+171274, r12vrr_stack+90737, r12vrr_stack+93780, r12vrr_stack+170728, r12vrr_stack+69481);

 /*--- compute (h0|q0)^6 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+235109, r12vrr_stack+172184, r12vrr_stack+91647, r12vrr_stack+94326, r12vrr_stack+171274, r12vrr_stack+70261);

 /*--- compute (i0|q0)^5 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+437972, r12vrr_stack+326950, r12vrr_stack+235109, r12vrr_stack+242909, r12vrr_stack+172184, r12vrr_stack+224219);

 /*--- compute (k0|q0)^4 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+440520, r12vrr_stack+328861, r12vrr_stack+437972, r12vrr_stack+244274, r12vrr_stack+326950, r12vrr_stack+418238);

 /*--- compute (l0|q0)^3 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+443796, r12vrr_stack+331409, r12vrr_stack+440520, r12vrr_stack+246185, r12vrr_stack+328861, r12vrr_stack+420422);

 /*--- compute (m0|q0)^2 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+242909, r12vrr_stack+334685, r12vrr_stack+443796, r12vrr_stack+248733, r12vrr_stack+331409, r12vrr_stack+423230);

 /*--- compute (n0|q0)^1 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+447891, r12vrr_stack+177350, r12vrr_stack+242909, r12vrr_stack+113648, r12vrr_stack+334685, r12vrr_stack+230819);

 /*--- compute (o0|q0)^0 ---*/
 am[0] = 11;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+453897, r12vrr_stack+338780, r12vrr_stack+447891, r12vrr_stack+252009, r12vrr_stack+177350, r12vrr_stack+426740);
 tmp = r12vrr_stack + 453897;
 target_ptr = Libr12->gvrr_classes[11][12];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^10 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+170364, r12vrr_stack+89827, r12vrr_stack+93338, r12vrr_stack+79454, NULL);

 /*--- compute (p0|r0)^9 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+113753, r12vrr_stack+182355, r12vrr_stack+113648, NULL, NULL, r12vrr_stack+170364);

 /*--- compute (d0|r0)^8 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+114068, r12vrr_stack+182460, r12vrr_stack+113753, r12vrr_stack+80547, r12vrr_stack+182355, r12vrr_stack+170455);

 /*--- compute (f0|r0)^7 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+114698, r12vrr_stack+77047, r12vrr_stack+114068, r12vrr_stack+117743, r12vrr_stack+182460, r12vrr_stack+170728);

 /*--- compute (g0|r0)^6 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+115748, r12vrr_stack+182775, r12vrr_stack+114698, r12vrr_stack+118058, r12vrr_stack+77047, r12vrr_stack+171274);

 /*--- compute (h0|r0)^5 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+247914, r12vrr_stack+183825, r12vrr_stack+115748, r12vrr_stack+118688, r12vrr_stack+182775, r12vrr_stack+172184);

 /*--- compute (i0|r0)^4 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+460995, r12vrr_stack+344786, r12vrr_stack+247914, r12vrr_stack+257014, r12vrr_stack+183825, r12vrr_stack+326950);

 /*--- compute (k0|r0)^3 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+463935, r12vrr_stack+346991, r12vrr_stack+460995, r12vrr_stack+258589, r12vrr_stack+344786, r12vrr_stack+328861);

 /*--- compute (l0|r0)^2 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+467715, r12vrr_stack+349931, r12vrr_stack+463935, r12vrr_stack+260794, r12vrr_stack+346991, r12vrr_stack+331409);

 /*--- compute (m0|r0)^1 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+257014, r12vrr_stack+353711, r12vrr_stack+467715, r12vrr_stack+263734, r12vrr_stack+349931, r12vrr_stack+334685);

 /*--- compute (n0|r0)^0 ---*/
 am[0] = 10;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+472440, r12vrr_stack+190545, r12vrr_stack+257014, r12vrr_stack+267514, r12vrr_stack+353711, r12vrr_stack+177350);
 tmp = r12vrr_stack + 472440;
 target_ptr = Libr12->gvrr_classes[10][13];
 for(i=0;i<6930;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^11 ---*/
 _BUILD_p000(Data,r12vrr_stack+262789, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (d0|00)^10 ---*/
 _BUILD_d000(Data,r12vrr_stack+262792, r12vrr_stack+0, r12vrr_stack+262789, Data->F+10, Data->F+11, NULL);

 /*--- compute (f0|00)^9 ---*/
 _BUILD_f000(Data,r12vrr_stack+430, r12vrr_stack+196320, r12vrr_stack+262792, r12vrr_stack+119738, r12vrr_stack+0, NULL);

 /*--- compute (g0|00)^8 ---*/
 _BUILD_g000(Data,r12vrr_stack+1498, r12vrr_stack+196326, r12vrr_stack+430, r12vrr_stack+119741, r12vrr_stack+196320, NULL);

 /*--- compute (h0|00)^7 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+87, r12vrr_stack+153, r12vrr_stack+1498, r12vrr_stack+32040, r12vrr_stack+196326, NULL);

 /*--- compute (i0|00)^6 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+262798, r12vrr_stack+5862, r12vrr_stack+87, r12vrr_stack+119747, r12vrr_stack+153, NULL);

 /*--- compute (k0|00)^5 ---*/
 am[0] = 7;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+262826, r12vrr_stack+196336, r12vrr_stack+262798, r12vrr_stack+27, r12vrr_stack+5862, NULL);

 /*--- compute (p0|p0)^11 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+5862, r12vrr_stack+3, r12vrr_stack+3090, NULL, NULL, Data->F+12);

 /*--- compute (d0|p0)^10 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+27, r12vrr_stack+124918, r12vrr_stack+5862, r12vrr_stack+1485, r12vrr_stack+3, r12vrr_stack+262789);

 /*--- compute (f0|p0)^9 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+196320, r12vrr_stack+9, r12vrr_stack+27, r12vrr_stack+119762, r12vrr_stack+124918, r12vrr_stack+262792);

 /*--- compute (g0|p0)^8 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+19459, r12vrr_stack+196364, r12vrr_stack+196320, r12vrr_stack+119771, r12vrr_stack+9, r12vrr_stack+430);

 /*--- compute (h0|p0)^7 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+262862, r12vrr_stack+196394, r12vrr_stack+19459, r12vrr_stack+168, r12vrr_stack+196364, r12vrr_stack+1498);

 /*--- compute (i0|p0)^6 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+262925, r12vrr_stack+196439, r12vrr_stack+262862, r12vrr_stack+710, r12vrr_stack+196394, r12vrr_stack+87);

 /*--- compute (k0|p0)^5 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+710, r12vrr_stack+196502, r12vrr_stack+262925, r12vrr_stack+119789, r12vrr_stack+196439, r12vrr_stack+262798);

 /*--- compute (l0|p0)^4 ---*/
 am[0] = 8;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+124927, r12vrr_stack+710, r12vrr_stack+119852, r12vrr_stack+196502, r12vrr_stack+262826);

 /*--- compute (p0|d0)^11 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+48, r12vrr_stack+13231, NULL, NULL, r12vrr_stack+3090);

 /*--- compute (d0|d0)^10 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+818, r12vrr_stack+125035, r12vrr_stack+9, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+5862);

 /*--- compute (f0|d0)^9 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+854, r12vrr_stack+23284, r12vrr_stack+818, r12vrr_stack+60, r12vrr_stack+125035, r12vrr_stack+27);

 /*--- compute (g0|d0)^8 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+186360, r12vrr_stack+196586, r12vrr_stack+854, r12vrr_stack+119936, r12vrr_stack+23284, r12vrr_stack+196320);

 /*--- compute (h0|d0)^7 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+65419, r12vrr_stack+196646, r12vrr_stack+186360, r12vrr_stack+119972, r12vrr_stack+196586, r12vrr_stack+19459);

 /*--- compute (i0|d0)^6 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+196320, r12vrr_stack+196736, r12vrr_stack+65419, r12vrr_stack+120032, r12vrr_stack+196646, r12vrr_stack+262862);

 /*--- compute (k0|d0)^5 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+196488, r12vrr_stack+1513, r12vrr_stack+196320, r12vrr_stack+120122, r12vrr_stack+196736, r12vrr_stack+262925);

 /*--- compute (l0|d0)^4 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+262789, r12vrr_stack+125053, r12vrr_stack+196488, r12vrr_stack+79532, r12vrr_stack+1513, r12vrr_stack+710);

 /*--- compute (m0|d0)^3 ---*/
 am[0] = 9;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1498, r12vrr_stack+196862, r12vrr_stack+262789, r12vrr_stack+79700, r12vrr_stack+125053, r12vrr_stack+19288);

 /*--- compute (p0|f0)^11 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+19288, r12vrr_stack+13237, r12vrr_stack+1422, NULL, NULL, r12vrr_stack+13231);

 /*--- compute (d0|f0)^10 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+19318, r12vrr_stack+1284, r12vrr_stack+19288, r12vrr_stack+3093, r12vrr_stack+13237, r12vrr_stack+9);

 /*--- compute (f0|f0)^9 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+125269, r12vrr_stack+19318, r12vrr_stack+120248, r12vrr_stack+1284, r12vrr_stack+818);

 /*--- compute (g0|f0)^8 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+79532, r12vrr_stack+125329, r12vrr_stack+710, r12vrr_stack+120278, r12vrr_stack+125269, r12vrr_stack+854);

 /*--- compute (h0|f0)^7 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+810, r12vrr_stack+125429, r12vrr_stack+79532, r12vrr_stack+79916, r12vrr_stack+125329, r12vrr_stack+186360);

 /*--- compute (i0|f0)^6 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+79682, r12vrr_stack+105913, r12vrr_stack+810, r12vrr_stack+80016, r12vrr_stack+125429, r12vrr_stack+65419);

 /*--- compute (k0|f0)^5 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+196704, r12vrr_stack+106123, r12vrr_stack+79682, r12vrr_stack+80166, r12vrr_stack+105913, r12vrr_stack+196320);

 /*--- compute (l0|f0)^4 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+124918, r12vrr_stack+106403, r12vrr_stack+196704, r12vrr_stack+60491, r12vrr_stack+106123, r12vrr_stack+196488);

 /*--- compute (m0|f0)^3 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+263059, r12vrr_stack+125579, r12vrr_stack+124918, r12vrr_stack+60771, r12vrr_stack+106403, r12vrr_stack+262789);

 /*--- compute (n0|f0)^2 ---*/
 am[0] = 10;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+106763, r12vrr_stack+263059, r12vrr_stack+31399, r12vrr_stack+125579, r12vrr_stack+1498);

 /*--- compute (p0|g0)^11 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+9, r12vrr_stack+1095, r12vrr_stack+1351, NULL, NULL, r12vrr_stack+1422);

 /*--- compute (d0|g0)^10 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+186360, r12vrr_stack+6912, r12vrr_stack+9, r12vrr_stack+13247, r12vrr_stack+1095, r12vrr_stack+19288);

 /*--- compute (f0|g0)^9 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1498, r12vrr_stack+6957, r12vrr_stack+186360, r12vrr_stack+108, r12vrr_stack+6912, r12vrr_stack+19318);

 /*--- compute (g0|g0)^8 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+1648, r12vrr_stack+7047, r12vrr_stack+1498, r12vrr_stack+204, r12vrr_stack+6957, r12vrr_stack+710);

 /*--- compute (h0|g0)^7 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1873, r12vrr_stack+126029, r12vrr_stack+1648, r12vrr_stack+80376, r12vrr_stack+7047, r12vrr_stack+79532);

 /*--- compute (i0|g0)^6 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+31399, r12vrr_stack+107313, r12vrr_stack+1873, r12vrr_stack+95236, r12vrr_stack+126029, r12vrr_stack+810);

 /*--- compute (k0|g0)^5 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+60491, r12vrr_stack+185400, r12vrr_stack+31399, r12vrr_stack+61131, r12vrr_stack+107313, r12vrr_stack+79682);

 /*--- compute (l0|g0)^4 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+79532, r12vrr_stack+185820, r12vrr_stack+60491, r12vrr_stack+73231, r12vrr_stack+185400, r12vrr_stack+196704);

 /*--- compute (m0|g0)^3 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+80207, r12vrr_stack+107628, r12vrr_stack+79532, r12vrr_stack+27424, r12vrr_stack+185820, r12vrr_stack+124918);

 /*--- compute (n0|g0)^2 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+124918, r12vrr_stack+83262, r12vrr_stack+80207, r12vrr_stack+44446, r12vrr_stack+107628, r12vrr_stack+263059);

 /*--- compute (o0|g0)^1 ---*/
 am[0] = 11;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+262789, r12vrr_stack+63169, r12vrr_stack+124918, r12vrr_stack+131067, r12vrr_stack+83262, r12vrr_stack+105913);

 /*--- compute (p0|h0)^11 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+31305, r12vrr_stack+42839, NULL, NULL, r12vrr_stack+1351);

 /*--- compute (d0|h0)^10 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+65419, r12vrr_stack+78314, r12vrr_stack+105913, r12vrr_stack+1432, r12vrr_stack+31305, r12vrr_stack+9);

 /*--- compute (f0|h0)^9 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+105976, r12vrr_stack+78377, r12vrr_stack+65419, r12vrr_stack+440, r12vrr_stack+78314, r12vrr_stack+186360);

 /*--- compute (g0|h0)^8 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+106186, r12vrr_stack+78503, r12vrr_stack+105976, r12vrr_stack+294, r12vrr_stack+78377, r12vrr_stack+1498);

 /*--- compute (h0|h0)^7 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+106501, r12vrr_stack+78713, r12vrr_stack+106186, r12vrr_stack+3118, r12vrr_stack+78503, r12vrr_stack+1648);

 /*--- compute (i0|h0)^6 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+106942, r12vrr_stack+7197, r12vrr_stack+106501, r12vrr_stack+55304, r12vrr_stack+78713, r12vrr_stack+1873);

 /*--- compute (k0|h0)^5 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+7638, r12vrr_stack+106942, r12vrr_stack+126700, r12vrr_stack+7197, r12vrr_stack+31399);

 /*--- compute (l0|h0)^4 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+196320, r12vrr_stack+84087, r12vrr_stack+78314, r12vrr_stack+127141, r12vrr_stack+7638, r12vrr_stack+60491);

 /*--- compute (m0|h0)^3 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+125908, r12vrr_stack+358436, r12vrr_stack+196320, r12vrr_stack+131892, r12vrr_stack+84087, r12vrr_stack+79532);

 /*--- compute (n0|h0)^2 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+83262, r12vrr_stack+359381, r12vrr_stack+125908, r12vrr_stack+132648, r12vrr_stack+358436, r12vrr_stack+80207);

 /*--- compute (o0|h0)^1 ---*/
 am[0] = 11;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+263959, r12vrr_stack+360536, r12vrr_stack+83262, r12vrr_stack+123658, r12vrr_stack+359381, r12vrr_stack+124918);

 /*--- compute (q0|h0)^0 ---*/
 am[0] = 12;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+358436, r12vrr_stack+361922, r12vrr_stack+263959, r12vrr_stack+129413, r12vrr_stack+360536, r12vrr_stack+262789);

 /*--- compute (p0|i0)^11 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+262789, r12vrr_stack+42860, r12vrr_stack+60316, NULL, NULL, r12vrr_stack+42839);

 /*--- compute (d0|i0)^10 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+262873, r12vrr_stack+43501, r12vrr_stack+262789, r12vrr_stack+31326, r12vrr_stack+42860, r12vrr_stack+105913);

 /*--- compute (f0|i0)^9 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+263041, r12vrr_stack+43585, r12vrr_stack+262873, r12vrr_stack+124813, r12vrr_stack+43501, r12vrr_stack+65419);

 /*--- compute (g0|i0)^8 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+263321, r12vrr_stack+43753, r12vrr_stack+263041, r12vrr_stack+98269, r12vrr_stack+43585, r12vrr_stack+105976);

 /*--- compute (h0|i0)^7 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+124918, r12vrr_stack+8226, r12vrr_stack+263321, r12vrr_stack+98437, r12vrr_stack+43753, r12vrr_stack+106186);

 /*--- compute (i0|i0)^6 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+2260, r12vrr_stack+124918, r12vrr_stack+133593, r12vrr_stack+8226, r12vrr_stack+106501);

 /*--- compute (k0|i0)^5 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+44285, r12vrr_stack+108303, r12vrr_stack+43501, r12vrr_stack+134013, r12vrr_stack+2260, r12vrr_stack+106942);

 /*--- compute (l0|i0)^4 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+84843, r12vrr_stack+44285, r12vrr_stack+98717, r12vrr_stack+108303, r12vrr_stack+78314);

 /*--- compute (m0|i0)^3 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+107173, r12vrr_stack+64159, r12vrr_stack+105913, r12vrr_stack+99501, r12vrr_stack+84843, r12vrr_stack+196320);

 /*--- compute (n0|i0)^2 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+363560, r12vrr_stack+107173, r12vrr_stack+100509, r12vrr_stack+64159, r12vrr_stack+125908);

 /*--- compute (o0|i0)^1 ---*/
 am[0] = 11;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+125506, r12vrr_stack+365100, r12vrr_stack+98269, r12vrr_stack+272239, r12vrr_stack+363560, r12vrr_stack+83262);

 /*--- compute (q0|i0)^0 ---*/
 am[0] = 12;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+83262, r12vrr_stack+366948, r12vrr_stack+125506, r12vrr_stack+273779, r12vrr_stack+365100, r12vrr_stack+263959);
 tmp = r12vrr_stack + 83262;
 target_ptr = Libr12->gvrr_classes[12][6];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^11 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+363560, r12vrr_stack+60344, r12vrr_stack+79252, NULL, NULL, r12vrr_stack+60316);

 /*--- compute (d0|k0)^10 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+363668, r12vrr_stack+201045, r12vrr_stack+363560, r12vrr_stack+19504, r12vrr_stack+60344, r12vrr_stack+262789);

 /*--- compute (f0|k0)^9 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+363884, r12vrr_stack+201153, r12vrr_stack+363668, r12vrr_stack+140038, r12vrr_stack+201045, r12vrr_stack+262873);

 /*--- compute (g0|k0)^8 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+364244, r12vrr_stack+201369, r12vrr_stack+363884, r12vrr_stack+140146, r12vrr_stack+201153, r12vrr_stack+263041);

 /*--- compute (h0|k0)^7 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+364784, r12vrr_stack+201729, r12vrr_stack+364244, r12vrr_stack+140362, r12vrr_stack+201369, r12vrr_stack+263321);

 /*--- compute (i0|k0)^6 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+140038, r12vrr_stack+76039, r12vrr_stack+364784, r12vrr_stack+101769, r12vrr_stack+201729, r12vrr_stack+124918);

 /*--- compute (k0|k0)^5 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+262789, r12vrr_stack+369132, r12vrr_stack+140038, r12vrr_stack+102309, r12vrr_stack+76039, r12vrr_stack+43501);

 /*--- compute (l0|k0)^4 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+264085, r12vrr_stack+370140, r12vrr_stack+262789, r12vrr_stack+275627, r12vrr_stack+369132, r12vrr_stack+44285);

 /*--- compute (m0|k0)^3 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+127729, r12vrr_stack+264085, r12vrr_stack+276635, r12vrr_stack+370140, r12vrr_stack+105913);

 /*--- compute (n0|k0)^2 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+371436, r12vrr_stack+43501, r12vrr_stack+277931, r12vrr_stack+127729, r12vrr_stack+107173);

 /*--- compute (o0|k0)^1 ---*/
 am[0] = 11;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+373416, r12vrr_stack+63169, r12vrr_stack+279551, r12vrr_stack+371436, r12vrr_stack+98269);

 /*--- compute (q0|k0)^0 ---*/
 am[0] = 12;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+375792, r12vrr_stack+105913, r12vrr_stack+281531, r12vrr_stack+373416, r12vrr_stack+125506);
 tmp = r12vrr_stack + 98269;
 target_ptr = Libr12->gvrr_classes[12][7];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^11 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+79288, r12vrr_stack+665, NULL, NULL, r12vrr_stack+79252);

 /*--- compute (d0|l0)^10 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+101545, r12vrr_stack+1110, r12vrr_stack+19288, r12vrr_stack+60380, r12vrr_stack+79288, r12vrr_stack+363560);

 /*--- compute (f0|l0)^9 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+101815, r12vrr_stack+25084, r12vrr_stack+101545, r12vrr_stack+142306, r12vrr_stack+1110, r12vrr_stack+363668);

 /*--- compute (g0|l0)^8 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+102265, r12vrr_stack+25354, r12vrr_stack+101815, r12vrr_stack+142441, r12vrr_stack+25084, r12vrr_stack+363884);

 /*--- compute (h0|l0)^7 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+196320, r12vrr_stack+25804, r12vrr_stack+102265, r12vrr_stack+142711, r12vrr_stack+25354, r12vrr_stack+364244);

 /*--- compute (i0|l0)^6 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+369132, r12vrr_stack+202269, r12vrr_stack+196320, r12vrr_stack+143161, r12vrr_stack+25804, r12vrr_stack+364784);

 /*--- compute (k0|l0)^5 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+203214, r12vrr_stack+369132, r12vrr_stack+11884, r12vrr_stack+202269, r12vrr_stack+140038);

 /*--- compute (l0|l0)^4 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+363560, r12vrr_stack+378600, r12vrr_stack+25084, r12vrr_stack+283907, r12vrr_stack+203214, r12vrr_stack+262789);

 /*--- compute (m0|l0)^3 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+370392, r12vrr_stack+380220, r12vrr_stack+363560, r12vrr_stack+285167, r12vrr_stack+378600, r12vrr_stack+264085);

 /*--- compute (n0|l0)^2 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+262789, r12vrr_stack+382245, r12vrr_stack+370392, r12vrr_stack+143836, r12vrr_stack+380220, r12vrr_stack+43501);

 /*--- compute (o0|l0)^1 ---*/
 am[0] = 11;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+378600, r12vrr_stack+206589, r12vrr_stack+262789, r12vrr_stack+286787, r12vrr_stack+382245, r12vrr_stack+63169);

 /*--- compute (q0|l0)^0 ---*/
 am[0] = 12;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+283907, r12vrr_stack+384720, r12vrr_stack+378600, r12vrr_stack+145861, r12vrr_stack+206589, r12vrr_stack+105913);
 tmp = r12vrr_stack + 283907;
 target_ptr = Libr12->gvrr_classes[12][8];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^11 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+48825, r12vrr_stack+42223, NULL, NULL, r12vrr_stack+665);

 /*--- compute (d0|m0)^10 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+106078, r12vrr_stack+37000, r12vrr_stack+105913, r12vrr_stack+79333, r12vrr_stack+48825, r12vrr_stack+19288);

 /*--- compute (f0|m0)^9 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+106408, r12vrr_stack+37165, r12vrr_stack+106078, r12vrr_stack+148831, r12vrr_stack+37000, r12vrr_stack+101545);

 /*--- compute (g0|m0)^8 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+106958, r12vrr_stack+37495, r12vrr_stack+106408, r12vrr_stack+12829, r12vrr_stack+37165, r12vrr_stack+101815);

 /*--- compute (h0|m0)^7 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+107783, r12vrr_stack+38045, r12vrr_stack+106958, r12vrr_stack+13283, r12vrr_stack+37495, r12vrr_stack+102265);

 /*--- compute (i0|m0)^6 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+272239, r12vrr_stack+57625, r12vrr_stack+107783, r12vrr_stack+289262, r12vrr_stack+38045, r12vrr_stack+196320);

 /*--- compute (k0|m0)^5 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+101545, r12vrr_stack+388230, r12vrr_stack+272239, r12vrr_stack+290087, r12vrr_stack+57625, r12vrr_stack+369132);

 /*--- compute (l0|m0)^4 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+206589, r12vrr_stack+389770, r12vrr_stack+101545, r12vrr_stack+291242, r12vrr_stack+388230, r12vrr_stack+25084);

 /*--- compute (m0|m0)^3 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+288002, r12vrr_stack+391750, r12vrr_stack+206589, r12vrr_stack+292782, r12vrr_stack+389770, r12vrr_stack+363560);

 /*--- compute (n0|m0)^2 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+291027, r12vrr_stack+394225, r12vrr_stack+288002, r12vrr_stack+294762, r12vrr_stack+391750, r12vrr_stack+370392);

 /*--- compute (o0|m0)^1 ---*/
 am[0] = 11;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+388230, r12vrr_stack+212889, r12vrr_stack+291027, r12vrr_stack+297237, r12vrr_stack+394225, r12vrr_stack+262789);

 /*--- compute (q0|m0)^0 ---*/
 am[0] = 12;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+369132, r12vrr_stack+397250, r12vrr_stack+388230, r12vrr_stack+151135, r12vrr_stack+212889, r12vrr_stack+378600);
 tmp = r12vrr_stack + 369132;
 target_ptr = Libr12->gvrr_classes[12][9];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^11 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+378600, r12vrr_stack+93272, r12vrr_stack+60425, NULL, NULL, r12vrr_stack+42223);

 /*--- compute (d0|n0)^10 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+378798, r12vrr_stack+51575, r12vrr_stack+378600, r12vrr_stack+83118, r12vrr_stack+93272, r12vrr_stack+105913);

 /*--- compute (f0|n0)^9 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+379194, r12vrr_stack+51773, r12vrr_stack+378798, r12vrr_stack+154765, r12vrr_stack+51575, r12vrr_stack+106078);

 /*--- compute (g0|n0)^8 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+379854, r12vrr_stack+52169, r12vrr_stack+379194, r12vrr_stack+154963, r12vrr_stack+51773, r12vrr_stack+106408);

 /*--- compute (h0|n0)^7 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+380844, r12vrr_stack+52829, r12vrr_stack+379854, r12vrr_stack+33175, r12vrr_stack+52169, r12vrr_stack+106958);

 /*--- compute (i0|n0)^6 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+38870, r12vrr_stack+380844, r12vrr_stack+300262, r12vrr_stack+52829, r12vrr_stack+107783);

 /*--- compute (k0|n0)^5 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+401540, r12vrr_stack+105913, r12vrr_stack+301252, r12vrr_stack+38870, r12vrr_stack+272239);

 /*--- compute (l0|n0)^4 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+403388, r12vrr_stack+63169, r12vrr_stack+302638, r12vrr_stack+401540, r12vrr_stack+101545);

 /*--- compute (m0|n0)^3 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+212889, r12vrr_stack+405764, r12vrr_stack+51575, r12vrr_stack+304486, r12vrr_stack+403388, r12vrr_stack+206589);

 /*--- compute (n0|n0)^2 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+262789, r12vrr_stack+220589, r12vrr_stack+212889, r12vrr_stack+155359, r12vrr_stack+405764, r12vrr_stack+288002);

 /*--- compute (o0|n0)^1 ---*/
 am[0] = 11;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+401540, r12vrr_stack+408734, r12vrr_stack+262789, r12vrr_stack+306862, r12vrr_stack+220589, r12vrr_stack+291027);

 /*--- compute (q0|n0)^0 ---*/
 am[0] = 12;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+288002, r12vrr_stack+413090, r12vrr_stack+401540, r12vrr_stack+158329, r12vrr_stack+408734, r12vrr_stack+388230);
 tmp = r12vrr_stack + 288002;
 target_ptr = Libr12->gvrr_classes[12][10];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^11 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+388230, r12vrr_stack+79454, r12vrr_stack+83184, NULL, NULL, r12vrr_stack+60425);

 /*--- compute (d0|o0)^10 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+388464, r12vrr_stack+68779, r12vrr_stack+388230, r12vrr_stack+93338, r12vrr_stack+79454, r12vrr_stack+378600);

 /*--- compute (f0|o0)^9 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+388932, r12vrr_stack+69013, r12vrr_stack+388464, r12vrr_stack+19810, r12vrr_stack+68779, r12vrr_stack+378798);

 /*--- compute (g0|o0)^8 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+69481, r12vrr_stack+388932, r12vrr_stack+30755, r12vrr_stack+69013, r12vrr_stack+379194);

 /*--- compute (h0|o0)^7 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+389712, r12vrr_stack+70261, r12vrr_stack+19810, r12vrr_stack+33835, r12vrr_stack+69481, r12vrr_stack+379854);

 /*--- compute (i0|o0)^6 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+378600, r12vrr_stack+224219, r12vrr_stack+389712, r12vrr_stack+310492, r12vrr_stack+70261, r12vrr_stack+380844);

 /*--- compute (k0|o0)^5 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+418238, r12vrr_stack+378600, r12vrr_stack+311662, r12vrr_stack+224219, r12vrr_stack+105913);

 /*--- compute (l0|o0)^4 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+380784, r12vrr_stack+420422, r12vrr_stack+68779, r12vrr_stack+313300, r12vrr_stack+418238, r12vrr_stack+63169);

 /*--- compute (m0|o0)^3 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+391350, r12vrr_stack+423230, r12vrr_stack+380784, r12vrr_stack+315484, r12vrr_stack+420422, r12vrr_stack+51575);

 /*--- compute (n0|o0)^2 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+220589, r12vrr_stack+230819, r12vrr_stack+391350, r12vrr_stack+318292, r12vrr_stack+423230, r12vrr_stack+212889);

 /*--- compute (o0|o0)^1 ---*/
 am[0] = 11;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+418238, r12vrr_stack+426740, r12vrr_stack+220589, r12vrr_stack+166040, r12vrr_stack+230819, r12vrr_stack+262789);

 /*--- compute (q0|o0)^0 ---*/
 am[0] = 12;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+294008, r12vrr_stack+431888, r12vrr_stack+418238, r12vrr_stack+321802, r12vrr_stack+426740, r12vrr_stack+401540);
 tmp = r12vrr_stack + 294008;
 target_ptr = Libr12->gvrr_classes[12][11];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^23 ---*/
 _BUILD_00p0(Data,r12vrr_stack+401540, Data->F+23, Data->F+24, NULL, NULL, NULL);

 /*--- compute (00|d0)^22 ---*/
 _BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+6, r12vrr_stack+401540, Data->F+22, Data->F+23, NULL);

 /*--- compute (00|f0)^21 ---*/
 _BUILD_00f0(Data,r12vrr_stack+401540, r12vrr_stack+81, r12vrr_stack+0, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^20 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+89689, r12vrr_stack+401540, r12vrr_stack+170330, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^19 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+3103, r12vrr_stack+0, r12vrr_stack+1488, r12vrr_stack+89689, NULL);

 /*--- compute (00|i0)^18 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+13262, r12vrr_stack+5862, r12vrr_stack+2245, r12vrr_stack+3103, NULL);

 /*--- compute (00|k0)^17 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23284, r12vrr_stack+89699, r12vrr_stack+0, r12vrr_stack+124897, r12vrr_stack+13262, NULL);

 /*--- compute (00|l0)^16 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+11128, r12vrr_stack+23284, r12vrr_stack+170336, r12vrr_stack+89699, NULL);

 /*--- compute (00|m0)^15 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+89727, r12vrr_stack+0, r12vrr_stack+19423, r12vrr_stack+11128, NULL);

 /*--- compute (00|n0)^14 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+401540, r12vrr_stack+89772, r12vrr_stack+48825, r12vrr_stack+31354, r12vrr_stack+89727, NULL);

 /*--- compute (00|o0)^13 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+79388, r12vrr_stack+401540, r12vrr_stack+83059, r12vrr_stack+89772, NULL);

 /*--- compute (00|q0)^12 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+83184, r12vrr_stack+89689, r12vrr_stack+60425, r12vrr_stack+79388, NULL);

 /*--- compute (p0|q0)^11 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+3090, r12vrr_stack+89827, r12vrr_stack+83059, NULL, NULL, r12vrr_stack+83184);

 /*--- compute (d0|q0)^10 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+401540, r12vrr_stack+89918, r12vrr_stack+3090, r12vrr_stack+170364, r12vrr_stack+89827, r12vrr_stack+388230);

 /*--- compute (f0|q0)^9 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+402086, r12vrr_stack+90191, r12vrr_stack+401540, r12vrr_stack+170455, r12vrr_stack+89918, r12vrr_stack+388464);

 /*--- compute (g0|q0)^8 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+402996, r12vrr_stack+90737, r12vrr_stack+402086, r12vrr_stack+170728, r12vrr_stack+90191, r12vrr_stack+388932);

 /*--- compute (h0|q0)^7 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+404361, r12vrr_stack+91647, r12vrr_stack+402996, r12vrr_stack+171274, r12vrr_stack+90737, r12vrr_stack+19810);

 /*--- compute (i0|q0)^6 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+401540, r12vrr_stack+235109, r12vrr_stack+404361, r12vrr_stack+172184, r12vrr_stack+91647, r12vrr_stack+389712);

 /*--- compute (k0|q0)^5 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+437972, r12vrr_stack+401540, r12vrr_stack+326950, r12vrr_stack+235109, r12vrr_stack+378600);

 /*--- compute (l0|q0)^4 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+401540, r12vrr_stack+440520, r12vrr_stack+105913, r12vrr_stack+328861, r12vrr_stack+437972, r12vrr_stack+68779);

 /*--- compute (m0|q0)^3 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+405635, r12vrr_stack+443796, r12vrr_stack+401540, r12vrr_stack+331409, r12vrr_stack+440520, r12vrr_stack+380784);

 /*--- compute (n0|q0)^2 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+378600, r12vrr_stack+242909, r12vrr_stack+405635, r12vrr_stack+334685, r12vrr_stack+443796, r12vrr_stack+391350);

 /*--- compute (o0|q0)^1 ---*/
 am[0] = 11;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+401540, r12vrr_stack+447891, r12vrr_stack+378600, r12vrr_stack+177350, r12vrr_stack+242909, r12vrr_stack+220589);

 /*--- compute (q0|q0)^0 ---*/
 am[0] = 12;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+326950, r12vrr_stack+453897, r12vrr_stack+401540, r12vrr_stack+338780, r12vrr_stack+447891, r12vrr_stack+418238);

 /*--- compute (00|r0)^11 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+418238, r12vrr_stack+89827, r12vrr_stack+83059, r12vrr_stack+79454, r12vrr_stack+83184, NULL);

 /*--- compute (p0|r0)^10 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+418343, r12vrr_stack+113648, r12vrr_stack+418238, NULL, NULL, r12vrr_stack+89827);

 /*--- compute (d0|r0)^9 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+418658, r12vrr_stack+113753, r12vrr_stack+418343, r12vrr_stack+182355, r12vrr_stack+113648, r12vrr_stack+89918);

 /*--- compute (f0|r0)^8 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+185400, r12vrr_stack+114068, r12vrr_stack+418658, r12vrr_stack+182460, r12vrr_stack+113753, r12vrr_stack+90191);

 /*--- compute (g0|r0)^7 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+360347, r12vrr_stack+114698, r12vrr_stack+185400, r12vrr_stack+77047, r12vrr_stack+114068, r12vrr_stack+90737);

 /*--- compute (h0|r0)^6 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+418238, r12vrr_stack+115748, r12vrr_stack+360347, r12vrr_stack+182775, r12vrr_stack+114698, r12vrr_stack+91647);

 /*--- compute (i0|r0)^5 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+420443, r12vrr_stack+247914, r12vrr_stack+418238, r12vrr_stack+183825, r12vrr_stack+115748, r12vrr_stack+235109);

 /*--- compute (k0|r0)^4 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+460995, r12vrr_stack+420443, r12vrr_stack+344786, r12vrr_stack+247914, r12vrr_stack+437972);

 /*--- compute (l0|r0)^3 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+262789, r12vrr_stack+463935, r12vrr_stack+113648, r12vrr_stack+346991, r12vrr_stack+460995, r12vrr_stack+440520);

 /*--- compute (m0|r0)^2 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+467715, r12vrr_stack+262789, r12vrr_stack+349931, r12vrr_stack+463935, r12vrr_stack+443796);

 /*--- compute (n0|r0)^1 ---*/
 am[0] = 10;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+437972, r12vrr_stack+257014, r12vrr_stack+113648, r12vrr_stack+353711, r12vrr_stack+467715, r12vrr_stack+242909);

 /*--- compute (o0|r0)^0 ---*/
 am[0] = 11;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+242909, r12vrr_stack+472440, r12vrr_stack+437972, r12vrr_stack+190545, r12vrr_stack+257014, r12vrr_stack+447891);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+257014, &(Data->ss_r12_ss), NULL, r12vrr_stack+1245, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+257017, r12vrr_stack+257014, &(Data->ss_r12_ss), r12vrr_stack+54, r12vrr_stack+1245, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+257023, r12vrr_stack+257017, r12vrr_stack+257014, r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+1245, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+257033, r12vrr_stack+257023, r12vrr_stack+257017, r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+54, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+5862, r12vrr_stack+257033, r12vrr_stack+257023, r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+420, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+257048, r12vrr_stack+5862, r12vrr_stack+257033, r12vrr_stack+2978, r12vrr_stack+1263, r12vrr_stack+1248, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+257076, r12vrr_stack+257048, NULL, r12vrr_stack+3006, r12vrr_stack+2978, NULL, r12vrr_stack+1263);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+257160, r12vrr_stack+257076, r12vrr_stack+257048, r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+2978, r12vrr_stack+4203);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+257328, r12vrr_stack+257160, r12vrr_stack+257076, r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+4266);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+257608, r12vrr_stack+257328, r12vrr_stack+257160, r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+4392);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+258028, r12vrr_stack+257608, r12vrr_stack+257328, r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+4602);

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+258616, r12vrr_stack+258028, r12vrr_stack+257608, r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+5883);
 tmp = r12vrr_stack + 258616;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+140038, r12vrr_stack+258616, r12vrr_stack+258028, r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+6324);
 tmp = r12vrr_stack + 140038;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||i0)^0 ---*/
 _R_BUILD_l0i0(Data,r12vrr_stack+257076, r12vrr_stack+140038, r12vrr_stack+258616, r12vrr_stack+141046, r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+10372);
 tmp = r12vrr_stack + 257076;
 target_ptr = Libr12->rvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+272239, r12vrr_stack+257076, r12vrr_stack+140038, r12vrr_stack+15524, r12vrr_stack+141046, r12vrr_stack+18100, r12vrr_stack+4917);
 tmp = r12vrr_stack + 272239;
 target_ptr = Libr12->rvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+258336, r12vrr_stack+272239, r12vrr_stack+257076, r12vrr_stack+273779, r12vrr_stack+15524, r12vrr_stack+141046, r12vrr_stack+9024);
 tmp = r12vrr_stack + 258336;
 target_ptr = Libr12->rvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+11128, r12vrr_stack+257048, r12vrr_stack+5862, r12vrr_stack+11164, r12vrr_stack+2978, r12vrr_stack+1263, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+5862, r12vrr_stack+11128, NULL, r12vrr_stack+11200, r12vrr_stack+11164, NULL, r12vrr_stack+2978);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+5970, r12vrr_stack+5862, r12vrr_stack+11128, r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+11164, r12vrr_stack+3006);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+257076, r12vrr_stack+5970, r12vrr_stack+5862, r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+3363);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+3006, r12vrr_stack+257076, r12vrr_stack+5970, r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+14236);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+3546, r12vrr_stack+3006, r12vrr_stack+257076, r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+14516);

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+140038, r12vrr_stack+3546, r12vrr_stack+3006, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+14936);
 tmp = r12vrr_stack + 140038;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+260184, r12vrr_stack+140038, r12vrr_stack+3546, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+17316);
 tmp = r12vrr_stack + 260184;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||k0)^0 ---*/
 _R_BUILD_l0k0(Data,r12vrr_stack+33175, r12vrr_stack+260184, r12vrr_stack+140038, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+18100);
 tmp = r12vrr_stack + 33175;
 target_ptr = Libr12->rvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+261480, r12vrr_stack+33175, r12vrr_stack+260184, r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+141046);
 tmp = r12vrr_stack + 261480;
 target_ptr = Libr12->rvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+261480, r12vrr_stack+33175, r12vrr_stack+281531, r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+15524);
 tmp = r12vrr_stack + 63169;
 target_ptr = Libr12->rvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+33175, r12vrr_stack+11128, r12vrr_stack+257048, r12vrr_stack+19108, r12vrr_stack+11164, r12vrr_stack+2978, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+33220, r12vrr_stack+33175, NULL, r12vrr_stack+19153, r12vrr_stack+19108, NULL, r12vrr_stack+11164);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+33355, r12vrr_stack+33220, r12vrr_stack+33175, r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+19108, r12vrr_stack+11200);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+33625, r12vrr_stack+33355, r12vrr_stack+33220, r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+11308);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+34075, r12vrr_stack+33625, r12vrr_stack+33355, r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+11524);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+196320, r12vrr_stack+34075, r12vrr_stack+33625, r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+21124);

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+11200, r12vrr_stack+196320, r12vrr_stack+34075, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+23320);
 tmp = r12vrr_stack + 11200;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+12460, r12vrr_stack+11200, r12vrr_stack+196320, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+24076);
 tmp = r12vrr_stack + 12460;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||l0)^0 ---*/
 _R_BUILD_l0l0(Data,r12vrr_stack+263460, r12vrr_stack+12460, r12vrr_stack+11200, r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+27964);
 tmp = r12vrr_stack + 263460;
 target_ptr = Libr12->rvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+437972, r12vrr_stack+263460, r12vrr_stack+12460, r12vrr_stack+210414, r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+21664);
 tmp = r12vrr_stack + 437972;
 target_ptr = Libr12->rvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11200, r12vrr_stack+437972, r12vrr_stack+263460, r12vrr_stack+145861, r12vrr_stack+210414, r12vrr_stack+149110, r12vrr_stack+204609);
 tmp = r12vrr_stack + 11200;
 target_ptr = Libr12->rvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+33175, r12vrr_stack+11128, r12vrr_stack+30205, r12vrr_stack+19108, r12vrr_stack+11164, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+263460, r12vrr_stack+48825, NULL, r12vrr_stack+30260, r12vrr_stack+30205, NULL, r12vrr_stack+19108);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+263625, r12vrr_stack+263460, r12vrr_stack+48825, r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+30205, r12vrr_stack+19153);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+263955, r12vrr_stack+263625, r12vrr_stack+263460, r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+19540);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+263955, r12vrr_stack+263625, r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+32050);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19978, r12vrr_stack+19153, r12vrr_stack+263955, r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+32500);

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+263460, r12vrr_stack+19978, r12vrr_stack+19153, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+34795);
 tmp = r12vrr_stack + 263460;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+265000, r12vrr_stack+263460, r12vrr_stack+19978, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+35740);
 tmp = r12vrr_stack + 265000;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+265000, r12vrr_stack+263460, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+40330);
 tmp = r12vrr_stack + 19153;
 target_ptr = Libr12->rvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+440447, r12vrr_stack+19153, r12vrr_stack+265000, r12vrr_stack+217564, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+149110);
 tmp = r12vrr_stack + 440447;
 target_ptr = Libr12->rvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+263460, r12vrr_stack+440447, r12vrr_stack+19153, r12vrr_stack+151135, r12vrr_stack+217564, r12vrr_stack+46350, r12vrr_stack+210414);
 tmp = r12vrr_stack + 263460;
 target_ptr = Libr12->rvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+48825, r12vrr_stack+33175, r12vrr_stack+42280, r12vrr_stack+30205, r12vrr_stack+19108, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19219, r12vrr_stack+19153, NULL, r12vrr_stack+42346, r12vrr_stack+42280, NULL, r12vrr_stack+30205);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19417, r12vrr_stack+19219, r12vrr_stack+19153, r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+42280, r12vrr_stack+30260);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19813, r12vrr_stack+19417, r12vrr_stack+19219, r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+30425);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+19813, r12vrr_stack+19417, r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+29370);

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31250, r12vrr_stack+30260, r12vrr_stack+19813, r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+45525);

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19219, r12vrr_stack+31250, r12vrr_stack+30260, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+48880);
 tmp = r12vrr_stack + 19219;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+443472, r12vrr_stack+19219, r12vrr_stack+31250, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+50035);
 tmp = r12vrr_stack + 443472;
 target_ptr = Libr12->rvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+443472, r12vrr_stack+19219, r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+55645);
 tmp = r12vrr_stack + 30260;
 target_ptr = Libr12->rvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+445848, r12vrr_stack+30260, r12vrr_stack+443472, r12vrr_stack+227189, r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+46350);
 tmp = r12vrr_stack + 445848;
 target_ptr = Libr12->rvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+449478, r12vrr_stack+445848, r12vrr_stack+30260, r12vrr_stack+158329, r12vrr_stack+227189, r12vrr_stack+163070, r12vrr_stack+217564);
 tmp = r12vrr_stack + 449478;
 target_ptr = Libr12->rvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+19153, r12vrr_stack+48825, r12vrr_stack+58813, r12vrr_stack+42280, r12vrr_stack+30205, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30338, r12vrr_stack+30260, NULL, r12vrr_stack+58891, r12vrr_stack+58813, NULL, r12vrr_stack+42280);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30572, r12vrr_stack+30338, r12vrr_stack+30260, r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+58813, r12vrr_stack+42346);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31040, r12vrr_stack+30572, r12vrr_stack+30338, r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+43105);

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42346, r12vrr_stack+31040, r12vrr_stack+30572, r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+61519);

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+42346, r12vrr_stack+31040, r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+62179);

 /*--- compute (i0||o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30338, r12vrr_stack+76039, r12vrr_stack+42346, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+65545);
 tmp = r12vrr_stack + 30338;
 target_ptr = Libr12->rvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42346, r12vrr_stack+30338, r12vrr_stack+76039, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+66931);
 tmp = r12vrr_stack + 42346;
 target_ptr = Libr12->rvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+42346, r12vrr_stack+30338, r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+73663);
 tmp = r12vrr_stack + 113648;
 target_ptr = Libr12->rvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30338, r12vrr_stack+113648, r12vrr_stack+42346, r12vrr_stack+238619, r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+163070);
 tmp = r12vrr_stack + 30338;
 target_ptr = Libr12->rvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+460995, r12vrr_stack+30338, r12vrr_stack+113648, r12vrr_stack+321802, r12vrr_stack+238619, r12vrr_stack+173840, r12vrr_stack+227189);
 tmp = r12vrr_stack + 460995;
 target_ptr = Libr12->rvrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+30260, r12vrr_stack+19153, r12vrr_stack+77677, r12vrr_stack+58813, r12vrr_stack+42280, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+113739, r12vrr_stack+113648, NULL, r12vrr_stack+41950, r12vrr_stack+77677, NULL, r12vrr_stack+58813);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+114012, r12vrr_stack+113739, r12vrr_stack+113648, r12vrr_stack+77768, r12vrr_stack+41950, r12vrr_stack+77677, r12vrr_stack+58891);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+251099, r12vrr_stack+114012, r12vrr_stack+113739, r12vrr_stack+103638, r12vrr_stack+77768, r12vrr_stack+41950, r12vrr_stack+59125);

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+251099, r12vrr_stack+114012, r12vrr_stack+104548, r12vrr_stack+103638, r12vrr_stack+77768, r12vrr_stack+81109);

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+43315, r12vrr_stack+41950, r12vrr_stack+251099, r12vrr_stack+109189, r12vrr_stack+104548, r12vrr_stack+103638, r12vrr_stack+81889);

 /*--- compute (i0||q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+43315, r12vrr_stack+41950, r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+104548, r12vrr_stack+85867);
 tmp = r12vrr_stack + 113648;
 target_ptr = Libr12->rvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+116196, r12vrr_stack+113648, r12vrr_stack+43315, r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+87505);
 tmp = r12vrr_stack + 116196;
 target_ptr = Libr12->rvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+116196, r12vrr_stack+113648, r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+95461);
 tmp = r12vrr_stack + 41950;
 target_ptr = Libr12->rvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+41950, r12vrr_stack+116196, r12vrr_stack+252009, r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+173840);
 tmp = r12vrr_stack + 76039;
 target_ptr = Libr12->rvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+76039, r12vrr_stack+41950, r12vrr_stack+338780, r12vrr_stack+252009, r12vrr_stack+186450, r12vrr_stack+238619);
 tmp = r12vrr_stack + 113648;
 target_ptr = Libr12->rvrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+41950, r12vrr_stack+17316, r12vrr_stack+24076, r12vrr_stack+18100, r12vrr_stack+10372, r12vrr_stack+6324);
 tmp = r12vrr_stack + 41950;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+140038, r12vrr_stack+24076, r12vrr_stack+35740, r12vrr_stack+27964, r12vrr_stack+18100, r12vrr_stack+17316);
 tmp = r12vrr_stack + 140038;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+42734, r12vrr_stack+35740, r12vrr_stack+50035, r12vrr_stack+40330, r12vrr_stack+27964, r12vrr_stack+24076);
 tmp = r12vrr_stack + 42734;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+43994, r12vrr_stack+50035, r12vrr_stack+66931, r12vrr_stack+55645, r12vrr_stack+40330, r12vrr_stack+35740);
 tmp = r12vrr_stack + 43994;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+81044, r12vrr_stack+66931, r12vrr_stack+87505, r12vrr_stack+73663, r12vrr_stack+55645, r12vrr_stack+50035);
 tmp = r12vrr_stack + 81044;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+443472, r12vrr_stack+87505, r12vrr_stack+111100, r12vrr_stack+95461, r12vrr_stack+73663, r12vrr_stack+66931);
 tmp = r12vrr_stack + 443472;
 target_ptr = Libr12->t2vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+19108, r12vrr_stack+111100, r12vrr_stack+137098, r12vrr_stack+120382, r12vrr_stack+95461, r12vrr_stack+87505);
 tmp = r12vrr_stack + 19108;
 target_ptr = Libr12->t2vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+260184, r12vrr_stack+18100, r12vrr_stack+27964, r12vrr_stack+141046, r12vrr_stack+4917, r12vrr_stack+10372);
 tmp = r12vrr_stack + 260184;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+5862, r12vrr_stack+27964, r12vrr_stack+40330, r12vrr_stack+21664, r12vrr_stack+141046, r12vrr_stack+18100);
 tmp = r12vrr_stack + 5862;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+7158, r12vrr_stack+40330, r12vrr_stack+55645, r12vrr_stack+149110, r12vrr_stack+21664, r12vrr_stack+27964);
 tmp = r12vrr_stack + 7158;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+466143, r12vrr_stack+55645, r12vrr_stack+73663, r12vrr_stack+46350, r12vrr_stack+149110, r12vrr_stack+40330);
 tmp = r12vrr_stack + 466143;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+468123, r12vrr_stack+73663, r12vrr_stack+95461, r12vrr_stack+163070, r12vrr_stack+46350, r12vrr_stack+55645);
 tmp = r12vrr_stack + 468123;
 target_ptr = Libr12->t2vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+344786, r12vrr_stack+95461, r12vrr_stack+120382, r12vrr_stack+173840, r12vrr_stack+163070, r12vrr_stack+73663);
 tmp = r12vrr_stack + 344786;
 target_ptr = Libr12->t2vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+347594, r12vrr_stack+120382, r12vrr_stack+197265, r12vrr_stack+186450, r12vrr_stack+173840, r12vrr_stack+95461);
 tmp = r12vrr_stack + 347594;
 target_ptr = Libr12->t2vrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+257014, r12vrr_stack+141046, r12vrr_stack+21664, r12vrr_stack+15524, r12vrr_stack+9024, r12vrr_stack+4917);
 tmp = r12vrr_stack + 257014;
 target_ptr = Libr12->t2vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+470499, r12vrr_stack+21664, r12vrr_stack+149110, r12vrr_stack+204609, r12vrr_stack+15524, r12vrr_stack+141046);
 tmp = r12vrr_stack + 470499;
 target_ptr = Libr12->t2vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+350870, r12vrr_stack+149110, r12vrr_stack+46350, r12vrr_stack+210414, r12vrr_stack+204609, r12vrr_stack+21664);
 tmp = r12vrr_stack + 350870;
 target_ptr = Libr12->t2vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+352895, r12vrr_stack+46350, r12vrr_stack+163070, r12vrr_stack+217564, r12vrr_stack+210414, r12vrr_stack+149110);
 tmp = r12vrr_stack + 352895;
 target_ptr = Libr12->t2vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+355370, r12vrr_stack+163070, r12vrr_stack+173840, r12vrr_stack+227189, r12vrr_stack+217564, r12vrr_stack+46350);
 tmp = r12vrr_stack + 355370;
 target_ptr = Libr12->t2vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+418238, r12vrr_stack+173840, r12vrr_stack+186450, r12vrr_stack+238619, r12vrr_stack+227189, r12vrr_stack+163070);
 tmp = r12vrr_stack + 418238;
 target_ptr = Libr12->t2vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+421748, r12vrr_stack+186450, r12vrr_stack+267514, r12vrr_stack+252009, r12vrr_stack+238619, r12vrr_stack+173840);
 tmp = r12vrr_stack + 421748;
 target_ptr = Libr12->t2vrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+425843, r12vrr_stack+15524, r12vrr_stack+204609, r12vrr_stack+273779, r12vrr_stack+129413, r12vrr_stack+9024);
 tmp = r12vrr_stack + 425843;
 target_ptr = Libr12->t2vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+8778, r12vrr_stack+204609, r12vrr_stack+210414, r12vrr_stack+281531, r12vrr_stack+273779, r12vrr_stack+15524);
 tmp = r12vrr_stack + 8778;
 target_ptr = Libr12->t2vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+427383, r12vrr_stack+210414, r12vrr_stack+217564, r12vrr_stack+145861, r12vrr_stack+281531, r12vrr_stack+204609);
 tmp = r12vrr_stack + 427383;
 target_ptr = Libr12->t2vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+401540, r12vrr_stack+217564, r12vrr_stack+227189, r12vrr_stack+151135, r12vrr_stack+145861, r12vrr_stack+210414);
 tmp = r12vrr_stack + 401540;
 target_ptr = Libr12->t2vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+404565, r12vrr_stack+227189, r12vrr_stack+238619, r12vrr_stack+158329, r12vrr_stack+151135, r12vrr_stack+217564);
 tmp = r12vrr_stack + 404565;
 target_ptr = Libr12->t2vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+408195, r12vrr_stack+238619, r12vrr_stack+252009, r12vrr_stack+321802, r12vrr_stack+158329, r12vrr_stack+227189);
 tmp = r12vrr_stack + 408195;
 target_ptr = Libr12->t2vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+220589, r12vrr_stack+252009, r12vrr_stack+190545, r12vrr_stack+338780, r12vrr_stack+321802, r12vrr_stack+238619);
 tmp = r12vrr_stack + 220589;
 target_ptr = Libr12->t2vrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+429858, r12vrr_stack+273779, r12vrr_stack+281531, r12vrr_stack+366948, r12vrr_stack+361922, r12vrr_stack+129413);
 tmp = r12vrr_stack + 429858;
 target_ptr = Libr12->t2vrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+177350, r12vrr_stack+281531, r12vrr_stack+145861, r12vrr_stack+375792, r12vrr_stack+366948, r12vrr_stack+273779);
 tmp = r12vrr_stack + 177350;
 target_ptr = Libr12->t2vrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+179726, r12vrr_stack+145861, r12vrr_stack+151135, r12vrr_stack+384720, r12vrr_stack+375792, r12vrr_stack+281531);
 tmp = r12vrr_stack + 179726;
 target_ptr = Libr12->t2vrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+182696, r12vrr_stack+151135, r12vrr_stack+158329, r12vrr_stack+397250, r12vrr_stack+384720, r12vrr_stack+145861);
 tmp = r12vrr_stack + 182696;
 target_ptr = Libr12->t2vrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+378600, r12vrr_stack+158329, r12vrr_stack+321802, r12vrr_stack+413090, r12vrr_stack+397250, r12vrr_stack+151135);
 tmp = r12vrr_stack + 378600;
 target_ptr = Libr12->t2vrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+388230, r12vrr_stack+321802, r12vrr_stack+338780, r12vrr_stack+431888, r12vrr_stack+413090, r12vrr_stack+158329);
 tmp = r12vrr_stack + 388230;
 target_ptr = Libr12->t2vrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+230819, r12vrr_stack+338780, r12vrr_stack+472440, r12vrr_stack+453897, r12vrr_stack+431888, r12vrr_stack+321802);
 tmp = r12vrr_stack + 230819;
 target_ptr = Libr12->t2vrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+68779, r12vrr_stack+366948, r12vrr_stack+375792, r12vrr_stack+83262, r12vrr_stack+358436, r12vrr_stack+361922);
 tmp = r12vrr_stack + 68779;
 target_ptr = Libr12->t2vrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+358340, r12vrr_stack+375792, r12vrr_stack+384720, r12vrr_stack+98269, r12vrr_stack+83262, r12vrr_stack+366948);
 tmp = r12vrr_stack + 358340;
 target_ptr = Libr12->t2vrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+361148, r12vrr_stack+384720, r12vrr_stack+397250, r12vrr_stack+283907, r12vrr_stack+98269, r12vrr_stack+375792);
 tmp = r12vrr_stack + 361148;
 target_ptr = Libr12->t2vrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+89689, r12vrr_stack+397250, r12vrr_stack+413090, r12vrr_stack+369132, r12vrr_stack+283907, r12vrr_stack+384720);
 tmp = r12vrr_stack + 89689;
 target_ptr = Libr12->t2vrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+0, r12vrr_stack+413090, r12vrr_stack+431888, r12vrr_stack+288002, r12vrr_stack+369132, r12vrr_stack+397250);
 tmp = r12vrr_stack + 0;
 target_ptr = Libr12->t2vrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+166040, r12vrr_stack+431888, r12vrr_stack+453897, r12vrr_stack+294008, r12vrr_stack+288002, r12vrr_stack+413090);
 tmp = r12vrr_stack + 166040;
 target_ptr = Libr12->t2vrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|q0)^0 ---*/
 am[0] = 11;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+301106, r12vrr_stack+453897, r12vrr_stack+242909, r12vrr_stack+326950, r12vrr_stack+294008, r12vrr_stack+431888);
 tmp = r12vrr_stack + 301106;
 target_ptr = Libr12->t2vrr_classes[11][12];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+45534, r12vrr_stack+17316, r12vrr_stack+18100, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+14936);
 tmp = r12vrr_stack + 45534;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+14170, r12vrr_stack+24076, r12vrr_stack+27964, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+23320);
 tmp = r12vrr_stack + 14170;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+364658, r12vrr_stack+35740, r12vrr_stack+40330, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+34795);
 tmp = r12vrr_stack + 364658;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+225594, r12vrr_stack+50035, r12vrr_stack+55645, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+48880);
 tmp = r12vrr_stack + 225594;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+70963, r12vrr_stack+66931, r12vrr_stack+73663, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+65545);
 tmp = r12vrr_stack + 70963;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+335231, r12vrr_stack+87505, r12vrr_stack+95461, r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+85867);
 tmp = r12vrr_stack + 335231;
 target_ptr = Libr12->t1vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+393378, r12vrr_stack+111100, r12vrr_stack+120382, r12vrr_stack+137098, r12vrr_stack+134893, r12vrr_stack+109189);
 tmp = r12vrr_stack + 393378;
 target_ptr = Libr12->t1vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+65545, r12vrr_stack+18100, r12vrr_stack+141046, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+17316);
 tmp = r12vrr_stack + 65545;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+382956, r12vrr_stack+27964, r12vrr_stack+21664, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+24076);
 tmp = r12vrr_stack + 382956;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+23284, r12vrr_stack+40330, r12vrr_stack+149110, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+35740);
 tmp = r12vrr_stack + 23284;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+34628, r12vrr_stack+55645, r12vrr_stack+46350, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+50035);
 tmp = r12vrr_stack + 34628;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+36608, r12vrr_stack+73663, r12vrr_stack+163070, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+66931);
 tmp = r12vrr_stack + 36608;
 target_ptr = Libr12->t1vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+48825, r12vrr_stack+95461, r12vrr_stack+173840, r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+87505);
 tmp = r12vrr_stack + 48825;
 target_ptr = Libr12->t1vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+51633, r12vrr_stack+120382, r12vrr_stack+186450, r12vrr_stack+197265, r12vrr_stack+137098, r12vrr_stack+111100);
 tmp = r12vrr_stack + 51633;
 target_ptr = Libr12->t1vrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+66553, r12vrr_stack+141046, r12vrr_stack+15524, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+18100);
 tmp = r12vrr_stack + 66553;
 target_ptr = Libr12->t1vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+24904, r12vrr_stack+21664, r12vrr_stack+204609, r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+27964);
 tmp = r12vrr_stack + 24904;
 target_ptr = Libr12->t1vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+26524, r12vrr_stack+149110, r12vrr_stack+210414, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+40330);
 tmp = r12vrr_stack + 26524;
 target_ptr = Libr12->t1vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+38984, r12vrr_stack+46350, r12vrr_stack+217564, r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+55645);
 tmp = r12vrr_stack + 38984;
 target_ptr = Libr12->t1vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+54909, r12vrr_stack+163070, r12vrr_stack+227189, r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+73663);
 tmp = r12vrr_stack + 54909;
 target_ptr = Libr12->t1vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+57879, r12vrr_stack+173840, r12vrr_stack+238619, r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+95461);
 tmp = r12vrr_stack + 57879;
 target_ptr = Libr12->t1vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+93979, r12vrr_stack+186450, r12vrr_stack+252009, r12vrr_stack+267514, r12vrr_stack+197265, r12vrr_stack+120382);
 tmp = r12vrr_stack + 93979;
 target_ptr = Libr12->t1vrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+119654, r12vrr_stack+15524, r12vrr_stack+273779, r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+141046);
 tmp = r12vrr_stack + 119654;
 target_ptr = Libr12->t1vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+141046, r12vrr_stack+204609, r12vrr_stack+281531, r12vrr_stack+210414, r12vrr_stack+149110, r12vrr_stack+21664);
 tmp = r12vrr_stack + 141046;
 target_ptr = Libr12->t1vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+143026, r12vrr_stack+210414, r12vrr_stack+145861, r12vrr_stack+217564, r12vrr_stack+46350, r12vrr_stack+149110);
 tmp = r12vrr_stack + 143026;
 target_ptr = Libr12->t1vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+121194, r12vrr_stack+217564, r12vrr_stack+151135, r12vrr_stack+227189, r12vrr_stack+163070, r12vrr_stack+46350);
 tmp = r12vrr_stack + 121194;
 target_ptr = Libr12->t1vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+124219, r12vrr_stack+227189, r12vrr_stack+158329, r12vrr_stack+238619, r12vrr_stack+173840, r12vrr_stack+163070);
 tmp = r12vrr_stack + 124219;
 target_ptr = Libr12->t1vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+196320, r12vrr_stack+238619, r12vrr_stack+321802, r12vrr_stack+252009, r12vrr_stack+186450, r12vrr_stack+173840);
 tmp = r12vrr_stack + 196320;
 target_ptr = Libr12->t1vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+172124, r12vrr_stack+252009, r12vrr_stack+338780, r12vrr_stack+190545, r12vrr_stack+267514, r12vrr_stack+186450);
 tmp = r12vrr_stack + 172124;
 target_ptr = Libr12->t1vrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+46318, r12vrr_stack+273779, r12vrr_stack+366948, r12vrr_stack+281531, r12vrr_stack+204609, r12vrr_stack+15524);
 tmp = r12vrr_stack + 46318;
 target_ptr = Libr12->t1vrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+267090, r12vrr_stack+281531, r12vrr_stack+375792, r12vrr_stack+145861, r12vrr_stack+210414, r12vrr_stack+204609);
 tmp = r12vrr_stack + 267090;
 target_ptr = Libr12->t1vrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+200610, r12vrr_stack+145861, r12vrr_stack+384720, r12vrr_stack+151135, r12vrr_stack+217564, r12vrr_stack+210414);
 tmp = r12vrr_stack + 200610;
 target_ptr = Libr12->t1vrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+186326, r12vrr_stack+151135, r12vrr_stack+397250, r12vrr_stack+158329, r12vrr_stack+227189, r12vrr_stack+217564);
 tmp = r12vrr_stack + 186326;
 target_ptr = Libr12->t1vrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+212889, r12vrr_stack+158329, r12vrr_stack+413090, r12vrr_stack+321802, r12vrr_stack+238619, r12vrr_stack+227189);
 tmp = r12vrr_stack + 212889;
 target_ptr = Libr12->t1vrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+308204, r12vrr_stack+321802, r12vrr_stack+431888, r12vrr_stack+338780, r12vrr_stack+252009, r12vrr_stack+238619);
 tmp = r12vrr_stack + 308204;
 target_ptr = Libr12->t1vrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+313352, r12vrr_stack+338780, r12vrr_stack+453897, r12vrr_stack+472440, r12vrr_stack+190545, r12vrr_stack+252009);
 tmp = r12vrr_stack + 313352;
 target_ptr = Libr12->t1vrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+269466, r12vrr_stack+366948, r12vrr_stack+83262, r12vrr_stack+375792, r12vrr_stack+281531, r12vrr_stack+273779);
 tmp = r12vrr_stack + 269466;
 target_ptr = Libr12->t1vrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+82892, r12vrr_stack+375792, r12vrr_stack+98269, r12vrr_stack+384720, r12vrr_stack+145861, r12vrr_stack+281531);
 tmp = r12vrr_stack + 82892;
 target_ptr = Libr12->t1vrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+85700, r12vrr_stack+384720, r12vrr_stack+283907, r12vrr_stack+397250, r12vrr_stack+151135, r12vrr_stack+145861);
 tmp = r12vrr_stack + 85700;
 target_ptr = Libr12->t1vrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+189956, r12vrr_stack+397250, r12vrr_stack+369132, r12vrr_stack+413090, r12vrr_stack+158329, r12vrr_stack+151135);
 tmp = r12vrr_stack + 189956;
 target_ptr = Libr12->t1vrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+369132, r12vrr_stack+413090, r12vrr_stack+288002, r12vrr_stack+431888, r12vrr_stack+321802, r12vrr_stack+158329);
 tmp = r12vrr_stack + 369132;
 target_ptr = Libr12->t1vrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+283907, r12vrr_stack+431888, r12vrr_stack+294008, r12vrr_stack+453897, r12vrr_stack+338780, r12vrr_stack+321802);
 tmp = r12vrr_stack + 283907;
 target_ptr = Libr12->t1vrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|q0)^0 ---*/
 am[0] = 11;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+289991, r12vrr_stack+453897, r12vrr_stack+326950, r12vrr_stack+242909, r12vrr_stack+472440, r12vrr_stack+338780);
 tmp = r12vrr_stack + 289991;
 target_ptr = Libr12->t1vrr_classes[11][12];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+242909, r12vrr_stack+258336, r12vrr_stack+272239, r12vrr_stack+366948, r12vrr_stack+273779, r12vrr_stack+15524, r12vrr_stack+129413);
 tmp = r12vrr_stack + 242909;
 target_ptr = Libr12->rvrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+245093, r12vrr_stack+63169, r12vrr_stack+261480, r12vrr_stack+375792, r12vrr_stack+281531, r12vrr_stack+204609, r12vrr_stack+273779);
 tmp = r12vrr_stack + 245093;
 target_ptr = Libr12->rvrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+247901, r12vrr_stack+11200, r12vrr_stack+437972, r12vrr_stack+384720, r12vrr_stack+145861, r12vrr_stack+210414, r12vrr_stack+281531);
 tmp = r12vrr_stack + 247901;
 target_ptr = Libr12->rvrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+326950, r12vrr_stack+263460, r12vrr_stack+440447, r12vrr_stack+397250, r12vrr_stack+151135, r12vrr_stack+217564, r12vrr_stack+145861);
 tmp = r12vrr_stack + 326950;
 target_ptr = Libr12->rvrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+437972, r12vrr_stack+449478, r12vrr_stack+445848, r12vrr_stack+413090, r12vrr_stack+158329, r12vrr_stack+227189, r12vrr_stack+151135);
 tmp = r12vrr_stack + 437972;
 target_ptr = Libr12->rvrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+145501, r12vrr_stack+460995, r12vrr_stack+30338, r12vrr_stack+431888, r12vrr_stack+321802, r12vrr_stack+238619, r12vrr_stack+158329);
 tmp = r12vrr_stack + 145501;
 target_ptr = Libr12->rvrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||q0)^0 ---*/
 am[0] = 11;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+151585, r12vrr_stack+113648, r12vrr_stack+76039, r12vrr_stack+453897, r12vrr_stack+338780, r12vrr_stack+252009, r12vrr_stack+321802);
 tmp = r12vrr_stack + 151585;
 target_ptr = Libr12->rvrr_classes[11][12];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];


}

