#include <stdio.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/vrr_header.h>
#include "r12_vrr_header.h"

void vrr_grt_order_iiii(Libr12_t *Libr12, prim_data *Data)
{
 REALTYPE *r12vrr_stack = Libr12->r12vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];

 /*--- compute (p0|00)^5 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^5 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+5, Data->F+6, NULL, NULL, NULL);

 /*--- compute (00|p0)^4 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+4, Data->F+5, NULL, NULL, NULL);

 /*--- compute (00|p0)^6 ---*/
 _BUILD_00p0(Data,r12vrr_stack+9, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (p0|p0)^5 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+12, r12vrr_stack+3, r12vrr_stack+9, NULL, NULL, Data->F+6);

 /*--- compute (p0|p0)^4 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+21, r12vrr_stack+6, r12vrr_stack+3, NULL, NULL, Data->F+5);

 /*--- compute (d0|p0)^4 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+30, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+6, r12vrr_stack+3, r12vrr_stack+0);

 /*--- compute (00|d0)^5 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+9, Data->F+5, Data->F+6, NULL);

 /*--- compute (00|d0)^4 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+6, r12vrr_stack+3, Data->F+4, Data->F+5, NULL);

 /*--- compute (p0|d0)^4 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+54, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (00|p0)^3 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+3, Data->F+4, NULL, NULL, NULL);

 /*--- compute (00|d0)^3 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, Data->F+3, Data->F+4, NULL);

 /*--- compute (p0|d0)^3 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+87, r12vrr_stack+81, r12vrr_stack+54, NULL, NULL, r12vrr_stack+6);

 /*--- compute (00|p0)^7 ---*/
 _BUILD_00p0(Data,r12vrr_stack+105, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (00|d0)^6 ---*/
 _BUILD_00d0(Data,r12vrr_stack+108, r12vrr_stack+9, r12vrr_stack+105, Data->F+6, Data->F+7, NULL);

 /*--- compute (p0|d0)^5 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+114, r12vrr_stack+48, r12vrr_stack+108, NULL, NULL, r12vrr_stack+9);

 /*--- compute (d0|d0)^4 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+132, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+12);

 /*--- compute (d0|d0)^3 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+168, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+21);

 /*--- compute (f0|d0)^3 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+204, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+87, r12vrr_stack+60, r12vrr_stack+30);

 /*--- compute (00|f0)^4 ---*/
 _BUILD_00f0(Data,r12vrr_stack+264, r12vrr_stack+54, r12vrr_stack+48, r12vrr_stack+6, r12vrr_stack+3, NULL);

 /*--- compute (00|f0)^3 ---*/
 _BUILD_00f0(Data,r12vrr_stack+274, r12vrr_stack+81, r12vrr_stack+54, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|f0)^5 ---*/
 _BUILD_00f0(Data,r12vrr_stack+284, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+3, r12vrr_stack+9, NULL);

 /*--- compute (p0|f0)^4 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+294, r12vrr_stack+264, r12vrr_stack+284, NULL, NULL, r12vrr_stack+48);

 /*--- compute (p0|f0)^3 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+324, r12vrr_stack+274, r12vrr_stack+264, NULL, NULL, r12vrr_stack+54);

 /*--- compute (d0|f0)^3 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+354, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+60);

 /*--- compute (00|p0)^2 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+2, Data->F+3, NULL, NULL, NULL);

 /*--- compute (00|d0)^2 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+6, r12vrr_stack+78, Data->F+2, Data->F+3, NULL);

 /*--- compute (00|f0)^2 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+78, NULL);

 /*--- compute (p0|f0)^2 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+430, r12vrr_stack+420, r12vrr_stack+274, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^2 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+460, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+87);

 /*--- compute (00|p0)^8 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (00|d0)^7 ---*/
 _BUILD_00d0(Data,r12vrr_stack+87, r12vrr_stack+105, r12vrr_stack+78, Data->F+7, Data->F+8, NULL);

 /*--- compute (00|f0)^6 ---*/
 _BUILD_00f0(Data,r12vrr_stack+93, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+9, r12vrr_stack+105, NULL);

 /*--- compute (p0|f0)^5 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+520, r12vrr_stack+284, r12vrr_stack+93, NULL, NULL, r12vrr_stack+108);

 /*--- compute (d0|f0)^4 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+550, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+114);

 /*--- compute (f0|f0)^3 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+610, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+324, r12vrr_stack+294, r12vrr_stack+132);

 /*--- compute (f0|f0)^2 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+710, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+430, r12vrr_stack+324, r12vrr_stack+168);

 /*--- compute (g0|f0)^2 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+810, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+460, r12vrr_stack+354, r12vrr_stack+204);

 /*--- compute (00|g0)^4 ---*/
 _BUILD_00g0(Data,r12vrr_stack+960, r12vrr_stack+264, r12vrr_stack+284, r12vrr_stack+54, r12vrr_stack+48, NULL);

 /*--- compute (00|g0)^3 ---*/
 _BUILD_00g0(Data,r12vrr_stack+975, r12vrr_stack+274, r12vrr_stack+264, r12vrr_stack+81, r12vrr_stack+54, NULL);

 /*--- compute (p0|g0)^3 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+990, r12vrr_stack+975, r12vrr_stack+960, NULL, NULL, r12vrr_stack+264);

 /*--- compute (00|g0)^2 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1035, r12vrr_stack+420, r12vrr_stack+274, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (p0|g0)^2 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1050, r12vrr_stack+1035, r12vrr_stack+975, NULL, NULL, r12vrr_stack+274);

 /*--- compute (00|g0)^5 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+48, r12vrr_stack+108, NULL);

 /*--- compute (p0|g0)^4 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1110, r12vrr_stack+960, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+284);

 /*--- compute (d0|g0)^3 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1155, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+294);

 /*--- compute (d0|g0)^2 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1245, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+324);

 /*--- compute (f0|g0)^2 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1335, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+1050, r12vrr_stack+990, r12vrr_stack+354);

 /*--- compute (00|p0)^1 ---*/
 _BUILD_00p0(Data,r12vrr_stack+324, Data->F+1, Data->F+2, NULL, NULL, NULL);

 /*--- compute (00|d0)^1 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+324, r12vrr_stack+6, Data->F+1, Data->F+2, NULL);

 /*--- compute (00|f0)^1 ---*/
 _BUILD_00f0(Data,r12vrr_stack+327, r12vrr_stack+81, r12vrr_stack+414, r12vrr_stack+324, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^1 ---*/
 _BUILD_00g0(Data,r12vrr_stack+337, r12vrr_stack+327, r12vrr_stack+420, r12vrr_stack+81, r12vrr_stack+414, NULL);

 /*--- compute (p0|g0)^1 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+1485, r12vrr_stack+337, r12vrr_stack+1035, NULL, NULL, r12vrr_stack+420);

 /*--- compute (d0|g0)^1 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1530, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+430);

 /*--- compute (f0|g0)^1 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1620, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+1485, r12vrr_stack+1050, r12vrr_stack+460);

 /*--- compute (00|p0)^9 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (00|d0)^8 ---*/
 _BUILD_00d0(Data,r12vrr_stack+414, r12vrr_stack+78, r12vrr_stack+6, Data->F+8, Data->F+9, NULL);

 /*--- compute (00|f0)^7 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+105, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^6 ---*/
 _BUILD_00g0(Data,r12vrr_stack+440, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+108, r12vrr_stack+87, NULL);

 /*--- compute (p0|g0)^5 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+455, r12vrr_stack+1095, r12vrr_stack+440, NULL, NULL, r12vrr_stack+93);

 /*--- compute (d0|g0)^4 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+1770, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+520);

 /*--- compute (f0|g0)^3 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+1860, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+990, r12vrr_stack+1110, r12vrr_stack+550);

 /*--- compute (g0|g0)^2 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2010, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+1245, r12vrr_stack+1155, r12vrr_stack+610);

 /*--- compute (g0|g0)^1 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+2235, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+1530, r12vrr_stack+1245, r12vrr_stack+710);

 /*--- compute (h0|g0)^1 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+2460, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+1620, r12vrr_stack+1335, r12vrr_stack+810);

 /*--- compute (00|h0)^3 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+975, r12vrr_stack+960, r12vrr_stack+274, r12vrr_stack+264, NULL);

 /*--- compute (00|h0)^2 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2796, r12vrr_stack+1035, r12vrr_stack+975, r12vrr_stack+420, r12vrr_stack+274, NULL);

 /*--- compute (00|h0)^4 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2817, r12vrr_stack+960, r12vrr_stack+1095, r12vrr_stack+264, r12vrr_stack+284, NULL);

 /*--- compute (p0|h0)^3 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+2775, r12vrr_stack+2817, NULL, NULL, r12vrr_stack+960);

 /*--- compute (p0|h0)^2 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2901, r12vrr_stack+2796, r12vrr_stack+2775, NULL, NULL, r12vrr_stack+975);

 /*--- compute (d0|h0)^2 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2964, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+990);

 /*--- compute (00|h0)^1 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+990, r12vrr_stack+337, r12vrr_stack+1035, r12vrr_stack+327, r12vrr_stack+420, NULL);

 /*--- compute (p0|h0)^1 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3090, r12vrr_stack+990, r12vrr_stack+2796, NULL, NULL, r12vrr_stack+1035);

 /*--- compute (d0|h0)^1 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3153, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+1050);

 /*--- compute (00|h0)^5 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1050, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+284, r12vrr_stack+93, NULL);

 /*--- compute (p0|h0)^4 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2817, r12vrr_stack+1050, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (d0|h0)^3 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3342, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+1110);

 /*--- compute (f0|h0)^2 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3468, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+2901, r12vrr_stack+2838, r12vrr_stack+1155);

 /*--- compute (f0|h0)^1 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3678, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+3090, r12vrr_stack+2901, r12vrr_stack+1245);

 /*--- compute (g0|h0)^1 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3888, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+3153, r12vrr_stack+2964, r12vrr_stack+1335);

 /*--- compute (00|p0)^0 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1245, Data->F+0, Data->F+1, NULL, NULL, NULL);

 /*--- compute (00|d0)^0 ---*/
 _BUILD_00d0(Data,r12vrr_stack+54, r12vrr_stack+1245, r12vrr_stack+324, Data->F+0, Data->F+1, NULL);

 /*--- compute (00|f0)^0 ---*/
 _BUILD_00f0(Data,r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+81, r12vrr_stack+1245, r12vrr_stack+324, NULL);

 /*--- compute (00|g0)^0 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+327, r12vrr_stack+54, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^0 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+337, r12vrr_stack+420, r12vrr_stack+327, NULL);

 /*--- compute (p0|h0)^0 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4203, r12vrr_stack+1263, r12vrr_stack+990, NULL, NULL, r12vrr_stack+337);

 /*--- compute (d0|h0)^0 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4266, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1485);

 /*--- compute (f0|h0)^0 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4392, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+4203, r12vrr_stack+3090, r12vrr_stack+1530);

 /*--- compute (g0|h0)^0 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4602, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+4266, r12vrr_stack+3153, r12vrr_stack+1620);

 /*--- compute (00|p0)^10 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1485, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (00|d0)^9 ---*/
 _BUILD_00d0(Data,r12vrr_stack+81, r12vrr_stack+6, r12vrr_stack+1485, Data->F+9, Data->F+10, NULL);

 /*--- compute (00|f0)^8 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1488, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^7 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1498, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+87, r12vrr_stack+414, NULL);

 /*--- compute (00|h0)^6 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+93, r12vrr_stack+430, NULL);

 /*--- compute (p0|h0)^5 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1534, r12vrr_stack+1050, r12vrr_stack+1513, NULL, NULL, r12vrr_stack+440);

 /*--- compute (d0|h0)^4 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1597, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+455);

 /*--- compute (f0|h0)^3 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+2838, r12vrr_stack+3279, r12vrr_stack+1770);

 /*--- compute (g0|h0)^2 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5127, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+2964, r12vrr_stack+3342, r12vrr_stack+1860);

 /*--- compute (h0|h0)^1 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5442, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+3678, r12vrr_stack+3468, r12vrr_stack+2010);

 /*--- compute (h0|h0)^0 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5883, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+4392, r12vrr_stack+3678, r12vrr_stack+2235);

 /*--- compute (i0|h0)^0 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+6324, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+4602, r12vrr_stack+3888, r12vrr_stack+2460);

 /*--- compute (p0|00)^6 ---*/
 _BUILD_p000(Data,r12vrr_stack+1723, Data->F+6, Data->F+7, NULL, NULL, NULL);

 /*--- compute (d0|00)^5 ---*/
 _BUILD_d000(Data,r12vrr_stack+1726, r12vrr_stack+0, r12vrr_stack+1723, Data->F+5, Data->F+6, NULL);

 /*--- compute (p0|p0)^6 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1732, r12vrr_stack+9, r12vrr_stack+105, NULL, NULL, Data->F+7);

 /*--- compute (d0|p0)^5 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1741, r12vrr_stack+12, r12vrr_stack+1732, r12vrr_stack+3, r12vrr_stack+9, r12vrr_stack+1723);

 /*--- compute (f0|p0)^4 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1284, r12vrr_stack+30, r12vrr_stack+1741, r12vrr_stack+21, r12vrr_stack+12, r12vrr_stack+1726);

 /*--- compute (p0|d0)^6 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1314, r12vrr_stack+108, r12vrr_stack+87, NULL, NULL, r12vrr_stack+105);

 /*--- compute (d0|d0)^5 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+6912, r12vrr_stack+114, r12vrr_stack+1314, r12vrr_stack+48, r12vrr_stack+108, r12vrr_stack+1732);

 /*--- compute (f0|d0)^4 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+6948, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+60, r12vrr_stack+114, r12vrr_stack+1741);

 /*--- compute (g0|d0)^3 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+7008, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+168, r12vrr_stack+132, r12vrr_stack+1284);

 /*--- compute (p0|f0)^6 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+168, r12vrr_stack+93, r12vrr_stack+430, NULL, NULL, r12vrr_stack+87);

 /*--- compute (d0|f0)^5 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+7098, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+284, r12vrr_stack+93, r12vrr_stack+1314);

 /*--- compute (f0|f0)^4 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+7158, r12vrr_stack+550, r12vrr_stack+7098, r12vrr_stack+294, r12vrr_stack+520, r12vrr_stack+6912);

 /*--- compute (g0|f0)^3 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+7258, r12vrr_stack+610, r12vrr_stack+7158, r12vrr_stack+354, r12vrr_stack+550, r12vrr_stack+6948);

 /*--- compute (h0|f0)^2 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+7408, r12vrr_stack+810, r12vrr_stack+7258, r12vrr_stack+710, r12vrr_stack+610, r12vrr_stack+7008);

 /*--- compute (p0|g0)^6 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+710, r12vrr_stack+440, r12vrr_stack+1498, NULL, NULL, r12vrr_stack+430);

 /*--- compute (d0|g0)^5 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7618, r12vrr_stack+455, r12vrr_stack+710, r12vrr_stack+1095, r12vrr_stack+440, r12vrr_stack+168);

 /*--- compute (f0|g0)^4 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7708, r12vrr_stack+1770, r12vrr_stack+7618, r12vrr_stack+1110, r12vrr_stack+455, r12vrr_stack+7098);

 /*--- compute (g0|g0)^3 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7858, r12vrr_stack+1860, r12vrr_stack+7708, r12vrr_stack+1155, r12vrr_stack+1770, r12vrr_stack+7158);

 /*--- compute (h0|g0)^2 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8083, r12vrr_stack+2010, r12vrr_stack+7858, r12vrr_stack+1335, r12vrr_stack+1860, r12vrr_stack+7258);

 /*--- compute (i0|g0)^1 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+8398, r12vrr_stack+2460, r12vrr_stack+8083, r12vrr_stack+2235, r12vrr_stack+2010, r12vrr_stack+7408);

 /*--- compute (00|p0)^11 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (00|d0)^10 ---*/
 _BUILD_00d0(Data,r12vrr_stack+198, r12vrr_stack+1485, r12vrr_stack+3, Data->F+10, Data->F+11, NULL);

 /*--- compute (00|f0)^9 ---*/
 _BUILD_00f0(Data,r12vrr_stack+2235, r12vrr_stack+81, r12vrr_stack+198, r12vrr_stack+6, r12vrr_stack+1485, NULL);

 /*--- compute (00|g0)^8 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2245, r12vrr_stack+1488, r12vrr_stack+2235, r12vrr_stack+414, r12vrr_stack+81, NULL);

 /*--- compute (00|h0)^7 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+430, r12vrr_stack+1488, NULL);

 /*--- compute (p0|h0)^6 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2281, r12vrr_stack+1513, r12vrr_stack+2260, NULL, NULL, r12vrr_stack+1498);

 /*--- compute (d0|h0)^5 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+1534, r12vrr_stack+2281, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+710);

 /*--- compute (f0|h0)^4 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8818, r12vrr_stack+1597, r12vrr_stack+1110, r12vrr_stack+3279, r12vrr_stack+1534, r12vrr_stack+7618);

 /*--- compute (g0|h0)^3 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9028, r12vrr_stack+4917, r12vrr_stack+8818, r12vrr_stack+3342, r12vrr_stack+1597, r12vrr_stack+7708);

 /*--- compute (h0|h0)^2 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9343, r12vrr_stack+5127, r12vrr_stack+9028, r12vrr_stack+3468, r12vrr_stack+4917, r12vrr_stack+7858);

 /*--- compute (i0|h0)^1 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+9784, r12vrr_stack+5442, r12vrr_stack+9343, r12vrr_stack+3888, r12vrr_stack+5127, r12vrr_stack+8083);

 /*--- compute (k0|h0)^0 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+10372, r12vrr_stack+6324, r12vrr_stack+9784, r12vrr_stack+5883, r12vrr_stack+5442, r12vrr_stack+8398);

 /*--- compute (00|i0)^4 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2344, r12vrr_stack+2817, r12vrr_stack+1050, r12vrr_stack+960, r12vrr_stack+1095, NULL);

 /*--- compute (00|i0)^3 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2372, r12vrr_stack+2775, r12vrr_stack+2817, r12vrr_stack+975, r12vrr_stack+960, NULL);

 /*--- compute (p0|i0)^3 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+2372, r12vrr_stack+2344, NULL, NULL, r12vrr_stack+2817);

 /*--- compute (00|i0)^2 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2400, r12vrr_stack+2796, r12vrr_stack+2775, r12vrr_stack+1035, r12vrr_stack+975, NULL);

 /*--- compute (p0|i0)^2 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+2400, r12vrr_stack+2372, NULL, NULL, r12vrr_stack+2775);

 /*--- compute (00|i0)^5 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+1050, r12vrr_stack+1513, r12vrr_stack+1095, r12vrr_stack+440, NULL);

 /*--- compute (p0|i0)^4 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11212, r12vrr_stack+2344, r12vrr_stack+960, NULL, NULL, r12vrr_stack+1050);

 /*--- compute (d0|i0)^3 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11296, r12vrr_stack+1332, r12vrr_stack+11212, r12vrr_stack+2372, r12vrr_stack+2344, r12vrr_stack+3279);

 /*--- compute (d0|i0)^2 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11464, r12vrr_stack+11128, r12vrr_stack+1332, r12vrr_stack+2400, r12vrr_stack+2372, r12vrr_stack+2838);

 /*--- compute (f0|i0)^2 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11632, r12vrr_stack+11464, r12vrr_stack+11296, r12vrr_stack+11128, r12vrr_stack+1332, r12vrr_stack+3342);

 /*--- compute (00|i0)^1 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2838, r12vrr_stack+990, r12vrr_stack+2796, r12vrr_stack+337, r12vrr_stack+1035, NULL);

 /*--- compute (p0|i0)^1 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3279, r12vrr_stack+2838, r12vrr_stack+2400, NULL, NULL, r12vrr_stack+2796);

 /*--- compute (d0|i0)^1 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+11912, r12vrr_stack+3279, r12vrr_stack+11128, r12vrr_stack+2838, r12vrr_stack+2400, r12vrr_stack+2901);

 /*--- compute (f0|i0)^1 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12080, r12vrr_stack+11912, r12vrr_stack+11464, r12vrr_stack+3279, r12vrr_stack+11128, r12vrr_stack+2964);

 /*--- compute (00|i0)^6 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2866, r12vrr_stack+1513, r12vrr_stack+2260, r12vrr_stack+440, r12vrr_stack+1498, NULL);

 /*--- compute (p0|i0)^5 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2894, r12vrr_stack+960, r12vrr_stack+2866, NULL, NULL, r12vrr_stack+1513);

 /*--- compute (d0|i0)^4 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12360, r12vrr_stack+11212, r12vrr_stack+2894, r12vrr_stack+2344, r12vrr_stack+960, r12vrr_stack+1534);

 /*--- compute (f0|i0)^3 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12528, r12vrr_stack+11296, r12vrr_stack+12360, r12vrr_stack+1332, r12vrr_stack+11212, r12vrr_stack+1597);

 /*--- compute (g0|i0)^2 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+12808, r12vrr_stack+11632, r12vrr_stack+12528, r12vrr_stack+11464, r12vrr_stack+11296, r12vrr_stack+4917);

 /*--- compute (g0|i0)^1 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13228, r12vrr_stack+12080, r12vrr_stack+11632, r12vrr_stack+11912, r12vrr_stack+11464, r12vrr_stack+3468);

 /*--- compute (h0|i0)^1 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13648, r12vrr_stack+13228, r12vrr_stack+12808, r12vrr_stack+12080, r12vrr_stack+11632, r12vrr_stack+5127);

 /*--- compute (00|i0)^0 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2978, r12vrr_stack+1263, r12vrr_stack+990, r12vrr_stack+1248, r12vrr_stack+337, NULL);

 /*--- compute (p0|i0)^0 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3006, r12vrr_stack+2978, r12vrr_stack+2838, NULL, NULL, r12vrr_stack+990);

 /*--- compute (d0|i0)^0 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+3279, r12vrr_stack+2978, r12vrr_stack+2838, r12vrr_stack+3090);

 /*--- compute (f0|i0)^0 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+11912, r12vrr_stack+3006, r12vrr_stack+3279, r12vrr_stack+3153);

 /*--- compute (g0|i0)^0 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+12080, r12vrr_stack+3363, r12vrr_stack+11912, r12vrr_stack+3678);

 /*--- compute (h0|i0)^0 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+13228, r12vrr_stack+14236, r12vrr_stack+12080, r12vrr_stack+3888);

 /*--- compute (00|p0)^12 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3090, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (00|d0)^11 ---*/
 _BUILD_00d0(Data,r12vrr_stack+48, r12vrr_stack+3, r12vrr_stack+3090, Data->F+11, Data->F+12, NULL);

 /*--- compute (00|f0)^10 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3093, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+1485, r12vrr_stack+3, NULL);

 /*--- compute (00|g0)^9 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3103, r12vrr_stack+2235, r12vrr_stack+3093, r12vrr_stack+81, r12vrr_stack+198, NULL);

 /*--- compute (00|h0)^8 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3118, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+1488, r12vrr_stack+2235, NULL);

 /*--- compute (00|i0)^7 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3139, r12vrr_stack+2260, r12vrr_stack+3118, r12vrr_stack+1498, r12vrr_stack+2245, NULL);

 /*--- compute (p0|i0)^6 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3167, r12vrr_stack+2866, r12vrr_stack+3139, NULL, NULL, r12vrr_stack+2260);

 /*--- compute (d0|i0)^5 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3531, r12vrr_stack+2894, r12vrr_stack+3167, r12vrr_stack+960, r12vrr_stack+2866, r12vrr_stack+2281);

 /*--- compute (f0|i0)^4 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3699, r12vrr_stack+12360, r12vrr_stack+3531, r12vrr_stack+11212, r12vrr_stack+2894, r12vrr_stack+1110);

 /*--- compute (g0|i0)^3 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15524, r12vrr_stack+12528, r12vrr_stack+3699, r12vrr_stack+11296, r12vrr_stack+12360, r12vrr_stack+8818);

 /*--- compute (h0|i0)^2 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15944, r12vrr_stack+12808, r12vrr_stack+15524, r12vrr_stack+11632, r12vrr_stack+12528, r12vrr_stack+9028);

 /*--- compute (i0|i0)^1 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+16532, r12vrr_stack+13648, r12vrr_stack+15944, r12vrr_stack+13228, r12vrr_stack+12808, r12vrr_stack+9343);

 /*--- compute (i0|i0)^0 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+13648, r12vrr_stack+14516, r12vrr_stack+13228, r12vrr_stack+5442);
 tmp = r12vrr_stack + 17316;
 target_ptr = Libr12->gvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|i0)^0 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+16532, r12vrr_stack+14936, r12vrr_stack+13648, r12vrr_stack+9784);
 tmp = r12vrr_stack + 18100;
 target_ptr = Libr12->gvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|k0)^3 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3979, r12vrr_stack+2372, r12vrr_stack+2344, r12vrr_stack+2775, r12vrr_stack+2817, NULL);

 /*--- compute (00|k0)^2 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4015, r12vrr_stack+2400, r12vrr_stack+2372, r12vrr_stack+2796, r12vrr_stack+2775, NULL);

 /*--- compute (00|k0)^4 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4051, r12vrr_stack+2344, r12vrr_stack+960, r12vrr_stack+2817, r12vrr_stack+1050, NULL);

 /*--- compute (p0|k0)^3 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+4087, r12vrr_stack+3979, r12vrr_stack+4051, NULL, NULL, r12vrr_stack+2344);

 /*--- compute (p0|k0)^2 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+4015, r12vrr_stack+3979, NULL, NULL, r12vrr_stack+2372);

 /*--- compute (d0|k0)^2 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+264, r12vrr_stack+4087, r12vrr_stack+4015, r12vrr_stack+3979, r12vrr_stack+1332);

 /*--- compute (00|k0)^1 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1332, r12vrr_stack+2838, r12vrr_stack+2400, r12vrr_stack+990, r12vrr_stack+2796, NULL);

 /*--- compute (p0|k0)^1 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1368, r12vrr_stack+1332, r12vrr_stack+4015, NULL, NULL, r12vrr_stack+2400);

 /*--- compute (d0|k0)^1 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19324, r12vrr_stack+1368, r12vrr_stack+264, r12vrr_stack+1332, r12vrr_stack+4015, r12vrr_stack+11128);

 /*--- compute (00|k0)^5 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+960, r12vrr_stack+2866, r12vrr_stack+1050, r12vrr_stack+1513, NULL);

 /*--- compute (p0|k0)^4 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19540, r12vrr_stack+4051, r12vrr_stack+11128, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|k0)^3 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19648, r12vrr_stack+4087, r12vrr_stack+19540, r12vrr_stack+3979, r12vrr_stack+4051, r12vrr_stack+11212);

 /*--- compute (f0|k0)^2 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19864, r12vrr_stack+19108, r12vrr_stack+19648, r12vrr_stack+264, r12vrr_stack+4087, r12vrr_stack+11296);

 /*--- compute (f0|k0)^1 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20224, r12vrr_stack+19324, r12vrr_stack+19108, r12vrr_stack+1368, r12vrr_stack+264, r12vrr_stack+11464);

 /*--- compute (g0|k0)^1 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+20584, r12vrr_stack+20224, r12vrr_stack+19864, r12vrr_stack+19324, r12vrr_stack+19108, r12vrr_stack+11632);

 /*--- compute (00|k0)^0 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11164, r12vrr_stack+2978, r12vrr_stack+2838, r12vrr_stack+1263, r12vrr_stack+990, NULL);

 /*--- compute (p0|k0)^0 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11200, r12vrr_stack+11164, r12vrr_stack+1332, NULL, NULL, r12vrr_stack+2838);

 /*--- compute (d0|k0)^0 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+1368, r12vrr_stack+11164, r12vrr_stack+1332, r12vrr_stack+3279);

 /*--- compute (f0|k0)^0 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+19324, r12vrr_stack+11200, r12vrr_stack+1368, r12vrr_stack+11912);

 /*--- compute (g0|k0)^0 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+20224, r12vrr_stack+11308, r12vrr_stack+19324, r12vrr_stack+12080);

 /*--- compute (00|k0)^6 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+2866, r12vrr_stack+3139, r12vrr_stack+1513, r12vrr_stack+2260, NULL);

 /*--- compute (p0|k0)^5 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11920, r12vrr_stack+11128, r12vrr_stack+11884, NULL, NULL, r12vrr_stack+2866);

 /*--- compute (d0|k0)^4 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+12028, r12vrr_stack+19540, r12vrr_stack+11920, r12vrr_stack+4051, r12vrr_stack+11128, r12vrr_stack+2894);

 /*--- compute (f0|k0)^3 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21664, r12vrr_stack+19648, r12vrr_stack+12028, r12vrr_stack+4087, r12vrr_stack+19540, r12vrr_stack+12360);

 /*--- compute (g0|k0)^2 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22024, r12vrr_stack+19864, r12vrr_stack+21664, r12vrr_stack+19108, r12vrr_stack+19648, r12vrr_stack+12528);

 /*--- compute (h0|k0)^1 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+22564, r12vrr_stack+20584, r12vrr_stack+22024, r12vrr_stack+20224, r12vrr_stack+19864, r12vrr_stack+12808);

 /*--- compute (h0|k0)^0 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+20584, r12vrr_stack+11524, r12vrr_stack+20224, r12vrr_stack+13228);

 /*--- compute (i0|k0)^0 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+22564, r12vrr_stack+21124, r12vrr_stack+20584, r12vrr_stack+13648);
 tmp = r12vrr_stack + 24076;
 target_ptr = Libr12->gvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^13 ---*/
 _BUILD_00p0(Data,r12vrr_stack+13228, Data->F+13, Data->F+14, NULL, NULL, NULL);

 /*--- compute (00|d0)^12 ---*/
 _BUILD_00d0(Data,r12vrr_stack+13231, r12vrr_stack+3090, r12vrr_stack+13228, Data->F+12, Data->F+13, NULL);

 /*--- compute (00|f0)^11 ---*/
 _BUILD_00f0(Data,r12vrr_stack+13237, r12vrr_stack+48, r12vrr_stack+13231, r12vrr_stack+3, r12vrr_stack+3090, NULL);

 /*--- compute (00|g0)^10 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13247, r12vrr_stack+3093, r12vrr_stack+13237, r12vrr_stack+198, r12vrr_stack+48, NULL);

 /*--- compute (00|h0)^9 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13262, r12vrr_stack+3103, r12vrr_stack+13247, r12vrr_stack+2235, r12vrr_stack+3093, NULL);

 /*--- compute (00|i0)^8 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+13283, r12vrr_stack+3118, r12vrr_stack+13262, r12vrr_stack+2245, r12vrr_stack+3103, NULL);

 /*--- compute (00|k0)^7 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13311, r12vrr_stack+3139, r12vrr_stack+13283, r12vrr_stack+2260, r12vrr_stack+3118, NULL);

 /*--- compute (p0|k0)^6 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13347, r12vrr_stack+11884, r12vrr_stack+13311, NULL, NULL, r12vrr_stack+3139);

 /*--- compute (d0|k0)^5 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+11920, r12vrr_stack+13347, r12vrr_stack+11128, r12vrr_stack+11884, r12vrr_stack+3167);

 /*--- compute (f0|k0)^4 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25300, r12vrr_stack+12028, r12vrr_stack+25084, r12vrr_stack+19540, r12vrr_stack+11920, r12vrr_stack+3531);

 /*--- compute (g0|k0)^3 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25660, r12vrr_stack+21664, r12vrr_stack+25300, r12vrr_stack+19648, r12vrr_stack+12028, r12vrr_stack+3699);

 /*--- compute (h0|k0)^2 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26200, r12vrr_stack+22024, r12vrr_stack+25660, r12vrr_stack+19864, r12vrr_stack+21664, r12vrr_stack+15524);

 /*--- compute (i0|k0)^1 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+26956, r12vrr_stack+22564, r12vrr_stack+26200, r12vrr_stack+20584, r12vrr_stack+22024, r12vrr_stack+15944);

 /*--- compute (k0|k0)^0 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+26956, r12vrr_stack+23320, r12vrr_stack+22564, r12vrr_stack+16532);
 tmp = r12vrr_stack + 27964;
 target_ptr = Libr12->gvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|l0)^3 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13455, r12vrr_stack+3979, r12vrr_stack+4051, r12vrr_stack+2372, r12vrr_stack+2344, NULL);

 /*--- compute (00|l0)^2 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13500, r12vrr_stack+4015, r12vrr_stack+3979, r12vrr_stack+2400, r12vrr_stack+2372, NULL);

 /*--- compute (00|l0)^4 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+13545, r12vrr_stack+4051, r12vrr_stack+11128, r12vrr_stack+2344, r12vrr_stack+960, NULL);

 /*--- compute (p0|l0)^3 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+13455, r12vrr_stack+13545, NULL, NULL, r12vrr_stack+4051);

 /*--- compute (p0|l0)^2 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29395, r12vrr_stack+13500, r12vrr_stack+13455, NULL, NULL, r12vrr_stack+3979);

 /*--- compute (d0|l0)^2 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29530, r12vrr_stack+29395, r12vrr_stack+29260, r12vrr_stack+13500, r12vrr_stack+13455, r12vrr_stack+4087);

 /*--- compute (00|l0)^1 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+4087, r12vrr_stack+1332, r12vrr_stack+4015, r12vrr_stack+2838, r12vrr_stack+2400, NULL);

 /*--- compute (p0|l0)^1 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29800, r12vrr_stack+4087, r12vrr_stack+13500, NULL, NULL, r12vrr_stack+4015);

 /*--- compute (d0|l0)^1 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+29935, r12vrr_stack+29800, r12vrr_stack+29395, r12vrr_stack+4087, r12vrr_stack+13500, r12vrr_stack+264);

 /*--- compute (00|l0)^5 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+264, r12vrr_stack+11128, r12vrr_stack+11884, r12vrr_stack+960, r12vrr_stack+2866, NULL);

 /*--- compute (p0|l0)^4 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+13545, r12vrr_stack+264, NULL, NULL, r12vrr_stack+11128);

 /*--- compute (d0|l0)^3 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+960, r12vrr_stack+13455, r12vrr_stack+13545, r12vrr_stack+19540);

 /*--- compute (f0|l0)^2 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30475, r12vrr_stack+29530, r12vrr_stack+30205, r12vrr_stack+29395, r12vrr_stack+29260, r12vrr_stack+19648);

 /*--- compute (f0|l0)^1 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+30925, r12vrr_stack+29935, r12vrr_stack+29530, r12vrr_stack+29800, r12vrr_stack+29395, r12vrr_stack+19108);

 /*--- compute (g0|l0)^1 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31375, r12vrr_stack+30925, r12vrr_stack+30475, r12vrr_stack+29935, r12vrr_stack+29530, r12vrr_stack+19864);

 /*--- compute (00|l0)^0 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+11164, r12vrr_stack+1332, r12vrr_stack+2978, r12vrr_stack+2838, NULL);

 /*--- compute (p0|l0)^0 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+19108, r12vrr_stack+4087, NULL, NULL, r12vrr_stack+1332);

 /*--- compute (d0|l0)^0 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+29800, r12vrr_stack+19108, r12vrr_stack+4087, r12vrr_stack+1368);

 /*--- compute (f0|l0)^0 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+29935, r12vrr_stack+19153, r12vrr_stack+29800, r12vrr_stack+19324);

 /*--- compute (g0|l0)^0 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+30925, r12vrr_stack+19540, r12vrr_stack+29935, r12vrr_stack+20224);

 /*--- compute (00|l0)^6 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1368, r12vrr_stack+11884, r12vrr_stack+13311, r12vrr_stack+2866, r12vrr_stack+3139, NULL);

 /*--- compute (p0|l0)^5 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+264, r12vrr_stack+1368, NULL, NULL, r12vrr_stack+11884);

 /*--- compute (d0|l0)^4 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+960, r12vrr_stack+19288, r12vrr_stack+13545, r12vrr_stack+264, r12vrr_stack+11920);

 /*--- compute (f0|l0)^3 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20080, r12vrr_stack+30205, r12vrr_stack+19810, r12vrr_stack+29260, r12vrr_stack+960, r12vrr_stack+12028);

 /*--- compute (g0|l0)^2 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+30475, r12vrr_stack+20080, r12vrr_stack+29530, r12vrr_stack+30205, r12vrr_stack+21664);

 /*--- compute (h0|l0)^1 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+33850, r12vrr_stack+31375, r12vrr_stack+33175, r12vrr_stack+30925, r12vrr_stack+30475, r12vrr_stack+22024);

 /*--- compute (h0|l0)^0 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+31375, r12vrr_stack+32050, r12vrr_stack+30925, r12vrr_stack+20584);

 /*--- compute (i0|l0)^0 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+33850, r12vrr_stack+32500, r12vrr_stack+31375, r12vrr_stack+22564);
 tmp = r12vrr_stack + 35740;
 target_ptr = Libr12->gvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^14 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1413, Data->F+14, Data->F+15, NULL, NULL, NULL);

 /*--- compute (00|d0)^13 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1416, r12vrr_stack+13228, r12vrr_stack+1413, Data->F+13, Data->F+14, NULL);

 /*--- compute (00|f0)^12 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1422, r12vrr_stack+13231, r12vrr_stack+1416, r12vrr_stack+3090, r12vrr_stack+13228, NULL);

 /*--- compute (00|g0)^11 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1095, r12vrr_stack+13237, r12vrr_stack+1422, r12vrr_stack+48, r12vrr_stack+13231, NULL);

 /*--- compute (00|h0)^10 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1432, r12vrr_stack+13247, r12vrr_stack+1095, r12vrr_stack+3093, r12vrr_stack+13237, NULL);

 /*--- compute (00|i0)^9 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1453, r12vrr_stack+13262, r12vrr_stack+1432, r12vrr_stack+3103, r12vrr_stack+13247, NULL);

 /*--- compute (00|k0)^8 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19423, r12vrr_stack+13283, r12vrr_stack+1453, r12vrr_stack+3118, r12vrr_stack+13262, NULL);

 /*--- compute (00|l0)^7 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19459, r12vrr_stack+13311, r12vrr_stack+19423, r12vrr_stack+3139, r12vrr_stack+13283, NULL);

 /*--- compute (p0|l0)^6 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20530, r12vrr_stack+1368, r12vrr_stack+19459, NULL, NULL, r12vrr_stack+13311);

 /*--- compute (d0|l0)^5 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+20665, r12vrr_stack+19288, r12vrr_stack+20530, r12vrr_stack+264, r12vrr_stack+1368, r12vrr_stack+13347);

 /*--- compute (f0|l0)^4 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+19810, r12vrr_stack+20665, r12vrr_stack+960, r12vrr_stack+19288, r12vrr_stack+25084);

 /*--- compute (g0|l0)^3 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37450, r12vrr_stack+20080, r12vrr_stack+37000, r12vrr_stack+30205, r12vrr_stack+19810, r12vrr_stack+25300);

 /*--- compute (h0|l0)^2 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+38125, r12vrr_stack+33175, r12vrr_stack+37450, r12vrr_stack+30475, r12vrr_stack+20080, r12vrr_stack+25660);

 /*--- compute (i0|l0)^1 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+39070, r12vrr_stack+33850, r12vrr_stack+38125, r12vrr_stack+31375, r12vrr_stack+33175, r12vrr_stack+26200);

 /*--- compute (k0|l0)^0 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+39070, r12vrr_stack+34795, r12vrr_stack+33850, r12vrr_stack+26956);
 tmp = r12vrr_stack + 40330;
 target_ptr = Libr12->gvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|m0)^3 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+755, r12vrr_stack+13455, r12vrr_stack+13545, r12vrr_stack+3979, r12vrr_stack+4051, NULL);

 /*--- compute (00|m0)^2 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20935, r12vrr_stack+13500, r12vrr_stack+13455, r12vrr_stack+4015, r12vrr_stack+3979, NULL);

 /*--- compute (00|m0)^4 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20990, r12vrr_stack+13545, r12vrr_stack+264, r12vrr_stack+4051, r12vrr_stack+11128, NULL);

 /*--- compute (p0|m0)^3 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+755, r12vrr_stack+20990, NULL, NULL, r12vrr_stack+13545);

 /*--- compute (p0|m0)^2 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42115, r12vrr_stack+20935, r12vrr_stack+755, NULL, NULL, r12vrr_stack+13455);

 /*--- compute (d0|m0)^2 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42280, r12vrr_stack+42115, r12vrr_stack+41950, r12vrr_stack+20935, r12vrr_stack+755, r12vrr_stack+29260);

 /*--- compute (00|m0)^1 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+4087, r12vrr_stack+13500, r12vrr_stack+1332, r12vrr_stack+4015, NULL);

 /*--- compute (p0|m0)^1 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42610, r12vrr_stack+29260, r12vrr_stack+20935, NULL, NULL, r12vrr_stack+13500);

 /*--- compute (d0|m0)^1 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42775, r12vrr_stack+42610, r12vrr_stack+42115, r12vrr_stack+29260, r12vrr_stack+20935, r12vrr_stack+29395);

 /*--- compute (00|m0)^5 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29315, r12vrr_stack+264, r12vrr_stack+1368, r12vrr_stack+11128, r12vrr_stack+11884, NULL);

 /*--- compute (p0|m0)^4 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43105, r12vrr_stack+20990, r12vrr_stack+29315, NULL, NULL, r12vrr_stack+264);

 /*--- compute (d0|m0)^3 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43270, r12vrr_stack+41950, r12vrr_stack+43105, r12vrr_stack+755, r12vrr_stack+20990, r12vrr_stack+960);

 /*--- compute (f0|m0)^2 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+43600, r12vrr_stack+42280, r12vrr_stack+43270, r12vrr_stack+42115, r12vrr_stack+41950, r12vrr_stack+30205);

 /*--- compute (f0|m0)^1 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44150, r12vrr_stack+42775, r12vrr_stack+42280, r12vrr_stack+42610, r12vrr_stack+42115, r12vrr_stack+29530);

 /*--- compute (g0|m0)^1 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+44700, r12vrr_stack+44150, r12vrr_stack+43600, r12vrr_stack+42775, r12vrr_stack+42280, r12vrr_stack+30475);

 /*--- compute (00|m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30205, r12vrr_stack+19108, r12vrr_stack+4087, r12vrr_stack+11164, r12vrr_stack+1332, NULL);

 /*--- compute (p0|m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+30205, r12vrr_stack+29260, NULL, NULL, r12vrr_stack+4087);

 /*--- compute (d0|m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+42610, r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+29800);

 /*--- compute (f0|m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+42775, r12vrr_stack+30260, r12vrr_stack+42610, r12vrr_stack+29935);

 /*--- compute (g0|m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+44150, r12vrr_stack+30425, r12vrr_stack+42775, r12vrr_stack+30925);

 /*--- compute (00|m0)^6 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+1368, r12vrr_stack+19459, r12vrr_stack+11884, r12vrr_stack+13311, NULL);

 /*--- compute (p0|m0)^5 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30810, r12vrr_stack+29315, r12vrr_stack+30755, NULL, NULL, r12vrr_stack+1368);

 /*--- compute (d0|m0)^4 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+30975, r12vrr_stack+43105, r12vrr_stack+30810, r12vrr_stack+20990, r12vrr_stack+29315, r12vrr_stack+19288);

 /*--- compute (f0|m0)^3 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46350, r12vrr_stack+43270, r12vrr_stack+30975, r12vrr_stack+41950, r12vrr_stack+43105, r12vrr_stack+19810);

 /*--- compute (g0|m0)^2 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46900, r12vrr_stack+43600, r12vrr_stack+46350, r12vrr_stack+42280, r12vrr_stack+43270, r12vrr_stack+20080);

 /*--- compute (h0|m0)^1 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+47725, r12vrr_stack+44700, r12vrr_stack+46900, r12vrr_stack+44150, r12vrr_stack+43600, r12vrr_stack+33175);

 /*--- compute (h0|m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+44700, r12vrr_stack+29370, r12vrr_stack+44150, r12vrr_stack+31375);

 /*--- compute (i0|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+47725, r12vrr_stack+45525, r12vrr_stack+44700, r12vrr_stack+33850);
 tmp = r12vrr_stack + 50035;
 target_ptr = Libr12->gvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^15 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1332, Data->F+15, Data->F+16, NULL, NULL, NULL);

 /*--- compute (00|d0)^14 ---*/
 _BUILD_00d0(Data,r12vrr_stack+1335, r12vrr_stack+1413, r12vrr_stack+1332, Data->F+14, Data->F+15, NULL);

 /*--- compute (00|f0)^13 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1341, r12vrr_stack+1416, r12vrr_stack+1335, r12vrr_stack+13228, r12vrr_stack+1413, NULL);

 /*--- compute (00|g0)^12 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1351, r12vrr_stack+1422, r12vrr_stack+1341, r12vrr_stack+13231, r12vrr_stack+1416, NULL);

 /*--- compute (00|h0)^11 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31305, r12vrr_stack+1095, r12vrr_stack+1351, r12vrr_stack+13237, r12vrr_stack+1422, NULL);

 /*--- compute (00|i0)^10 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31326, r12vrr_stack+1432, r12vrr_stack+31305, r12vrr_stack+13247, r12vrr_stack+1095, NULL);

 /*--- compute (00|k0)^9 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+1453, r12vrr_stack+31326, r12vrr_stack+13262, r12vrr_stack+1432, NULL);

 /*--- compute (00|l0)^8 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31354, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+13283, r12vrr_stack+1453, NULL);

 /*--- compute (00|m0)^7 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31399, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+13311, r12vrr_stack+19423, NULL);

 /*--- compute (p0|m0)^6 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31454, r12vrr_stack+30755, r12vrr_stack+31399, NULL, NULL, r12vrr_stack+19459);

 /*--- compute (d0|m0)^5 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+31619, r12vrr_stack+30810, r12vrr_stack+31454, r12vrr_stack+29315, r12vrr_stack+30755, r12vrr_stack+20530);

 /*--- compute (f0|m0)^4 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+30975, r12vrr_stack+31619, r12vrr_stack+43105, r12vrr_stack+30810, r12vrr_stack+20665);

 /*--- compute (g0|m0)^3 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52125, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+43270, r12vrr_stack+30975, r12vrr_stack+37000);

 /*--- compute (h0|m0)^2 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+52950, r12vrr_stack+46900, r12vrr_stack+52125, r12vrr_stack+43600, r12vrr_stack+46350, r12vrr_stack+37450);

 /*--- compute (i0|m0)^1 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+54105, r12vrr_stack+47725, r12vrr_stack+52950, r12vrr_stack+44700, r12vrr_stack+46900, r12vrr_stack+38125);

 /*--- compute (k0|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+54105, r12vrr_stack+48880, r12vrr_stack+47725, r12vrr_stack+39070);
 tmp = r12vrr_stack + 55645;
 target_ptr = Libr12->gvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|n0)^3 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+755, r12vrr_stack+20990, r12vrr_stack+13455, r12vrr_stack+13545, NULL);

 /*--- compute (00|n0)^2 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+20935, r12vrr_stack+755, r12vrr_stack+13500, r12vrr_stack+13455, NULL);

 /*--- compute (00|n0)^4 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1026, r12vrr_stack+20990, r12vrr_stack+29315, r12vrr_stack+13545, r12vrr_stack+264, NULL);

 /*--- compute (p0|n0)^3 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+31949, r12vrr_stack+1026, NULL, NULL, r12vrr_stack+20990);

 /*--- compute (p0|n0)^2 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+960, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+755);

 /*--- compute (d0|n0)^2 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+57823, r12vrr_stack+57625, r12vrr_stack+29920, r12vrr_stack+960, r12vrr_stack+31949, r12vrr_stack+41950);

 /*--- compute (00|n0)^1 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+29260, r12vrr_stack+20935, r12vrr_stack+4087, r12vrr_stack+13500, NULL);

 /*--- compute (p0|n0)^1 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58219, r12vrr_stack+41950, r12vrr_stack+960, NULL, NULL, r12vrr_stack+20935);

 /*--- compute (d0|n0)^1 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58417, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+41950, r12vrr_stack+960, r12vrr_stack+42115);

 /*--- compute (00|n0)^5 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42016, r12vrr_stack+29315, r12vrr_stack+30755, r12vrr_stack+264, r12vrr_stack+1368, NULL);

 /*--- compute (p0|n0)^4 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42082, r12vrr_stack+1026, r12vrr_stack+42016, NULL, NULL, r12vrr_stack+29315);

 /*--- compute (d0|n0)^3 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+42082, r12vrr_stack+31949, r12vrr_stack+1026, r12vrr_stack+43105);

 /*--- compute (f0|n0)^2 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59209, r12vrr_stack+57823, r12vrr_stack+58813, r12vrr_stack+57625, r12vrr_stack+29920, r12vrr_stack+43270);

 /*--- compute (f0|n0)^1 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+59869, r12vrr_stack+58417, r12vrr_stack+57823, r12vrr_stack+58219, r12vrr_stack+57625, r12vrr_stack+42280);

 /*--- compute (g0|n0)^1 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60529, r12vrr_stack+59869, r12vrr_stack+59209, r12vrr_stack+58417, r12vrr_stack+57823, r12vrr_stack+43600);

 /*--- compute (00|n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42280, r12vrr_stack+30205, r12vrr_stack+29260, r12vrr_stack+19108, r12vrr_stack+4087, NULL);

 /*--- compute (p0|n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42346, r12vrr_stack+42280, r12vrr_stack+41950, NULL, NULL, r12vrr_stack+29260);

 /*--- compute (d0|n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+58219, r12vrr_stack+42280, r12vrr_stack+41950, r12vrr_stack+42610);

 /*--- compute (f0|n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+58417, r12vrr_stack+42346, r12vrr_stack+58219, r12vrr_stack+42775);

 /*--- compute (g0|n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+59869, r12vrr_stack+43105, r12vrr_stack+58417, r12vrr_stack+44150);

 /*--- compute (00|n0)^6 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42544, r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+1368, r12vrr_stack+19459, NULL);

 /*--- compute (p0|n0)^5 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42610, r12vrr_stack+42016, r12vrr_stack+42544, NULL, NULL, r12vrr_stack+30755);

 /*--- compute (d0|n0)^4 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+42082, r12vrr_stack+42610, r12vrr_stack+1026, r12vrr_stack+42016, r12vrr_stack+30810);

 /*--- compute (f0|n0)^3 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+43897, r12vrr_stack+58813, r12vrr_stack+43501, r12vrr_stack+29920, r12vrr_stack+42082, r12vrr_stack+30975);

 /*--- compute (g0|n0)^2 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+59209, r12vrr_stack+43897, r12vrr_stack+57823, r12vrr_stack+58813, r12vrr_stack+46350);

 /*--- compute (h0|n0)^1 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+64159, r12vrr_stack+60529, r12vrr_stack+63169, r12vrr_stack+59869, r12vrr_stack+59209, r12vrr_stack+46900);

 /*--- compute (h0|n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+60529, r12vrr_stack+61519, r12vrr_stack+59869, r12vrr_stack+44700);

 /*--- compute (i0|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+64159, r12vrr_stack+62179, r12vrr_stack+60529, r12vrr_stack+47725);
 tmp = r12vrr_stack + 66931;
 target_ptr = Libr12->gvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^16 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1092, Data->F+16, Data->F+17, NULL, NULL, NULL);

 /*--- compute (00|d0)^15 ---*/
 _BUILD_00d0(Data,r12vrr_stack+42808, r12vrr_stack+1332, r12vrr_stack+1092, Data->F+15, Data->F+16, NULL);

 /*--- compute (00|f0)^14 ---*/
 _BUILD_00f0(Data,r12vrr_stack+42814, r12vrr_stack+1335, r12vrr_stack+42808, r12vrr_stack+1413, r12vrr_stack+1332, NULL);

 /*--- compute (00|g0)^13 ---*/
 _BUILD_00g0(Data,r12vrr_stack+42824, r12vrr_stack+1341, r12vrr_stack+42814, r12vrr_stack+1416, r12vrr_stack+1335, NULL);

 /*--- compute (00|h0)^12 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+42839, r12vrr_stack+1351, r12vrr_stack+42824, r12vrr_stack+1422, r12vrr_stack+1341, NULL);

 /*--- compute (00|i0)^11 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+42860, r12vrr_stack+31305, r12vrr_stack+42839, r12vrr_stack+1095, r12vrr_stack+1351, NULL);

 /*--- compute (00|k0)^10 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19504, r12vrr_stack+31326, r12vrr_stack+42860, r12vrr_stack+1432, r12vrr_stack+31305, NULL);

 /*--- compute (00|l0)^9 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+42888, r12vrr_stack+11128, r12vrr_stack+19504, r12vrr_stack+1453, r12vrr_stack+31326, NULL);

 /*--- compute (00|m0)^8 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42933, r12vrr_stack+31354, r12vrr_stack+42888, r12vrr_stack+19423, r12vrr_stack+11128, NULL);

 /*--- compute (00|n0)^7 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+42988, r12vrr_stack+31399, r12vrr_stack+42933, r12vrr_stack+19459, r12vrr_stack+31354, NULL);

 /*--- compute (p0|n0)^6 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44557, r12vrr_stack+42544, r12vrr_stack+42988, NULL, NULL, r12vrr_stack+31399);

 /*--- compute (d0|n0)^5 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+44755, r12vrr_stack+42610, r12vrr_stack+44557, r12vrr_stack+42016, r12vrr_stack+42544, r12vrr_stack+31454);

 /*--- compute (f0|n0)^4 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+43501, r12vrr_stack+44755, r12vrr_stack+42082, r12vrr_stack+42610, r12vrr_stack+31619);

 /*--- compute (g0|n0)^3 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+69439, r12vrr_stack+43897, r12vrr_stack+68779, r12vrr_stack+58813, r12vrr_stack+43501, r12vrr_stack+51575);

 /*--- compute (h0|n0)^2 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+70429, r12vrr_stack+63169, r12vrr_stack+69439, r12vrr_stack+59209, r12vrr_stack+43897, r12vrr_stack+52125);

 /*--- compute (i0|n0)^1 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+71815, r12vrr_stack+64159, r12vrr_stack+70429, r12vrr_stack+60529, r12vrr_stack+63169, r12vrr_stack+52950);

 /*--- compute (k0|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+71815, r12vrr_stack+65545, r12vrr_stack+64159, r12vrr_stack+54105);
 tmp = r12vrr_stack + 73663;
 target_ptr = Libr12->gvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|o0)^3 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+31949, r12vrr_stack+1026, r12vrr_stack+755, r12vrr_stack+20990, NULL);

 /*--- compute (00|o0)^2 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45229, r12vrr_stack+960, r12vrr_stack+31949, r12vrr_stack+20935, r12vrr_stack+755, NULL);

 /*--- compute (00|o0)^4 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+45307, r12vrr_stack+1026, r12vrr_stack+42016, r12vrr_stack+20990, r12vrr_stack+29315, NULL);

 /*--- compute (p0|o0)^3 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+45151, r12vrr_stack+45307, NULL, NULL, r12vrr_stack+1026);

 /*--- compute (p0|o0)^2 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76273, r12vrr_stack+45229, r12vrr_stack+45151, NULL, NULL, r12vrr_stack+31949);

 /*--- compute (d0|o0)^2 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76507, r12vrr_stack+76273, r12vrr_stack+76039, r12vrr_stack+45229, r12vrr_stack+45151, r12vrr_stack+29920);

 /*--- compute (00|o0)^1 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29920, r12vrr_stack+41950, r12vrr_stack+960, r12vrr_stack+29260, r12vrr_stack+20935, NULL);

 /*--- compute (p0|o0)^1 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+76975, r12vrr_stack+29920, r12vrr_stack+45229, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|o0)^1 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77209, r12vrr_stack+76975, r12vrr_stack+76273, r12vrr_stack+29920, r12vrr_stack+45229, r12vrr_stack+57625);

 /*--- compute (00|o0)^5 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+42016, r12vrr_stack+42544, r12vrr_stack+29315, r12vrr_stack+30755, NULL);

 /*--- compute (p0|o0)^4 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77677, r12vrr_stack+45307, r12vrr_stack+57625, NULL, NULL, r12vrr_stack+42016);

 /*--- compute (d0|o0)^3 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+77911, r12vrr_stack+76039, r12vrr_stack+77677, r12vrr_stack+45151, r12vrr_stack+45307, r12vrr_stack+42082);

 /*--- compute (f0|o0)^2 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+78379, r12vrr_stack+76507, r12vrr_stack+77911, r12vrr_stack+76273, r12vrr_stack+76039, r12vrr_stack+58813);

 /*--- compute (f0|o0)^1 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79159, r12vrr_stack+77209, r12vrr_stack+76507, r12vrr_stack+76975, r12vrr_stack+76273, r12vrr_stack+57823);

 /*--- compute (g0|o0)^1 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79939, r12vrr_stack+79159, r12vrr_stack+78379, r12vrr_stack+77209, r12vrr_stack+76507, r12vrr_stack+59209);

 /*--- compute (00|o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58813, r12vrr_stack+42280, r12vrr_stack+41950, r12vrr_stack+30205, r12vrr_stack+29260, NULL);

 /*--- compute (p0|o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+58891, r12vrr_stack+58813, r12vrr_stack+29920, NULL, NULL, r12vrr_stack+41950);

 /*--- compute (d0|o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+76975, r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+58219);

 /*--- compute (f0|o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+77209, r12vrr_stack+58891, r12vrr_stack+76975, r12vrr_stack+58417);

 /*--- compute (g0|o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+79159, r12vrr_stack+59125, r12vrr_stack+77209, r12vrr_stack+59869);

 /*--- compute (00|o0)^6 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+29260, r12vrr_stack+42544, r12vrr_stack+42988, r12vrr_stack+30755, r12vrr_stack+31399, NULL);

 /*--- compute (p0|o0)^5 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59593, r12vrr_stack+57625, r12vrr_stack+29260, NULL, NULL, r12vrr_stack+42544);

 /*--- compute (d0|o0)^4 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+59827, r12vrr_stack+77677, r12vrr_stack+59593, r12vrr_stack+45307, r12vrr_stack+57625, r12vrr_stack+42610);

 /*--- compute (f0|o0)^3 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+57703, r12vrr_stack+77911, r12vrr_stack+59827, r12vrr_stack+76039, r12vrr_stack+77677, r12vrr_stack+43501);

 /*--- compute (g0|o0)^2 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+78379, r12vrr_stack+57703, r12vrr_stack+76507, r12vrr_stack+77911, r12vrr_stack+43897);

 /*--- compute (h0|o0)^1 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+84229, r12vrr_stack+79939, r12vrr_stack+83059, r12vrr_stack+79159, r12vrr_stack+78379, r12vrr_stack+63169);

 /*--- compute (h0|o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+79939, r12vrr_stack+81109, r12vrr_stack+79159, r12vrr_stack+60529);

 /*--- compute (i0|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+84229, r12vrr_stack+81889, r12vrr_stack+79939, r12vrr_stack+64159);
 tmp = r12vrr_stack + 87505;
 target_ptr = Libr12->gvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^17 ---*/
 _BUILD_00p0(Data,r12vrr_stack+1413, Data->F+17, Data->F+18, NULL, NULL, NULL);

 /*--- compute (00|d0)^16 ---*/
 _BUILD_00d0(Data,r12vrr_stack+29338, r12vrr_stack+1092, r12vrr_stack+1413, Data->F+16, Data->F+17, NULL);

 /*--- compute (00|f0)^15 ---*/
 _BUILD_00f0(Data,r12vrr_stack+29344, r12vrr_stack+42808, r12vrr_stack+29338, r12vrr_stack+1332, r12vrr_stack+1092, NULL);

 /*--- compute (00|g0)^14 ---*/
 _BUILD_00g0(Data,r12vrr_stack+29354, r12vrr_stack+42814, r12vrr_stack+29344, r12vrr_stack+1335, r12vrr_stack+42808, NULL);

 /*--- compute (00|h0)^13 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+60295, r12vrr_stack+42824, r12vrr_stack+29354, r12vrr_stack+1341, r12vrr_stack+42814, NULL);

 /*--- compute (00|i0)^12 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+60316, r12vrr_stack+42839, r12vrr_stack+60295, r12vrr_stack+1351, r12vrr_stack+42824, NULL);

 /*--- compute (00|k0)^11 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60344, r12vrr_stack+42860, r12vrr_stack+60316, r12vrr_stack+31305, r12vrr_stack+42839, NULL);

 /*--- compute (00|l0)^10 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+60380, r12vrr_stack+19504, r12vrr_stack+60344, r12vrr_stack+31326, r12vrr_stack+42860, NULL);

 /*--- compute (00|m0)^9 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+755, r12vrr_stack+42888, r12vrr_stack+60380, r12vrr_stack+11128, r12vrr_stack+19504, NULL);

 /*--- compute (00|n0)^8 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60425, r12vrr_stack+42933, r12vrr_stack+755, r12vrr_stack+31354, r12vrr_stack+42888, NULL);

 /*--- compute (00|o0)^7 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60491, r12vrr_stack+42988, r12vrr_stack+60425, r12vrr_stack+31399, r12vrr_stack+42933, NULL);

 /*--- compute (p0|o0)^6 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60569, r12vrr_stack+29260, r12vrr_stack+60491, NULL, NULL, r12vrr_stack+42988);

 /*--- compute (d0|o0)^5 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+60803, r12vrr_stack+59593, r12vrr_stack+60569, r12vrr_stack+57625, r12vrr_stack+29260, r12vrr_stack+44557);

 /*--- compute (f0|o0)^4 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+59827, r12vrr_stack+60803, r12vrr_stack+77677, r12vrr_stack+59593, r12vrr_stack+44755);

 /*--- compute (g0|o0)^3 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+90469, r12vrr_stack+57703, r12vrr_stack+89689, r12vrr_stack+77911, r12vrr_stack+59827, r12vrr_stack+68779);

 /*--- compute (h0|o0)^2 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+91639, r12vrr_stack+83059, r12vrr_stack+90469, r12vrr_stack+78379, r12vrr_stack+57703, r12vrr_stack+69439);

 /*--- compute (i0|o0)^1 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+93277, r12vrr_stack+84229, r12vrr_stack+91639, r12vrr_stack+79939, r12vrr_stack+83059, r12vrr_stack+70429);

 /*--- compute (k0|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+93277, r12vrr_stack+85867, r12vrr_stack+84229, r12vrr_stack+71815);
 tmp = r12vrr_stack + 95461;
 target_ptr = Libr12->gvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|q0)^3 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+2775, r12vrr_stack+45151, r12vrr_stack+45307, r12vrr_stack+31949, r12vrr_stack+1026, NULL);

 /*--- compute (00|q0)^2 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+61271, r12vrr_stack+45229, r12vrr_stack+45151, r12vrr_stack+960, r12vrr_stack+31949, NULL);

 /*--- compute (00|q0)^4 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+45307, r12vrr_stack+57625, r12vrr_stack+1026, r12vrr_stack+42016, NULL);

 /*--- compute (p0|q0)^3 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+2775, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+45307);

 /*--- compute (p0|q0)^2 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+61271, r12vrr_stack+2775, NULL, NULL, r12vrr_stack+45151);

 /*--- compute (d0|q0)^2 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+98542, r12vrr_stack+98269, r12vrr_stack+58483, r12vrr_stack+61271, r12vrr_stack+2775, r12vrr_stack+76039);

 /*--- compute (00|q0)^1 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+29920, r12vrr_stack+45229, r12vrr_stack+41950, r12vrr_stack+960, NULL);

 /*--- compute (p0|q0)^1 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99088, r12vrr_stack+76039, r12vrr_stack+61271, NULL, NULL, r12vrr_stack+45229);

 /*--- compute (d0|q0)^1 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99361, r12vrr_stack+99088, r12vrr_stack+98269, r12vrr_stack+76039, r12vrr_stack+61271, r12vrr_stack+76273);

 /*--- compute (00|q0)^5 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+960, r12vrr_stack+57625, r12vrr_stack+29260, r12vrr_stack+42016, r12vrr_stack+42544, NULL);

 /*--- compute (p0|q0)^4 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76130, r12vrr_stack+31949, r12vrr_stack+960, NULL, NULL, r12vrr_stack+57625);

 /*--- compute (d0|q0)^3 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+99907, r12vrr_stack+58483, r12vrr_stack+76130, r12vrr_stack+2775, r12vrr_stack+31949, r12vrr_stack+77677);

 /*--- compute (f0|q0)^2 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+100453, r12vrr_stack+98542, r12vrr_stack+99907, r12vrr_stack+98269, r12vrr_stack+58483, r12vrr_stack+77911);

 /*--- compute (f0|q0)^1 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+101363, r12vrr_stack+99361, r12vrr_stack+98542, r12vrr_stack+99088, r12vrr_stack+98269, r12vrr_stack+76507);

 /*--- compute (g0|q0)^1 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+102273, r12vrr_stack+101363, r12vrr_stack+100453, r12vrr_stack+99361, r12vrr_stack+98542, r12vrr_stack+78379);

 /*--- compute (00|q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+77677, r12vrr_stack+58813, r12vrr_stack+29920, r12vrr_stack+42280, r12vrr_stack+41950, NULL);

 /*--- compute (p0|q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+77677, r12vrr_stack+76039, NULL, NULL, r12vrr_stack+29920);

 /*--- compute (d0|q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+77768, r12vrr_stack+41950, r12vrr_stack+99088, r12vrr_stack+77677, r12vrr_stack+76039, r12vrr_stack+76975);

 /*--- compute (f0|q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+103638, r12vrr_stack+77768, r12vrr_stack+99361, r12vrr_stack+41950, r12vrr_stack+99088, r12vrr_stack+77209);

 /*--- compute (g0|q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+104548, r12vrr_stack+103638, r12vrr_stack+101363, r12vrr_stack+77768, r12vrr_stack+99361, r12vrr_stack+79159);

 /*--- compute (00|q0)^6 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+29260, r12vrr_stack+60491, r12vrr_stack+42544, r12vrr_stack+42988, NULL);

 /*--- compute (p0|q0)^5 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78405, r12vrr_stack+960, r12vrr_stack+78314, NULL, NULL, r12vrr_stack+29260);

 /*--- compute (d0|q0)^4 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+78678, r12vrr_stack+76130, r12vrr_stack+78405, r12vrr_stack+31949, r12vrr_stack+960, r12vrr_stack+59593);

 /*--- compute (f0|q0)^3 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+76403, r12vrr_stack+99907, r12vrr_stack+78678, r12vrr_stack+58483, r12vrr_stack+76130, r12vrr_stack+59827);

 /*--- compute (g0|q0)^2 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+100453, r12vrr_stack+76403, r12vrr_stack+98542, r12vrr_stack+99907, r12vrr_stack+57703);

 /*--- compute (h0|q0)^1 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+107278, r12vrr_stack+102273, r12vrr_stack+105913, r12vrr_stack+101363, r12vrr_stack+100453, r12vrr_stack+83059);

 /*--- compute (h0|q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+109189, r12vrr_stack+104548, r12vrr_stack+102273, r12vrr_stack+103638, r12vrr_stack+101363, r12vrr_stack+79939);

 /*--- compute (i0|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+107278, r12vrr_stack+104548, r12vrr_stack+102273, r12vrr_stack+84229);
 tmp = r12vrr_stack + 111100;
 target_ptr = Libr12->gvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^18 ---*/
 _BUILD_00p0(Data,r12vrr_stack+42223, Data->F+18, Data->F+19, NULL, NULL, NULL);

 /*--- compute (00|d0)^17 ---*/
 _BUILD_00d0(Data,r12vrr_stack+42226, r12vrr_stack+1413, r12vrr_stack+42223, Data->F+17, Data->F+18, NULL);

 /*--- compute (00|f0)^16 ---*/
 _BUILD_00f0(Data,r12vrr_stack+32040, r12vrr_stack+29338, r12vrr_stack+42226, r12vrr_stack+1092, r12vrr_stack+1413, NULL);

 /*--- compute (00|g0)^15 ---*/
 _BUILD_00g0(Data,r12vrr_stack+42232, r12vrr_stack+29344, r12vrr_stack+32040, r12vrr_stack+42808, r12vrr_stack+29338, NULL);

 /*--- compute (00|h0)^14 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+42247, r12vrr_stack+29354, r12vrr_stack+42232, r12vrr_stack+42814, r12vrr_stack+29344, NULL);

 /*--- compute (00|i0)^13 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+79224, r12vrr_stack+60295, r12vrr_stack+42247, r12vrr_stack+42824, r12vrr_stack+29354, NULL);

 /*--- compute (00|k0)^12 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+79252, r12vrr_stack+60316, r12vrr_stack+79224, r12vrr_stack+42839, r12vrr_stack+60295, NULL);

 /*--- compute (00|l0)^11 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+79288, r12vrr_stack+60344, r12vrr_stack+79252, r12vrr_stack+42860, r12vrr_stack+60316, NULL);

 /*--- compute (00|m0)^10 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+79333, r12vrr_stack+60380, r12vrr_stack+79288, r12vrr_stack+19504, r12vrr_stack+60344, NULL);

 /*--- compute (00|n0)^9 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+79388, r12vrr_stack+755, r12vrr_stack+79333, r12vrr_stack+42888, r12vrr_stack+60380, NULL);

 /*--- compute (00|o0)^8 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79454, r12vrr_stack+60425, r12vrr_stack+79388, r12vrr_stack+42933, r12vrr_stack+755, NULL);

 /*--- compute (00|q0)^7 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79532, r12vrr_stack+60491, r12vrr_stack+79454, r12vrr_stack+42988, r12vrr_stack+60425, NULL);

 /*--- compute (p0|q0)^6 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79623, r12vrr_stack+78314, r12vrr_stack+79532, NULL, NULL, r12vrr_stack+60491);

 /*--- compute (d0|q0)^5 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+79896, r12vrr_stack+78405, r12vrr_stack+79623, r12vrr_stack+960, r12vrr_stack+78314, r12vrr_stack+60569);

 /*--- compute (f0|q0)^4 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+78678, r12vrr_stack+79896, r12vrr_stack+76130, r12vrr_stack+78405, r12vrr_stack+60803);

 /*--- compute (g0|q0)^3 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+114558, r12vrr_stack+76403, r12vrr_stack+113648, r12vrr_stack+99907, r12vrr_stack+78678, r12vrr_stack+89689);

 /*--- compute (h0|q0)^2 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+115923, r12vrr_stack+105913, r12vrr_stack+114558, r12vrr_stack+100453, r12vrr_stack+76403, r12vrr_stack+90469);

 /*--- compute (i0|q0)^1 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+117834, r12vrr_stack+107278, r12vrr_stack+115923, r12vrr_stack+102273, r12vrr_stack+105913, r12vrr_stack+91639);

 /*--- compute (k0|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+117834, r12vrr_stack+109189, r12vrr_stack+107278, r12vrr_stack+93277);
 tmp = r12vrr_stack + 120382;
 target_ptr = Libr12->gvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^3 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80442, r12vrr_stack+2775, r12vrr_stack+31949, r12vrr_stack+45151, r12vrr_stack+45307, NULL);

 /*--- compute (00|r0)^2 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80547, r12vrr_stack+61271, r12vrr_stack+2775, r12vrr_stack+45229, r12vrr_stack+45151, NULL);

 /*--- compute (00|r0)^4 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80652, r12vrr_stack+31949, r12vrr_stack+960, r12vrr_stack+45307, r12vrr_stack+57625, NULL);

 /*--- compute (p0|r0)^3 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80757, r12vrr_stack+80442, r12vrr_stack+80652, NULL, NULL, r12vrr_stack+31949);

 /*--- compute (p0|r0)^2 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+77313, r12vrr_stack+80547, r12vrr_stack+80442, NULL, NULL, r12vrr_stack+2775);

 /*--- compute (d0|r0)^2 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+77313, r12vrr_stack+80757, r12vrr_stack+80547, r12vrr_stack+80442, r12vrr_stack+58483);

 /*--- compute (00|r0)^1 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+76039, r12vrr_stack+61271, r12vrr_stack+29920, r12vrr_stack+45229, NULL);

 /*--- compute (p0|r0)^1 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+58483, r12vrr_stack+80547, NULL, NULL, r12vrr_stack+61271);

 /*--- compute (d0|r0)^1 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+124288, r12vrr_stack+45151, r12vrr_stack+77313, r12vrr_stack+58483, r12vrr_stack+80547, r12vrr_stack+98269);

 /*--- compute (00|r0)^5 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80547, r12vrr_stack+960, r12vrr_stack+78314, r12vrr_stack+57625, r12vrr_stack+29260, NULL);

 /*--- compute (p0|r0)^4 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+124918, r12vrr_stack+80652, r12vrr_stack+80547, NULL, NULL, r12vrr_stack+960);

 /*--- compute (d0|r0)^3 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+125233, r12vrr_stack+80757, r12vrr_stack+124918, r12vrr_stack+80442, r12vrr_stack+80652, r12vrr_stack+76130);

 /*--- compute (f0|r0)^2 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+125863, r12vrr_stack+123658, r12vrr_stack+125233, r12vrr_stack+77313, r12vrr_stack+80757, r12vrr_stack+99907);

 /*--- compute (f0|r0)^1 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+126913, r12vrr_stack+124288, r12vrr_stack+123658, r12vrr_stack+45151, r12vrr_stack+77313, r12vrr_stack+98542);

 /*--- compute (g0|r0)^1 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+127963, r12vrr_stack+126913, r12vrr_stack+125863, r12vrr_stack+124288, r12vrr_stack+123658, r12vrr_stack+100453);

 /*--- compute (00|r0)^0 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80442, r12vrr_stack+77677, r12vrr_stack+76039, r12vrr_stack+58813, r12vrr_stack+29920, NULL);

 /*--- compute (p0|r0)^0 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+77313, r12vrr_stack+80442, r12vrr_stack+58483, NULL, NULL, r12vrr_stack+76039);

 /*--- compute (d0|r0)^0 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+99907, r12vrr_stack+77313, r12vrr_stack+45151, r12vrr_stack+80442, r12vrr_stack+58483, r12vrr_stack+99088);

 /*--- compute (f0|r0)^0 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+99907, r12vrr_stack+124288, r12vrr_stack+77313, r12vrr_stack+45151, r12vrr_stack+99361);

 /*--- compute (g0|r0)^0 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+129538, r12vrr_stack+98269, r12vrr_stack+126913, r12vrr_stack+99907, r12vrr_stack+124288, r12vrr_stack+101363);

 /*--- compute (00|r0)^6 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80442, r12vrr_stack+78314, r12vrr_stack+79532, r12vrr_stack+29260, r12vrr_stack+60491, NULL);

 /*--- compute (p0|r0)^5 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+124288, r12vrr_stack+80547, r12vrr_stack+80442, NULL, NULL, r12vrr_stack+78314);

 /*--- compute (d0|r0)^4 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+99319, r12vrr_stack+124918, r12vrr_stack+124288, r12vrr_stack+80652, r12vrr_stack+80547, r12vrr_stack+78405);

 /*--- compute (f0|r0)^3 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+99949, r12vrr_stack+125233, r12vrr_stack+99319, r12vrr_stack+80757, r12vrr_stack+124918, r12vrr_stack+78678);

 /*--- compute (g0|r0)^2 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+131113, r12vrr_stack+125863, r12vrr_stack+99949, r12vrr_stack+123658, r12vrr_stack+125233, r12vrr_stack+76403);

 /*--- compute (h0|r0)^1 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+132688, r12vrr_stack+127963, r12vrr_stack+131113, r12vrr_stack+126913, r12vrr_stack+125863, r12vrr_stack+105913);

 /*--- compute (h0|r0)^0 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+134893, r12vrr_stack+129538, r12vrr_stack+127963, r12vrr_stack+98269, r12vrr_stack+126913, r12vrr_stack+102273);

 /*--- compute (i0|r0)^0 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+137098, r12vrr_stack+134893, r12vrr_stack+132688, r12vrr_stack+129538, r12vrr_stack+127963, r12vrr_stack+107278);
 tmp = r12vrr_stack + 137098;
 target_ptr = Libr12->gvrr_classes[6][13];
 for(i=0;i<2940;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^7 ---*/
 _BUILD_p000(Data,r12vrr_stack+129538, Data->F+7, Data->F+8, NULL, NULL, NULL);

 /*--- compute (d0|00)^6 ---*/
 _BUILD_d000(Data,r12vrr_stack+129541, r12vrr_stack+1723, r12vrr_stack+129538, Data->F+6, Data->F+7, NULL);

 /*--- compute (f0|00)^5 ---*/
 _BUILD_f000(Data,r12vrr_stack+129547, r12vrr_stack+1726, r12vrr_stack+129541, r12vrr_stack+0, r12vrr_stack+1723, NULL);

 /*--- compute (p0|p0)^7 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1332, r12vrr_stack+105, r12vrr_stack+78, NULL, NULL, Data->F+8);

 /*--- compute (d0|p0)^6 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+60, r12vrr_stack+1732, r12vrr_stack+1332, r12vrr_stack+9, r12vrr_stack+105, r12vrr_stack+129538);

 /*--- compute (f0|p0)^5 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+129557, r12vrr_stack+1741, r12vrr_stack+60, r12vrr_stack+12, r12vrr_stack+1732, r12vrr_stack+129541);

 /*--- compute (g0|p0)^4 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+129587, r12vrr_stack+1284, r12vrr_stack+129557, r12vrr_stack+30, r12vrr_stack+1741, r12vrr_stack+129547);

 /*--- compute (p0|d0)^7 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+9, r12vrr_stack+87, r12vrr_stack+414, NULL, NULL, r12vrr_stack+78);

 /*--- compute (d0|d0)^6 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+129632, r12vrr_stack+1314, r12vrr_stack+9, r12vrr_stack+108, r12vrr_stack+87, r12vrr_stack+1332);

 /*--- compute (f0|d0)^5 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+129668, r12vrr_stack+6912, r12vrr_stack+129632, r12vrr_stack+114, r12vrr_stack+1314, r12vrr_stack+60);

 /*--- compute (g0|d0)^4 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+129728, r12vrr_stack+6948, r12vrr_stack+129668, r12vrr_stack+132, r12vrr_stack+6912, r12vrr_stack+129557);

 /*--- compute (h0|d0)^3 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+129818, r12vrr_stack+7008, r12vrr_stack+129728, r12vrr_stack+204, r12vrr_stack+6948, r12vrr_stack+129587);

 /*--- compute (p0|f0)^7 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+204, r12vrr_stack+430, r12vrr_stack+1488, NULL, NULL, r12vrr_stack+414);

 /*--- compute (d0|f0)^6 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+108, r12vrr_stack+168, r12vrr_stack+204, r12vrr_stack+93, r12vrr_stack+430, r12vrr_stack+9);

 /*--- compute (f0|f0)^5 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+234, r12vrr_stack+7098, r12vrr_stack+108, r12vrr_stack+520, r12vrr_stack+168, r12vrr_stack+129632);

 /*--- compute (g0|f0)^4 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+129944, r12vrr_stack+7158, r12vrr_stack+234, r12vrr_stack+550, r12vrr_stack+7098, r12vrr_stack+129668);

 /*--- compute (h0|f0)^3 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+130094, r12vrr_stack+7258, r12vrr_stack+129944, r12vrr_stack+610, r12vrr_stack+7158, r12vrr_stack+129728);

 /*--- compute (i0|f0)^2 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+130304, r12vrr_stack+7408, r12vrr_stack+130094, r12vrr_stack+810, r12vrr_stack+7258, r12vrr_stack+129818);

 /*--- compute (p0|g0)^7 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+810, r12vrr_stack+1498, r12vrr_stack+2245, NULL, NULL, r12vrr_stack+1488);

 /*--- compute (d0|g0)^6 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+855, r12vrr_stack+710, r12vrr_stack+810, r12vrr_stack+440, r12vrr_stack+1498, r12vrr_stack+204);

 /*--- compute (f0|g0)^5 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+945, r12vrr_stack+7618, r12vrr_stack+855, r12vrr_stack+455, r12vrr_stack+710, r12vrr_stack+108);

 /*--- compute (g0|g0)^4 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+440, r12vrr_stack+7708, r12vrr_stack+945, r12vrr_stack+1770, r12vrr_stack+7618, r12vrr_stack+234);

 /*--- compute (h0|g0)^3 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+124603, r12vrr_stack+7858, r12vrr_stack+440, r12vrr_stack+1860, r12vrr_stack+7708, r12vrr_stack+129944);

 /*--- compute (i0|g0)^2 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+130584, r12vrr_stack+8083, r12vrr_stack+124603, r12vrr_stack+2010, r12vrr_stack+7858, r12vrr_stack+130094);

 /*--- compute (k0|g0)^1 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+126913, r12vrr_stack+8398, r12vrr_stack+130584, r12vrr_stack+2460, r12vrr_stack+8083, r12vrr_stack+130304);

 /*--- compute (p0|h0)^7 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+334, r12vrr_stack+2260, r12vrr_stack+3118, NULL, NULL, r12vrr_stack+2245);

 /*--- compute (d0|h0)^6 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+127453, r12vrr_stack+2281, r12vrr_stack+334, r12vrr_stack+1513, r12vrr_stack+2260, r12vrr_stack+810);

 /*--- compute (f0|h0)^5 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+127579, r12vrr_stack+1110, r12vrr_stack+127453, r12vrr_stack+1534, r12vrr_stack+2281, r12vrr_stack+855);

 /*--- compute (g0|h0)^4 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+8818, r12vrr_stack+127579, r12vrr_stack+1597, r12vrr_stack+1110, r12vrr_stack+945);

 /*--- compute (h0|h0)^3 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+98584, r12vrr_stack+9028, r12vrr_stack+98269, r12vrr_stack+4917, r12vrr_stack+8818, r12vrr_stack+440);

 /*--- compute (i0|h0)^2 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+9343, r12vrr_stack+98584, r12vrr_stack+5127, r12vrr_stack+9028, r12vrr_stack+124603);

 /*--- compute (k0|h0)^1 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+100999, r12vrr_stack+9784, r12vrr_stack+123658, r12vrr_stack+5442, r12vrr_stack+9343, r12vrr_stack+130584);

 /*--- compute (l0|h0)^0 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+4917, r12vrr_stack+10372, r12vrr_stack+100999, r12vrr_stack+6324, r12vrr_stack+9784, r12vrr_stack+126913);

 /*--- compute (p0|i0)^7 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+3139, r12vrr_stack+13283, NULL, NULL, r12vrr_stack+3118);

 /*--- compute (d0|i0)^6 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+127789, r12vrr_stack+3167, r12vrr_stack+1513, r12vrr_stack+2866, r12vrr_stack+3139, r12vrr_stack+334);

 /*--- compute (f0|i0)^5 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+99025, r12vrr_stack+3531, r12vrr_stack+127789, r12vrr_stack+2894, r12vrr_stack+3167, r12vrr_stack+127453);

 /*--- compute (g0|i0)^4 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+80652, r12vrr_stack+3699, r12vrr_stack+99025, r12vrr_stack+12360, r12vrr_stack+3531, r12vrr_stack+127579);

 /*--- compute (h0|i0)^3 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+101755, r12vrr_stack+15524, r12vrr_stack+80652, r12vrr_stack+12528, r12vrr_stack+3699, r12vrr_stack+98269);

 /*--- compute (i0|i0)^2 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+102343, r12vrr_stack+15944, r12vrr_stack+101755, r12vrr_stack+12808, r12vrr_stack+15524, r12vrr_stack+98584);

 /*--- compute (k0|i0)^1 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+140038, r12vrr_stack+16532, r12vrr_stack+102343, r12vrr_stack+13648, r12vrr_stack+15944, r12vrr_stack+123658);

 /*--- compute (l0|i0)^0 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+141046, r12vrr_stack+18100, r12vrr_stack+140038, r12vrr_stack+17316, r12vrr_stack+16532, r12vrr_stack+100999);
 tmp = r12vrr_stack + 141046;
 target_ptr = Libr12->gvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^7 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1597, r12vrr_stack+13311, r12vrr_stack+19423, NULL, NULL, r12vrr_stack+13283);

 /*--- compute (d0|k0)^6 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+45151, r12vrr_stack+13347, r12vrr_stack+1597, r12vrr_stack+11884, r12vrr_stack+13311, r12vrr_stack+1513);

 /*--- compute (f0|k0)^5 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+77313, r12vrr_stack+25084, r12vrr_stack+45151, r12vrr_stack+11920, r12vrr_stack+13347, r12vrr_stack+127789);

 /*--- compute (g0|k0)^4 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+13455, r12vrr_stack+25300, r12vrr_stack+77313, r12vrr_stack+12028, r12vrr_stack+25084, r12vrr_stack+99025);

 /*--- compute (h0|k0)^3 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+25660, r12vrr_stack+13455, r12vrr_stack+21664, r12vrr_stack+25300, r12vrr_stack+80652);

 /*--- compute (i0|k0)^2 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+142306, r12vrr_stack+26200, r12vrr_stack+11884, r12vrr_stack+22024, r12vrr_stack+25660, r12vrr_stack+101755);

 /*--- compute (k0|k0)^1 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+143314, r12vrr_stack+26956, r12vrr_stack+142306, r12vrr_stack+22564, r12vrr_stack+26200, r12vrr_stack+102343);

 /*--- compute (l0|k0)^0 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+143314, r12vrr_stack+24076, r12vrr_stack+26956, r12vrr_stack+140038);
 tmp = r12vrr_stack + 21664;
 target_ptr = Libr12->gvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^7 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12640, r12vrr_stack+19459, r12vrr_stack+31354, NULL, NULL, r12vrr_stack+19423);

 /*--- compute (d0|l0)^6 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+12775, r12vrr_stack+20530, r12vrr_stack+12640, r12vrr_stack+1368, r12vrr_stack+19459, r12vrr_stack+1597);

 /*--- compute (f0|l0)^5 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+103127, r12vrr_stack+20665, r12vrr_stack+12775, r12vrr_stack+19288, r12vrr_stack+20530, r12vrr_stack+45151);

 /*--- compute (g0|l0)^4 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+144610, r12vrr_stack+37000, r12vrr_stack+103127, r12vrr_stack+19810, r12vrr_stack+20665, r12vrr_stack+77313);

 /*--- compute (h0|l0)^3 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+145285, r12vrr_stack+37450, r12vrr_stack+144610, r12vrr_stack+20080, r12vrr_stack+37000, r12vrr_stack+13455);

 /*--- compute (i0|l0)^2 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+146230, r12vrr_stack+38125, r12vrr_stack+145285, r12vrr_stack+33175, r12vrr_stack+37450, r12vrr_stack+11884);

 /*--- compute (k0|l0)^1 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+147490, r12vrr_stack+39070, r12vrr_stack+146230, r12vrr_stack+33850, r12vrr_stack+38125, r12vrr_stack+142306);

 /*--- compute (l0|l0)^0 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+147490, r12vrr_stack+35740, r12vrr_stack+39070, r12vrr_stack+143314);
 tmp = r12vrr_stack + 149110;
 target_ptr = Libr12->gvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^7 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+31399, r12vrr_stack+42933, NULL, NULL, r12vrr_stack+31354);

 /*--- compute (d0|m0)^6 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+58483, r12vrr_stack+31454, r12vrr_stack+33175, r12vrr_stack+30755, r12vrr_stack+31399, r12vrr_stack+12640);

 /*--- compute (f0|m0)^5 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33340, r12vrr_stack+31619, r12vrr_stack+58483, r12vrr_stack+30810, r12vrr_stack+31454, r12vrr_stack+12775);

 /*--- compute (g0|m0)^4 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+33890, r12vrr_stack+51575, r12vrr_stack+33340, r12vrr_stack+30975, r12vrr_stack+31619, r12vrr_stack+103127);

 /*--- compute (h0|m0)^3 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+151135, r12vrr_stack+52125, r12vrr_stack+33890, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+144610);

 /*--- compute (i0|m0)^2 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+152290, r12vrr_stack+52950, r12vrr_stack+151135, r12vrr_stack+46900, r12vrr_stack+52125, r12vrr_stack+145285);

 /*--- compute (k0|m0)^1 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+153830, r12vrr_stack+54105, r12vrr_stack+152290, r12vrr_stack+47725, r12vrr_stack+52950, r12vrr_stack+146230);

 /*--- compute (l0|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+153830, r12vrr_stack+50035, r12vrr_stack+54105, r12vrr_stack+147490);
 tmp = r12vrr_stack + 46350;
 target_ptr = Libr12->gvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^7 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+42988, r12vrr_stack+60425, NULL, NULL, r12vrr_stack+42933);

 /*--- compute (d0|n0)^6 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+44557, r12vrr_stack+30755, r12vrr_stack+42544, r12vrr_stack+42988, r12vrr_stack+33175);

 /*--- compute (f0|n0)^5 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+155810, r12vrr_stack+44755, r12vrr_stack+19810, r12vrr_stack+42610, r12vrr_stack+44557, r12vrr_stack+58483);

 /*--- compute (g0|n0)^4 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+156470, r12vrr_stack+68779, r12vrr_stack+155810, r12vrr_stack+43501, r12vrr_stack+44755, r12vrr_stack+33340);

 /*--- compute (h0|n0)^3 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+157460, r12vrr_stack+69439, r12vrr_stack+156470, r12vrr_stack+43897, r12vrr_stack+68779, r12vrr_stack+33890);

 /*--- compute (i0|n0)^2 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+158846, r12vrr_stack+70429, r12vrr_stack+157460, r12vrr_stack+63169, r12vrr_stack+69439, r12vrr_stack+151135);

 /*--- compute (k0|n0)^1 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+160694, r12vrr_stack+71815, r12vrr_stack+158846, r12vrr_stack+64159, r12vrr_stack+70429, r12vrr_stack+152290);

 /*--- compute (l0|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+160694, r12vrr_stack+66931, r12vrr_stack+71815, r12vrr_stack+153830);
 tmp = r12vrr_stack + 163070;
 target_ptr = Libr12->gvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^7 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+60491, r12vrr_stack+79454, NULL, NULL, r12vrr_stack+60425);

 /*--- compute (d0|o0)^6 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63403, r12vrr_stack+60569, r12vrr_stack+63169, r12vrr_stack+29260, r12vrr_stack+60491, r12vrr_stack+30755);

 /*--- compute (f0|o0)^5 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+63871, r12vrr_stack+60803, r12vrr_stack+63403, r12vrr_stack+59593, r12vrr_stack+60569, r12vrr_stack+19810);

 /*--- compute (g0|o0)^4 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+166040, r12vrr_stack+89689, r12vrr_stack+63871, r12vrr_stack+59827, r12vrr_stack+60803, r12vrr_stack+155810);

 /*--- compute (h0|o0)^3 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+167210, r12vrr_stack+90469, r12vrr_stack+166040, r12vrr_stack+57703, r12vrr_stack+89689, r12vrr_stack+156470);

 /*--- compute (i0|o0)^2 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+168848, r12vrr_stack+91639, r12vrr_stack+167210, r12vrr_stack+83059, r12vrr_stack+90469, r12vrr_stack+157460);

 /*--- compute (k0|o0)^1 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+171032, r12vrr_stack+93277, r12vrr_stack+168848, r12vrr_stack+84229, r12vrr_stack+91639, r12vrr_stack+158846);

 /*--- compute (l0|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+171032, r12vrr_stack+87505, r12vrr_stack+93277, r12vrr_stack+160694);
 tmp = r12vrr_stack + 173840;
 target_ptr = Libr12->gvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^19 ---*/
 _BUILD_00p0(Data,r12vrr_stack+0, Data->F+19, Data->F+20, NULL, NULL, NULL);

 /*--- compute (00|d0)^18 ---*/
 _BUILD_00d0(Data,r12vrr_stack+127957, r12vrr_stack+42223, r12vrr_stack+0, Data->F+18, Data->F+19, NULL);

 /*--- compute (00|f0)^17 ---*/
 _BUILD_00f0(Data,r12vrr_stack+83059, r12vrr_stack+42226, r12vrr_stack+127957, r12vrr_stack+1413, r12vrr_stack+42223, NULL);

 /*--- compute (00|g0)^16 ---*/
 _BUILD_00g0(Data,r12vrr_stack+83069, r12vrr_stack+32040, r12vrr_stack+83059, r12vrr_stack+29338, r12vrr_stack+42226, NULL);

 /*--- compute (00|h0)^15 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+42232, r12vrr_stack+83069, r12vrr_stack+29344, r12vrr_stack+32040, NULL);

 /*--- compute (00|i0)^14 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+83084, r12vrr_stack+42247, r12vrr_stack+5862, r12vrr_stack+29354, r12vrr_stack+42232, NULL);

 /*--- compute (00|k0)^13 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23284, r12vrr_stack+79224, r12vrr_stack+83084, r12vrr_stack+60295, r12vrr_stack+42247, NULL);

 /*--- compute (00|l0)^12 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+665, r12vrr_stack+79252, r12vrr_stack+23284, r12vrr_stack+60316, r12vrr_stack+79224, NULL);

 /*--- compute (00|m0)^11 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+79288, r12vrr_stack+665, r12vrr_stack+60344, r12vrr_stack+79252, NULL);

 /*--- compute (00|n0)^10 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+83112, r12vrr_stack+79333, r12vrr_stack+48825, r12vrr_stack+60380, r12vrr_stack+79288, NULL);

 /*--- compute (00|o0)^9 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83178, r12vrr_stack+79388, r12vrr_stack+83112, r12vrr_stack+755, r12vrr_stack+79333, NULL);

 /*--- compute (00|q0)^8 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+31949, r12vrr_stack+79454, r12vrr_stack+83178, r12vrr_stack+60425, r12vrr_stack+79388, NULL);

 /*--- compute (p0|q0)^7 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83256, r12vrr_stack+79532, r12vrr_stack+31949, NULL, NULL, r12vrr_stack+79454);

 /*--- compute (d0|q0)^6 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+83529, r12vrr_stack+79623, r12vrr_stack+83256, r12vrr_stack+78314, r12vrr_stack+79532, r12vrr_stack+63169);

 /*--- compute (f0|q0)^5 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+84075, r12vrr_stack+79896, r12vrr_stack+83529, r12vrr_stack+78405, r12vrr_stack+79623, r12vrr_stack+63403);

 /*--- compute (g0|q0)^4 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+177350, r12vrr_stack+113648, r12vrr_stack+84075, r12vrr_stack+78678, r12vrr_stack+79896, r12vrr_stack+63871);

 /*--- compute (h0|q0)^3 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+178715, r12vrr_stack+114558, r12vrr_stack+177350, r12vrr_stack+76403, r12vrr_stack+113648, r12vrr_stack+166040);

 /*--- compute (i0|q0)^2 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+180626, r12vrr_stack+115923, r12vrr_stack+178715, r12vrr_stack+105913, r12vrr_stack+114558, r12vrr_stack+167210);

 /*--- compute (k0|q0)^1 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+183174, r12vrr_stack+117834, r12vrr_stack+180626, r12vrr_stack+107278, r12vrr_stack+115923, r12vrr_stack+168848);

 /*--- compute (l0|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+183174, r12vrr_stack+111100, r12vrr_stack+117834, r12vrr_stack+171032);
 tmp = r12vrr_stack + 186450;
 target_ptr = Libr12->gvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^7 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+79532, r12vrr_stack+31949, r12vrr_stack+60491, r12vrr_stack+79454, NULL);

 /*--- compute (p0|r0)^6 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+106018, r12vrr_stack+80442, r12vrr_stack+105913, NULL, NULL, r12vrr_stack+79532);

 /*--- compute (d0|r0)^5 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+106333, r12vrr_stack+124288, r12vrr_stack+106018, r12vrr_stack+80547, r12vrr_stack+80442, r12vrr_stack+79623);

 /*--- compute (f0|r0)^4 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+106963, r12vrr_stack+99319, r12vrr_stack+106333, r12vrr_stack+124918, r12vrr_stack+124288, r12vrr_stack+79896);

 /*--- compute (g0|r0)^3 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+190545, r12vrr_stack+99949, r12vrr_stack+106963, r12vrr_stack+125233, r12vrr_stack+99319, r12vrr_stack+113648);

 /*--- compute (h0|r0)^2 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+192120, r12vrr_stack+131113, r12vrr_stack+190545, r12vrr_stack+125863, r12vrr_stack+99949, r12vrr_stack+114558);

 /*--- compute (i0|r0)^1 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+194325, r12vrr_stack+132688, r12vrr_stack+192120, r12vrr_stack+127963, r12vrr_stack+131113, r12vrr_stack+115923);

 /*--- compute (k0|r0)^0 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+197265, r12vrr_stack+137098, r12vrr_stack+194325, r12vrr_stack+134893, r12vrr_stack+132688, r12vrr_stack+117834);
 tmp = r12vrr_stack + 197265;
 target_ptr = Libr12->gvrr_classes[7][13];
 for(i=0;i<3780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^8 ---*/
 _BUILD_p000(Data,r12vrr_stack+127963, Data->F+8, Data->F+9, NULL, NULL, NULL);

 /*--- compute (d0|00)^7 ---*/
 _BUILD_d000(Data,r12vrr_stack+127966, r12vrr_stack+129538, r12vrr_stack+127963, Data->F+7, Data->F+8, NULL);

 /*--- compute (f0|00)^6 ---*/
 _BUILD_f000(Data,r12vrr_stack+127972, r12vrr_stack+129541, r12vrr_stack+127966, r12vrr_stack+1723, r12vrr_stack+129538, NULL);

 /*--- compute (g0|00)^5 ---*/
 _BUILD_g000(Data,r12vrr_stack+127982, r12vrr_stack+129547, r12vrr_stack+127972, r12vrr_stack+1726, r12vrr_stack+129541, NULL);

 /*--- compute (p0|p0)^8 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1236, r12vrr_stack+78, r12vrr_stack+6, NULL, NULL, Data->F+9);

 /*--- compute (d0|p0)^7 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+127997, r12vrr_stack+1332, r12vrr_stack+1236, r12vrr_stack+105, r12vrr_stack+78, r12vrr_stack+127963);

 /*--- compute (f0|p0)^6 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+128015, r12vrr_stack+60, r12vrr_stack+127997, r12vrr_stack+1732, r12vrr_stack+1332, r12vrr_stack+127966);

 /*--- compute (g0|p0)^5 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+128045, r12vrr_stack+129557, r12vrr_stack+128015, r12vrr_stack+1741, r12vrr_stack+60, r12vrr_stack+127972);

 /*--- compute (h0|p0)^4 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+128090, r12vrr_stack+129587, r12vrr_stack+128045, r12vrr_stack+1284, r12vrr_stack+129557, r12vrr_stack+127982);

 /*--- compute (p0|d0)^8 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+1284, r12vrr_stack+414, r12vrr_stack+81, NULL, NULL, r12vrr_stack+6);

 /*--- compute (d0|d0)^7 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+128153, r12vrr_stack+9, r12vrr_stack+1284, r12vrr_stack+87, r12vrr_stack+414, r12vrr_stack+1236);

 /*--- compute (f0|d0)^6 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+128189, r12vrr_stack+129632, r12vrr_stack+128153, r12vrr_stack+1314, r12vrr_stack+9, r12vrr_stack+127997);

 /*--- compute (g0|d0)^5 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+128249, r12vrr_stack+129668, r12vrr_stack+128189, r12vrr_stack+6912, r12vrr_stack+129632, r12vrr_stack+128015);

 /*--- compute (h0|d0)^4 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+128339, r12vrr_stack+129728, r12vrr_stack+128249, r12vrr_stack+6948, r12vrr_stack+129668, r12vrr_stack+128045);

 /*--- compute (i0|d0)^3 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+128465, r12vrr_stack+129818, r12vrr_stack+128339, r12vrr_stack+7008, r12vrr_stack+129728, r12vrr_stack+128090);

 /*--- compute (p0|f0)^8 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+1302, r12vrr_stack+1488, r12vrr_stack+2235, NULL, NULL, r12vrr_stack+81);

 /*--- compute (d0|f0)^7 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+6912, r12vrr_stack+204, r12vrr_stack+1302, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+1284);

 /*--- compute (f0|f0)^6 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+6972, r12vrr_stack+108, r12vrr_stack+6912, r12vrr_stack+168, r12vrr_stack+204, r12vrr_stack+128153);

 /*--- compute (g0|f0)^5 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+128633, r12vrr_stack+234, r12vrr_stack+6972, r12vrr_stack+7098, r12vrr_stack+108, r12vrr_stack+128189);

 /*--- compute (h0|f0)^4 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+128783, r12vrr_stack+129944, r12vrr_stack+128633, r12vrr_stack+7158, r12vrr_stack+234, r12vrr_stack+128249);

 /*--- compute (i0|f0)^3 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+42544, r12vrr_stack+130094, r12vrr_stack+128783, r12vrr_stack+7258, r12vrr_stack+129944, r12vrr_stack+128339);

 /*--- compute (k0|f0)^2 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+128993, r12vrr_stack+130304, r12vrr_stack+42544, r12vrr_stack+7408, r12vrr_stack+130094, r12vrr_stack+128465);

 /*--- compute (p0|g0)^8 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+7072, r12vrr_stack+2245, r12vrr_stack+3103, NULL, NULL, r12vrr_stack+2235);

 /*--- compute (d0|g0)^7 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+7117, r12vrr_stack+810, r12vrr_stack+7072, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+1302);

 /*--- compute (f0|g0)^6 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+7207, r12vrr_stack+855, r12vrr_stack+7117, r12vrr_stack+710, r12vrr_stack+810, r12vrr_stack+6912);

 /*--- compute (g0|g0)^5 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+7357, r12vrr_stack+945, r12vrr_stack+7207, r12vrr_stack+7618, r12vrr_stack+855, r12vrr_stack+6972);

 /*--- compute (h0|g0)^4 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+124918, r12vrr_stack+440, r12vrr_stack+7357, r12vrr_stack+7708, r12vrr_stack+945, r12vrr_stack+128633);

 /*--- compute (i0|g0)^3 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+125233, r12vrr_stack+124603, r12vrr_stack+124918, r12vrr_stack+7858, r12vrr_stack+440, r12vrr_stack+128783);

 /*--- compute (k0|g0)^2 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+125653, r12vrr_stack+130584, r12vrr_stack+125233, r12vrr_stack+8083, r12vrr_stack+124603, r12vrr_stack+42544);

 /*--- compute (l0|g0)^1 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+7582, r12vrr_stack+126913, r12vrr_stack+125653, r12vrr_stack+8398, r12vrr_stack+130584, r12vrr_stack+128993);

 /*--- compute (p0|h0)^8 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8257, r12vrr_stack+3118, r12vrr_stack+13262, NULL, NULL, r12vrr_stack+3103);

 /*--- compute (d0|h0)^7 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8320, r12vrr_stack+334, r12vrr_stack+8257, r12vrr_stack+2260, r12vrr_stack+3118, r12vrr_stack+7072);

 /*--- compute (f0|h0)^6 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8446, r12vrr_stack+127453, r12vrr_stack+8320, r12vrr_stack+2281, r12vrr_stack+334, r12vrr_stack+7117);

 /*--- compute (g0|h0)^5 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+127579, r12vrr_stack+8446, r12vrr_stack+1110, r12vrr_stack+127453, r12vrr_stack+7207);

 /*--- compute (h0|h0)^4 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+126193, r12vrr_stack+98269, r12vrr_stack+2260, r12vrr_stack+8818, r12vrr_stack+127579, r12vrr_stack+7357);

 /*--- compute (i0|h0)^3 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+108013, r12vrr_stack+98584, r12vrr_stack+126193, r12vrr_stack+9028, r12vrr_stack+98269, r12vrr_stack+124918);

 /*--- compute (k0|h0)^2 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+123658, r12vrr_stack+108013, r12vrr_stack+9343, r12vrr_stack+98584, r12vrr_stack+125233);

 /*--- compute (l0|h0)^1 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+8656, r12vrr_stack+100999, r12vrr_stack+78314, r12vrr_stack+9784, r12vrr_stack+123658, r12vrr_stack+125653);

 /*--- compute (m0|h0)^0 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+76039, r12vrr_stack+4917, r12vrr_stack+8656, r12vrr_stack+10372, r12vrr_stack+100999, r12vrr_stack+7582);

 /*--- compute (p0|i0)^8 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+13283, r12vrr_stack+1453, NULL, NULL, r12vrr_stack+13262);

 /*--- compute (d0|i0)^7 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2575, r12vrr_stack+1513, r12vrr_stack+1110, r12vrr_stack+3139, r12vrr_stack+13283, r12vrr_stack+8257);

 /*--- compute (f0|i0)^6 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9601, r12vrr_stack+127789, r12vrr_stack+2575, r12vrr_stack+3167, r12vrr_stack+1513, r12vrr_stack+8320);

 /*--- compute (g0|i0)^5 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9881, r12vrr_stack+99025, r12vrr_stack+9601, r12vrr_stack+3531, r12vrr_stack+127789, r12vrr_stack+8446);

 /*--- compute (h0|i0)^4 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+108601, r12vrr_stack+80652, r12vrr_stack+9881, r12vrr_stack+3699, r12vrr_stack+99025, r12vrr_stack+2260);

 /*--- compute (i0|i0)^3 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+84985, r12vrr_stack+101755, r12vrr_stack+108601, r12vrr_stack+15524, r12vrr_stack+80652, r12vrr_stack+126193);

 /*--- compute (k0|i0)^2 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+102343, r12vrr_stack+84985, r12vrr_stack+15944, r12vrr_stack+101755, r12vrr_stack+108013);

 /*--- compute (l0|i0)^1 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+201045, r12vrr_stack+140038, r12vrr_stack+43501, r12vrr_stack+16532, r12vrr_stack+102343, r12vrr_stack+78314);

 /*--- compute (m0|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+15524, r12vrr_stack+141046, r12vrr_stack+201045, r12vrr_stack+18100, r12vrr_stack+140038, r12vrr_stack+8656);
 tmp = r12vrr_stack + 15524;
 target_ptr = Libr12->gvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^8 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+17064, r12vrr_stack+19423, r12vrr_stack+11128, NULL, NULL, r12vrr_stack+1453);

 /*--- compute (d0|k0)^7 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3531, r12vrr_stack+1597, r12vrr_stack+17064, r12vrr_stack+13311, r12vrr_stack+19423, r12vrr_stack+1110);

 /*--- compute (f0|k0)^6 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+3747, r12vrr_stack+45151, r12vrr_stack+3531, r12vrr_stack+13347, r12vrr_stack+1597, r12vrr_stack+2575);

 /*--- compute (g0|k0)^5 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+59593, r12vrr_stack+77313, r12vrr_stack+3747, r12vrr_stack+25084, r12vrr_stack+45151, r12vrr_stack+9601);

 /*--- compute (h0|k0)^4 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+64651, r12vrr_stack+13455, r12vrr_stack+59593, r12vrr_stack+25300, r12vrr_stack+77313, r12vrr_stack+9881);

 /*--- compute (i0|k0)^3 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+202305, r12vrr_stack+11884, r12vrr_stack+64651, r12vrr_stack+25660, r12vrr_stack+13455, r12vrr_stack+108601);

 /*--- compute (k0|k0)^2 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+203313, r12vrr_stack+142306, r12vrr_stack+202305, r12vrr_stack+26200, r12vrr_stack+11884, r12vrr_stack+84985);

 /*--- compute (l0|k0)^1 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+143314, r12vrr_stack+203313, r12vrr_stack+26956, r12vrr_stack+142306, r12vrr_stack+43501);

 /*--- compute (m0|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+25084, r12vrr_stack+27964, r12vrr_stack+143314, r12vrr_stack+201045);
 tmp = r12vrr_stack + 204609;
 target_ptr = Libr12->gvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^8 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+31354, r12vrr_stack+42888, NULL, NULL, r12vrr_stack+11128);

 /*--- compute (d0|l0)^7 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26704, r12vrr_stack+12640, r12vrr_stack+19288, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+17064);

 /*--- compute (f0|l0)^6 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+26974, r12vrr_stack+12775, r12vrr_stack+26704, r12vrr_stack+20530, r12vrr_stack+12640, r12vrr_stack+3531);

 /*--- compute (g0|l0)^5 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+103127, r12vrr_stack+26974, r12vrr_stack+20665, r12vrr_stack+12775, r12vrr_stack+3747);

 /*--- compute (h0|l0)^4 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+206589, r12vrr_stack+144610, r12vrr_stack+57625, r12vrr_stack+37000, r12vrr_stack+103127, r12vrr_stack+59593);

 /*--- compute (i0|l0)^3 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+207534, r12vrr_stack+145285, r12vrr_stack+206589, r12vrr_stack+37450, r12vrr_stack+144610, r12vrr_stack+64651);

 /*--- compute (k0|l0)^2 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+208794, r12vrr_stack+146230, r12vrr_stack+207534, r12vrr_stack+38125, r12vrr_stack+145285, r12vrr_stack+202305);

 /*--- compute (l0|l0)^1 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+147490, r12vrr_stack+208794, r12vrr_stack+39070, r12vrr_stack+146230, r12vrr_stack+203313);

 /*--- compute (m0|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+210414, r12vrr_stack+149110, r12vrr_stack+37000, r12vrr_stack+40330, r12vrr_stack+147490, r12vrr_stack+25084);
 tmp = r12vrr_stack + 210414;
 target_ptr = Libr12->gvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^8 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39025, r12vrr_stack+42933, r12vrr_stack+755, NULL, NULL, r12vrr_stack+42888);

 /*--- compute (d0|m0)^7 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39190, r12vrr_stack+33175, r12vrr_stack+39025, r12vrr_stack+31399, r12vrr_stack+42933, r12vrr_stack+19288);

 /*--- compute (f0|m0)^6 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+39520, r12vrr_stack+58483, r12vrr_stack+39190, r12vrr_stack+31454, r12vrr_stack+33175, r12vrr_stack+26704);

 /*--- compute (g0|m0)^5 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+20206, r12vrr_stack+33340, r12vrr_stack+39520, r12vrr_stack+31619, r12vrr_stack+58483, r12vrr_stack+26974);

 /*--- compute (h0|m0)^4 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+212889, r12vrr_stack+33890, r12vrr_stack+20206, r12vrr_stack+51575, r12vrr_stack+33340, r12vrr_stack+57625);

 /*--- compute (i0|m0)^3 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+214044, r12vrr_stack+151135, r12vrr_stack+212889, r12vrr_stack+52125, r12vrr_stack+33890, r12vrr_stack+206589);

 /*--- compute (k0|m0)^2 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+215584, r12vrr_stack+152290, r12vrr_stack+214044, r12vrr_stack+52950, r12vrr_stack+151135, r12vrr_stack+207534);

 /*--- compute (l0|m0)^1 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+153830, r12vrr_stack+215584, r12vrr_stack+54105, r12vrr_stack+152290, r12vrr_stack+208794);

 /*--- compute (m0|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+217564, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+55645, r12vrr_stack+153830, r12vrr_stack+37000);
 tmp = r12vrr_stack + 217564;
 target_ptr = Libr12->gvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^8 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54050, r12vrr_stack+60425, r12vrr_stack+79388, NULL, NULL, r12vrr_stack+755);

 /*--- compute (d0|n0)^7 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54248, r12vrr_stack+30755, r12vrr_stack+54050, r12vrr_stack+42988, r12vrr_stack+60425, r12vrr_stack+39025);

 /*--- compute (f0|n0)^6 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+54644, r12vrr_stack+19810, r12vrr_stack+54248, r12vrr_stack+44557, r12vrr_stack+30755, r12vrr_stack+39190);

 /*--- compute (g0|n0)^5 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+220589, r12vrr_stack+155810, r12vrr_stack+54644, r12vrr_stack+44755, r12vrr_stack+19810, r12vrr_stack+39520);

 /*--- compute (h0|n0)^4 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+221579, r12vrr_stack+156470, r12vrr_stack+220589, r12vrr_stack+68779, r12vrr_stack+155810, r12vrr_stack+20206);

 /*--- compute (i0|n0)^3 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+222965, r12vrr_stack+157460, r12vrr_stack+221579, r12vrr_stack+69439, r12vrr_stack+156470, r12vrr_stack+212889);

 /*--- compute (k0|n0)^2 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+224813, r12vrr_stack+158846, r12vrr_stack+222965, r12vrr_stack+70429, r12vrr_stack+157460, r12vrr_stack+214044);

 /*--- compute (l0|n0)^1 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+160694, r12vrr_stack+224813, r12vrr_stack+71815, r12vrr_stack+158846, r12vrr_stack+215584);

 /*--- compute (m0|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+227189, r12vrr_stack+163070, r12vrr_stack+68779, r12vrr_stack+73663, r12vrr_stack+160694, r12vrr_stack+51575);
 tmp = r12vrr_stack + 227189;
 target_ptr = Libr12->gvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^8 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+71749, r12vrr_stack+79454, r12vrr_stack+83178, NULL, NULL, r12vrr_stack+79388);

 /*--- compute (d0|o0)^7 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+71983, r12vrr_stack+63169, r12vrr_stack+71749, r12vrr_stack+60491, r12vrr_stack+79454, r12vrr_stack+54050);

 /*--- compute (f0|o0)^6 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+72451, r12vrr_stack+63403, r12vrr_stack+71983, r12vrr_stack+60569, r12vrr_stack+63169, r12vrr_stack+54248);

 /*--- compute (g0|o0)^5 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+230819, r12vrr_stack+63871, r12vrr_stack+72451, r12vrr_stack+60803, r12vrr_stack+63403, r12vrr_stack+54644);

 /*--- compute (h0|o0)^4 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+231989, r12vrr_stack+166040, r12vrr_stack+230819, r12vrr_stack+89689, r12vrr_stack+63871, r12vrr_stack+220589);

 /*--- compute (i0|o0)^3 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+233627, r12vrr_stack+167210, r12vrr_stack+231989, r12vrr_stack+90469, r12vrr_stack+166040, r12vrr_stack+221579);

 /*--- compute (k0|o0)^2 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+235811, r12vrr_stack+168848, r12vrr_stack+233627, r12vrr_stack+91639, r12vrr_stack+167210, r12vrr_stack+222965);

 /*--- compute (l0|o0)^1 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+171032, r12vrr_stack+235811, r12vrr_stack+93277, r12vrr_stack+168848, r12vrr_stack+224813);

 /*--- compute (m0|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+238619, r12vrr_stack+173840, r12vrr_stack+89689, r12vrr_stack+95461, r12vrr_stack+171032, r12vrr_stack+68779);
 tmp = r12vrr_stack + 238619;
 target_ptr = Libr12->gvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^20 ---*/
 _BUILD_00p0(Data,r12vrr_stack+93199, Data->F+20, Data->F+21, NULL, NULL, NULL);

 /*--- compute (00|d0)^19 ---*/
 _BUILD_00d0(Data,r12vrr_stack+93202, r12vrr_stack+0, r12vrr_stack+93199, Data->F+19, Data->F+20, NULL);

 /*--- compute (00|f0)^18 ---*/
 _BUILD_00f0(Data,r12vrr_stack+430, r12vrr_stack+127957, r12vrr_stack+93202, r12vrr_stack+42223, r12vrr_stack+0, NULL);

 /*--- compute (00|g0)^17 ---*/
 _BUILD_00g0(Data,r12vrr_stack+1498, r12vrr_stack+83059, r12vrr_stack+430, r12vrr_stack+42226, r12vrr_stack+127957, NULL);

 /*--- compute (00|h0)^16 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+87, r12vrr_stack+83069, r12vrr_stack+1498, r12vrr_stack+32040, r12vrr_stack+83059, NULL);

 /*--- compute (00|i0)^15 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93208, r12vrr_stack+5862, r12vrr_stack+87, r12vrr_stack+42232, r12vrr_stack+83069, NULL);

 /*--- compute (00|k0)^14 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+93236, r12vrr_stack+83084, r12vrr_stack+93208, r12vrr_stack+42247, r12vrr_stack+5862, NULL);

 /*--- compute (00|l0)^13 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+19459, r12vrr_stack+23284, r12vrr_stack+93236, r12vrr_stack+79224, r12vrr_stack+83084, NULL);

 /*--- compute (00|m0)^12 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+42223, r12vrr_stack+665, r12vrr_stack+19459, r12vrr_stack+79252, r12vrr_stack+23284, NULL);

 /*--- compute (00|n0)^11 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+93272, r12vrr_stack+48825, r12vrr_stack+42223, r12vrr_stack+79288, r12vrr_stack+665, NULL);

 /*--- compute (00|o0)^10 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+93338, r12vrr_stack+83112, r12vrr_stack+93272, r12vrr_stack+79333, r12vrr_stack+48825, NULL);

 /*--- compute (00|q0)^9 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93416, r12vrr_stack+83178, r12vrr_stack+93338, r12vrr_stack+79388, r12vrr_stack+83112, NULL);

 /*--- compute (p0|q0)^8 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93507, r12vrr_stack+31949, r12vrr_stack+93416, NULL, NULL, r12vrr_stack+83178);

 /*--- compute (d0|q0)^7 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+93780, r12vrr_stack+83256, r12vrr_stack+93507, r12vrr_stack+79532, r12vrr_stack+31949, r12vrr_stack+71749);

 /*--- compute (f0|q0)^6 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+94326, r12vrr_stack+83529, r12vrr_stack+93780, r12vrr_stack+79623, r12vrr_stack+83256, r12vrr_stack+71983);

 /*--- compute (g0|q0)^5 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+242909, r12vrr_stack+84075, r12vrr_stack+94326, r12vrr_stack+79896, r12vrr_stack+83529, r12vrr_stack+72451);

 /*--- compute (h0|q0)^4 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+244274, r12vrr_stack+177350, r12vrr_stack+242909, r12vrr_stack+113648, r12vrr_stack+84075, r12vrr_stack+230819);

 /*--- compute (i0|q0)^3 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+246185, r12vrr_stack+178715, r12vrr_stack+244274, r12vrr_stack+114558, r12vrr_stack+177350, r12vrr_stack+231989);

 /*--- compute (k0|q0)^2 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+248733, r12vrr_stack+180626, r12vrr_stack+246185, r12vrr_stack+115923, r12vrr_stack+178715, r12vrr_stack+233627);

 /*--- compute (l0|q0)^1 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+183174, r12vrr_stack+248733, r12vrr_stack+117834, r12vrr_stack+180626, r12vrr_stack+235811);

 /*--- compute (m0|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+252009, r12vrr_stack+186450, r12vrr_stack+113648, r12vrr_stack+120382, r12vrr_stack+183174, r12vrr_stack+89689);
 tmp = r12vrr_stack + 252009;
 target_ptr = Libr12->gvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^8 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+80547, r12vrr_stack+31949, r12vrr_stack+93416, r12vrr_stack+79454, r12vrr_stack+83178, NULL);

 /*--- compute (p0|r0)^7 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+117743, r12vrr_stack+105913, r12vrr_stack+80547, NULL, NULL, r12vrr_stack+31949);

 /*--- compute (d0|r0)^6 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+118058, r12vrr_stack+106018, r12vrr_stack+117743, r12vrr_stack+80442, r12vrr_stack+105913, r12vrr_stack+83256);

 /*--- compute (f0|r0)^5 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+118688, r12vrr_stack+106333, r12vrr_stack+118058, r12vrr_stack+124288, r12vrr_stack+106018, r12vrr_stack+83529);

 /*--- compute (g0|r0)^4 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+257014, r12vrr_stack+106963, r12vrr_stack+118688, r12vrr_stack+99319, r12vrr_stack+106333, r12vrr_stack+84075);

 /*--- compute (h0|r0)^3 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+258589, r12vrr_stack+190545, r12vrr_stack+257014, r12vrr_stack+99949, r12vrr_stack+106963, r12vrr_stack+177350);

 /*--- compute (i0|r0)^2 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+260794, r12vrr_stack+192120, r12vrr_stack+258589, r12vrr_stack+131113, r12vrr_stack+190545, r12vrr_stack+178715);

 /*--- compute (k0|r0)^1 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+263734, r12vrr_stack+194325, r12vrr_stack+260794, r12vrr_stack+132688, r12vrr_stack+192120, r12vrr_stack+180626);

 /*--- compute (l0|r0)^0 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+267514, r12vrr_stack+197265, r12vrr_stack+263734, r12vrr_stack+137098, r12vrr_stack+194325, r12vrr_stack+183174);
 tmp = r12vrr_stack + 267514;
 target_ptr = Libr12->gvrr_classes[8][13];
 for(i=0;i<4725;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^9 ---*/
 _BUILD_p000(Data,r12vrr_stack+119738, Data->F+9, Data->F+10, NULL, NULL, NULL);

 /*--- compute (d0|00)^8 ---*/
 _BUILD_d000(Data,r12vrr_stack+119741, r12vrr_stack+127963, r12vrr_stack+119738, Data->F+8, Data->F+9, NULL);

 /*--- compute (f0|00)^7 ---*/
 _BUILD_f000(Data,r12vrr_stack+32040, r12vrr_stack+127966, r12vrr_stack+119741, r12vrr_stack+129538, r12vrr_stack+127963, NULL);

 /*--- compute (g0|00)^6 ---*/
 _BUILD_g000(Data,r12vrr_stack+119747, r12vrr_stack+127972, r12vrr_stack+32040, r12vrr_stack+129541, r12vrr_stack+127966, NULL);

 /*--- compute (h0|00)^5 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+27, r12vrr_stack+127982, r12vrr_stack+119747, r12vrr_stack+129547, r12vrr_stack+127972, NULL);

 /*--- compute (p0|p0)^9 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+119762, r12vrr_stack+6, r12vrr_stack+1485, NULL, NULL, Data->F+10);

 /*--- compute (d0|p0)^8 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+119771, r12vrr_stack+1236, r12vrr_stack+119762, r12vrr_stack+78, r12vrr_stack+6, r12vrr_stack+119738);

 /*--- compute (f0|p0)^7 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+168, r12vrr_stack+127997, r12vrr_stack+119771, r12vrr_stack+1332, r12vrr_stack+1236, r12vrr_stack+119741);

 /*--- compute (g0|p0)^6 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+710, r12vrr_stack+128015, r12vrr_stack+168, r12vrr_stack+60, r12vrr_stack+127997, r12vrr_stack+32040);

 /*--- compute (h0|p0)^5 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+119789, r12vrr_stack+128045, r12vrr_stack+710, r12vrr_stack+129557, r12vrr_stack+128015, r12vrr_stack+119747);

 /*--- compute (i0|p0)^4 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+119852, r12vrr_stack+128090, r12vrr_stack+119789, r12vrr_stack+129587, r12vrr_stack+128045, r12vrr_stack+27);

 /*--- compute (p0|d0)^9 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+60, r12vrr_stack+81, r12vrr_stack+198, NULL, NULL, r12vrr_stack+1485);

 /*--- compute (d0|d0)^8 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+119936, r12vrr_stack+1284, r12vrr_stack+60, r12vrr_stack+414, r12vrr_stack+81, r12vrr_stack+119762);

 /*--- compute (f0|d0)^7 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+119972, r12vrr_stack+128153, r12vrr_stack+119936, r12vrr_stack+9, r12vrr_stack+1284, r12vrr_stack+119771);

 /*--- compute (g0|d0)^6 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+120032, r12vrr_stack+128189, r12vrr_stack+119972, r12vrr_stack+129632, r12vrr_stack+128153, r12vrr_stack+168);

 /*--- compute (h0|d0)^5 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+120122, r12vrr_stack+128249, r12vrr_stack+120032, r12vrr_stack+129668, r12vrr_stack+128189, r12vrr_stack+710);

 /*--- compute (i0|d0)^4 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+79532, r12vrr_stack+128339, r12vrr_stack+120122, r12vrr_stack+129728, r12vrr_stack+128249, r12vrr_stack+119789);

 /*--- compute (k0|d0)^3 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+79700, r12vrr_stack+128465, r12vrr_stack+79532, r12vrr_stack+129818, r12vrr_stack+128339, r12vrr_stack+119852);

 /*--- compute (p0|f0)^9 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+120248, r12vrr_stack+2235, r12vrr_stack+3093, NULL, NULL, r12vrr_stack+198);

 /*--- compute (d0|f0)^8 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+120278, r12vrr_stack+1302, r12vrr_stack+120248, r12vrr_stack+1488, r12vrr_stack+2235, r12vrr_stack+60);

 /*--- compute (f0|f0)^7 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+79916, r12vrr_stack+6912, r12vrr_stack+120278, r12vrr_stack+204, r12vrr_stack+1302, r12vrr_stack+119936);

 /*--- compute (g0|f0)^6 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+80016, r12vrr_stack+6972, r12vrr_stack+79916, r12vrr_stack+108, r12vrr_stack+6912, r12vrr_stack+119972);

 /*--- compute (h0|f0)^5 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+80166, r12vrr_stack+128633, r12vrr_stack+80016, r12vrr_stack+234, r12vrr_stack+6972, r12vrr_stack+120032);

 /*--- compute (i0|f0)^4 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60491, r12vrr_stack+128783, r12vrr_stack+80166, r12vrr_stack+129944, r12vrr_stack+128633, r12vrr_stack+120122);

 /*--- compute (k0|f0)^3 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+60771, r12vrr_stack+42544, r12vrr_stack+60491, r12vrr_stack+130094, r12vrr_stack+128783, r12vrr_stack+79532);

 /*--- compute (l0|f0)^2 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+31399, r12vrr_stack+128993, r12vrr_stack+60771, r12vrr_stack+130304, r12vrr_stack+42544, r12vrr_stack+79700);

 /*--- compute (p0|g0)^9 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+108, r12vrr_stack+3103, r12vrr_stack+13247, NULL, NULL, r12vrr_stack+3093);

 /*--- compute (d0|g0)^8 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+204, r12vrr_stack+7072, r12vrr_stack+108, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+120248);

 /*--- compute (f0|g0)^7 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+80376, r12vrr_stack+7117, r12vrr_stack+204, r12vrr_stack+810, r12vrr_stack+7072, r12vrr_stack+120278);

 /*--- compute (g0|g0)^6 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+95236, r12vrr_stack+7207, r12vrr_stack+80376, r12vrr_stack+855, r12vrr_stack+7117, r12vrr_stack+79916);

 /*--- compute (h0|g0)^5 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+61131, r12vrr_stack+7357, r12vrr_stack+95236, r12vrr_stack+945, r12vrr_stack+7207, r12vrr_stack+80016);

 /*--- compute (i0|g0)^4 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+73231, r12vrr_stack+124918, r12vrr_stack+61131, r12vrr_stack+440, r12vrr_stack+7357, r12vrr_stack+80166);

 /*--- compute (k0|g0)^3 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+27424, r12vrr_stack+125233, r12vrr_stack+73231, r12vrr_stack+124603, r12vrr_stack+124918, r12vrr_stack+60491);

 /*--- compute (l0|g0)^2 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+129353, r12vrr_stack+125653, r12vrr_stack+27424, r12vrr_stack+130584, r12vrr_stack+125233, r12vrr_stack+60771);

 /*--- compute (m0|g0)^1 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+130028, r12vrr_stack+7582, r12vrr_stack+129353, r12vrr_stack+126913, r12vrr_stack+125653, r12vrr_stack+31399);

 /*--- compute (p0|h0)^9 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+440, r12vrr_stack+13262, r12vrr_stack+1432, NULL, NULL, r12vrr_stack+13247);

 /*--- compute (d0|h0)^8 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+503, r12vrr_stack+8257, r12vrr_stack+440, r12vrr_stack+3118, r12vrr_stack+13262, r12vrr_stack+108);

 /*--- compute (f0|h0)^7 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+3118, r12vrr_stack+8320, r12vrr_stack+503, r12vrr_stack+334, r12vrr_stack+8257, r12vrr_stack+204);

 /*--- compute (g0|h0)^6 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+55304, r12vrr_stack+8446, r12vrr_stack+3118, r12vrr_stack+127453, r12vrr_stack+8320, r12vrr_stack+80376);

 /*--- compute (h0|h0)^5 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+130853, r12vrr_stack+2260, r12vrr_stack+55304, r12vrr_stack+127579, r12vrr_stack+8446, r12vrr_stack+95236);

 /*--- compute (i0|h0)^4 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+131294, r12vrr_stack+126193, r12vrr_stack+130853, r12vrr_stack+98269, r12vrr_stack+2260, r12vrr_stack+61131);

 /*--- compute (k0|h0)^3 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+131882, r12vrr_stack+108013, r12vrr_stack+131294, r12vrr_stack+98584, r12vrr_stack+126193, r12vrr_stack+73231);

 /*--- compute (l0|h0)^2 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+132638, r12vrr_stack+78314, r12vrr_stack+131882, r12vrr_stack+123658, r12vrr_stack+108013, r12vrr_stack+27424);

 /*--- compute (m0|h0)^1 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+126634, r12vrr_stack+8656, r12vrr_stack+132638, r12vrr_stack+100999, r12vrr_stack+78314, r12vrr_stack+129353);

 /*--- compute (n0|h0)^0 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+99305, r12vrr_stack+76039, r12vrr_stack+126634, r12vrr_stack+4917, r12vrr_stack+8656, r12vrr_stack+130028);

 /*--- compute (p0|i0)^9 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+1453, r12vrr_stack+31326, NULL, NULL, r12vrr_stack+1432);

 /*--- compute (d0|i0)^8 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+123742, r12vrr_stack+1110, r12vrr_stack+123658, r12vrr_stack+13283, r12vrr_stack+1453, r12vrr_stack+440);

 /*--- compute (f0|i0)^7 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+123910, r12vrr_stack+2575, r12vrr_stack+123742, r12vrr_stack+1513, r12vrr_stack+1110, r12vrr_stack+503);

 /*--- compute (g0|i0)^6 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+124190, r12vrr_stack+9601, r12vrr_stack+123910, r12vrr_stack+127789, r12vrr_stack+2575, r12vrr_stack+3118);

 /*--- compute (h0|i0)^5 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+9881, r12vrr_stack+124190, r12vrr_stack+99025, r12vrr_stack+9601, r12vrr_stack+55304);

 /*--- compute (i0|i0)^4 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+133583, r12vrr_stack+108601, r12vrr_stack+98269, r12vrr_stack+80652, r12vrr_stack+9881, r12vrr_stack+130853);

 /*--- compute (k0|i0)^3 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+100691, r12vrr_stack+84985, r12vrr_stack+133583, r12vrr_stack+101755, r12vrr_stack+108601, r12vrr_stack+131294);

 /*--- compute (l0|i0)^2 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+272239, r12vrr_stack+43501, r12vrr_stack+100691, r12vrr_stack+102343, r12vrr_stack+84985, r12vrr_stack+131882);

 /*--- compute (m0|i0)^1 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+273499, r12vrr_stack+201045, r12vrr_stack+272239, r12vrr_stack+140038, r12vrr_stack+43501, r12vrr_stack+132638);

 /*--- compute (n0|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+275039, r12vrr_stack+15524, r12vrr_stack+273499, r12vrr_stack+141046, r12vrr_stack+201045, r12vrr_stack+126634);
 tmp = r12vrr_stack + 275039;
 target_ptr = Libr12->gvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^9 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+140038, r12vrr_stack+11128, r12vrr_stack+19504, NULL, NULL, r12vrr_stack+31326);

 /*--- compute (d0|k0)^8 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+140146, r12vrr_stack+17064, r12vrr_stack+140038, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+123658);

 /*--- compute (f0|k0)^7 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+140362, r12vrr_stack+3531, r12vrr_stack+140146, r12vrr_stack+1597, r12vrr_stack+17064, r12vrr_stack+123742);

 /*--- compute (g0|k0)^6 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+1513, r12vrr_stack+3747, r12vrr_stack+140362, r12vrr_stack+45151, r12vrr_stack+3531, r12vrr_stack+123910);

 /*--- compute (h0|k0)^5 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+44509, r12vrr_stack+59593, r12vrr_stack+1513, r12vrr_stack+77313, r12vrr_stack+3747, r12vrr_stack+124190);

 /*--- compute (i0|k0)^4 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+101699, r12vrr_stack+64651, r12vrr_stack+44509, r12vrr_stack+13455, r12vrr_stack+59593, r12vrr_stack+98269);

 /*--- compute (k0|k0)^3 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+276887, r12vrr_stack+202305, r12vrr_stack+101699, r12vrr_stack+11884, r12vrr_stack+64651, r12vrr_stack+133583);

 /*--- compute (l0|k0)^2 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+278183, r12vrr_stack+203313, r12vrr_stack+276887, r12vrr_stack+142306, r12vrr_stack+202305, r12vrr_stack+100691);

 /*--- compute (m0|k0)^1 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+279803, r12vrr_stack+25084, r12vrr_stack+278183, r12vrr_stack+143314, r12vrr_stack+203313, r12vrr_stack+272239);

 /*--- compute (n0|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+281783, r12vrr_stack+204609, r12vrr_stack+279803, r12vrr_stack+21664, r12vrr_stack+25084, r12vrr_stack+273499);
 tmp = r12vrr_stack + 281783;
 target_ptr = Libr12->gvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^9 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+142306, r12vrr_stack+42888, r12vrr_stack+60380, NULL, NULL, r12vrr_stack+19504);

 /*--- compute (d0|l0)^8 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+142441, r12vrr_stack+19288, r12vrr_stack+142306, r12vrr_stack+31354, r12vrr_stack+42888, r12vrr_stack+140038);

 /*--- compute (f0|l0)^7 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+142711, r12vrr_stack+26704, r12vrr_stack+142441, r12vrr_stack+12640, r12vrr_stack+19288, r12vrr_stack+140146);

 /*--- compute (g0|l0)^6 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+143161, r12vrr_stack+26974, r12vrr_stack+142711, r12vrr_stack+12775, r12vrr_stack+26704, r12vrr_stack+140362);

 /*--- compute (h0|l0)^5 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+57625, r12vrr_stack+143161, r12vrr_stack+103127, r12vrr_stack+26974, r12vrr_stack+1513);

 /*--- compute (i0|l0)^4 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+284159, r12vrr_stack+206589, r12vrr_stack+11884, r12vrr_stack+144610, r12vrr_stack+57625, r12vrr_stack+44509);

 /*--- compute (k0|l0)^3 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+285419, r12vrr_stack+207534, r12vrr_stack+284159, r12vrr_stack+145285, r12vrr_stack+206589, r12vrr_stack+101699);

 /*--- compute (l0|l0)^2 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+143836, r12vrr_stack+208794, r12vrr_stack+285419, r12vrr_stack+146230, r12vrr_stack+207534, r12vrr_stack+276887);

 /*--- compute (m0|l0)^1 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+287039, r12vrr_stack+37000, r12vrr_stack+143836, r12vrr_stack+147490, r12vrr_stack+208794, r12vrr_stack+278183);

 /*--- compute (n0|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+145861, r12vrr_stack+210414, r12vrr_stack+287039, r12vrr_stack+149110, r12vrr_stack+37000, r12vrr_stack+279803);
 tmp = r12vrr_stack + 145861;
 target_ptr = Libr12->gvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^9 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+148831, r12vrr_stack+755, r12vrr_stack+79333, NULL, NULL, r12vrr_stack+60380);

 /*--- compute (d0|m0)^8 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+12829, r12vrr_stack+39025, r12vrr_stack+148831, r12vrr_stack+42933, r12vrr_stack+755, r12vrr_stack+142306);

 /*--- compute (f0|m0)^7 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+13283, r12vrr_stack+39190, r12vrr_stack+12829, r12vrr_stack+33175, r12vrr_stack+39025, r12vrr_stack+142441);

 /*--- compute (g0|m0)^6 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+102707, r12vrr_stack+39520, r12vrr_stack+13283, r12vrr_stack+58483, r12vrr_stack+39190, r12vrr_stack+142711);

 /*--- compute (h0|m0)^5 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+289514, r12vrr_stack+20206, r12vrr_stack+102707, r12vrr_stack+33340, r12vrr_stack+39520, r12vrr_stack+143161);

 /*--- compute (i0|m0)^4 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+290669, r12vrr_stack+212889, r12vrr_stack+289514, r12vrr_stack+33890, r12vrr_stack+20206, r12vrr_stack+11884);

 /*--- compute (k0|m0)^3 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+292209, r12vrr_stack+214044, r12vrr_stack+290669, r12vrr_stack+151135, r12vrr_stack+212889, r12vrr_stack+284159);

 /*--- compute (l0|m0)^2 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+294189, r12vrr_stack+215584, r12vrr_stack+292209, r12vrr_stack+152290, r12vrr_stack+214044, r12vrr_stack+285419);

 /*--- compute (m0|m0)^1 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+296664, r12vrr_stack+51575, r12vrr_stack+294189, r12vrr_stack+153830, r12vrr_stack+215584, r12vrr_stack+143836);

 /*--- compute (n0|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+151135, r12vrr_stack+217564, r12vrr_stack+296664, r12vrr_stack+46350, r12vrr_stack+51575, r12vrr_stack+287039);
 tmp = r12vrr_stack + 151135;
 target_ptr = Libr12->gvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^9 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+154765, r12vrr_stack+79388, r12vrr_stack+83112, NULL, NULL, r12vrr_stack+79333);

 /*--- compute (d0|n0)^8 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+154963, r12vrr_stack+54050, r12vrr_stack+154765, r12vrr_stack+60425, r12vrr_stack+79388, r12vrr_stack+148831);

 /*--- compute (f0|n0)^7 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+54248, r12vrr_stack+154963, r12vrr_stack+30755, r12vrr_stack+54050, r12vrr_stack+12829);

 /*--- compute (g0|n0)^6 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+299689, r12vrr_stack+54644, r12vrr_stack+33175, r12vrr_stack+19810, r12vrr_stack+54248, r12vrr_stack+13283);

 /*--- compute (h0|n0)^5 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+300679, r12vrr_stack+220589, r12vrr_stack+299689, r12vrr_stack+155810, r12vrr_stack+54644, r12vrr_stack+102707);

 /*--- compute (i0|n0)^4 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+302065, r12vrr_stack+221579, r12vrr_stack+300679, r12vrr_stack+156470, r12vrr_stack+220589, r12vrr_stack+289514);

 /*--- compute (k0|n0)^3 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+303913, r12vrr_stack+222965, r12vrr_stack+302065, r12vrr_stack+157460, r12vrr_stack+221579, r12vrr_stack+290669);

 /*--- compute (l0|n0)^2 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+155359, r12vrr_stack+224813, r12vrr_stack+303913, r12vrr_stack+158846, r12vrr_stack+222965, r12vrr_stack+292209);

 /*--- compute (m0|n0)^1 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+306289, r12vrr_stack+68779, r12vrr_stack+155359, r12vrr_stack+160694, r12vrr_stack+224813, r12vrr_stack+294189);

 /*--- compute (n0|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+158329, r12vrr_stack+227189, r12vrr_stack+306289, r12vrr_stack+163070, r12vrr_stack+68779, r12vrr_stack+296664);
 tmp = r12vrr_stack + 158329;
 target_ptr = Libr12->gvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^9 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+83178, r12vrr_stack+93338, NULL, NULL, r12vrr_stack+83112);

 /*--- compute (d0|o0)^8 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+30755, r12vrr_stack+71749, r12vrr_stack+19810, r12vrr_stack+79454, r12vrr_stack+83178, r12vrr_stack+154765);

 /*--- compute (f0|o0)^7 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33835, r12vrr_stack+71983, r12vrr_stack+30755, r12vrr_stack+63169, r12vrr_stack+71749, r12vrr_stack+154963);

 /*--- compute (g0|o0)^6 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+309919, r12vrr_stack+72451, r12vrr_stack+33835, r12vrr_stack+63403, r12vrr_stack+71983, r12vrr_stack+33175);

 /*--- compute (h0|o0)^5 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+311089, r12vrr_stack+230819, r12vrr_stack+309919, r12vrr_stack+63871, r12vrr_stack+72451, r12vrr_stack+299689);

 /*--- compute (i0|o0)^4 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+312727, r12vrr_stack+231989, r12vrr_stack+311089, r12vrr_stack+166040, r12vrr_stack+230819, r12vrr_stack+300679);

 /*--- compute (k0|o0)^3 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+314911, r12vrr_stack+233627, r12vrr_stack+312727, r12vrr_stack+167210, r12vrr_stack+231989, r12vrr_stack+302065);

 /*--- compute (l0|o0)^2 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+317719, r12vrr_stack+235811, r12vrr_stack+314911, r12vrr_stack+168848, r12vrr_stack+233627, r12vrr_stack+303913);

 /*--- compute (m0|o0)^1 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+166040, r12vrr_stack+89689, r12vrr_stack+317719, r12vrr_stack+171032, r12vrr_stack+235811, r12vrr_stack+155359);

 /*--- compute (n0|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+321229, r12vrr_stack+238619, r12vrr_stack+166040, r12vrr_stack+173840, r12vrr_stack+89689, r12vrr_stack+306289);
 tmp = r12vrr_stack + 321229;
 target_ptr = Libr12->gvrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^21 ---*/
 _BUILD_00p0(Data,r12vrr_stack+78, Data->F+21, Data->F+22, NULL, NULL, NULL);

 /*--- compute (00|d0)^20 ---*/
 _BUILD_00d0(Data,r12vrr_stack+170330, r12vrr_stack+93199, r12vrr_stack+78, Data->F+20, Data->F+21, NULL);

 /*--- compute (00|f0)^19 ---*/
 _BUILD_00f0(Data,r12vrr_stack+1488, r12vrr_stack+93202, r12vrr_stack+170330, r12vrr_stack+0, r12vrr_stack+93199, NULL);

 /*--- compute (00|g0)^18 ---*/
 _BUILD_00g0(Data,r12vrr_stack+2245, r12vrr_stack+430, r12vrr_stack+1488, r12vrr_stack+127957, r12vrr_stack+93202, NULL);

 /*--- compute (00|h0)^17 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+80526, r12vrr_stack+1498, r12vrr_stack+2245, r12vrr_stack+83059, r12vrr_stack+430, NULL);

 /*--- compute (00|i0)^16 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+170336, r12vrr_stack+87, r12vrr_stack+80526, r12vrr_stack+83069, r12vrr_stack+1498, NULL);

 /*--- compute (00|k0)^15 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19423, r12vrr_stack+93208, r12vrr_stack+170336, r12vrr_stack+5862, r12vrr_stack+87, NULL);

 /*--- compute (00|l0)^14 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+31354, r12vrr_stack+93236, r12vrr_stack+19423, r12vrr_stack+83084, r12vrr_stack+93208, NULL);

 /*--- compute (00|m0)^13 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+170364, r12vrr_stack+19459, r12vrr_stack+31354, r12vrr_stack+23284, r12vrr_stack+93236, NULL);

 /*--- compute (00|n0)^12 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+60425, r12vrr_stack+42223, r12vrr_stack+170364, r12vrr_stack+665, r12vrr_stack+19459, NULL);

 /*--- compute (00|o0)^11 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79454, r12vrr_stack+93272, r12vrr_stack+60425, r12vrr_stack+48825, r12vrr_stack+42223, NULL);

 /*--- compute (00|q0)^10 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+170419, r12vrr_stack+93338, r12vrr_stack+79454, r12vrr_stack+83112, r12vrr_stack+93272, NULL);

 /*--- compute (p0|q0)^9 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+170510, r12vrr_stack+93416, r12vrr_stack+170419, NULL, NULL, r12vrr_stack+93338);

 /*--- compute (d0|q0)^8 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+170783, r12vrr_stack+93507, r12vrr_stack+170510, r12vrr_stack+31949, r12vrr_stack+93416, r12vrr_stack+19810);

 /*--- compute (f0|q0)^7 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+171329, r12vrr_stack+93780, r12vrr_stack+170783, r12vrr_stack+83256, r12vrr_stack+93507, r12vrr_stack+30755);

 /*--- compute (g0|q0)^6 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+172239, r12vrr_stack+94326, r12vrr_stack+171329, r12vrr_stack+83529, r12vrr_stack+93780, r12vrr_stack+33835);

 /*--- compute (h0|q0)^5 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+326377, r12vrr_stack+242909, r12vrr_stack+172239, r12vrr_stack+84075, r12vrr_stack+94326, r12vrr_stack+309919);

 /*--- compute (i0|q0)^4 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+328288, r12vrr_stack+244274, r12vrr_stack+326377, r12vrr_stack+177350, r12vrr_stack+242909, r12vrr_stack+311089);

 /*--- compute (k0|q0)^3 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+330836, r12vrr_stack+246185, r12vrr_stack+328288, r12vrr_stack+178715, r12vrr_stack+244274, r12vrr_stack+312727);

 /*--- compute (l0|q0)^2 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+334112, r12vrr_stack+248733, r12vrr_stack+330836, r12vrr_stack+180626, r12vrr_stack+246185, r12vrr_stack+314911);

 /*--- compute (m0|q0)^1 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+177350, r12vrr_stack+113648, r12vrr_stack+334112, r12vrr_stack+183174, r12vrr_stack+248733, r12vrr_stack+317719);

 /*--- compute (n0|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+338207, r12vrr_stack+252009, r12vrr_stack+177350, r12vrr_stack+186450, r12vrr_stack+113648, r12vrr_stack+166040);
 tmp = r12vrr_stack + 338207;
 target_ptr = Libr12->gvrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^9 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+182355, r12vrr_stack+93416, r12vrr_stack+170419, r12vrr_stack+83178, r12vrr_stack+93338, NULL);

 /*--- compute (p0|r0)^8 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+182460, r12vrr_stack+80547, r12vrr_stack+182355, NULL, NULL, r12vrr_stack+93416);

 /*--- compute (d0|r0)^7 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+182775, r12vrr_stack+117743, r12vrr_stack+182460, r12vrr_stack+105913, r12vrr_stack+80547, r12vrr_stack+93507);

 /*--- compute (f0|r0)^6 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+183405, r12vrr_stack+118058, r12vrr_stack+182775, r12vrr_stack+106018, r12vrr_stack+117743, r12vrr_stack+93780);

 /*--- compute (g0|r0)^5 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+184455, r12vrr_stack+118688, r12vrr_stack+183405, r12vrr_stack+106333, r12vrr_stack+118058, r12vrr_stack+94326);

 /*--- compute (h0|r0)^4 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+344213, r12vrr_stack+257014, r12vrr_stack+184455, r12vrr_stack+106963, r12vrr_stack+118688, r12vrr_stack+242909);

 /*--- compute (i0|r0)^3 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+346418, r12vrr_stack+258589, r12vrr_stack+344213, r12vrr_stack+190545, r12vrr_stack+257014, r12vrr_stack+244274);

 /*--- compute (k0|r0)^2 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+349358, r12vrr_stack+260794, r12vrr_stack+346418, r12vrr_stack+192120, r12vrr_stack+258589, r12vrr_stack+246185);

 /*--- compute (l0|r0)^1 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+353138, r12vrr_stack+263734, r12vrr_stack+349358, r12vrr_stack+194325, r12vrr_stack+260794, r12vrr_stack+248733);

 /*--- compute (m0|r0)^0 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+190545, r12vrr_stack+267514, r12vrr_stack+353138, r12vrr_stack+197265, r12vrr_stack+263734, r12vrr_stack+113648);
 tmp = r12vrr_stack + 190545;
 target_ptr = Libr12->gvrr_classes[9][13];
 for(i=0;i<5775;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^10 ---*/
 _BUILD_p000(Data,r12vrr_stack+0, Data->F+10, Data->F+11, NULL, NULL, NULL);

 /*--- compute (d0|00)^9 ---*/
 _BUILD_d000(Data,r12vrr_stack+196320, r12vrr_stack+119738, r12vrr_stack+0, Data->F+9, Data->F+10, NULL);

 /*--- compute (f0|00)^8 ---*/
 _BUILD_f000(Data,r12vrr_stack+196326, r12vrr_stack+119741, r12vrr_stack+196320, r12vrr_stack+127963, r12vrr_stack+119738, NULL);

 /*--- compute (g0|00)^7 ---*/
 _BUILD_g000(Data,r12vrr_stack+153, r12vrr_stack+32040, r12vrr_stack+196326, r12vrr_stack+127966, r12vrr_stack+119741, NULL);

 /*--- compute (h0|00)^6 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+119747, r12vrr_stack+153, r12vrr_stack+127972, r12vrr_stack+32040, NULL);

 /*--- compute (i0|00)^5 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+196336, r12vrr_stack+27, r12vrr_stack+5862, r12vrr_stack+127982, r12vrr_stack+119747, NULL);

 /*--- compute (p0|p0)^10 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+1332, r12vrr_stack+1485, r12vrr_stack+3, NULL, NULL, Data->F+11);

 /*--- compute (d0|p0)^9 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+9, r12vrr_stack+119762, r12vrr_stack+1332, r12vrr_stack+6, r12vrr_stack+1485, r12vrr_stack+0);

 /*--- compute (f0|p0)^8 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+196364, r12vrr_stack+119771, r12vrr_stack+9, r12vrr_stack+1236, r12vrr_stack+119762, r12vrr_stack+196320);

 /*--- compute (g0|p0)^7 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+196394, r12vrr_stack+168, r12vrr_stack+196364, r12vrr_stack+127997, r12vrr_stack+119771, r12vrr_stack+196326);

 /*--- compute (h0|p0)^6 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+196439, r12vrr_stack+710, r12vrr_stack+196394, r12vrr_stack+128015, r12vrr_stack+168, r12vrr_stack+153);

 /*--- compute (i0|p0)^5 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+196502, r12vrr_stack+119789, r12vrr_stack+196439, r12vrr_stack+128045, r12vrr_stack+710, r12vrr_stack+5862);

 /*--- compute (k0|p0)^4 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+196586, r12vrr_stack+119852, r12vrr_stack+196502, r12vrr_stack+128090, r12vrr_stack+119789, r12vrr_stack+196336);

 /*--- compute (p0|d0)^10 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+196694, r12vrr_stack+198, r12vrr_stack+48, NULL, NULL, r12vrr_stack+3);

 /*--- compute (d0|d0)^9 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+629, r12vrr_stack+60, r12vrr_stack+196694, r12vrr_stack+81, r12vrr_stack+198, r12vrr_stack+1332);

 /*--- compute (f0|d0)^8 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+196712, r12vrr_stack+119936, r12vrr_stack+629, r12vrr_stack+1284, r12vrr_stack+60, r12vrr_stack+9);

 /*--- compute (g0|d0)^7 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+196772, r12vrr_stack+119972, r12vrr_stack+196712, r12vrr_stack+128153, r12vrr_stack+119936, r12vrr_stack+196364);

 /*--- compute (h0|d0)^6 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+294, r12vrr_stack+120032, r12vrr_stack+196772, r12vrr_stack+128189, r12vrr_stack+119972, r12vrr_stack+196394);

 /*--- compute (i0|d0)^5 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+196862, r12vrr_stack+120122, r12vrr_stack+294, r12vrr_stack+128249, r12vrr_stack+120032, r12vrr_stack+196439);

 /*--- compute (k0|d0)^4 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+197030, r12vrr_stack+79532, r12vrr_stack+196862, r12vrr_stack+128339, r12vrr_stack+120122, r12vrr_stack+196502);

 /*--- compute (l0|d0)^3 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+79700, r12vrr_stack+197030, r12vrr_stack+128465, r12vrr_stack+79532, r12vrr_stack+196586);

 /*--- compute (p0|f0)^10 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+106183, r12vrr_stack+3093, r12vrr_stack+13237, NULL, NULL, r12vrr_stack+48);

 /*--- compute (d0|f0)^9 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+106213, r12vrr_stack+120248, r12vrr_stack+106183, r12vrr_stack+2235, r12vrr_stack+3093, r12vrr_stack+196694);

 /*--- compute (f0|f0)^8 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+106273, r12vrr_stack+120278, r12vrr_stack+106213, r12vrr_stack+1302, r12vrr_stack+120248, r12vrr_stack+629);

 /*--- compute (g0|f0)^7 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+106373, r12vrr_stack+79916, r12vrr_stack+106273, r12vrr_stack+6912, r12vrr_stack+120278, r12vrr_stack+196712);

 /*--- compute (h0|f0)^6 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+106523, r12vrr_stack+80016, r12vrr_stack+106373, r12vrr_stack+6972, r12vrr_stack+79916, r12vrr_stack+196772);

 /*--- compute (i0|f0)^5 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+106733, r12vrr_stack+80166, r12vrr_stack+106523, r12vrr_stack+128633, r12vrr_stack+80016, r12vrr_stack+294);

 /*--- compute (k0|f0)^4 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+107013, r12vrr_stack+60491, r12vrr_stack+106733, r12vrr_stack+128783, r12vrr_stack+80166, r12vrr_stack+196862);

 /*--- compute (l0|f0)^3 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+107373, r12vrr_stack+60771, r12vrr_stack+107013, r12vrr_stack+42544, r12vrr_stack+60491, r12vrr_stack+197030);

 /*--- compute (m0|f0)^2 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+83256, r12vrr_stack+31399, r12vrr_stack+107373, r12vrr_stack+128993, r12vrr_stack+60771, r12vrr_stack+105913);

 /*--- compute (p0|g0)^10 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+42544, r12vrr_stack+13247, r12vrr_stack+1095, NULL, NULL, r12vrr_stack+13237);

 /*--- compute (d0|g0)^9 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+42589, r12vrr_stack+108, r12vrr_stack+42544, r12vrr_stack+3103, r12vrr_stack+13247, r12vrr_stack+106183);

 /*--- compute (f0|g0)^8 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+6912, r12vrr_stack+204, r12vrr_stack+42589, r12vrr_stack+7072, r12vrr_stack+108, r12vrr_stack+106213);

 /*--- compute (g0|g0)^7 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+186030, r12vrr_stack+80376, r12vrr_stack+6912, r12vrr_stack+7117, r12vrr_stack+204, r12vrr_stack+106273);

 /*--- compute (h0|g0)^6 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+83806, r12vrr_stack+95236, r12vrr_stack+186030, r12vrr_stack+7207, r12vrr_stack+80376, r12vrr_stack+106373);

 /*--- compute (i0|g0)^5 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+84121, r12vrr_stack+61131, r12vrr_stack+83806, r12vrr_stack+7357, r12vrr_stack+95236, r12vrr_stack+106523);

 /*--- compute (k0|g0)^4 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+73231, r12vrr_stack+84121, r12vrr_stack+124918, r12vrr_stack+61131, r12vrr_stack+106733);

 /*--- compute (l0|g0)^3 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+63709, r12vrr_stack+27424, r12vrr_stack+63169, r12vrr_stack+125233, r12vrr_stack+73231, r12vrr_stack+107013);

 /*--- compute (m0|g0)^2 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+127789, r12vrr_stack+129353, r12vrr_stack+63709, r12vrr_stack+125653, r12vrr_stack+27424, r12vrr_stack+107373);

 /*--- compute (n0|g0)^1 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+124610, r12vrr_stack+130028, r12vrr_stack+127789, r12vrr_stack+7582, r12vrr_stack+129353, r12vrr_stack+83256);

 /*--- compute (p0|h0)^10 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+42679, r12vrr_stack+1432, r12vrr_stack+31305, NULL, NULL, r12vrr_stack+1095);

 /*--- compute (d0|h0)^9 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7062, r12vrr_stack+440, r12vrr_stack+42679, r12vrr_stack+13262, r12vrr_stack+1432, r12vrr_stack+42544);

 /*--- compute (f0|h0)^8 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7188, r12vrr_stack+503, r12vrr_stack+7062, r12vrr_stack+8257, r12vrr_stack+440, r12vrr_stack+42589);

 /*--- compute (g0|h0)^7 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7398, r12vrr_stack+3118, r12vrr_stack+7188, r12vrr_stack+8320, r12vrr_stack+503, r12vrr_stack+6912);

 /*--- compute (h0|h0)^6 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+7713, r12vrr_stack+55304, r12vrr_stack+7398, r12vrr_stack+8446, r12vrr_stack+3118, r12vrr_stack+186030);

 /*--- compute (i0|h0)^5 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+128614, r12vrr_stack+130853, r12vrr_stack+7713, r12vrr_stack+2260, r12vrr_stack+55304, r12vrr_stack+83806);

 /*--- compute (k0|h0)^4 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+357863, r12vrr_stack+131294, r12vrr_stack+128614, r12vrr_stack+126193, r12vrr_stack+130853, r12vrr_stack+84121);

 /*--- compute (l0|h0)^3 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+125600, r12vrr_stack+131882, r12vrr_stack+357863, r12vrr_stack+108013, r12vrr_stack+131294, r12vrr_stack+63169);

 /*--- compute (m0|h0)^2 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+358619, r12vrr_stack+132638, r12vrr_stack+125600, r12vrr_stack+78314, r12vrr_stack+131882, r12vrr_stack+63709);

 /*--- compute (n0|h0)^1 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+359774, r12vrr_stack+126634, r12vrr_stack+358619, r12vrr_stack+8656, r12vrr_stack+132638, r12vrr_stack+127789);

 /*--- compute (o0|h0)^0 ---*/
 am[0] = 11;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+361160, r12vrr_stack+99305, r12vrr_stack+359774, r12vrr_stack+76039, r12vrr_stack+126634, r12vrr_stack+124610);

 /*--- compute (p0|i0)^10 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+31326, r12vrr_stack+42860, NULL, NULL, r12vrr_stack+31305);

 /*--- compute (d0|i0)^9 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+78398, r12vrr_stack+123658, r12vrr_stack+78314, r12vrr_stack+1453, r12vrr_stack+31326, r12vrr_stack+42679);

 /*--- compute (f0|i0)^8 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+78566, r12vrr_stack+123742, r12vrr_stack+78398, r12vrr_stack+1110, r12vrr_stack+123658, r12vrr_stack+7062);

 /*--- compute (g0|i0)^7 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8154, r12vrr_stack+123910, r12vrr_stack+78566, r12vrr_stack+2575, r12vrr_stack+123742, r12vrr_stack+7188);

 /*--- compute (h0|i0)^6 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+2260, r12vrr_stack+124190, r12vrr_stack+8154, r12vrr_stack+9601, r12vrr_stack+123910, r12vrr_stack+7398);

 /*--- compute (i0|i0)^5 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+8574, r12vrr_stack+98269, r12vrr_stack+2260, r12vrr_stack+9881, r12vrr_stack+124190, r12vrr_stack+7713);

 /*--- compute (k0|i0)^4 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+9358, r12vrr_stack+133583, r12vrr_stack+8574, r12vrr_stack+108601, r12vrr_stack+98269, r12vrr_stack+128614);

 /*--- compute (l0|i0)^3 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+107823, r12vrr_stack+100691, r12vrr_stack+9358, r12vrr_stack+84985, r12vrr_stack+133583, r12vrr_stack+357863);

 /*--- compute (m0|i0)^2 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+362798, r12vrr_stack+272239, r12vrr_stack+107823, r12vrr_stack+43501, r12vrr_stack+100691, r12vrr_stack+125600);

 /*--- compute (n0|i0)^1 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+364338, r12vrr_stack+273499, r12vrr_stack+362798, r12vrr_stack+201045, r12vrr_stack+272239, r12vrr_stack+358619);

 /*--- compute (o0|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+366186, r12vrr_stack+275039, r12vrr_stack+364338, r12vrr_stack+15524, r12vrr_stack+273499, r12vrr_stack+359774);
 tmp = r12vrr_stack + 366186;
 target_ptr = Libr12->gvrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^10 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201045, r12vrr_stack+19504, r12vrr_stack+60344, NULL, NULL, r12vrr_stack+42860);

 /*--- compute (d0|k0)^9 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201153, r12vrr_stack+140038, r12vrr_stack+201045, r12vrr_stack+11128, r12vrr_stack+19504, r12vrr_stack+78314);

 /*--- compute (f0|k0)^8 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201369, r12vrr_stack+140146, r12vrr_stack+201153, r12vrr_stack+17064, r12vrr_stack+140038, r12vrr_stack+78398);

 /*--- compute (g0|k0)^7 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+201729, r12vrr_stack+140362, r12vrr_stack+201369, r12vrr_stack+3531, r12vrr_stack+140146, r12vrr_stack+78566);

 /*--- compute (h0|k0)^6 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+43501, r12vrr_stack+1513, r12vrr_stack+201729, r12vrr_stack+3747, r12vrr_stack+140362, r12vrr_stack+8154);

 /*--- compute (i0|k0)^5 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+84541, r12vrr_stack+44509, r12vrr_stack+43501, r12vrr_stack+59593, r12vrr_stack+1513, r12vrr_stack+2260);

 /*--- compute (k0|k0)^4 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+368370, r12vrr_stack+101699, r12vrr_stack+84541, r12vrr_stack+64651, r12vrr_stack+44509, r12vrr_stack+8574);

 /*--- compute (l0|k0)^3 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+369666, r12vrr_stack+276887, r12vrr_stack+368370, r12vrr_stack+202305, r12vrr_stack+101699, r12vrr_stack+9358);

 /*--- compute (m0|k0)^2 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+371286, r12vrr_stack+278183, r12vrr_stack+369666, r12vrr_stack+203313, r12vrr_stack+276887, r12vrr_stack+107823);

 /*--- compute (n0|k0)^1 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+373266, r12vrr_stack+279803, r12vrr_stack+371286, r12vrr_stack+25084, r12vrr_stack+278183, r12vrr_stack+362798);

 /*--- compute (o0|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+375642, r12vrr_stack+281783, r12vrr_stack+373266, r12vrr_stack+204609, r12vrr_stack+279803, r12vrr_stack+364338);
 tmp = r12vrr_stack + 375642;
 target_ptr = Libr12->gvrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^10 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+1110, r12vrr_stack+60380, r12vrr_stack+79288, NULL, NULL, r12vrr_stack+60344);

 /*--- compute (d0|l0)^9 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+142306, r12vrr_stack+1110, r12vrr_stack+42888, r12vrr_stack+60380, r12vrr_stack+201045);

 /*--- compute (f0|l0)^8 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25354, r12vrr_stack+142441, r12vrr_stack+25084, r12vrr_stack+19288, r12vrr_stack+142306, r12vrr_stack+201153);

 /*--- compute (g0|l0)^7 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25804, r12vrr_stack+142711, r12vrr_stack+25354, r12vrr_stack+26704, r12vrr_stack+142441, r12vrr_stack+201369);

 /*--- compute (h0|l0)^6 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+202269, r12vrr_stack+143161, r12vrr_stack+25804, r12vrr_stack+26974, r12vrr_stack+142711, r12vrr_stack+201729);

 /*--- compute (i0|l0)^5 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+203214, r12vrr_stack+11884, r12vrr_stack+202269, r12vrr_stack+57625, r12vrr_stack+143161, r12vrr_stack+43501);

 /*--- compute (k0|l0)^4 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+378450, r12vrr_stack+284159, r12vrr_stack+203214, r12vrr_stack+206589, r12vrr_stack+11884, r12vrr_stack+84541);

 /*--- compute (l0|l0)^3 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+380070, r12vrr_stack+285419, r12vrr_stack+378450, r12vrr_stack+207534, r12vrr_stack+284159, r12vrr_stack+368370);

 /*--- compute (m0|l0)^2 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+382095, r12vrr_stack+143836, r12vrr_stack+380070, r12vrr_stack+208794, r12vrr_stack+285419, r12vrr_stack+369666);

 /*--- compute (n0|l0)^1 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+206589, r12vrr_stack+287039, r12vrr_stack+382095, r12vrr_stack+37000, r12vrr_stack+143836, r12vrr_stack+371286);

 /*--- compute (o0|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+384570, r12vrr_stack+145861, r12vrr_stack+206589, r12vrr_stack+210414, r12vrr_stack+287039, r12vrr_stack+373266);
 tmp = r12vrr_stack + 384570;
 target_ptr = Libr12->gvrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^10 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37000, r12vrr_stack+79333, r12vrr_stack+48825, NULL, NULL, r12vrr_stack+79288);

 /*--- compute (d0|m0)^9 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37165, r12vrr_stack+148831, r12vrr_stack+37000, r12vrr_stack+755, r12vrr_stack+79333, r12vrr_stack+1110);

 /*--- compute (f0|m0)^8 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+37495, r12vrr_stack+12829, r12vrr_stack+37165, r12vrr_stack+39025, r12vrr_stack+148831, r12vrr_stack+25084);

 /*--- compute (g0|m0)^7 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+38045, r12vrr_stack+13283, r12vrr_stack+37495, r12vrr_stack+39190, r12vrr_stack+12829, r12vrr_stack+25354);

 /*--- compute (h0|m0)^6 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+57625, r12vrr_stack+102707, r12vrr_stack+38045, r12vrr_stack+39520, r12vrr_stack+13283, r12vrr_stack+25804);

 /*--- compute (i0|m0)^5 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+388080, r12vrr_stack+289514, r12vrr_stack+57625, r12vrr_stack+20206, r12vrr_stack+102707, r12vrr_stack+202269);

 /*--- compute (k0|m0)^4 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+389620, r12vrr_stack+290669, r12vrr_stack+388080, r12vrr_stack+212889, r12vrr_stack+289514, r12vrr_stack+203214);

 /*--- compute (l0|m0)^3 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+391600, r12vrr_stack+292209, r12vrr_stack+389620, r12vrr_stack+214044, r12vrr_stack+290669, r12vrr_stack+378450);

 /*--- compute (m0|m0)^2 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+394075, r12vrr_stack+294189, r12vrr_stack+391600, r12vrr_stack+215584, r12vrr_stack+292209, r12vrr_stack+380070);

 /*--- compute (n0|m0)^1 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+212889, r12vrr_stack+296664, r12vrr_stack+394075, r12vrr_stack+51575, r12vrr_stack+294189, r12vrr_stack+382095);

 /*--- compute (o0|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+397100, r12vrr_stack+151135, r12vrr_stack+212889, r12vrr_stack+217564, r12vrr_stack+296664, r12vrr_stack+206589);
 tmp = r12vrr_stack + 397100;
 target_ptr = Libr12->gvrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^10 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+83112, r12vrr_stack+93272, NULL, NULL, r12vrr_stack+48825);

 /*--- compute (d0|n0)^9 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51773, r12vrr_stack+154765, r12vrr_stack+51575, r12vrr_stack+79388, r12vrr_stack+83112, r12vrr_stack+37000);

 /*--- compute (f0|n0)^8 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+52169, r12vrr_stack+154963, r12vrr_stack+51773, r12vrr_stack+54050, r12vrr_stack+154765, r12vrr_stack+37165);

 /*--- compute (g0|n0)^7 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+52829, r12vrr_stack+33175, r12vrr_stack+52169, r12vrr_stack+54248, r12vrr_stack+154963, r12vrr_stack+37495);

 /*--- compute (h0|n0)^6 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+38870, r12vrr_stack+299689, r12vrr_stack+52829, r12vrr_stack+54644, r12vrr_stack+33175, r12vrr_stack+38045);

 /*--- compute (i0|n0)^5 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+401390, r12vrr_stack+300679, r12vrr_stack+38870, r12vrr_stack+220589, r12vrr_stack+299689, r12vrr_stack+57625);

 /*--- compute (k0|n0)^4 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+403238, r12vrr_stack+302065, r12vrr_stack+401390, r12vrr_stack+221579, r12vrr_stack+300679, r12vrr_stack+388080);

 /*--- compute (l0|n0)^3 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+405614, r12vrr_stack+303913, r12vrr_stack+403238, r12vrr_stack+222965, r12vrr_stack+302065, r12vrr_stack+389620);

 /*--- compute (m0|n0)^2 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+220589, r12vrr_stack+155359, r12vrr_stack+405614, r12vrr_stack+224813, r12vrr_stack+303913, r12vrr_stack+391600);

 /*--- compute (n0|n0)^1 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+408584, r12vrr_stack+306289, r12vrr_stack+220589, r12vrr_stack+68779, r12vrr_stack+155359, r12vrr_stack+394075);

 /*--- compute (o0|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+412940, r12vrr_stack+158329, r12vrr_stack+408584, r12vrr_stack+227189, r12vrr_stack+306289, r12vrr_stack+212889);
 tmp = r12vrr_stack + 412940;
 target_ptr = Libr12->gvrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^10 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+93338, r12vrr_stack+79454, NULL, NULL, r12vrr_stack+93272);

 /*--- compute (d0|o0)^9 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+69013, r12vrr_stack+19810, r12vrr_stack+68779, r12vrr_stack+83178, r12vrr_stack+93338, r12vrr_stack+51575);

 /*--- compute (f0|o0)^8 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+69481, r12vrr_stack+30755, r12vrr_stack+69013, r12vrr_stack+71749, r12vrr_stack+19810, r12vrr_stack+51773);

 /*--- compute (g0|o0)^7 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+70261, r12vrr_stack+33835, r12vrr_stack+69481, r12vrr_stack+71983, r12vrr_stack+30755, r12vrr_stack+52169);

 /*--- compute (h0|o0)^6 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+224219, r12vrr_stack+309919, r12vrr_stack+70261, r12vrr_stack+72451, r12vrr_stack+33835, r12vrr_stack+52829);

 /*--- compute (i0|o0)^5 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+418088, r12vrr_stack+311089, r12vrr_stack+224219, r12vrr_stack+230819, r12vrr_stack+309919, r12vrr_stack+38870);

 /*--- compute (k0|o0)^4 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+420272, r12vrr_stack+312727, r12vrr_stack+418088, r12vrr_stack+231989, r12vrr_stack+311089, r12vrr_stack+401390);

 /*--- compute (l0|o0)^3 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+423080, r12vrr_stack+314911, r12vrr_stack+420272, r12vrr_stack+233627, r12vrr_stack+312727, r12vrr_stack+403238);

 /*--- compute (m0|o0)^2 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+230819, r12vrr_stack+317719, r12vrr_stack+423080, r12vrr_stack+235811, r12vrr_stack+314911, r12vrr_stack+405614);

 /*--- compute (n0|o0)^1 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+426590, r12vrr_stack+166040, r12vrr_stack+230819, r12vrr_stack+89689, r12vrr_stack+317719, r12vrr_stack+220589);

 /*--- compute (o0|o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+431738, r12vrr_stack+321229, r12vrr_stack+426590, r12vrr_stack+238619, r12vrr_stack+166040, r12vrr_stack+408584);
 tmp = r12vrr_stack + 431738;
 target_ptr = Libr12->gvrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^22 ---*/
 _BUILD_00p0(Data,r12vrr_stack+6, Data->F+22, Data->F+23, NULL, NULL, NULL);

 /*--- compute (00|d0)^21 ---*/
 _BUILD_00d0(Data,r12vrr_stack+10366, r12vrr_stack+78, r12vrr_stack+6, Data->F+21, Data->F+22, NULL);

 /*--- compute (00|f0)^20 ---*/
 _BUILD_00f0(Data,r12vrr_stack+89689, r12vrr_stack+170330, r12vrr_stack+10366, r12vrr_stack+93199, r12vrr_stack+78, NULL);

 /*--- compute (00|g0)^19 ---*/
 _BUILD_00g0(Data,r12vrr_stack+3103, r12vrr_stack+1488, r12vrr_stack+89689, r12vrr_stack+93202, r12vrr_stack+170330, NULL);

 /*--- compute (00|h0)^18 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+13262, r12vrr_stack+2245, r12vrr_stack+3103, r12vrr_stack+430, r12vrr_stack+1488, NULL);

 /*--- compute (00|i0)^17 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+89699, r12vrr_stack+80526, r12vrr_stack+13262, r12vrr_stack+1498, r12vrr_stack+2245, NULL);

 /*--- compute (00|k0)^16 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+170336, r12vrr_stack+89699, r12vrr_stack+87, r12vrr_stack+80526, NULL);

 /*--- compute (00|l0)^15 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+89727, r12vrr_stack+19423, r12vrr_stack+11128, r12vrr_stack+93208, r12vrr_stack+170336, NULL);

 /*--- compute (00|m0)^14 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+89772, r12vrr_stack+31354, r12vrr_stack+89727, r12vrr_stack+93236, r12vrr_stack+19423, NULL);

 /*--- compute (00|n0)^13 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+79388, r12vrr_stack+170364, r12vrr_stack+89772, r12vrr_stack+19459, r12vrr_stack+31354, NULL);

 /*--- compute (00|o0)^12 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+83178, r12vrr_stack+60425, r12vrr_stack+79388, r12vrr_stack+42223, r12vrr_stack+170364, NULL);

 /*--- compute (00|q0)^11 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+89827, r12vrr_stack+79454, r12vrr_stack+83178, r12vrr_stack+93272, r12vrr_stack+60425, NULL);

 /*--- compute (p0|q0)^10 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+89918, r12vrr_stack+170419, r12vrr_stack+89827, NULL, NULL, r12vrr_stack+79454);

 /*--- compute (d0|q0)^9 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+90191, r12vrr_stack+170510, r12vrr_stack+89918, r12vrr_stack+93416, r12vrr_stack+170419, r12vrr_stack+68779);

 /*--- compute (f0|q0)^8 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+90737, r12vrr_stack+170783, r12vrr_stack+90191, r12vrr_stack+93507, r12vrr_stack+170510, r12vrr_stack+69013);

 /*--- compute (g0|q0)^7 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+91647, r12vrr_stack+171329, r12vrr_stack+90737, r12vrr_stack+93780, r12vrr_stack+170783, r12vrr_stack+69481);

 /*--- compute (h0|q0)^6 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+235109, r12vrr_stack+172239, r12vrr_stack+91647, r12vrr_stack+94326, r12vrr_stack+171329, r12vrr_stack+70261);

 /*--- compute (i0|q0)^5 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+437822, r12vrr_stack+326377, r12vrr_stack+235109, r12vrr_stack+242909, r12vrr_stack+172239, r12vrr_stack+224219);

 /*--- compute (k0|q0)^4 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+440370, r12vrr_stack+328288, r12vrr_stack+437822, r12vrr_stack+244274, r12vrr_stack+326377, r12vrr_stack+418088);

 /*--- compute (l0|q0)^3 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+443646, r12vrr_stack+330836, r12vrr_stack+440370, r12vrr_stack+246185, r12vrr_stack+328288, r12vrr_stack+420272);

 /*--- compute (m0|q0)^2 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+242909, r12vrr_stack+334112, r12vrr_stack+443646, r12vrr_stack+248733, r12vrr_stack+330836, r12vrr_stack+423080);

 /*--- compute (n0|q0)^1 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+447741, r12vrr_stack+177350, r12vrr_stack+242909, r12vrr_stack+113648, r12vrr_stack+334112, r12vrr_stack+230819);

 /*--- compute (o0|q0)^0 ---*/
 am[0] = 11;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+453747, r12vrr_stack+338207, r12vrr_stack+447741, r12vrr_stack+252009, r12vrr_stack+177350, r12vrr_stack+426590);
 tmp = r12vrr_stack + 453747;
 target_ptr = Libr12->gvrr_classes[11][12];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^10 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+113648, r12vrr_stack+170419, r12vrr_stack+89827, r12vrr_stack+93338, r12vrr_stack+79454, NULL);

 /*--- compute (p0|r0)^9 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+113753, r12vrr_stack+182355, r12vrr_stack+113648, NULL, NULL, r12vrr_stack+170419);

 /*--- compute (d0|r0)^8 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+114068, r12vrr_stack+182460, r12vrr_stack+113753, r12vrr_stack+80547, r12vrr_stack+182355, r12vrr_stack+170510);

 /*--- compute (f0|r0)^7 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+114698, r12vrr_stack+182775, r12vrr_stack+114068, r12vrr_stack+117743, r12vrr_stack+182460, r12vrr_stack+170783);

 /*--- compute (g0|r0)^6 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+115748, r12vrr_stack+183405, r12vrr_stack+114698, r12vrr_stack+118058, r12vrr_stack+182775, r12vrr_stack+171329);

 /*--- compute (h0|r0)^5 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+247914, r12vrr_stack+184455, r12vrr_stack+115748, r12vrr_stack+118688, r12vrr_stack+183405, r12vrr_stack+172239);

 /*--- compute (i0|r0)^4 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+460845, r12vrr_stack+344213, r12vrr_stack+247914, r12vrr_stack+257014, r12vrr_stack+184455, r12vrr_stack+326377);

 /*--- compute (k0|r0)^3 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+463785, r12vrr_stack+346418, r12vrr_stack+460845, r12vrr_stack+258589, r12vrr_stack+344213, r12vrr_stack+328288);

 /*--- compute (l0|r0)^2 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+467565, r12vrr_stack+349358, r12vrr_stack+463785, r12vrr_stack+260794, r12vrr_stack+346418, r12vrr_stack+330836);

 /*--- compute (m0|r0)^1 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+257014, r12vrr_stack+353138, r12vrr_stack+467565, r12vrr_stack+263734, r12vrr_stack+349358, r12vrr_stack+334112);

 /*--- compute (n0|r0)^0 ---*/
 am[0] = 10;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+472290, r12vrr_stack+190545, r12vrr_stack+257014, r12vrr_stack+267514, r12vrr_stack+353138, r12vrr_stack+177350);
 tmp = r12vrr_stack + 472290;
 target_ptr = Libr12->gvrr_classes[10][13];
 for(i=0;i<6930;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^11 ---*/
 _BUILD_p000(Data,r12vrr_stack+262789, Data->F+11, Data->F+12, NULL, NULL, NULL);

 /*--- compute (d0|00)^10 ---*/
 _BUILD_d000(Data,r12vrr_stack+262792, r12vrr_stack+0, r12vrr_stack+262789, Data->F+10, Data->F+11, NULL);

 /*--- compute (f0|00)^9 ---*/
 _BUILD_f000(Data,r12vrr_stack+430, r12vrr_stack+196320, r12vrr_stack+262792, r12vrr_stack+119738, r12vrr_stack+0, NULL);

 /*--- compute (g0|00)^8 ---*/
 _BUILD_g000(Data,r12vrr_stack+1498, r12vrr_stack+196326, r12vrr_stack+430, r12vrr_stack+119741, r12vrr_stack+196320, NULL);

 /*--- compute (h0|00)^7 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+262798, r12vrr_stack+153, r12vrr_stack+1498, r12vrr_stack+32040, r12vrr_stack+196326, NULL);

 /*--- compute (i0|00)^6 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+262819, r12vrr_stack+5862, r12vrr_stack+262798, r12vrr_stack+119747, r12vrr_stack+153, NULL);

 /*--- compute (k0|00)^5 ---*/
 am[0] = 7;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+262847, r12vrr_stack+196336, r12vrr_stack+262819, r12vrr_stack+27, r12vrr_stack+5862, NULL);

 /*--- compute (p0|p0)^11 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+27, r12vrr_stack+3, r12vrr_stack+3090, NULL, NULL, Data->F+12);

 /*--- compute (d0|p0)^10 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+262883, r12vrr_stack+1332, r12vrr_stack+27, r12vrr_stack+1485, r12vrr_stack+3, r12vrr_stack+262789);

 /*--- compute (f0|p0)^9 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+262901, r12vrr_stack+9, r12vrr_stack+262883, r12vrr_stack+119762, r12vrr_stack+1332, r12vrr_stack+262792);

 /*--- compute (g0|p0)^8 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+262931, r12vrr_stack+196364, r12vrr_stack+262901, r12vrr_stack+119771, r12vrr_stack+9, r12vrr_stack+430);

 /*--- compute (h0|p0)^7 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+262976, r12vrr_stack+196394, r12vrr_stack+262931, r12vrr_stack+168, r12vrr_stack+196364, r12vrr_stack+1498);

 /*--- compute (i0|p0)^6 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+263039, r12vrr_stack+196439, r12vrr_stack+262976, r12vrr_stack+710, r12vrr_stack+196394, r12vrr_stack+262798);

 /*--- compute (k0|p0)^5 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+710, r12vrr_stack+196502, r12vrr_stack+263039, r12vrr_stack+119789, r12vrr_stack+196439, r12vrr_stack+262819);

 /*--- compute (l0|p0)^4 ---*/
 am[0] = 8;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+19288, r12vrr_stack+196586, r12vrr_stack+710, r12vrr_stack+119852, r12vrr_stack+196502, r12vrr_stack+262847);

 /*--- compute (p0|d0)^11 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+818, r12vrr_stack+48, r12vrr_stack+13231, NULL, NULL, r12vrr_stack+3090);

 /*--- compute (d0|d0)^10 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+836, r12vrr_stack+196694, r12vrr_stack+818, r12vrr_stack+198, r12vrr_stack+48, r12vrr_stack+27);

 /*--- compute (f0|d0)^9 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+872, r12vrr_stack+629, r12vrr_stack+836, r12vrr_stack+60, r12vrr_stack+196694, r12vrr_stack+262883);

 /*--- compute (g0|d0)^8 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+932, r12vrr_stack+196712, r12vrr_stack+872, r12vrr_stack+119936, r12vrr_stack+629, r12vrr_stack+262901);

 /*--- compute (h0|d0)^7 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+263123, r12vrr_stack+196772, r12vrr_stack+932, r12vrr_stack+119972, r12vrr_stack+196712, r12vrr_stack+262931);

 /*--- compute (i0|d0)^6 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+263249, r12vrr_stack+294, r12vrr_stack+263123, r12vrr_stack+120032, r12vrr_stack+196772, r12vrr_stack+262976);

 /*--- compute (k0|d0)^5 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+263417, r12vrr_stack+196862, r12vrr_stack+263249, r12vrr_stack+120122, r12vrr_stack+294, r12vrr_stack+263039);

 /*--- compute (l0|d0)^4 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+263633, r12vrr_stack+197030, r12vrr_stack+263417, r12vrr_stack+79532, r12vrr_stack+196862, r12vrr_stack+710);

 /*--- compute (m0|d0)^3 ---*/
 am[0] = 9;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+263903, r12vrr_stack+105913, r12vrr_stack+263633, r12vrr_stack+79700, r12vrr_stack+197030, r12vrr_stack+19288);

 /*--- compute (p0|f0)^11 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+79532, r12vrr_stack+13237, r12vrr_stack+1422, NULL, NULL, r12vrr_stack+13231);

 /*--- compute (d0|f0)^10 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+79562, r12vrr_stack+106183, r12vrr_stack+79532, r12vrr_stack+3093, r12vrr_stack+13237, r12vrr_stack+818);

 /*--- compute (f0|f0)^9 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+79622, r12vrr_stack+106213, r12vrr_stack+79562, r12vrr_stack+120248, r12vrr_stack+106183, r12vrr_stack+836);

 /*--- compute (g0|f0)^8 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+79722, r12vrr_stack+106273, r12vrr_stack+79622, r12vrr_stack+120278, r12vrr_stack+106213, r12vrr_stack+872);

 /*--- compute (h0|f0)^7 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+264233, r12vrr_stack+106373, r12vrr_stack+79722, r12vrr_stack+79916, r12vrr_stack+106273, r12vrr_stack+932);

 /*--- compute (i0|f0)^6 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+264443, r12vrr_stack+106523, r12vrr_stack+264233, r12vrr_stack+80016, r12vrr_stack+106373, r12vrr_stack+263123);

 /*--- compute (k0|f0)^5 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+264723, r12vrr_stack+106733, r12vrr_stack+264443, r12vrr_stack+80166, r12vrr_stack+106523, r12vrr_stack+263249);

 /*--- compute (l0|f0)^4 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+79872, r12vrr_stack+107013, r12vrr_stack+264723, r12vrr_stack+60491, r12vrr_stack+106733, r12vrr_stack+263417);

 /*--- compute (m0|f0)^3 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+265083, r12vrr_stack+107373, r12vrr_stack+79872, r12vrr_stack+60771, r12vrr_stack+107013, r12vrr_stack+263633);

 /*--- compute (n0|f0)^2 ---*/
 am[0] = 10;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+265633, r12vrr_stack+83256, r12vrr_stack+265083, r12vrr_stack+31399, r12vrr_stack+107373, r12vrr_stack+263903);

 /*--- compute (p0|g0)^11 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+31399, r12vrr_stack+1095, r12vrr_stack+1351, NULL, NULL, r12vrr_stack+1422);

 /*--- compute (d0|g0)^10 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+31444, r12vrr_stack+42544, r12vrr_stack+31399, r12vrr_stack+13247, r12vrr_stack+1095, r12vrr_stack+79532);

 /*--- compute (f0|g0)^9 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+31534, r12vrr_stack+42589, r12vrr_stack+31444, r12vrr_stack+108, r12vrr_stack+42544, r12vrr_stack+79562);

 /*--- compute (g0|g0)^8 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+31684, r12vrr_stack+6912, r12vrr_stack+31534, r12vrr_stack+204, r12vrr_stack+42589, r12vrr_stack+79622);

 /*--- compute (h0|g0)^7 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+60491, r12vrr_stack+186030, r12vrr_stack+31684, r12vrr_stack+80376, r12vrr_stack+6912, r12vrr_stack+79722);

 /*--- compute (i0|g0)^6 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+266293, r12vrr_stack+83806, r12vrr_stack+60491, r12vrr_stack+95236, r12vrr_stack+186030, r12vrr_stack+264233);

 /*--- compute (k0|g0)^5 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+266713, r12vrr_stack+84121, r12vrr_stack+266293, r12vrr_stack+61131, r12vrr_stack+83806, r12vrr_stack+264443);

 /*--- compute (l0|g0)^4 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+60806, r12vrr_stack+63169, r12vrr_stack+266713, r12vrr_stack+73231, r12vrr_stack+84121, r12vrr_stack+264723);

 /*--- compute (m0|g0)^3 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+117323, r12vrr_stack+63709, r12vrr_stack+60806, r12vrr_stack+27424, r12vrr_stack+63169, r12vrr_stack+79872);

 /*--- compute (n0|g0)^2 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+118148, r12vrr_stack+127789, r12vrr_stack+117323, r12vrr_stack+129353, r12vrr_stack+63709, r12vrr_stack+265083);

 /*--- compute (o0|g0)^1 ---*/
 am[0] = 11;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+119138, r12vrr_stack+124610, r12vrr_stack+118148, r12vrr_stack+130028, r12vrr_stack+127789, r12vrr_stack+265633);

 /*--- compute (p0|h0)^11 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31909, r12vrr_stack+31305, r12vrr_stack+42839, NULL, NULL, r12vrr_stack+1351);

 /*--- compute (d0|h0)^10 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+168, r12vrr_stack+42679, r12vrr_stack+31909, r12vrr_stack+1432, r12vrr_stack+31305, r12vrr_stack+31399);

 /*--- compute (f0|h0)^9 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+267253, r12vrr_stack+7062, r12vrr_stack+168, r12vrr_stack+440, r12vrr_stack+42679, r12vrr_stack+31444);

 /*--- compute (g0|h0)^8 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+80547, r12vrr_stack+7188, r12vrr_stack+267253, r12vrr_stack+503, r12vrr_stack+7062, r12vrr_stack+31534);

 /*--- compute (h0|h0)^7 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+250119, r12vrr_stack+7398, r12vrr_stack+80547, r12vrr_stack+3118, r12vrr_stack+7188, r12vrr_stack+31684);

 /*--- compute (i0|h0)^6 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+250560, r12vrr_stack+7713, r12vrr_stack+250119, r12vrr_stack+55304, r12vrr_stack+7398, r12vrr_stack+60491);

 /*--- compute (k0|h0)^5 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+251148, r12vrr_stack+128614, r12vrr_stack+250560, r12vrr_stack+130853, r12vrr_stack+7713, r12vrr_stack+266293);

 /*--- compute (l0|h0)^4 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+93416, r12vrr_stack+357863, r12vrr_stack+251148, r12vrr_stack+131294, r12vrr_stack+128614, r12vrr_stack+266713);

 /*--- compute (m0|h0)^3 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+237020, r12vrr_stack+125600, r12vrr_stack+93416, r12vrr_stack+131882, r12vrr_stack+357863, r12vrr_stack+60806);

 /*--- compute (n0|h0)^2 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+71431, r12vrr_stack+358619, r12vrr_stack+237020, r12vrr_stack+132638, r12vrr_stack+125600, r12vrr_stack+117323);

 /*--- compute (o0|h0)^1 ---*/
 am[0] = 11;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+53819, r12vrr_stack+359774, r12vrr_stack+71431, r12vrr_stack+126634, r12vrr_stack+358619, r12vrr_stack+118148);

 /*--- compute (q0|h0)^0 ---*/
 am[0] = 12;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+129202, r12vrr_stack+361160, r12vrr_stack+53819, r12vrr_stack+99305, r12vrr_stack+359774, r12vrr_stack+119138);

 /*--- compute (p0|i0)^11 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+3118, r12vrr_stack+42860, r12vrr_stack+60316, NULL, NULL, r12vrr_stack+42839);

 /*--- compute (d0|i0)^10 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+440, r12vrr_stack+78314, r12vrr_stack+3118, r12vrr_stack+31326, r12vrr_stack+42860, r12vrr_stack+31909);

 /*--- compute (f0|i0)^9 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+94361, r12vrr_stack+78398, r12vrr_stack+440, r12vrr_stack+123658, r12vrr_stack+78314, r12vrr_stack+168);

 /*--- compute (g0|i0)^8 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+94641, r12vrr_stack+78566, r12vrr_stack+94361, r12vrr_stack+123742, r12vrr_stack+78398, r12vrr_stack+267253);

 /*--- compute (h0|i0)^7 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+72817, r12vrr_stack+8154, r12vrr_stack+94641, r12vrr_stack+123910, r12vrr_stack+78566, r12vrr_stack+80547);

 /*--- compute (i0|i0)^6 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+225857, r12vrr_stack+2260, r12vrr_stack+72817, r12vrr_stack+124190, r12vrr_stack+8154, r12vrr_stack+250119);

 /*--- compute (k0|i0)^5 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+216519, r12vrr_stack+8574, r12vrr_stack+225857, r12vrr_stack+98269, r12vrr_stack+2260, r12vrr_stack+250560);

 /*--- compute (l0|i0)^4 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+26479, r12vrr_stack+9358, r12vrr_stack+216519, r12vrr_stack+133583, r12vrr_stack+8574, r12vrr_stack+251148);

 /*--- compute (m0|i0)^3 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+131113, r12vrr_stack+107823, r12vrr_stack+26479, r12vrr_stack+100691, r12vrr_stack+9358, r12vrr_stack+93416);

 /*--- compute (n0|i0)^2 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+132653, r12vrr_stack+362798, r12vrr_stack+131113, r12vrr_stack+272239, r12vrr_stack+107823, r12vrr_stack+237020);

 /*--- compute (o0|i0)^1 ---*/
 am[0] = 11;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+479220, r12vrr_stack+364338, r12vrr_stack+132653, r12vrr_stack+273499, r12vrr_stack+362798, r12vrr_stack+71431);

 /*--- compute (q0|i0)^0 ---*/
 am[0] = 12;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+272239, r12vrr_stack+366186, r12vrr_stack+479220, r12vrr_stack+275039, r12vrr_stack+364338, r12vrr_stack+53819);
 tmp = r12vrr_stack + 272239;
 target_ptr = Libr12->gvrr_classes[12][6];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^11 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+274787, r12vrr_stack+60344, r12vrr_stack+79252, NULL, NULL, r12vrr_stack+60316);

 /*--- compute (d0|k0)^10 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+100691, r12vrr_stack+201045, r12vrr_stack+274787, r12vrr_stack+19504, r12vrr_stack+60344, r12vrr_stack+3118);

 /*--- compute (f0|k0)^9 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+100907, r12vrr_stack+201153, r12vrr_stack+100691, r12vrr_stack+140038, r12vrr_stack+201045, r12vrr_stack+440);

 /*--- compute (g0|k0)^8 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+98269, r12vrr_stack+201369, r12vrr_stack+100907, r12vrr_stack+140146, r12vrr_stack+201153, r12vrr_stack+94361);

 /*--- compute (h0|k0)^7 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+201729, r12vrr_stack+98269, r12vrr_stack+140362, r12vrr_stack+201369, r12vrr_stack+94641);

 /*--- compute (i0|k0)^6 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+140038, r12vrr_stack+43501, r12vrr_stack+123658, r12vrr_stack+1513, r12vrr_stack+201729, r12vrr_stack+72817);

 /*--- compute (k0|k0)^5 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+481404, r12vrr_stack+84541, r12vrr_stack+140038, r12vrr_stack+44509, r12vrr_stack+43501, r12vrr_stack+225857);

 /*--- compute (l0|k0)^4 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+482700, r12vrr_stack+368370, r12vrr_stack+481404, r12vrr_stack+101699, r12vrr_stack+84541, r12vrr_stack+216519);

 /*--- compute (m0|k0)^3 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+484320, r12vrr_stack+369666, r12vrr_stack+482700, r12vrr_stack+276887, r12vrr_stack+368370, r12vrr_stack+26479);

 /*--- compute (n0|k0)^2 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+486300, r12vrr_stack+371286, r12vrr_stack+484320, r12vrr_stack+278183, r12vrr_stack+369666, r12vrr_stack+131113);

 /*--- compute (o0|k0)^1 ---*/
 am[0] = 11;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+276887, r12vrr_stack+373266, r12vrr_stack+486300, r12vrr_stack+279803, r12vrr_stack+371286, r12vrr_stack+132653);

 /*--- compute (q0|k0)^0 ---*/
 am[0] = 12;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+488676, r12vrr_stack+375642, r12vrr_stack+276887, r12vrr_stack+281783, r12vrr_stack+373266, r12vrr_stack+479220);
 tmp = r12vrr_stack + 488676;
 target_ptr = Libr12->gvrr_classes[12][7];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^11 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+204474, r12vrr_stack+79288, r12vrr_stack+665, NULL, NULL, r12vrr_stack+79252);

 /*--- compute (d0|l0)^10 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+279695, r12vrr_stack+1110, r12vrr_stack+204474, r12vrr_stack+60380, r12vrr_stack+79288, r12vrr_stack+274787);

 /*--- compute (f0|l0)^9 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+279965, r12vrr_stack+25084, r12vrr_stack+279695, r12vrr_stack+142306, r12vrr_stack+1110, r12vrr_stack+100691);

 /*--- compute (g0|l0)^8 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+280415, r12vrr_stack+25354, r12vrr_stack+279965, r12vrr_stack+142441, r12vrr_stack+25084, r12vrr_stack+100907);

 /*--- compute (h0|l0)^7 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+101267, r12vrr_stack+25804, r12vrr_stack+280415, r12vrr_stack+142711, r12vrr_stack+25354, r12vrr_stack+98269);

 /*--- compute (i0|l0)^6 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+44257, r12vrr_stack+202269, r12vrr_stack+101267, r12vrr_stack+143161, r12vrr_stack+25804, r12vrr_stack+123658);

 /*--- compute (k0|l0)^5 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+491952, r12vrr_stack+203214, r12vrr_stack+44257, r12vrr_stack+11884, r12vrr_stack+202269, r12vrr_stack+140038);

 /*--- compute (l0|l0)^4 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+493572, r12vrr_stack+378450, r12vrr_stack+491952, r12vrr_stack+284159, r12vrr_stack+203214, r12vrr_stack+481404);

 /*--- compute (m0|l0)^3 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+495597, r12vrr_stack+380070, r12vrr_stack+493572, r12vrr_stack+285419, r12vrr_stack+378450, r12vrr_stack+482700);

 /*--- compute (n0|l0)^2 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+498072, r12vrr_stack+382095, r12vrr_stack+495597, r12vrr_stack+143836, r12vrr_stack+380070, r12vrr_stack+484320);

 /*--- compute (o0|l0)^1 ---*/
 am[0] = 11;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+142306, r12vrr_stack+206589, r12vrr_stack+498072, r12vrr_stack+287039, r12vrr_stack+382095, r12vrr_stack+486300);

 /*--- compute (q0|l0)^0 ---*/
 am[0] = 12;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+284159, r12vrr_stack+384570, r12vrr_stack+142306, r12vrr_stack+145861, r12vrr_stack+206589, r12vrr_stack+276887);
 tmp = r12vrr_stack + 284159;
 target_ptr = Libr12->gvrr_classes[12][8];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^11 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+288254, r12vrr_stack+48825, r12vrr_stack+42223, NULL, NULL, r12vrr_stack+665);

 /*--- compute (d0|m0)^10 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+288419, r12vrr_stack+37000, r12vrr_stack+288254, r12vrr_stack+79333, r12vrr_stack+48825, r12vrr_stack+204474);

 /*--- compute (f0|m0)^9 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+288749, r12vrr_stack+37165, r12vrr_stack+288419, r12vrr_stack+148831, r12vrr_stack+37000, r12vrr_stack+279695);

 /*--- compute (g0|m0)^8 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+11884, r12vrr_stack+37495, r12vrr_stack+288749, r12vrr_stack+12829, r12vrr_stack+37165, r12vrr_stack+279965);

 /*--- compute (h0|m0)^7 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+64384, r12vrr_stack+38045, r12vrr_stack+11884, r12vrr_stack+13283, r12vrr_stack+37495, r12vrr_stack+280415);

 /*--- compute (i0|m0)^6 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+501042, r12vrr_stack+57625, r12vrr_stack+64384, r12vrr_stack+102707, r12vrr_stack+38045, r12vrr_stack+101267);

 /*--- compute (k0|m0)^5 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+502582, r12vrr_stack+388080, r12vrr_stack+501042, r12vrr_stack+289514, r12vrr_stack+57625, r12vrr_stack+44257);

 /*--- compute (l0|m0)^4 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+504562, r12vrr_stack+389620, r12vrr_stack+502582, r12vrr_stack+290669, r12vrr_stack+388080, r12vrr_stack+491952);

 /*--- compute (m0|m0)^3 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+507037, r12vrr_stack+391600, r12vrr_stack+504562, r12vrr_stack+292209, r12vrr_stack+389620, r12vrr_stack+493572);

 /*--- compute (n0|m0)^2 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+289299, r12vrr_stack+394075, r12vrr_stack+507037, r12vrr_stack+294189, r12vrr_stack+391600, r12vrr_stack+495597);

 /*--- compute (o0|m0)^1 ---*/
 am[0] = 11;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+510062, r12vrr_stack+212889, r12vrr_stack+289299, r12vrr_stack+296664, r12vrr_stack+394075, r12vrr_stack+498072);

 /*--- compute (q0|m0)^0 ---*/
 am[0] = 12;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+292929, r12vrr_stack+397100, r12vrr_stack+510062, r12vrr_stack+151135, r12vrr_stack+212889, r12vrr_stack+142306);
 tmp = r12vrr_stack + 292929;
 target_ptr = Libr12->gvrr_classes[12][9];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^11 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13283, r12vrr_stack+93272, r12vrr_stack+60425, NULL, NULL, r12vrr_stack+42223);

 /*--- compute (d0|n0)^10 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+13481, r12vrr_stack+51575, r12vrr_stack+13283, r12vrr_stack+83112, r12vrr_stack+93272, r12vrr_stack+288254);

 /*--- compute (f0|n0)^9 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+297934, r12vrr_stack+51773, r12vrr_stack+13481, r12vrr_stack+154765, r12vrr_stack+51575, r12vrr_stack+288419);

 /*--- compute (g0|n0)^8 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+298594, r12vrr_stack+52169, r12vrr_stack+297934, r12vrr_stack+154963, r12vrr_stack+51773, r12vrr_stack+288749);

 /*--- compute (h0|n0)^7 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+102212, r12vrr_stack+52829, r12vrr_stack+298594, r12vrr_stack+33175, r12vrr_stack+52169, r12vrr_stack+11884);

 /*--- compute (i0|n0)^6 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+514352, r12vrr_stack+38870, r12vrr_stack+102212, r12vrr_stack+299689, r12vrr_stack+52829, r12vrr_stack+64384);

 /*--- compute (k0|n0)^5 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+516200, r12vrr_stack+401390, r12vrr_stack+514352, r12vrr_stack+300679, r12vrr_stack+38870, r12vrr_stack+501042);

 /*--- compute (l0|n0)^4 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+518576, r12vrr_stack+403238, r12vrr_stack+516200, r12vrr_stack+302065, r12vrr_stack+401390, r12vrr_stack+502582);

 /*--- compute (m0|n0)^3 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+299584, r12vrr_stack+405614, r12vrr_stack+518576, r12vrr_stack+303913, r12vrr_stack+403238, r12vrr_stack+504562);

 /*--- compute (n0|n0)^2 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+521546, r12vrr_stack+220589, r12vrr_stack+299584, r12vrr_stack+155359, r12vrr_stack+405614, r12vrr_stack+507037);

 /*--- compute (o0|n0)^1 ---*/
 am[0] = 11;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+525902, r12vrr_stack+408584, r12vrr_stack+521546, r12vrr_stack+306289, r12vrr_stack+220589, r12vrr_stack+289299);

 /*--- compute (q0|n0)^0 ---*/
 am[0] = 12;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+303214, r12vrr_stack+412940, r12vrr_stack+525902, r12vrr_stack+158329, r12vrr_stack+408584, r12vrr_stack+510062);
 tmp = r12vrr_stack + 303214;
 target_ptr = Libr12->gvrr_classes[12][10];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^11 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+33175, r12vrr_stack+79454, r12vrr_stack+83178, NULL, NULL, r12vrr_stack+60425);

 /*--- compute (d0|o0)^10 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+154765, r12vrr_stack+68779, r12vrr_stack+33175, r12vrr_stack+93338, r12vrr_stack+79454, r12vrr_stack+13283);

 /*--- compute (f0|o0)^9 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+155233, r12vrr_stack+69013, r12vrr_stack+154765, r12vrr_stack+19810, r12vrr_stack+68779, r12vrr_stack+13481);

 /*--- compute (g0|o0)^8 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+19810, r12vrr_stack+69481, r12vrr_stack+155233, r12vrr_stack+30755, r12vrr_stack+69013, r12vrr_stack+297934);

 /*--- compute (h0|o0)^7 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+156013, r12vrr_stack+70261, r12vrr_stack+19810, r12vrr_stack+33835, r12vrr_stack+69481, r12vrr_stack+298594);

 /*--- compute (i0|o0)^6 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+531050, r12vrr_stack+224219, r12vrr_stack+156013, r12vrr_stack+309919, r12vrr_stack+70261, r12vrr_stack+102212);

 /*--- compute (k0|o0)^5 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+533234, r12vrr_stack+418088, r12vrr_stack+531050, r12vrr_stack+311089, r12vrr_stack+224219, r12vrr_stack+514352);

 /*--- compute (l0|o0)^4 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+536042, r12vrr_stack+420272, r12vrr_stack+533234, r12vrr_stack+312727, r12vrr_stack+418088, r12vrr_stack+516200);

 /*--- compute (m0|o0)^3 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+309220, r12vrr_stack+423080, r12vrr_stack+536042, r12vrr_stack+314911, r12vrr_stack+420272, r12vrr_stack+518576);

 /*--- compute (n0|o0)^2 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+539552, r12vrr_stack+230819, r12vrr_stack+309220, r12vrr_stack+317719, r12vrr_stack+423080, r12vrr_stack+299584);

 /*--- compute (o0|o0)^1 ---*/
 am[0] = 11;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+313510, r12vrr_stack+426590, r12vrr_stack+539552, r12vrr_stack+166040, r12vrr_stack+230819, r12vrr_stack+521546);

 /*--- compute (q0|o0)^0 ---*/
 am[0] = 12;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+544700, r12vrr_stack+431738, r12vrr_stack+313510, r12vrr_stack+321229, r12vrr_stack+426590, r12vrr_stack+525902);
 tmp = r12vrr_stack + 544700;
 target_ptr = Libr12->gvrr_classes[12][11];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^23 ---*/
 _BUILD_00p0(Data,r12vrr_stack+166040, Data->F+23, Data->F+24, NULL, NULL, NULL);

 /*--- compute (00|d0)^22 ---*/
 _BUILD_00d0(Data,r12vrr_stack+65539, r12vrr_stack+6, r12vrr_stack+166040, Data->F+22, Data->F+23, NULL);

 /*--- compute (00|f0)^21 ---*/
 _BUILD_00f0(Data,r12vrr_stack+3093, r12vrr_stack+10366, r12vrr_stack+65539, r12vrr_stack+78, r12vrr_stack+6, NULL);

 /*--- compute (00|g0)^20 ---*/
 _BUILD_00g0(Data,r12vrr_stack+13247, r12vrr_stack+89689, r12vrr_stack+3093, r12vrr_stack+170330, r12vrr_stack+10366, NULL);

 /*--- compute (00|h0)^19 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+608, r12vrr_stack+3103, r12vrr_stack+13247, r12vrr_stack+1488, r12vrr_stack+89689, NULL);

 /*--- compute (00|i0)^18 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+31326, r12vrr_stack+13262, r12vrr_stack+608, r12vrr_stack+2245, r12vrr_stack+3103, NULL);

 /*--- compute (00|k0)^17 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+19504, r12vrr_stack+89699, r12vrr_stack+31326, r12vrr_stack+80526, r12vrr_stack+13262, NULL);

 /*--- compute (00|l0)^16 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+145816, r12vrr_stack+11128, r12vrr_stack+19504, r12vrr_stack+170336, r12vrr_stack+89699, NULL);

 /*--- compute (00|m0)^15 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+79333, r12vrr_stack+89727, r12vrr_stack+145816, r12vrr_stack+19423, r12vrr_stack+11128, NULL);

 /*--- compute (00|n0)^14 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+1432, r12vrr_stack+89772, r12vrr_stack+79333, r12vrr_stack+31354, r12vrr_stack+89727, NULL);

 /*--- compute (00|o0)^13 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+93338, r12vrr_stack+79388, r12vrr_stack+1432, r12vrr_stack+170364, r12vrr_stack+89772, NULL);

 /*--- compute (00|q0)^12 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+166043, r12vrr_stack+83178, r12vrr_stack+93338, r12vrr_stack+60425, r12vrr_stack+79388, NULL);

 /*--- compute (p0|q0)^11 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+166134, r12vrr_stack+89827, r12vrr_stack+166043, NULL, NULL, r12vrr_stack+83178);

 /*--- compute (d0|q0)^10 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+166407, r12vrr_stack+89918, r12vrr_stack+166134, r12vrr_stack+170419, r12vrr_stack+89827, r12vrr_stack+33175);

 /*--- compute (f0|q0)^9 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+166953, r12vrr_stack+90191, r12vrr_stack+166407, r12vrr_stack+170510, r12vrr_stack+89918, r12vrr_stack+154765);

 /*--- compute (g0|q0)^8 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+167863, r12vrr_stack+90737, r12vrr_stack+166953, r12vrr_stack+170783, r12vrr_stack+90191, r12vrr_stack+155233);

 /*--- compute (h0|q0)^7 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+551798, r12vrr_stack+91647, r12vrr_stack+167863, r12vrr_stack+171329, r12vrr_stack+90737, r12vrr_stack+19810);

 /*--- compute (i0|q0)^6 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+553709, r12vrr_stack+235109, r12vrr_stack+551798, r12vrr_stack+172239, r12vrr_stack+91647, r12vrr_stack+156013);

 /*--- compute (k0|q0)^5 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+170419, r12vrr_stack+437822, r12vrr_stack+553709, r12vrr_stack+326377, r12vrr_stack+235109, r12vrr_stack+531050);

 /*--- compute (l0|q0)^4 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+556257, r12vrr_stack+440370, r12vrr_stack+170419, r12vrr_stack+328288, r12vrr_stack+437822, r12vrr_stack+533234);

 /*--- compute (m0|q0)^3 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+560352, r12vrr_stack+443646, r12vrr_stack+556257, r12vrr_stack+330836, r12vrr_stack+440370, r12vrr_stack+536042);

 /*--- compute (n0|q0)^2 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+326377, r12vrr_stack+242909, r12vrr_stack+560352, r12vrr_stack+334112, r12vrr_stack+443646, r12vrr_stack+309220);

 /*--- compute (o0|q0)^1 ---*/
 am[0] = 11;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+565357, r12vrr_stack+447741, r12vrr_stack+326377, r12vrr_stack+177350, r12vrr_stack+242909, r12vrr_stack+539552);

 /*--- compute (q0|q0)^0 ---*/
 am[0] = 12;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+572455, r12vrr_stack+453747, r12vrr_stack+565357, r12vrr_stack+338207, r12vrr_stack+447741, r12vrr_stack+313510);
 tmp = r12vrr_stack + 572455;
 target_ptr = Libr12->gvrr_classes[12][12];
 for(i=0;i<8281;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|r0)^11 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+251904, r12vrr_stack+89827, r12vrr_stack+166043, r12vrr_stack+79454, r12vrr_stack+83178, NULL);

 /*--- compute (p0|r0)^10 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+177350, r12vrr_stack+113648, r12vrr_stack+251904, NULL, NULL, r12vrr_stack+89827);

 /*--- compute (d0|r0)^9 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+177665, r12vrr_stack+113753, r12vrr_stack+177350, r12vrr_stack+182355, r12vrr_stack+113648, r12vrr_stack+89918);

 /*--- compute (f0|r0)^8 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+178295, r12vrr_stack+114068, r12vrr_stack+177665, r12vrr_stack+182460, r12vrr_stack+113753, r12vrr_stack+90191);

 /*--- compute (g0|r0)^7 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+179345, r12vrr_stack+114698, r12vrr_stack+178295, r12vrr_stack+182775, r12vrr_stack+114068, r12vrr_stack+90737);

 /*--- compute (h0|r0)^6 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+180920, r12vrr_stack+115748, r12vrr_stack+179345, r12vrr_stack+183405, r12vrr_stack+114698, r12vrr_stack+91647);

 /*--- compute (i0|r0)^5 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+332383, r12vrr_stack+247914, r12vrr_stack+180920, r12vrr_stack+184455, r12vrr_stack+115748, r12vrr_stack+235109);

 /*--- compute (k0|r0)^4 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+580736, r12vrr_stack+460845, r12vrr_stack+332383, r12vrr_stack+344213, r12vrr_stack+247914, r12vrr_stack+437822);

 /*--- compute (l0|r0)^3 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+584516, r12vrr_stack+463785, r12vrr_stack+580736, r12vrr_stack+346418, r12vrr_stack+460845, r12vrr_stack+440370);

 /*--- compute (m0|r0)^2 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+589241, r12vrr_stack+467565, r12vrr_stack+584516, r12vrr_stack+349358, r12vrr_stack+463785, r12vrr_stack+443646);

 /*--- compute (n0|r0)^1 ---*/
 am[0] = 10;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+344213, r12vrr_stack+257014, r12vrr_stack+589241, r12vrr_stack+353138, r12vrr_stack+467565, r12vrr_stack+242909);

 /*--- compute (o0|r0)^0 ---*/
 am[0] = 11;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+595016, r12vrr_stack+472290, r12vrr_stack+344213, r12vrr_stack+190545, r12vrr_stack+257014, r12vrr_stack+447741);
 tmp = r12vrr_stack + 595016;
 target_ptr = Libr12->gvrr_classes[11][13];
 for(i=0;i<8190;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|00)^12 ---*/
 _BUILD_p000(Data,r12vrr_stack+351143, Data->F+12, Data->F+13, NULL, NULL, NULL);

 /*--- compute (d0|00)^11 ---*/
 _BUILD_d000(Data,r12vrr_stack+351146, r12vrr_stack+262789, r12vrr_stack+351143, Data->F+11, Data->F+12, NULL);

 /*--- compute (f0|00)^10 ---*/
 _BUILD_f000(Data,r12vrr_stack+351152, r12vrr_stack+262792, r12vrr_stack+351146, r12vrr_stack+0, r12vrr_stack+262789, NULL);

 /*--- compute (g0|00)^9 ---*/
 _BUILD_g000(Data,r12vrr_stack+351162, r12vrr_stack+430, r12vrr_stack+351152, r12vrr_stack+196320, r12vrr_stack+262792, NULL);

 /*--- compute (h0|00)^8 ---*/
 am[0] = 5;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+351177, r12vrr_stack+1498, r12vrr_stack+351162, r12vrr_stack+196326, r12vrr_stack+430, NULL);

 /*--- compute (i0|00)^7 ---*/
 am[0] = 6;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+351198, r12vrr_stack+262798, r12vrr_stack+351177, r12vrr_stack+153, r12vrr_stack+1498, NULL);

 /*--- compute (k0|00)^6 ---*/
 am[0] = 7;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+19423, r12vrr_stack+262819, r12vrr_stack+351198, r12vrr_stack+5862, r12vrr_stack+262798, NULL);

 /*--- compute (l0|00)^5 ---*/
 am[0] = 8;  am[1] = 0;
 vrr_build_xxxx(am,Data,r12vrr_stack+31354, r12vrr_stack+262847, r12vrr_stack+19423, r12vrr_stack+196336, r12vrr_stack+262819, NULL);

 /*--- compute (p0|p0)^12 ---*/
 _BUILD_p0p0(Data,r12vrr_stack+5862, r12vrr_stack+3090, r12vrr_stack+13228, NULL, NULL, Data->F+13);

 /*--- compute (d0|p0)^11 ---*/
 _BUILD_d0p0(Data,r12vrr_stack+1498, r12vrr_stack+27, r12vrr_stack+5862, r12vrr_stack+3, r12vrr_stack+3090, r12vrr_stack+351143);

 /*--- compute (f0|p0)^10 ---*/
 _BUILD_f0p0(Data,r12vrr_stack+1516, r12vrr_stack+262883, r12vrr_stack+1498, r12vrr_stack+1332, r12vrr_stack+27, r12vrr_stack+351146);

 /*--- compute (g0|p0)^9 ---*/
 _BUILD_g0p0(Data,r12vrr_stack+60380, r12vrr_stack+262901, r12vrr_stack+1516, r12vrr_stack+9, r12vrr_stack+262883, r12vrr_stack+351152);

 /*--- compute (h0|p0)^8 ---*/
 am[0] = 5;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+1546, r12vrr_stack+262931, r12vrr_stack+60380, r12vrr_stack+196364, r12vrr_stack+262901, r12vrr_stack+351162);

 /*--- compute (i0|p0)^7 ---*/
 am[0] = 6;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+1609, r12vrr_stack+262976, r12vrr_stack+1546, r12vrr_stack+196394, r12vrr_stack+262931, r12vrr_stack+351177);

 /*--- compute (k0|p0)^6 ---*/
 am[0] = 7;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+60, r12vrr_stack+263039, r12vrr_stack+1609, r12vrr_stack+196439, r12vrr_stack+262976, r12vrr_stack+351198);

 /*--- compute (l0|p0)^5 ---*/
 am[0] = 8;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+351143, r12vrr_stack+710, r12vrr_stack+60, r12vrr_stack+196502, r12vrr_stack+263039, r12vrr_stack+19423);

 /*--- compute (m0|p0)^4 ---*/
 am[0] = 9;  am[1] = 1;
 vrr_build_xxxx(am,Data,r12vrr_stack+351278, r12vrr_stack+19288, r12vrr_stack+351143, r12vrr_stack+196586, r12vrr_stack+710, r12vrr_stack+31354);

 /*--- compute (p0|d0)^12 ---*/
 _BUILD_p0d0(Data,r12vrr_stack+31354, r12vrr_stack+13231, r12vrr_stack+1416, NULL, NULL, r12vrr_stack+13228);

 /*--- compute (d0|d0)^11 ---*/
 _BUILD_d0d0(Data,r12vrr_stack+710, r12vrr_stack+818, r12vrr_stack+31354, r12vrr_stack+48, r12vrr_stack+13231, r12vrr_stack+5862);

 /*--- compute (f0|d0)^10 ---*/
 _BUILD_f0d0(Data,r12vrr_stack+746, r12vrr_stack+836, r12vrr_stack+710, r12vrr_stack+196694, r12vrr_stack+818, r12vrr_stack+1498);

 /*--- compute (g0|d0)^9 ---*/
 _BUILD_g0d0(Data,r12vrr_stack+19288, r12vrr_stack+872, r12vrr_stack+746, r12vrr_stack+629, r12vrr_stack+836, r12vrr_stack+1516);

 /*--- compute (h0|d0)^8 ---*/
 am[0] = 5;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+351443, r12vrr_stack+932, r12vrr_stack+19288, r12vrr_stack+196712, r12vrr_stack+872, r12vrr_stack+60380);

 /*--- compute (i0|d0)^7 ---*/
 am[0] = 6;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+351569, r12vrr_stack+263123, r12vrr_stack+351443, r12vrr_stack+196772, r12vrr_stack+932, r12vrr_stack+1546);

 /*--- compute (k0|d0)^6 ---*/
 am[0] = 7;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+806, r12vrr_stack+263249, r12vrr_stack+351569, r12vrr_stack+294, r12vrr_stack+263123, r12vrr_stack+1609);

 /*--- compute (l0|d0)^5 ---*/
 am[0] = 8;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1498, r12vrr_stack+263417, r12vrr_stack+806, r12vrr_stack+196862, r12vrr_stack+263249, r12vrr_stack+60);

 /*--- compute (m0|d0)^4 ---*/
 am[0] = 9;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+1768, r12vrr_stack+263633, r12vrr_stack+1498, r12vrr_stack+197030, r12vrr_stack+263417, r12vrr_stack+351143);

 /*--- compute (n0|d0)^3 ---*/
 am[0] = 10;  am[1] = 2;
 vrr_build_xxxx(am,Data,r12vrr_stack+351737, r12vrr_stack+263903, r12vrr_stack+1768, r12vrr_stack+105913, r12vrr_stack+263633, r12vrr_stack+351278);

 /*--- compute (p0|f0)^12 ---*/
 _BUILD_p0f0(Data,r12vrr_stack+105913, r12vrr_stack+1422, r12vrr_stack+1341, NULL, NULL, r12vrr_stack+1416);

 /*--- compute (d0|f0)^11 ---*/
 _BUILD_d0f0(Data,r12vrr_stack+105943, r12vrr_stack+79532, r12vrr_stack+105913, r12vrr_stack+13237, r12vrr_stack+1422, r12vrr_stack+31354);

 /*--- compute (f0|f0)^10 ---*/
 _BUILD_f0f0(Data,r12vrr_stack+106003, r12vrr_stack+79562, r12vrr_stack+105943, r12vrr_stack+106183, r12vrr_stack+79532, r12vrr_stack+710);

 /*--- compute (g0|f0)^9 ---*/
 _BUILD_g0f0(Data,r12vrr_stack+351143, r12vrr_stack+79622, r12vrr_stack+106003, r12vrr_stack+106213, r12vrr_stack+79562, r12vrr_stack+746);

 /*--- compute (h0|f0)^8 ---*/
 am[0] = 5;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+352133, r12vrr_stack+79722, r12vrr_stack+351143, r12vrr_stack+106273, r12vrr_stack+79622, r12vrr_stack+19288);

 /*--- compute (i0|f0)^7 ---*/
 am[0] = 6;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+352343, r12vrr_stack+264233, r12vrr_stack+352133, r12vrr_stack+106373, r12vrr_stack+79722, r12vrr_stack+351443);

 /*--- compute (k0|f0)^6 ---*/
 am[0] = 7;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+106103, r12vrr_stack+264443, r12vrr_stack+352343, r12vrr_stack+106523, r12vrr_stack+264233, r12vrr_stack+351569);

 /*--- compute (l0|f0)^5 ---*/
 am[0] = 8;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+352623, r12vrr_stack+264723, r12vrr_stack+106103, r12vrr_stack+106733, r12vrr_stack+264443, r12vrr_stack+806);

 /*--- compute (m0|f0)^4 ---*/
 am[0] = 9;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+106463, r12vrr_stack+79872, r12vrr_stack+352623, r12vrr_stack+107013, r12vrr_stack+264723, r12vrr_stack+1498);

 /*--- compute (n0|f0)^3 ---*/
 am[0] = 10;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+353073, r12vrr_stack+265083, r12vrr_stack+106463, r12vrr_stack+107373, r12vrr_stack+79872, r12vrr_stack+1768);

 /*--- compute (o0|f0)^2 ---*/
 am[0] = 11;  am[1] = 3;
 vrr_build_xxxx(am,Data,r12vrr_stack+107013, r12vrr_stack+265633, r12vrr_stack+353073, r12vrr_stack+83256, r12vrr_stack+265083, r12vrr_stack+351737);

 /*--- compute (p0|g0)^12 ---*/
 _BUILD_p0g0(Data,r12vrr_stack+31354, r12vrr_stack+1351, r12vrr_stack+42824, NULL, NULL, r12vrr_stack+1341);

 /*--- compute (d0|g0)^11 ---*/
 _BUILD_d0g0(Data,r12vrr_stack+83256, r12vrr_stack+31399, r12vrr_stack+31354, r12vrr_stack+1095, r12vrr_stack+1351, r12vrr_stack+105913);

 /*--- compute (f0|g0)^10 ---*/
 _BUILD_f0g0(Data,r12vrr_stack+83346, r12vrr_stack+31444, r12vrr_stack+83256, r12vrr_stack+42544, r12vrr_stack+31399, r12vrr_stack+105943);

 /*--- compute (g0|g0)^9 ---*/
 _BUILD_g0g0(Data,r12vrr_stack+27739, r12vrr_stack+31534, r12vrr_stack+83346, r12vrr_stack+42589, r12vrr_stack+31444, r12vrr_stack+106003);

 /*--- compute (h0|g0)^8 ---*/
 am[0] = 5;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+1498, r12vrr_stack+31684, r12vrr_stack+27739, r12vrr_stack+6912, r12vrr_stack+31534, r12vrr_stack+351143);

 /*--- compute (i0|g0)^7 ---*/
 am[0] = 6;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+351143, r12vrr_stack+60491, r12vrr_stack+1498, r12vrr_stack+186030, r12vrr_stack+31684, r12vrr_stack+352133);

 /*--- compute (k0|g0)^6 ---*/
 am[0] = 7;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+351563, r12vrr_stack+266293, r12vrr_stack+351143, r12vrr_stack+83806, r12vrr_stack+60491, r12vrr_stack+352343);

 /*--- compute (l0|g0)^5 ---*/
 am[0] = 8;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+79532, r12vrr_stack+266713, r12vrr_stack+351563, r12vrr_stack+84121, r12vrr_stack+266293, r12vrr_stack+106103);

 /*--- compute (m0|g0)^4 ---*/
 am[0] = 9;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+83496, r12vrr_stack+60806, r12vrr_stack+79532, r12vrr_stack+63169, r12vrr_stack+266713, r12vrr_stack+352623);

 /*--- compute (n0|g0)^3 ---*/
 am[0] = 10;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+353733, r12vrr_stack+117323, r12vrr_stack+83496, r12vrr_stack+63709, r12vrr_stack+60806, r12vrr_stack+106463);

 /*--- compute (o0|g0)^2 ---*/
 am[0] = 11;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+118148, r12vrr_stack+353733, r12vrr_stack+127789, r12vrr_stack+117323, r12vrr_stack+353073);

 /*--- compute (q0|g0)^1 ---*/
 am[0] = 12;  am[1] = 4;
 vrr_build_xxxx(am,Data,r12vrr_stack+352103, r12vrr_stack+119138, r12vrr_stack+63169, r12vrr_stack+124610, r12vrr_stack+118148, r12vrr_stack+107013);

 /*--- compute (p0|h0)^12 ---*/
 am[0] = 1;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+117323, r12vrr_stack+42839, r12vrr_stack+60295, NULL, NULL, r12vrr_stack+42824);

 /*--- compute (d0|h0)^11 ---*/
 am[0] = 2;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+294, r12vrr_stack+31909, r12vrr_stack+117323, r12vrr_stack+31305, r12vrr_stack+42839, r12vrr_stack+31354);

 /*--- compute (f0|h0)^10 ---*/
 am[0] = 3;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31354, r12vrr_stack+168, r12vrr_stack+294, r12vrr_stack+42679, r12vrr_stack+31909, r12vrr_stack+83256);

 /*--- compute (g0|h0)^9 ---*/
 am[0] = 4;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+31564, r12vrr_stack+267253, r12vrr_stack+31354, r12vrr_stack+7062, r12vrr_stack+168, r12vrr_stack+83346);

 /*--- compute (h0|h0)^8 ---*/
 am[0] = 5;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+117386, r12vrr_stack+80547, r12vrr_stack+31564, r12vrr_stack+7188, r12vrr_stack+267253, r12vrr_stack+27739);

 /*--- compute (i0|h0)^7 ---*/
 am[0] = 6;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+117827, r12vrr_stack+250119, r12vrr_stack+117386, r12vrr_stack+7398, r12vrr_stack+80547, r12vrr_stack+1498);

 /*--- compute (k0|h0)^6 ---*/
 am[0] = 7;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+1498, r12vrr_stack+250560, r12vrr_stack+117827, r12vrr_stack+7713, r12vrr_stack+250119, r12vrr_stack+351143);

 /*--- compute (l0|h0)^5 ---*/
 am[0] = 8;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+196320, r12vrr_stack+251148, r12vrr_stack+1498, r12vrr_stack+128614, r12vrr_stack+250560, r12vrr_stack+351563);

 /*--- compute (m0|h0)^4 ---*/
 am[0] = 9;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+118415, r12vrr_stack+93416, r12vrr_stack+196320, r12vrr_stack+357863, r12vrr_stack+251148, r12vrr_stack+79532);

 /*--- compute (n0|h0)^3 ---*/
 am[0] = 10;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+33409, r12vrr_stack+237020, r12vrr_stack+118415, r12vrr_stack+125600, r12vrr_stack+93416, r12vrr_stack+83496);

 /*--- compute (o0|h0)^2 ---*/
 am[0] = 11;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+250119, r12vrr_stack+71431, r12vrr_stack+33409, r12vrr_stack+358619, r12vrr_stack+237020, r12vrr_stack+353733);

 /*--- compute (q0|h0)^1 ---*/
 am[0] = 12;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+353468, r12vrr_stack+53819, r12vrr_stack+250119, r12vrr_stack+359774, r12vrr_stack+71431, r12vrr_stack+63169);

 /*--- compute (r0|h0)^0 ---*/
 am[0] = 13;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+355379, r12vrr_stack+129202, r12vrr_stack+353468, r12vrr_stack+361160, r12vrr_stack+53819, r12vrr_stack+352103);

 /*--- compute (p0|i0)^12 ---*/
 am[0] = 1;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+53819, r12vrr_stack+60316, r12vrr_stack+79224, NULL, NULL, r12vrr_stack+60295);

 /*--- compute (d0|i0)^11 ---*/
 am[0] = 2;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+53903, r12vrr_stack+3118, r12vrr_stack+53819, r12vrr_stack+42860, r12vrr_stack+60316, r12vrr_stack+117323);

 /*--- compute (f0|i0)^10 ---*/
 am[0] = 3;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+54071, r12vrr_stack+440, r12vrr_stack+53903, r12vrr_stack+78314, r12vrr_stack+3118, r12vrr_stack+294);

 /*--- compute (g0|i0)^9 ---*/
 am[0] = 4;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+54351, r12vrr_stack+94361, r12vrr_stack+54071, r12vrr_stack+78398, r12vrr_stack+440, r12vrr_stack+31354);

 /*--- compute (h0|i0)^8 ---*/
 am[0] = 5;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+54771, r12vrr_stack+94641, r12vrr_stack+54351, r12vrr_stack+78566, r12vrr_stack+94361, r12vrr_stack+31564);

 /*--- compute (i0|i0)^7 ---*/
 am[0] = 6;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+78314, r12vrr_stack+72817, r12vrr_stack+54771, r12vrr_stack+8154, r12vrr_stack+94641, r12vrr_stack+117386);

 /*--- compute (k0|i0)^6 ---*/
 am[0] = 7;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+225857, r12vrr_stack+78314, r12vrr_stack+2260, r12vrr_stack+72817, r12vrr_stack+117827);

 /*--- compute (l0|i0)^5 ---*/
 am[0] = 8;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+71431, r12vrr_stack+216519, r12vrr_stack+63169, r12vrr_stack+8574, r12vrr_stack+225857, r12vrr_stack+1498);

 /*--- compute (m0|i0)^4 ---*/
 am[0] = 9;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+237020, r12vrr_stack+26479, r12vrr_stack+71431, r12vrr_stack+9358, r12vrr_stack+216519, r12vrr_stack+196320);

 /*--- compute (n0|i0)^3 ---*/
 am[0] = 10;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+93416, r12vrr_stack+131113, r12vrr_stack+237020, r12vrr_stack+107823, r12vrr_stack+26479, r12vrr_stack+118415);

 /*--- compute (o0|i0)^2 ---*/
 am[0] = 11;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+117323, r12vrr_stack+132653, r12vrr_stack+93416, r12vrr_stack+362798, r12vrr_stack+131113, r12vrr_stack+33409);

 /*--- compute (q0|i0)^1 ---*/
 am[0] = 12;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+357584, r12vrr_stack+479220, r12vrr_stack+117323, r12vrr_stack+364338, r12vrr_stack+132653, r12vrr_stack+250119);

 /*--- compute (r0|i0)^0 ---*/
 am[0] = 13;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+131113, r12vrr_stack+272239, r12vrr_stack+357584, r12vrr_stack+366186, r12vrr_stack+479220, r12vrr_stack+353468);
 tmp = r12vrr_stack + 131113;
 target_ptr = Libr12->gvrr_classes[13][6];
 for(i=0;i<2940;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|k0)^12 ---*/
 am[0] = 1;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+479220, r12vrr_stack+79252, r12vrr_stack+23284, NULL, NULL, r12vrr_stack+79224);

 /*--- compute (d0|k0)^11 ---*/
 am[0] = 2;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+479328, r12vrr_stack+274787, r12vrr_stack+479220, r12vrr_stack+60344, r12vrr_stack+79252, r12vrr_stack+53819);

 /*--- compute (f0|k0)^10 ---*/
 am[0] = 3;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+60, r12vrr_stack+100691, r12vrr_stack+479328, r12vrr_stack+201045, r12vrr_stack+274787, r12vrr_stack+53903);

 /*--- compute (g0|k0)^9 ---*/
 am[0] = 4;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+479544, r12vrr_stack+100907, r12vrr_stack+60, r12vrr_stack+201153, r12vrr_stack+100691, r12vrr_stack+54071);

 /*--- compute (h0|k0)^8 ---*/
 am[0] = 5;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+480084, r12vrr_stack+98269, r12vrr_stack+479544, r12vrr_stack+201369, r12vrr_stack+100907, r12vrr_stack+54351);

 /*--- compute (i0|k0)^7 ---*/
 am[0] = 6;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+250119, r12vrr_stack+123658, r12vrr_stack+480084, r12vrr_stack+201729, r12vrr_stack+98269, r12vrr_stack+54771);

 /*--- compute (k0|k0)^6 ---*/
 am[0] = 7;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+53819, r12vrr_stack+140038, r12vrr_stack+250119, r12vrr_stack+43501, r12vrr_stack+123658, r12vrr_stack+78314);

 /*--- compute (l0|k0)^5 ---*/
 am[0] = 8;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+481404, r12vrr_stack+53819, r12vrr_stack+84541, r12vrr_stack+140038, r12vrr_stack+63169);

 /*--- compute (m0|k0)^4 ---*/
 am[0] = 9;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+125278, r12vrr_stack+482700, r12vrr_stack+123658, r12vrr_stack+368370, r12vrr_stack+481404, r12vrr_stack+71431);

 /*--- compute (n0|k0)^3 ---*/
 am[0] = 10;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+362798, r12vrr_stack+484320, r12vrr_stack+125278, r12vrr_stack+369666, r12vrr_stack+482700, r12vrr_stack+237020);

 /*--- compute (o0|k0)^2 ---*/
 am[0] = 11;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+368370, r12vrr_stack+486300, r12vrr_stack+362798, r12vrr_stack+371286, r12vrr_stack+484320, r12vrr_stack+93416);

 /*--- compute (q0|k0)^1 ---*/
 am[0] = 12;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+276887, r12vrr_stack+368370, r12vrr_stack+373266, r12vrr_stack+486300, r12vrr_stack+117323);

 /*--- compute (r0|k0)^0 ---*/
 am[0] = 13;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+371178, r12vrr_stack+488676, r12vrr_stack+105913, r12vrr_stack+375642, r12vrr_stack+276887, r12vrr_stack+357584);
 tmp = r12vrr_stack + 371178;
 target_ptr = Libr12->gvrr_classes[13][7];
 for(i=0;i<3780;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|l0)^12 ---*/
 am[0] = 1;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+357584, r12vrr_stack+665, r12vrr_stack+19459, NULL, NULL, r12vrr_stack+23284);

 /*--- compute (d0|l0)^11 ---*/
 am[0] = 2;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+357719, r12vrr_stack+204474, r12vrr_stack+357584, r12vrr_stack+79288, r12vrr_stack+665, r12vrr_stack+479220);

 /*--- compute (f0|l0)^10 ---*/
 am[0] = 3;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+357989, r12vrr_stack+279695, r12vrr_stack+357719, r12vrr_stack+1110, r12vrr_stack+204474, r12vrr_stack+479328);

 /*--- compute (g0|l0)^9 ---*/
 am[0] = 4;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+358439, r12vrr_stack+279965, r12vrr_stack+357989, r12vrr_stack+25084, r12vrr_stack+279695, r12vrr_stack+60);

 /*--- compute (h0|l0)^8 ---*/
 am[0] = 5;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+196320, r12vrr_stack+280415, r12vrr_stack+358439, r12vrr_stack+25354, r12vrr_stack+279965, r12vrr_stack+479544);

 /*--- compute (i0|l0)^7 ---*/
 am[0] = 6;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+359114, r12vrr_stack+101267, r12vrr_stack+196320, r12vrr_stack+25804, r12vrr_stack+280415, r12vrr_stack+480084);

 /*--- compute (k0|l0)^6 ---*/
 am[0] = 7;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+25084, r12vrr_stack+44257, r12vrr_stack+359114, r12vrr_stack+202269, r12vrr_stack+101267, r12vrr_stack+250119);

 /*--- compute (l0|l0)^5 ---*/
 am[0] = 8;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+479220, r12vrr_stack+491952, r12vrr_stack+25084, r12vrr_stack+203214, r12vrr_stack+44257, r12vrr_stack+53819);

 /*--- compute (m0|l0)^4 ---*/
 am[0] = 9;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+481245, r12vrr_stack+493572, r12vrr_stack+479220, r12vrr_stack+378450, r12vrr_stack+491952, r12vrr_stack+123658);

 /*--- compute (n0|l0)^3 ---*/
 am[0] = 10;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+483720, r12vrr_stack+495597, r12vrr_stack+481245, r12vrr_stack+380070, r12vrr_stack+493572, r12vrr_stack+125278);

 /*--- compute (o0|l0)^2 ---*/
 am[0] = 11;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+498072, r12vrr_stack+483720, r12vrr_stack+382095, r12vrr_stack+495597, r12vrr_stack+362798);

 /*--- compute (q0|l0)^1 ---*/
 am[0] = 12;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+491952, r12vrr_stack+142306, r12vrr_stack+123658, r12vrr_stack+206589, r12vrr_stack+498072, r12vrr_stack+368370);

 /*--- compute (r0|l0)^0 ---*/
 am[0] = 13;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+262789, r12vrr_stack+284159, r12vrr_stack+491952, r12vrr_stack+384570, r12vrr_stack+142306, r12vrr_stack+105913);
 tmp = r12vrr_stack + 262789;
 target_ptr = Libr12->gvrr_classes[13][8];
 for(i=0;i<4725;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|m0)^12 ---*/
 am[0] = 1;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+42223, r12vrr_stack+170364, NULL, NULL, r12vrr_stack+19459);

 /*--- compute (d0|m0)^11 ---*/
 am[0] = 2;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+106078, r12vrr_stack+288254, r12vrr_stack+105913, r12vrr_stack+48825, r12vrr_stack+42223, r12vrr_stack+357584);

 /*--- compute (f0|m0)^10 ---*/
 am[0] = 3;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+106408, r12vrr_stack+288419, r12vrr_stack+106078, r12vrr_stack+37000, r12vrr_stack+288254, r12vrr_stack+357719);

 /*--- compute (g0|m0)^9 ---*/
 am[0] = 4;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+106958, r12vrr_stack+288749, r12vrr_stack+106408, r12vrr_stack+37165, r12vrr_stack+288419, r12vrr_stack+357989);

 /*--- compute (h0|m0)^8 ---*/
 am[0] = 5;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+107783, r12vrr_stack+11884, r12vrr_stack+106958, r12vrr_stack+37495, r12vrr_stack+288749, r12vrr_stack+358439);

 /*--- compute (i0|m0)^7 ---*/
 am[0] = 6;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+142306, r12vrr_stack+64384, r12vrr_stack+107783, r12vrr_stack+38045, r12vrr_stack+11884, r12vrr_stack+196320);

 /*--- compute (k0|m0)^6 ---*/
 am[0] = 7;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+368370, r12vrr_stack+501042, r12vrr_stack+142306, r12vrr_stack+57625, r12vrr_stack+64384, r12vrr_stack+359114);

 /*--- compute (l0|m0)^5 ---*/
 am[0] = 8;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+357584, r12vrr_stack+502582, r12vrr_stack+368370, r12vrr_stack+388080, r12vrr_stack+501042, r12vrr_stack+25084);

 /*--- compute (m0|m0)^4 ---*/
 am[0] = 9;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+206589, r12vrr_stack+504562, r12vrr_stack+357584, r12vrr_stack+389620, r12vrr_stack+502582, r12vrr_stack+479220);

 /*--- compute (n0|m0)^3 ---*/
 am[0] = 10;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+496047, r12vrr_stack+507037, r12vrr_stack+206589, r12vrr_stack+391600, r12vrr_stack+504562, r12vrr_stack+481245);

 /*--- compute (o0|m0)^2 ---*/
 am[0] = 11;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+479220, r12vrr_stack+289299, r12vrr_stack+496047, r12vrr_stack+394075, r12vrr_stack+507037, r12vrr_stack+483720);

 /*--- compute (q0|m0)^1 ---*/
 am[0] = 12;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+483510, r12vrr_stack+510062, r12vrr_stack+479220, r12vrr_stack+212889, r12vrr_stack+289299, r12vrr_stack+123658);

 /*--- compute (r0|m0)^0 ---*/
 am[0] = 13;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+388080, r12vrr_stack+292929, r12vrr_stack+483510, r12vrr_stack+397100, r12vrr_stack+510062, r12vrr_stack+491952);
 tmp = r12vrr_stack + 388080;
 target_ptr = Libr12->gvrr_classes[13][9];
 for(i=0;i<5775;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|n0)^12 ---*/
 am[0] = 1;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+491952, r12vrr_stack+60425, r12vrr_stack+79388, NULL, NULL, r12vrr_stack+170364);

 /*--- compute (d0|n0)^11 ---*/
 am[0] = 2;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+492150, r12vrr_stack+13283, r12vrr_stack+491952, r12vrr_stack+93272, r12vrr_stack+60425, r12vrr_stack+105913);

 /*--- compute (f0|n0)^10 ---*/
 am[0] = 3;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+492546, r12vrr_stack+13481, r12vrr_stack+492150, r12vrr_stack+51575, r12vrr_stack+13283, r12vrr_stack+106078);

 /*--- compute (g0|n0)^9 ---*/
 am[0] = 4;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+493206, r12vrr_stack+297934, r12vrr_stack+492546, r12vrr_stack+51773, r12vrr_stack+13481, r12vrr_stack+106408);

 /*--- compute (h0|n0)^8 ---*/
 am[0] = 5;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+33409, r12vrr_stack+298594, r12vrr_stack+493206, r12vrr_stack+52169, r12vrr_stack+297934, r12vrr_stack+106958);

 /*--- compute (i0|n0)^7 ---*/
 am[0] = 6;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+102212, r12vrr_stack+33409, r12vrr_stack+52829, r12vrr_stack+298594, r12vrr_stack+107783);

 /*--- compute (k0|n0)^6 ---*/
 am[0] = 7;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+51575, r12vrr_stack+514352, r12vrr_stack+105913, r12vrr_stack+38870, r12vrr_stack+102212, r12vrr_stack+142306);

 /*--- compute (l0|n0)^5 ---*/
 am[0] = 8;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+142306, r12vrr_stack+516200, r12vrr_stack+51575, r12vrr_stack+401390, r12vrr_stack+514352, r12vrr_stack+368370);

 /*--- compute (m0|n0)^4 ---*/
 am[0] = 9;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+123658, r12vrr_stack+518576, r12vrr_stack+142306, r12vrr_stack+403238, r12vrr_stack+516200, r12vrr_stack+357584);

 /*--- compute (n0|n0)^3 ---*/
 am[0] = 10;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+212889, r12vrr_stack+299584, r12vrr_stack+123658, r12vrr_stack+405614, r12vrr_stack+518576, r12vrr_stack+206589);

 /*--- compute (o0|n0)^2 ---*/
 am[0] = 11;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+401390, r12vrr_stack+521546, r12vrr_stack+212889, r12vrr_stack+220589, r12vrr_stack+299584, r12vrr_stack+496047);

 /*--- compute (q0|n0)^1 ---*/
 am[0] = 12;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+494196, r12vrr_stack+525902, r12vrr_stack+401390, r12vrr_stack+408584, r12vrr_stack+521546, r12vrr_stack+479220);

 /*--- compute (r0|n0)^0 ---*/
 am[0] = 13;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+500202, r12vrr_stack+303214, r12vrr_stack+494196, r12vrr_stack+412940, r12vrr_stack+525902, r12vrr_stack+483510);
 tmp = r12vrr_stack + 500202;
 target_ptr = Libr12->gvrr_classes[13][10];
 for(i=0;i<6930;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (p0|o0)^12 ---*/
 am[0] = 1;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+479220, r12vrr_stack+83178, r12vrr_stack+93338, NULL, NULL, r12vrr_stack+79388);

 /*--- compute (d0|o0)^11 ---*/
 am[0] = 2;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+479454, r12vrr_stack+33175, r12vrr_stack+479220, r12vrr_stack+79454, r12vrr_stack+83178, r12vrr_stack+491952);

 /*--- compute (f0|o0)^10 ---*/
 am[0] = 3;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+79454, r12vrr_stack+154765, r12vrr_stack+479454, r12vrr_stack+68779, r12vrr_stack+33175, r12vrr_stack+492150);

 /*--- compute (g0|o0)^9 ---*/
 am[0] = 4;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+479922, r12vrr_stack+155233, r12vrr_stack+79454, r12vrr_stack+69013, r12vrr_stack+154765, r12vrr_stack+492546);

 /*--- compute (h0|o0)^8 ---*/
 am[0] = 5;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+481092, r12vrr_stack+19810, r12vrr_stack+479922, r12vrr_stack+69481, r12vrr_stack+155233, r12vrr_stack+493206);

 /*--- compute (i0|o0)^7 ---*/
 am[0] = 6;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+491952, r12vrr_stack+156013, r12vrr_stack+481092, r12vrr_stack+70261, r12vrr_stack+19810, r12vrr_stack+33409);

 /*--- compute (k0|o0)^6 ---*/
 am[0] = 7;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+368370, r12vrr_stack+531050, r12vrr_stack+491952, r12vrr_stack+224219, r12vrr_stack+156013, r12vrr_stack+105913);

 /*--- compute (l0|o0)^5 ---*/
 am[0] = 8;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+154765, r12vrr_stack+533234, r12vrr_stack+368370, r12vrr_stack+418088, r12vrr_stack+531050, r12vrr_stack+51575);

 /*--- compute (m0|o0)^4 ---*/
 am[0] = 9;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+68779, r12vrr_stack+536042, r12vrr_stack+154765, r12vrr_stack+420272, r12vrr_stack+533234, r12vrr_stack+142306);

 /*--- compute (n0|o0)^3 ---*/
 am[0] = 10;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+482730, r12vrr_stack+309220, r12vrr_stack+68779, r12vrr_stack+423080, r12vrr_stack+536042, r12vrr_stack+123658);

 /*--- compute (o0|o0)^2 ---*/
 am[0] = 11;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+418088, r12vrr_stack+539552, r12vrr_stack+482730, r12vrr_stack+230819, r12vrr_stack+309220, r12vrr_stack+212889);

 /*--- compute (q0|o0)^1 ---*/
 am[0] = 12;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+507132, r12vrr_stack+313510, r12vrr_stack+418088, r12vrr_stack+426590, r12vrr_stack+539552, r12vrr_stack+401390);

 /*--- compute (r0|o0)^0 ---*/
 am[0] = 13;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+401390, r12vrr_stack+544700, r12vrr_stack+507132, r12vrr_stack+431738, r12vrr_stack+313510, r12vrr_stack+494196);
 tmp = r12vrr_stack + 401390;
 target_ptr = Libr12->gvrr_classes[13][11];
 for(i=0;i<8190;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00|p0)^24 ---*/
 _BUILD_00p0(Data,r12vrr_stack+3090, Data->F+24, Data->F+25, NULL, NULL, NULL);

 /*--- compute (00|d0)^23 ---*/
 _BUILD_00d0(Data,r12vrr_stack+0, r12vrr_stack+166040, r12vrr_stack+3090, Data->F+23, Data->F+24, NULL);

 /*--- compute (00|f0)^22 ---*/
 _BUILD_00f0(Data,r12vrr_stack+409580, r12vrr_stack+65539, r12vrr_stack+0, r12vrr_stack+6, r12vrr_stack+166040, NULL);

 /*--- compute (00|g0)^21 ---*/
 _BUILD_00g0(Data,r12vrr_stack+0, r12vrr_stack+3093, r12vrr_stack+409580, r12vrr_stack+10366, r12vrr_stack+65539, NULL);

 /*--- compute (00|h0)^20 ---*/
 am[0] = 0;  am[1] = 5;
 vrr_build_xxxx(am,Data,r12vrr_stack+5862, r12vrr_stack+13247, r12vrr_stack+0, r12vrr_stack+89689, r12vrr_stack+3093, NULL);

 /*--- compute (00|i0)^19 ---*/
 am[0] = 0;  am[1] = 6;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+608, r12vrr_stack+5862, r12vrr_stack+3103, r12vrr_stack+13247, NULL);

 /*--- compute (00|k0)^18 ---*/
 am[0] = 0;  am[1] = 7;
 vrr_build_xxxx(am,Data,r12vrr_stack+23284, r12vrr_stack+31326, r12vrr_stack+0, r12vrr_stack+13262, r12vrr_stack+608, NULL);

 /*--- compute (00|l0)^17 ---*/
 am[0] = 0;  am[1] = 8;
 vrr_build_xxxx(am,Data,r12vrr_stack+0, r12vrr_stack+19504, r12vrr_stack+23284, r12vrr_stack+89699, r12vrr_stack+31326, NULL);

 /*--- compute (00|m0)^16 ---*/
 am[0] = 0;  am[1] = 9;
 vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+145816, r12vrr_stack+0, r12vrr_stack+11128, r12vrr_stack+19504, NULL);

 /*--- compute (00|n0)^15 ---*/
 am[0] = 0;  am[1] = 10;
 vrr_build_xxxx(am,Data,r12vrr_stack+409580, r12vrr_stack+79333, r12vrr_stack+48825, r12vrr_stack+89727, r12vrr_stack+145816, NULL);

 /*--- compute (00|o0)^14 ---*/
 am[0] = 0;  am[1] = 11;
 vrr_build_xxxx(am,Data,r12vrr_stack+89689, r12vrr_stack+1432, r12vrr_stack+409580, r12vrr_stack+89772, r12vrr_stack+79333, NULL);

 /*--- compute (00|q0)^13 ---*/
 am[0] = 0;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+409580, r12vrr_stack+93338, r12vrr_stack+89689, r12vrr_stack+79388, r12vrr_stack+1432, NULL);

 /*--- compute (p0|q0)^12 ---*/
 am[0] = 1;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+3090, r12vrr_stack+166043, r12vrr_stack+409580, NULL, NULL, r12vrr_stack+93338);

 /*--- compute (d0|q0)^11 ---*/
 am[0] = 2;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+409671, r12vrr_stack+166134, r12vrr_stack+3090, r12vrr_stack+89827, r12vrr_stack+166043, r12vrr_stack+479220);

 /*--- compute (f0|q0)^10 ---*/
 am[0] = 3;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+410217, r12vrr_stack+166407, r12vrr_stack+409671, r12vrr_stack+89918, r12vrr_stack+166134, r12vrr_stack+479454);

 /*--- compute (g0|q0)^9 ---*/
 am[0] = 4;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+411127, r12vrr_stack+166953, r12vrr_stack+410217, r12vrr_stack+90191, r12vrr_stack+166407, r12vrr_stack+79454);

 /*--- compute (h0|q0)^8 ---*/
 am[0] = 5;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+212889, r12vrr_stack+167863, r12vrr_stack+411127, r12vrr_stack+90737, r12vrr_stack+166953, r12vrr_stack+479922);

 /*--- compute (i0|q0)^7 ---*/
 am[0] = 6;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+409671, r12vrr_stack+551798, r12vrr_stack+212889, r12vrr_stack+91647, r12vrr_stack+167863, r12vrr_stack+481092);

 /*--- compute (k0|q0)^6 ---*/
 am[0] = 7;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+105913, r12vrr_stack+553709, r12vrr_stack+409671, r12vrr_stack+235109, r12vrr_stack+551798, r12vrr_stack+491952);

 /*--- compute (l0|q0)^5 ---*/
 am[0] = 8;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+491952, r12vrr_stack+170419, r12vrr_stack+105913, r12vrr_stack+437822, r12vrr_stack+553709, r12vrr_stack+368370);

 /*--- compute (m0|q0)^4 ---*/
 am[0] = 9;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+309220, r12vrr_stack+556257, r12vrr_stack+491952, r12vrr_stack+440370, r12vrr_stack+170419, r12vrr_stack+154765);

 /*--- compute (n0|q0)^3 ---*/
 am[0] = 10;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+491952, r12vrr_stack+560352, r12vrr_stack+309220, r12vrr_stack+443646, r12vrr_stack+556257, r12vrr_stack+68779);

 /*--- compute (o0|q0)^2 ---*/
 am[0] = 11;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+309220, r12vrr_stack+326377, r12vrr_stack+491952, r12vrr_stack+242909, r12vrr_stack+560352, r12vrr_stack+482730);

 /*--- compute (q0|q0)^1 ---*/
 am[0] = 12;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+437822, r12vrr_stack+565357, r12vrr_stack+309220, r12vrr_stack+447741, r12vrr_stack+326377, r12vrr_stack+418088);

 /*--- compute (r0|q0)^0 ---*/
 am[0] = 13;  am[1] = 12;
 vrr_build_xxxx(am,Data,r12vrr_stack+418088, r12vrr_stack+572455, r12vrr_stack+437822, r12vrr_stack+453747, r12vrr_stack+565357, r12vrr_stack+507132);

 /*--- compute (00|r0)^12 ---*/
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+507132, r12vrr_stack+166043, r12vrr_stack+409580, r12vrr_stack+83178, r12vrr_stack+93338, NULL);

 /*--- compute (p0|r0)^11 ---*/
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+409580, r12vrr_stack+251904, r12vrr_stack+507132, NULL, NULL, r12vrr_stack+166043);

 /*--- compute (d0|r0)^10 ---*/
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+507132, r12vrr_stack+177350, r12vrr_stack+409580, r12vrr_stack+113648, r12vrr_stack+251904, r12vrr_stack+166134);

 /*--- compute (f0|r0)^9 ---*/
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+409580, r12vrr_stack+177665, r12vrr_stack+507132, r12vrr_stack+113753, r12vrr_stack+177350, r12vrr_stack+166407);

 /*--- compute (g0|r0)^8 ---*/
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+507132, r12vrr_stack+178295, r12vrr_stack+409580, r12vrr_stack+114068, r12vrr_stack+177665, r12vrr_stack+166953);

 /*--- compute (h0|r0)^7 ---*/
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+409580, r12vrr_stack+179345, r12vrr_stack+507132, r12vrr_stack+114698, r12vrr_stack+178295, r12vrr_stack+167863);

 /*--- compute (i0|r0)^6 ---*/
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+507132, r12vrr_stack+180920, r12vrr_stack+409580, r12vrr_stack+115748, r12vrr_stack+179345, r12vrr_stack+551798);

 /*--- compute (k0|r0)^5 ---*/
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+510072, r12vrr_stack+332383, r12vrr_stack+507132, r12vrr_stack+247914, r12vrr_stack+180920, r12vrr_stack+553709);

 /*--- compute (l0|r0)^4 ---*/
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+513852, r12vrr_stack+580736, r12vrr_stack+510072, r12vrr_stack+460845, r12vrr_stack+332383, r12vrr_stack+170419);

 /*--- compute (m0|r0)^3 ---*/
 am[0] = 9;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+332383, r12vrr_stack+584516, r12vrr_stack+513852, r12vrr_stack+463785, r12vrr_stack+580736, r12vrr_stack+556257);

 /*--- compute (n0|r0)^2 ---*/
 am[0] = 10;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+507132, r12vrr_stack+589241, r12vrr_stack+332383, r12vrr_stack+467565, r12vrr_stack+584516, r12vrr_stack+560352);

 /*--- compute (o0|r0)^1 ---*/
 am[0] = 11;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+580736, r12vrr_stack+344213, r12vrr_stack+507132, r12vrr_stack+257014, r12vrr_stack+589241, r12vrr_stack+326377);

 /*--- compute (q0|r0)^0 ---*/
 am[0] = 12;  am[1] = 13;
 vrr_build_xxxx(am,Data,r12vrr_stack+326377, r12vrr_stack+595016, r12vrr_stack+580736, r12vrr_stack+472290, r12vrr_stack+344213, r12vrr_stack+565357);

 /*--- compute (00||p0)^0 ---*/
 _R_BUILD_00p0(Data,r12vrr_stack+344213, &(Data->ss_r12_ss), NULL, r12vrr_stack+1245, Data->F+0, NULL, NULL);

 /*--- compute (00||d0)^0 ---*/
 _R_BUILD_00d0(Data,r12vrr_stack+344216, r12vrr_stack+344213, &(Data->ss_r12_ss), r12vrr_stack+54, r12vrr_stack+1245, Data->F+0, NULL);

 /*--- compute (00||f0)^0 ---*/
 _R_BUILD_00f0(Data,r12vrr_stack+344222, r12vrr_stack+344216, r12vrr_stack+344213, r12vrr_stack+420, r12vrr_stack+54, r12vrr_stack+1245, NULL);

 /*--- compute (00||g0)^0 ---*/
 _R_BUILD_00g0(Data,r12vrr_stack+344232, r12vrr_stack+344222, r12vrr_stack+344216, r12vrr_stack+1248, r12vrr_stack+420, r12vrr_stack+54, NULL);

 /*--- compute (00||h0)^0 ---*/
 _R_BUILD_00h0(Data,r12vrr_stack+5862, r12vrr_stack+344232, r12vrr_stack+344222, r12vrr_stack+1263, r12vrr_stack+1248, r12vrr_stack+420, NULL);

 /*--- compute (00||i0)^0 ---*/
 _R_BUILD_00i0(Data,r12vrr_stack+344247, r12vrr_stack+5862, r12vrr_stack+344232, r12vrr_stack+2978, r12vrr_stack+1263, r12vrr_stack+1248, NULL);

 /*--- compute (p0||i0)^0 ---*/
 _R_BUILD_p0i0(Data,r12vrr_stack+344275, r12vrr_stack+344247, NULL, r12vrr_stack+3006, r12vrr_stack+2978, NULL, r12vrr_stack+1263);

 /*--- compute (d0||i0)^0 ---*/
 _R_BUILD_d0i0(Data,r12vrr_stack+344359, r12vrr_stack+344275, r12vrr_stack+344247, r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+2978, r12vrr_stack+4203);

 /*--- compute (f0||i0)^0 ---*/
 _R_BUILD_f0i0(Data,r12vrr_stack+344527, r12vrr_stack+344359, r12vrr_stack+344275, r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+3006, r12vrr_stack+4266);

 /*--- compute (g0||i0)^0 ---*/
 _R_BUILD_g0i0(Data,r12vrr_stack+344807, r12vrr_stack+344527, r12vrr_stack+344359, r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+3363, r12vrr_stack+4392);

 /*--- compute (h0||i0)^0 ---*/
 _R_BUILD_h0i0(Data,r12vrr_stack+345227, r12vrr_stack+344807, r12vrr_stack+344527, r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+14236, r12vrr_stack+4602);

 /*--- compute (i0||i0)^0 ---*/
 _R_BUILD_i0i0(Data,r12vrr_stack+345815, r12vrr_stack+345227, r12vrr_stack+344807, r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+14516, r12vrr_stack+5883);
 tmp = r12vrr_stack + 345815;
 target_ptr = Libr12->rvrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||i0)^0 ---*/
 _R_BUILD_k0i0(Data,r12vrr_stack+140038, r12vrr_stack+345815, r12vrr_stack+345227, r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+14936, r12vrr_stack+6324);
 tmp = r12vrr_stack + 140038;
 target_ptr = Libr12->rvrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||i0)^0 ---*/
 _R_BUILD_l0i0(Data,r12vrr_stack+344275, r12vrr_stack+140038, r12vrr_stack+345815, r12vrr_stack+141046, r12vrr_stack+18100, r12vrr_stack+17316, r12vrr_stack+10372);
 tmp = r12vrr_stack + 344275;
 target_ptr = Libr12->rvrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+345535, r12vrr_stack+344275, r12vrr_stack+140038, r12vrr_stack+15524, r12vrr_stack+141046, r12vrr_stack+18100, r12vrr_stack+4917);
 tmp = r12vrr_stack + 345535;
 target_ptr = Libr12->rvrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+347075, r12vrr_stack+345535, r12vrr_stack+344275, r12vrr_stack+275039, r12vrr_stack+15524, r12vrr_stack+141046, r12vrr_stack+76039);
 tmp = r12vrr_stack + 347075;
 target_ptr = Libr12->rvrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+348923, r12vrr_stack+347075, r12vrr_stack+345535, r12vrr_stack+366186, r12vrr_stack+275039, r12vrr_stack+15524, r12vrr_stack+99305);
 tmp = r12vrr_stack + 348923;
 target_ptr = Libr12->rvrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||k0)^0 ---*/
 _R_BUILD_00k0(Data,r12vrr_stack+11128, r12vrr_stack+344247, r12vrr_stack+5862, r12vrr_stack+11164, r12vrr_stack+2978, r12vrr_stack+1263, NULL);

 /*--- compute (p0||k0)^0 ---*/
 _R_BUILD_p0k0(Data,r12vrr_stack+5862, r12vrr_stack+11128, NULL, r12vrr_stack+11200, r12vrr_stack+11164, NULL, r12vrr_stack+2978);

 /*--- compute (d0||k0)^0 ---*/
 _R_BUILD_d0k0(Data,r12vrr_stack+5970, r12vrr_stack+5862, r12vrr_stack+11128, r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+11164, r12vrr_stack+3006);

 /*--- compute (f0||k0)^0 ---*/
 _R_BUILD_f0k0(Data,r12vrr_stack+344275, r12vrr_stack+5970, r12vrr_stack+5862, r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+11200, r12vrr_stack+3363);

 /*--- compute (g0||k0)^0 ---*/
 _R_BUILD_g0k0(Data,r12vrr_stack+3006, r12vrr_stack+344275, r12vrr_stack+5970, r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+11308, r12vrr_stack+14236);

 /*--- compute (h0||k0)^0 ---*/
 _R_BUILD_h0k0(Data,r12vrr_stack+3546, r12vrr_stack+3006, r12vrr_stack+344275, r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+11524, r12vrr_stack+14516);

 /*--- compute (i0||k0)^0 ---*/
 _R_BUILD_i0k0(Data,r12vrr_stack+140038, r12vrr_stack+3546, r12vrr_stack+3006, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+21124, r12vrr_stack+14936);
 tmp = r12vrr_stack + 140038;
 target_ptr = Libr12->rvrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||k0)^0 ---*/
 _R_BUILD_k0k0(Data,r12vrr_stack+344275, r12vrr_stack+140038, r12vrr_stack+3546, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+17316);
 tmp = r12vrr_stack + 344275;
 target_ptr = Libr12->rvrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||k0)^0 ---*/
 _R_BUILD_l0k0(Data,r12vrr_stack+33175, r12vrr_stack+344275, r12vrr_stack+140038, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+18100);
 tmp = r12vrr_stack + 33175;
 target_ptr = Libr12->rvrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+351107, r12vrr_stack+33175, r12vrr_stack+344275, r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+141046);
 tmp = r12vrr_stack + 351107;
 target_ptr = Libr12->rvrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+63169, r12vrr_stack+351107, r12vrr_stack+33175, r12vrr_stack+281783, r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+15524);
 tmp = r12vrr_stack + 63169;
 target_ptr = Libr12->rvrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+368370, r12vrr_stack+63169, r12vrr_stack+351107, r12vrr_stack+375642, r12vrr_stack+281783, r12vrr_stack+204609, r12vrr_stack+275039);
 tmp = r12vrr_stack + 368370;
 target_ptr = Libr12->rvrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||l0)^0 ---*/
 _R_BUILD_00l0(Data,r12vrr_stack+351107, r12vrr_stack+11128, r12vrr_stack+344247, r12vrr_stack+19108, r12vrr_stack+11164, r12vrr_stack+2978, NULL);

 /*--- compute (p0||l0)^0 ---*/
 _R_BUILD_p0l0(Data,r12vrr_stack+351152, r12vrr_stack+351107, NULL, r12vrr_stack+19153, r12vrr_stack+19108, NULL, r12vrr_stack+11164);

 /*--- compute (d0||l0)^0 ---*/
 _R_BUILD_d0l0(Data,r12vrr_stack+351287, r12vrr_stack+351152, r12vrr_stack+351107, r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+19108, r12vrr_stack+11200);

 /*--- compute (f0||l0)^0 ---*/
 _R_BUILD_f0l0(Data,r12vrr_stack+351557, r12vrr_stack+351287, r12vrr_stack+351152, r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+19153, r12vrr_stack+11308);

 /*--- compute (g0||l0)^0 ---*/
 _R_BUILD_g0l0(Data,r12vrr_stack+352007, r12vrr_stack+351557, r12vrr_stack+351287, r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+19540, r12vrr_stack+11524);

 /*--- compute (h0||l0)^0 ---*/
 _R_BUILD_h0l0(Data,r12vrr_stack+196320, r12vrr_stack+352007, r12vrr_stack+351557, r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+32050, r12vrr_stack+21124);

 /*--- compute (i0||l0)^0 ---*/
 _R_BUILD_i0l0(Data,r12vrr_stack+11200, r12vrr_stack+196320, r12vrr_stack+352007, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+32500, r12vrr_stack+23320);
 tmp = r12vrr_stack + 11200;
 target_ptr = Libr12->rvrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||l0)^0 ---*/
 _R_BUILD_k0l0(Data,r12vrr_stack+33175, r12vrr_stack+11200, r12vrr_stack+196320, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+24076);
 tmp = r12vrr_stack + 33175;
 target_ptr = Libr12->rvrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||l0)^0 ---*/
 _R_BUILD_l0l0(Data,r12vrr_stack+351152, r12vrr_stack+33175, r12vrr_stack+11200, r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+27964);
 tmp = r12vrr_stack + 351152;
 target_ptr = Libr12->rvrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11200, r12vrr_stack+351152, r12vrr_stack+33175, r12vrr_stack+210414, r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+21664);
 tmp = r12vrr_stack + 11200;
 target_ptr = Libr12->rvrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+580736, r12vrr_stack+11200, r12vrr_stack+351152, r12vrr_stack+145861, r12vrr_stack+210414, r12vrr_stack+149110, r12vrr_stack+204609);
 tmp = r12vrr_stack + 580736;
 target_ptr = Libr12->rvrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+351152, r12vrr_stack+580736, r12vrr_stack+11200, r12vrr_stack+384570, r12vrr_stack+145861, r12vrr_stack+210414, r12vrr_stack+281783);
 tmp = r12vrr_stack + 351152;
 target_ptr = Libr12->rvrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||m0)^0 ---*/
 am[0] = 0;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+48825, r12vrr_stack+351107, r12vrr_stack+11128, r12vrr_stack+30205, r12vrr_stack+19108, r12vrr_stack+11164, NULL);

 /*--- compute (p0||m0)^0 ---*/
 am[0] = 1;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+48825, NULL, r12vrr_stack+30260, r12vrr_stack+30205, NULL, r12vrr_stack+19108);

 /*--- compute (d0||m0)^0 ---*/
 am[0] = 2;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11293, r12vrr_stack+11128, r12vrr_stack+48825, r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+30205, r12vrr_stack+19153);

 /*--- compute (f0||m0)^0 ---*/
 am[0] = 3;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11623, r12vrr_stack+11293, r12vrr_stack+11128, r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+30260, r12vrr_stack+19540);

 /*--- compute (g0||m0)^0 ---*/
 am[0] = 4;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+11623, r12vrr_stack+11293, r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+30425, r12vrr_stack+32050);

 /*--- compute (h0||m0)^0 ---*/
 am[0] = 5;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19978, r12vrr_stack+19153, r12vrr_stack+11623, r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+29370, r12vrr_stack+32500);

 /*--- compute (i0||m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+19978, r12vrr_stack+19153, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+45525, r12vrr_stack+34795);
 tmp = r12vrr_stack + 11128;
 target_ptr = Libr12->rvrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+12668, r12vrr_stack+11128, r12vrr_stack+19978, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+35740);
 tmp = r12vrr_stack + 12668;
 target_ptr = Libr12->rvrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19153, r12vrr_stack+12668, r12vrr_stack+11128, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+40330);
 tmp = r12vrr_stack + 19153;
 target_ptr = Libr12->rvrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+583706, r12vrr_stack+19153, r12vrr_stack+12668, r12vrr_stack+217564, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+149110);
 tmp = r12vrr_stack + 583706;
 target_ptr = Libr12->rvrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+11128, r12vrr_stack+583706, r12vrr_stack+19153, r12vrr_stack+151135, r12vrr_stack+217564, r12vrr_stack+46350, r12vrr_stack+210414);
 tmp = r12vrr_stack + 11128;
 target_ptr = Libr12->rvrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+586731, r12vrr_stack+11128, r12vrr_stack+583706, r12vrr_stack+397100, r12vrr_stack+151135, r12vrr_stack+217564, r12vrr_stack+145861);
 tmp = r12vrr_stack + 586731;
 target_ptr = Libr12->rvrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||n0)^0 ---*/
 am[0] = 0;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+583706, r12vrr_stack+48825, r12vrr_stack+351107, r12vrr_stack+42280, r12vrr_stack+30205, r12vrr_stack+19108, NULL);

 /*--- compute (p0||n0)^0 ---*/
 am[0] = 1;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+583706, NULL, r12vrr_stack+42346, r12vrr_stack+42280, NULL, r12vrr_stack+30205);

 /*--- compute (d0||n0)^0 ---*/
 am[0] = 2;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19306, r12vrr_stack+19108, r12vrr_stack+583706, r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+42280, r12vrr_stack+30260);

 /*--- compute (f0||n0)^0 ---*/
 am[0] = 3;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19702, r12vrr_stack+19306, r12vrr_stack+19108, r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+42346, r12vrr_stack+30425);

 /*--- compute (g0||n0)^0 ---*/
 am[0] = 4;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+19702, r12vrr_stack+19306, r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+43105, r12vrr_stack+29370);

 /*--- compute (h0||n0)^0 ---*/
 am[0] = 5;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+31250, r12vrr_stack+30260, r12vrr_stack+19702, r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+61519, r12vrr_stack+45525);

 /*--- compute (i0||n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+19108, r12vrr_stack+31250, r12vrr_stack+30260, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+62179, r12vrr_stack+48880);
 tmp = r12vrr_stack + 19108;
 target_ptr = Libr12->rvrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+583772, r12vrr_stack+19108, r12vrr_stack+31250, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+50035);
 tmp = r12vrr_stack + 583772;
 target_ptr = Libr12->rvrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+30260, r12vrr_stack+583772, r12vrr_stack+19108, r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+55645);
 tmp = r12vrr_stack + 30260;
 target_ptr = Libr12->rvrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+591021, r12vrr_stack+30260, r12vrr_stack+583772, r12vrr_stack+227189, r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+46350);
 tmp = r12vrr_stack + 591021;
 target_ptr = Libr12->rvrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+257014, r12vrr_stack+591021, r12vrr_stack+30260, r12vrr_stack+158329, r12vrr_stack+227189, r12vrr_stack+163070, r12vrr_stack+217564);
 tmp = r12vrr_stack + 257014;
 target_ptr = Libr12->rvrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+507132, r12vrr_stack+257014, r12vrr_stack+591021, r12vrr_stack+412940, r12vrr_stack+158329, r12vrr_stack+227189, r12vrr_stack+151135);
 tmp = r12vrr_stack + 507132;
 target_ptr = Libr12->rvrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||o0)^0 ---*/
 am[0] = 0;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+591021, r12vrr_stack+583706, r12vrr_stack+48825, r12vrr_stack+58813, r12vrr_stack+42280, r12vrr_stack+30205, NULL);

 /*--- compute (p0||o0)^0 ---*/
 am[0] = 1;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+591099, r12vrr_stack+591021, NULL, r12vrr_stack+58891, r12vrr_stack+58813, NULL, r12vrr_stack+42280);

 /*--- compute (d0||o0)^0 ---*/
 am[0] = 2;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+591333, r12vrr_stack+591099, r12vrr_stack+591021, r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+58813, r12vrr_stack+42346);

 /*--- compute (f0||o0)^0 ---*/
 am[0] = 3;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+591801, r12vrr_stack+591333, r12vrr_stack+591099, r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+58891, r12vrr_stack+43105);

 /*--- compute (g0||o0)^0 ---*/
 am[0] = 4;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42346, r12vrr_stack+591801, r12vrr_stack+591333, r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+59125, r12vrr_stack+61519);

 /*--- compute (h0||o0)^0 ---*/
 am[0] = 5;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+43516, r12vrr_stack+42346, r12vrr_stack+591801, r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+81109, r12vrr_stack+62179);

 /*--- compute (i0||o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+591099, r12vrr_stack+43516, r12vrr_stack+42346, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+81889, r12vrr_stack+65545);
 tmp = r12vrr_stack + 591099;
 target_ptr = Libr12->rvrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+83059, r12vrr_stack+591099, r12vrr_stack+43516, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+66931);
 tmp = r12vrr_stack + 83059;
 target_ptr = Libr12->rvrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+42346, r12vrr_stack+83059, r12vrr_stack+591099, r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+73663);
 tmp = r12vrr_stack + 42346;
 target_ptr = Libr12->rvrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+512280, r12vrr_stack+42346, r12vrr_stack+83059, r12vrr_stack+238619, r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+163070);
 tmp = r12vrr_stack + 512280;
 target_ptr = Libr12->rvrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+516570, r12vrr_stack+512280, r12vrr_stack+42346, r12vrr_stack+321229, r12vrr_stack+238619, r12vrr_stack+173840, r12vrr_stack+227189);
 tmp = r12vrr_stack + 516570;
 target_ptr = Libr12->rvrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+521718, r12vrr_stack+516570, r12vrr_stack+512280, r12vrr_stack+431738, r12vrr_stack+321229, r12vrr_stack+238619, r12vrr_stack+158329);
 tmp = r12vrr_stack + 521718;
 target_ptr = Libr12->rvrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (00||q0)^0 ---*/
 am[0] = 0;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+512280, r12vrr_stack+591021, r12vrr_stack+583706, r12vrr_stack+77677, r12vrr_stack+58813, r12vrr_stack+42280, NULL);

 /*--- compute (p0||q0)^0 ---*/
 am[0] = 1;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+583706, r12vrr_stack+512280, NULL, r12vrr_stack+41950, r12vrr_stack+77677, NULL, r12vrr_stack+58813);

 /*--- compute (d0||q0)^0 ---*/
 am[0] = 2;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+583979, r12vrr_stack+583706, r12vrr_stack+512280, r12vrr_stack+77768, r12vrr_stack+41950, r12vrr_stack+77677, r12vrr_stack+58891);

 /*--- compute (f0||q0)^0 ---*/
 am[0] = 3;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+512280, r12vrr_stack+583979, r12vrr_stack+583706, r12vrr_stack+103638, r12vrr_stack+77768, r12vrr_stack+41950, r12vrr_stack+59125);

 /*--- compute (g0||q0)^0 ---*/
 am[0] = 4;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+41950, r12vrr_stack+512280, r12vrr_stack+583979, r12vrr_stack+104548, r12vrr_stack+103638, r12vrr_stack+77768, r12vrr_stack+81109);

 /*--- compute (h0||q0)^0 ---*/
 am[0] = 5;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+43315, r12vrr_stack+41950, r12vrr_stack+512280, r12vrr_stack+109189, r12vrr_stack+104548, r12vrr_stack+103638, r12vrr_stack+81889);

 /*--- compute (i0||q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+512280, r12vrr_stack+43315, r12vrr_stack+41950, r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+104548, r12vrr_stack+85867);
 tmp = r12vrr_stack + 512280;
 target_ptr = Libr12->rvrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0||q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+591021, r12vrr_stack+512280, r12vrr_stack+43315, r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+87505);
 tmp = r12vrr_stack + 591021;
 target_ptr = Libr12->rvrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0||q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+427643, r12vrr_stack+591021, r12vrr_stack+512280, r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+95461);
 tmp = r12vrr_stack + 427643;
 target_ptr = Libr12->rvrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0||q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+527802, r12vrr_stack+427643, r12vrr_stack+591021, r12vrr_stack+252009, r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+173840);
 tmp = r12vrr_stack + 527802;
 target_ptr = Libr12->rvrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0||q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+532807, r12vrr_stack+527802, r12vrr_stack+427643, r12vrr_stack+338207, r12vrr_stack+252009, r12vrr_stack+186450, r12vrr_stack+238619);
 tmp = r12vrr_stack + 532807;
 target_ptr = Libr12->rvrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0||q0)^0 ---*/
 am[0] = 11;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+460845, r12vrr_stack+532807, r12vrr_stack+527802, r12vrr_stack+453747, r12vrr_stack+338207, r12vrr_stack+252009, r12vrr_stack+321229);
 tmp = r12vrr_stack + 460845;
 target_ptr = Libr12->rvrr_classes[11][12];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+527802, r12vrr_stack+17316, r12vrr_stack+24076, r12vrr_stack+18100, r12vrr_stack+10372, r12vrr_stack+6324);
 tmp = r12vrr_stack + 527802;
 target_ptr = Libr12->t2vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+140038, r12vrr_stack+24076, r12vrr_stack+35740, r12vrr_stack+27964, r12vrr_stack+18100, r12vrr_stack+17316);
 tmp = r12vrr_stack + 140038;
 target_ptr = Libr12->t2vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+528586, r12vrr_stack+35740, r12vrr_stack+50035, r12vrr_stack+40330, r12vrr_stack+27964, r12vrr_stack+24076);
 tmp = r12vrr_stack + 528586;
 target_ptr = Libr12->t2vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+529846, r12vrr_stack+50035, r12vrr_stack+66931, r12vrr_stack+55645, r12vrr_stack+40330, r12vrr_stack+35740);
 tmp = r12vrr_stack + 529846;
 target_ptr = Libr12->t2vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+427643, r12vrr_stack+66931, r12vrr_stack+87505, r12vrr_stack+73663, r12vrr_stack+55645, r12vrr_stack+50035);
 tmp = r12vrr_stack + 427643;
 target_ptr = Libr12->t2vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+429491, r12vrr_stack+87505, r12vrr_stack+111100, r12vrr_stack+95461, r12vrr_stack+73663, r12vrr_stack+66931);
 tmp = r12vrr_stack + 429491;
 target_ptr = Libr12->t2vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T2]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+591021, r12vrr_stack+111100, r12vrr_stack+137098, r12vrr_stack+120382, r12vrr_stack+95461, r12vrr_stack+87505);
 tmp = r12vrr_stack + 591021;
 target_ptr = Libr12->t2vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+531386, r12vrr_stack+18100, r12vrr_stack+27964, r12vrr_stack+141046, r12vrr_stack+4917, r12vrr_stack+10372);
 tmp = r12vrr_stack + 531386;
 target_ptr = Libr12->t2vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+593569, r12vrr_stack+27964, r12vrr_stack+40330, r12vrr_stack+21664, r12vrr_stack+141046, r12vrr_stack+18100);
 tmp = r12vrr_stack + 593569;
 target_ptr = Libr12->t2vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+512280, r12vrr_stack+40330, r12vrr_stack+55645, r12vrr_stack+149110, r12vrr_stack+21664, r12vrr_stack+27964);
 tmp = r12vrr_stack + 512280;
 target_ptr = Libr12->t2vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+513900, r12vrr_stack+55645, r12vrr_stack+73663, r12vrr_stack+46350, r12vrr_stack+149110, r12vrr_stack+40330);
 tmp = r12vrr_stack + 513900;
 target_ptr = Libr12->t2vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+41950, r12vrr_stack+73663, r12vrr_stack+95461, r12vrr_stack+163070, r12vrr_stack+46350, r12vrr_stack+55645);
 tmp = r12vrr_stack + 41950;
 target_ptr = Libr12->t2vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+583706, r12vrr_stack+95461, r12vrr_stack+120382, r12vrr_stack+173840, r12vrr_stack+163070, r12vrr_stack+73663);
 tmp = r12vrr_stack + 583706;
 target_ptr = Libr12->t2vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T2]|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+5862, r12vrr_stack+120382, r12vrr_stack+197265, r12vrr_stack+186450, r12vrr_stack+173840, r12vrr_stack+95461);
 tmp = r12vrr_stack + 5862;
 target_ptr = Libr12->t2vrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|i0)^0 ---*/
 _T2_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+44326, r12vrr_stack+141046, r12vrr_stack+21664, r12vrr_stack+15524, r12vrr_stack+76039, r12vrr_stack+4917);
 tmp = r12vrr_stack + 44326;
 target_ptr = Libr12->t2vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|k0)^0 ---*/
 _T2_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+19108, r12vrr_stack+21664, r12vrr_stack+149110, r12vrr_stack+204609, r12vrr_stack+15524, r12vrr_stack+141046);
 tmp = r12vrr_stack + 19108;
 target_ptr = Libr12->t2vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|l0)^0 ---*/
 _T2_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+344213, r12vrr_stack+149110, r12vrr_stack+46350, r12vrr_stack+210414, r12vrr_stack+204609, r12vrr_stack+21664);
 tmp = r12vrr_stack + 344213;
 target_ptr = Libr12->t2vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+538813, r12vrr_stack+46350, r12vrr_stack+163070, r12vrr_stack+217564, r12vrr_stack+210414, r12vrr_stack+149110);
 tmp = r12vrr_stack + 538813;
 target_ptr = Libr12->t2vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+541288, r12vrr_stack+163070, r12vrr_stack+173840, r12vrr_stack+227189, r12vrr_stack+217564, r12vrr_stack+46350);
 tmp = r12vrr_stack + 541288;
 target_ptr = Libr12->t2vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+467943, r12vrr_stack+173840, r12vrr_stack+186450, r12vrr_stack+238619, r12vrr_stack+227189, r12vrr_stack+163070);
 tmp = r12vrr_stack + 467943;
 target_ptr = Libr12->t2vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T2]|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+551798, r12vrr_stack+186450, r12vrr_stack+267514, r12vrr_stack+252009, r12vrr_stack+238619, r12vrr_stack+173840);
 tmp = r12vrr_stack + 551798;
 target_ptr = Libr12->t2vrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+9138, r12vrr_stack+15524, r12vrr_stack+204609, r12vrr_stack+275039, r12vrr_stack+99305, r12vrr_stack+76039);
 tmp = r12vrr_stack + 9138;
 target_ptr = Libr12->t2vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+76039, r12vrr_stack+204609, r12vrr_stack+210414, r12vrr_stack+281783, r12vrr_stack+275039, r12vrr_stack+15524);
 tmp = r12vrr_stack + 76039;
 target_ptr = Libr12->t2vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+78019, r12vrr_stack+210414, r12vrr_stack+217564, r12vrr_stack+145861, r12vrr_stack+281783, r12vrr_stack+204609);
 tmp = r12vrr_stack + 78019;
 target_ptr = Libr12->t2vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+80494, r12vrr_stack+217564, r12vrr_stack+227189, r12vrr_stack+151135, r12vrr_stack+145861, r12vrr_stack+210414);
 tmp = r12vrr_stack + 80494;
 target_ptr = Libr12->t2vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+555893, r12vrr_stack+227189, r12vrr_stack+238619, r12vrr_stack+158329, r12vrr_stack+151135, r12vrr_stack+217564);
 tmp = r12vrr_stack + 555893;
 target_ptr = Libr12->t2vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+559523, r12vrr_stack+238619, r12vrr_stack+252009, r12vrr_stack+321229, r12vrr_stack+158329, r12vrr_stack+227189);
 tmp = r12vrr_stack + 559523;
 target_ptr = Libr12->t2vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T2]|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+563813, r12vrr_stack+252009, r12vrr_stack+190545, r12vrr_stack+338207, r12vrr_stack+321229, r12vrr_stack+238619);
 tmp = r12vrr_stack + 563813;
 target_ptr = Libr12->t2vrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+83519, r12vrr_stack+275039, r12vrr_stack+281783, r12vrr_stack+366186, r12vrr_stack+361160, r12vrr_stack+99305);
 tmp = r12vrr_stack + 83519;
 target_ptr = Libr12->t2vrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+568818, r12vrr_stack+281783, r12vrr_stack+145861, r12vrr_stack+375642, r12vrr_stack+366186, r12vrr_stack+275039);
 tmp = r12vrr_stack + 568818;
 target_ptr = Libr12->t2vrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+409580, r12vrr_stack+145861, r12vrr_stack+151135, r12vrr_stack+384570, r12vrr_stack+375642, r12vrr_stack+281783);
 tmp = r12vrr_stack + 409580;
 target_ptr = Libr12->t2vrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+177350, r12vrr_stack+151135, r12vrr_stack+158329, r12vrr_stack+397100, r12vrr_stack+384570, r12vrr_stack+145861);
 tmp = r12vrr_stack + 177350;
 target_ptr = Libr12->t2vrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+180980, r12vrr_stack+158329, r12vrr_stack+321229, r12vrr_stack+412940, r12vrr_stack+397100, r12vrr_stack+151135);
 tmp = r12vrr_stack + 180980;
 target_ptr = Libr12->t2vrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+113648, r12vrr_stack+321229, r12vrr_stack+338207, r12vrr_stack+431738, r12vrr_stack+412940, r12vrr_stack+158329);
 tmp = r12vrr_stack + 113648;
 target_ptr = Libr12->t2vrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T2]|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+437822, r12vrr_stack+338207, r12vrr_stack+472290, r12vrr_stack+453747, r12vrr_stack+431738, r12vrr_stack+321229);
 tmp = r12vrr_stack + 437822;
 target_ptr = Libr12->t2vrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+335932, r12vrr_stack+366186, r12vrr_stack+375642, r12vrr_stack+272239, r12vrr_stack+129202, r12vrr_stack+361160);
 tmp = r12vrr_stack + 335932;
 target_ptr = Libr12->t2vrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+443828, r12vrr_stack+375642, r12vrr_stack+384570, r12vrr_stack+488676, r12vrr_stack+272239, r12vrr_stack+366186);
 tmp = r12vrr_stack + 443828;
 target_ptr = Libr12->t2vrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+446636, r12vrr_stack+384570, r12vrr_stack+397100, r12vrr_stack+284159, r12vrr_stack+488676, r12vrr_stack+375642);
 tmp = r12vrr_stack + 446636;
 target_ptr = Libr12->t2vrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+309220, r12vrr_stack+397100, r12vrr_stack+412940, r12vrr_stack+292929, r12vrr_stack+284159, r12vrr_stack+384570);
 tmp = r12vrr_stack + 309220;
 target_ptr = Libr12->t2vrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+313510, r12vrr_stack+412940, r12vrr_stack+431738, r12vrr_stack+303214, r12vrr_stack+292929, r12vrr_stack+397100);
 tmp = r12vrr_stack + 313510;
 target_ptr = Libr12->t2vrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+242909, r12vrr_stack+431738, r12vrr_stack+453747, r12vrr_stack+544700, r12vrr_stack+303214, r12vrr_stack+412940);
 tmp = r12vrr_stack + 242909;
 target_ptr = Libr12->t2vrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T2]|q0)^0 ---*/
 am[0] = 11;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+491952, r12vrr_stack+453747, r12vrr_stack+595016, r12vrr_stack+572455, r12vrr_stack+544700, r12vrr_stack+431738);
 tmp = r12vrr_stack + 491952;
 target_ptr = Libr12->t2vrr_classes[11][12];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T2]|i0)^0 ---*/
 am[0] = 12;  am[1] = 6;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+450146, r12vrr_stack+272239, r12vrr_stack+488676, r12vrr_stack+131113, r12vrr_stack+355379, r12vrr_stack+129202);
 tmp = r12vrr_stack + 450146;
 target_ptr = Libr12->t2vrr_classes[12][6];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T2]|k0)^0 ---*/
 am[0] = 12;  am[1] = 7;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+354662, r12vrr_stack+488676, r12vrr_stack+284159, r12vrr_stack+371178, r12vrr_stack+131113, r12vrr_stack+272239);
 tmp = r12vrr_stack + 354662;
 target_ptr = Libr12->t2vrr_classes[12][7];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T2]|l0)^0 ---*/
 am[0] = 12;  am[1] = 8;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+68779, r12vrr_stack+284159, r12vrr_stack+292929, r12vrr_stack+262789, r12vrr_stack+371178, r12vrr_stack+488676);
 tmp = r12vrr_stack + 68779;
 target_ptr = Libr12->t2vrr_classes[12][8];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T2]|m0)^0 ---*/
 am[0] = 12;  am[1] = 9;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+479220, r12vrr_stack+292929, r12vrr_stack+303214, r12vrr_stack+388080, r12vrr_stack+262789, r12vrr_stack+284159);
 tmp = r12vrr_stack + 479220;
 target_ptr = Libr12->t2vrr_classes[12][9];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T2]|n0)^0 ---*/
 am[0] = 12;  am[1] = 10;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+166040, r12vrr_stack+303214, r12vrr_stack+544700, r12vrr_stack+500202, r12vrr_stack+388080, r12vrr_stack+292929);
 tmp = r12vrr_stack + 166040;
 target_ptr = Libr12->t2vrr_classes[12][10];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T2]|o0)^0 ---*/
 am[0] = 12;  am[1] = 11;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+230819, r12vrr_stack+544700, r12vrr_stack+572455, r12vrr_stack+401390, r12vrr_stack+500202, r12vrr_stack+303214);
 tmp = r12vrr_stack + 230819;
 target_ptr = Libr12->t2vrr_classes[12][11];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T2]|q0)^0 ---*/
 am[0] = 12;  am[1] = 12;
 t2_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+98269, r12vrr_stack+572455, r12vrr_stack+326377, r12vrr_stack+418088, r12vrr_stack+401390, r12vrr_stack+544700);
 tmp = r12vrr_stack + 98269;
 target_ptr = Libr12->t2vrr_classes[12][12];
 for(i=0;i<8281;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_i0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+20728, r12vrr_stack+17316, r12vrr_stack+18100, r12vrr_stack+24076, r12vrr_stack+23320, r12vrr_stack+14936);
 tmp = r12vrr_stack + 20728;
 target_ptr = Libr12->t1vrr_classes[6][6];
 for(i=0;i<784;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_i0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+357938, r12vrr_stack+24076, r12vrr_stack+27964, r12vrr_stack+35740, r12vrr_stack+34795, r12vrr_stack+23320);
 tmp = r12vrr_stack + 357938;
 target_ptr = Libr12->t1vrr_classes[6][7];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_i0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+358946, r12vrr_stack+35740, r12vrr_stack+40330, r12vrr_stack+50035, r12vrr_stack+48880, r12vrr_stack+34795);
 tmp = r12vrr_stack + 358946;
 target_ptr = Libr12->t1vrr_classes[6][8];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|m0)^0 ---*/
 am[0] = 6;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+118796, r12vrr_stack+50035, r12vrr_stack+55645, r12vrr_stack+66931, r12vrr_stack+65545, r12vrr_stack+48880);
 tmp = r12vrr_stack + 118796;
 target_ptr = Libr12->t1vrr_classes[6][9];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|n0)^0 ---*/
 am[0] = 6;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+318658, r12vrr_stack+66931, r12vrr_stack+73663, r12vrr_stack+87505, r12vrr_stack+85867, r12vrr_stack+65545);
 tmp = r12vrr_stack + 318658;
 target_ptr = Libr12->t1vrr_classes[6][10];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|o0)^0 ---*/
 am[0] = 6;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+248993, r12vrr_stack+87505, r12vrr_stack+95461, r12vrr_stack+111100, r12vrr_stack+109189, r12vrr_stack+85867);
 tmp = r12vrr_stack + 248993;
 target_ptr = Libr12->t1vrr_classes[6][11];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (i0|[r12,T1]|q0)^0 ---*/
 am[0] = 6;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+154765, r12vrr_stack+111100, r12vrr_stack+120382, r12vrr_stack+137098, r12vrr_stack+134893, r12vrr_stack+109189);
 tmp = r12vrr_stack + 154765;
 target_ptr = Libr12->t1vrr_classes[6][12];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_k0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+65545, r12vrr_stack+18100, r12vrr_stack+141046, r12vrr_stack+27964, r12vrr_stack+24076, r12vrr_stack+17316);
 tmp = r12vrr_stack + 65545;
 target_ptr = Libr12->t1vrr_classes[7][6];
 for(i=0;i<1008;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_k0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+85367, r12vrr_stack+27964, r12vrr_stack+21664, r12vrr_stack+40330, r12vrr_stack+35740, r12vrr_stack+24076);
 tmp = r12vrr_stack + 85367;
 target_ptr = Libr12->t1vrr_classes[7][7];
 for(i=0;i<1296;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_k0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+212889, r12vrr_stack+40330, r12vrr_stack+149110, r12vrr_stack+55645, r12vrr_stack+50035, r12vrr_stack+35740);
 tmp = r12vrr_stack + 212889;
 target_ptr = Libr12->t1vrr_classes[7][8];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|m0)^0 ---*/
 am[0] = 7;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+214509, r12vrr_stack+55645, r12vrr_stack+46350, r12vrr_stack+73663, r12vrr_stack+66931, r12vrr_stack+50035);
 tmp = r12vrr_stack + 214509;
 target_ptr = Libr12->t1vrr_classes[7][9];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|n0)^0 ---*/
 am[0] = 7;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+48825, r12vrr_stack+73663, r12vrr_stack+163070, r12vrr_stack+95461, r12vrr_stack+87505, r12vrr_stack+66931);
 tmp = r12vrr_stack + 48825;
 target_ptr = Libr12->t1vrr_classes[7][10];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|o0)^0 ---*/
 am[0] = 7;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+51201, r12vrr_stack+95461, r12vrr_stack+173840, r12vrr_stack+120382, r12vrr_stack+111100, r12vrr_stack+87505);
 tmp = r12vrr_stack + 51201;
 target_ptr = Libr12->t1vrr_classes[7][11];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (k0|[r12,T1]|q0)^0 ---*/
 am[0] = 7;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+86663, r12vrr_stack+120382, r12vrr_stack+186450, r12vrr_stack+197265, r12vrr_stack+137098, r12vrr_stack+111100);
 tmp = r12vrr_stack + 86663;
 target_ptr = Libr12->t1vrr_classes[7][12];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|i0)^0 ---*/
 _T1_BUILD_l0i0(Data,&(Libr12->ShellQuartet),r12vrr_stack+66553, r12vrr_stack+141046, r12vrr_stack+15524, r12vrr_stack+21664, r12vrr_stack+27964, r12vrr_stack+18100);
 tmp = r12vrr_stack + 66553;
 target_ptr = Libr12->t1vrr_classes[8][6];
 for(i=0;i<1260;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|k0)^0 ---*/
 _T1_BUILD_l0k0(Data,&(Libr12->ShellQuartet),r12vrr_stack+89939, r12vrr_stack+21664, r12vrr_stack+204609, r12vrr_stack+149110, r12vrr_stack+40330, r12vrr_stack+27964);
 tmp = r12vrr_stack + 89939;
 target_ptr = Libr12->t1vrr_classes[8][7];
 for(i=0;i<1620;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|l0)^0 ---*/
 _T1_BUILD_l0l0(Data,&(Libr12->ShellQuartet),r12vrr_stack+91559, r12vrr_stack+149110, r12vrr_stack+210414, r12vrr_stack+46350, r12vrr_stack+55645, r12vrr_stack+40330);
 tmp = r12vrr_stack + 91559;
 target_ptr = Libr12->t1vrr_classes[8][8];
 for(i=0;i<2025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|m0)^0 ---*/
 am[0] = 8;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+484225, r12vrr_stack+46350, r12vrr_stack+217564, r12vrr_stack+163070, r12vrr_stack+73663, r12vrr_stack+55645);
 tmp = r12vrr_stack + 484225;
 target_ptr = Libr12->t1vrr_classes[8][9];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|n0)^0 ---*/
 am[0] = 8;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+54009, r12vrr_stack+163070, r12vrr_stack+227189, r12vrr_stack+173840, r12vrr_stack+95461, r12vrr_stack+73663);
 tmp = r12vrr_stack + 54009;
 target_ptr = Libr12->t1vrr_classes[8][10];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|o0)^0 ---*/
 am[0] = 8;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+56979, r12vrr_stack+173840, r12vrr_stack+238619, r12vrr_stack+186450, r12vrr_stack+120382, r12vrr_stack+95461);
 tmp = r12vrr_stack + 56979;
 target_ptr = Libr12->t1vrr_classes[8][11];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (l0|[r12,T1]|q0)^0 ---*/
 am[0] = 8;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+93584, r12vrr_stack+186450, r12vrr_stack+252009, r12vrr_stack+267514, r12vrr_stack+197265, r12vrr_stack+120382);
 tmp = r12vrr_stack + 93584;
 target_ptr = Libr12->t1vrr_classes[8][12];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|i0)^0 ---*/
 am[0] = 9;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+60489, r12vrr_stack+15524, r12vrr_stack+275039, r12vrr_stack+204609, r12vrr_stack+21664, r12vrr_stack+141046);
 tmp = r12vrr_stack + 60489;
 target_ptr = Libr12->t1vrr_classes[9][6];
 for(i=0;i<1540;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|k0)^0 ---*/
 am[0] = 9;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+141046, r12vrr_stack+204609, r12vrr_stack+281783, r12vrr_stack+210414, r12vrr_stack+149110, r12vrr_stack+21664);
 tmp = r12vrr_stack + 141046;
 target_ptr = Libr12->t1vrr_classes[9][7];
 for(i=0;i<1980;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|l0)^0 ---*/
 am[0] = 9;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+143026, r12vrr_stack+210414, r12vrr_stack+145861, r12vrr_stack+217564, r12vrr_stack+46350, r12vrr_stack+149110);
 tmp = r12vrr_stack + 143026;
 target_ptr = Libr12->t1vrr_classes[9][8];
 for(i=0;i<2475;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|m0)^0 ---*/
 am[0] = 9;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+21512, r12vrr_stack+217564, r12vrr_stack+151135, r12vrr_stack+227189, r12vrr_stack+163070, r12vrr_stack+46350);
 tmp = r12vrr_stack + 21512;
 target_ptr = Libr12->t1vrr_classes[9][9];
 for(i=0;i<3025;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|n0)^0 ---*/
 am[0] = 9;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+24537, r12vrr_stack+227189, r12vrr_stack+158329, r12vrr_stack+238619, r12vrr_stack+173840, r12vrr_stack+163070);
 tmp = r12vrr_stack + 24537;
 target_ptr = Libr12->t1vrr_classes[9][10];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|o0)^0 ---*/
 am[0] = 9;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+28167, r12vrr_stack+238619, r12vrr_stack+321229, r12vrr_stack+252009, r12vrr_stack+186450, r12vrr_stack+173840);
 tmp = r12vrr_stack + 28167;
 target_ptr = Libr12->t1vrr_classes[9][11];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (m0|[r12,T1]|q0)^0 ---*/
 am[0] = 9;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+32457, r12vrr_stack+252009, r12vrr_stack+338207, r12vrr_stack+190545, r12vrr_stack+267514, r12vrr_stack+186450);
 tmp = r12vrr_stack + 32457;
 target_ptr = Libr12->t1vrr_classes[9][12];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|i0)^0 ---*/
 am[0] = 10;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+267514, r12vrr_stack+275039, r12vrr_stack+366186, r12vrr_stack+281783, r12vrr_stack+204609, r12vrr_stack+15524);
 tmp = r12vrr_stack + 267514;
 target_ptr = Libr12->t1vrr_classes[10][6];
 for(i=0;i<1848;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|k0)^0 ---*/
 am[0] = 10;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+269362, r12vrr_stack+281783, r12vrr_stack+375642, r12vrr_stack+145861, r12vrr_stack+210414, r12vrr_stack+204609);
 tmp = r12vrr_stack + 269362;
 target_ptr = Libr12->t1vrr_classes[10][7];
 for(i=0;i<2376;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|l0)^0 ---*/
 am[0] = 10;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+45586, r12vrr_stack+145861, r12vrr_stack+384570, r12vrr_stack+151135, r12vrr_stack+217564, r12vrr_stack+210414);
 tmp = r12vrr_stack + 45586;
 target_ptr = Libr12->t1vrr_classes[10][8];
 for(i=0;i<2970;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|m0)^0 ---*/
 am[0] = 10;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+37462, r12vrr_stack+151135, r12vrr_stack+397100, r12vrr_stack+158329, r12vrr_stack+227189, r12vrr_stack+217564);
 tmp = r12vrr_stack + 37462;
 target_ptr = Libr12->t1vrr_classes[10][9];
 for(i=0;i<3630;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|n0)^0 ---*/
 am[0] = 10;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+196320, r12vrr_stack+158329, r12vrr_stack+412940, r12vrr_stack+321229, r12vrr_stack+238619, r12vrr_stack+227189);
 tmp = r12vrr_stack + 196320;
 target_ptr = Libr12->t1vrr_classes[10][10];
 for(i=0;i<4356;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|o0)^0 ---*/
 am[0] = 10;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+200676, r12vrr_stack+321229, r12vrr_stack+431738, r12vrr_stack+338207, r12vrr_stack+252009, r12vrr_stack+238619);
 tmp = r12vrr_stack + 200676;
 target_ptr = Libr12->t1vrr_classes[10][11];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (n0|[r12,T1]|q0)^0 ---*/
 am[0] = 10;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+205824, r12vrr_stack+338207, r12vrr_stack+453747, r12vrr_stack+472290, r12vrr_stack+190545, r12vrr_stack+252009);
 tmp = r12vrr_stack + 205824;
 target_ptr = Libr12->t1vrr_classes[10][12];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|i0)^0 ---*/
 am[0] = 11;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+14758, r12vrr_stack+366186, r12vrr_stack+272239, r12vrr_stack+375642, r12vrr_stack+281783, r12vrr_stack+275039);
 tmp = r12vrr_stack + 14758;
 target_ptr = Libr12->t1vrr_classes[11][6];
 for(i=0;i<2184;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|k0)^0 ---*/
 am[0] = 11;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+185336, r12vrr_stack+375642, r12vrr_stack+488676, r12vrr_stack+384570, r12vrr_stack+145861, r12vrr_stack+281783);
 tmp = r12vrr_stack + 185336;
 target_ptr = Libr12->t1vrr_classes[11][7];
 for(i=0;i<2808;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|l0)^0 ---*/
 am[0] = 11;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+188144, r12vrr_stack+384570, r12vrr_stack+284159, r12vrr_stack+397100, r12vrr_stack+151135, r12vrr_stack+145861);
 tmp = r12vrr_stack + 188144;
 target_ptr = Libr12->t1vrr_classes[11][8];
 for(i=0;i<3510;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|m0)^0 ---*/
 am[0] = 11;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+191654, r12vrr_stack+397100, r12vrr_stack+292929, r12vrr_stack+412940, r12vrr_stack+158329, r12vrr_stack+151135);
 tmp = r12vrr_stack + 191654;
 target_ptr = Libr12->t1vrr_classes[11][9];
 for(i=0;i<4290;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|n0)^0 ---*/
 am[0] = 11;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+120336, r12vrr_stack+412940, r12vrr_stack+303214, r12vrr_stack+431738, r12vrr_stack+321229, r12vrr_stack+158329);
 tmp = r12vrr_stack + 120336;
 target_ptr = Libr12->t1vrr_classes[11][10];
 for(i=0;i<5148;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|o0)^0 ---*/
 am[0] = 11;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+216489, r12vrr_stack+431738, r12vrr_stack+544700, r12vrr_stack+453747, r12vrr_stack+338207, r12vrr_stack+321229);
 tmp = r12vrr_stack + 216489;
 target_ptr = Libr12->t1vrr_classes[11][11];
 for(i=0;i<6084;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (o0|[r12,T1]|q0)^0 ---*/
 am[0] = 11;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+106550, r12vrr_stack+453747, r12vrr_stack+572455, r12vrr_stack+595016, r12vrr_stack+472290, r12vrr_stack+338207);
 tmp = r12vrr_stack + 106550;
 target_ptr = Libr12->t1vrr_classes[11][12];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T1]|i0)^0 ---*/
 am[0] = 12;  am[1] = 6;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+471453, r12vrr_stack+272239, r12vrr_stack+131113, r12vrr_stack+488676, r12vrr_stack+375642, r12vrr_stack+366186);
 tmp = r12vrr_stack + 471453;
 target_ptr = Libr12->t1vrr_classes[12][6];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T1]|k0)^0 ---*/
 am[0] = 12;  am[1] = 7;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+474001, r12vrr_stack+488676, r12vrr_stack+371178, r12vrr_stack+284159, r12vrr_stack+384570, r12vrr_stack+375642);
 tmp = r12vrr_stack + 474001;
 target_ptr = Libr12->t1vrr_classes[12][7];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T1]|l0)^0 ---*/
 am[0] = 12;  am[1] = 8;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+371178, r12vrr_stack+284159, r12vrr_stack+262789, r12vrr_stack+292929, r12vrr_stack+397100, r12vrr_stack+384570);
 tmp = r12vrr_stack + 371178;
 target_ptr = Libr12->t1vrr_classes[12][8];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T1]|m0)^0 ---*/
 am[0] = 12;  am[1] = 9;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+261370, r12vrr_stack+292929, r12vrr_stack+388080, r12vrr_stack+303214, r12vrr_stack+412940, r12vrr_stack+397100);
 tmp = r12vrr_stack + 261370;
 target_ptr = Libr12->t1vrr_classes[12][9];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T1]|n0)^0 ---*/
 am[0] = 12;  am[1] = 10;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+388080, r12vrr_stack+303214, r12vrr_stack+500202, r12vrr_stack+544700, r12vrr_stack+431738, r12vrr_stack+412940);
 tmp = r12vrr_stack + 388080;
 target_ptr = Libr12->t1vrr_classes[12][10];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T1]|o0)^0 ---*/
 am[0] = 12;  am[1] = 11;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+125484, r12vrr_stack+544700, r12vrr_stack+401390, r12vrr_stack+572455, r12vrr_stack+453747, r12vrr_stack+431738);
 tmp = r12vrr_stack + 125484;
 target_ptr = Libr12->t1vrr_classes[12][11];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0|[r12,T1]|q0)^0 ---*/
 am[0] = 12;  am[1] = 12;
 t1_vrr_build_xxxx(am,Data,&(Libr12->ShellQuartet),r12vrr_stack+603206, r12vrr_stack+572455, r12vrr_stack+418088, r12vrr_stack+326377, r12vrr_stack+595016, r12vrr_stack+453747);
 tmp = r12vrr_stack + 603206;
 target_ptr = Libr12->t1vrr_classes[12][12];
 for(i=0;i<8281;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0||i0)^0 ---*/
 am[0] = 12;  am[1] = 6;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+326377, r12vrr_stack+348923, r12vrr_stack+347075, r12vrr_stack+272239, r12vrr_stack+366186, r12vrr_stack+275039, r12vrr_stack+361160);
 tmp = r12vrr_stack + 326377;
 target_ptr = Libr12->rvrr_classes[12][6];
 for(i=0;i<2548;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0||k0)^0 ---*/
 am[0] = 12;  am[1] = 7;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+328925, r12vrr_stack+368370, r12vrr_stack+63169, r12vrr_stack+488676, r12vrr_stack+375642, r12vrr_stack+281783, r12vrr_stack+366186);
 tmp = r12vrr_stack + 328925;
 target_ptr = Libr12->rvrr_classes[12][7];
 for(i=0;i<3276;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0||l0)^0 ---*/
 am[0] = 12;  am[1] = 8;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+418088, r12vrr_stack+351152, r12vrr_stack+580736, r12vrr_stack+284159, r12vrr_stack+384570, r12vrr_stack+145861, r12vrr_stack+375642);
 tmp = r12vrr_stack + 418088;
 target_ptr = Libr12->rvrr_classes[12][8];
 for(i=0;i<4095;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0||m0)^0 ---*/
 am[0] = 12;  am[1] = 9;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+422183, r12vrr_stack+586731, r12vrr_stack+11128, r12vrr_stack+292929, r12vrr_stack+397100, r12vrr_stack+151135, r12vrr_stack+384570);
 tmp = r12vrr_stack + 422183;
 target_ptr = Libr12->rvrr_classes[12][9];
 for(i=0;i<5005;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0||n0)^0 ---*/
 am[0] = 12;  am[1] = 10;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+401390, r12vrr_stack+507132, r12vrr_stack+257014, r12vrr_stack+303214, r12vrr_stack+412940, r12vrr_stack+158329, r12vrr_stack+397100);
 tmp = r12vrr_stack + 401390;
 target_ptr = Libr12->rvrr_classes[12][10];
 for(i=0;i<6006;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0||o0)^0 ---*/
 am[0] = 12;  am[1] = 11;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+394086, r12vrr_stack+521718, r12vrr_stack+516570, r12vrr_stack+544700, r12vrr_stack+431738, r12vrr_stack+321229, r12vrr_stack+412940);
 tmp = r12vrr_stack + 394086;
 target_ptr = Libr12->rvrr_classes[12][11];
 for(i=0;i<7098;i++)
   target_ptr[i] += tmp[i];

 /*--- compute (q0||q0)^0 ---*/
 am[0] = 12;  am[1] = 12;
 r_vrr_build_xxxx(am,Data,r12vrr_stack+375273, r12vrr_stack+460845, r12vrr_stack+532807, r12vrr_stack+572455, r12vrr_stack+453747, r12vrr_stack+338207, r12vrr_stack+431738);
 tmp = r12vrr_stack + 375273;
 target_ptr = Libr12->rvrr_classes[12][12];
 for(i=0;i<8281;i++)
   target_ptr[i] += tmp[i];


}

